


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'LoggingLevelTypeEnum' : _MetaInfoEnum('LoggingLevelTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'alerts':'alerts',
            'critical':'critical',
            'debugging':'debugging',
            'emergencies':'emergencies',
            'errors':'errors',
            'informational':'informational',
            'notifications':'notifications',
            'warnings':'warnings',
            'bogus':'bogus',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Bfd.Map.Ipv4.NoVrf' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map.Ipv4.NoVrf',
            False, 
            [
            _MetaInfoClassMember('dest-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'dest_ip',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('src-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'src_ip',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'template_name',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'no-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd.Map.Ipv4.Vrf.DstVrf' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map.Ipv4.Vrf.DstVrf',
            False, 
            [
            _MetaInfoClassMember('dst-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Destination VRF instance name
                ''',
                'dst_vrf',
                'Cisco-IOS-XE-bfd', True),
            _MetaInfoClassMember('A_PERIOD_B_PERIOD_C_PERIOD_D_SLASH_nn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination IP prefix/len
                ''',
                'a_period_b_period_c_period_d_slash_nn',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'dst-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd.Map.Ipv4.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map.Ipv4.Vrf',
            False, 
            [
            _MetaInfoClassMember('dst-vrf', REFERENCE_LIST, 'DstVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map.Ipv4.Vrf.DstVrf', 
                [], [], 
                '''                ''',
                'dst_vrf',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd.Map.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map.Ipv4',
            False, 
            [
            _MetaInfoClassMember('no-vrf', REFERENCE_CLASS, 'NoVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map.Ipv4.NoVrf', 
                [], [], 
                '''                ''',
                'no_vrf',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map.Ipv4.Vrf', 
                [], [], 
                '''                Destination VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd.Map.Ipv6.DpIpv6_Prefix.SrcIpv6_Prefix0' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map.Ipv6.DpIpv6_Prefix.SrcIpv6_Prefix0',
            False, 
            [
            _MetaInfoClassMember('src-ipv6_prefix0', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                Source IPv6 prefix/len
                ''',
                'src_ipv6_prefix0',
                'Cisco-IOS-XE-bfd', True),
            _MetaInfoClassMember('bfd-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                bfd template name
                ''',
                'bfd_name',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'src-ipv6_prefix0',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf.SrcVrf' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf.SrcVrf',
            False, 
            [
            _MetaInfoClassMember('src-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source VRF instance name
                ''',
                'src_vrf',
                'Cisco-IOS-XE-bfd', True),
            _MetaInfoClassMember('src-ipv6_prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                Source IPv6 prefix/len
                ''',
                'src_ipv6_prefix',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'src-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf',
            False, 
            [
            _MetaInfoClassMember('src-vrf', REFERENCE_LIST, 'SrcVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf.SrcVrf', 
                [], [], 
                '''                ''',
                'src_vrf',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd.Map.Ipv6.DpIpv6_Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map.Ipv6.DpIpv6_Prefix',
            False, 
            [
            _MetaInfoClassMember('dp-ipv6_prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                Destination IPv6 prefix/len
                ''',
                'dp_ipv6_prefix',
                'Cisco-IOS-XE-bfd', True),
            _MetaInfoClassMember('bfd-nm', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                bfd template name
                ''',
                'bfd_nm',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('src-ipv6_prefix0', REFERENCE_LIST, 'SrcIpv6_Prefix0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map.Ipv6.DpIpv6_Prefix.SrcIpv6_Prefix0', 
                [], [], 
                '''                ''',
                'src_ipv6_prefix0',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf', 
                [], [], 
                '''                Source VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'dp-ipv6_prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd.Map.Ipv6.Vrf.DstVrf' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map.Ipv6.Vrf.DstVrf',
            False, 
            [
            _MetaInfoClassMember('dst-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Destination VRF instance name
                ''',
                'dst_vrf',
                'Cisco-IOS-XE-bfd', True),
            _MetaInfoClassMember('dst-ipv6_prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                Destination IPv6 prefix/len
                ''',
                'dst_ipv6_prefix',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'dst-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd.Map.Ipv6.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map.Ipv6.Vrf',
            False, 
            [
            _MetaInfoClassMember('dst-vrf', REFERENCE_LIST, 'DstVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map.Ipv6.Vrf.DstVrf', 
                [], [], 
                '''                ''',
                'dst_vrf',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd.Map.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map.Ipv6',
            False, 
            [
            _MetaInfoClassMember('dp-ipv6_prefix', REFERENCE_LIST, 'DpIpv6_Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map.Ipv6.DpIpv6_Prefix', 
                [], [], 
                '''                ''',
                'dp_ipv6_prefix',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map.Ipv6.Vrf', 
                [], [], 
                '''                Destination VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd.Map' : {
        'meta_info' : _MetaInfoClass('Native.Bfd.Map',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map.Ipv4', 
                [], [], 
                '''                IPv4 Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map.Ipv6', 
                [], [], 
                '''                IPv6 Address Family
                ''',
                'ipv6',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Bfd',
            False, 
            [
            _MetaInfoClassMember('l2cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '6')], [], 
                '''                Value of L2 COS for BFD Pkts over VLAN interfaces
                ''',
                'l2cos',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd.Map', 
                [], [], 
                '''                configure bfd map entry for multi-hop sessions
                ''',
                'map',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('slow-timers', ATTRIBUTE, 'int' , None, None, 
                [('1000', '30000')], [], 
                '''                Value in ms to use for slow timers
                ''',
                'slow_timers',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Boot.System.Bootfile.FilenameList' : {
        'meta_info' : _MetaInfoClass('Native.Boot.System.Bootfile.FilenameList',
            False, 
            [
            _MetaInfoClassMember('filename', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD - TFTP filename or URL
                ''',
                'filename',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'filename-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Boot.System.Bootfile' : {
        'meta_info' : _MetaInfoClass('Native.Boot.System.Bootfile',
            False, 
            [
            _MetaInfoClassMember('filename-list', REFERENCE_LIST, 'FilenameList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Boot.System.Bootfile.FilenameList', 
                [], [], 
                '''                ''',
                'filename_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bootfile',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Boot.System.Flash.FlashList' : {
        'meta_info' : _MetaInfoClass('Native.Boot.System.Flash.FlashList',
            False, 
            [
            _MetaInfoClassMember('flash-leaf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'flash_leaf',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'flash-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Boot.System.Flash' : {
        'meta_info' : _MetaInfoClass('Native.Boot.System.Flash',
            False, 
            [
            _MetaInfoClassMember('flash-list', REFERENCE_LIST, 'FlashList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Boot.System.Flash.FlashList', 
                [], [], 
                '''                ''',
                'flash_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flash',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Boot.System.Switch.SwitchNumber' : {
        'meta_info' : _MetaInfoClass('Native.Boot.System.Switch.SwitchNumber',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Switch number
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('flash-1-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Example edison.bin
                ''',
                'flash_1_path',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('flash-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Example edison.bin
                ''',
                'flash_path',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('tftp-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Example 192.x.x.x/<path>
                ''',
                'tftp_path',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch-number',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Boot.System.Switch.All' : {
        'meta_info' : _MetaInfoClass('Native.Boot.System.Switch.All',
            False, 
            [
            _MetaInfoClassMember('flash', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Example edison.bin
                ''',
                'flash',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('flash-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Example edison.bin
                ''',
                'flash_1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('tftp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Example 192.x.x.x/<image-path>
                ''',
                'tftp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Boot.System.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Boot.System.Switch',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Boot.System.Switch.All', 
                [], [], 
                '''                Set system image for all switches in the stack
                ''',
                'all',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switch-number', REFERENCE_LIST, 'SwitchNumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Boot.System.Switch.SwitchNumber', 
                [], [], 
                '''                ''',
                'switch_number',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Boot.System' : {
        'meta_info' : _MetaInfoClass('Native.Boot.System',
            False, 
            [
            _MetaInfoClassMember('bootfile', REFERENCE_CLASS, 'Bootfile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Boot.System.Bootfile', 
                [], [], 
                '''                WORD - boot filename
                ''',
                'bootfile',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flash', REFERENCE_CLASS, 'Flash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Boot.System.Flash', 
                [], [], 
                '''                flash - Boot from flash memory
                ''',
                'flash',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Boot.System.Switch', 
                [], [], 
                '''                Set system image for switches in the stack
                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('tftp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Example 192.168.x.x/<image-path>
                ''',
                'tftp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tftp-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Example: 192.x.x.x/<path to image>
                ''',
                'tftp_path',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'system',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Boot.EnableBreak' : {
        'meta_info' : _MetaInfoClass('Native.Boot.EnableBreak',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Set enable break for switches in the stack
                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'enable-break',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Boot.Manual' : {
        'meta_info' : _MetaInfoClass('Native.Boot.Manual',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Set manual boot for switches in the stack:Switch number(s)
                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'manual',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Boot' : {
        'meta_info' : _MetaInfoClass('Native.Boot',
            False, 
            [
            _MetaInfoClassMember('enable-break', REFERENCE_CLASS, 'EnableBreak' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Boot.EnableBreak', 
                [], [], 
                '''                Enable break
                ''',
                'enable_break',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('manual', REFERENCE_CLASS, 'Manual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Boot.Manual', 
                [], [], 
                '''                Manual boot
                ''',
                'manual',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('system', REFERENCE_CLASS, 'System' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Boot.System', 
                [], [], 
                '''                System Image
                ''',
                'system',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'boot',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Memory.Statistics.History' : {
        'meta_info' : _MetaInfoClass('Native.Memory.Statistics.History',
            False, 
            [
            _MetaInfoClassMember('table', ATTRIBUTE, 'int' , None, None, 
                [('12', '72')], [], 
                '''                Configure statistics history table
                ''',
                'table',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Memory.Statistics' : {
        'meta_info' : _MetaInfoClass('Native.Memory.Statistics',
            False, 
            [
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Memory.Statistics.History', 
                [], [], 
                '''                Configure statistics history table
                ''',
                'history',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Memory.Chunk.Siblings' : {
        'meta_info' : _MetaInfoClass('Native.Memory.Chunk.Siblings',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('2', '4294967295')], [], 
                '''                Default is platform dependent
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'siblings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Memory.Chunk' : {
        'meta_info' : _MetaInfoClass('Native.Memory.Chunk',
            False, 
            [
            _MetaInfoClassMember('siblings', REFERENCE_CLASS, 'Siblings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Memory.Chunk.Siblings', 
                [], [], 
                '''                chunk siblings related configuration
                ''',
                'siblings',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'chunk',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Memory.Free.LowWatermark' : {
        'meta_info' : _MetaInfoClass('Native.Memory.Free.LowWatermark',
            False, 
            [
            _MetaInfoClassMember('IO', ATTRIBUTE, 'int' , None, None, 
                [('1', '3994575')], [], 
                '''                low water mark of memory in KB
                ''',
                'io',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('processor', ATTRIBUTE, 'int' , None, None, 
                [('1', '3994575')], [], 
                '''                low water mark of memory in KB
                ''',
                'processor',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'low-watermark',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Memory.Free' : {
        'meta_info' : _MetaInfoClass('Native.Memory.Free',
            False, 
            [
            _MetaInfoClassMember('low-watermark', REFERENCE_CLASS, 'LowWatermark' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Memory.Free.LowWatermark', 
                [], [], 
                '''                low water mark for notifications
                ''',
                'low_watermark',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'free',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Memory.Reserve.Critical' : {
        'meta_info' : _MetaInfoClass('Native.Memory.Reserve.Critical',
            False, 
            [
            _MetaInfoClassMember('memory-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                total amount of memory to be reserved in kilobytes
                ''',
                'memory_range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'critical',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Memory.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Memory.Reserve',
            False, 
            [
            _MetaInfoClassMember('critical', REFERENCE_CLASS, 'Critical' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Memory.Reserve.Critical', 
                [], [], 
                '''                Reserve Critical Memory
                ''',
                'critical',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Memory.Sanity' : {
        'meta_info' : _MetaInfoClass('Native.Memory.Sanity',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable memory sanity all
                ''',
                'all',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('buffer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable memory sanity buffer
                ''',
                'buffer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'sanity',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Memory' : {
        'meta_info' : _MetaInfoClass('Native.Memory',
            False, 
            [
            _MetaInfoClassMember('chunk', REFERENCE_CLASS, 'Chunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Memory.Chunk', 
                [], [], 
                '''                chunk related configuration
                ''',
                'chunk',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('free', REFERENCE_CLASS, 'Free' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Memory.Free', 
                [], [], 
                '''                free memory low water mark
                ''',
                'free',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lite', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/disable memory lite
                ''',
                'lite',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Memory.Reserve', 
                [], [], 
                '''                reserve memory
                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sanity', REFERENCE_CLASS, 'Sanity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Memory.Sanity', 
                [], [], 
                '''                Enable memory sanity
                ''',
                'sanity',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Memory.Statistics', 
                [], [], 
                '''                Configure statistics history table
                ''',
                'statistics',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'memory',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Location.CivicLocation.Identifier' : {
        'meta_info' : _MetaInfoClass('Native.Location.CivicLocation.Identifier',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('building', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Building information
                ''',
                'building',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('floor', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Floor number
                ''',
                'floor',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('landmark', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Landmark
                ''',
                'landmark',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Resident name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Street number
                ''',
                'number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'identifier',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Location.CivicLocation' : {
        'meta_info' : _MetaInfoClass('Native.Location.CivicLocation',
            False, 
            [
            _MetaInfoClassMember('identifier', REFERENCE_LIST, 'Identifier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Location.CivicLocation.Identifier', 
                [], [], 
                '''                Set the identifier
                ''',
                'identifier',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'civic-location',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Location' : {
        'meta_info' : _MetaInfoClass('Native.Location',
            False, 
            [
            _MetaInfoClassMember('civic-location', REFERENCE_CLASS, 'CivicLocation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Location.CivicLocation', 
                [], [], 
                '''                Civic location information
                ''',
                'civic_location',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'location',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.SourceInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.SourceInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.SourceInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.SourceInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.SourceInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.SourceInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.SourceInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.SourceInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.SourceInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.SourceInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.SourceInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.SourceInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.HttpProxy.ProxyServers' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.HttpProxy.ProxyServers',
            False, 
            [
            _MetaInfoClassMember('proxy-server', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Http proxy server
                ''',
                'proxy_server',
                'Cisco-IOS-XE-call-home', True),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                http proxy server port number
                ''',
                'port',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'proxy-servers',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.HttpProxy' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.HttpProxy',
            False, 
            [
            _MetaInfoClassMember('proxy-servers', REFERENCE_LIST, 'ProxyServers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.HttpProxy.ProxyServers', 
                [], [], 
                '''                ''',
                'proxy_servers',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'http-proxy',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.Destination.Address' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.Destination.Address',
            False, 
            [
            _MetaInfoClassMember('email', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use email address
                ''',
                'email',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('http', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                To add http address to this profile
                ''',
                'http',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.Destination.TransportMethodEnum' : _MetaInfoEnum('TransportMethodEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'http':'http',
            'email':'email',
        }, 'Cisco-IOS-XE-call-home', _yang_ns._namespaces['Cisco-IOS-XE-call-home']),
    'Native.CallHome.Profile.Destination' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.Destination',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.Destination.Address', 
                [], [], 
                '''                To add destination address to this profile
                ''',
                'address',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('transport-method', REFERENCE_ENUM_CLASS, 'TransportMethodEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.Destination.TransportMethodEnum', 
                [], [], 
                '''                To specify transport method for this profile
                ''',
                'transport_method',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic.SeverityEnum' : _MetaInfoEnum('SeverityEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'catastrophic':'catastrophic',
            'critical':'critical',
            'debugging':'debugging',
            'disaster':'disaster',
            'fatal':'fatal',
            'major':'major',
            'minor':'minor',
            'normal':'normal',
            'notification':'notification',
            'warning':'warning',
        }, 'Cisco-IOS-XE-call-home', _yang_ns._namespaces['Cisco-IOS-XE-call-home']),
    'Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic',
            False, 
            [
            _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'SeverityEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic.SeverityEnum', 
                [], [], 
                '''                Severity
                ''',
                'severity',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'diagnostic',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Environment.SeverityEnum' : _MetaInfoEnum('SeverityEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'catastrophic':'catastrophic',
            'critical':'critical',
            'debugging':'debugging',
            'disaster':'disaster',
            'fatal':'fatal',
            'major':'major',
            'minor':'minor',
            'normal':'normal',
            'notification':'notification',
            'warning':'warning',
        }, 'Cisco-IOS-XE-call-home', _yang_ns._namespaces['Cisco-IOS-XE-call-home']),
    'Native.CallHome.Profile.SubscribeToAlertGroup.Environment' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Environment',
            False, 
            [
            _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'SeverityEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Environment.SeverityEnum', 
                [], [], 
                '''                Severity
                ''',
                'severity',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'environment',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily',
            False, 
            [
            _MetaInfoClassMember('begin-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin time
                ''',
                'begin_time',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly',
            False, 
            [
            _MetaInfoClassMember('begin-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin time
                ''',
                'begin_time',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('date', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                Day of month
                ''',
                'date',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'monthly',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly',
            False, 
            [
            _MetaInfoClassMember('begin-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin time
                ''',
                'begin_time',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Day of the week
                ''',
                'day',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily', 
                [], [], 
                '''                Daily call-home message
                ''',
                'daily',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('monthly', REFERENCE_CLASS, 'Monthly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly', 
                [], [], 
                '''                Monthly call-home message
                ''',
                'monthly',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly', 
                [], [], 
                '''                Weekly call-home message
                ''',
                'weekly',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'periodic',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Inventory' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Inventory',
            False, 
            [
            _MetaInfoClassMember('periodic', REFERENCE_CLASS, 'Periodic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic', 
                [], [], 
                '''                ''',
                'periodic',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'inventory',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'catastrophic':'catastrophic',
            'critical':'critical',
            'debugging':'debugging',
            'disaster':'disaster',
            'fatal':'fatal',
            'major':'major',
            'minor':'minor',
            'normal':'normal',
            'notification':'notification',
            'warning':'warning',
        }, 'Cisco-IOS-XE-call-home', _yang_ns._namespaces['Cisco-IOS-XE-call-home']),
    'Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity.ValueEnum', 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-call-home', True),
            _MetaInfoClassMember('pattern', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Syslog message pattern
                ''',
                'pattern',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'severity',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Syslog' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Syslog',
            False, 
            [
            _MetaInfoClassMember('severity', REFERENCE_LIST, 'Severity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity', 
                [], [], 
                '''                severity
                ''',
                'severity',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'syslog',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily',
            False, 
            [
            _MetaInfoClassMember('begin-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin time
                ''',
                'begin_time',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly',
            False, 
            [
            _MetaInfoClassMember('begin-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin time
                ''',
                'begin_time',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('date', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                Day of month
                ''',
                'date',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'monthly',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly',
            False, 
            [
            _MetaInfoClassMember('begin-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin time
                ''',
                'begin_time',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Day of the week
                ''',
                'day',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily', 
                [], [], 
                '''                Daily call-home message
                ''',
                'daily',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('monthly', REFERENCE_CLASS, 'Monthly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly', 
                [], [], 
                '''                Monthly call-home message
                ''',
                'monthly',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly', 
                [], [], 
                '''                Weekly call-home message
                ''',
                'weekly',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'periodic',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup.Configuration' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup.Configuration',
            False, 
            [
            _MetaInfoClassMember('periodic', REFERENCE_CLASS, 'Periodic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic', 
                [], [], 
                '''                ''',
                'periodic',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'configuration',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile.SubscribeToAlertGroup' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile.SubscribeToAlertGroup',
            False, 
            [
            _MetaInfoClassMember('configuration', REFERENCE_CLASS, 'Configuration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Configuration', 
                [], [], 
                '''                configuration info
                ''',
                'configuration',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('diagnostic', REFERENCE_CLASS, 'Diagnostic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic', 
                [], [], 
                '''                diagnostic info
                ''',
                'diagnostic',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('environment', REFERENCE_CLASS, 'Environment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Environment', 
                [], [], 
                '''                environmental info
                ''',
                'environment',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('inventory', REFERENCE_CLASS, 'Inventory' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Inventory', 
                [], [], 
                '''                inventory info
                ''',
                'inventory',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('syslog', REFERENCE_CLASS, 'Syslog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup.Syslog', 
                [], [], 
                '''                syslog info
                ''',
                'syslog',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'subscribe-to-alert-group',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome.Profile' : {
        'meta_info' : _MetaInfoClass('Native.CallHome.Profile',
            False, 
            [
            _MetaInfoClassMember('profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'profile_name',
                'Cisco-IOS-XE-call-home', True),
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Activate the current profile
                ''',
                'active',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.Destination', 
                [], [], 
                '''                Message destination related configuration
                ''',
                'destination',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('subscribe-to-alert-group', REFERENCE_CLASS, 'SubscribeToAlertGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile.SubscribeToAlertGroup', 
                [], [], 
                '''                Subscribe to alert-group
                ''',
                'subscribe_to_alert_group',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-call-home',
            'profile',
            _yang_ns._namespaces['Cisco-IOS-XE-call-home'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.CallHome' : {
        'meta_info' : _MetaInfoClass('Native.CallHome',
            False, 
            [
            _MetaInfoClassMember('contact-email-addr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use email address
                ''',
                'contact_email_addr',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('http-proxy', REFERENCE_CLASS, 'HttpProxy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.HttpProxy', 
                [], [], 
                '''                Specify proxy server for http request
                ''',
                'http_proxy',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('profile', REFERENCE_LIST, 'Profile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.Profile', 
                [], [], 
                '''                Enter call-home profile configuration mode
                ''',
                'profile',
                'Cisco-IOS-XE-call-home', False),
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome.SourceInterface', 
                [], [], 
                '''                Source interface name to send call-home messages using email
                ''',
                'source_interface',
                'Cisco-IOS-XE-call-home', False),
            ],
            'Cisco-IOS-XE-native',
            'call-home',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.HwModule.Uplink.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'shared-backplane':'shared_backplane',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.HwModule.Uplink' : {
        'meta_info' : _MetaInfoClass('Native.HwModule.Uplink',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.HwModule.Uplink.ModeEnum', 
                [], [], 
                '''                Uplink mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('select', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Select uplink interface
                ''',
                'select',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'uplink',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.HwModule' : {
        'meta_info' : _MetaInfoClass('Native.HwModule',
            False, 
            [
            _MetaInfoClassMember('pvdm', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pvdm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('uplink', REFERENCE_CLASS, 'Uplink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.HwModule.Uplink', 
                [], [], 
                '''                Uplink control
                ''',
                'uplink',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hw-module',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cisp' : {
        'meta_info' : _MetaInfoClass('Native.Cisp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable CISP
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cisp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Module.Provision.Switch.Chassis' : {
        'meta_info' : _MetaInfoClass('Native.Module.Provision.Switch.Chassis',
            False, 
            [
            _MetaInfoClassMember('base-mac', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'base_mac',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('chassis-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'chassis_type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'chassis',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Module.Provision.Switch.Slot' : {
        'meta_info' : _MetaInfoClass('Native.Module.Provision.Switch.Slot',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('base-mac', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'base_mac',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('slot-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'slot_type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'slot',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Module.Provision.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Module.Provision.Switch',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('chassis', REFERENCE_CLASS, 'Chassis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Module.Provision.Switch.Chassis', 
                [], [], 
                '''                ''',
                'chassis',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('slot', REFERENCE_LIST, 'Slot' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Module.Provision.Switch.Slot', 
                [], [], 
                '''                ''',
                'slot',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Module.Provision' : {
        'meta_info' : _MetaInfoClass('Native.Module.Provision',
            False, 
            [
            _MetaInfoClassMember('switch', REFERENCE_LIST, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Module.Provision.Switch', 
                [], [], 
                '''                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'provision',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Module' : {
        'meta_info' : _MetaInfoClass('Native.Module',
            False, 
            [
            _MetaInfoClassMember('provision', REFERENCE_CLASS, 'Provision' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Module.Provision', 
                [], [], 
                '''                Configure module provision status
                ''',
                'provision',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-native',
            'module',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Border.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Border.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Border.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Domain.Vrf.Border.Password' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Border.Password',
            False, 
            [
            _MetaInfoClassMember('clear-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clear_key',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Border.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Border.MasterEnum' : _MetaInfoEnum('MasterEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'local':'local',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Domain.Vrf.Border' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Border',
            False, 
            [
            _MetaInfoClassMember('master', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify IP address of Domain master controller
                ''',
                'master',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('master', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Specify IP address of Domain master controller
                        ''',
                        'master',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('master', REFERENCE_ENUM_CLASS, 'Native.Domain.Vrf.Border.MasterEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Border.MasterEnum', 
                        [], [], 
                        '''                        Specify IP address of Domain master controller
                        ''',
                        'master',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Border.Password', 
                [], [], 
                '''                MD5 password to be used with MC
                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Border.SourceInterface', 
                [], [], 
                '''                Source Interface for border
                ''',
                'source_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'border',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.Advanced.SmartProbes' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.Advanced.SmartProbes',
            False, 
            [
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify smart probes destination port number
                ''',
                'destination_port',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify smart probes source port number
                ''',
                'source_port',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'smart-probes',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.Advanced.Syslog' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.Advanced.Syslog',
            False, 
            [
            _MetaInfoClassMember('tca-time-min', ATTRIBUTE, 'int' , None, None, 
                [('30', '36000')], [], 
                '''                Specify time between syslog tcas in seconds
                ''',
                'tca_time_min',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'syslog',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.Advanced.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.Advanced.Tcp',
            False, 
            [
            _MetaInfoClassMember('mc-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify tcp MC self port for mc-br communication
                ''',
                'mc_port',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer.IntervalUnitEnum' : _MetaInfoEnum('IntervalUnitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'hours':'hours',
            'minutes':'minutes',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '65535')], [], 
                '''                Specify new timer interval value mins/hours
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interval-unit', REFERENCE_ENUM_CLASS, 'IntervalUnitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer.IntervalUnitEnum', 
                [], [], 
                '''                ''',
                'interval_unit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-class-ageout-timer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.Advanced.MitigationModeEnum' : _MetaInfoEnum('MitigationModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'aggressive':'aggressive',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Domain.Vrf.Master.Advanced' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.Advanced',
            False, 
            [
            _MetaInfoClassMember('byte-loss-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '5600')], [], 
                '''                Specify minimum byte loss calculation threshold
                ''',
                'byte_loss_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('channel-unreachable-timer', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Unreach interval detection
                ''',
                'channel_unreachable_timer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-sharing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable load-sharing
                ''',
                'load_sharing',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('minimum-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Specify minimum mask length
                ''',
                'minimum_mask_length',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mitigation-mode', REFERENCE_ENUM_CLASS, 'MitigationModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Advanced.MitigationModeEnum', 
                [], [], 
                '''                Enable brownout detection in domain
                ''',
                'mitigation_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-loss-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify minimum packet loss calculation threshold
                ''',
                'packet_loss_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('smart-probes', REFERENCE_CLASS, 'SmartProbes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Advanced.SmartProbes', 
                [], [], 
                '''                Smart probes configuration
                ''',
                'smart_probes',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('syslog', REFERENCE_CLASS, 'Syslog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Advanced.Syslog', 
                [], [], 
                '''                Specify syslog minimim time between tca
                ''',
                'syslog',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Advanced.Tcp', 
                [], [], 
                '''                Specify tcp port numbers for mc-br communication
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold-variance', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Policy decision Threshold variance
                ''',
                'threshold_variance',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-class-ageout-timer', REFERENCE_CLASS, 'TrafficClassAgeoutTimer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer', 
                [], [], 
                '''                Traffic-class DB age timer
                ''',
                'traffic_class_ageout_timer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('transit-site-affinity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Transit Site Affinity
                ''',
                'transit_site_affinity',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advanced',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.Collector' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.Collector',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify collector port number
                ''',
                'port',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'collector',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.EnterprisePrefix' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.EnterprisePrefix',
            False, 
            [
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify prefix-list with static site targets
                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'enterprise-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.LoadBalance' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.LoadBalance',
            False, 
            [
            _MetaInfoClassMember('advanced', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Load balancing configuration mode
                ''',
                'advanced',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'load-balance',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Domain.Vrf.Master.Password' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.Password',
            False, 
            [
            _MetaInfoClassMember('clear-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clear_key',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.SitePrefixes' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.SitePrefixes',
            False, 
            [
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify prefix-list with static site targets
                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'site-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.Class_.Match.Dscp.PolicyEnum' : _MetaInfoEnum('PolicyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'best-effort':'best_effort',
            'bulk-data':'bulk_data',
            'custom':'custom',
            'low-latency-data':'low_latency_data',
            'real-time-video':'real_time_video',
            'scavenger':'scavenger',
            'voice':'voice',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Domain.Vrf.Master.Class_.Match.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.Class_.Match.Dscp',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-native', True, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-native', True),
                ]),
            _MetaInfoClassMember('policy', REFERENCE_ENUM_CLASS, 'PolicyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Class_.Match.Dscp.PolicyEnum', 
                [], [], 
                '''                Specify the policy (user defined/predefined)
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.Class_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.Class_.Match',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_LIST, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Class_.Match.Dscp', 
                [], [], 
                '''                specify DSCP
                ''',
                'dscp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.Class_.PathPreference' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.Class_.PathPreference',
            False, 
            [
            _MetaInfoClassMember('fallback', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Specify the fallback provider
                ''',
                'fallback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Primary service provider
                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'path-preference',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master.Class_' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master.Class_',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the Sequence for the class
                ''',
                'sequence',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Class_.Match', 
                [], [], 
                '''                Specify the applications the policy applies to
                ''',
                'match',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-preference', REFERENCE_CLASS, 'PathPreference' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Class_.PathPreference', 
                [], [], 
                '''                Specify the preferred provider
                ''',
                'path_preference',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf.Master' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf.Master',
            False, 
            [
            _MetaInfoClassMember('advanced', REFERENCE_CLASS, 'Advanced' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Advanced', 
                [], [], 
                '''                Advanced configuration submode
                ''',
                'advanced',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('branch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set master type as branch hub
                ''',
                'branch',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('class', REFERENCE_LIST, 'Class_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Class_', 
                [], [], 
                '''                Create domain class and enter domain class command mode
                ''',
                'class_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('collector', REFERENCE_CLASS, 'Collector' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Collector', 
                [], [], 
                '''                NMS/v9 collector configuration
                ''',
                'collector',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enterprise-prefix', REFERENCE_CLASS, 'EnterprisePrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.EnterprisePrefix', 
                [], [], 
                '''                Enterprise prefix configuration
                ''',
                'enterprise_prefix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hub', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set master type as hub
                ''',
                'hub',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hub-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'hub_ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-balance', REFERENCE_CLASS, 'LoadBalance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.LoadBalance', 
                [], [], 
                '''                load balance non-policy traffic
                ''',
                'load_balance',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.Password', 
                [], [], 
                '''                MD5 password to be used with BRs
                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('site-prefixes', REFERENCE_CLASS, 'SitePrefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.SitePrefixes', 
                [], [], 
                '''                site-prefixes configuration
                ''',
                'site_prefixes',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master.SourceInterface', 
                [], [], 
                '''                Source Interface for master controller
                ''',
                'source_interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('transit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set master type as transit
                ''',
                'transit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'master',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Domain.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('border', REFERENCE_CLASS, 'Border' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Border', 
                [], [], 
                '''                Enter border router configuration submode
                ''',
                'border',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('master', REFERENCE_CLASS, 'Master' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf.Master', 
                [], [], 
                '''                Enter master controller configuration submode
                ''',
                'master',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Domain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain.Vrf', 
                [], [], 
                '''                Specify vrf for domain
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Parser.Config.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'interface':'interface',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Parser.Config' : {
        'meta_info' : _MetaInfoClass('Native.Parser.Config',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Parser.Config.CacheEnum', 
                [], [], 
                '''                Cache the configuration
                ''',
                'cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('partition', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable configuration Partitioning
                ''',
                'partition',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Parser' : {
        'meta_info' : _MetaInfoClass('Native.Parser',
            False, 
            [
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Parser.Config', 
                [], [], 
                '''                Configure config generation
                ''',
                'config',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'parser',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.PadConf' : {
        'meta_info' : _MetaInfoClass('Native.Service.PadConf',
            False, 
            [
            _MetaInfoClassMember('pad', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable PAD commands
                ''',
                'pad',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pad-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Pad' : {
        'meta_info' : _MetaInfoClass('Native.Service.Pad',
            False, 
            [
            _MetaInfoClassMember('cmns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable PAD over CMNS connections
                ''',
                'cmns',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('from-xot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept XOT to PAD connections
                ''',
                'from_xot',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('to-xot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow outgoing PAD over XOT connections
                ''',
                'to_xot',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pad',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.Year',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Localtime.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Localtime.Msec',
            False, 
            [
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Msec',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Year',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Localtime.Year.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Localtime.Year.Msec',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Localtime.Year.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Localtime.Year.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Localtime.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Localtime.Year',
            False, 
            [
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Localtime.Year.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Localtime.Year.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Localtime',
            False, 
            [
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Localtime.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Localtime.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.Year',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Msec.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Msec.Localtime',
            False, 
            [
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Localtime',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Year',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Msec.Year.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Msec.Year.Localtime',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Msec.Year.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Msec.Year.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Msec.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Msec.Year',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Msec.Year.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Msec.Year.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Msec',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Msec.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Msec.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Msec',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Year',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime',
            False, 
            [
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Localtime',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Year',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Localtime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Msec',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Year.Localtime.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Year.Localtime.Msec',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Year.Localtime.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Year.Localtime.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Year.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Year.Localtime',
            False, 
            [
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Year.Localtime.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Year.Localtime.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Year.Msec.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Year.Msec.Localtime',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Year.Msec.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Year.Msec.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Year.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Year.Msec',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Year.Msec.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Year.Msec.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Localtime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Msec',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime.Year',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Year.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Year.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug.Datetime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug.Datetime',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'datetime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Debug' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Debug',
            False, 
            [
            _MetaInfoClassMember('datetime', REFERENCE_CLASS, 'Datetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug.Datetime', 
                [], [], 
                '''                Timestamp with date and time
                ''',
                'datetime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Timestamp with system uptime
                ''',
                'uptime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'debug',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Localtime.Msec.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Localtime.Msec.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Localtime.Msec.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Localtime.Msec.Year',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Localtime.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Localtime.Msec',
            False, 
            [
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Localtime.Msec.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Localtime.Msec.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Msec',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Year',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Localtime.Year.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Localtime.Year.Msec',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Localtime.Year.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Localtime.Year.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Localtime.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Localtime.Year',
            False, 
            [
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Localtime.Year.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Localtime.Year.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Localtime',
            False, 
            [
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Localtime.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Localtime.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Msec.Localtime.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Msec.Localtime.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Msec.Localtime.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Msec.Localtime.Year',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Msec.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Msec.Localtime',
            False, 
            [
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Msec.Localtime.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Msec.Localtime.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Localtime',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Year',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Msec.Year.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Msec.Year.Localtime',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Msec.Year.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Msec.Year.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Msec.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Msec.Year',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Msec.Year.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Msec.Year.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Msec',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Msec.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Msec.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Msec',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Year',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime',
            False, 
            [
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Localtime',
            False, 
            [
            _MetaInfoClassMember('year', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Year',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Localtime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Msec',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Year.Localtime.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Year.Localtime.Msec',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Year.Localtime.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Year.Localtime.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Year.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Year.Localtime',
            False, 
            [
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Year.Localtime.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Year.Localtime.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Year.Msec.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Year.Msec.Localtime',
            False, 
            [
            _MetaInfoClassMember('show-timezone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Year.Msec.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Year.Msec.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Year.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Year.Msec',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Year.Msec.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Year.Msec.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Localtime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Localtime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'localtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Msec',
            False, 
            [
            _MetaInfoClassMember('localtime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'show-timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime.Year' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime.Year',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Year.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Year.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'year',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log.Datetime' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log.Datetime',
            False, 
            [
            _MetaInfoClassMember('localtime', REFERENCE_CLASS, 'Localtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Localtime', 
                [], [], 
                '''                Use local time zone for timestamps
                ''',
                'localtime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Msec', 
                [], [], 
                '''                Include milliseconds in timestamp
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('show-timezone', REFERENCE_CLASS, 'ShowTimezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.ShowTimezone', 
                [], [], 
                '''                Add time zone information to timestamp
                ''',
                'show_timezone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', REFERENCE_CLASS, 'Year' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime.Year', 
                [], [], 
                '''                Include year in timestamp
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'datetime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps.Log' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps.Log',
            False, 
            [
            _MetaInfoClassMember('datetime', REFERENCE_CLASS, 'Datetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log.Datetime', 
                [], [], 
                '''                Timestamp with date and time
                ''',
                'datetime',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Timestamp with system uptime
                ''',
                'uptime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'log',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Timestamps' : {
        'meta_info' : _MetaInfoClass('Native.Service.Timestamps',
            False, 
            [
            _MetaInfoClassMember('debug', REFERENCE_CLASS, 'Debug' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Debug', 
                [], [], 
                '''                Timestamp debug messages
                ''',
                'debug',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('log', REFERENCE_CLASS, 'Log' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps.Log', 
                [], [], 
                '''                Timestamp log messages
                ''',
                'log',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timestamps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Alignment' : {
        'meta_info' : _MetaInfoClass('Native.Service.Alignment',
            False, 
            [
            _MetaInfoClassMember('detection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable detection of alignment issues
                ''',
                'detection',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable logging of alignment issues
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'alignment',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Counters.Max' : {
        'meta_info' : _MetaInfoClass('Native.Service.Counters.Max',
            False, 
            [
            _MetaInfoClassMember('age', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                Aging threshold
                ''',
                'age',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'max',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Counters' : {
        'meta_info' : _MetaInfoClass('Native.Service.Counters',
            False, 
            [
            _MetaInfoClassMember('max', REFERENCE_CLASS, 'Max' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Counters.Max', 
                [], [], 
                '''                Maximum counter aging threshold
                ''',
                'max',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'counters',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Heartbeat' : {
        'meta_info' : _MetaInfoClass('Native.Service.Heartbeat',
            False, 
            [
            _MetaInfoClassMember('fatal-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                Set heartbeat fatal count
                ''',
                'fatal_count',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interrupt-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                Set heartbeat interrupt test interval
                ''',
                'interrupt_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interrupt-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                Set maximum message count from interrupt test
                ''',
                'interrupt_max',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('transmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                Set heartbeat transmit interval
                ''',
                'transmit_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('warning-timeout', ATTRIBUTE, 'int' , None, None, 
                [('5', '60')], [], 
                '''                Set heartbeat warning timeout interval
                ''',
                'warning_timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'heartbeat',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service.Prompt' : {
        'meta_info' : _MetaInfoClass('Native.Service.Prompt',
            False, 
            [
            _MetaInfoClassMember('config', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable configuration mode prompt
                ''',
                'config',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prompt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Service' : {
        'meta_info' : _MetaInfoClass('Native.Service',
            False, 
            [
            _MetaInfoClassMember('alignment', REFERENCE_CLASS, 'Alignment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Alignment', 
                [], [], 
                '''                Control alignment correction and logging
                ''',
                'alignment',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('call-home', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable call-home service
                ''',
                'call_home',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('compress-config', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compress the configuration file
                ''',
                'compress_config',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('config', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TFTP load config files
                ''',
                'config',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('counters', REFERENCE_CLASS, 'Counters' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Counters', 
                [], [], 
                '''                Control aging of interface counters
                ''',
                'counters',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable DHCP server and relay agent
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('disable-ip-fast-frag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable IP particle-based fast fragmentation
                ''',
                'disable_ip_fast_frag',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-callback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable exec callback
                ''',
                'exec_callback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-wait', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delay EXEC startup on noisy lines
                ''',
                'exec_wait',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('finger', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow responses to finger requests
                ''',
                'finger',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('heartbeat', REFERENCE_CLASS, 'Heartbeat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Heartbeat', 
                [], [], 
                '''                Enable heartbeat processing
                ''',
                'heartbeat',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hide-telnet-addresses', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Hide destination addresses in telnet command
                ''',
                'hide_telnet_addresses',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable Internal commands
                ''',
                'internal',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('linenumber', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable line number banner for each exec
                ''',
                'linenumber',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('log-hidden', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable syslog msgs for hidden/internal commands
                ''',
                'log_hidden',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nagle', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Nagle's congestion control algorithm
                ''',
                'nagle',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('old-slip-prompts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow old scripts to operate with slip/ppp
                ''',
                'old_slip_prompts',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pad', REFERENCE_CLASS, 'Pad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Pad', 
                [], [], 
                '''                Enable PAD commands
                ''',
                'pad',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pad-conf', REFERENCE_CLASS, 'PadConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.PadConf', 
                [], [], 
                '''                ''',
                'pad_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password-encryption', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encrypt system passwords
                ''',
                'password_encryption',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password-recovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable password recovery
                ''',
                'password_recovery',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prompt', REFERENCE_CLASS, 'Prompt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Prompt', 
                [], [], 
                '''                Enable mode specific prompt
                ''',
                'prompt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pt-vty-logging', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log significant VTY-Async events
                ''',
                'pt_vty_logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sequence-numbers', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Stamp logger messages with a sequence number
                ''',
                'sequence_numbers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slave-log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable log capability of slave IPs
                ''',
                'slave_log',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp-keepalives-in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate keepalives on idle incoming network connections
                ''',
                'tcp_keepalives_in',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp-keepalives-out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate keepalives on idle outgoing network connections
                ''',
                'tcp_keepalives_out',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp-small-servers', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable small TCP servers (e.g., ECHO)
                ''',
                'tcp_small_servers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('telnet-zeroidle', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set TCP window 0 when connection is idle
                ''',
                'telnet_zeroidle',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timestamps', REFERENCE_CLASS, 'Timestamps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service.Timestamps', 
                [], [], 
                '''                Timestamp debug/log messages
                ''',
                'timestamps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('udp-small-servers', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable small UDP servers (e.g., ECHO)
                ''',
                'udp_small_servers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unsupported-transceiver', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable support for third-party transceivers
                ''',
                'unsupported_transceiver',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Icmp.RateLimit' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Icmp.RateLimit',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration in seconds (default value is 1 second)
                ''',
                'duration',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('packet', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum # of packets allowed given a duration
                ''',
                'packet',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'rate-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Icmp' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Icmp',
            False, 
            [
            _MetaInfoClassMember('rate-limit', REFERENCE_CLASS, 'RateLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Icmp.RateLimit', 
                [], [], 
                '''                Rate limit of each ICMP types which are generated by data path
                ''',
                'rate_limit',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'icmp',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.IpPorts' : {
        'meta_info' : _MetaInfoClass('Native.Platform.IpPorts',
            False, 
            [
            _MetaInfoClassMember('ephemeral-max', ATTRIBUTE, 'int' , None, None, 
                [('49152', '65534')], [], 
                '''                Maximum value for ephemeral ports for IOS
                ''',
                'ephemeral_max',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'ip-ports',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Bfd',
            False, 
            [
            _MetaInfoClassMember('allow-svi', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'allow_svi',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('disable-offload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable bfd hw offload
                ''',
                'disable_offload',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('enable-offload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'enable_offload',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Console.OutputEnum' : _MetaInfoEnum('OutputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'serial':'serial',
            'virtual':'virtual',
        }, 'Cisco-IOS-XE-platform', _yang_ns._namespaces['Cisco-IOS-XE-platform']),
    'Native.Platform.Console' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Console',
            False, 
            [
            _MetaInfoClassMember('output', REFERENCE_ENUM_CLASS, 'OutputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Console.OutputEnum', 
                [], [], 
                '''                ''',
                'output',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'console',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Enable.Controller' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Enable.Controller',
            False, 
            [
            _MetaInfoClassMember('SONET', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SONET
                ''',
                'sonet',
                'Cisco-IOS-XE-platform', True),
            ],
            'Cisco-IOS-XE-platform',
            'controller',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Enable',
            False, 
            [
            _MetaInfoClassMember('controller', REFERENCE_LIST, 'Controller' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Enable.Controller', 
                [], [], 
                '''                ''',
                'controller',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.ExternalAlarm' : {
        'meta_info' : _MetaInfoClass('Native.Platform.ExternalAlarm',
            False, 
            [
            _MetaInfoClassMember('alarm', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'alarm',
                'Cisco-IOS-XE-platform', False, [
                    _MetaInfoClassMember('alarm', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'alarm',
                        'Cisco-IOS-XE-platform', False),
                    _MetaInfoClassMember('alarm', REFERENCE_ENUM_CLASS, 'LoggingLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'LoggingLevelTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'alarm',
                        'Cisco-IOS-XE-platform', False),
                ]),
            _MetaInfoClassMember('line', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'line',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'external-alarm',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Hardware.Lite.LicenseEnum' : _MetaInfoEnum('LicenseEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'enable':'enable',
        }, 'Cisco-IOS-XE-platform', _yang_ns._namespaces['Cisco-IOS-XE-platform']),
    'Native.Platform.Hardware.Lite' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Hardware.Lite',
            False, 
            [
            _MetaInfoClassMember('license', REFERENCE_ENUM_CLASS, 'LicenseEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Hardware.Lite.LicenseEnum', 
                [], [], 
                '''                ''',
                'license',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'lite',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Hardware.Throughput.Level.KbpsEnum' : _MetaInfoEnum('KbpsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '10000':'Y_10000',
            '25000':'Y_25000',
            '50000':'Y_50000',
        }, 'Cisco-IOS-XE-platform', _yang_ns._namespaces['Cisco-IOS-XE-platform']),
    'Native.Platform.Hardware.Throughput.Level' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Hardware.Throughput.Level',
            False, 
            [
            _MetaInfoClassMember('eval-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use only evaluation license
                ''',
                'eval_only',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('kbps', REFERENCE_ENUM_CLASS, 'KbpsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Hardware.Throughput.Level.KbpsEnum', 
                [], [], 
                '''                ''',
                'kbps',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Hardware.Throughput.DisableEnum' : _MetaInfoEnum('DisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'internal-license':'internal_license',
        }, 'Cisco-IOS-XE-platform', _yang_ns._namespaces['Cisco-IOS-XE-platform']),
    'Native.Platform.Hardware.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Hardware.Throughput',
            False, 
            [
            _MetaInfoClassMember('disable', REFERENCE_ENUM_CLASS, 'DisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Hardware.Throughput.DisableEnum', 
                [], [], 
                '''                Disable throughput upgrade licenses
                ''',
                'disable',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Hardware.Throughput.Level', 
                [], [], 
                '''                Configure the current traffic throughput level
                ''',
                'level',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Hardware' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Hardware',
            False, 
            [
            _MetaInfoClassMember('lite', REFERENCE_CLASS, 'Lite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Hardware.Lite', 
                [], [], 
                '''                ''',
                'lite',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Hardware.Throughput', 
                [], [], 
                '''                Configure throughput
                ''',
                'throughput',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'hardware',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Ipsec.Llq' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Ipsec.Llq',
            False, 
            [
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                config LLQ QoS Group
                ''',
                'qos_group',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'llq',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Ipsec.Reassemble' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Ipsec.Reassemble',
            False, 
            [
            _MetaInfoClassMember('transit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transit IPSEC packets
                ''',
                'transit',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'reassemble',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Ipsec.GdoiEnum' : _MetaInfoEnum('GdoiEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'accept-both':'accept_both',
        }, 'Cisco-IOS-XE-platform', _yang_ns._namespaces['Cisco-IOS-XE-platform']),
    'Native.Platform.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Ipsec',
            False, 
            [
            _MetaInfoClassMember('arlog-supress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                supress anti-replay error log
                ''',
                'arlog_supress',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('fips-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable FIPS mode
                ''',
                'fips_mode',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('gdoi', REFERENCE_ENUM_CLASS, 'GdoiEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Ipsec.GdoiEnum', 
                [], [], 
                '''                gdoi
                ''',
                'gdoi',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('llq', REFERENCE_CLASS, 'Llq' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Ipsec.Llq', 
                [], [], 
                '''                config LLQ
                ''',
                'llq',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('reassemble', REFERENCE_CLASS, 'Reassemble' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Ipsec.Reassemble', 
                [], [], 
                '''                reassemble packets
                ''',
                'reassemble',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.L2Vpn.Statistics' : {
        'meta_info' : _MetaInfoClass('Native.Platform.L2Vpn.Statistics',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable the stats
                ''',
                'enable',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.L2Vpn' : {
        'meta_info' : _MetaInfoClass('Native.Platform.L2Vpn',
            False, 
            [
            _MetaInfoClassMember('hdlc-pass-through', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                l2vpn HDLC force pass through
                ''',
                'hdlc_pass_through',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.L2Vpn.Statistics', 
                [], [], 
                '''                l2vpn statistics
                ''',
                'statistics',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'l2vpn',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Multicast.Mgre' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Multicast.Mgre',
            False, 
            [
            _MetaInfoClassMember('injection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable packet injection
                ''',
                'injection',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'mgre',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Multicast.Oce.Flag' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Multicast.Oce.Flag',
            False, 
            [
            _MetaInfoClassMember('suppress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable oce flag suppress
                ''',
                'suppress',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'flag',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Multicast.Oce' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Multicast.Oce',
            False, 
            [
            _MetaInfoClassMember('flag', REFERENCE_CLASS, 'Flag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Multicast.Oce.Flag', 
                [], [], 
                '''                multicast oce flag
                ''',
                'flag',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'oce',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Multicast',
            False, 
            [
            _MetaInfoClassMember('mgre', REFERENCE_CLASS, 'Mgre' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Multicast.Mgre', 
                [], [], 
                '''                Multi-point GRE tunnel
                ''',
                'mgre',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('oce', REFERENCE_CLASS, 'Oce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Multicast.Oce', 
                [], [], 
                '''                multicast oce
                ''',
                'oce',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.PuntKeepalive.Settings' : {
        'meta_info' : _MetaInfoClass('Native.Platform.PuntKeepalive.Settings',
            False, 
            [
            _MetaInfoClassMember('fatal-count', ATTRIBUTE, 'int' , None, None, 
                [('15', '60')], [], 
                '''                Set punt-inject keepalive fatal count
                ''',
                'fatal_count',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('transmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('2', '30')], [], 
                '''                Set punt-inject keepalive transmit interval
                ''',
                'transmit_interval',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('warning-count', ATTRIBUTE, 'int' , None, None, 
                [('10', '60')], [], 
                '''                Set punt-inject keepalive warning count
                ''',
                'warning_count',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'settings',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.PuntKeepalive' : {
        'meta_info' : _MetaInfoClass('Native.Platform.PuntKeepalive',
            False, 
            [
            _MetaInfoClassMember('disable-kernel-core', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable IOSXE kernel core generation for keepalive fault
                ''',
                'disable_kernel_core',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('settings', REFERENCE_CLASS, 'Settings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.PuntKeepalive.Settings', 
                [], [], 
                '''                Set the keepalive parameters
                ''',
                'settings',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'punt-keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.PuntPolicer.PuntNum' : {
        'meta_info' : _MetaInfoClass('Native.Platform.PuntPolicer.PuntNum',
            False, 
            [
            _MetaInfoClassMember('cause', ATTRIBUTE, 'int' , None, None, 
                [('1', '89')], [], 
                '''                ''',
                'cause',
                'Cisco-IOS-XE-platform', True),
            _MetaInfoClassMember('high', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                High priority traffic only
                ''',
                'high',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('max-rate', ATTRIBUTE, 'int' , None, None, 
                [('10', '32000')], [], 
                '''                ''',
                'max_rate',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'punt-num',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.PuntPolicer' : {
        'meta_info' : _MetaInfoClass('Native.Platform.PuntPolicer',
            False, 
            [
            _MetaInfoClassMember('punt-num', REFERENCE_LIST, 'PuntNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.PuntPolicer.PuntNum', 
                [], [], 
                '''                Configure punt cause to be policed
                ''',
                'punt_num',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'punt-policer',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Qos.MatchStatistics' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Qos.MatchStatistics',
            False, 
            [
            _MetaInfoClassMember('per-ace', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure per-ace match statistics (per-filter must be enabled first)
                ''',
                'per_ace',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('per-filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure per-filter match statistics
                ''',
                'per_filter',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'match-statistics',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Qos',
            False, 
            [
            _MetaInfoClassMember('cac-policer', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000')], [], 
                '''                packet per second
                ''',
                'cac_policer',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('marker-statistics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure marking statistics
                ''',
                'marker_statistics',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('match-statistics', REFERENCE_CLASS, 'MatchStatistics' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Qos.MatchStatistics', 
                [], [], 
                '''                Configure match stats
                ''',
                'match_statistics',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('performance-monitor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure performance-monitor statistics
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('punt-path-matching', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure punt-path matching on input interface (PPPoE-Discovery, PPPoE-PPP-LCP)
                ''',
                'punt_path_matching',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Reload' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Reload',
            False, 
            [
            _MetaInfoClassMember('immediate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Immediately stop forwarding traffic
                ''',
                'immediate',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'reload',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Urpf.Loose.Counter.Ipv4.Supress' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Urpf.Loose.Counter.Ipv4.Supress',
            False, 
            [
            _MetaInfoClassMember('asymmetric_only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                it works only for asymmetric traffic
                ''',
                'asymmetric_only',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'supress',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Urpf.Loose.Counter.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Urpf.Loose.Counter.Ipv4',
            False, 
            [
            _MetaInfoClassMember('supress', REFERENCE_CLASS, 'Supress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Urpf.Loose.Counter.Ipv4.Supress', 
                [], [], 
                '''                supress drop
                ''',
                'supress',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Urpf.Loose.Counter.Ipv6.Supress' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Urpf.Loose.Counter.Ipv6.Supress',
            False, 
            [
            _MetaInfoClassMember('asymmetric_only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                it works only for asymmetric traffic
                ''',
                'asymmetric_only',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'supress',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Urpf.Loose.Counter.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Urpf.Loose.Counter.Ipv6',
            False, 
            [
            _MetaInfoClassMember('supress', REFERENCE_CLASS, 'Supress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Urpf.Loose.Counter.Ipv6.Supress', 
                [], [], 
                '''                supress drop
                ''',
                'supress',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Urpf.Loose.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Urpf.Loose.Counter',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Urpf.Loose.Counter.Ipv4', 
                [], [], 
                '''                ipv4 protocol
                ''',
                'ipv4',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Urpf.Loose.Counter.Ipv6', 
                [], [], 
                '''                ipv6 protocol
                ''',
                'ipv6',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Urpf.Loose' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Urpf.Loose',
            False, 
            [
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Urpf.Loose.Counter', 
                [], [], 
                '''                drop counter
                ''',
                'counter',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'loose',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Urpf' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Urpf',
            False, 
            [
            _MetaInfoClassMember('loose', REFERENCE_CLASS, 'Loose' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Urpf.Loose', 
                [], [], 
                '''                uRPF loose mode
                ''',
                'loose',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'urpf',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.TcamThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Platform.TcamThreshold',
            False, 
            [
            _MetaInfoClassMember('alarm-frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'alarm_frequency',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'tcam-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Trace.Runtime.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'info':'info',
        }, 'Cisco-IOS-XE-platform', _yang_ns._namespaces['Cisco-IOS-XE-platform']),
    'Native.Platform.Trace.Runtime.ModuleEnum' : _MetaInfoEnum('ModuleEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'all-modules':'all_modules',
        }, 'Cisco-IOS-XE-platform', _yang_ns._namespaces['Cisco-IOS-XE-platform']),
    'Native.Platform.Trace.Runtime.ProcessEnum' : _MetaInfoEnum('ProcessEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'iomd':'iomd',
        }, 'Cisco-IOS-XE-platform', _yang_ns._namespaces['Cisco-IOS-XE-platform']),
    'Native.Platform.Trace.Runtime' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Trace.Runtime',
            False, 
            [
            _MetaInfoClassMember('slot', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'slot',
                'Cisco-IOS-XE-platform', True),
            _MetaInfoClassMember('bay', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'bay',
                'Cisco-IOS-XE-platform', True),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Trace.Runtime.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('module', REFERENCE_ENUM_CLASS, 'ModuleEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Trace.Runtime.ModuleEnum', 
                [], [], 
                '''                ''',
                'module',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('process', REFERENCE_ENUM_CLASS, 'ProcessEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Trace.Runtime.ProcessEnum', 
                [], [], 
                '''                ''',
                'process',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'runtime',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.Trace' : {
        'meta_info' : _MetaInfoClass('Native.Platform.Trace',
            False, 
            [
            _MetaInfoClassMember('runtime', REFERENCE_LIST, 'Runtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Trace.Runtime', 
                [], [], 
                '''                ''',
                'runtime',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-platform',
            'trace',
            _yang_ns._namespaces['Cisco-IOS-XE-platform'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Platform.TcamParityErrorEnum' : _MetaInfoEnum('TcamParityErrorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'enable':'enable',
            'disable':'disable',
        }, 'Cisco-IOS-XE-platform', _yang_ns._namespaces['Cisco-IOS-XE-platform']),
    'Native.Platform' : {
        'meta_info' : _MetaInfoClass('Native.Platform',
            False, 
            [
            _MetaInfoClassMember('atm-cdvt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configure platform atm cdvt
                ''',
                'atm_cdvt',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Bfd', 
                [], [], 
                '''                Platform specific BFD commands
                ''',
                'bfd',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('bfd-debug-trace', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'bfd_debug_trace',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('cfm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Multi-NNI CFM feature
                ''',
                'cfm',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('console', REFERENCE_CLASS, 'Console' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Console', 
                [], [], 
                '''                Direct IOS output to console
                ''',
                'console',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Enable', 
                [], [], 
                '''                ''',
                'enable',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('external-alarm', REFERENCE_CLASS, 'ExternalAlarm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.ExternalAlarm', 
                [], [], 
                '''                ''',
                'external_alarm',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('hardware', REFERENCE_CLASS, 'Hardware' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Hardware', 
                [], [], 
                '''                Configure platform hardware
                ''',
                'hardware',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('icmp', REFERENCE_CLASS, 'Icmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Icmp', 
                [], [], 
                '''                Configure platform icmp
                ''',
                'icmp',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('ip-ports', REFERENCE_CLASS, 'IpPorts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.IpPorts', 
                [], [], 
                '''                Configure Kernel IP ephemeral ports
                ''',
                'ip_ports',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Ipsec', 
                [], [], 
                '''                Platform specific ipsec command
                ''',
                'ipsec',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('l2vpn', REFERENCE_CLASS, 'L2Vpn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.L2Vpn', 
                [], [], 
                '''                Configure platform l2vpn global configurtion
                ''',
                'l2vpn',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Multicast', 
                [], [], 
                '''                Configure multicast
                ''',
                'multicast',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('punt-keepalive', REFERENCE_CLASS, 'PuntKeepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.PuntKeepalive', 
                [], [], 
                '''                punt-keepalive messages
                ''',
                'punt_keepalive',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('punt-policer', REFERENCE_CLASS, 'PuntPolicer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.PuntPolicer', 
                [], [], 
                '''                Configures punt policers
                ''',
                'punt_policer',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Qos', 
                [], [], 
                '''                Platform specific qos configuration
                ''',
                'qos',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('reload', REFERENCE_CLASS, 'Reload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Reload', 
                [], [], 
                '''                Platform specific reload command
                ''',
                'reload',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('shell', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Control platform shell access command availability
                ''',
                'shell',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('tcam-parity-error', REFERENCE_ENUM_CLASS, 'TcamParityErrorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.TcamParityErrorEnum', 
                [], [], 
                '''                ''',
                'tcam_parity_error',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('tcam-threshold', REFERENCE_CLASS, 'TcamThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.TcamThreshold', 
                [], [], 
                '''                ''',
                'tcam_threshold',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('trace', REFERENCE_CLASS, 'Trace' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Trace', 
                [], [], 
                '''                ''',
                'trace',
                'Cisco-IOS-XE-platform', False),
            _MetaInfoClassMember('urpf', REFERENCE_CLASS, 'Urpf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform.Urpf', 
                [], [], 
                '''                Platform specific urpf commands
                ''',
                'urpf',
                'Cisco-IOS-XE-platform', False),
            ],
            'Cisco-IOS-XE-native',
            'platform',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Enable.Password.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Enable.Password' : {
        'meta_info' : _MetaInfoClass('Native.Enable.Password',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set exec level password
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secret', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'secret',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Enable.Password.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Enable.Secret.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '4':'Y_4',
            '5':'Y_5',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Enable.Secret' : {
        'meta_info' : _MetaInfoClass('Native.Enable.Secret',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set exec level password
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secret', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'secret',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Enable.Secret.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secret',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Enable.LastResortEnum' : _MetaInfoEnum('LastResortEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'password':'password',
            'succeed':'succeed',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Enable',
            False, 
            [
            _MetaInfoClassMember('last-resort', REFERENCE_ENUM_CLASS, 'LastResortEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Enable.LastResortEnum', 
                [], [], 
                '''                Define enable action if no TACACS servers respond
                ''',
                'last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Enable.Password', 
                [], [], 
                '''                Assign the privileged level password (MAX of 25 characters)
                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secret', REFERENCE_CLASS, 'Secret' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Enable.Secret', 
                [], [], 
                '''                Assign the privileged level secret
                ''',
                'secret',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-tacacs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use TACACS to check enable passwords
                ''',
                'use_tacacs',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Password.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Password.Encryption',
            False, 
            [
            _MetaInfoClassMember('aes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable stronger (AES) password encryption
                ''',
                'aes',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Password' : {
        'meta_info' : _MetaInfoClass('Native.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Password.Encryption', 
                [], [], 
                '''                Encrypt system passwords
                ''',
                'encryption',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Eap.Profile.Method' : {
        'meta_info' : _MetaInfoClass('Native.Eap.Profile.Method',
            False, 
            [
            _MetaInfoClassMember('fast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EAP-FAST method allowed
                ''',
                'fast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('gtc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EAP-GTC method allowed
                ''',
                'gtc',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('leap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EAP-LEAP method allowed
                ''',
                'leap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EAP-MD5 method allowed
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mschapv2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EAP-MSCHAPV2 method allowed
                ''',
                'mschapv2',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EAP-PEAP method allowed
                ''',
                'peap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tls', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EAP-TLS method allowed
                ''',
                'tls',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'method',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Eap.Profile' : {
        'meta_info' : _MetaInfoClass('Native.Eap.Profile',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;EAP authenticator profile name
                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('method', REFERENCE_CLASS, 'Method' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Eap.Profile.Method', 
                [], [], 
                '''                Add an allowed method
                ''',
                'method',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pki-trustpoint', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the default pki trustpoint
                ''',
                'pki_trustpoint',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'profile',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Eap',
            False, 
            [
            _MetaInfoClassMember('profile', REFERENCE_LIST, 'Profile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Eap.Profile', 
                [], [], 
                '''                EAP authenticator profile configuration
                ''',
                'profile',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Archive.Log.Config.Logging.Persistent' : {
        'meta_info' : _MetaInfoClass('Native.Archive.Log.Config.Logging.Persistent',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log configuration commands automatically
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply persisted commands on reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Archive.Log.Config.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Archive.Log.Config.Logging',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the config logger
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('persistent', REFERENCE_CLASS, 'Persistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Archive.Log.Config.Logging.Persistent', 
                [], [], 
                '''                Log configuration persistent
                ''',
                'persistent',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum number of logged commands that will be kept by the config log
                ''',
                'size',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Archive.Log.Config.Notify.Syslog.ContenttypeEnum' : _MetaInfoEnum('ContenttypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'plaintext':'plaintext',
            'xml':'xml',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Archive.Log.Config.Notify.Syslog' : {
        'meta_info' : _MetaInfoClass('Native.Archive.Log.Config.Notify.Syslog',
            False, 
            [
            _MetaInfoClassMember('contenttype', REFERENCE_ENUM_CLASS, 'ContenttypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Archive.Log.Config.Notify.Syslog.ContenttypeEnum', 
                [], [], 
                '''                Type of the syslog message content
                ''',
                'contenttype',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'syslog',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Archive.Log.Config.Notify' : {
        'meta_info' : _MetaInfoClass('Native.Archive.Log.Config.Notify',
            False, 
            [
            _MetaInfoClassMember('syslog', REFERENCE_CLASS, 'Syslog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Archive.Log.Config.Notify.Syslog', 
                [], [], 
                '''                Send logged commands as syslog messages
                ''',
                'syslog',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'notify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Archive.Log.Config' : {
        'meta_info' : _MetaInfoClass('Native.Archive.Log.Config',
            False, 
            [
            _MetaInfoClassMember('hidekeys', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                suppress output (e.g. passwords) when displaying logged commands
                ''',
                'hidekeys',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Archive.Log.Config.Logging', 
                [], [], 
                '''                Modify config logging parameters
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('notify', REFERENCE_CLASS, 'Notify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Archive.Log.Config.Notify', 
                [], [], 
                '''                Send logged commands to target applications
                ''',
                'notify',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Archive.Log' : {
        'meta_info' : _MetaInfoClass('Native.Archive.Log',
            False, 
            [
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Archive.Log.Config', 
                [], [], 
                '''                Logging changes to the running configuration
                ''',
                'config',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'log',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Archive.PathEnum' : _MetaInfoEnum('PathEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'flash:':'flash__COLON__',
            'ftp:':'ftp__COLON__',
            'harddisk:':'harddisk__COLON__',
            'http:':'http__COLON__',
            'https:':'https__COLON__',
            'pram:':'pram__COLON__',
            'rcp:':'rcp__COLON__',
            'scp:':'scp__COLON__',
            'tftp:':'tftp__COLON__',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Archive' : {
        'meta_info' : _MetaInfoClass('Native.Archive',
            False, 
            [
            _MetaInfoClassMember('log', REFERENCE_CLASS, 'Log' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Archive.Log', 
                [], [], 
                '''                Logging commands
                ''',
                'log',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('1', '14')], [], 
                '''                maximum number of backup copies
                ''',
                'maximum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                path for backups
                ''',
                'path',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('path', REFERENCE_ENUM_CLASS, 'Native.Archive.PathEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Archive.PathEnum', 
                        [], [], 
                        '''                        path for backups
                        ''',
                        'path',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        path for backups
                        ''',
                        'path',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('time-period', ATTRIBUTE, 'int' , None, None, 
                [('1', '525600')], [], 
                '''                Period of time in minutes to automatically archive the running-config
                ''',
                'time_period',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'archive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Username.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Username.Password' : {
        'meta_info' : _MetaInfoClass('Native.Username.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Username.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Username.Secret.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '5':'Y_5',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Username.Secret' : {
        'meta_info' : _MetaInfoClass('Native.Username.Secret',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Username.Secret.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secret', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'secret',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secret',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Username' : {
        'meta_info' : _MetaInfoClass('Native.Username',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('one-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify that the username/password is valid for only one time
                ''',
                'one_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Username.Password', 
                [], [], 
                '''                Specify the password for the user
                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('privilege', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                Set user privilege level
                ''',
                'privilege',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secret', REFERENCE_CLASS, 'Secret' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Username.Secret', 
                [], [], 
                '''                Specify the secret for the user
                ''',
                'secret',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'username',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.ControllerTxExList.Clock.Source.Line.LineModeEnum' : _MetaInfoEnum('LineModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'primary':'primary',
            'secondary':'secondary',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.ControllerTxExList.Clock.Source.Line' : {
        'meta_info' : _MetaInfoClass('Native.Controller.ControllerTxExList.Clock.Source.Line',
            False, 
            [
            _MetaInfoClassMember('line-mode', REFERENCE_ENUM_CLASS, 'LineModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.ControllerTxExList.Clock.Source.Line.LineModeEnum', 
                [], [], 
                '''                ''',
                'line_mode',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.ControllerTxExList.Clock.Source' : {
        'meta_info' : _MetaInfoClass('Native.Controller.ControllerTxExList.Clock.Source',
            False, 
            [
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'internal',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.ControllerTxExList.Clock.Source.Line', 
                [], [], 
                '''                ''',
                'line',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('loop-timed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'loop_timed',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.ControllerTxExList.Clock' : {
        'meta_info' : _MetaInfoClass('Native.Controller.ControllerTxExList.Clock',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.ControllerTxExList.Clock.Source', 
                [], [], 
                '''                ''',
                'source',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'clock',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.ControllerTxExList.Cablelength' : {
        'meta_info' : _MetaInfoClass('Native.Controller.ControllerTxExList.Cablelength',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'long',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('short', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'short',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'cablelength',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.ControllerTxExList.ChannelGroup' : {
        'meta_info' : _MetaInfoClass('Native.Controller.ControllerTxExList.ChannelGroup',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '30')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('timeslots', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'timeslots',
                'Cisco-IOS-XE-controller', False, [
                    _MetaInfoClassMember('timeslots', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'timeslots',
                        'Cisco-IOS-XE-controller', False),
                    _MetaInfoClassMember('timeslots', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'timeslots',
                        'Cisco-IOS-XE-controller', False),
                ]),
            ],
            'Cisco-IOS-XE-controller',
            'channel-group',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.ControllerTxExList.LinecodeEnum' : _MetaInfoEnum('LinecodeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ami':'ami',
            'b8zs':'b8zs',
            'hdb3':'hdb3',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.ControllerTxExList.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            't1':'t1',
            'e1':'e1',
            't3':'t3',
            'T1':'T1',
            'E1':'E1',
            'T3':'T3',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.ControllerTxExList' : {
        'meta_info' : _MetaInfoClass('Native.Controller.ControllerTxExList',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.ControllerTxExList.NameEnum', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('atm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify atm
                ''',
                'atm',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('cablelength', REFERENCE_CLASS, 'Cablelength' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.ControllerTxExList.Cablelength', 
                [], [], 
                '''                ''',
                'cablelength',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('channel-group', REFERENCE_LIST, 'ChannelGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.ControllerTxExList.ChannelGroup', 
                [], [], 
                '''                ''',
                'channel_group',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('clock', REFERENCE_CLASS, 'Clock' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.ControllerTxExList.Clock', 
                [], [], 
                '''                ''',
                'clock',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('framing', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'framing',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('linecode', REFERENCE_ENUM_CLASS, 'LinecodeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.ControllerTxExList.LinecodeEnum', 
                [], [], 
                '''                ''',
                'linecode',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'controller-tx-ex-list',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi',
            False, 
            [
            _MetaInfoClassMember('onset-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'onset_threshold',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'rssi',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Cellular.Lte.Modem.LinkRecovery' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Cellular.Lte.Modem.LinkRecovery',
            False, 
            [
            _MetaInfoClassMember('debounce-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'debounce_count',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('monitor-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'monitor_timer',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('rssi', REFERENCE_CLASS, 'Rssi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi', 
                [], [], 
                '''                ''',
                'rssi',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('wait-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'wait_timer',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'link-recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Cellular.Lte.Modem' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Cellular.Lte.Modem',
            False, 
            [
            _MetaInfoClassMember('link-recovery', REFERENCE_CLASS, 'LinkRecovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Cellular.Lte.Modem.LinkRecovery', 
                [], [], 
                '''                ''',
                'link_recovery',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'modem',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Cellular.Lte' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Cellular.Lte',
            False, 
            [
            _MetaInfoClassMember('modem', REFERENCE_CLASS, 'Modem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Cellular.Lte.Modem', 
                [], [], 
                '''                ''',
                'modem',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'lte',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Cellular' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Cellular',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('lte', REFERENCE_CLASS, 'Lte' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Cellular.Lte', 
                [], [], 
                '''                ''',
                'lte',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'Cellular',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Clock.SourceEnum' : _MetaInfoEnum('SourceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'internal':'internal',
            'line':'line',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.Sonet.Clock' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Clock',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_ENUM_CLASS, 'SourceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Clock.SourceEnum', 
                [], [], 
                '''                SONET clock source
                ''',
                'source',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'clock',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Aug.MappingEnum' : _MetaInfoEnum('MappingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'au-3':'au_3',
            'au-4':'au_4',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.Sonet.Aug' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Aug',
            False, 
            [
            _MetaInfoClassMember('mapping', REFERENCE_ENUM_CLASS, 'MappingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Aug.MappingEnum', 
                [], [], 
                '''                ''',
                'mapping',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'aug',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au3.Overhead.ByteEnum' : _MetaInfoEnum('ByteEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'j1':'j1',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.Sonet.Au3.Overhead' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au3.Overhead',
            False, 
            [
            _MetaInfoClassMember('byte', REFERENCE_ENUM_CLASS, 'ByteEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au3.Overhead.ByteEnum', 
                [], [], 
                '''                ''',
                'byte',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'length',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'overhead',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au3.Mode.MappingEnum' : _MetaInfoEnum('MappingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'c-11':'c_11',
            'c-12':'c_12',
            'c-2':'c_2',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.Sonet.Au3.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au3.Mode',
            False, 
            [
            _MetaInfoClassMember('mapping', REFERENCE_ENUM_CLASS, 'MappingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au3.Mode.MappingEnum', 
                [], [], 
                '''                ''',
                'mapping',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au3' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au3',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                AU-3 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au3.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('overhead', REFERENCE_CLASS, 'Overhead' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au3.Overhead', 
                [], [], 
                '''                overhead
                ''',
                'overhead',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'au-3',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4Atm.Au4' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4Atm.Au4',
            False, 
            [
            _MetaInfoClassMember('atm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                AU-4 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'au-4',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4Atm' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4Atm',
            False, 
            [
            _MetaInfoClassMember('au-4', REFERENCE_CLASS, 'Au4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4Atm.Au4', 
                [], [], 
                '''                AU-4
                ''',
                'au_4',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'au-4-atm',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.CemGroupTimeslots.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.CemGroupTimeslots.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('cem-group', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                CEM group
                ''',
                'cem_group',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('timeslots', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Time slots
                ''',
                'timeslots',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.CemGroupTimeslots' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.CemGroupTimeslots',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.CemGroupTimeslots.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'cem-group-timeslots',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.ChannelGroupTimeslots.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.ChannelGroupTimeslots.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('channel-group', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Channel group
                ''',
                'channel_group',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('timeslots', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Time slots
                ''',
                'timeslots',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.ChannelGroupTimeslots' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.ChannelGroupTimeslots',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.ChannelGroupTimeslots.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'channel-group-timeslots',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.CemGroupUnframed.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.CemGroupUnframed.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('cem-group', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                CEM group
                ''',
                'cem_group',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('unframed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Unframed
                ''',
                'unframed',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.CemGroupUnframed' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.CemGroupUnframed',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.CemGroupUnframed.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'cem-group-unframed',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.FramingUnframed.Tug2.FramingEnum' : _MetaInfoEnum('FramingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unframed':'unframed',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.Sonet.Au4.FramingUnframed.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.FramingUnframed.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('framing', REFERENCE_ENUM_CLASS, 'FramingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.FramingUnframed.Tug2.FramingEnum', 
                [], [], 
                '''                ''',
                'framing',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.FramingUnframed' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.FramingUnframed',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.FramingUnframed.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'framing-unframed',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.CemGroupAtm.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.CemGroupAtm.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('atm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.CemGroupAtm' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.CemGroupAtm',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.CemGroupAtm.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'cem-group-atm',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.ImaGroup.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.ImaGroup.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('ima-group', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IMA group
                ''',
                'ima_group',
                'Cisco-IOS-XE-controller', True),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.ImaGroup' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4.ImaGroup',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.ImaGroup.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'ima-group',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Au4.FramingEnum' : _MetaInfoEnum('FramingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unframed':'unframed',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.Sonet.Au4.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'c-11':'c_11',
            'c-12':'c_12',
            'c-2':'c_2',
            'c-3':'c_3',
            'c-4':'c_4',
            'e3':'e3',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.Sonet.Au4' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Au4',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                AU-4 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('tug-3', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                TUG-3
                ''',
                'tug_3',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('cem-group', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                CEM group
                ''',
                'cem_group',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('cem-group-atm', REFERENCE_CLASS, 'CemGroupAtm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.CemGroupAtm', 
                [], [], 
                '''                ''',
                'cem_group_atm',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('cem-group-timeslots', REFERENCE_CLASS, 'CemGroupTimeslots' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.CemGroupTimeslots', 
                [], [], 
                '''                ''',
                'cem_group_timeslots',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('cem-group-unframed', REFERENCE_CLASS, 'CemGroupUnframed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.CemGroupUnframed', 
                [], [], 
                '''                ''',
                'cem_group_unframed',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('channel-group-timeslots', REFERENCE_CLASS, 'ChannelGroupTimeslots' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.ChannelGroupTimeslots', 
                [], [], 
                '''                ''',
                'channel_group_timeslots',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('framing', REFERENCE_ENUM_CLASS, 'FramingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.FramingEnum', 
                [], [], 
                '''                ''',
                'framing',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('framing-unframed', REFERENCE_CLASS, 'FramingUnframed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.FramingUnframed', 
                [], [], 
                '''                ''',
                'framing_unframed',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('ima-group', REFERENCE_CLASS, 'ImaGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.ImaGroup', 
                [], [], 
                '''                ''',
                'ima_group',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4.ModeEnum', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('unframed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Unframed
                ''',
                'unframed',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'au-4',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Aps.Group' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Aps.Group',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                ACR
                ''',
                'acr',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Aps.Protect' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Aps.Protect',
            False, 
            [
            _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'protect',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Aps.Interchassis' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Aps.Interchassis',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'interchassis',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.Aps' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet.Aps',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Aps.Group', 
                [], [], 
                '''                SONET APS group
                ''',
                'group',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('hspw-icrm-grp', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'hspw_icrm_grp',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('interchassis', REFERENCE_CLASS, 'Interchassis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Aps.Interchassis', 
                [], [], 
                '''                ''',
                'interchassis',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('protect', REFERENCE_CLASS, 'Protect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Aps.Protect', 
                [], [], 
                '''                Protect line
                ''',
                'protect',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('working', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                Working line
                ''',
                'working',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Sonet.FramingEnum' : _MetaInfoEnum('FramingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sonet':'sonet',
            'sdh':'sdh',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.Sonet' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Sonet',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Aps', 
                [], [], 
                '''                SONET APS
                ''',
                'aps',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('au-3', REFERENCE_LIST, 'Au3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au3', 
                [], [], 
                '''                AU-3
                ''',
                'au_3',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('au-4', REFERENCE_LIST, 'Au4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4', 
                [], [], 
                '''                AU-4
                ''',
                'au_4',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('au-4-atm', REFERENCE_CLASS, 'Au4Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Au4Atm', 
                [], [], 
                '''                ''',
                'au_4_atm',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('aug', REFERENCE_CLASS, 'Aug' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Aug', 
                [], [], 
                '''                AUG
                ''',
                'aug',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('clock', REFERENCE_CLASS, 'Clock' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.Clock', 
                [], [], 
                '''                SONET clock
                ''',
                'clock',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('framing', REFERENCE_ENUM_CLASS, 'FramingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet.FramingEnum', 
                [], [], 
                '''                SONET framing
                ''',
                'framing',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'shutdown',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'SONET',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Clock.SourceEnum' : _MetaInfoEnum('SourceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'internal':'internal',
            'line':'line',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.SonetAcr.Clock' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Clock',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_ENUM_CLASS, 'SourceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Clock.SourceEnum', 
                [], [], 
                '''                SONET clock source
                ''',
                'source',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'clock',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Aug.MappingEnum' : _MetaInfoEnum('MappingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'au-3':'au_3',
            'au-4':'au_4',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.SonetAcr.Aug' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Aug',
            False, 
            [
            _MetaInfoClassMember('mapping', REFERENCE_ENUM_CLASS, 'MappingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Aug.MappingEnum', 
                [], [], 
                '''                ''',
                'mapping',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'aug',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au3.Overhead.ByteEnum' : _MetaInfoEnum('ByteEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'j1':'j1',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.SonetAcr.Au3.Overhead' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au3.Overhead',
            False, 
            [
            _MetaInfoClassMember('byte', REFERENCE_ENUM_CLASS, 'ByteEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au3.Overhead.ByteEnum', 
                [], [], 
                '''                ''',
                'byte',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'length',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'overhead',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au3.Mode.MappingEnum' : _MetaInfoEnum('MappingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'c-11':'c_11',
            'c-12':'c_12',
            'c-2':'c_2',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.SonetAcr.Au3.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au3.Mode',
            False, 
            [
            _MetaInfoClassMember('mapping', REFERENCE_ENUM_CLASS, 'MappingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au3.Mode.MappingEnum', 
                [], [], 
                '''                ''',
                'mapping',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au3' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au3',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                AU-3 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au3.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('overhead', REFERENCE_CLASS, 'Overhead' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au3.Overhead', 
                [], [], 
                '''                overhead
                ''',
                'overhead',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'au-3',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4Atm.Au4' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4Atm.Au4',
            False, 
            [
            _MetaInfoClassMember('atm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                AU-4 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'au-4',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4Atm' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4Atm',
            False, 
            [
            _MetaInfoClassMember('au-4', REFERENCE_CLASS, 'Au4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4Atm.Au4', 
                [], [], 
                '''                AU-4
                ''',
                'au_4',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'au-4-atm',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.CemGroupTimeslots.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.CemGroupTimeslots.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('cem-group', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                CEM group
                ''',
                'cem_group',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('timeslots', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Time slots
                ''',
                'timeslots',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.CemGroupTimeslots' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.CemGroupTimeslots',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.CemGroupTimeslots.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'cem-group-timeslots',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('channel-group', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Channel group
                ''',
                'channel_group',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('timeslots', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Time slots
                ''',
                'timeslots',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'channel-group-timeslots',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.CemGroupUnframed.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.CemGroupUnframed.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('cem-group', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                CEM group
                ''',
                'cem_group',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('unframed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Unframed
                ''',
                'unframed',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.CemGroupUnframed' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.CemGroupUnframed',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.CemGroupUnframed.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'cem-group-unframed',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.FramingUnframed.Tug2.FramingEnum' : _MetaInfoEnum('FramingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unframed':'unframed',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.SonetAcr.Au4.FramingUnframed.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.FramingUnframed.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('framing', REFERENCE_ENUM_CLASS, 'FramingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.FramingUnframed.Tug2.FramingEnum', 
                [], [], 
                '''                ''',
                'framing',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.FramingUnframed' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.FramingUnframed',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.FramingUnframed.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'framing-unframed',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.CemGroupAtm.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.CemGroupAtm.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('atm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.CemGroupAtm' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.CemGroupAtm',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.CemGroupAtm.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'cem-group-atm',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.ImaGroup.Tug2' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.ImaGroup.Tug2',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                TUG-2 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('e1', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                E1
                ''',
                'e1',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('ima-group', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IMA group
                ''',
                'ima_group',
                'Cisco-IOS-XE-controller', True),
            ],
            'Cisco-IOS-XE-controller',
            'tug-2',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.ImaGroup' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4.ImaGroup',
            False, 
            [
            _MetaInfoClassMember('tug-2', REFERENCE_LIST, 'Tug2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.ImaGroup.Tug2', 
                [], [], 
                '''                TUG-2
                ''',
                'tug_2',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'ima-group',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Au4.FramingEnum' : _MetaInfoEnum('FramingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unframed':'unframed',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.SonetAcr.Au4.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'c-11':'c_11',
            'c-12':'c_12',
            'c-2':'c_2',
            'c-3':'c_3',
            'c-4':'c_4',
            'e3':'e3',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.SonetAcr.Au4' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Au4',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                AU-4 number
                ''',
                'number',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('tug-3', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                TUG-3
                ''',
                'tug_3',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('cem-group', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                CEM group
                ''',
                'cem_group',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('cem-group-atm', REFERENCE_CLASS, 'CemGroupAtm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.CemGroupAtm', 
                [], [], 
                '''                ''',
                'cem_group_atm',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('cem-group-timeslots', REFERENCE_CLASS, 'CemGroupTimeslots' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.CemGroupTimeslots', 
                [], [], 
                '''                ''',
                'cem_group_timeslots',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('cem-group-unframed', REFERENCE_CLASS, 'CemGroupUnframed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.CemGroupUnframed', 
                [], [], 
                '''                ''',
                'cem_group_unframed',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('channel-group-timeslots', REFERENCE_CLASS, 'ChannelGroupTimeslots' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots', 
                [], [], 
                '''                ''',
                'channel_group_timeslots',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('framing', REFERENCE_ENUM_CLASS, 'FramingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.FramingEnum', 
                [], [], 
                '''                ''',
                'framing',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('framing-unframed', REFERENCE_CLASS, 'FramingUnframed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.FramingUnframed', 
                [], [], 
                '''                ''',
                'framing_unframed',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('ima-group', REFERENCE_CLASS, 'ImaGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.ImaGroup', 
                [], [], 
                '''                ''',
                'ima_group',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4.ModeEnum', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('unframed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Unframed
                ''',
                'unframed',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'au-4',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Aps.Group' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Aps.Group',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                ACR
                ''',
                'acr',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Aps.Protect' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Aps.Protect',
            False, 
            [
            _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'protect',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Aps.Interchassis' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Aps.Interchassis',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'interchassis',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.Aps' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr.Aps',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Aps.Group', 
                [], [], 
                '''                SONET APS group
                ''',
                'group',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('hspw-icrm-grp', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'hspw_icrm_grp',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('interchassis', REFERENCE_CLASS, 'Interchassis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Aps.Interchassis', 
                [], [], 
                '''                ''',
                'interchassis',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('protect', REFERENCE_CLASS, 'Protect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Aps.Protect', 
                [], [], 
                '''                Protect line
                ''',
                'protect',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('working', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                Working line
                ''',
                'working',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.SonetAcr.FramingEnum' : _MetaInfoEnum('FramingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sonet':'sonet',
            'sdh':'sdh',
        }, 'Cisco-IOS-XE-controller', _yang_ns._namespaces['Cisco-IOS-XE-controller']),
    'Native.Controller.SonetAcr' : {
        'meta_info' : _MetaInfoClass('Native.Controller.SonetAcr',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9\\.])+'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-controller', True),
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Aps', 
                [], [], 
                '''                SONET APS
                ''',
                'aps',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('au-3', REFERENCE_LIST, 'Au3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au3', 
                [], [], 
                '''                AU-3
                ''',
                'au_3',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('au-4', REFERENCE_LIST, 'Au4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4', 
                [], [], 
                '''                AU-4
                ''',
                'au_4',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('au-4-atm', REFERENCE_CLASS, 'Au4Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Au4Atm', 
                [], [], 
                '''                ''',
                'au_4_atm',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('aug', REFERENCE_CLASS, 'Aug' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Aug', 
                [], [], 
                '''                AUG
                ''',
                'aug',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('clock', REFERENCE_CLASS, 'Clock' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.Clock', 
                [], [], 
                '''                SONET clock
                ''',
                'clock',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('framing', REFERENCE_ENUM_CLASS, 'FramingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr.FramingEnum', 
                [], [], 
                '''                SONET framing
                ''',
                'framing',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'shutdown',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-controller',
            'SONET-ACR',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller.Wanphy' : {
        'meta_info' : _MetaInfoClass('Native.Controller.Wanphy',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-controller', True),
            ],
            'Cisco-IOS-XE-controller',
            'wanphy',
            _yang_ns._namespaces['Cisco-IOS-XE-controller'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Controller' : {
        'meta_info' : _MetaInfoClass('Native.Controller',
            False, 
            [
            _MetaInfoClassMember('Cellular', REFERENCE_LIST, 'Cellular' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Cellular', 
                [], [], 
                '''                ''',
                'cellular',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('controller-tx-ex-list', REFERENCE_LIST, 'ControllerTxExList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.ControllerTxExList', 
                [], [], 
                '''                ''',
                'controller_tx_ex_list',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('SONET', REFERENCE_LIST, 'Sonet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Sonet', 
                [], [], 
                '''                SONET
                ''',
                'sonet',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('SONET-ACR', REFERENCE_LIST, 'SonetAcr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.SonetAcr', 
                [], [], 
                '''                SONET-ACR
                ''',
                'sonet_acr',
                'Cisco-IOS-XE-controller', False),
            _MetaInfoClassMember('wanphy', REFERENCE_LIST, 'Wanphy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller.Wanphy', 
                [], [], 
                '''                wanphy
                ''',
                'wanphy',
                'Cisco-IOS-XE-controller', False),
            ],
            'Cisco-IOS-XE-native',
            'controller',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv4.Export' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv4.Export',
            False, 
            [
            _MetaInfoClassMember('map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route-map reference
                ''',
                'map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'export',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv4.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv4.Maximum',
            False, 
            [
            _MetaInfoClassMember('reinstall', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Reinstall previous rejected route due to over maximum route limit
                ''',
                'reinstall',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('routes', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of routes allowed in this routing table
                ''',
                'routes',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message if is limit exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls',
            False, 
            [
            _MetaInfoClassMember('mldp', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Use a MLDP LSP to create the default MDT
                ''',
                'mldp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls', 
                [], [], 
                '''                MPLS tunnel options
                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data.Multicast',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildcard',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list
                ''',
                'list',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('multicast', REFERENCE_LIST, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data.Multicast', 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT switching threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'data',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.PreferenceEnum' : _MetaInfoEnum('PreferenceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mldp':'mldp',
            'pim':'pim',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv4.Mdt',
            False, 
            [
            _MetaInfoClassMember('data', REFERENCE_CLASS, 'Data' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data', 
                [], [], 
                '''                MDT data trees
                ''',
                'data',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default', 
                [], [], 
                '''                The default group
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('log-reuse', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Event logging for data MDT reuse
                ''',
                'log_reuse',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preference', REFERENCE_LEAFLIST, 'PreferenceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.PreferenceEnum', 
                [], [], 
                '''                MDT preference (default pim mldp)
                ''',
                'preference',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Export' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Export',
            False, 
            [
            _MetaInfoClassMember('asn-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                ''',
                'asn_ip',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'export',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Import_' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Import_',
            False, 
            [
            _MetaInfoClassMember('asn-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                ''',
                'asn_ip',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'import',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget',
            False, 
            [
            _MetaInfoClassMember('export', REFERENCE_LIST, 'Export' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Export', 
                [], [], 
                '''                Export Target-VPN community
                ''',
                'export',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('import', REFERENCE_LIST, 'Import_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Import_', 
                [], [], 
                '''                Import Target-VPN community
                ''',
                'import_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-target',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv4',
            False, 
            [
            _MetaInfoClassMember('export', REFERENCE_CLASS, 'Export' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4.Export', 
                [], [], 
                '''                VRF export
                ''',
                'export',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4.Maximum', 
                [], [], 
                '''                Maximum number of routes allowed in this routing table
                ''',
                'maximum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdt', REFERENCE_CLASS, 'Mdt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4.Mdt', 
                [], [], 
                '''                Backbone Multicast Distribution Tree
                ''',
                'mdt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-target', REFERENCE_CLASS, 'RouteTarget' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget', 
                [], [], 
                '''                Specify Target VPN Extended Communities
                ''',
                'route_target',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Export' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Export',
            False, 
            [
            _MetaInfoClassMember('asn-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                ''',
                'asn_ip',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'export',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Import_' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Import_',
            False, 
            [
            _MetaInfoClassMember('asn-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                ''',
                'asn_ip',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'import',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget',
            False, 
            [
            _MetaInfoClassMember('export', REFERENCE_LIST, 'Export' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Export', 
                [], [], 
                '''                Export Target-VPN community
                ''',
                'export',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('import', REFERENCE_LIST, 'Import_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Import_', 
                [], [], 
                '''                Import Target-VPN community
                ''',
                'import_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-target',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily.Ipv6',
            False, 
            [
            _MetaInfoClassMember('route-target', REFERENCE_CLASS, 'RouteTarget' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget', 
                [], [], 
                '''                Specify Target VPN Extended Communities
                ''',
                'route_target',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv4', 
                [], [], 
                '''                Address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily.Ipv6', 
                [], [], 
                '''                Address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.RouteTarget.Export' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.RouteTarget.Export',
            False, 
            [
            _MetaInfoClassMember('asn-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                ''',
                'asn_ip',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'export',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.RouteTarget.Import_' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.RouteTarget.Import_',
            False, 
            [
            _MetaInfoClassMember('asn-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                ''',
                'asn_ip',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'import',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition.RouteTarget' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition.RouteTarget',
            False, 
            [
            _MetaInfoClassMember('export', REFERENCE_LIST, 'Export' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.RouteTarget.Export', 
                [], [], 
                '''                Export Target-VPN community
                ''',
                'export',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('import', REFERENCE_LIST, 'Import_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.RouteTarget.Import_', 
                [], [], 
                '''                Import Target-VPN community
                ''',
                'import_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-target',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf.Definition' : {
        'meta_info' : _MetaInfoClass('Native.Vrf.Definition',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;VRF name
                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('address-family', REFERENCE_CLASS, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.AddressFamily', 
                [], [], 
                '''                Enter Address Family command mode
                ''',
                'address_family',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 244)], [], 
                '''                VRF specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify Route Distinguisher
                ''',
                'rd',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[0-9]+:[0-9]+'], 
                        '''                        Specify Route Distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Specify Route Distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                        '''                        Specify Route Distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('route-target', REFERENCE_CLASS, 'RouteTarget' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition.RouteTarget', 
                [], [], 
                '''                Specify Target VPN Extended Communities
                ''',
                'route_target',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'definition',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Vrf',
            False, 
            [
            _MetaInfoClassMember('definition', REFERENCE_LIST, 'Definition' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf.Definition', 
                [], [], 
                '''                VRF definition mode
                ''',
                'definition',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Rmon.Alarm.TestModeEnum' : _MetaInfoEnum('TestModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'absolute':'absolute',
            'delta':'delta',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Rmon.Alarm' : {
        'meta_info' : _MetaInfoClass('Native.Rmon.Alarm',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('falling-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'falling_event',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Configure the falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mib-object', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mib_object',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('owner', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify an owner for the alarm
                ''',
                'owner',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'rising_event',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Configure the rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sample-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'sample_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('test-mode', REFERENCE_ENUM_CLASS, 'TestModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Rmon.Alarm.TestModeEnum', 
                [], [], 
                '''                ''',
                'test_mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'alarm',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Rmon.Event.Log' : {
        'meta_info' : _MetaInfoClass('Native.Rmon.Event.Log',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a description of the event
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('owner', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify an owner for the event
                ''',
                'owner',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Generate SNMP trap when the event fires
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'log',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Rmon.Event' : {
        'meta_info' : _MetaInfoClass('Native.Rmon.Event',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('log', REFERENCE_CLASS, 'Log' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Rmon.Event.Log', 
                [], [], 
                '''                Generate RMON log when the event fires
                ''',
                'log',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Rmon' : {
        'meta_info' : _MetaInfoClass('Native.Rmon',
            False, 
            [
            _MetaInfoClassMember('alarm', REFERENCE_LIST, 'Alarm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Rmon.Alarm', 
                [], [], 
                '''                Configure an RMON alarm
                ''',
                'alarm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('event', REFERENCE_LIST, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Rmon.Event', 
                [], [], 
                '''                Configure an RMON event
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rmon',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Sampler.Mode.Deterministic' : {
        'meta_info' : _MetaInfoClass('Native.Sampler.Mode.Deterministic',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('out-of', ATTRIBUTE, 'int' , None, None, 
                [('2', '32768')], [], 
                '''                Select M packets out of an N packet window
                ''',
                'out_of',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'deterministic',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Sampler.Mode.Hash' : {
        'meta_info' : _MetaInfoClass('Native.Sampler.Mode.Hash',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('out-of', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Select 1 packets out of an N packets based on hash of ip-id and udp / tcp checksum
                ''',
                'out_of',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'hash',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Sampler.Mode.Random' : {
        'meta_info' : _MetaInfoClass('Native.Sampler.Mode.Random',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('out-of', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Select M packets out of an N packet window
                ''',
                'out_of',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'random',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Sampler.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Sampler.Mode',
            False, 
            [
            _MetaInfoClassMember('deterministic', REFERENCE_CLASS, 'Deterministic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Sampler.Mode.Deterministic', 
                [], [], 
                '''                Deterministic mode of sampling
                ''',
                'deterministic',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('hash', REFERENCE_CLASS, 'Hash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Sampler.Mode.Hash', 
                [], [], 
                '''                Hash mode of sampling
                ''',
                'hash',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('random', REFERENCE_CLASS, 'Random' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Sampler.Mode.Random', 
                [], [], 
                '''                Random mode of sampling
                ''',
                'random',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Sampler.Granularity' : {
        'meta_info' : _MetaInfoClass('Native.Sampler.Granularity',
            False, 
            [
            _MetaInfoClassMember('connection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'connection',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('packet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'packet',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'granularity',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Sampler',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide a description for this Sampler
                ''',
                'description',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('granularity', REFERENCE_CLASS, 'Granularity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Sampler.Granularity', 
                [], [], 
                '''                Specify sampler granularity
                ''',
                'granularity',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Sampler.Mode', 
                [], [], 
                '''                Sampling mode
                ''',
                'mode',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-native',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Dns' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Dns',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Domain name
                ''',
                'domain_name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'dns',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Http.Uri' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Http.Uri',
            False, 
            [
            _MetaInfoClassMember('statistics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Collect URI statistics
                ''',
                'statistics',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'uri',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Http' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Http',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Host name of Origin Server containing resource
                ''',
                'host',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('referer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address the resource request was obtained from
                ''',
                'referer',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('uri', REFERENCE_CLASS, 'Uri' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Http.Uri', 
                [], [], 
                '''                List of URIs and associated hit counts
                ''',
                'uri',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('url', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Uniform Resource Locator path
                ''',
                'url',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('user-agent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Software used by agent sending the request
                ''',
                'user_agent',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'http',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Media.Bytes.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Media.Bytes.Counter',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                A count of the number of bytes of media payload (64 bit counter)
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Media.Bytes.Rate.PerFlow' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Media.Bytes.Rate.PerFlow',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum byte rate in the media stream
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minumun byte rate in the media stream
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'per-flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Media.Bytes.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Media.Bytes.Rate',
            False, 
            [
            _MetaInfoClassMember('per-flow', REFERENCE_CLASS, 'PerFlow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Media.Bytes.Rate.PerFlow', 
                [], [], 
                '''                Average media byte rate across flows
                ''',
                'per_flow',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Media.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Media.Bytes',
            False, 
            [
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Media.Bytes.Counter', 
                [], [], 
                '''                A count of the number of bytes of media payload
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Media.Bytes.Rate', 
                [], [], 
                '''                Byte rate for the media stream
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Media.Packets.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Media.Packets.Counter',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                A count of the number of packets with a media payload (64 bit counter)
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Media.Packets.Rate.Variation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Media.Packets.Rate.Variation',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Max variation in packet rate from configured expected rate
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Variation in packet rate from configured expected rate
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of media rate variation from the configured rate for the RTP stream
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'variation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Media.Packets.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Media.Packets.Rate',
            False, 
            [
            _MetaInfoClassMember('variation', REFERENCE_CLASS, 'Variation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Media.Packets.Rate.Variation', 
                [], [], 
                '''                Variation in packet rate from configured expected rate
                ''',
                'variation',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Media.Packets' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Media.Packets',
            False, 
            [
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Media.Packets.Counter', 
                [], [], 
                '''                A count of the number of packets with a media payload
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Media.Packets.Rate', 
                [], [], 
                '''                Packet rate for the media stream
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packets',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Media' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Media',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Media.Bytes', 
                [], [], 
                '''                Media fields
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('event', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Flags indicating media events
                ''',
                'event',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('packets', REFERENCE_CLASS, 'Packets' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Media.Packets', 
                [], [], 
                '''                Media fields
                ''',
                'packets',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'media',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Name',
            False, 
            [
            _MetaInfoClassMember('account-on-resolution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Account on resolution
                ''',
                'account_on_resolution',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Nntp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Nntp',
            False, 
            [
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NNTP Group name
                ''',
                'group_name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'nntp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Pop3' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Pop3',
            False, 
            [
            _MetaInfoClassMember('server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                POP3 Server Name
                ''',
                'server',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'pop3',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Rtmp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Rtmp',
            False, 
            [
            _MetaInfoClassMember('pageUrl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTMP page url address
                ''',
                'pageurl',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rtmp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Rtsp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Rtsp',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTSP Host Name
                ''',
                'host',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rtsp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Sip' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Sip',
            False, 
            [
            _MetaInfoClassMember('destination', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The destination domain of SIP transactions
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The source domain of SIP transactions
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sip',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Smtp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Smtp',
            False, 
            [
            _MetaInfoClassMember('sender', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SMTP Sender Mail Address
                ''',
                'sender',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SMTP Server Name
                ''',
                'server',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'smtp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application.Ssl' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application.Ssl',
            False, 
            [
            _MetaInfoClassMember('common-name', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Certificate Common Name (CN)
                ''',
                'common_name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ssl',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Application' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Application',
            False, 
            [
            _MetaInfoClassMember('dns', REFERENCE_CLASS, 'Dns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Dns', 
                [], [], 
                '''                Domain Name Server lookup
                ''',
                'dns',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('http', REFERENCE_CLASS, 'Http' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Http', 
                [], [], 
                '''                World Wide Web traffic
                ''',
                'http',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('media', REFERENCE_CLASS, 'Media' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Media', 
                [], [], 
                '''                Media fields
                ''',
                'media',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('name', REFERENCE_CLASS, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Name', 
                [], [], 
                '''                Application name
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('nntp', REFERENCE_CLASS, 'Nntp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Nntp', 
                [], [], 
                '''                Network news transfer protocol
                ''',
                'nntp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('pop3', REFERENCE_CLASS, 'Pop3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Pop3', 
                [], [], 
                '''                Post Office Protocol 3
                ''',
                'pop3',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rtmp', REFERENCE_CLASS, 'Rtmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Rtmp', 
                [], [], 
                '''                Real Time Messaging Protocol
                ''',
                'rtmp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rtsp', REFERENCE_CLASS, 'Rtsp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Rtsp', 
                [], [], 
                '''                Real Time Streaming Protocol
                ''',
                'rtsp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sip', REFERENCE_CLASS, 'Sip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Sip', 
                [], [], 
                '''                Session Initiation Protocol
                ''',
                'sip',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('smtp', REFERENCE_CLASS, 'Smtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Smtp', 
                [], [], 
                '''                Simple Mail Transfer Protocol
                ''',
                'smtp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ssl', REFERENCE_CLASS, 'Ssl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application.Ssl', 
                [], [], 
                '''                Secure Socket Layer Protocol
                ''',
                'ssl',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vendor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Application vendor id
                ''',
                'vendor',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Application version id
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of bytes transmitted by the client
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bit counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Client.Counter.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Client.Counter.Bytes',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bits counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network', 
                [], [], 
                '''                Number of bytes sent by the client
                ''',
                'network',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('retransmitted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of bytes retransmitted by the client
                ''',
                'retransmitted',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport', 
                [], [], 
                '''                Number of bytes sent by the client
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Client.Counter.Packets' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Client.Counter.Packets',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bits counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('retransmitted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of packets retransmitted by the client
                ''',
                'retransmitted',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packets',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Client.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Client.Counter',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Client.Counter.Bytes', 
                [], [], 
                '''                Number of bytes sent by the client
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('packets', REFERENCE_CLASS, 'Packets' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Client.Counter.Packets', 
                [], [], 
                '''                Number of packets sent by the client
                ''',
                'packets',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Client.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Client.Ipv4',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the flow initiator
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Client.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Client.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the flow initiator
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Client.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Client.Transport',
            False, 
            [
            _MetaInfoClassMember('port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport port of the flow initiator
                ''',
                'port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Client' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Client',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All non-key client metrics
                ''',
                'all',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Client.Counter', 
                [], [], 
                '''                Client side counter metrics
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Client.Ipv4', 
                [], [], 
                '''                Client side IPv4 metrics
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Client.Ipv6', 
                [], [], 
                '''                Client side IPv6 metrics
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Client.Transport', 
                [], [], 
                '''                Client side transport metrics
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Application' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Application',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum application response time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum application response time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total application response time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum network time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum network time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('num-samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of CSND samples
                ''',
                'num_samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'client-to-server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'client-to-serve',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'to-serve',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Network.LongLived' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Network.LongLived',
            False, 
            [
            _MetaInfoClassMember('client-to-serve', REFERENCE_CLASS, 'ClientToServe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe', 
                [], [], 
                '''                Long-lived network delay client-to-server metrics
                ''',
                'client_to_serve',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('to-client', REFERENCE_CLASS, 'ToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient', 
                [], [], 
                '''                Long-lived network delay to-client metrics
                ''',
                'to_client',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('to-serve', REFERENCE_CLASS, 'ToServe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe', 
                [], [], 
                '''                Long-lived network delay to-server metrics
                ''',
                'to_serve',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'long-lived',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Network.ToClient' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Network.ToClient',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum network time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum network time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('num-samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of CND samples
                ''',
                'num_samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Network.ToServer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Network.ToServer',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum network time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum network time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('num-samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of SND samples
                ''',
                'num_samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'to-server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Network' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Network',
            False, 
            [
            _MetaInfoClassMember('client-to-server', REFERENCE_CLASS, 'ClientToServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer', 
                [], [], 
                '''                RTT between the client and the server
                ''',
                'client_to_server',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('long-lived', REFERENCE_CLASS, 'LongLived' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Network.LongLived', 
                [], [], 
                '''                Long-lived network delay metrics
                ''',
                'long_lived',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('to-client', REFERENCE_CLASS, 'ToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Network.ToClient', 
                [], [], 
                '''                RTT from observation point to the client
                ''',
                'to_client',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('to-server', REFERENCE_CLASS, 'ToServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Network.ToServer', 
                [], [], 
                '''                RTT from observation point to the server
                ''',
                'to_server',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum response time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum response time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total response time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'client-to-server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Response.ToServer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Response.ToServer',
            False, 
            [
            _MetaInfoClassMember('histogram', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Histogram for response time
                ''',
                'histogram',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum response time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum response time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total response time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'to-server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay.Response' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay.Response',
            False, 
            [
            _MetaInfoClassMember('client-to-server', REFERENCE_CLASS, 'ClientToServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer', 
                [], [], 
                '''                Response time as seen by the client
                ''',
                'client_to_server',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('to-server', REFERENCE_CLASS, 'ToServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Response.ToServer', 
                [], [], 
                '''                Response time as seen from observation point
                ''',
                'to_server',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'response',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Delay',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All non-key client metrics
                ''',
                'all',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Application', 
                [], [], 
                '''                Application time metrics
                ''',
                'application',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Network', 
                [], [], 
                '''                Network time metrics
                ''',
                'network',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('response', REFERENCE_CLASS, 'Response' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay.Response', 
                [], [], 
                '''                Response time metrics
                ''',
                'response',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of bytes transmitted by the server
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bit counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Server.Counter.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Server.Counter.Bytes',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bits counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network', 
                [], [], 
                '''                Number of bytes sent by the server
                ''',
                'network',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('retransmitted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of bytes retransmitted by the server
                ''',
                'retransmitted',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport', 
                [], [], 
                '''                Number of bytes sent by the server
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Server.Counter.Packets' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Server.Counter.Packets',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bits counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('retransmitted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of packets retransmitted by the server
                ''',
                'retransmitted',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packets',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Server.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Server.Counter',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Server.Counter.Bytes', 
                [], [], 
                '''                Number of bytes sent by the server
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('packets', REFERENCE_CLASS, 'Packets' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Server.Counter.Packets', 
                [], [], 
                '''                Number of packets sent by the server
                ''',
                'packets',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('responses', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of responses sent by the server
                ''',
                'responses',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Server.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Server.Ipv4',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the flow responder
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Server.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Server.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the flow responder
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Server.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Server.Transport',
            False, 
            [
            _MetaInfoClassMember('port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport port of the flow responder
                ''',
                'port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Server' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Server',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All non-key server metrics
                ''',
                'all',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Server.Counter', 
                [], [], 
                '''                Server side counter metrics
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Server.Ipv4', 
                [], [], 
                '''                Server side IPv4 metrics
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Server.Ipv6', 
                [], [], 
                '''                Server side IPv6 metrics
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Server.Transport', 
                [], [], 
                '''                Server side transport metrics
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Transaction.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Transaction.Counter',
            False, 
            [
            _MetaInfoClassMember('complete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of completed transactions
                ''',
                'complete',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Transaction.Duration' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Transaction.Duration',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum transaction time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum transaction time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total transaction time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'duration',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection.Transaction' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection.Transaction',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All non-key transaction metrics
                ''',
                'all',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Transaction.Counter', 
                [], [], 
                '''                Transaction counter metrics
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('duration', REFERENCE_CLASS, 'Duration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Transaction.Duration', 
                [], [], 
                '''                Transaction duration metrics
                ''',
                'duration',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transaction',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Connection' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Connection',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Client', 
                [], [], 
                '''                Client side (flow initiator) related metrics
                ''',
                'client',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Delay', 
                [], [], 
                '''                Connection delay metrics
                ''',
                'delay',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                An identifier for a connection between client and server
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('initiator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The direction of the flow
                ''',
                'initiator',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('new-connections', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of connection initiations observed
                ''',
                'new_connections',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Server', 
                [], [], 
                '''                Server side (flow responder) related metrics
                ''',
                'server',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum-duration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The overall time in seconds for all connections
                ''',
                'sum_duration',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transaction', REFERENCE_CLASS, 'Transaction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection.Transaction', 
                [], [], 
                '''                Transaction related metrics
                ''',
                'transaction',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transaction-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                An identifier for a transaction between client and server
                ''',
                'transaction_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'connection',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Counter.Bytes.Rate.PerFlow' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Counter.Bytes.Rate.PerFlow',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum byte rate among the aggregated flows
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum byte rate among the aggregated flows
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'per-flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Counter.Bytes.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Counter.Bytes.Rate',
            False, 
            [
            _MetaInfoClassMember('per-flow', REFERENCE_CLASS, 'PerFlow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Counter.Bytes.Rate.PerFlow', 
                [], [], 
                '''                Average byte rate for the flow
                ''',
                'per_flow',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Counter.Bytes.Squared' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Counter.Bytes.Squared',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total of the square of the packet length in bytes (64 bit counter)
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'squared',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Counter.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Counter.Bytes',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of bytes (64 bit counter)
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Counter.Bytes.Rate', 
                [], [], 
                '''                Byte rate for the flow
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('squared', REFERENCE_CLASS, 'Squared' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Counter.Bytes.Squared', 
                [], [], 
                '''                Total of the square of the number of bytes
                ''',
                'squared',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Counter.Packets.Rate.PerFlow' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Counter.Packets.Rate.PerFlow',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum packet rate in the aggregated flows
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum packet rate in the aggregated flows
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'per-flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Counter.Packets.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Counter.Packets.Rate',
            False, 
            [
            _MetaInfoClassMember('per-flow', REFERENCE_CLASS, 'PerFlow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Counter.Packets.Rate.PerFlow', 
                [], [], 
                '''                Average packet rate for aggregated flows
                ''',
                'per_flow',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Counter.Packets' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Counter.Packets',
            False, 
            [
            _MetaInfoClassMember('dropped', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Dropped packets
                ''',
                'dropped',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of packets (64 bit counter)
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Counter.Packets.Rate', 
                [], [], 
                '''                Packet rate for the flow
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packets',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Counter',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Counter.Bytes', 
                [], [], 
                '''                Total number of bytes
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flows', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of flows
                ''',
                'flows',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('packets', REFERENCE_CLASS, 'Packets' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Counter.Packets', 
                [], [], 
                '''                Total number of packets
                ''',
                'packets',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The VLAN the packet is on at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The VLAN the packet is on at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Datalink.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Datalink.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The CoS field out of the dot1q header
                ''',
                'priority',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan', 
                [], [], 
                '''                The VLAN the packet is on
                ''',
                'vlan',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Datalink.Mac.Destination.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Datalink.Mac.Destination.Address',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination MAC address from packet at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination MAC address from packet at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Datalink.Mac.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Datalink.Mac.Destination',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Datalink.Mac.Destination.Address', 
                [], [], 
                '''                Destination MAC address from packet
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Datalink.Mac.Source.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Datalink.Mac.Source.Address',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source MAC address from packet at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source MAC address from packet at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Datalink.Mac.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Datalink.Mac.Source',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Datalink.Mac.Source.Address', 
                [], [], 
                '''                Source MAC address from packet
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Datalink.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Datalink.Mac',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Datalink.Mac.Destination', 
                [], [], 
                '''                destination MAC fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Datalink.Mac.Source', 
                [], [], 
                '''                source MAC fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Datalink' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Datalink',
            False, 
            [
            _MetaInfoClassMember('destination-vlan-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the VLAN that the packet is going to
                ''',
                'destination_vlan_id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Datalink.Dot1Q', 
                [], [], 
                '''                dot1q field
                ''',
                'dot1q',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ethertype', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The Ethertype of the packet
                ''',
                'ethertype',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Datalink.Mac', 
                [], [], 
                '''                MAC fields
                ''',
                'mac',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-vlan-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the VLAN that the packet came from
                ''',
                'source_vlan_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'datalink',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Flow_.Cts.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Flow_.Cts.Destination',
            False, 
            [
            _MetaInfoClassMember('group-tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                destination group-tag
                ''',
                'group_tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Flow_.Cts.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Flow_.Cts.Source',
            False, 
            [
            _MetaInfoClassMember('group-tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source group-tag
                ''',
                'group_tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Flow_.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Flow_.Cts',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Flow_.Cts.Destination', 
                [], [], 
                '''                Cisco Trusted Security destination fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Flow_.Cts.Source', 
                [], [], 
                '''                Cisco Trusted Security source fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Flow_.Observation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Flow_.Observation',
            False, 
            [
            _MetaInfoClassMember('point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Observation point ID
                ''',
                'point',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'observation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Flow_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Flow_',
            False, 
            [
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Flow_.Cts', 
                [], [], 
                '''                Cisco Trusted Security fields
                ''',
                'cts',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('direction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Direction the flow was monitored in
                ''',
                'direction',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('end-reason', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The reason for a flow ending
                ''',
                'end_reason',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('observation', REFERENCE_CLASS, 'Observation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Flow_.Observation', 
                [], [], 
                '''                Flow observation metrics
                ''',
                'observation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the sampler
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Interface.Input' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Interface.Input',
            False, 
            [
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP Index of the input interface
                ''',
                'snmp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Interface.Output' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Interface.Output',
            False, 
            [
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP Index of the output interface
                ''',
                'snmp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Interface',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Interface.Input', 
                [], [], 
                '''                The input interface
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Interface.Output', 
                [], [], 
                '''                The output interface
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Destination.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Destination.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Destination.Mask', 
                [], [], 
                '''                IPv4 address mask for the IPv4 destination address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Destination.Prefix', 
                [], [], 
                '''                IPv4 address prefix for the IPv4 destination address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Fragmentation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Fragmentation',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 fragmentation flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 fragmentation offset
                ''',
                'offset',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'fragmentation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Length.Total' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Length.Total',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum total length in bytes
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum total length in bytes
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Length' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Length',
            False, 
            [
            _MetaInfoClassMember('header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv4 header in bytes
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv4 payload in bytes
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Length.Total', 
                [], [], 
                '''                Total length of the IPv4 header and payload in bytes
                ''',
                'total',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Option' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Option',
            False, 
            [
            _MetaInfoClassMember('map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bitmap of IPv4 options
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Section.Header' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Section.Header',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Section.Payload' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Section.Payload',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'payload',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Section' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Section',
            False, 
            [
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Section.Header', 
                [], [], 
                '''                Raw data starting at the IPv4 header
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', REFERENCE_CLASS, 'Payload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Section.Payload', 
                [], [], 
                '''                Raw data starting at the IPv4 payload
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Source.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Source.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Source',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 source address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Source.Mask', 
                [], [], 
                '''                IPv4 address mask for the IPv4 source address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Source.Prefix', 
                [], [], 
                '''                IPv4 address prefix for the IPv4 source address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.TotalLength' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.TotalLength',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value for IPv4 length seen in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value for IPv4 length seen in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total-length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4.Ttl' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4.Ttl',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value seen for TTL in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value seen for TTL in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ttl',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Destination', 
                [], [], 
                '''                IPv4 destination address based fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 DSCP (part of TOS)
                ''',
                'dscp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_CLASS, 'Fragmentation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Fragmentation', 
                [], [], 
                '''                IPv4 fragmentation fields
                ''',
                'fragmentation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('header-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 header length (IHL in 32 bit words)
                ''',
                'header_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ID
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Length', 
                [], [], 
                '''                IPv4 length fields
                ''',
                'length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Option', 
                [], [], 
                '''                IPv4 option fields
                ''',
                'option',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 precedence (part of TOS)
                ''',
                'precedence',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Section', 
                [], [], 
                '''                Part of the packet
                ''',
                'section',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Source', 
                [], [], 
                '''                IPv4 source address based fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 type of service
                ''',
                'tos',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total-length', REFERENCE_CLASS, 'TotalLength' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.TotalLength', 
                [], [], 
                '''                IPv4 total length
                ''',
                'total_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ttl', REFERENCE_CLASS, 'Ttl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4.Ttl', 
                [], [], 
                '''                IPv4 TTL
                ''',
                'ttl',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP version from IPv4 header
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Destination.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Destination.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Destination.Mask', 
                [], [], 
                '''                IPv6 address mask for the IPv6 destination address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Destination.Prefix', 
                [], [], 
                '''                IPv6 address prefix for the IPv6 destination address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Extension' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Extension',
            False, 
            [
            _MetaInfoClassMember('map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bitmap of IPv6 extension headers
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'extension',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Fragmentation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Fragmentation',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation ID
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation offset
                ''',
                'offset',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'fragmentation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.HopLimit' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.HopLimit',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value seen for hop-limit in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value seen for hop-limit in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'hop-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Length.Total' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Length.Total',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum total length in bytes
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum total length in bytes
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Length' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Length',
            False, 
            [
            _MetaInfoClassMember('header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 header, not including any extension headers, in bytes
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 payload, including any extension headers, in bytes
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Length.Total', 
                [], [], 
                '''                Total length of the IPv6 header and payload in bytes
                ''',
                'total',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Section.Header' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Section.Header',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Section.Payload' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Section.Payload',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'payload',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Section' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Section',
            False, 
            [
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Section.Header', 
                [], [], 
                '''                Raw data starting at the IPv6 header
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', REFERENCE_CLASS, 'Payload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Section.Payload', 
                [], [], 
                '''                Raw data starting at the IPv6 payload
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Source.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Source.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6.Source',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 source address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Source.Mask', 
                [], [], 
                '''                IPv6 address mask for the IPv6 source address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Source.Prefix', 
                [], [], 
                '''                IPv6 address prefix for the IPv6 source address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Ipv6',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Destination', 
                [], [], 
                '''                IPv6 destination address based fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 DSCP (part of Traffic Class)
                ''',
                'dscp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('extension', REFERENCE_CLASS, 'Extension' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Extension', 
                [], [], 
                '''                IPv6 extension header fields
                ''',
                'extension',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow-label', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 flow label
                ''',
                'flow_label',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_CLASS, 'Fragmentation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Fragmentation', 
                [], [], 
                '''                IPv6 fragmentation fields
                ''',
                'fragmentation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('hop-limit', REFERENCE_CLASS, 'HopLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.HopLimit', 
                [], [], 
                '''                IPv6 hop limit
                ''',
                'hop_limit',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Length', 
                [], [], 
                '''                IPv6 length fields
                ''',
                'length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('next-header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The value of the next-header field in the IPv6 header
                ''',
                'next_header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 payload in bytes
                ''',
                'payload_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 precedence (part of Traffic Class)
                ''',
                'precedence',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 payload protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Section', 
                [], [], 
                '''                Part of the packet
                ''',
                'section',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6.Source', 
                [], [], 
                '''                IPv6 source address based fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-class', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 traffic class
                ''',
                'traffic_class',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP version from IPv6 header
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Metadata' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Metadata',
            False, 
            [
            _MetaInfoClassMember('clock-rate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metadata clock-rate
                ''',
                'clock_rate',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('global-session-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metadata global-session-id
                ''',
                'global_session_id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multi-party-session-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metadata multi-party-session-id
                ''',
                'multi_party_session_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'metadata',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Monitor',
            False, 
            [
            _MetaInfoClassMember('event', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Flags indicating monitor events
                ''',
                'event',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Mpls.Label.One' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Mpls.Label.One',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 1 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('exp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS EXP field from the last label that was pushed
                ''',
                'exp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS TTL field from the last label that was pushed
                ''',
                'ttl',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label type of the last label that was pushed
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'one',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Mpls.Label.Two' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Mpls.Label.Two',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 2 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'two',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Mpls.Label.Three' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Mpls.Label.Three',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 3 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'three',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Mpls.Label.Four' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Mpls.Label.Four',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 4 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'four',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Mpls.Label.Five' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Mpls.Label.Five',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 5 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'five',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Mpls.Label.Six' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Mpls.Label.Six',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 6 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'six',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Mpls.Label' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Mpls.Label',
            False, 
            [
            _MetaInfoClassMember('five', REFERENCE_CLASS, 'Five' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Mpls.Label.Five', 
                [], [], 
                '''                MPLS label 5 information
                ''',
                'five',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('four', REFERENCE_CLASS, 'Four' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Mpls.Label.Four', 
                [], [], 
                '''                MPLS label 4 information
                ''',
                'four',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('one', REFERENCE_CLASS, 'One' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Mpls.Label.One', 
                [], [], 
                '''                MPLS label 1 information
                ''',
                'one',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('six', REFERENCE_CLASS, 'Six' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Mpls.Label.Six', 
                [], [], 
                '''                MPLS label 6 information
                ''',
                'six',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('three', REFERENCE_CLASS, 'Three' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Mpls.Label.Three', 
                [], [], 
                '''                MPLS label 3 information
                ''',
                'three',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('two', REFERENCE_CLASS, 'Two' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Mpls.Label.Two', 
                [], [], 
                '''                MPLS label 2 information
                ''',
                'two',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Mpls',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Mpls.Label', 
                [], [], 
                '''                MPLS label details
                ''',
                'label',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Network.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Network.Delay',
            False, 
            [
            _MetaInfoClassMember('sample', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of samples of roundtrip delay
                ''',
                'sample',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of roundtrip delay
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Network' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Network',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Network.Delay', 
                [], [], 
                '''                network delay metrics
                ''',
                'delay',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.Label' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.Label',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                pfr label id
                ''',
                'identifier',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.OneWayDelay' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.OneWayDelay',
            False, 
            [
            _MetaInfoClassMember('samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of one-way-delay samples
                ''',
                'samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The packet transmission delay sum between specified nodes
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'one-way-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.Service' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.Service',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider tag
                ''',
                'identifier',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('provider', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider metrics
                ''',
                'provider',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider tag metrics
                ''',
                'tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.Site.Destination.Id' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.Site.Destination.Id',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site ID of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix mask of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask', 
                [], [], 
                '''                PfR site prefix mask of the packet destination
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.Site.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.Site.Destination',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.Site.Destination.Id', 
                [], [], 
                '''                PfR site destination ID metrics
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix', 
                [], [], 
                '''                PfR site prefix of the packet destination
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.Site.Source.Id' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.Site.Source.Id',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site ID of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix mask of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.Site.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.Site.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask', 
                [], [], 
                '''                PfR site prefix mask of the packet source
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.Site.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.Site.Source',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.Site.Source.Id', 
                [], [], 
                '''                PfR site source ID metrics
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.Site.Source.Prefix', 
                [], [], 
                '''                PfR site prefix of the packet source
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr.Site' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr.Site',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.Site.Destination', 
                [], [], 
                '''                PfR site destination metrics
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.Site.Source', 
                [], [], 
                '''                PfR site source metrics
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'site',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Pfr' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Pfr',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.Label', 
                [], [], 
                '''                PfR label metrics
                ''',
                'label',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('one-way-delay', REFERENCE_CLASS, 'OneWayDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.OneWayDelay', 
                [], [], 
                '''                The packet transmission delay between specified nodes
                ''',
                'one_way_delay',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.Service', 
                [], [], 
                '''                PfR service metrics
                ''',
                'service',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('site', REFERENCE_CLASS, 'Site' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr.Site', 
                [], [], 
                '''                PfR site  metrics
                ''',
                'site',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'pfr',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification',
            False, 
            [
            _MetaInfoClassMember('hierarchy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Performance-monitor class hierarchy
                ''',
                'hierarchy',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'classification',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Policy.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Policy.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('classification', REFERENCE_CLASS, 'Classification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification', 
                [], [], 
                '''                Classification metrics
                ''',
                'classification',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Policy.Qos.Classification' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Policy.Qos.Classification',
            False, 
            [
            _MetaInfoClassMember('hierarchy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS class hierarchy
                ''',
                'hierarchy',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'classification',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Policy.Qos.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Policy.Qos.Queue',
            False, 
            [
            _MetaInfoClassMember('drops', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS queue drops
                ''',
                'drops',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS queue index
                ''',
                'index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Policy.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Policy.Qos',
            False, 
            [
            _MetaInfoClassMember('classification', REFERENCE_CLASS, 'Classification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Policy.Qos.Classification', 
                [], [], 
                '''                Classification metrics
                ''',
                'classification',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Policy.Qos.Queue', 
                [], [], 
                '''                Queue metrics
                ''',
                'queue',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Policy',
            False, 
            [
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Policy.PerformanceMonitor', 
                [], [], 
                '''                Performance-monitor policy related metrics
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Policy.Qos', 
                [], [], 
                '''                QoS policy related metrics
                ''',
                'qos',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.Destination.As_.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.Destination.As_.Peer',
            False, 
            [
            _MetaInfoClassMember('peer4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the peer network we will forward to
                ''',
                'peer4_octet',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.Destination.As_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.Destination.As_',
            False, 
            [
            _MetaInfoClassMember('as4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the destination network
                ''',
                'as4_octet',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.Destination.As_.Peer', 
                [], [], 
                '''                AS number of the peer network we will forward to
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.Destination',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_CLASS, 'As_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.Destination.As_', 
                [], [], 
                '''                AS number of the destination network
                ''',
                'as_',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP destination traffic index
                ''',
                'traffic_index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.ForwardingStatus' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.ForwardingStatus',
            False, 
            [
            _MetaInfoClassMember('reason', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Forwarding status reason of the packet
                ''',
                'reason',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'forwarding-status',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv4',
            False, 
            [
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the BGP next hop
                ''',
                'bgp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv6',
            False, 
            [
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the BGP next hop
                ''',
                'bgp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.NextHop.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.NextHop.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv4', 
                [], [], 
                '''                IPv4 address of the next hop
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv6', 
                [], [], 
                '''                IPv6 address of the next hop
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.NextHop',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.NextHop.Address', 
                [], [], 
                '''                IP address of the next hop
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.Pw.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.Pw.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pseudowire destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.Pw' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.Pw',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.Pw.Destination', 
                [], [], 
                '''                Pseudowire destination
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'pw',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.Source.As_.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.Source.As_.Peer',
            False, 
            [
            _MetaInfoClassMember('peer4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the peer network where the packet came from
                ''',
                'peer4_octet',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.Source.As_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.Source.As_',
            False, 
            [
            _MetaInfoClassMember('as4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the original network
                ''',
                'as4_octet',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.Source.As_.Peer', 
                [], [], 
                '''                AS number of the peer network where the packet came from
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.Source',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_CLASS, 'As_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.Source.As_', 
                [], [], 
                '''                AS number of the original network
                ''',
                'as_',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP source traffic index
                ''',
                'traffic_index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing.Vrf',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VRF ID for incoming packet
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VRF ID for outgoing packet
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Routing' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Routing',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.Destination', 
                [], [], 
                '''                Destination routing attributes
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('forwarding-status', REFERENCE_CLASS, 'ForwardingStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.ForwardingStatus', 
                [], [], 
                '''                Forwarding status of the packet
                ''',
                'forwarding_status',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('is-multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Indicates if this is multicast
                ''',
                'is_multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.NextHop', 
                [], [], 
                '''                Information regarding the next hop
                ''',
                'next_hop',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('pw', REFERENCE_CLASS, 'Pw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.Pw', 
                [], [], 
                '''                Pseudowire fields
                ''',
                'pw',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.Source', 
                [], [], 
                '''                Source routing attributes
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing.Vrf', 
                [], [], 
                '''                VRF routing attributes
                ''',
                'vrf',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'routing',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Services.Waas.Segment' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Services.Waas.Segment',
            False, 
            [
            _MetaInfoClassMember('account-on-resolution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Account on resolution
                ''',
                'account_on_resolution',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'segment',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Services.Waas' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Services.Waas',
            False, 
            [
            _MetaInfoClassMember('passthrough-reason', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                WAAS passthrough reason
                ''',
                'passthrough_reason',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('segment', REFERENCE_CLASS, 'Segment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Services.Waas.Segment', 
                [], [], 
                '''                WAAS optimization segment
                ''',
                'segment',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'waas',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Services' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Services',
            False, 
            [
            _MetaInfoClassMember('waas', REFERENCE_CLASS, 'Waas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Services.Waas', 
                [], [], 
                '''                WAAS (Wide Area Application Services) metrics
                ''',
                'waas',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'services',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval',
            False, 
            [
            _MetaInfoClassMember('end', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Absolute end time of a monitoring interval (milliseconds)
                ''',
                'end',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('start', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Absolute start time of a monitoring interval (milliseconds)
                ''',
                'start',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitoring-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Timestamp.Absolute' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Timestamp.Absolute',
            False, 
            [
            _MetaInfoClassMember('first', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Absolute time the first packet was seen (milliseconds)
                ''',
                'first',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('last', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Absolute time the most recent packet was seen (milliseconds)
                ''',
                'last',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitoring-interval', REFERENCE_CLASS, 'MonitoringInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval', 
                [], [], 
                '''                Monitoring interval timestamps
                ''',
                'monitoring_interval',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'absolute',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Timestamp.SysUptime' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Timestamp.SysUptime',
            False, 
            [
            _MetaInfoClassMember('first', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time the first packet was seen
                ''',
                'first',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('last', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time the most recent packet was seen
                ''',
                'last',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sys-uptime',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Timestamp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Timestamp',
            False, 
            [
            _MetaInfoClassMember('absolute', REFERENCE_CLASS, 'Absolute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Timestamp.Absolute', 
                [], [], 
                '''                Timestamps based on the epoch of 00:00 UTC 1st Jan 1970
                ''',
                'absolute',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Epoch of a monitoring interval
                ''',
                'interval',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sys-uptime', REFERENCE_CLASS, 'SysUptime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Timestamp.SysUptime', 
                [], [], 
                '''                Timestamps based on the sys-uptime
                ''',
                'sys_uptime',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Bytes.Lost' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Bytes.Lost',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport bytes lost rate
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'lost',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Bytes',
            False, 
            [
            _MetaInfoClassMember('expected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport bytes expected
                ''',
                'expected',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('lost', REFERENCE_CLASS, 'Lost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Bytes.Lost', 
                [], [], 
                '''                Transport bytes lost
                ''',
                'lost',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('out-of-order', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of out-of-order bytes
                ''',
                'out_of_order',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Icmp.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Icmp.Ipv4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ICMP code
                ''',
                'code',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ICMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Icmp.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Icmp.Ipv6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 ICMP code
                ''',
                'code',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 ICMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Icmp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Icmp',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Icmp.Ipv4', 
                [], [], 
                '''                IPv4 ICMP fields
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Icmp.Ipv6', 
                [], [], 
                '''                IPv6 ICMP fields
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'icmp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Igmp',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Tcp.Flags' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Tcp.Flags',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP acknowledgement flag
                ''',
                'ack',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('cwr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP congestion window reduced flag
                ''',
                'cwr',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ece', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP ECN echo flag
                ''',
                'ece',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP finish flag
                ''',
                'fin',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP push flag
                ''',
                'psh',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP reset flag
                ''',
                'rst',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP synchronise flag
                ''',
                'syn',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP urgent flag
                ''',
                'urg',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Tcp.Flow_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Tcp.Flow_',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of tcp flows
                ''',
                'count',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Tcp.Option.Map' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Tcp.Option.Map',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Extended bitmap of TCP options
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Tcp.Option' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Tcp.Option',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Tcp.Option.Map', 
                [], [], 
                '''                Bitmap of TCP options
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Tcp.WindowSize.Average' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Tcp.WindowSize.Average',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of per flow TCP window average size
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'average',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Tcp.WindowSize' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Tcp.WindowSize',
            False, 
            [
            _MetaInfoClassMember('average', REFERENCE_CLASS, 'Average' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Tcp.WindowSize.Average', 
                [], [], 
                '''                The average size of TCP window
                ''',
                'average',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The maximum size of TCP window
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The minimum size of TCP window
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of TCP window size
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'window-size',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Tcp',
            False, 
            [
            _MetaInfoClassMember('acknowledgement-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP acknowledgement number
                ''',
                'acknowledgement_number',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Tcp.Flags', 
                [], [], 
                '''                TCP flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Tcp.Flow_', 
                [], [], 
                '''                TCP flow
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('header-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP header length (in 32 bit words)
                ''',
                'header_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('maximum-segment-size', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The maximum size of TCP segment
                ''',
                'maximum_segment_size',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Tcp.Option', 
                [], [], 
                '''                TCP option fields
                ''',
                'option',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('urgent-pointer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP urgent pointer
                ''',
                'urgent_pointer',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('window-size', REFERENCE_CLASS, 'WindowSize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Tcp.WindowSize', 
                [], [], 
                '''                TCP window size
                ''',
                'window_size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Udp',
            False, 
            [
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('message-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP message length
                ''',
                'message_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Event.PacketLoss.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Event.PacketLoss.Counter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Highest packet loss counter when multiple flows are aggregated
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lowest packet loss counter when multiple flows are aggregated
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Event.PacketLoss' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Event.PacketLoss',
            False, 
            [
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Event.PacketLoss.Counter', 
                [], [], 
                '''                Count of sets of packets that were lost
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packet-loss',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Event' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Event',
            False, 
            [
            _MetaInfoClassMember('packet-loss', REFERENCE_CLASS, 'PacketLoss' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Event.PacketLoss', 
                [], [], 
                '''                Transport event packet-loss fields
                ''',
                'packet_loss',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Packets.Expected' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Packets.Expected',
            False, 
            [
            _MetaInfoClassMember('counter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Expected number of packets from sequencing information
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'expected',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Packets.Lost.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Packets.Lost.Counter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Highest lost packet count seen among the aggregated flows
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lowest lost packet count seen among the aggregated flows
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Packets.Lost.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Packets.Lost.Rate',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum packet loss rate in the aggregated flows
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum packet loss rate in the aggregated flows
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Packets.Lost' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Packets.Lost',
            False, 
            [
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Packets.Lost.Counter', 
                [], [], 
                '''                A count of the number of lost packets from sequencing information
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Packets.Lost.Rate', 
                [], [], 
                '''                Packet loss rate from sequencing information
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'lost',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Packets' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Packets',
            False, 
            [
            _MetaInfoClassMember('expected', REFERENCE_CLASS, 'Expected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Packets.Expected', 
                [], [], 
                '''                Transport packets expected fields
                ''',
                'expected',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('lost', REFERENCE_CLASS, 'Lost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Packets.Lost', 
                [], [], 
                '''                Transport packets lost fields
                ''',
                'lost',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('out-of-order', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of out-of-order bytes
                ''',
                'out_of_order',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packets',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.RoundTripTime' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.RoundTripTime',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Highest RTT among all flows
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lowest RTT among all flows
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTT samples
                ''',
                'samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Sum RTT for all flows
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'round-trip-time',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Rtp.Flow_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Rtp.Flow_',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of RTP flows
                ''',
                'count',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Rtp.Jitter.Mean' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Rtp.Jitter.Mean',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of jitter mean for the RTP stream
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mean',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Rtp.Jitter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Rtp.Jitter',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum jitter for the RTP stream
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mean', REFERENCE_CLASS, 'Mean' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Rtp.Jitter.Mean', 
                [], [], 
                '''                Mean jitter for the RTP stream
                ''',
                'mean',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum jitter for the RTP stream
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'jitter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport.Rtp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport.Rtp',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Rtp.Flow_', 
                [], [], 
                '''                RTP  flow
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('jitter', REFERENCE_CLASS, 'Jitter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Rtp.Jitter', 
                [], [], 
                '''                RTP jitter fields
                ''',
                'jitter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload-type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTP payload type
                ''',
                'payload_type',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ssrc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTP SSRC
                ''',
                'ssrc',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect.Transport',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Bytes', 
                [], [], 
                '''                Bytes fields
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Event', 
                [], [], 
                '''                Transport event fields
                ''',
                'event',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('icmp', REFERENCE_CLASS, 'Icmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Icmp', 
                [], [], 
                '''                ICMP fields
                ''',
                'icmp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Igmp', 
                [], [], 
                '''                IGMP fields
                ''',
                'igmp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('packets', REFERENCE_CLASS, 'Packets' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Packets', 
                [], [], 
                '''                Transport packet fields
                ''',
                'packets',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('round-trip-time', REFERENCE_CLASS, 'RoundTripTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.RoundTripTime', 
                [], [], 
                '''                RTT calculation for flow
                ''',
                'round_trip_time',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Rtp', 
                [], [], 
                '''                RTP fields
                ''',
                'rtp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Tcp', 
                [], [], 
                '''                TCP fields
                ''',
                'tcp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport.Udp', 
                [], [], 
                '''                UDP fields
                ''',
                'udp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Collect' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Collect',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Application', 
                [], [], 
                '''                Application fields
                ''',
                'application',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('connection', REFERENCE_CLASS, 'Connection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Connection', 
                [], [], 
                '''                Connection fields
                ''',
                'connection',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Counter', 
                [], [], 
                '''                Counter fields
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('datalink', REFERENCE_CLASS, 'Datalink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Datalink', 
                [], [], 
                '''                Datalink (layer2) fields
                ''',
                'datalink',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Flow_', 
                [], [], 
                '''                Flow identifying fields
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Interface', 
                [], [], 
                '''                Interface fields
                ''',
                'interface',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv4', 
                [], [], 
                '''                IPv4 fields
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Ipv6', 
                [], [], 
                '''                IPv6 fields
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('metadata', REFERENCE_CLASS, 'Metadata' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Metadata', 
                [], [], 
                '''                Metadata fields
                ''',
                'metadata',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Monitor', 
                [], [], 
                '''                monitor fields
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Mpls', 
                [], [], 
                '''                MPLS fields
                ''',
                'mpls',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Network', 
                [], [], 
                '''                network metrics
                ''',
                'network',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('pfr', REFERENCE_CLASS, 'Pfr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Pfr', 
                [], [], 
                '''                PfR metrics
                ''',
                'pfr',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Policy', 
                [], [], 
                '''                policy fields
                ''',
                'policy',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('routing', REFERENCE_CLASS, 'Routing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Routing', 
                [], [], 
                '''                Routing attributes
                ''',
                'routing',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('services', REFERENCE_CLASS, 'Services' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Services', 
                [], [], 
                '''                Services fields
                ''',
                'services',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Timestamp', 
                [], [], 
                '''                Timestamp fields
                ''',
                'timestamp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect.Transport', 
                [], [], 
                '''                Transport layer fields
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'collect',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Dns' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Dns',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Domain name
                ''',
                'domain_name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'dns',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Http.Uri' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Http.Uri',
            False, 
            [
            _MetaInfoClassMember('statistics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Collect URI statistics
                ''',
                'statistics',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'uri',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Http' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Http',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Host name of Origin Server containing resource
                ''',
                'host',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('referer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address the resource request was obtained from
                ''',
                'referer',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('uri', REFERENCE_CLASS, 'Uri' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Http.Uri', 
                [], [], 
                '''                List of URIs and associated hit counts
                ''',
                'uri',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('url', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Uniform Resource Locator path
                ''',
                'url',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('user-agent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Software used by agent sending the request
                ''',
                'user_agent',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'http',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Media.Bytes.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Media.Bytes.Counter',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                A count of the number of bytes of media payload (64 bit counter)
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate.PerFlow' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate.PerFlow',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum byte rate in the media stream
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minumun byte rate in the media stream
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'per-flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate',
            False, 
            [
            _MetaInfoClassMember('per-flow', REFERENCE_CLASS, 'PerFlow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate.PerFlow', 
                [], [], 
                '''                Average media byte rate across flows
                ''',
                'per_flow',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Media.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Media.Bytes',
            False, 
            [
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Media.Bytes.Counter', 
                [], [], 
                '''                A count of the number of bytes of media payload
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate', 
                [], [], 
                '''                Byte rate for the media stream
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Media.Packets.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Media.Packets.Counter',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                A count of the number of packets with a media payload (64 bit counter)
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate.Variation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate.Variation',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Max variation in packet rate from configured expected rate
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Variation in packet rate from configured expected rate
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of media rate variation from the configured rate for the RTP stream
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'variation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate',
            False, 
            [
            _MetaInfoClassMember('variation', REFERENCE_CLASS, 'Variation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate.Variation', 
                [], [], 
                '''                Variation in packet rate from configured expected rate
                ''',
                'variation',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Media.Packets' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Media.Packets',
            False, 
            [
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Media.Packets.Counter', 
                [], [], 
                '''                A count of the number of packets with a media payload
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate', 
                [], [], 
                '''                Packet rate for the media stream
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packets',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Media' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Media',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Media.Bytes', 
                [], [], 
                '''                Media fields
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('event', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Flags indicating media events
                ''',
                'event',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('packets', REFERENCE_CLASS, 'Packets' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Media.Packets', 
                [], [], 
                '''                Media fields
                ''',
                'packets',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'media',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Name',
            False, 
            [
            _MetaInfoClassMember('account-on-resolution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Account on resolution
                ''',
                'account_on_resolution',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Nntp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Nntp',
            False, 
            [
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NNTP Group name
                ''',
                'group_name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'nntp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Pop3' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Pop3',
            False, 
            [
            _MetaInfoClassMember('server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                POP3 Server Name
                ''',
                'server',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'pop3',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Rtmp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Rtmp',
            False, 
            [
            _MetaInfoClassMember('pageUrl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTMP page url address
                ''',
                'pageurl',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rtmp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Rtsp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Rtsp',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTSP Host Name
                ''',
                'host',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rtsp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Sip' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Sip',
            False, 
            [
            _MetaInfoClassMember('destination', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The destination domain of SIP transactions
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The source domain of SIP transactions
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sip',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Smtp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Smtp',
            False, 
            [
            _MetaInfoClassMember('sender', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SMTP Sender Mail Address
                ''',
                'sender',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SMTP Server Name
                ''',
                'server',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'smtp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application.Ssl' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application.Ssl',
            False, 
            [
            _MetaInfoClassMember('common-name', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Certificate Common Name (CN)
                ''',
                'common_name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ssl',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Application' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Application',
            False, 
            [
            _MetaInfoClassMember('dns', REFERENCE_CLASS, 'Dns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Dns', 
                [], [], 
                '''                Domain Name Server lookup
                ''',
                'dns',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('http', REFERENCE_CLASS, 'Http' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Http', 
                [], [], 
                '''                World Wide Web traffic
                ''',
                'http',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('media', REFERENCE_CLASS, 'Media' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Media', 
                [], [], 
                '''                Media fields
                ''',
                'media',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('name', REFERENCE_CLASS, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Name', 
                [], [], 
                '''                Application name
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('nntp', REFERENCE_CLASS, 'Nntp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Nntp', 
                [], [], 
                '''                Network news transfer protocol
                ''',
                'nntp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('pop3', REFERENCE_CLASS, 'Pop3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Pop3', 
                [], [], 
                '''                Post Office Protocol 3
                ''',
                'pop3',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rtmp', REFERENCE_CLASS, 'Rtmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Rtmp', 
                [], [], 
                '''                Real Time Messaging Protocol
                ''',
                'rtmp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rtsp', REFERENCE_CLASS, 'Rtsp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Rtsp', 
                [], [], 
                '''                Real Time Streaming Protocol
                ''',
                'rtsp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sip', REFERENCE_CLASS, 'Sip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Sip', 
                [], [], 
                '''                Session Initiation Protocol
                ''',
                'sip',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('smtp', REFERENCE_CLASS, 'Smtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Smtp', 
                [], [], 
                '''                Simple Mail Transfer Protocol
                ''',
                'smtp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ssl', REFERENCE_CLASS, 'Ssl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application.Ssl', 
                [], [], 
                '''                Secure Socket Layer Protocol
                ''',
                'ssl',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vendor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Application vendor id
                ''',
                'vendor',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Application version id
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of bytes transmitted by the client
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bit counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bits counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network', 
                [], [], 
                '''                Number of bytes sent by the client
                ''',
                'network',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('retransmitted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of bytes retransmitted by the client
                ''',
                'retransmitted',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport', 
                [], [], 
                '''                Number of bytes sent by the client
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bits counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('retransmitted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of packets retransmitted by the client
                ''',
                'retransmitted',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packets',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Client.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Client.Counter',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes', 
                [], [], 
                '''                Number of bytes sent by the client
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('packets', REFERENCE_CLASS, 'Packets' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets', 
                [], [], 
                '''                Number of packets sent by the client
                ''',
                'packets',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Client.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Client.Ipv4',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the flow initiator
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Client.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Client.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the flow initiator
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Client.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Client.Transport',
            False, 
            [
            _MetaInfoClassMember('port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport port of the flow initiator
                ''',
                'port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Client' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Client',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All non-key client metrics
                ''',
                'all',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Client.Counter', 
                [], [], 
                '''                Client side counter metrics
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Client.Ipv4', 
                [], [], 
                '''                Client side IPv4 metrics
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Client.Ipv6', 
                [], [], 
                '''                Client side IPv6 metrics
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Client.Transport', 
                [], [], 
                '''                Client side transport metrics
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Application' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Application',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum application response time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum application response time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total application response time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum network time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum network time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('num-samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of CSND samples
                ''',
                'num_samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'client-to-server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'client-to-serve',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'to-serve',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived',
            False, 
            [
            _MetaInfoClassMember('client-to-serve', REFERENCE_CLASS, 'ClientToServe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe', 
                [], [], 
                '''                Long-lived network delay client-to-server metrics
                ''',
                'client_to_serve',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('to-client', REFERENCE_CLASS, 'ToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient', 
                [], [], 
                '''                Long-lived network delay to-client metrics
                ''',
                'to_client',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('to-serve', REFERENCE_CLASS, 'ToServe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe', 
                [], [], 
                '''                Long-lived network delay to-server metrics
                ''',
                'to_serve',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'long-lived',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum network time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum network time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('num-samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of CND samples
                ''',
                'num_samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum network time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum network time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('num-samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of SND samples
                ''',
                'num_samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total network time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'to-server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Network' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Network',
            False, 
            [
            _MetaInfoClassMember('client-to-server', REFERENCE_CLASS, 'ClientToServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer', 
                [], [], 
                '''                RTT between the client and the server
                ''',
                'client_to_server',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('long-lived', REFERENCE_CLASS, 'LongLived' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived', 
                [], [], 
                '''                Long-lived network delay metrics
                ''',
                'long_lived',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('to-client', REFERENCE_CLASS, 'ToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient', 
                [], [], 
                '''                RTT from observation point to the client
                ''',
                'to_client',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('to-server', REFERENCE_CLASS, 'ToServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer', 
                [], [], 
                '''                RTT from observation point to the server
                ''',
                'to_server',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum response time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum response time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total response time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'client-to-server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer',
            False, 
            [
            _MetaInfoClassMember('histogram', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Histogram for response time
                ''',
                'histogram',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum response time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum response time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total response time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'to-server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay.Response' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay.Response',
            False, 
            [
            _MetaInfoClassMember('client-to-server', REFERENCE_CLASS, 'ClientToServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer', 
                [], [], 
                '''                Response time as seen by the client
                ''',
                'client_to_server',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('to-server', REFERENCE_CLASS, 'ToServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer', 
                [], [], 
                '''                Response time as seen from observation point
                ''',
                'to_server',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'response',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Delay',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All non-key client metrics
                ''',
                'all',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Application', 
                [], [], 
                '''                Application time metrics
                ''',
                'application',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Network', 
                [], [], 
                '''                Network time metrics
                ''',
                'network',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('response', REFERENCE_CLASS, 'Response' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay.Response', 
                [], [], 
                '''                Response time metrics
                ''',
                'response',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of bytes transmitted by the server
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bit counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bits counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network', 
                [], [], 
                '''                Number of bytes sent by the server
                ''',
                'network',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('retransmitted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of bytes retransmitted by the server
                ''',
                'retransmitted',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport', 
                [], [], 
                '''                Number of bytes sent by the server
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                64 bits counter
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('retransmitted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of packets retransmitted by the server
                ''',
                'retransmitted',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packets',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Server.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Server.Counter',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes', 
                [], [], 
                '''                Number of bytes sent by the server
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('packets', REFERENCE_CLASS, 'Packets' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets', 
                [], [], 
                '''                Number of packets sent by the server
                ''',
                'packets',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('responses', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of responses sent by the server
                ''',
                'responses',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Server.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Server.Ipv4',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the flow responder
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Server.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Server.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the flow responder
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Server.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Server.Transport',
            False, 
            [
            _MetaInfoClassMember('port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport port of the flow responder
                ''',
                'port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Server' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Server',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All non-key server metrics
                ''',
                'all',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Server.Counter', 
                [], [], 
                '''                Server side counter metrics
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Server.Ipv4', 
                [], [], 
                '''                Server side IPv4 metrics
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Server.Ipv6', 
                [], [], 
                '''                Server side IPv6 metrics
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Server.Transport', 
                [], [], 
                '''                Server side transport metrics
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Transaction.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Transaction.Counter',
            False, 
            [
            _MetaInfoClassMember('complete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of completed transactions
                ''',
                'complete',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Transaction.Duration' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Transaction.Duration',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum transaction time
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum transaction time
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total transaction time
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'duration',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection.Transaction' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection.Transaction',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All non-key transaction metrics
                ''',
                'all',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Transaction.Counter', 
                [], [], 
                '''                Transaction counter metrics
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('duration', REFERENCE_CLASS, 'Duration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Transaction.Duration', 
                [], [], 
                '''                Transaction duration metrics
                ''',
                'duration',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transaction',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Connection' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Connection',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Client', 
                [], [], 
                '''                Client side (flow initiator) related metrics
                ''',
                'client',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Delay', 
                [], [], 
                '''                Connection delay metrics
                ''',
                'delay',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                An identifier for a connection between client and server
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('initiator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The direction of the flow
                ''',
                'initiator',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('new-connections', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of connection initiations observed
                ''',
                'new_connections',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Server', 
                [], [], 
                '''                Server side (flow responder) related metrics
                ''',
                'server',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum-duration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The overall time in seconds for all connections
                ''',
                'sum_duration',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transaction', REFERENCE_CLASS, 'Transaction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection.Transaction', 
                [], [], 
                '''                Transaction related metrics
                ''',
                'transaction',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transaction-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                An identifier for a transaction between client and server
                ''',
                'transaction_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'connection',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Counter.Bytes.Rate.PerFlow' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Counter.Bytes.Rate.PerFlow',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum byte rate among the aggregated flows
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum byte rate among the aggregated flows
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'per-flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Counter.Bytes.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Counter.Bytes.Rate',
            False, 
            [
            _MetaInfoClassMember('per-flow', REFERENCE_CLASS, 'PerFlow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Counter.Bytes.Rate.PerFlow', 
                [], [], 
                '''                Average byte rate for the flow
                ''',
                'per_flow',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Counter.Bytes.Squared' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Counter.Bytes.Squared',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total of the square of the packet length in bytes (64 bit counter)
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'squared',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Counter.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Counter.Bytes',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of bytes (64 bit counter)
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Counter.Bytes.Rate', 
                [], [], 
                '''                Byte rate for the flow
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('squared', REFERENCE_CLASS, 'Squared' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Counter.Bytes.Squared', 
                [], [], 
                '''                Total of the square of the number of bytes
                ''',
                'squared',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Counter.Packets.Rate.PerFlow' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Counter.Packets.Rate.PerFlow',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum packet rate in the aggregated flows
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum packet rate in the aggregated flows
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'per-flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Counter.Packets.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Counter.Packets.Rate',
            False, 
            [
            _MetaInfoClassMember('per-flow', REFERENCE_CLASS, 'PerFlow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Counter.Packets.Rate.PerFlow', 
                [], [], 
                '''                Average packet rate for aggregated flows
                ''',
                'per_flow',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Counter.Packets' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Counter.Packets',
            False, 
            [
            _MetaInfoClassMember('dropped', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Dropped packets
                ''',
                'dropped',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of packets (64 bit counter)
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Counter.Packets.Rate', 
                [], [], 
                '''                Packet rate for the flow
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packets',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Counter',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Counter.Bytes', 
                [], [], 
                '''                Total number of bytes
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flows', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of flows
                ''',
                'flows',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('packets', REFERENCE_CLASS, 'Packets' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Counter.Packets', 
                [], [], 
                '''                Total number of packets
                ''',
                'packets',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The VLAN the packet is on at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The VLAN the packet is on at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Datalink.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Datalink.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The CoS field out of the dot1q header
                ''',
                'priority',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan', 
                [], [], 
                '''                The VLAN the packet is on
                ''',
                'vlan',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination MAC address from packet at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination MAC address from packet at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Datalink.Mac.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Datalink.Mac.Destination',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address', 
                [], [], 
                '''                Destination MAC address from packet
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source MAC address from packet at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source MAC address from packet at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Datalink.Mac.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Datalink.Mac.Source',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address', 
                [], [], 
                '''                Source MAC address from packet
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Datalink.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Datalink.Mac',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Datalink.Mac.Destination', 
                [], [], 
                '''                destination MAC fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Datalink.Mac.Source', 
                [], [], 
                '''                source MAC fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Datalink' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Datalink',
            False, 
            [
            _MetaInfoClassMember('destination-vlan-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the VLAN that the packet is going to
                ''',
                'destination_vlan_id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Datalink.Dot1Q', 
                [], [], 
                '''                dot1q field
                ''',
                'dot1q',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ethertype', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The Ethertype of the packet
                ''',
                'ethertype',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Datalink.Mac', 
                [], [], 
                '''                MAC fields
                ''',
                'mac',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-vlan-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the VLAN that the packet came from
                ''',
                'source_vlan_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'datalink',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Flow_.Cts.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Flow_.Cts.Destination',
            False, 
            [
            _MetaInfoClassMember('group-tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                destination group-tag
                ''',
                'group_tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Flow_.Cts.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Flow_.Cts.Source',
            False, 
            [
            _MetaInfoClassMember('group-tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source group-tag
                ''',
                'group_tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Flow_.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Flow_.Cts',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Flow_.Cts.Destination', 
                [], [], 
                '''                Cisco Trusted Security destination fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Flow_.Cts.Source', 
                [], [], 
                '''                Cisco Trusted Security source fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Flow_.Observation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Flow_.Observation',
            False, 
            [
            _MetaInfoClassMember('point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Observation point ID
                ''',
                'point',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'observation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Flow_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Flow_',
            False, 
            [
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Flow_.Cts', 
                [], [], 
                '''                Cisco Trusted Security fields
                ''',
                'cts',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('direction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Direction the flow was monitored in
                ''',
                'direction',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('end-reason', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The reason for a flow ending
                ''',
                'end_reason',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('observation', REFERENCE_CLASS, 'Observation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Flow_.Observation', 
                [], [], 
                '''                Flow observation metrics
                ''',
                'observation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the sampler
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Interface.Input' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Interface.Input',
            False, 
            [
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP Index of the input interface
                ''',
                'snmp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Interface.Output' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Interface.Output',
            False, 
            [
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP Index of the output interface
                ''',
                'snmp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Interface',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Interface.Input', 
                [], [], 
                '''                The input interface
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Interface.Output', 
                [], [], 
                '''                The output interface
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Destination.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Destination.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Destination.Mask', 
                [], [], 
                '''                IPv4 address mask for the IPv4 destination address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Destination.Prefix', 
                [], [], 
                '''                IPv4 address prefix for the IPv4 destination address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Fragmentation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Fragmentation',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 fragmentation flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 fragmentation offset
                ''',
                'offset',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'fragmentation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Length.Total' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Length.Total',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum total length in bytes
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum total length in bytes
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Length' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Length',
            False, 
            [
            _MetaInfoClassMember('header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv4 header in bytes
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv4 payload in bytes
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Length.Total', 
                [], [], 
                '''                Total length of the IPv4 header and payload in bytes
                ''',
                'total',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Option' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Option',
            False, 
            [
            _MetaInfoClassMember('map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bitmap of IPv4 options
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Section.Header' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Section.Header',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Section.Payload' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Section.Payload',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'payload',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Section' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Section',
            False, 
            [
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Section.Header', 
                [], [], 
                '''                Raw data starting at the IPv4 header
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', REFERENCE_CLASS, 'Payload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Section.Payload', 
                [], [], 
                '''                Raw data starting at the IPv4 payload
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Source.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Source.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Source',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 source address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Source.Mask', 
                [], [], 
                '''                IPv4 address mask for the IPv4 source address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Source.Prefix', 
                [], [], 
                '''                IPv4 address prefix for the IPv4 source address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.TotalLength' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.TotalLength',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value for IPv4 length seen in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value for IPv4 length seen in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total-length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4.Ttl' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4.Ttl',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value seen for TTL in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value seen for TTL in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ttl',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Destination', 
                [], [], 
                '''                IPv4 destination address based fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 DSCP (part of TOS)
                ''',
                'dscp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_CLASS, 'Fragmentation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Fragmentation', 
                [], [], 
                '''                IPv4 fragmentation fields
                ''',
                'fragmentation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('header-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 header length (IHL in 32 bit words)
                ''',
                'header_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ID
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Length', 
                [], [], 
                '''                IPv4 length fields
                ''',
                'length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Option', 
                [], [], 
                '''                IPv4 option fields
                ''',
                'option',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 precedence (part of TOS)
                ''',
                'precedence',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Section', 
                [], [], 
                '''                Part of the packet
                ''',
                'section',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Source', 
                [], [], 
                '''                IPv4 source address based fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 type of service
                ''',
                'tos',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total-length', REFERENCE_CLASS, 'TotalLength' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.TotalLength', 
                [], [], 
                '''                IPv4 total length
                ''',
                'total_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ttl', REFERENCE_CLASS, 'Ttl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4.Ttl', 
                [], [], 
                '''                IPv4 TTL
                ''',
                'ttl',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP version from IPv4 header
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Destination.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Destination.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Destination.Mask', 
                [], [], 
                '''                IPv6 address mask for the IPv6 destination address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Destination.Prefix', 
                [], [], 
                '''                IPv6 address prefix for the IPv6 destination address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Extension' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Extension',
            False, 
            [
            _MetaInfoClassMember('map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bitmap of IPv6 extension headers
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'extension',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Fragmentation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Fragmentation',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation ID
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation offset
                ''',
                'offset',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'fragmentation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.HopLimit' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.HopLimit',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value seen for hop-limit in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value seen for hop-limit in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'hop-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Length.Total' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Length.Total',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum total length in bytes
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum total length in bytes
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Length' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Length',
            False, 
            [
            _MetaInfoClassMember('header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 header, not including any extension headers, in bytes
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 payload, including any extension headers, in bytes
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Length.Total', 
                [], [], 
                '''                Total length of the IPv6 header and payload in bytes
                ''',
                'total',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Section.Header' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Section.Header',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Section.Payload' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Section.Payload',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'payload',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Section' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Section',
            False, 
            [
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Section.Header', 
                [], [], 
                '''                Raw data starting at the IPv6 header
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', REFERENCE_CLASS, 'Payload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Section.Payload', 
                [], [], 
                '''                Raw data starting at the IPv6 payload
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Source.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Source.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6.Source',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 source address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Source.Mask', 
                [], [], 
                '''                IPv6 address mask for the IPv6 source address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Source.Prefix', 
                [], [], 
                '''                IPv6 address prefix for the IPv6 source address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Ipv6',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Destination', 
                [], [], 
                '''                IPv6 destination address based fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 DSCP (part of Traffic Class)
                ''',
                'dscp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('extension', REFERENCE_CLASS, 'Extension' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Extension', 
                [], [], 
                '''                IPv6 extension header fields
                ''',
                'extension',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow-label', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 flow label
                ''',
                'flow_label',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_CLASS, 'Fragmentation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Fragmentation', 
                [], [], 
                '''                IPv6 fragmentation fields
                ''',
                'fragmentation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('hop-limit', REFERENCE_CLASS, 'HopLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.HopLimit', 
                [], [], 
                '''                IPv6 hop limit
                ''',
                'hop_limit',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Length', 
                [], [], 
                '''                IPv6 length fields
                ''',
                'length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('next-header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The value of the next-header field in the IPv6 header
                ''',
                'next_header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 payload in bytes
                ''',
                'payload_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 precedence (part of Traffic Class)
                ''',
                'precedence',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 payload protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Section', 
                [], [], 
                '''                Part of the packet
                ''',
                'section',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6.Source', 
                [], [], 
                '''                IPv6 source address based fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-class', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 traffic class
                ''',
                'traffic_class',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP version from IPv6 header
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Metadata' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Metadata',
            False, 
            [
            _MetaInfoClassMember('clock-rate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metadata clock-rate
                ''',
                'clock_rate',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('global-session-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metadata global-session-id
                ''',
                'global_session_id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multi-party-session-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metadata multi-party-session-id
                ''',
                'multi_party_session_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'metadata',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Monitor',
            False, 
            [
            _MetaInfoClassMember('event', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Flags indicating monitor events
                ''',
                'event',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Mpls.Label.One' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Mpls.Label.One',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 1 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('exp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS EXP field from the last label that was pushed
                ''',
                'exp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS TTL field from the last label that was pushed
                ''',
                'ttl',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label type of the last label that was pushed
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'one',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Mpls.Label.Two' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Mpls.Label.Two',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 2 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'two',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Mpls.Label.Three' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Mpls.Label.Three',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 3 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'three',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Mpls.Label.Four' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Mpls.Label.Four',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 4 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'four',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Mpls.Label.Five' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Mpls.Label.Five',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 5 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'five',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Mpls.Label.Six' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Mpls.Label.Six',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 6 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'six',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Mpls.Label' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Mpls.Label',
            False, 
            [
            _MetaInfoClassMember('five', REFERENCE_CLASS, 'Five' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Mpls.Label.Five', 
                [], [], 
                '''                MPLS label 5 information
                ''',
                'five',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('four', REFERENCE_CLASS, 'Four' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Mpls.Label.Four', 
                [], [], 
                '''                MPLS label 4 information
                ''',
                'four',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('one', REFERENCE_CLASS, 'One' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Mpls.Label.One', 
                [], [], 
                '''                MPLS label 1 information
                ''',
                'one',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('six', REFERENCE_CLASS, 'Six' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Mpls.Label.Six', 
                [], [], 
                '''                MPLS label 6 information
                ''',
                'six',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('three', REFERENCE_CLASS, 'Three' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Mpls.Label.Three', 
                [], [], 
                '''                MPLS label 3 information
                ''',
                'three',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('two', REFERENCE_CLASS, 'Two' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Mpls.Label.Two', 
                [], [], 
                '''                MPLS label 2 information
                ''',
                'two',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Mpls',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Mpls.Label', 
                [], [], 
                '''                MPLS label details
                ''',
                'label',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Network.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Network.Delay',
            False, 
            [
            _MetaInfoClassMember('sample', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of samples of roundtrip delay
                ''',
                'sample',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of roundtrip delay
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Network' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Network',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Network.Delay', 
                [], [], 
                '''                network delay metrics
                ''',
                'delay',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.Label' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.Label',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                pfr label id
                ''',
                'identifier',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.OneWayDelay' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.OneWayDelay',
            False, 
            [
            _MetaInfoClassMember('samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of one-way-delay samples
                ''',
                'samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The packet transmission delay sum between specified nodes
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'one-way-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.Service' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.Service',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider tag
                ''',
                'identifier',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('provider', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider metrics
                ''',
                'provider',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider tag metrics
                ''',
                'tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site ID of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix mask of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask', 
                [], [], 
                '''                PfR site prefix mask of the packet destination
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.Site.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.Site.Destination',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id', 
                [], [], 
                '''                PfR site destination ID metrics
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix', 
                [], [], 
                '''                PfR site prefix of the packet destination
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site ID of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix mask of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask', 
                [], [], 
                '''                PfR site prefix mask of the packet source
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.Site.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.Site.Source',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id', 
                [], [], 
                '''                PfR site source ID metrics
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix', 
                [], [], 
                '''                PfR site prefix of the packet source
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr.Site' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr.Site',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.Site.Destination', 
                [], [], 
                '''                PfR site destination metrics
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.Site.Source', 
                [], [], 
                '''                PfR site source metrics
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'site',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Pfr' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Pfr',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.Label', 
                [], [], 
                '''                PfR label metrics
                ''',
                'label',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('one-way-delay', REFERENCE_CLASS, 'OneWayDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.OneWayDelay', 
                [], [], 
                '''                The packet transmission delay between specified nodes
                ''',
                'one_way_delay',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.Service', 
                [], [], 
                '''                PfR service metrics
                ''',
                'service',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('site', REFERENCE_CLASS, 'Site' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr.Site', 
                [], [], 
                '''                PfR site  metrics
                ''',
                'site',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'pfr',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification',
            False, 
            [
            _MetaInfoClassMember('hierarchy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Performance-monitor class hierarchy
                ''',
                'hierarchy',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'classification',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('classification', REFERENCE_CLASS, 'Classification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification', 
                [], [], 
                '''                Classification metrics
                ''',
                'classification',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Policy.Qos.Classification' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Policy.Qos.Classification',
            False, 
            [
            _MetaInfoClassMember('hierarchy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS class hierarchy
                ''',
                'hierarchy',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'classification',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Policy.Qos.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Policy.Qos.Queue',
            False, 
            [
            _MetaInfoClassMember('drops', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS queue drops
                ''',
                'drops',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS queue index
                ''',
                'index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Policy.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Policy.Qos',
            False, 
            [
            _MetaInfoClassMember('classification', REFERENCE_CLASS, 'Classification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Policy.Qos.Classification', 
                [], [], 
                '''                Classification metrics
                ''',
                'classification',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Policy.Qos.Queue', 
                [], [], 
                '''                Queue metrics
                ''',
                'queue',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Policy',
            False, 
            [
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor', 
                [], [], 
                '''                Performance-monitor policy related metrics
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Policy.Qos', 
                [], [], 
                '''                QoS policy related metrics
                ''',
                'qos',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.Destination.As_.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.Destination.As_.Peer',
            False, 
            [
            _MetaInfoClassMember('peer4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the peer network we will forward to
                ''',
                'peer4_octet',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.Destination.As_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.Destination.As_',
            False, 
            [
            _MetaInfoClassMember('as4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the destination network
                ''',
                'as4_octet',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.Destination.As_.Peer', 
                [], [], 
                '''                AS number of the peer network we will forward to
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.Destination',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_CLASS, 'As_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.Destination.As_', 
                [], [], 
                '''                AS number of the destination network
                ''',
                'as_',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP destination traffic index
                ''',
                'traffic_index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.ForwardingStatus' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.ForwardingStatus',
            False, 
            [
            _MetaInfoClassMember('reason', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Forwarding status reason of the packet
                ''',
                'reason',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'forwarding-status',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv4',
            False, 
            [
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the BGP next hop
                ''',
                'bgp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv6',
            False, 
            [
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the BGP next hop
                ''',
                'bgp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.NextHop.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.NextHop.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv4', 
                [], [], 
                '''                IPv4 address of the next hop
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv6', 
                [], [], 
                '''                IPv6 address of the next hop
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.NextHop',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.NextHop.Address', 
                [], [], 
                '''                IP address of the next hop
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.Pw.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.Pw.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pseudowire destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.Pw' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.Pw',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.Pw.Destination', 
                [], [], 
                '''                Pseudowire destination
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'pw',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.Source.As_.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.Source.As_.Peer',
            False, 
            [
            _MetaInfoClassMember('peer4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the peer network where the packet came from
                ''',
                'peer4_octet',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.Source.As_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.Source.As_',
            False, 
            [
            _MetaInfoClassMember('as4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the original network
                ''',
                'as4_octet',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.Source.As_.Peer', 
                [], [], 
                '''                AS number of the peer network where the packet came from
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.Source',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_CLASS, 'As_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.Source.As_', 
                [], [], 
                '''                AS number of the original network
                ''',
                'as_',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP source traffic index
                ''',
                'traffic_index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing.Vrf',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VRF ID for incoming packet
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VRF ID for outgoing packet
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Routing' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Routing',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.Destination', 
                [], [], 
                '''                Destination routing attributes
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('forwarding-status', REFERENCE_CLASS, 'ForwardingStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.ForwardingStatus', 
                [], [], 
                '''                Forwarding status of the packet
                ''',
                'forwarding_status',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('is-multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Indicates if this is multicast
                ''',
                'is_multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.NextHop', 
                [], [], 
                '''                Information regarding the next hop
                ''',
                'next_hop',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('pw', REFERENCE_CLASS, 'Pw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.Pw', 
                [], [], 
                '''                Pseudowire fields
                ''',
                'pw',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.Source', 
                [], [], 
                '''                Source routing attributes
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing.Vrf', 
                [], [], 
                '''                VRF routing attributes
                ''',
                'vrf',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'routing',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Services.Waas.Segment' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Services.Waas.Segment',
            False, 
            [
            _MetaInfoClassMember('account-on-resolution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Account on resolution
                ''',
                'account_on_resolution',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'segment',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Services.Waas' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Services.Waas',
            False, 
            [
            _MetaInfoClassMember('passthrough-reason', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                WAAS passthrough reason
                ''',
                'passthrough_reason',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('segment', REFERENCE_CLASS, 'Segment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Services.Waas.Segment', 
                [], [], 
                '''                WAAS optimization segment
                ''',
                'segment',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'waas',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Services' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Services',
            False, 
            [
            _MetaInfoClassMember('waas', REFERENCE_CLASS, 'Waas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Services.Waas', 
                [], [], 
                '''                WAAS (Wide Area Application Services) metrics
                ''',
                'waas',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'services',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval',
            False, 
            [
            _MetaInfoClassMember('end', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Absolute end time of a monitoring interval (milliseconds)
                ''',
                'end',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('start', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Absolute start time of a monitoring interval (milliseconds)
                ''',
                'start',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitoring-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Timestamp.Absolute' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Timestamp.Absolute',
            False, 
            [
            _MetaInfoClassMember('first', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Absolute time the first packet was seen (milliseconds)
                ''',
                'first',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('last', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Absolute time the most recent packet was seen (milliseconds)
                ''',
                'last',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitoring-interval', REFERENCE_CLASS, 'MonitoringInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval', 
                [], [], 
                '''                Monitoring interval timestamps
                ''',
                'monitoring_interval',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'absolute',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Timestamp.SysUptime' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Timestamp.SysUptime',
            False, 
            [
            _MetaInfoClassMember('first', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time the first packet was seen
                ''',
                'first',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('last', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time the most recent packet was seen
                ''',
                'last',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sys-uptime',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Timestamp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Timestamp',
            False, 
            [
            _MetaInfoClassMember('absolute', REFERENCE_CLASS, 'Absolute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Timestamp.Absolute', 
                [], [], 
                '''                Timestamps based on the epoch of 00:00 UTC 1st Jan 1970
                ''',
                'absolute',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Epoch of a monitoring interval
                ''',
                'interval',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sys-uptime', REFERENCE_CLASS, 'SysUptime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Timestamp.SysUptime', 
                [], [], 
                '''                Timestamps based on the sys-uptime
                ''',
                'sys_uptime',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Bytes.Lost' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Bytes.Lost',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport bytes lost rate
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'lost',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Bytes',
            False, 
            [
            _MetaInfoClassMember('expected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport bytes expected
                ''',
                'expected',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('lost', REFERENCE_CLASS, 'Lost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Bytes.Lost', 
                [], [], 
                '''                Transport bytes lost
                ''',
                'lost',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('out-of-order', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of out-of-order bytes
                ''',
                'out_of_order',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ICMP code
                ''',
                'code',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ICMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 ICMP code
                ''',
                'code',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 ICMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Icmp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Icmp',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4', 
                [], [], 
                '''                IPv4 ICMP fields
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6', 
                [], [], 
                '''                IPv6 ICMP fields
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'icmp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Igmp',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Tcp.Flags' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Tcp.Flags',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP acknowledgement flag
                ''',
                'ack',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('cwr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP congestion window reduced flag
                ''',
                'cwr',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ece', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP ECN echo flag
                ''',
                'ece',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP finish flag
                ''',
                'fin',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP push flag
                ''',
                'psh',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP reset flag
                ''',
                'rst',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP synchronise flag
                ''',
                'syn',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP urgent flag
                ''',
                'urg',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Tcp.Flow_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Tcp.Flow_',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of tcp flows
                ''',
                'count',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Tcp.Option.Map' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Tcp.Option.Map',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Extended bitmap of TCP options
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Tcp.Option' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Tcp.Option',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Tcp.Option.Map', 
                [], [], 
                '''                Bitmap of TCP options
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize.Average' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize.Average',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of per flow TCP window average size
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'average',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize',
            False, 
            [
            _MetaInfoClassMember('average', REFERENCE_CLASS, 'Average' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize.Average', 
                [], [], 
                '''                The average size of TCP window
                ''',
                'average',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The maximum size of TCP window
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The minimum size of TCP window
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of TCP window size
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'window-size',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Tcp',
            False, 
            [
            _MetaInfoClassMember('acknowledgement-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP acknowledgement number
                ''',
                'acknowledgement_number',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Tcp.Flags', 
                [], [], 
                '''                TCP flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Tcp.Flow_', 
                [], [], 
                '''                TCP flow
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('header-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP header length (in 32 bit words)
                ''',
                'header_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('maximum-segment-size', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The maximum size of TCP segment
                ''',
                'maximum_segment_size',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Tcp.Option', 
                [], [], 
                '''                TCP option fields
                ''',
                'option',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('urgent-pointer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP urgent pointer
                ''',
                'urgent_pointer',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('window-size', REFERENCE_CLASS, 'WindowSize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize', 
                [], [], 
                '''                TCP window size
                ''',
                'window_size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Udp',
            False, 
            [
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('message-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP message length
                ''',
                'message_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss.Counter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Highest packet loss counter when multiple flows are aggregated
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lowest packet loss counter when multiple flows are aggregated
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss',
            False, 
            [
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss.Counter', 
                [], [], 
                '''                Count of sets of packets that were lost
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packet-loss',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Event' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Event',
            False, 
            [
            _MetaInfoClassMember('packet-loss', REFERENCE_CLASS, 'PacketLoss' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss', 
                [], [], 
                '''                Transport event packet-loss fields
                ''',
                'packet_loss',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Packets.Expected' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Packets.Expected',
            False, 
            [
            _MetaInfoClassMember('counter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Expected number of packets from sequencing information
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'expected',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Counter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Highest lost packet count seen among the aggregated flows
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lowest lost packet count seen among the aggregated flows
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Rate',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum packet loss rate in the aggregated flows
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum packet loss rate in the aggregated flows
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Packets.Lost' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Packets.Lost',
            False, 
            [
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Counter', 
                [], [], 
                '''                A count of the number of lost packets from sequencing information
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Rate', 
                [], [], 
                '''                Packet loss rate from sequencing information
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'lost',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Packets' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Packets',
            False, 
            [
            _MetaInfoClassMember('expected', REFERENCE_CLASS, 'Expected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Packets.Expected', 
                [], [], 
                '''                Transport packets expected fields
                ''',
                'expected',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('lost', REFERENCE_CLASS, 'Lost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Packets.Lost', 
                [], [], 
                '''                Transport packets lost fields
                ''',
                'lost',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('out-of-order', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of out-of-order bytes
                ''',
                'out_of_order',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packets',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.RoundTripTime' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.RoundTripTime',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Highest RTT among all flows
                ''',
                'max',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lowest RTT among all flows
                ''',
                'min',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTT samples
                ''',
                'samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Sum RTT for all flows
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'round-trip-time',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Rtp.Flow_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Rtp.Flow_',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of RTP flows
                ''',
                'count',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter.Mean' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter.Mean',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of jitter mean for the RTP stream
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mean',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum jitter for the RTP stream
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mean', REFERENCE_CLASS, 'Mean' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter.Mean', 
                [], [], 
                '''                Mean jitter for the RTP stream
                ''',
                'mean',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum jitter for the RTP stream
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'jitter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport.Rtp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport.Rtp',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Rtp.Flow_', 
                [], [], 
                '''                RTP  flow
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('jitter', REFERENCE_CLASS, 'Jitter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter', 
                [], [], 
                '''                RTP jitter fields
                ''',
                'jitter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload-type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTP payload type
                ''',
                'payload_type',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ssrc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTP SSRC
                ''',
                'ssrc',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect.Transport',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Bytes', 
                [], [], 
                '''                Bytes fields
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Event', 
                [], [], 
                '''                Transport event fields
                ''',
                'event',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('icmp', REFERENCE_CLASS, 'Icmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Icmp', 
                [], [], 
                '''                ICMP fields
                ''',
                'icmp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Igmp', 
                [], [], 
                '''                IGMP fields
                ''',
                'igmp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('packets', REFERENCE_CLASS, 'Packets' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Packets', 
                [], [], 
                '''                Transport packet fields
                ''',
                'packets',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('round-trip-time', REFERENCE_CLASS, 'RoundTripTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.RoundTripTime', 
                [], [], 
                '''                RTT calculation for flow
                ''',
                'round_trip_time',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Rtp', 
                [], [], 
                '''                RTP fields
                ''',
                'rtp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Tcp', 
                [], [], 
                '''                TCP fields
                ''',
                'tcp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport.Udp', 
                [], [], 
                '''                UDP fields
                ''',
                'udp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Collect' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Collect',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Application', 
                [], [], 
                '''                Application fields
                ''',
                'application',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('connection', REFERENCE_CLASS, 'Connection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Connection', 
                [], [], 
                '''                Connection fields
                ''',
                'connection',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Counter', 
                [], [], 
                '''                Counter fields
                ''',
                'counter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('datalink', REFERENCE_CLASS, 'Datalink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Datalink', 
                [], [], 
                '''                Datalink (layer2) fields
                ''',
                'datalink',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Flow_', 
                [], [], 
                '''                Flow identifying fields
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Interface', 
                [], [], 
                '''                Interface fields
                ''',
                'interface',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv4', 
                [], [], 
                '''                IPv4 fields
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Ipv6', 
                [], [], 
                '''                IPv6 fields
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('metadata', REFERENCE_CLASS, 'Metadata' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Metadata', 
                [], [], 
                '''                Metadata fields
                ''',
                'metadata',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Monitor', 
                [], [], 
                '''                monitor fields
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Mpls', 
                [], [], 
                '''                MPLS fields
                ''',
                'mpls',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Network', 
                [], [], 
                '''                network metrics
                ''',
                'network',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('pfr', REFERENCE_CLASS, 'Pfr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Pfr', 
                [], [], 
                '''                PfR metrics
                ''',
                'pfr',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Policy', 
                [], [], 
                '''                policy fields
                ''',
                'policy',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('routing', REFERENCE_CLASS, 'Routing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Routing', 
                [], [], 
                '''                Routing attributes
                ''',
                'routing',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('services', REFERENCE_CLASS, 'Services' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Services', 
                [], [], 
                '''                Services fields
                ''',
                'services',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Timestamp', 
                [], [], 
                '''                Timestamp fields
                ''',
                'timestamp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect.Transport', 
                [], [], 
                '''                Transport layer fields
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'collect',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Application.Name',
            False, 
            [
            _MetaInfoClassMember('account-on-resolution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Account on resolution
                ''',
                'account_on_resolution',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Application' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_CLASS, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Application.Name', 
                [], [], 
                '''                Application name
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vendor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Application vendor id
                ''',
                'vendor',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Application version id
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Connection.Client.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Connection.Client.Ipv4',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the flow initiator
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Connection.Client.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Connection.Client.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the flow initiator
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Connection.Client.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Connection.Client.Transport',
            False, 
            [
            _MetaInfoClassMember('port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport port of the flow initiator
                ''',
                'port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Connection.Client' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Connection.Client',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Connection.Client.Ipv4', 
                [], [], 
                '''                Client side IPv4 metrics
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Connection.Client.Ipv6', 
                [], [], 
                '''                Client side IPv6 metrics
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Connection.Client.Transport', 
                [], [], 
                '''                Client side transport metrics
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Connection.Server.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Connection.Server.Ipv4',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the flow responder
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Connection.Server.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Connection.Server.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the flow responder
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Connection.Server.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Connection.Server.Transport',
            False, 
            [
            _MetaInfoClassMember('port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport port of the flow responder
                ''',
                'port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Connection.Server' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Connection.Server',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Connection.Server.Ipv4', 
                [], [], 
                '''                Server side IPv4 metrics
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Connection.Server.Ipv6', 
                [], [], 
                '''                Server side IPv6 metrics
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Connection.Server.Transport', 
                [], [], 
                '''                Server side transport metrics
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Connection' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Connection',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Connection.Client', 
                [], [], 
                '''                Client side (flow initiator) related metrics
                ''',
                'client',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                An identifier for a connection between client and server
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('initiator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The direction of the flow
                ''',
                'initiator',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Connection.Server', 
                [], [], 
                '''                Server side (flow responder) related metrics
                ''',
                'server',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transaction-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                An identifier for a transaction between client and server
                ''',
                'transaction_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'connection',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The VLAN the packet is on at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The VLAN the packet is on at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Datalink.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Datalink.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The CoS field out of the dot1q header
                ''',
                'priority',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan', 
                [], [], 
                '''                The VLAN the packet is on
                ''',
                'vlan',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination MAC address from packet at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination MAC address from packet at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Datalink.Mac.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Datalink.Mac.Destination',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address', 
                [], [], 
                '''                Destination MAC address from packet
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source MAC address from packet at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source MAC address from packet at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Datalink.Mac.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Datalink.Mac.Source',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address', 
                [], [], 
                '''                Source MAC address from packet
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Datalink.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Datalink.Mac',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Datalink.Mac.Destination', 
                [], [], 
                '''                destination MAC fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Datalink.Mac.Source', 
                [], [], 
                '''                source MAC fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Datalink' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Datalink',
            False, 
            [
            _MetaInfoClassMember('destination-vlan-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the VLAN that the packet is going to
                ''',
                'destination_vlan_id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Datalink.Dot1Q', 
                [], [], 
                '''                dot1q field
                ''',
                'dot1q',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ethertype', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The Ethertype of the packet
                ''',
                'ethertype',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Datalink.Mac', 
                [], [], 
                '''                MAC fields
                ''',
                'mac',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-vlan-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the VLAN that the packet came from
                ''',
                'source_vlan_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'datalink',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Flow_.Cts.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Flow_.Cts.Destination',
            False, 
            [
            _MetaInfoClassMember('group-tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                destination group-tag
                ''',
                'group_tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Flow_.Cts.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Flow_.Cts.Source',
            False, 
            [
            _MetaInfoClassMember('group-tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source group-tag
                ''',
                'group_tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Flow_.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Flow_.Cts',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Flow_.Cts.Destination', 
                [], [], 
                '''                Cisco Trusted Security destination fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Flow_.Cts.Source', 
                [], [], 
                '''                Cisco Trusted Security source fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Flow_.Observation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Flow_.Observation',
            False, 
            [
            _MetaInfoClassMember('point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Observation point ID
                ''',
                'point',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'observation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Flow_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Flow_',
            False, 
            [
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Flow_.Cts', 
                [], [], 
                '''                Cisco Trusted Security fields
                ''',
                'cts',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('direction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Direction the flow was monitored in
                ''',
                'direction',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('observation', REFERENCE_CLASS, 'Observation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Flow_.Observation', 
                [], [], 
                '''                Flow observation metrics
                ''',
                'observation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the sampler
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Interface.Input' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Interface.Input',
            False, 
            [
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP Index of the input interface
                ''',
                'snmp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Interface.Output' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Interface.Output',
            False, 
            [
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP Index of the output interface
                ''',
                'snmp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Interface',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Interface.Input', 
                [], [], 
                '''                The input interface
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Interface.Output', 
                [], [], 
                '''                The output interface
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Destination.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Destination.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Destination.Mask', 
                [], [], 
                '''                IPv4 address mask for the IPv4 destination address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Destination.Prefix', 
                [], [], 
                '''                IPv4 address prefix for the IPv4 destination address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Fragmentation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Fragmentation',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 fragmentation flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 fragmentation offset
                ''',
                'offset',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'fragmentation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Length.Total' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Length.Total',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum total length in bytes
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum total length in bytes
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Length' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Length',
            False, 
            [
            _MetaInfoClassMember('header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv4 header in bytes
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv4 payload in bytes
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Length.Total', 
                [], [], 
                '''                Total length of the IPv4 header and payload in bytes
                ''',
                'total',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Option' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Option',
            False, 
            [
            _MetaInfoClassMember('map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bitmap of IPv4 options
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Section.Header' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Section.Header',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Section.Payload' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Section.Payload',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'payload',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Section' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Section',
            False, 
            [
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Section.Header', 
                [], [], 
                '''                Raw data starting at the IPv4 header
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', REFERENCE_CLASS, 'Payload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Section.Payload', 
                [], [], 
                '''                Raw data starting at the IPv4 payload
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Source.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Source.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Source',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 source address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Source.Mask', 
                [], [], 
                '''                IPv4 address mask for the IPv4 source address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Source.Prefix', 
                [], [], 
                '''                IPv4 address prefix for the IPv4 source address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.TotalLength' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.TotalLength',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value for IPv4 length seen in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value for IPv4 length seen in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total-length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4.Ttl' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4.Ttl',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value seen for TTL in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value seen for TTL in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ttl',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Destination', 
                [], [], 
                '''                IPv4 destination address based fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 DSCP (part of TOS)
                ''',
                'dscp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_CLASS, 'Fragmentation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Fragmentation', 
                [], [], 
                '''                IPv4 fragmentation fields
                ''',
                'fragmentation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('header-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 header length (IHL in 32 bit words)
                ''',
                'header_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ID
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Length', 
                [], [], 
                '''                IPv4 length fields
                ''',
                'length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Option', 
                [], [], 
                '''                IPv4 option fields
                ''',
                'option',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 precedence (part of TOS)
                ''',
                'precedence',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Section', 
                [], [], 
                '''                Part of the packet
                ''',
                'section',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Source', 
                [], [], 
                '''                IPv4 source address based fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 type of service
                ''',
                'tos',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total-length', REFERENCE_CLASS, 'TotalLength' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.TotalLength', 
                [], [], 
                '''                IPv4 total length
                ''',
                'total_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ttl', REFERENCE_CLASS, 'Ttl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4.Ttl', 
                [], [], 
                '''                IPv4 TTL
                ''',
                'ttl',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP version from IPv4 header
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Destination.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Destination.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Destination.Mask', 
                [], [], 
                '''                IPv6 address mask for the IPv6 destination address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Destination.Prefix', 
                [], [], 
                '''                IPv6 address prefix for the IPv6 destination address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Extension' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Extension',
            False, 
            [
            _MetaInfoClassMember('map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bitmap of IPv6 extension headers
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'extension',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Fragmentation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Fragmentation',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation ID
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation offset
                ''',
                'offset',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'fragmentation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.HopLimit' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.HopLimit',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value seen for hop-limit in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value seen for hop-limit in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'hop-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Length.Total' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Length.Total',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum total length in bytes
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum total length in bytes
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Length' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Length',
            False, 
            [
            _MetaInfoClassMember('header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 header, not including any extension headers, in bytes
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 payload, including any extension headers, in bytes
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Length.Total', 
                [], [], 
                '''                Total length of the IPv6 header and payload in bytes
                ''',
                'total',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Section.Header' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Section.Header',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Section.Payload' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Section.Payload',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'payload',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Section' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Section',
            False, 
            [
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Section.Header', 
                [], [], 
                '''                Raw data starting at the IPv6 header
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', REFERENCE_CLASS, 'Payload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Section.Payload', 
                [], [], 
                '''                Raw data starting at the IPv6 payload
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Source.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Source.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6.Source',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 source address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Source.Mask', 
                [], [], 
                '''                IPv6 address mask for the IPv6 source address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Source.Prefix', 
                [], [], 
                '''                IPv6 address prefix for the IPv6 source address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Ipv6',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Destination', 
                [], [], 
                '''                IPv6 destination address based fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 DSCP (part of Traffic Class)
                ''',
                'dscp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('extension', REFERENCE_CLASS, 'Extension' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Extension', 
                [], [], 
                '''                IPv6 extension header fields
                ''',
                'extension',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow-label', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 flow label
                ''',
                'flow_label',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_CLASS, 'Fragmentation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Fragmentation', 
                [], [], 
                '''                IPv6 fragmentation fields
                ''',
                'fragmentation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('hop-limit', REFERENCE_CLASS, 'HopLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.HopLimit', 
                [], [], 
                '''                IPv6 hop limit
                ''',
                'hop_limit',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Length', 
                [], [], 
                '''                IPv6 length fields
                ''',
                'length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('next-header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The value of the next-header field in the IPv6 header
                ''',
                'next_header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 payload in bytes
                ''',
                'payload_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 precedence (part of Traffic Class)
                ''',
                'precedence',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 payload protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Section', 
                [], [], 
                '''                Part of the packet
                ''',
                'section',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6.Source', 
                [], [], 
                '''                IPv6 source address based fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-class', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 traffic class
                ''',
                'traffic_class',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP version from IPv6 header
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Metadata' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Metadata',
            False, 
            [
            _MetaInfoClassMember('global-session-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metadata global-session-id
                ''',
                'global_session_id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multi-party-session-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metadata multi-party-session-id
                ''',
                'multi_party_session_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'metadata',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Mpls.Label.One' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Mpls.Label.One',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 1 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('exp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS EXP field from the last label that was pushed
                ''',
                'exp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS TTL field from the last label that was pushed
                ''',
                'ttl',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label type of the last label that was pushed
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'one',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Mpls.Label.Two' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Mpls.Label.Two',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 2 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'two',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Mpls.Label.Three' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Mpls.Label.Three',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 3 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'three',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Mpls.Label.Four' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Mpls.Label.Four',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 4 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'four',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Mpls.Label.Five' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Mpls.Label.Five',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 5 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'five',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Mpls.Label.Six' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Mpls.Label.Six',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 6 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'six',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Mpls.Label' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Mpls.Label',
            False, 
            [
            _MetaInfoClassMember('five', REFERENCE_CLASS, 'Five' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Mpls.Label.Five', 
                [], [], 
                '''                MPLS label 5 information
                ''',
                'five',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('four', REFERENCE_CLASS, 'Four' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Mpls.Label.Four', 
                [], [], 
                '''                MPLS label 4 information
                ''',
                'four',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('one', REFERENCE_CLASS, 'One' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Mpls.Label.One', 
                [], [], 
                '''                MPLS label 1 information
                ''',
                'one',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('six', REFERENCE_CLASS, 'Six' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Mpls.Label.Six', 
                [], [], 
                '''                MPLS label 6 information
                ''',
                'six',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('three', REFERENCE_CLASS, 'Three' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Mpls.Label.Three', 
                [], [], 
                '''                MPLS label 3 information
                ''',
                'three',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('two', REFERENCE_CLASS, 'Two' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Mpls.Label.Two', 
                [], [], 
                '''                MPLS label 2 information
                ''',
                'two',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Mpls',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Mpls.Label', 
                [], [], 
                '''                MPLS label details
                ''',
                'label',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Network.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Network.Delay',
            False, 
            [
            _MetaInfoClassMember('sample', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of samples of roundtrip delay
                ''',
                'sample',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of roundtrip delay
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Network' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Network',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Network.Delay', 
                [], [], 
                '''                network delay metrics
                ''',
                'delay',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.Label' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.Label',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                pfr label id
                ''',
                'identifier',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.OneWayDelay' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.OneWayDelay',
            False, 
            [
            _MetaInfoClassMember('samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of one-way-delay samples
                ''',
                'samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The packet transmission delay sum between specified nodes
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'one-way-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.Service' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.Service',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider tag
                ''',
                'identifier',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('provider', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider metrics
                ''',
                'provider',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider tag metrics
                ''',
                'tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site ID of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix mask of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask', 
                [], [], 
                '''                PfR site prefix mask of the packet destination
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.Site.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.Site.Destination',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id', 
                [], [], 
                '''                PfR site destination ID metrics
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix', 
                [], [], 
                '''                PfR site prefix of the packet destination
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.Site.Source.Id' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.Site.Source.Id',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site ID of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix mask of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask', 
                [], [], 
                '''                PfR site prefix mask of the packet source
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.Site.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.Site.Source',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.Site.Source.Id', 
                [], [], 
                '''                PfR site source ID metrics
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix', 
                [], [], 
                '''                PfR site prefix of the packet source
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr.Site' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr.Site',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.Site.Destination', 
                [], [], 
                '''                PfR site destination metrics
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.Site.Source', 
                [], [], 
                '''                PfR site source metrics
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'site',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Pfr' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Pfr',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.Label', 
                [], [], 
                '''                PfR label metrics
                ''',
                'label',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('one-way-delay', REFERENCE_CLASS, 'OneWayDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.OneWayDelay', 
                [], [], 
                '''                The packet transmission delay between specified nodes
                ''',
                'one_way_delay',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.Service', 
                [], [], 
                '''                PfR service metrics
                ''',
                'service',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('site', REFERENCE_CLASS, 'Site' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr.Site', 
                [], [], 
                '''                PfR site  metrics
                ''',
                'site',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'pfr',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification',
            False, 
            [
            _MetaInfoClassMember('hierarchy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Performance-monitor class hierarchy
                ''',
                'hierarchy',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'classification',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Policy.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Policy.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('classification', REFERENCE_CLASS, 'Classification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification', 
                [], [], 
                '''                Classification metrics
                ''',
                'classification',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Policy.Qos.Classification' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Policy.Qos.Classification',
            False, 
            [
            _MetaInfoClassMember('hierarchy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS class hierarchy
                ''',
                'hierarchy',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'classification',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Policy.Qos.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Policy.Qos.Queue',
            False, 
            [
            _MetaInfoClassMember('drops', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS queue drops
                ''',
                'drops',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS queue index
                ''',
                'index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Policy.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Policy.Qos',
            False, 
            [
            _MetaInfoClassMember('classification', REFERENCE_CLASS, 'Classification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Policy.Qos.Classification', 
                [], [], 
                '''                Classification metrics
                ''',
                'classification',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Policy.Qos.Queue', 
                [], [], 
                '''                Queue metrics
                ''',
                'queue',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Policy',
            False, 
            [
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Policy.PerformanceMonitor', 
                [], [], 
                '''                Performance-monitor policy related metrics
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Policy.Qos', 
                [], [], 
                '''                QoS policy related metrics
                ''',
                'qos',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.Destination.As_.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.Destination.As_.Peer',
            False, 
            [
            _MetaInfoClassMember('peer4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the peer network we will forward to
                ''',
                'peer4_octet',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.Destination.As_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.Destination.As_',
            False, 
            [
            _MetaInfoClassMember('as4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the destination network
                ''',
                'as4_octet',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.Destination.As_.Peer', 
                [], [], 
                '''                AS number of the peer network we will forward to
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.Destination',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_CLASS, 'As_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.Destination.As_', 
                [], [], 
                '''                AS number of the destination network
                ''',
                'as_',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP destination traffic index
                ''',
                'traffic_index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.ForwardingStatus' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.ForwardingStatus',
            False, 
            [
            _MetaInfoClassMember('reason', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Forwarding status reason of the packet
                ''',
                'reason',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'forwarding-status',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv4',
            False, 
            [
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the BGP next hop
                ''',
                'bgp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv6',
            False, 
            [
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the BGP next hop
                ''',
                'bgp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.NextHop.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.NextHop.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv4', 
                [], [], 
                '''                IPv4 address of the next hop
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv6', 
                [], [], 
                '''                IPv6 address of the next hop
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.NextHop',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.NextHop.Address', 
                [], [], 
                '''                IP address of the next hop
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.Pw.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.Pw.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pseudowire destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.Pw' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.Pw',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.Pw.Destination', 
                [], [], 
                '''                Pseudowire destination
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'pw',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.Source.As_.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.Source.As_.Peer',
            False, 
            [
            _MetaInfoClassMember('peer4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the peer network where the packet came from
                ''',
                'peer4_octet',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.Source.As_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.Source.As_',
            False, 
            [
            _MetaInfoClassMember('as4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the original network
                ''',
                'as4_octet',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.Source.As_.Peer', 
                [], [], 
                '''                AS number of the peer network where the packet came from
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.Source',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_CLASS, 'As_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.Source.As_', 
                [], [], 
                '''                AS number of the original network
                ''',
                'as_',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP source traffic index
                ''',
                'traffic_index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing.Vrf',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VRF ID for incoming packet
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VRF ID for outgoing packet
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Routing' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Routing',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.Destination', 
                [], [], 
                '''                Destination routing attributes
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('forwarding-status', REFERENCE_CLASS, 'ForwardingStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.ForwardingStatus', 
                [], [], 
                '''                Forwarding status of the packet
                ''',
                'forwarding_status',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('is-multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Indicates if this is multicast
                ''',
                'is_multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.NextHop', 
                [], [], 
                '''                Information regarding the next hop
                ''',
                'next_hop',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('pw', REFERENCE_CLASS, 'Pw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.Pw', 
                [], [], 
                '''                Pseudowire fields
                ''',
                'pw',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.Source', 
                [], [], 
                '''                Source routing attributes
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing.Vrf', 
                [], [], 
                '''                VRF routing attributes
                ''',
                'vrf',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'routing',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Services.Waas.Segment' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Services.Waas.Segment',
            False, 
            [
            _MetaInfoClassMember('account-on-resolution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Account on resolution
                ''',
                'account_on_resolution',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'segment',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Services.Waas' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Services.Waas',
            False, 
            [
            _MetaInfoClassMember('passthrough-reason', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                WAAS passthrough reason
                ''',
                'passthrough_reason',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('segment', REFERENCE_CLASS, 'Segment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Services.Waas.Segment', 
                [], [], 
                '''                WAAS optimization segment
                ''',
                'segment',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'waas',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Services' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Services',
            False, 
            [
            _MetaInfoClassMember('waas', REFERENCE_CLASS, 'Waas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Services.Waas', 
                [], [], 
                '''                WAAS (Wide Area Application Services) metrics
                ''',
                'waas',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'services',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval',
            False, 
            [
            _MetaInfoClassMember('start', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Absolute start time of a monitoring interval (milliseconds)
                ''',
                'start',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitoring-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Timestamp.Absolute' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Timestamp.Absolute',
            False, 
            [
            _MetaInfoClassMember('monitoring-interval', REFERENCE_CLASS, 'MonitoringInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval', 
                [], [], 
                '''                Monitoring interval timestamps
                ''',
                'monitoring_interval',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'absolute',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Timestamp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Timestamp',
            False, 
            [
            _MetaInfoClassMember('absolute', REFERENCE_CLASS, 'Absolute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Timestamp.Absolute', 
                [], [], 
                '''                Timestamps based on the epoch of 00:00 UTC 1st Jan 1970
                ''',
                'absolute',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Bytes.Lost' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Bytes.Lost',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport bytes lost rate
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'lost',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Bytes',
            False, 
            [
            _MetaInfoClassMember('expected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport bytes expected
                ''',
                'expected',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('lost', REFERENCE_CLASS, 'Lost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Bytes.Lost', 
                [], [], 
                '''                Transport bytes lost
                ''',
                'lost',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Rtp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Rtp',
            False, 
            [
            _MetaInfoClassMember('ssrc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTP SSRC
                ''',
                'ssrc',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ICMP code
                ''',
                'code',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ICMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 ICMP code
                ''',
                'code',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 ICMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Icmp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Icmp',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4', 
                [], [], 
                '''                IPv4 ICMP fields
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6', 
                [], [], 
                '''                IPv6 ICMP fields
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'icmp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Igmp',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Tcp.Flags' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Tcp.Flags',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP acknowledgement flag
                ''',
                'ack',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('cwr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP congestion window reduced flag
                ''',
                'cwr',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ece', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP ECN echo flag
                ''',
                'ece',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP finish flag
                ''',
                'fin',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP push flag
                ''',
                'psh',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP reset flag
                ''',
                'rst',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP synchronise flag
                ''',
                'syn',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP urgent flag
                ''',
                'urg',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Tcp.Flow_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Tcp.Flow_',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of tcp flows
                ''',
                'count',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Tcp.Option.Map' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Tcp.Option.Map',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Extended bitmap of TCP options
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Tcp.Option' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Tcp.Option',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Tcp.Option.Map', 
                [], [], 
                '''                Bitmap of TCP options
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize.Average' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize.Average',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of per flow TCP window average size
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'average',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize',
            False, 
            [
            _MetaInfoClassMember('average', REFERENCE_CLASS, 'Average' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize.Average', 
                [], [], 
                '''                The average size of TCP window
                ''',
                'average',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The maximum size of TCP window
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The minimum size of TCP window
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of TCP window size
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'window-size',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Tcp',
            False, 
            [
            _MetaInfoClassMember('acknowledgement-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP acknowledgement number
                ''',
                'acknowledgement_number',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Tcp.Flags', 
                [], [], 
                '''                TCP flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Tcp.Flow_', 
                [], [], 
                '''                TCP flow
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('header-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP header length (in 32 bit words)
                ''',
                'header_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('maximum-segment-size', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The maximum size of TCP segment
                ''',
                'maximum_segment_size',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Tcp.Option', 
                [], [], 
                '''                TCP option fields
                ''',
                'option',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('urgent-pointer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP urgent pointer
                ''',
                'urgent_pointer',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('window-size', REFERENCE_CLASS, 'WindowSize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize', 
                [], [], 
                '''                TCP window size
                ''',
                'window_size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport.Udp',
            False, 
            [
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('message-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP message length
                ''',
                'message_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match.Transport',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Bytes', 
                [], [], 
                '''                Bytes fields
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('icmp', REFERENCE_CLASS, 'Icmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Icmp', 
                [], [], 
                '''                ICMP fields
                ''',
                'icmp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Igmp', 
                [], [], 
                '''                IGMP fields
                ''',
                'igmp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Rtp', 
                [], [], 
                '''                RTP fields
                ''',
                'rtp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Tcp', 
                [], [], 
                '''                TCP fields
                ''',
                'tcp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport.Udp', 
                [], [], 
                '''                UDP fields
                ''',
                'udp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default.Match' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default.Match',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Application', 
                [], [], 
                '''                Application fields
                ''',
                'application',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('connection', REFERENCE_CLASS, 'Connection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Connection', 
                [], [], 
                '''                Connection fields
                ''',
                'connection',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('datalink', REFERENCE_CLASS, 'Datalink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Datalink', 
                [], [], 
                '''                Datalink (layer2) fields
                ''',
                'datalink',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Flow_', 
                [], [], 
                '''                Flow identifying fields
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Interface', 
                [], [], 
                '''                Interface fields
                ''',
                'interface',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv4', 
                [], [], 
                '''                IPv4 fields
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Ipv6', 
                [], [], 
                '''                IPv6 fields
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('metadata', REFERENCE_CLASS, 'Metadata' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Metadata', 
                [], [], 
                '''                Metadata fields
                ''',
                'metadata',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Mpls', 
                [], [], 
                '''                MPLS fields
                ''',
                'mpls',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Network', 
                [], [], 
                '''                network metrics
                ''',
                'network',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('pfr', REFERENCE_CLASS, 'Pfr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Pfr', 
                [], [], 
                '''                PfR metrics
                ''',
                'pfr',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Policy', 
                [], [], 
                '''                policy fields
                ''',
                'policy',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('routing', REFERENCE_CLASS, 'Routing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Routing', 
                [], [], 
                '''                Routing attributes
                ''',
                'routing',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('services', REFERENCE_CLASS, 'Services' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Services', 
                [], [], 
                '''                Services fields
                ''',
                'services',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Timestamp', 
                [], [], 
                '''                Timestamp fields
                ''',
                'timestamp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match.Transport', 
                [], [], 
                '''                Transport layer fields
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Default' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Default',
            False, 
            [
            _MetaInfoClassMember('collect', REFERENCE_CLASS, 'Collect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Collect', 
                [], [], 
                '''                Specify a non-key field
                ''',
                'collect',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide a description for this Flow Record
                ''',
                'description',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default.Match', 
                [], [], 
                '''                Specify a key field
                ''',
                'match',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Application.Name',
            False, 
            [
            _MetaInfoClassMember('account-on-resolution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Account on resolution
                ''',
                'account_on_resolution',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Application' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_CLASS, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Application.Name', 
                [], [], 
                '''                Application name
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vendor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Application vendor id
                ''',
                'vendor',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Application version id
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Connection.Client.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Connection.Client.Ipv4',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the flow initiator
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Connection.Client.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Connection.Client.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the flow initiator
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Connection.Client.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Connection.Client.Transport',
            False, 
            [
            _MetaInfoClassMember('port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport port of the flow initiator
                ''',
                'port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Connection.Client' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Connection.Client',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Connection.Client.Ipv4', 
                [], [], 
                '''                Client side IPv4 metrics
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Connection.Client.Ipv6', 
                [], [], 
                '''                Client side IPv6 metrics
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Connection.Client.Transport', 
                [], [], 
                '''                Client side transport metrics
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Connection.Server.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Connection.Server.Ipv4',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the flow responder
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Connection.Server.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Connection.Server.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the flow responder
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Connection.Server.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Connection.Server.Transport',
            False, 
            [
            _MetaInfoClassMember('port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport port of the flow responder
                ''',
                'port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Connection.Server' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Connection.Server',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Connection.Server.Ipv4', 
                [], [], 
                '''                Server side IPv4 metrics
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Connection.Server.Ipv6', 
                [], [], 
                '''                Server side IPv6 metrics
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Connection.Server.Transport', 
                [], [], 
                '''                Server side transport metrics
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Connection' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Connection',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Connection.Client', 
                [], [], 
                '''                Client side (flow initiator) related metrics
                ''',
                'client',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                An identifier for a connection between client and server
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('initiator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The direction of the flow
                ''',
                'initiator',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Connection.Server', 
                [], [], 
                '''                Server side (flow responder) related metrics
                ''',
                'server',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transaction-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                An identifier for a transaction between client and server
                ''',
                'transaction_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'connection',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Datalink.Dot1Q.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Datalink.Dot1Q.Vlan',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The VLAN the packet is on at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The VLAN the packet is on at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Datalink.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Datalink.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The CoS field out of the dot1q header
                ''',
                'priority',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Datalink.Dot1Q.Vlan', 
                [], [], 
                '''                The VLAN the packet is on
                ''',
                'vlan',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Datalink.Mac.Destination.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Datalink.Mac.Destination.Address',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination MAC address from packet at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination MAC address from packet at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Datalink.Mac.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Datalink.Mac.Destination',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Datalink.Mac.Destination.Address', 
                [], [], 
                '''                Destination MAC address from packet
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Datalink.Mac.Source.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Datalink.Mac.Source.Address',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source MAC address from packet at input
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source MAC address from packet at output
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Datalink.Mac.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Datalink.Mac.Source',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Datalink.Mac.Source.Address', 
                [], [], 
                '''                Source MAC address from packet
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Datalink.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Datalink.Mac',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Datalink.Mac.Destination', 
                [], [], 
                '''                destination MAC fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Datalink.Mac.Source', 
                [], [], 
                '''                source MAC fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Datalink' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Datalink',
            False, 
            [
            _MetaInfoClassMember('destination-vlan-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the VLAN that the packet is going to
                ''',
                'destination_vlan_id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Datalink.Dot1Q', 
                [], [], 
                '''                dot1q field
                ''',
                'dot1q',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ethertype', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The Ethertype of the packet
                ''',
                'ethertype',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Datalink.Mac', 
                [], [], 
                '''                MAC fields
                ''',
                'mac',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-vlan-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the VLAN that the packet came from
                ''',
                'source_vlan_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'datalink',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Flow_.Cts.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Flow_.Cts.Destination',
            False, 
            [
            _MetaInfoClassMember('group-tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                destination group-tag
                ''',
                'group_tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Flow_.Cts.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Flow_.Cts.Source',
            False, 
            [
            _MetaInfoClassMember('group-tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source group-tag
                ''',
                'group_tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Flow_.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Flow_.Cts',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Flow_.Cts.Destination', 
                [], [], 
                '''                Cisco Trusted Security destination fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Flow_.Cts.Source', 
                [], [], 
                '''                Cisco Trusted Security source fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Flow_.Observation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Flow_.Observation',
            False, 
            [
            _MetaInfoClassMember('point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Observation point ID
                ''',
                'point',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'observation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Flow_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Flow_',
            False, 
            [
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Flow_.Cts', 
                [], [], 
                '''                Cisco Trusted Security fields
                ''',
                'cts',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('direction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Direction the flow was monitored in
                ''',
                'direction',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('observation', REFERENCE_CLASS, 'Observation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Flow_.Observation', 
                [], [], 
                '''                Flow observation metrics
                ''',
                'observation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ID of the sampler
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Interface.Input' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Interface.Input',
            False, 
            [
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP Index of the input interface
                ''',
                'snmp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Interface.Output' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Interface.Output',
            False, 
            [
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP Index of the output interface
                ''',
                'snmp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Interface',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Interface.Input', 
                [], [], 
                '''                The input interface
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Interface.Output', 
                [], [], 
                '''                The output interface
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Destination.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Destination.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Destination.Mask', 
                [], [], 
                '''                IPv4 address mask for the IPv4 destination address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Destination.Prefix', 
                [], [], 
                '''                IPv4 address prefix for the IPv4 destination address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Fragmentation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Fragmentation',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 fragmentation flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 fragmentation offset
                ''',
                'offset',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'fragmentation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Length.Total' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Length.Total',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum total length in bytes
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum total length in bytes
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Length' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Length',
            False, 
            [
            _MetaInfoClassMember('header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv4 header in bytes
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv4 payload in bytes
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Length.Total', 
                [], [], 
                '''                Total length of the IPv4 header and payload in bytes
                ''',
                'total',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Option' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Option',
            False, 
            [
            _MetaInfoClassMember('map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bitmap of IPv4 options
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Section.Header' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Section.Header',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Section.Payload' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Section.Payload',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'payload',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Section' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Section',
            False, 
            [
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Section.Header', 
                [], [], 
                '''                Raw data starting at the IPv4 header
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', REFERENCE_CLASS, 'Payload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Section.Payload', 
                [], [], 
                '''                Raw data starting at the IPv4 payload
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Source.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Source.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Source',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 source address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Source.Mask', 
                [], [], 
                '''                IPv4 address mask for the IPv4 source address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Source.Prefix', 
                [], [], 
                '''                IPv4 address prefix for the IPv4 source address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.TotalLength' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.TotalLength',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value for IPv4 length seen in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value for IPv4 length seen in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total-length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4.Ttl' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4.Ttl',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value seen for TTL in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value seen for TTL in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ttl',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Destination', 
                [], [], 
                '''                IPv4 destination address based fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 DSCP (part of TOS)
                ''',
                'dscp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_CLASS, 'Fragmentation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Fragmentation', 
                [], [], 
                '''                IPv4 fragmentation fields
                ''',
                'fragmentation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('header-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 header length (IHL in 32 bit words)
                ''',
                'header_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ID
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Length', 
                [], [], 
                '''                IPv4 length fields
                ''',
                'length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Option', 
                [], [], 
                '''                IPv4 option fields
                ''',
                'option',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 precedence (part of TOS)
                ''',
                'precedence',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Section', 
                [], [], 
                '''                Part of the packet
                ''',
                'section',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Source', 
                [], [], 
                '''                IPv4 source address based fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 type of service
                ''',
                'tos',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total-length', REFERENCE_CLASS, 'TotalLength' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.TotalLength', 
                [], [], 
                '''                IPv4 total length
                ''',
                'total_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ttl', REFERENCE_CLASS, 'Ttl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4.Ttl', 
                [], [], 
                '''                IPv4 TTL
                ''',
                'ttl',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP version from IPv4 header
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Destination.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Destination.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Destination.Mask', 
                [], [], 
                '''                IPv6 address mask for the IPv6 destination address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Destination.Prefix', 
                [], [], 
                '''                IPv6 address prefix for the IPv6 destination address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Extension' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Extension',
            False, 
            [
            _MetaInfoClassMember('map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bitmap of IPv6 extension headers
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'extension',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Fragmentation' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Fragmentation',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation ID
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 fragmentation offset
                ''',
                'offset',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'fragmentation',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.HopLimit' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.HopLimit',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Largest value seen for hop-limit in the flow
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Smallest value seen for hop-limit in the flow
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'hop-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Length.Total' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Length.Total',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum total length in bytes
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum total length in bytes
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Length' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Length',
            False, 
            [
            _MetaInfoClassMember('header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 header, not including any extension headers, in bytes
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 payload, including any extension headers, in bytes
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Length.Total', 
                [], [], 
                '''                Total length of the IPv6 header and payload in bytes
                ''',
                'total',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Section.Header' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Section.Header',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Section.Payload' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Section.Payload',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '1200')], [], 
                '''                Specify the number of bytes to capture
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'payload',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Section' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Section',
            False, 
            [
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Section.Header', 
                [], [], 
                '''                Raw data starting at the IPv6 header
                ''',
                'header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload', REFERENCE_CLASS, 'Payload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Section.Payload', 
                [], [], 
                '''                Raw data starting at the IPv6 payload
                ''',
                'payload',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'section',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Source.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Source.Mask',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('minimum-mask', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Provide a minimum mask for this field
                ''',
                'minimum_mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6.Source',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 source address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Source.Mask', 
                [], [], 
                '''                IPv6 address mask for the IPv6 source address
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Source.Prefix', 
                [], [], 
                '''                IPv6 address prefix for the IPv6 source address
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Ipv6',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Destination', 
                [], [], 
                '''                IPv6 destination address based fields
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 DSCP (part of Traffic Class)
                ''',
                'dscp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('extension', REFERENCE_CLASS, 'Extension' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Extension', 
                [], [], 
                '''                IPv6 extension header fields
                ''',
                'extension',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow-label', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 flow label
                ''',
                'flow_label',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_CLASS, 'Fragmentation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Fragmentation', 
                [], [], 
                '''                IPv6 fragmentation fields
                ''',
                'fragmentation',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('hop-limit', REFERENCE_CLASS, 'HopLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.HopLimit', 
                [], [], 
                '''                IPv6 hop limit
                ''',
                'hop_limit',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Length', 
                [], [], 
                '''                IPv6 length fields
                ''',
                'length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('next-header', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The value of the next-header field in the IPv6 header
                ''',
                'next_header',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('payload-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Length of the IPv6 payload in bytes
                ''',
                'payload_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 precedence (part of Traffic Class)
                ''',
                'precedence',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 payload protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('section', REFERENCE_CLASS, 'Section' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Section', 
                [], [], 
                '''                Part of the packet
                ''',
                'section',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6.Source', 
                [], [], 
                '''                IPv6 source address based fields
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-class', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 traffic class
                ''',
                'traffic_class',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP version from IPv6 header
                ''',
                'version',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Metadata' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Metadata',
            False, 
            [
            _MetaInfoClassMember('global-session-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metadata global-session-id
                ''',
                'global_session_id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multi-party-session-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metadata multi-party-session-id
                ''',
                'multi_party_session_id',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'metadata',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Mpls.Label.One' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Mpls.Label.One',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 1 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('exp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS EXP field from the last label that was pushed
                ''',
                'exp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS TTL field from the last label that was pushed
                ''',
                'ttl',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label type of the last label that was pushed
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'one',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Mpls.Label.Two' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Mpls.Label.Two',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 2 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'two',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Mpls.Label.Three' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Mpls.Label.Three',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 3 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'three',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Mpls.Label.Four' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Mpls.Label.Four',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 4 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'four',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Mpls.Label.Five' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Mpls.Label.Five',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 5 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'five',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Mpls.Label.Six' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Mpls.Label.Six',
            False, 
            [
            _MetaInfoClassMember('details', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS label 6 details
                ''',
                'details',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'six',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Mpls.Label' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Mpls.Label',
            False, 
            [
            _MetaInfoClassMember('five', REFERENCE_CLASS, 'Five' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Mpls.Label.Five', 
                [], [], 
                '''                MPLS label 5 information
                ''',
                'five',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('four', REFERENCE_CLASS, 'Four' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Mpls.Label.Four', 
                [], [], 
                '''                MPLS label 4 information
                ''',
                'four',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('one', REFERENCE_CLASS, 'One' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Mpls.Label.One', 
                [], [], 
                '''                MPLS label 1 information
                ''',
                'one',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('six', REFERENCE_CLASS, 'Six' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Mpls.Label.Six', 
                [], [], 
                '''                MPLS label 6 information
                ''',
                'six',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('three', REFERENCE_CLASS, 'Three' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Mpls.Label.Three', 
                [], [], 
                '''                MPLS label 3 information
                ''',
                'three',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('two', REFERENCE_CLASS, 'Two' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Mpls.Label.Two', 
                [], [], 
                '''                MPLS label 2 information
                ''',
                'two',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Mpls',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Mpls.Label', 
                [], [], 
                '''                MPLS label details
                ''',
                'label',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Network.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Network.Delay',
            False, 
            [
            _MetaInfoClassMember('sample', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The number of samples of roundtrip delay
                ''',
                'sample',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of roundtrip delay
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Network' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Network',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Network.Delay', 
                [], [], 
                '''                network delay metrics
                ''',
                'delay',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.Label' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.Label',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                pfr label id
                ''',
                'identifier',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.OneWayDelay' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.OneWayDelay',
            False, 
            [
            _MetaInfoClassMember('samples', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Total number of one-way-delay samples
                ''',
                'samples',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The packet transmission delay sum between specified nodes
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'one-way-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.Service' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.Service',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider tag
                ''',
                'identifier',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('provider', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider metrics
                ''',
                'provider',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR service provider tag metrics
                ''',
                'tag',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.Site.Destination.Id' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.Site.Destination.Id',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site ID of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix mask of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.Site.Destination.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.Site.Destination.Prefix',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix of the packet destination
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask', 
                [], [], 
                '''                PfR site prefix mask of the packet destination
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.Site.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.Site.Destination',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.Site.Destination.Id', 
                [], [], 
                '''                PfR site destination ID metrics
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.Site.Destination.Prefix', 
                [], [], 
                '''                PfR site prefix of the packet destination
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.Site.Source.Id' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.Site.Source.Id',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site ID of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix mask of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'mask',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.Site.Source.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.Site.Source.Prefix',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                site prefix of the packet source
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mask', REFERENCE_CLASS, 'Mask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask', 
                [], [], 
                '''                PfR site prefix mask of the packet source
                ''',
                'mask',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.Site.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.Site.Source',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.Site.Source.Id', 
                [], [], 
                '''                PfR site source ID metrics
                ''',
                'id',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.Site.Source.Prefix', 
                [], [], 
                '''                PfR site prefix of the packet source
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr.Site' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr.Site',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.Site.Destination', 
                [], [], 
                '''                PfR site destination metrics
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.Site.Source', 
                [], [], 
                '''                PfR site source metrics
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'site',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Pfr' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Pfr',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.Label', 
                [], [], 
                '''                PfR label metrics
                ''',
                'label',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('one-way-delay', REFERENCE_CLASS, 'OneWayDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.OneWayDelay', 
                [], [], 
                '''                The packet transmission delay between specified nodes
                ''',
                'one_way_delay',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.Service', 
                [], [], 
                '''                PfR service metrics
                ''',
                'service',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('site', REFERENCE_CLASS, 'Site' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr.Site', 
                [], [], 
                '''                PfR site  metrics
                ''',
                'site',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'pfr',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification',
            False, 
            [
            _MetaInfoClassMember('hierarchy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Performance-monitor class hierarchy
                ''',
                'hierarchy',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'classification',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Policy.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Policy.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('classification', REFERENCE_CLASS, 'Classification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification', 
                [], [], 
                '''                Classification metrics
                ''',
                'classification',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Policy.Qos.Classification' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Policy.Qos.Classification',
            False, 
            [
            _MetaInfoClassMember('hierarchy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS class hierarchy
                ''',
                'hierarchy',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'classification',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Policy.Qos.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Policy.Qos.Queue',
            False, 
            [
            _MetaInfoClassMember('drops', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS queue drops
                ''',
                'drops',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                QoS queue index
                ''',
                'index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Policy.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Policy.Qos',
            False, 
            [
            _MetaInfoClassMember('classification', REFERENCE_CLASS, 'Classification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Policy.Qos.Classification', 
                [], [], 
                '''                Classification metrics
                ''',
                'classification',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Policy.Qos.Queue', 
                [], [], 
                '''                Queue metrics
                ''',
                'queue',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Policy',
            False, 
            [
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Policy.PerformanceMonitor', 
                [], [], 
                '''                Performance-monitor policy related metrics
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Policy.Qos', 
                [], [], 
                '''                QoS policy related metrics
                ''',
                'qos',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.Destination.As_.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.Destination.As_.Peer',
            False, 
            [
            _MetaInfoClassMember('peer4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the peer network we will forward to
                ''',
                'peer4_octet',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.Destination.As_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.Destination.As_',
            False, 
            [
            _MetaInfoClassMember('as4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the destination network
                ''',
                'as4_octet',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.Destination.As_.Peer', 
                [], [], 
                '''                AS number of the peer network we will forward to
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.Destination',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_CLASS, 'As_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.Destination.As_', 
                [], [], 
                '''                AS number of the destination network
                ''',
                'as_',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP destination traffic index
                ''',
                'traffic_index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.ForwardingStatus' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.ForwardingStatus',
            False, 
            [
            _MetaInfoClassMember('reason', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Forwarding status reason of the packet
                ''',
                'reason',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'forwarding-status',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.NextHop.Address.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.NextHop.Address.Ipv4',
            False, 
            [
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 address of the BGP next hop
                ''',
                'bgp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.NextHop.Address.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.NextHop.Address.Ipv6',
            False, 
            [
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 address of the BGP next hop
                ''',
                'bgp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.NextHop.Address' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.NextHop.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.NextHop.Address.Ipv4', 
                [], [], 
                '''                IPv4 address of the next hop
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.NextHop.Address.Ipv6', 
                [], [], 
                '''                IPv6 address of the next hop
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.NextHop',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.NextHop.Address', 
                [], [], 
                '''                IP address of the next hop
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.Pw.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.Pw.Destination',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pseudowire destination address
                ''',
                'address',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.Pw' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.Pw',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.Pw.Destination', 
                [], [], 
                '''                Pseudowire destination
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'pw',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.Source.As_.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.Source.As_.Peer',
            False, 
            [
            _MetaInfoClassMember('peer4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the peer network where the packet came from
                ''',
                'peer4_octet',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.Source.As_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.Source.As_',
            False, 
            [
            _MetaInfoClassMember('as4-octet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                4 octet AS number of the original network
                ''',
                'as4_octet',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.Source.As_.Peer', 
                [], [], 
                '''                AS number of the peer network where the packet came from
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.Source',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_CLASS, 'As_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.Source.As_', 
                [], [], 
                '''                AS number of the original network
                ''',
                'as_',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP source traffic index
                ''',
                'traffic_index',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing.Vrf',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VRF ID for incoming packet
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VRF ID for outgoing packet
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Routing' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Routing',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.Destination', 
                [], [], 
                '''                Destination routing attributes
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('forwarding-status', REFERENCE_CLASS, 'ForwardingStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.ForwardingStatus', 
                [], [], 
                '''                Forwarding status of the packet
                ''',
                'forwarding_status',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('is-multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Indicates if this is multicast
                ''',
                'is_multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.NextHop', 
                [], [], 
                '''                Information regarding the next hop
                ''',
                'next_hop',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('pw', REFERENCE_CLASS, 'Pw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.Pw', 
                [], [], 
                '''                Pseudowire fields
                ''',
                'pw',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.Source', 
                [], [], 
                '''                Source routing attributes
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing.Vrf', 
                [], [], 
                '''                VRF routing attributes
                ''',
                'vrf',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'routing',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Services.Waas.Segment' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Services.Waas.Segment',
            False, 
            [
            _MetaInfoClassMember('account-on-resolution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Account on resolution
                ''',
                'account_on_resolution',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'segment',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Services.Waas' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Services.Waas',
            False, 
            [
            _MetaInfoClassMember('passthrough-reason', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                WAAS passthrough reason
                ''',
                'passthrough_reason',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('segment', REFERENCE_CLASS, 'Segment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Services.Waas.Segment', 
                [], [], 
                '''                WAAS optimization segment
                ''',
                'segment',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'waas',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Services' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Services',
            False, 
            [
            _MetaInfoClassMember('waas', REFERENCE_CLASS, 'Waas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Services.Waas', 
                [], [], 
                '''                WAAS (Wide Area Application Services) metrics
                ''',
                'waas',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'services',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval',
            False, 
            [
            _MetaInfoClassMember('start', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Absolute start time of a monitoring interval (milliseconds)
                ''',
                'start',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitoring-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Timestamp.Absolute' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Timestamp.Absolute',
            False, 
            [
            _MetaInfoClassMember('monitoring-interval', REFERENCE_CLASS, 'MonitoringInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval', 
                [], [], 
                '''                Monitoring interval timestamps
                ''',
                'monitoring_interval',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'absolute',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Timestamp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Timestamp',
            False, 
            [
            _MetaInfoClassMember('absolute', REFERENCE_CLASS, 'Absolute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Timestamp.Absolute', 
                [], [], 
                '''                Timestamps based on the epoch of 00:00 UTC 1st Jan 1970
                ''',
                'absolute',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Bytes.Lost' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Bytes.Lost',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport bytes lost rate
                ''',
                'rate',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'lost',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Bytes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Bytes',
            False, 
            [
            _MetaInfoClassMember('expected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport bytes expected
                ''',
                'expected',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('lost', REFERENCE_CLASS, 'Lost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Bytes.Lost', 
                [], [], 
                '''                Transport bytes lost
                ''',
                'lost',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bytes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Rtp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Rtp',
            False, 
            [
            _MetaInfoClassMember('ssrc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RTP SSRC
                ''',
                'ssrc',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Icmp.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Icmp.Ipv4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ICMP code
                ''',
                'code',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv4 ICMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Icmp.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Icmp.Ipv6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 ICMP code
                ''',
                'code',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 ICMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Icmp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Icmp',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Icmp.Ipv4', 
                [], [], 
                '''                IPv4 ICMP fields
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Icmp.Ipv6', 
                [], [], 
                '''                IPv6 ICMP fields
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'icmp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Igmp',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Tcp.Flags' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Tcp.Flags',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP acknowledgement flag
                ''',
                'ack',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('cwr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP congestion window reduced flag
                ''',
                'cwr',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ece', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP ECN echo flag
                ''',
                'ece',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP finish flag
                ''',
                'fin',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP push flag
                ''',
                'psh',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP reset flag
                ''',
                'rst',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP synchronise flag
                ''',
                'syn',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP urgent flag
                ''',
                'urg',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Tcp.Flow_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Tcp.Flow_',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of tcp flows
                ''',
                'count',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Tcp.Option.Map' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Tcp.Option.Map',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Extended bitmap of TCP options
                ''',
                'long',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Tcp.Option' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Tcp.Option',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Tcp.Option.Map', 
                [], [], 
                '''                Bitmap of TCP options
                ''',
                'map',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Tcp.WindowSize.Average' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Tcp.WindowSize.Average',
            False, 
            [
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of per flow TCP window average size
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'average',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Tcp.WindowSize' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Tcp.WindowSize',
            False, 
            [
            _MetaInfoClassMember('average', REFERENCE_CLASS, 'Average' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Tcp.WindowSize.Average', 
                [], [], 
                '''                The average size of TCP window
                ''',
                'average',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The maximum size of TCP window
                ''',
                'maximum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The minimum size of TCP window
                ''',
                'minimum',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The sum of TCP window size
                ''',
                'sum',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'window-size',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Tcp',
            False, 
            [
            _MetaInfoClassMember('acknowledgement-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP acknowledgement number
                ''',
                'acknowledgement_number',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Tcp.Flags', 
                [], [], 
                '''                TCP flags
                ''',
                'flags',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Tcp.Flow_', 
                [], [], 
                '''                TCP flow
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('header-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP header length (in 32 bit words)
                ''',
                'header_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('maximum-segment-size', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The maximum size of TCP segment
                ''',
                'maximum_segment_size',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Tcp.Option', 
                [], [], 
                '''                TCP option fields
                ''',
                'option',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('urgent-pointer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TCP urgent pointer
                ''',
                'urgent_pointer',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('window-size', REFERENCE_CLASS, 'WindowSize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Tcp.WindowSize', 
                [], [], 
                '''                TCP window size
                ''',
                'window_size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport.Udp',
            False, 
            [
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('message-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP message length
                ''',
                'message_length',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UDP source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match.Transport',
            False, 
            [
            _MetaInfoClassMember('bytes', REFERENCE_CLASS, 'Bytes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Bytes', 
                [], [], 
                '''                Bytes fields
                ''',
                'bytes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport destination port
                ''',
                'destination_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('icmp', REFERENCE_CLASS, 'Icmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Icmp', 
                [], [], 
                '''                ICMP fields
                ''',
                'icmp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Igmp', 
                [], [], 
                '''                IGMP fields
                ''',
                'igmp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Rtp', 
                [], [], 
                '''                RTP fields
                ''',
                'rtp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport source port
                ''',
                'source_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Tcp', 
                [], [], 
                '''                TCP fields
                ''',
                'tcp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport.Udp', 
                [], [], 
                '''                UDP fields
                ''',
                'udp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.Match' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record.Match',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Application', 
                [], [], 
                '''                Application fields
                ''',
                'application',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('connection', REFERENCE_CLASS, 'Connection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Connection', 
                [], [], 
                '''                Connection fields
                ''',
                'connection',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('datalink', REFERENCE_CLASS, 'Datalink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Datalink', 
                [], [], 
                '''                Datalink (layer2) fields
                ''',
                'datalink',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Flow_', 
                [], [], 
                '''                Flow identifying fields
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Interface', 
                [], [], 
                '''                Interface fields
                ''',
                'interface',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv4', 
                [], [], 
                '''                IPv4 fields
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Ipv6', 
                [], [], 
                '''                IPv6 fields
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('metadata', REFERENCE_CLASS, 'Metadata' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Metadata', 
                [], [], 
                '''                Metadata fields
                ''',
                'metadata',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Mpls', 
                [], [], 
                '''                MPLS fields
                ''',
                'mpls',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Network', 
                [], [], 
                '''                network metrics
                ''',
                'network',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('pfr', REFERENCE_CLASS, 'Pfr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Pfr', 
                [], [], 
                '''                PfR metrics
                ''',
                'pfr',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Policy', 
                [], [], 
                '''                policy fields
                ''',
                'policy',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('routing', REFERENCE_CLASS, 'Routing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Routing', 
                [], [], 
                '''                Routing attributes
                ''',
                'routing',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('services', REFERENCE_CLASS, 'Services' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Services', 
                [], [], 
                '''                Services fields
                ''',
                'services',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Timestamp', 
                [], [], 
                '''                Timestamp fields
                ''',
                'timestamp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match.Transport', 
                [], [], 
                '''                Transport layer fields
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Record.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'performance-monitor':'performance_monitor',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Flow.Record' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Record',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('collect', REFERENCE_CLASS, 'Collect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Collect', 
                [], [], 
                '''                Specify a non-key field
                ''',
                'collect',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide a description for this Flow Record
                ''',
                'description',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.Match', 
                [], [], 
                '''                Specify a key field
                ''',
                'match',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record.TypeEnum', 
                [], [], 
                '''                Type of the Flow Record
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'record',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Destination',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-flow', False, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-flow', False),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-flow', False),
                ]),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional VRF label
                ''',
                'vrf',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Option.ApplicationAttributes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Option.ApplicationAttributes',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Option resend time
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'application-attributes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Option.ApplicationTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Option.ApplicationTable',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Option resend time
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'application-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Option.C3PlClassTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Option.C3PlClassTable',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Option resend time
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'c3pl-class-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Option.C3PlPolicyTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Option.C3PlPolicyTable',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Option resend time
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'c3pl-policy-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Option.ExporterStats' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Option.ExporterStats',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Option resend time
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'exporter-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Option.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Option.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Option resend time
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Option.MetadataVersionTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Option.MetadataVersionTable',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Option resend time
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'metadata-version-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Option.SamplerTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Option.SamplerTable',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Option resend time
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Option.SubApplicationTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Option.SubApplicationTable',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Option resend time
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sub-application-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Option.VrfTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Option.VrfTable',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Option resend time
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'vrf-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Option' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Option',
            False, 
            [
            _MetaInfoClassMember('application-attributes', REFERENCE_CLASS, 'ApplicationAttributes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Option.ApplicationAttributes', 
                [], [], 
                '''                Application Attributes Table Option
                ''',
                'application_attributes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('application-table', REFERENCE_CLASS, 'ApplicationTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Option.ApplicationTable', 
                [], [], 
                '''                Application Table Option
                ''',
                'application_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('c3pl-class-table', REFERENCE_CLASS, 'C3PlClassTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Option.C3PlClassTable', 
                [], [], 
                '''                C3PL class cce-id table
                ''',
                'c3pl_class_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('c3pl-policy-table', REFERENCE_CLASS, 'C3PlPolicyTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Option.C3PlPolicyTable', 
                [], [], 
                '''                C3PL policy cce-id table
                ''',
                'c3pl_policy_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('exporter-stats', REFERENCE_CLASS, 'ExporterStats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Option.ExporterStats', 
                [], [], 
                '''                Exporter Statistics Option
                ''',
                'exporter_stats',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Option.InterfaceTable', 
                [], [], 
                '''                Interface SNMP-index-to-name Table Option
                ''',
                'interface_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('metadata-version-table', REFERENCE_CLASS, 'MetadataVersionTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Option.MetadataVersionTable', 
                [], [], 
                '''                Metadata Version Table Option
                ''',
                'metadata_version_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler-table', REFERENCE_CLASS, 'SamplerTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Option.SamplerTable', 
                [], [], 
                '''                Export Sampler Option
                ''',
                'sampler_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sub-application-table', REFERENCE_CLASS, 'SubApplicationTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Option.SubApplicationTable', 
                [], [], 
                '''                Sub Application Table Option
                ''',
                'sub_application_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vrf-table', REFERENCE_CLASS, 'VrfTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Option.VrfTable', 
                [], [], 
                '''                VRF ID-to-name Table Option
                ''',
                'vrf_table',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.OutputFeatures' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.OutputFeatures',
            False, 
            [
            ],
            'Cisco-IOS-XE-flow',
            'output-features',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Source.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Source.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Source.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Source.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Source.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Source.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Source.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Source.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Source' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Source',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Source.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Source.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Source.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Source.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Template.Data' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Template.Data',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Resend data based on a timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'data',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Template' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Template',
            False, 
            [
            _MetaInfoClassMember('data', REFERENCE_CLASS, 'Data' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Template.Data', 
                [], [], 
                '''                Flow Exporter data configuration
                ''',
                'data',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Transport',
            False, 
            [
            _MetaInfoClassMember('udp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                UDP transport protocol
                ''',
                'udp',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Option.ApplicationAttributes' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Option.ApplicationAttributes',
            False, 
            [
            ],
            'Cisco-IOS-XE-flow',
            'application-attributes',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Option.C3PlClassTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Option.C3PlClassTable',
            False, 
            [
            ],
            'Cisco-IOS-XE-flow',
            'c3pl-class-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Option.C3PlPolicyTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Option.C3PlPolicyTable',
            False, 
            [
            ],
            'Cisco-IOS-XE-flow',
            'c3pl-policy-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Option.ExporterStats' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Option.ExporterStats',
            False, 
            [
            ],
            'Cisco-IOS-XE-flow',
            'exporter-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Option.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Option.InterfaceTable',
            False, 
            [
            ],
            'Cisco-IOS-XE-flow',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Option.MetadataVersionTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Option.MetadataVersionTable',
            False, 
            [
            ],
            'Cisco-IOS-XE-flow',
            'metadata-version-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Option.SamplerTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Option.SamplerTable',
            False, 
            [
            ],
            'Cisco-IOS-XE-flow',
            'sampler-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Option.SubApplicationTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Option.SubApplicationTable',
            False, 
            [
            ],
            'Cisco-IOS-XE-flow',
            'sub-application-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Option.VrfTable' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Option.VrfTable',
            False, 
            [
            ],
            'Cisco-IOS-XE-flow',
            'vrf-table',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Option' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Option',
            False, 
            [
            _MetaInfoClassMember('application-attributes', REFERENCE_CLASS, 'ApplicationAttributes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Option.ApplicationAttributes', 
                [], [], 
                '''                Application Attributes Table Option
                ''',
                'application_attributes',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('c3pl-class-table', REFERENCE_CLASS, 'C3PlClassTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Option.C3PlClassTable', 
                [], [], 
                '''                C3PL class cce-id table
                ''',
                'c3pl_class_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('c3pl-policy-table', REFERENCE_CLASS, 'C3PlPolicyTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Option.C3PlPolicyTable', 
                [], [], 
                '''                C3PL policy cce-id table
                ''',
                'c3pl_policy_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('exporter-stats', REFERENCE_CLASS, 'ExporterStats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Option.ExporterStats', 
                [], [], 
                '''                Exporter Statistics Option
                ''',
                'exporter_stats',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Option.InterfaceTable', 
                [], [], 
                '''                Interface SNMP-index-to-name Table Option
                ''',
                'interface_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('metadata-version-table', REFERENCE_CLASS, 'MetadataVersionTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Option.MetadataVersionTable', 
                [], [], 
                '''                Metadata Version Table Option
                ''',
                'metadata_version_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler-table', REFERENCE_CLASS, 'SamplerTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Option.SamplerTable', 
                [], [], 
                '''                Export Sampler Option
                ''',
                'sampler_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sub-application-table', REFERENCE_CLASS, 'SubApplicationTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Option.SubApplicationTable', 
                [], [], 
                '''                Sub Application Table Option
                ''',
                'sub_application_table',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('vrf-table', REFERENCE_CLASS, 'VrfTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Option.VrfTable', 
                [], [], 
                '''                VRF ID-to-name Table Option
                ''',
                'vrf_table',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Template.Data' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Template.Data',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Resend data based on a timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'data',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default.Template' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default.Template',
            False, 
            [
            _MetaInfoClassMember('data', REFERENCE_CLASS, 'Data' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Template.Data', 
                [], [], 
                '''                Flow Exporter data configuration
                ''',
                'data',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.Default' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter.Default',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Provide a description for this Flow Exporter
                ''',
                'description',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Optional DSCP
                ''',
                'dscp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('export-protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export protocol version
                ''',
                'export_protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Option', 
                [], [], 
                '''                Select an option for exporting
                ''',
                'option',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default.Template', 
                [], [], 
                '''                Flow Exporter template configuration
                ''',
                'template',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transport protocol
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Optional TTL or hop limit
                ''',
                'ttl',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Exporter.ExportProtocolEnum' : _MetaInfoEnum('ExportProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipfix':'ipfix',
            'netflow-v5':'netflow_v5',
            'netflow-v9':'netflow_v9',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Flow.Exporter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Exporter',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide a description for this Flow Exporter
                ''',
                'description',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Destination', 
                [], [], 
                '''                Export destination configuration
                ''',
                'destination',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                [('0', '63')], [], 
                '''                Optional DSCP
                ''',
                'dscp',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('export-protocol', REFERENCE_ENUM_CLASS, 'ExportProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.ExportProtocolEnum', 
                [], [], 
                '''                Export protocol version
                ''',
                'export_protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Option', 
                [], [], 
                '''                Select an option for exporting
                ''',
                'option',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output-features', REFERENCE_CLASS, 'OutputFeatures' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.OutputFeatures', 
                [], [], 
                '''                ''',
                'output_features',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Source', 
                [], [], 
                '''                Originating interface
                ''',
                'source',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Template', 
                [], [], 
                '''                Flow Exporter template configuration
                ''',
                'template',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter.Transport', 
                [], [], 
                '''                Transport protocol
                ''',
                'transport',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Optional TTL or hop limit
                ''',
                'ttl',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'exporter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Cache.Timeout.Event' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Cache.Timeout.Event',
            False, 
            [
            _MetaInfoClassMember('transaction-end', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transaction-end event
                ''',
                'transaction_end',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Cache.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Cache.Timeout',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                Active timeout
                ''',
                'active',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Cache.Timeout.Event', 
                [], [], 
                '''                Timeout event
                ''',
                'event',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('inactive', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                Inactive timeout
                ''',
                'inactive',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('synchronized', ATTRIBUTE, 'int' , None, None, 
                [('1', '300')], [], 
                '''                Synchronized timeout
                ''',
                'synchronized',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('update', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                Update timeout
                ''',
                'update',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Cache.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'immediate':'immediate',
            'normal':'normal',
            'permanent':'permanent',
            'synchronized':'synchronized',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Flow.Monitor.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Cache',
            False, 
            [
            _MetaInfoClassMember('entries', ATTRIBUTE, 'int' , None, None, 
                [('16', '2000000')], [], 
                '''                Number of cache entries
                ''',
                'entries',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Cache.Timeout', 
                [], [], 
                '''                Cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Cache.TypeEnum', 
                [], [], 
                '''                Cache type
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Exporter' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Exporter',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            ],
            'Cisco-IOS-XE-flow',
            'exporter',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.History' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.History',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                History size
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                Specify timeout interval
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4.As_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4.As_',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                AS aggregation scheme with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefix',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination Prefix aggregation scheme with peer AS
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalInput' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalInput',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Traditional IPv6 input NetFlow with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'original-input',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalOutput' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalOutput',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Traditional IPv6 output NetFlow with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'original-output',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4.Prefix',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source and Destination Prefixes aggregation scheme with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefix',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source AS and Prefix aggregation scheme with peer AS
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4.AsTos' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4.AsTos',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                AS and TOS aggregation scheme with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'as-tos',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4.BgpNexthopTos' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4.BgpNexthopTos',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP next-hop and TOS aggregation scheme with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bgp-nexthop-tos',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefixTos' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefixTos',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination Prefix and TOS aggregation scheme with peer AS
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination-prefix-tos',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4.PrefixTos' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4.PrefixTos',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefixes and TOS aggregation scheme with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix-tos',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefixTos' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefixTos',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source Prefix and TOS aggregation scheme with peer AS
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source-prefix-tos',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv4',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_CLASS, 'As_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4.As_', 
                [], [], 
                '''                AS aggregation schemes
                ''',
                'as_',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('as-tos', REFERENCE_CLASS, 'AsTos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4.AsTos', 
                [], [], 
                '''                AS and TOS aggregation schemes
                ''',
                'as_tos',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('bgp-nexthop-tos', REFERENCE_CLASS, 'BgpNexthopTos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4.BgpNexthopTos', 
                [], [], 
                '''                BGP next-hop and TOS aggregation schemes
                ''',
                'bgp_nexthop_tos',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination-prefix', REFERENCE_CLASS, 'DestinationPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefix', 
                [], [], 
                '''                Destination Prefix aggregation schemes
                ''',
                'destination_prefix',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination-prefix-tos', REFERENCE_CLASS, 'DestinationPrefixTos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefixTos', 
                [], [], 
                '''                Destination Prefix and TOS  aggregation schemes
                ''',
                'destination_prefix_tos',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('original-input', REFERENCE_CLASS, 'OriginalInput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalInput', 
                [], [], 
                '''                Traditional IPv6 input NetFlow with ASs
                ''',
                'original_input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('original-output', REFERENCE_CLASS, 'OriginalOutput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalOutput', 
                [], [], 
                '''                Traditional IPv6 output NetFlow with ASs
                ''',
                'original_output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4.Prefix', 
                [], [], 
                '''                Source and Destination Prefixes aggregation schemes
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefixes and Ports aggregation scheme
                ''',
                'prefix_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix-tos', REFERENCE_CLASS, 'PrefixTos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4.PrefixTos', 
                [], [], 
                '''                Prefixes and TOS aggregation schemes
                ''',
                'prefix_tos',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('protocol-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Protocol and Ports aggregation scheme
                ''',
                'protocol_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('protocol-port-tos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Protocol, Ports and TOS aggregation scheme
                ''',
                'protocol_port_tos',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-prefix', REFERENCE_CLASS, 'SourcePrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefix', 
                [], [], 
                '''                Source AS and Prefix aggregation schemes
                ''',
                'source_prefix',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-prefix-tos', REFERENCE_CLASS, 'SourcePrefixTos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefixTos', 
                [], [], 
                '''                Source Prefix and TOS aggregation schemes
                ''',
                'source_prefix_tos',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv6.As_' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv6.As_',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                AS aggregation scheme with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv6.DestinationPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv6.DestinationPrefix',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination Prefix aggregation scheme with peer AS
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'destination-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalInput' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalInput',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Traditional IPv6 input NetFlow with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'original-input',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalOutput' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalOutput',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Traditional IPv6 output NetFlow with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'original-output',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv6.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv6.Prefix',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source and Destination Prefixes aggregation scheme with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv6.SourcePrefix' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv6.SourcePrefix',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source AS and Prefix aggregation scheme with peer AS
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'source-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv6.BgpNexthop' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv6.BgpNexthop',
            False, 
            [
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP next-hop aggregation scheme with peer ASs
                ''',
                'peer',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'bgp-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow.Ipv6',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_CLASS, 'As_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv6.As_', 
                [], [], 
                '''                AS aggregation schemes
                ''',
                'as_',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('bgp-nexthop', REFERENCE_CLASS, 'BgpNexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv6.BgpNexthop', 
                [], [], 
                '''                BGP next-hop aggregation schemes
                ''',
                'bgp_nexthop',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('destination-prefix', REFERENCE_CLASS, 'DestinationPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv6.DestinationPrefix', 
                [], [], 
                '''                Destination Prefix aggregation schemes
                ''',
                'destination_prefix',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('original-input', REFERENCE_CLASS, 'OriginalInput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalInput', 
                [], [], 
                '''                Traditional IPv6 input NetFlow with ASs
                ''',
                'original_input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('original-output', REFERENCE_CLASS, 'OriginalOutput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalOutput', 
                [], [], 
                '''                Traditional IPv6 output NetFlow with ASs
                ''',
                'original_output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv6.Prefix', 
                [], [], 
                '''                Source and Destination Prefixes aggregation schemes
                ''',
                'prefix',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('protocol-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Protocol and Ports aggregation scheme
                ''',
                'protocol_port',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('source-prefix', REFERENCE_CLASS, 'SourcePrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv6.SourcePrefix', 
                [], [], 
                '''                Source AS and Prefix aggregation schemes
                ''',
                'source_prefix',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.Netflow' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record.Netflow',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv4', 
                [], [], 
                '''                Traditional IPv4 NetFlow collection schemes
                ''',
                'ipv4',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow.Ipv6', 
                [], [], 
                '''                Traditional IPv6 NetFlow collection schemes
                ''',
                'ipv6',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'netflow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Record.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default-rtp':'default_rtp',
            'default-tcp':'default_tcp',
            'netflow-original':'netflow_original',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Flow.Monitor.Record' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Record',
            False, 
            [
            _MetaInfoClassMember('netflow', REFERENCE_CLASS, 'Netflow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.Netflow', 
                [], [], 
                '''                Traditional NetFlow collection schemes
                ''',
                'netflow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-flow', False, [
                    _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'Native.Flow.Monitor.Record.TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record.TypeEnum', 
                        [], [], 
                        '''                        ''',
                        'type',
                        'Cisco-IOS-XE-flow', False),
                    _MetaInfoClassMember('type', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'type',
                        'Cisco-IOS-XE-flow', False),
                ]),
            ],
            'Cisco-IOS-XE-flow',
            'record',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Statistics.Packet' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Statistics.Packet',
            False, 
            [
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Collect packet protocol distribution statistics
                ''',
                'protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Collect packet size distribution statistics
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packet',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Statistics' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Statistics',
            False, 
            [
            _MetaInfoClassMember('packet', REFERENCE_CLASS, 'Packet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Statistics.Packet', 
                [], [], 
                '''                Collect packet statistics
                ''',
                'packet',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Default.Cache.Timeout.Event' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Default.Cache.Timeout.Event',
            False, 
            [
            _MetaInfoClassMember('transaction-end', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export on transaction end event
                ''',
                'transaction_end',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Default.Cache.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Default.Cache.Timeout',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify the active flow timeout
                ''',
                'active',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Default.Cache.Timeout.Event', 
                [], [], 
                '''                Event-based export
                ''',
                'event',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('inactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify the inactive flow timeout
                ''',
                'inactive',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('synchronized', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify the timeout for a synchronized Flow Cache
                ''',
                'synchronized',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('update', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify the update timeout for a permanent Flow Cache
                ''',
                'update',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Default.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Default.Cache',
            False, 
            [
            _MetaInfoClassMember('entries', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'entries',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Default.Cache.Timeout', 
                [], [], 
                '''                Configure flow cache timeout parameters
                ''',
                'timeout',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the type of the Flow Cache
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Default.Statistics.Packet' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Default.Statistics.Packet',
            False, 
            [
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Collect packet protocol distribution statistics
                ''',
                'protocol',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Collect packet size distribution statistics
                ''',
                'size',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'packet',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Default.Statistics' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Default.Statistics',
            False, 
            [
            _MetaInfoClassMember('packet', REFERENCE_CLASS, 'Packet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Default.Statistics.Packet', 
                [], [], 
                '''                Collect packet statistics
                ''',
                'packet',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.Default' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor.Default',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Default.Cache', 
                [], [], 
                '''                Monitor cache entries
                ''',
                'cache',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Provide a description for this Flow Monitor
                ''',
                'description',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('exporter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add an Exporter to use to export records
                ''',
                'exporter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('record', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Flow Record to use to define Cache
                ''',
                'record',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Default.Statistics', 
                [], [], 
                '''                Collect statistics
                ''',
                'statistics',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow.Monitor.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'performance-monitor':'performance_monitor',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Cache', 
                [], [], 
                '''                Monitor cache entries
                ''',
                'cache',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide a description for this Flow Monitor
                ''',
                'description',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('exporter', REFERENCE_LIST, 'Exporter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Exporter', 
                [], [], 
                '''                Add an Exporter to use to export records
                ''',
                'exporter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.History', 
                [], [], 
                '''                Monitor history intervals
                ''',
                'history',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('record', REFERENCE_CLASS, 'Record' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Record', 
                [], [], 
                '''                Specify Flow Record to use to define Cache
                ''',
                'record',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.Statistics', 
                [], [], 
                '''                Collect statistics
                ''',
                'statistics',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor.TypeEnum', 
                [], [], 
                '''                Type of the Flow Record
                ''',
                'type',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Flow',
            False, 
            [
            _MetaInfoClassMember('exporter', REFERENCE_LIST, 'Exporter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Exporter', 
                [], [], 
                '''                Define a Flow Exporter
                ''',
                'exporter',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Monitor', 
                [], [], 
                '''                Define a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('record', REFERENCE_LIST, 'Record' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow.Record', 
                [], [], 
                '''                Define a Flow Record
                ''',
                'record',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-native',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Admission.WatchList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Admission.WatchList',
            False, 
            [
            _MetaInfoClassMember('expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '35791')], [], 
                '''                Configure expiry time for watch-list entries
                ''',
                'expiry_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'watch-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Admission.Name.Webauth.Proxy' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Admission.Name.Webauth.Proxy',
            False, 
            [
            _MetaInfoClassMember('http', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                HTTP Protocol
                ''',
                'http',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'proxy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Admission.Name.Webauth' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Admission.Name.Webauth',
            False, 
            [
            _MetaInfoClassMember('proxy', REFERENCE_CLASS, 'Proxy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Admission.Name.Webauth.Proxy', 
                [], [], 
                '''                Authentication Proxy Protocol
                ''',
                'proxy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'webauth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Admission.Name' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Admission.Name',
            False, 
            [
            _MetaInfoClassMember('webauth', REFERENCE_CLASS, 'Webauth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Admission.Name.Webauth', 
                [], [], 
                '''                help
                ''',
                'webauth',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Admission' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Admission',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_CLASS, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Admission.Name', 
                [], [], 
                '''                Specify an Authentication Proxy Rule
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('watch-list', REFERENCE_CLASS, 'WatchList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Admission.WatchList', 
                [], [], 
                '''                Watch-list
                ''',
                'watch_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'admission',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Arp.Incomplete' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Arp.Incomplete',
            False, 
            [
            _MetaInfoClassMember('entries', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Specify the number of IP addresses to resolve
                ''',
                'entries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'incomplete',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Arp.Inspection.Filter.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Arp.Inspection.Filter.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply the ACL statically
                ''',
                'static',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Arp.Inspection.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Arp.Inspection.Filter',
            False, 
            [
            _MetaInfoClassMember('arpacl', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'arpacl',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Arp.Inspection.Filter.Vlan', 
                [], [], 
                '''                Vlans to apply the filter
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Arp.Inspection.Validate.Allow' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Arp.Inspection.Validate.Allow',
            False, 
            [
            _MetaInfoClassMember('zeros', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow 0.0.0.0 sender IP address
                ''',
                'zeros',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'allow',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Arp.Inspection.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Arp.Inspection.Validate',
            False, 
            [
            _MetaInfoClassMember('allow', REFERENCE_CLASS, 'Allow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Arp.Inspection.Validate.Allow', 
                [], [], 
                '''                ''',
                'allow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dst-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Validate destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Validate IP addresses
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('src-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Validate source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Arp.Inspection.LogBuffer.Logs' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Arp.Inspection.LogBuffer.Logs',
            False, 
            [
            _MetaInfoClassMember('entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '1024')], [], 
                '''                Number of entries for log buffer
                ''',
                'entries',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '86400')], [], 
                '''                Interval for controlling logging rate
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logs',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Arp.Inspection.LogBuffer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Arp.Inspection.LogBuffer',
            False, 
            [
            _MetaInfoClassMember('entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '1024')], [], 
                '''                Number of entries for log buffer
                ''',
                'entries',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logs', REFERENCE_CLASS, 'Logs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Arp.Inspection.LogBuffer.Logs', 
                [], [], 
                '''                Number of logs per interval
                ''',
                'logs',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'log-buffer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_LIST, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Arp.Inspection.Filter', 
                [], [], 
                '''                Specify ARP acl to be applied
                ''',
                'filter',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('log-buffer', REFERENCE_CLASS, 'LogBuffer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Arp.Inspection.LogBuffer', 
                [], [], 
                '''                Log Buffer Configuration
                ''',
                'log_buffer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Arp.Inspection.Validate', 
                [], [], 
                '''                Validate addresses
                ''',
                'validate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable/Disable ARP Inspection on vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Arp.Proxy' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Arp.Proxy',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable proxy ARP on all interfaces
                ''',
                'disable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'proxy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('incomplete', REFERENCE_CLASS, 'Incomplete' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Arp.Incomplete', 
                [], [], 
                '''                Fine-tune the ARP Retry parameters
                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy', REFERENCE_CLASS, 'Proxy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Arp.Proxy', 
                [], [], 
                '''                Gratuitous ARP control
                ''',
                'proxy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.DomainList.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.DomainList.Vrf',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'domain_name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.DomainList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.DomainList',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'domain_name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.DomainList.Vrf', 
                [], [], 
                '''                Specify VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Finger' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Finger',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'finger',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Rcmd' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Rcmd',
            False, 
            [
            _MetaInfoClassMember('rcp-enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable server side of RCP
                ''',
                'rcp_enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rsh-enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable server side of RSh
                ''',
                'rsh_enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcmd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.BgpCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Ip.BgpCommunity',
            False, 
            [
            _MetaInfoClassMember('new-format', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                select aa:nn format for BGP community
                ''',
                'new_format',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bgp-community',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Vrf.Bgp.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Vrf.Bgp.NextHop',
            False, 
            [
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Loopback interface number
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Vrf.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Vrf.Bgp',
            False, 
            [
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.Bgp.NextHop', 
                [], [], 
                '''                Next-hop for the routes of a VRF in the backbone
                ''',
                'next_hop',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Vrf.Export' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Vrf.Export',
            False, 
            [
            _MetaInfoClassMember('map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map based VRF export
                ''',
                'map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'export',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Vrf.Import_.Ipv4.Ipv4TypeEnum' : _MetaInfoEnum('Ipv4TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
            'multicast':'multicast',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ip.Vrf.Import_.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Vrf.Import_.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-type', REFERENCE_ENUM_CLASS, 'Ipv4TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.Import_.Ipv4.Ipv4TypeEnum', 
                [], [], 
                '''                ''',
                'ipv4_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map based VRF import
                ''',
                'map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('upper-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'upper_limit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Vrf.Import_' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Vrf.Import_',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.Import_.Ipv4', 
                [], [], 
                '''                Address family based VRF import
                ''',
                'ipv4',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map based VRF import
                ''',
                'map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'import',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Vrf.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Vrf.Maximum',
            False, 
            [
            _MetaInfoClassMember('reinstall', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Reinstall previous rejected route due to over maximum route limit
                ''',
                'reinstall',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('routes', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of routes allowed in this routing table
                ''',
                'routes',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message if is limit exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Vrf.Mdt.Data' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Vrf.Mdt.Data',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list
                ''',
                'list',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-fA-F].*'], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mulicast-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mulicast_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967')], [], 
                '''                MDT switching threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list
                ''',
                'threshold_list',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('threshold-list', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Access-list
                        ''',
                        'threshold_list',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('threshold-list', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Access-list
                        ''',
                        'threshold_list',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('threshold-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-fA-F].*'], 
                        '''                        Access-list
                        ''',
                        'threshold_list',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('wildcard-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildcard_bits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'data',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Vrf.Mdt' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Vrf.Mdt',
            False, 
            [
            _MetaInfoClassMember('data', REFERENCE_CLASS, 'Data' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.Mdt.Data', 
                [], [], 
                '''                MDT data group range
                ''',
                'data',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The default group
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('log-reuse', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Event logging for data MDT reuse
                ''',
                'log_reuse',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Vrf.RouteTarget.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'export':'export',
            'import':'import_',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ip.Vrf.RouteTarget' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Vrf.RouteTarget',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.RouteTarget.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('target', ATTRIBUTE, 'str' , None, None, 
                [], [b'(\\d*(.\\d*)*)?:(\\d*(.\\d*)*)?'], 
                '''                ''',
                'target',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'route-target',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Vrf.Vpn' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Vrf.Vpn',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F][0-9a-fA-F]?[0-9a-fA-F]?:[0-9a-fA-F][0-9a-fA-F]?[0-9a-fA-F]?[0-9a-fA-F]?'], 
                '''                Configure VPN ID in rfc2685 format
                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vpn',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;VPN Routing/Forwarding instance name
                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.Bgp', 
                [], [], 
                '''                Commands pertaining to BGP
                ''',
                'bgp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('context', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Associate SNMP context with this vrf
                ''',
                'context',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 244)], [], 
                '''                VRF specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('export', REFERENCE_CLASS, 'Export' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.Export', 
                [], [], 
                '''                VRF export
                ''',
                'export',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('import', REFERENCE_CLASS, 'Import_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.Import_', 
                [], [], 
                '''                VRF import
                ''',
                'import_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.Maximum', 
                [], [], 
                '''                Maximum number of routes allowed in this routing table
                ''',
                'maximum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdt', REFERENCE_CLASS, 'Mdt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.Mdt', 
                [], [], 
                '''                Backbone Multicast Distribution Tree
                ''',
                'mdt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [b'(\\d*(.\\d*)*)?:(\\d*(.\\d*)*)?'], 
                '''                Specify Route Distinguisher
                ''',
                'rd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-target', REFERENCE_LIST, 'RouteTarget' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.RouteTarget', 
                [], [], 
                '''                Specify Target VPN Extended Communities
                ''',
                'route_target',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vpn', REFERENCE_CLASS, 'Vpn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf.Vpn', 
                [], [], 
                '''                Configure VPN ID as specified in rfc2685
                ''',
                'vpn',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AsPath.AccessList.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AsPath.AccessList.Deny',
            False, 
            [
            _MetaInfoClassMember('deny-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'deny_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AsPath.AccessList.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AsPath.AccessList.Permit',
            False, 
            [
            _MetaInfoClassMember('permit-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'permit_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AsPath.AccessList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AsPath.AccessList',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AsPath.AccessList.Deny', 
                [], [], 
                '''                Specify community to reject
                ''',
                'deny',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AsPath.AccessList.Permit', 
                [], [], 
                '''                Specify community to accept
                ''',
                'permit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'access-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AsPath' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AsPath',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_LIST, 'AccessList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AsPath.AccessList', 
                [], [], 
                '''                Specify an access list number
                ''',
                'access_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-native',
            'as-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Local.Pool.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ip.Local.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Local.Pool',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'Native.Ip.Local.Pool.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Local.Pool.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-native', True),
                ]),
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Create ip local pool group
                ''',
                'group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('last', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'last',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'start',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Local' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Local',
            False, 
            [
            _MetaInfoClassMember('pool', REFERENCE_LIST, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Local.Pool', 
                [], [], 
                '''                IP Local address pool lists
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Destination',
            False, 
            [
            _MetaInfoClassMember('dest-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                <1-FFFFFFFF>  Fixed ID
                ''',
                'dest_range',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp',
            False, 
            [
            _MetaInfoClassMember('gtp-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                <1-FFFFFFFF>  Fixed ID
                ''',
                'gtp_range',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'gtp',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination',
            False, 
            [
            _MetaInfoClassMember('dest-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                <1-FFFFFFFF>  Fixed ID
                ''',
                'dest_range',
                'Cisco-IOS-XE-cef', False),
            _MetaInfoClassMember('gtp', REFERENCE_CLASS, 'Gtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp', 
                [], [], 
                '''                Use GTP te-id as source and destination ports in hash function
                ''',
                'gtp',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination', 
                [], [], 
                '''                Use source and destination ports in hash function
                ''',
                'destination',
                'Cisco-IOS-XE-cef', False),
            _MetaInfoClassMember('source-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                <1-FFFFFFFF>  Fixed ID
                ''',
                'source_range',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Destination', 
                [], [], 
                '''                Use destination port in hash function
                ''',
                'destination',
                'Cisco-IOS-XE-cef', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source', 
                [], [], 
                '''                Use source port in hash function
                ''',
                'source',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'include-ports',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Cef.LoadSharing.Algorithm' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Cef.LoadSharing.Algorithm',
            False, 
            [
            _MetaInfoClassMember('include-ports', REFERENCE_CLASS, 'IncludePorts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts', 
                [], [], 
                '''                Algorithm that includes layer 4 ports
                ''',
                'include_ports',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Cef.LoadSharing' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Cef.LoadSharing',
            False, 
            [
            _MetaInfoClassMember('algorithm', REFERENCE_CLASS, 'Algorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Cef.LoadSharing.Algorithm', 
                [], [], 
                '''                Per-destination load sharing algorithm selection
                ''',
                'algorithm',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'load-sharing',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Cef' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Cef',
            False, 
            [
            _MetaInfoClassMember('distributed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distributed Cisco Express Forwarding
                ''',
                'distributed',
                'Cisco-IOS-XE-cef', False),
            _MetaInfoClassMember('load-sharing', REFERENCE_CLASS, 'LoadSharing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Cef.LoadSharing', 
                [], [], 
                '''                Load sharing
                ''',
                'load_sharing',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-native',
            'cef',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Domain.List.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Domain.List.Vrf',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'domain_name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Domain.List' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Domain.List',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'domain_name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Domain.List.Vrf', 
                [], [], 
                '''                Specify VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Domain.LookupSettings.Lookup.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Domain.LookupSettings.Lookup.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Domain.LookupSettings.Lookup' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Domain.LookupSettings.Lookup',
            False, 
            [
            _MetaInfoClassMember('nsap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IP DNS queries for CLNS NSAP addresses
                ''',
                'nsap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Domain.LookupSettings.Lookup.SourceInterface', 
                [], [], 
                '''                Specify source interface for DNS resolver
                ''',
                'source_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'lookup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Domain.LookupSettings' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Domain.LookupSettings',
            False, 
            [
            _MetaInfoClassMember('lookup', REFERENCE_CLASS, 'Lookup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Domain.LookupSettings.Lookup', 
                [], [], 
                '''                Enable IP Domain Name System hostname translation
                ''',
                'lookup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Define the default domain name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'lookup-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Domain',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Domain.List', 
                [], [], 
                '''                Domain name to complete unqualified host names
                ''',
                'list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lookup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable IP Domain Name System hostname translation
                ''',
                'lookup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lookup-settings', REFERENCE_CLASS, 'LookupSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Domain.LookupSettings', 
                [], [], 
                '''                ''',
                'lookup_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Define the default domain name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.DomainLookupConf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.DomainLookupConf',
            False, 
            [
            _MetaInfoClassMember('domain-lookup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'domain_lookup',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain-lookup-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.DomainLookup.SourceInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.DomainLookup.SourceInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.DomainLookup.SourceInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.DomainLookup.SourceInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.DomainLookup.SourceInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.DomainLookup.SourceInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.DomainLookup.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.DomainLookup.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.DomainLookup.SourceInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.DomainLookup.SourceInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.DomainLookup.SourceInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.DomainLookup' : {
        'meta_info' : _MetaInfoClass('Native.Ip.DomainLookup',
            False, 
            [
            _MetaInfoClassMember('nsap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IP DNS queries for CLNS NSAP addresses
                ''',
                'nsap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.DomainLookup.SourceInterface', 
                [], [], 
                '''                Specify source interface for DNS resolver
                ''',
                'source_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain-lookup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dns.Server' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dns.Server',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dns' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dns',
            False, 
            [
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dns.Server', 
                [], [], 
                '''                Enable DNS server
                ''',
                'server',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dns',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Bootp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Bootp',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this DHCP server to ignore to BOOTP requests.
                ''',
                'ignore',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'bootp',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Class_.Relay.Agent' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Class_.Relay.Agent',
            False, 
            [
            _MetaInfoClassMember('information', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enter relay agent information option configuration submode
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'agent',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Class_.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Class_.Relay',
            False, 
            [
            _MetaInfoClassMember('agent', REFERENCE_CLASS, 'Agent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Class_.Relay.Agent', 
                [], [], 
                '''                Enter relay agent information option configuration submode
                ''',
                'agent',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Class_' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Class_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Class_.Relay', 
                [], [], 
                '''                Enter relay agent information option configuration submode
                ''',
                'relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('remark', ATTRIBUTE, 'str' , None, None, 
                [(1, 240)], [], 
                '''                Specify a remark for this class
                ''',
                'remark',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'class',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Conflict.Resolution' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Conflict.Resolution',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Time in Minutes
                ''',
                'interval',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'resolution',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Conflict' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Conflict',
            False, 
            [
            _MetaInfoClassMember('logging', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record address conflicts in a log file
                ''',
                'logging',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('resolution', REFERENCE_CLASS, 'Resolution' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Conflict.Resolution', 
                [], [], 
                '''                DHCP address conflict resolution
                ''',
                'resolution',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'conflict',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.ExcludedAddress' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.ExcludedAddress',
            False, 
            [
            _MetaInfoClassMember('low-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'low_address',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('high-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'high_address',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for excluded address range
                ''',
                'vrf',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'excluded-address',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('option-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default option, no vpn
                ''',
                'option_default',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vpn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert VPN sub-options and change the giaddr to the outgoing interface
                ''',
                'vpn',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                Insert relay information in BOOTREQUEST
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trust-all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Received DHCP packets may contain relay info option with zero giaddr
                ''',
                'trust_all',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                Relay agent information option
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Pool.Class_.Address.Range' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Pool.Class_.Address.Range',
            False, 
            [
            _MetaInfoClassMember('ipv4-end', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                End IP address
                ''',
                'ipv4_end',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('ipv4-start', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Start IP address
                ''',
                'ipv4_start',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Pool.Class_.Address' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Pool.Class_.Address',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Pool.Class_.Address.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Pool.Class_' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Pool.Class_',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP class name
                ''',
                'name',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Pool.Class_.Address', 
                [], [], 
                '''                Specify an address range for this class
                ''',
                'address',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'class',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Pool.Lease' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Pool.Lease',
            False, 
            [
            _MetaInfoClassMember('Days', ATTRIBUTE, 'int' , None, None, 
                [('0', '365')], [], 
                '''                ''',
                'days',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('Hours', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hours
                ''',
                'hours',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('Minutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minutes
                ''',
                'minutes',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'lease',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Pool.Network' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Pool.Network',
            False, 
            [
            _MetaInfoClassMember('mask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-dhcp', False, [
                    _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'mask',
                        'Cisco-IOS-XE-dhcp', False),
                    _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'mask',
                        'Cisco-IOS-XE-dhcp', False),
                ]),
            _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as secondary subnet
                ''',
                'secondary',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Pool',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('class', REFERENCE_LIST, 'Class_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Pool.Class_', 
                [], [], 
                '''                Specify a DHCP class
                ''',
                'class_',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('default-router', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Default routers
                ''',
                'default_router',
                'Cisco-IOS-XE-dhcp', False, [
                    _MetaInfoClassMember('default-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Default routers
                        ''',
                        'default_router',
                        'Cisco-IOS-XE-dhcp', False),
                    _MetaInfoClassMember('default-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Default routers
                        ''',
                        'default_router',
                        'Cisco-IOS-XE-dhcp', False),
                ]),
            _MetaInfoClassMember('dns-server', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                DNS servers
                ''',
                'dns_server',
                'Cisco-IOS-XE-dhcp', False, [
                    _MetaInfoClassMember('dns-server', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        DNS servers
                        ''',
                        'dns_server',
                        'Cisco-IOS-XE-dhcp', False),
                    _MetaInfoClassMember('dns-server', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DNS servers
                        ''',
                        'dns_server',
                        'Cisco-IOS-XE-dhcp', False),
                ]),
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Domain name
                ''',
                'domain_name',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('lease', REFERENCE_LIST, 'Lease' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Pool.Lease', 
                [], [], 
                '''                Address lease time
                ''',
                'lease',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Pool.Network', 
                [], [], 
                '''                Network number and mask
                ''',
                'network',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Associate this pool with a VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.SnoopingConf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.SnoopingConf',
            False, 
            [
            _MetaInfoClassMember('snooping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'snooping-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Snooping.Database' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Snooping.Database',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '86400')], [], 
                '''                Configure abort timeout interval
                ''',
                'timeout',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'url',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('write-delay', ATTRIBUTE, 'int' , None, None, 
                [('15', '86400')], [], 
                '''                Configure delay timer for writes to URL
                ''',
                'write_delay',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId',
            False, 
            [
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use configured hostname for remote id
                ''',
                'hostname',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined string for remote id
                ''',
                'string',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Snooping.Information.Option.Format' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Snooping.Information.Option.Format',
            False, 
            [
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId', 
                [], [], 
                '''                Remote id option 82 format
                ''',
                'remote_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'format',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Snooping.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Snooping.Information.Option',
            False, 
            [
            _MetaInfoClassMember('allow-untrusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP Snooping information option allow-untrusted
                ''',
                'allow_untrusted',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('format', REFERENCE_CLASS, 'Format' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Snooping.Information.Option.Format', 
                [], [], 
                '''                Option 82 information format
                ''',
                'format',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Snooping.Information' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Snooping.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Snooping.Information.Option', 
                [], [], 
                '''                DHCP Snooping information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option-conf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'option_conf',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Snooping.Track' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Snooping.Track',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP snooping track host
                ''',
                'host',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Snooping.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Snooping.Verify',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP snooping verify mac-address
                ''',
                'mac_address',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('no-relay-agent-address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP snooping verify giaddr
                ''',
                'no_relay_agent_address',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Snooping.Database', 
                [], [], 
                '''                DHCP snooping database agent
                ''',
                'database',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Snooping.Information', 
                [], [], 
                '''                DHCP Snooping information
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('track', REFERENCE_CLASS, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Snooping.Track', 
                [], [], 
                '''                DHCP snooping track
                ''',
                'track',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Snooping.Verify', 
                [], [], 
                '''                DHCP snooping verify
                ''',
                'verify',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP Snooping vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('bootp', REFERENCE_CLASS, 'Bootp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Bootp', 
                [], [], 
                '''                BOOTP specific configuration
                ''',
                'bootp',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('class', REFERENCE_LIST, 'Class_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Class_', 
                [], [], 
                '''                Configure DHCP classes
                ''',
                'class_',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('conflict', REFERENCE_CLASS, 'Conflict' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Conflict', 
                [], [], 
                '''                DHCP address conflict parameters
                ''',
                'conflict',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('excluded-address', REFERENCE_LIST, 'ExcludedAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.ExcludedAddress', 
                [], [], 
                '''                Prevent DHCP from assigning certain addresses
                ''',
                'excluded_address',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('pool', REFERENCE_LIST, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Pool', 
                [], [], 
                '''                Configure DHCP address pools
                ''',
                'pool',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay agent parameters
                ''',
                'relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('smart-relay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Smart Relay feature
                ''',
                'smart_relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('snooping-conf', REFERENCE_CLASS, 'SnoopingConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp.SnoopingConf', 
                [], [], 
                '''                ''',
                'snooping_conf',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ForwardProtocol.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ForwardProtocol.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('any-local-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept any local broadcast when flooding
                ''',
                'any_local_broadcast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ForwardProtocol.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ForwardProtocol.Udp',
            False, 
            [
            _MetaInfoClassMember('biff', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Biff (mail notification, comsat, 512)
                ''',
                'biff',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bootpc', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bootstrap Protocol (BOOTP) client (68)
                ''',
                'bootpc',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bootps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bootstrap Protocol (BOOTP) server (67)
                ''',
                'bootps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('discard', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard (9)
                ''',
                'discard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dnsix', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                DNSIX security protocol auditing (195)
                ''',
                'dnsix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Domain Name Service (DNS, 53)
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('echo', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Echo (7)
                ''',
                'echo',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isakmp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internet Security Association and Key Management Protocol(500)
                ''',
                'isakmp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mobile-ip', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mobile IP registration (434)
                ''',
                'mobile_ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nameserver', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IEN116 name service (obsolete, 42)
                ''',
                'nameserver',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('netbios-dgm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NetBios datagram service (138)
                ''',
                'netbios_dgm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('netbios-ns', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NetBios name service (137)
                ''',
                'netbios_ns',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('netbios-ss', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NetBios session service (139)
                ''',
                'netbios_ss',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('non500-isakmp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internet Security Association and Key Management Protocol(4500)
                ''',
                'non500_isakmp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ntp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Network Time Protocol (123)
                ''',
                'ntp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim-auto-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM Auto-RP (496)
                ''',
                'pim_auto_rp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rip', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Routing Information Protocol (router, in.routed, 520)
                ''',
                'rip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Simple Network Management Protocol (161)
                ''',
                'snmp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmptrap', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SNMP Traps (162)
                ''',
                'snmptrap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sunrpc', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Sun Remote Procedure Call (111)
                ''',
                'sunrpc',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('syslog', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                System Logger (514)
                ''',
                'syslog',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tacacs', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TAC Access Control System (49)
                ''',
                'tacacs',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('talk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Talk (517)
                ''',
                'talk',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tftp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Trivial File Transfer Protocol (69)
                ''',
                'tftp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Time (37)
                ''',
                'time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('who', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Who service (rwho, 513)
                ''',
                'who',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('xdmcp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                X Display Manager Control Protocol (177)
                ''',
                'xdmcp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ForwardProtocol.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nd':'nd',
            'sdns':'sdns',
            'turbo-flood':'turbo_flood',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ip.ForwardProtocol' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ForwardProtocol',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ForwardProtocol.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ForwardProtocol.SpanningTree', 
                [], [], 
                '''                Use transparent bridging to flood UDP broadcasts
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ForwardProtocol.Udp', 
                [], [], 
                '''                Packets to a specific UDP port
                ''',
                'udp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forward-protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ftp.SourceInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ftp.SourceInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ftp.SourceInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ftp.SourceInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ftp.SourceInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ftp.SourceInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ftp.SourceInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ftp.SourceInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ftp.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ftp.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ftp.SourceInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ftp.SourceInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ftp.SourceInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ftp.SourceInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ftp.Password.PasswordContainer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ftp.Password.PasswordContainer',
            False, 
            [
            _MetaInfoClassMember('encryption', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [b'([1-680-9a-zA-Z].*)|(0.+)|(7.+)'], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'password-container',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ftp.Password' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ftp.Password',
            False, 
            [
            _MetaInfoClassMember('password-container', REFERENCE_CLASS, 'PasswordContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ftp.Password.PasswordContainer', 
                [], [], 
                '''                ''',
                'password_container',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ftp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ftp',
            False, 
            [
            _MetaInfoClassMember('passive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Connect using passive mode
                ''',
                'passive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ftp.Password', 
                [], [], 
                '''                Specify password for FTP connections;
                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ftp.SourceInterface', 
                [], [], 
                '''                Specify interface for source address in FTP connections
                ''',
                'source_interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify username for FTP connections
                ''',
                'username',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ftp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Telnet' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Telnet',
            False, 
            [
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify source interface
                ''',
                'source_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'telnet',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Multicast.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Multicast.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding instance name
                ''',
                'name',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('multipath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RPF across equal-cost paths
                ''',
                'multipath',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('route-limit', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Maximum number of multicast routes
                ''',
                'route_limit',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Multicast',
            False, 
            [
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Maximum number of multicast routes
                ''',
                'route_limit',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Multicast.Vrf', 
                [], [], 
                '''                Select VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.NameServer.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.NameServer.Vrf',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('server-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'server_ip',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('server-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'server_ip',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('server-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'server_ip',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.NameServer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.NameServer',
            False, 
            [
            _MetaInfoClassMember('no-vrf', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'no_vrf',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('no-vrf', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'no_vrf',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('no-vrf', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'no_vrf',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.NameServer.Vrf', 
                [], [], 
                '''                
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'name-server',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.AcceptRegister' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.AcceptRegister',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access list
                ''',
                'list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'accept-register',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Autorp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Autorp',
            False, 
            [
            _MetaInfoClassMember('listener', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow AutoRP packets across sparse mode interface
                ''',
                'listener',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'autorp',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.RpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.RpAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Overrides dynamically learnt RP mappings
                ''',
                'override',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.SptThreshold.HowEnum' : _MetaInfoEnum('HowEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Ip.Pim.SptThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.SptThreshold',
            False, 
            [
            _MetaInfoClassMember('how', REFERENCE_ENUM_CLASS, 'HowEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.SptThreshold.HowEnum', 
                [], [], 
                '''                ''',
                'how',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('group-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address access-list
                ''',
                'group_list',
                'Cisco-IOS-XE-multicast', True, [
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Group address access-list
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-multicast', True),
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        Group address access-list
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-multicast', True),
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Group address access-list
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-multicast', True),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'spt-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.SptThresholdContainer.SptThreshold.HowEnum' : _MetaInfoEnum('HowEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Ip.Pim.SptThresholdContainer.SptThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.SptThresholdContainer.SptThreshold',
            False, 
            [
            _MetaInfoClassMember('how', REFERENCE_ENUM_CLASS, 'HowEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.SptThresholdContainer.SptThreshold.HowEnum', 
                [], [], 
                '''                ''',
                'how',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'spt-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.SptThresholdContainer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.SptThresholdContainer',
            False, 
            [
            _MetaInfoClassMember('spt-threshold', REFERENCE_CLASS, 'SptThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.SptThresholdContainer.SptThreshold', 
                [], [], 
                '''                Source-tree switching threshold
                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'spt-threshold-container',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope.GroupList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope.GroupList',
            False, 
            [
            _MetaInfoClassMember('acl-ref', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                Access-list reference for multicast groups
                ''',
                'acl_ref',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('std-acl', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IP Named Standard Access list
                ''',
                'std_acl',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'group-list',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope',
            False, 
            [
            _MetaInfoClassMember('group-list', REFERENCE_CLASS, 'GroupList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope.GroupList', 
                [], [], 
                '''                Group access-list
                ''',
                'group_list',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('pkt-ttl', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                TTL of the RP announce packet
                ''',
                'pkt_ttl',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.SendRpAnnounce.Interface_List' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.SendRpAnnounce.Interface_List',
            False, 
            [
            _MetaInfoClassMember('if-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'if_name',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope', 
                [], [], 
                '''                RP announcement scope
                ''',
                'scope',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'interface_list',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.SendRpAnnounce.PortChannel' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.SendRpAnnounce.PortChannel',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('scope', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                RP announcement scope
                ''',
                'scope',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'Port-channel',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.SendRpAnnounce' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.SendRpAnnounce',
            False, 
            [
            _MetaInfoClassMember('interface_list', REFERENCE_LIST, 'Interface_List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.SendRpAnnounce.Interface_List', 
                [], [], 
                '''                ''',
                'interface_list',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('Port-channel', REFERENCE_LIST, 'PortChannel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.SendRpAnnounce.PortChannel', 
                [], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'send-rp-announce',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.SendRpDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.SendRpDiscovery',
            False, 
            [
            _MetaInfoClassMember('scope', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Scope of the RP discovery packets: TTL
                ''',
                'scope',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'send-rp-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Ssm' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Ssm',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'range',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('range', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'range',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'ssm',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.AcceptRegister' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.AcceptRegister',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access list
                ''',
                'list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'accept-register',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.Autorp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.Autorp',
            False, 
            [
            _MetaInfoClassMember('listener', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow AutoRP packets across sparse mode interface
                ''',
                'listener',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'autorp',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.RpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.RpAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Overrides dynamically learnt RP mappings
                ''',
                'override',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.SptThreshold.HowEnum' : _MetaInfoEnum('HowEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Ip.Pim.Vrf.SptThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.SptThreshold',
            False, 
            [
            _MetaInfoClassMember('how', REFERENCE_ENUM_CLASS, 'HowEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.SptThreshold.HowEnum', 
                [], [], 
                '''                ''',
                'how',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('group-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address access-list
                ''',
                'group_list',
                'Cisco-IOS-XE-multicast', True, [
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Group address access-list
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-multicast', True),
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        Group address access-list
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-multicast', True),
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Group address access-list
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-multicast', True),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'spt-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold.HowEnum' : _MetaInfoEnum('HowEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold',
            False, 
            [
            _MetaInfoClassMember('how', REFERENCE_ENUM_CLASS, 'HowEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold.HowEnum', 
                [], [], 
                '''                ''',
                'how',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'spt-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.SptThresholdContainer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.SptThresholdContainer',
            False, 
            [
            _MetaInfoClassMember('spt-threshold', REFERENCE_CLASS, 'SptThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold', 
                [], [], 
                '''                Source-tree switching threshold
                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'spt-threshold-container',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope.GroupList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope.GroupList',
            False, 
            [
            _MetaInfoClassMember('acl-ref', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                Access-list reference for multicast groups
                ''',
                'acl_ref',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('std-acl', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IP Named Standard Access list
                ''',
                'std_acl',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'group-list',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope',
            False, 
            [
            _MetaInfoClassMember('group-list', REFERENCE_CLASS, 'GroupList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope.GroupList', 
                [], [], 
                '''                Group access-list
                ''',
                'group_list',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('pkt-ttl', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                TTL of the RP announce packet
                ''',
                'pkt_ttl',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List',
            False, 
            [
            _MetaInfoClassMember('if-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'if_name',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope', 
                [], [], 
                '''                RP announcement scope
                ''',
                'scope',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'interface_list',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.SendRpAnnounce.PortChannel' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.SendRpAnnounce.PortChannel',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('scope', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                RP announcement scope
                ''',
                'scope',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'Port-channel',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.SendRpAnnounce' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.SendRpAnnounce',
            False, 
            [
            _MetaInfoClassMember('interface_list', REFERENCE_LIST, 'Interface_List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List', 
                [], [], 
                '''                ''',
                'interface_list',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('Port-channel', REFERENCE_LIST, 'PortChannel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.SendRpAnnounce.PortChannel', 
                [], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'send-rp-announce',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.SendRpDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.SendRpDiscovery',
            False, 
            [
            _MetaInfoClassMember('scope', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Scope of the RP discovery packets: TTL
                ''',
                'scope',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'send-rp-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf.Ssm' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf.Ssm',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'range',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('range', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'range',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'ssm',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim.Vrf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('accept-register', REFERENCE_CLASS, 'AcceptRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.AcceptRegister', 
                [], [], 
                '''                Registers accept filter
                ''',
                'accept_register',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('autorp', REFERENCE_CLASS, 'Autorp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.Autorp', 
                [], [], 
                '''                Configure AutoRP global operations
                ''',
                'autorp',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('register-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source address for PIM Register
                ''',
                'register_source',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('rp-address', REFERENCE_LIST, 'RpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.RpAddress', 
                [], [], 
                '''                PIM RP-address (Rendezvous Point)
                ''',
                'rp_address',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('send-rp-announce', REFERENCE_CLASS, 'SendRpAnnounce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.SendRpAnnounce', 
                [], [], 
                '''                Auto-RP send RP announcement
                ''',
                'send_rp_announce',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('send-rp-discovery', REFERENCE_CLASS, 'SendRpDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.SendRpDiscovery', 
                [], [], 
                '''                Auto-RP send RP discovery message (as RP-mapping agent)
                ''',
                'send_rp_discovery',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold', REFERENCE_LIST, 'SptThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.SptThreshold', 
                [], [], 
                '''                Source-tree switching threshold
                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold-container', REFERENCE_CLASS, 'SptThresholdContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.SptThresholdContainer', 
                [], [], 
                '''                ''',
                'spt_threshold_container',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('ssm', REFERENCE_CLASS, 'Ssm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf.Ssm', 
                [], [], 
                '''                Configure Source Specific Multicast
                ''',
                'ssm',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Pim',
            False, 
            [
            _MetaInfoClassMember('accept-register', REFERENCE_CLASS, 'AcceptRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.AcceptRegister', 
                [], [], 
                '''                Registers accept filter
                ''',
                'accept_register',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('autorp', REFERENCE_CLASS, 'Autorp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Autorp', 
                [], [], 
                '''                Configure AutoRP global operations
                ''',
                'autorp',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('register-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source address for PIM Register
                ''',
                'register_source',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('rp-address', REFERENCE_LIST, 'RpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.RpAddress', 
                [], [], 
                '''                PIM RP-address (Rendezvous Point)
                ''',
                'rp_address',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('send-rp-announce', REFERENCE_CLASS, 'SendRpAnnounce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.SendRpAnnounce', 
                [], [], 
                '''                Auto-RP send RP announcement
                ''',
                'send_rp_announce',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('send-rp-discovery', REFERENCE_CLASS, 'SendRpDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.SendRpDiscovery', 
                [], [], 
                '''                Auto-RP send RP discovery message (as RP-mapping agent)
                ''',
                'send_rp_discovery',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold', REFERENCE_LIST, 'SptThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.SptThreshold', 
                [], [], 
                '''                Source-tree switching threshold
                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold-container', REFERENCE_CLASS, 'SptThresholdContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.SptThresholdContainer', 
                [], [], 
                '''                ''',
                'spt_threshold_container',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('ssm', REFERENCE_CLASS, 'Ssm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Ssm', 
                [], [], 
                '''                Configure Source Specific Multicast
                ''',
                'ssm',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim.Vrf', 
                [], [], 
                '''                Select VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.PrefixList.Prefixes.Permit.PermitList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.PrefixList.Prefixes.Permit.PermitList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ge', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Minimum prefix length to be matched
                ''',
                'ge',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('le', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Maximum prefix length to be matched
                ''',
                'le',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'permit-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.PrefixList.Prefixes.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.PrefixList.Prefixes.Permit',
            False, 
            [
            _MetaInfoClassMember('permit-list', REFERENCE_LIST, 'PermitList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.PrefixList.Prefixes.Permit.PermitList', 
                [], [], 
                '''                ''',
                'permit_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.PrefixList.Prefixes.Deny.DenyList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.PrefixList.Prefixes.Deny.DenyList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ge', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Minimum prefix length to be matched
                ''',
                'ge',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('le', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Maximum prefix length to be matched
                ''',
                'le',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'deny-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.PrefixList.Prefixes.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.PrefixList.Prefixes.Deny',
            False, 
            [
            _MetaInfoClassMember('deny-list', REFERENCE_LIST, 'DenyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.PrefixList.Prefixes.Deny.DenyList', 
                [], [], 
                '''                ''',
                'deny_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.PrefixList.Prefixes.Seq.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.PrefixList.Prefixes.Seq.Deny',
            False, 
            [
            _MetaInfoClassMember('ge', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Minimum prefix length to be matched
                ''',
                'ge',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('le', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Maximum prefix length to be matched
                ''',
                'le',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.PrefixList.Prefixes.Seq.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.PrefixList.Prefixes.Seq.Permit',
            False, 
            [
            _MetaInfoClassMember('ge', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Minimum prefix length to be matched
                ''',
                'ge',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('le', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Maximum prefix length to be matched
                ''',
                'le',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.PrefixList.Prefixes.Seq' : {
        'meta_info' : _MetaInfoClass('Native.Ip.PrefixList.Prefixes.Seq',
            False, 
            [
            _MetaInfoClassMember('no', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                ''',
                'no',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.PrefixList.Prefixes.Seq.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.PrefixList.Prefixes.Seq.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'seq',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.PrefixList.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Ip.PrefixList.Prefixes',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'([^s].*)|(s[^e].*)|(se[^q].*)(seq[^u].*)|(sequ[^e].*)|(seque[^n].*)|(sequen[^c].*)|(sequenc[^e].*)|(sequence[^\\-].*)|(sequence\\-[^n].*)|(sequence\\-n[^u].*)|(sequence\\-nu[^m].*)|(sequence\\-num[^b].*)|(sequence\\-numb[^e].*)|(sequence\\-numbe[^r].*)|(sequence\\-number..*)'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.PrefixList.Prefixes.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 80)], [], 
                '''                Prefix-list specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.PrefixList.Prefixes.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seq', REFERENCE_LIST, 'Seq' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.PrefixList.Prefixes.Seq', 
                [], [], 
                '''                sequence number of an entry
                ''',
                'seq',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.PrefixList.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include/exclude sequence numbers in NVGEN
                ''',
                'sequence_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList.FwdEnum' : _MetaInfoEnum('FwdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'Null0':'Null0',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList',
            False, 
            [
            _MetaInfoClassMember('fwd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'fwd',
                'Cisco-IOS-XE-native', True, [
                    _MetaInfoClassMember('fwd', REFERENCE_ENUM_CLASS, 'Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList.FwdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList.FwdEnum', 
                        [], [], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('fwd', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('fwd', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                ]),
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default Gateway obtained from DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('forwarding-router-adr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'forwarding_router_adr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Next hop address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                multicast route
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify name of the next hop
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                permanent route
                ''',
                'permanent',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag for this route
                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Install route depending on tracked item
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fwd-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Route.IpRouteInterfaceForwardingList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Route.IpRouteInterfaceForwardingList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('fwd-list', REFERENCE_LIST, 'FwdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList', 
                [], [], 
                '''                ''',
                'fwd_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-route-interface-forwarding-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Route.Static.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Route.Static.Bfd',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure static route for a VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'install-routes-recurse-via-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Route.Static' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Route.Static',
            False, 
            [
            _MetaInfoClassMember('adjust-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                Time period for adjusting static routes
                ''',
                'adjust_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Route.Static.Bfd', 
                [], [], 
                '''                BFD tracked
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('install-routes-recurse-via-nexthop', REFERENCE_CLASS, 'InstallRoutesRecurseViaNexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop', 
                [], [], 
                '''                installing recursive route next hop
                ''',
                'install_routes_recurse_via_nexthop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('inter-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Across VRF interfaces
                ''',
                'inter_vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList.FwdEnum' : _MetaInfoEnum('FwdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'Null0':'Null0',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList',
            False, 
            [
            _MetaInfoClassMember('fwd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'fwd',
                'Cisco-IOS-XE-native', True, [
                    _MetaInfoClassMember('fwd', REFERENCE_ENUM_CLASS, 'Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList.FwdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList.FwdEnum', 
                        [], [], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('fwd', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('fwd', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                ]),
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default Gateway obtained from DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('forwarding-router-adr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'forwarding_router_adr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Next hop address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                multicast route
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify name of the next hop
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                permanent route
                ''',
                'permanent',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag for this route
                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Install route depending on tracked item
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fwd-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('fwd-list', REFERENCE_LIST, 'FwdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList', 
                [], [], 
                '''                ''',
                'fwd_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-route-interface-forwarding-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Route.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Route.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip-route-interface-forwarding-list', REFERENCE_LIST, 'IpRouteInterfaceForwardingList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList', 
                [], [], 
                '''                ''',
                'ip_route_interface_forwarding_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Route' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Route',
            False, 
            [
            _MetaInfoClassMember('ip-route-interface-forwarding-list', REFERENCE_LIST, 'IpRouteInterfaceForwardingList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Route.IpRouteInterfaceForwardingList', 
                [], [], 
                '''                ''',
                'ip_route_interface_forwarding_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('profile', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IP routing table profile
                ''',
                'profile',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Route.Static', 
                [], [], 
                '''                Allow static routes
                ''',
                'static',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Route.Vrf', 
                [], [], 
                '''                Configure static route for a VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExplicitPath.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'enable':'enable',
            'disable':'disable',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ip.ExplicitPath' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExplicitPath',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify explicit path by name
                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('exclude-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Exclude an address from subsequent partial path segments
                ''',
                'exclude_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExplicitPath.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('next-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Specify the next address in the path
                ''',
                'next_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('next-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                Exclude an address from subsequent partial path segments
                ''',
                'next_label',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Scp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Scp.Server',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable server side of SCP
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Scp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Scp',
            False, 
            [
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Scp.Server', 
                [], [], 
                '''                Configure SCP server-side functionality
                ''',
                'server',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Spd.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Spd.Queue',
            False, 
            [
            _MetaInfoClassMember('max-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('min-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Spd.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'aggressive':'aggressive',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ip.Spd' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Spd',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Spd.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Spd.Queue', 
                [], [], 
                '''                queue
                ''',
                'queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Bootp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Bootp',
            False, 
            [
            _MetaInfoClassMember('server', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable BOOTP server
                ''',
                'server',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bootp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ssh.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ssh.Logging',
            False, 
            [
            _MetaInfoClassMember('events', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log SSH events
                ''',
                'events',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ssh.PubkeyChain.Username.KeyHash.KeyTypeEnum' : _MetaInfoEnum('KeyTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ssh-rsa':'ssh_rsa',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ip.Ssh.PubkeyChain.Username.KeyHash' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ssh.PubkeyChain.Username.KeyHash',
            False, 
            [
            _MetaInfoClassMember('key-type', REFERENCE_ENUM_CLASS, 'KeyTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ssh.PubkeyChain.Username.KeyHash.KeyTypeEnum', 
                [], [], 
                '''                ''',
                'key_type',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('key-hash-value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key_hash_value',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'key-hash',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ssh.PubkeyChain.Username' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ssh.PubkeyChain.Username',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('key-hash', REFERENCE_LIST, 'KeyHash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ssh.PubkeyChain.Username.KeyHash', 
                [], [], 
                '''                ''',
                'key_hash',
                'Cisco-IOS-XE-native', False, max_elements=2),
            ],
            'Cisco-IOS-XE-native',
            'username',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ssh.PubkeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ssh.PubkeyChain',
            False, 
            [
            _MetaInfoClassMember('username', REFERENCE_LIST, 'Username' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ssh.PubkeyChain.Username', 
                [], [], 
                '''                ''',
                'username',
                'Cisco-IOS-XE-native', False, max_elements=10),
            ],
            'Cisco-IOS-XE-native',
            'pubkey-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ssh.Rsa' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ssh.Rsa',
            False, 
            [
            _MetaInfoClassMember('keypair-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                keypair-name
                ''',
                'keypair_name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rsa',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ssh.Port' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ssh.Port',
            False, 
            [
            _MetaInfoClassMember('port-no', ATTRIBUTE, 'int' , None, None, 
                [('2000', '10000')], [], 
                '''                Starting Port number
                ''',
                'port_no',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('high-rotary', ATTRIBUTE, 'int' , None, None, 
                [('1', '127')], [], 
                '''                Starting (or only) rotary group number
                ''',
                'high_rotary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('low-rotary', ATTRIBUTE, 'int' , None, None, 
                [('1', '127')], [], 
                '''                Starting (or only) rotary group number
                ''',
                'low_rotary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Ssh' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Ssh',
            False, 
            [
            _MetaInfoClassMember('authentication-retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '5')], [], 
                '''                Specify number of authentication retries
                ''',
                'authentication_retries',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                [('0', '63')], [], 
                '''                IP DSCP value for SSH traffic
                ''',
                'dscp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ssh.Logging', 
                [], [], 
                '''                Configure logging for SSH
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port', REFERENCE_LIST, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ssh.Port', 
                [], [], 
                '''                Starting (or only) Port number to listen on
                ''',
                'port',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                IP Precedence value for SSH traffic
                ''',
                'precedence',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pubkey-chain', REFERENCE_CLASS, 'PubkeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ssh.PubkeyChain', 
                [], [], 
                '''                Configure public key-chain parameters
                ''',
                'pubkey_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rsa', REFERENCE_CLASS, 'Rsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ssh.Rsa', 
                [], [], 
                '''                Configure RSA keypair name for SSH
                ''',
                'rsa',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify interface for source address in SSH connections
                ''',
                'source_interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('time-out', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                Specify SSH time-out interval
                ''',
                'time_out',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                Specify protocol version supported
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ssh',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tcp.PathMtuDiscovery.AgeTimerEnum' : _MetaInfoEnum('AgeTimerEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'infinite':'infinite',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ip.Tcp.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tcp.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('age-timer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set PMTU aging timer
                ''',
                'age_timer',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('age-timer', REFERENCE_ENUM_CLASS, 'Native.Ip.Tcp.PathMtuDiscovery.AgeTimerEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tcp.PathMtuDiscovery.AgeTimerEnum', 
                        [], [], 
                        '''                        Set PMTU aging timer
                        ''',
                        'age_timer',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('age-timer', ATTRIBUTE, 'int' , None, None, 
                        [('10', '30')], [], 
                        '''                        Set PMTU aging timer
                        ''',
                        'age_timer',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tcp.PathMtuDiscovery', 
                [], [], 
                '''                Enable path-MTU discovery on new TCP connections
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('selective-ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable TCP selective-ACK
                ''',
                'selective_ack',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('synwait-time', ATTRIBUTE, 'int' , None, None, 
                [('5', '300')], [], 
                '''                Set time to wait on new TCP connections
                ''',
                'synwait_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable TCP timestamp option
                ''',
                'timestamp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('window-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '1073741823')], [], 
                '''                TCP window size
                ''',
                'window_size',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tftp.BootInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tftp.BootInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tftp.BootInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tftp.BootInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tftp.BootInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tftp.BootInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tftp.BootInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tftp.BootInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tftp.BootInterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tftp.BootInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tftp.BootInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tftp.BootInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tftp.BootInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tftp.BootInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'boot-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tftp.SourceInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tftp.SourceInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tftp.SourceInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tftp.SourceInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tftp.SourceInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tftp.SourceInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tftp.SourceInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tftp.SourceInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tftp.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tftp.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tftp.SourceInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tftp.SourceInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tftp.SourceInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tftp.SourceInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tftp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tftp',
            False, 
            [
            _MetaInfoClassMember('blocksize', ATTRIBUTE, 'int' , None, None, 
                [('512', '8192')], [], 
                '''                Specify TFTP client blocksize
                ''',
                'blocksize',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('boot-interface', REFERENCE_CLASS, 'BootInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tftp.BootInterface', 
                [], [], 
                '''                Force interface to use for TFTP booting
                ''',
                'boot_interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tftp.SourceInterface', 
                [], [], 
                '''                Specify interface for source address in TFTP connections
                ''',
                'source_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tftp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any source prefix
                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                A single source host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ipv4_prefix',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'ipv4_prefix',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'std-ace',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard.AccessListSeqRule.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard.AccessListSeqRule.Deny',
            False, 
            [
            _MetaInfoClassMember('std-ace', REFERENCE_CLASS, 'StdAce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce', 
                [], [], 
                '''                ''',
                'std_ace',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any source prefix
                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                A single source host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ipv4_prefix',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'ipv4_prefix',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'std-ace',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard.AccessListSeqRule.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard.AccessListSeqRule.Permit',
            False, 
            [
            _MetaInfoClassMember('std-ace', REFERENCE_CLASS, 'StdAce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce', 
                [], [], 
                '''                ''',
                'std_ace',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard.AccessListSeqRule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard.AccessListSeqRule',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard.AccessListSeqRule.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard.AccessListSeqRule.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('remark', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                Access list entry comment
                ''',
                'remark',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-seq-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any source prefix
                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                A single source host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ipv4_prefix',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'ipv4_prefix',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'std-ace',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny',
            False, 
            [
            _MetaInfoClassMember('std-ace', REFERENCE_CLASS, 'StdAce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce', 
                [], [], 
                '''                ''',
                'std_ace',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any source prefix
                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                A single source host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ipv4_prefix',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'ipv4_prefix',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'std-ace',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit',
            False, 
            [
            _MetaInfoClassMember('std-ace', REFERENCE_CLASS, 'StdAce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce', 
                [], [], 
                '''                ''',
                'std_ace',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard.Default.AccessListSeqRule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard.Default.AccessListSeqRule',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('remark', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                Access list entry comment
                ''',
                'remark',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-seq-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard.Default' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard.Default',
            False, 
            [
            _MetaInfoClassMember('access-list-seq-rule', REFERENCE_LIST, 'AccessListSeqRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard.Default.AccessListSeqRule', 
                [], [], 
                '''                ''',
                'access_list_seq_rule',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Standard' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Standard',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-acl', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-acl', True),
                    _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-acl', True),
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-acl', True),
                ]),
            _MetaInfoClassMember('access-list-seq-rule', REFERENCE_LIST, 'AccessListSeqRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard.AccessListSeqRule', 
                [], [], 
                '''                ''',
                'access_list_seq_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'standard',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range',
            False, 
            [
            _MetaInfoClassMember('value1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'value1',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('value2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'value2',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl',
            False, 
            [
            _MetaInfoClassMember('eq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'eq',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('gt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'gt',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('lt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'lt',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('neq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'neq',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range', 
                [], [], 
                '''                Match only packets in the range of TTLs
                ''',
                'range',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ttl',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll',
            False, 
            [
            _MetaInfoClassMember('minusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK not set
                ''',
                'minusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN not set
                ''',
                'minusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minuspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH not set
                ''',
                'minuspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST not set
                ''',
                'minusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN not set
                ''',
                'minussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG not set
                ''',
                'minusurg',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK set
                ''',
                'plusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN set
                ''',
                'plusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('pluspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH set
                ''',
                'pluspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST set
                ''',
                'plusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN set
                ''',
                'plussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG set
                ''',
                'plusurg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'match-all',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny',
            False, 
            [
            _MetaInfoClassMember('minusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK not set
                ''',
                'minusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN not set
                ''',
                'minusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minuspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH not set
                ''',
                'minuspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST not set
                ''',
                'minusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN not set
                ''',
                'minussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG not set
                ''',
                'minusurg',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK set
                ''',
                'plusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN set
                ''',
                'plusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('pluspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH set
                ''',
                'pluspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST set
                ''',
                'plusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN set
                ''',
                'plussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG set
                ''',
                'plusurg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'match-any',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.ActionEnum' : _MetaInfoEnum('ActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deny':'deny',
            'permit':'permit',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.NamedMsgTypeEnum' : _MetaInfoEnum('NamedMsgTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'administratively-prohibited':'administratively_prohibited',
            'alternate-address':'alternate_address',
            'conversion-error':'conversion_error',
            'dod-host-prohibited':'dod_host_prohibited',
            'dod-net-prohibited':'dod_net_prohibited',
            'echo':'echo',
            'echo-reply':'echo_reply',
            'general-parameter-problem':'general_parameter_problem',
            'host-isolated':'host_isolated',
            'host-precedence-unreachable':'host_precedence_unreachable',
            'host-redirect':'host_redirect',
            'host-tos-redirect':'host_tos_redirect',
            'host-tos-unreachable':'host_tos_unreachable',
            'host-unknown':'host_unknown',
            'host-unreachable':'host_unreachable',
            'information-reply':'information_reply',
            'information-request':'information_request',
            'mask-reply':'mask_reply',
            'mask-request':'mask_request',
            'mobile-redirect':'mobile_redirect',
            'net-redirect':'net_redirect',
            'net-tos-redirect':'net_tos_redirect',
            'net-tos-unreachable':'net_tos_unreachable',
            'net-unreachable':'net_unreachable',
            'network-unknown':'network_unknown',
            'no-room-for-option':'no_room_for_option',
            'option-missing':'option_missing',
            'packet-too-big':'packet_too_big',
            'parameter-problem':'parameter_problem',
            'port-unreachable':'port_unreachable',
            'precedence-unreachable':'precedence_unreachable',
            'protocol-unreachable':'protocol_unreachable',
            'reassembly-timeout':'reassembly_timeout',
            'redirect':'redirect',
            'router-advertisement':'router_advertisement',
            'router-solicitation':'router_solicitation',
            'source-quench':'source_quench',
            'source-route-failed':'source_route_failed',
            'time-exceeded':'time_exceeded',
            'timestamp-reply':'timestamp_reply',
            'timestamp-request':'timestamp_request',
            'traceroute':'traceroute',
            'ttl-exceeded':'ttl_exceeded',
            'unreachable':'unreachable',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.OptionEnum' : _MetaInfoEnum('OptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add-ext':'add_ext',
            'any-options':'any_options',
            'com-security':'com_security',
            'dps':'dps',
            'encode':'encode',
            'eool':'eool',
            'ext-ip':'ext_ip',
            'ext-security':'ext_security',
            'finn':'finn',
            'imitd':'imitd',
            'lsr':'lsr',
            'mtup':'mtup',
            'mtur':'mtur',
            'no-op':'no_op',
            'nsapa':'nsapa',
            'record-route':'record_route',
            'router-alert':'router_alert',
            'sdb':'sdb',
            'security':'security',
            'ssr':'ssr',
            'stream-id':'stream_id',
            'timestamp':'timestamp',
            'traceroute':'traceroute',
            'ump':'ump',
            'visa':'visa',
            'zsu':'zsu',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.PrecedenceEnum' : _MetaInfoEnum('PrecedenceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'critical':'critical',
            'flash':'flash',
            'flash-override':'flash_override',
            'immediate':'immediate',
            'internet':'internet',
            'network':'network',
            'priority':'priority',
            'routine':'routine',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ahp':'ahp',
            'eigrp':'eigrp',
            'esp':'esp',
            'gre':'gre',
            'icmp':'icmp',
            'igmp':'igmp',
            'ip':'ip',
            'ipinip':'ipinip',
            'nos':'nos',
            'object-group':'object_group',
            'ospf':'ospf',
            'pcp':'pcp',
            'pim':'pim',
            'tcp':'tcp',
            'udp':'udp',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.TosEnum' : _MetaInfoEnum('TosEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'max-reliability':'max_reliability',
            'max-throughput':'max_throughput',
            'min-delay':'min_delay',
            'min-monetary-cost':'min_monetary_cost',
            'normal':'normal',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the ACK bit
                ''',
                'ack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'ActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.ActionEnum', 
                [], [], 
                '''                ''',
                'action',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('established', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match established connections
                ''',
                'established',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the FIN bit
                ''',
                'fin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check non-initial fragments
                ''',
                'fragments',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log-input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry, including input interface
                ''',
                'log_input',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('match-all', REFERENCE_CLASS, 'MatchAll' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll', 
                [], [], 
                '''                Match if all specified flags are present
                ''',
                'match_all',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('match-any', REFERENCE_CLASS, 'MatchAny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny', 
                [], [], 
                '''                Match if any specified flags is present
                ''',
                'match_any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_code',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('named-msg-type', REFERENCE_ENUM_CLASS, 'NamedMsgTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.NamedMsgTypeEnum', 
                [], [], 
                '''                ''',
                'named_msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('object-group-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service object group name
                ''',
                'object_group_str',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('option', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given IP Options value
                ''',
                'option',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('option', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Match packets with given IP Options value
                        ''',
                        'option',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('option', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum', 
                        [], [], 
                        '''                        Match packets with given IP Options value
                        ''',
                        'option',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('precedence', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given precedence value
                ''',
                'precedence',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('precedence', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        Match packets with given precedence value
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('precedence', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum', 
                        [], [], 
                        '''                        Match packets with given precedence value
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('protocol', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ProtocolEnum', 
                        [], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the PSH bit
                ''',
                'psh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the RST bit
                ''',
                'rst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the SYN bit
                ''',
                'syn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('time-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a time-range
                ''',
                'time_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('tos', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given TOS value
                ''',
                'tos',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                        [('0', '15')], [], 
                        '''                        Match packets with given TOS value
                        ''',
                        'tos',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('tos', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum', 
                        [], [], 
                        '''                        Match packets with given TOS value
                        ''',
                        'tos',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('ttl', REFERENCE_CLASS, 'Ttl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl', 
                [], [], 
                '''                Match packets with given TTL value
                ''',
                'ttl',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the URG bit
                ''',
                'urg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ace-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.AccessListSeqRule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.AccessListSeqRule',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('ace-rule', REFERENCE_CLASS, 'AceRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule', 
                [], [], 
                '''                ''',
                'ace_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('remark', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                Access list entry comment
                ''',
                'remark',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-seq-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range',
            False, 
            [
            _MetaInfoClassMember('value1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'value1',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('value2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'value2',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl',
            False, 
            [
            _MetaInfoClassMember('eq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'eq',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('gt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'gt',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('lt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'lt',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('neq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'neq',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range', 
                [], [], 
                '''                Match only packets in the range of TTLs
                ''',
                'range',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ttl',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll',
            False, 
            [
            _MetaInfoClassMember('minusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK not set
                ''',
                'minusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN not set
                ''',
                'minusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minuspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH not set
                ''',
                'minuspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST not set
                ''',
                'minusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN not set
                ''',
                'minussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG not set
                ''',
                'minusurg',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK set
                ''',
                'plusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN set
                ''',
                'plusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('pluspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH set
                ''',
                'pluspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST set
                ''',
                'plusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN set
                ''',
                'plussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG set
                ''',
                'plusurg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'match-all',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny',
            False, 
            [
            _MetaInfoClassMember('minusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK not set
                ''',
                'minusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN not set
                ''',
                'minusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minuspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH not set
                ''',
                'minuspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST not set
                ''',
                'minusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN not set
                ''',
                'minussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG not set
                ''',
                'minusurg',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK set
                ''',
                'plusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN set
                ''',
                'plusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('pluspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH set
                ''',
                'pluspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST set
                ''',
                'plusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN set
                ''',
                'plussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG set
                ''',
                'plusurg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'match-any',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ActionEnum' : _MetaInfoEnum('ActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deny':'deny',
            'permit':'permit',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum' : _MetaInfoEnum('NamedMsgTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'administratively-prohibited':'administratively_prohibited',
            'alternate-address':'alternate_address',
            'conversion-error':'conversion_error',
            'dod-host-prohibited':'dod_host_prohibited',
            'dod-net-prohibited':'dod_net_prohibited',
            'echo':'echo',
            'echo-reply':'echo_reply',
            'general-parameter-problem':'general_parameter_problem',
            'host-isolated':'host_isolated',
            'host-precedence-unreachable':'host_precedence_unreachable',
            'host-redirect':'host_redirect',
            'host-tos-redirect':'host_tos_redirect',
            'host-tos-unreachable':'host_tos_unreachable',
            'host-unknown':'host_unknown',
            'host-unreachable':'host_unreachable',
            'information-reply':'information_reply',
            'information-request':'information_request',
            'mask-reply':'mask_reply',
            'mask-request':'mask_request',
            'mobile-redirect':'mobile_redirect',
            'net-redirect':'net_redirect',
            'net-tos-redirect':'net_tos_redirect',
            'net-tos-unreachable':'net_tos_unreachable',
            'net-unreachable':'net_unreachable',
            'network-unknown':'network_unknown',
            'no-room-for-option':'no_room_for_option',
            'option-missing':'option_missing',
            'packet-too-big':'packet_too_big',
            'parameter-problem':'parameter_problem',
            'port-unreachable':'port_unreachable',
            'precedence-unreachable':'precedence_unreachable',
            'protocol-unreachable':'protocol_unreachable',
            'reassembly-timeout':'reassembly_timeout',
            'redirect':'redirect',
            'router-advertisement':'router_advertisement',
            'router-solicitation':'router_solicitation',
            'source-quench':'source_quench',
            'source-route-failed':'source_route_failed',
            'time-exceeded':'time_exceeded',
            'timestamp-reply':'timestamp_reply',
            'timestamp-request':'timestamp_request',
            'traceroute':'traceroute',
            'ttl-exceeded':'ttl_exceeded',
            'unreachable':'unreachable',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.OptionEnum' : _MetaInfoEnum('OptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add-ext':'add_ext',
            'any-options':'any_options',
            'com-security':'com_security',
            'dps':'dps',
            'encode':'encode',
            'eool':'eool',
            'ext-ip':'ext_ip',
            'ext-security':'ext_security',
            'finn':'finn',
            'imitd':'imitd',
            'lsr':'lsr',
            'mtup':'mtup',
            'mtur':'mtur',
            'no-op':'no_op',
            'nsapa':'nsapa',
            'record-route':'record_route',
            'router-alert':'router_alert',
            'sdb':'sdb',
            'security':'security',
            'ssr':'ssr',
            'stream-id':'stream_id',
            'timestamp':'timestamp',
            'traceroute':'traceroute',
            'ump':'ump',
            'visa':'visa',
            'zsu':'zsu',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.PrecedenceEnum' : _MetaInfoEnum('PrecedenceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'critical':'critical',
            'flash':'flash',
            'flash-override':'flash_override',
            'immediate':'immediate',
            'internet':'internet',
            'network':'network',
            'priority':'priority',
            'routine':'routine',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ahp':'ahp',
            'eigrp':'eigrp',
            'esp':'esp',
            'gre':'gre',
            'icmp':'icmp',
            'igmp':'igmp',
            'ip':'ip',
            'ipinip':'ipinip',
            'nos':'nos',
            'object-group':'object_group',
            'ospf':'ospf',
            'pcp':'pcp',
            'pim':'pim',
            'tcp':'tcp',
            'udp':'udp',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.TosEnum' : _MetaInfoEnum('TosEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'max-reliability':'max_reliability',
            'max-throughput':'max_throughput',
            'min-delay':'min_delay',
            'min-monetary-cost':'min_monetary_cost',
            'normal':'normal',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the ACK bit
                ''',
                'ack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'ActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ActionEnum', 
                [], [], 
                '''                ''',
                'action',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('established', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match established connections
                ''',
                'established',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the FIN bit
                ''',
                'fin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check non-initial fragments
                ''',
                'fragments',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log-input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry, including input interface
                ''',
                'log_input',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('match-all', REFERENCE_CLASS, 'MatchAll' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll', 
                [], [], 
                '''                Match if all specified flags are present
                ''',
                'match_all',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('match-any', REFERENCE_CLASS, 'MatchAny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny', 
                [], [], 
                '''                Match if any specified flags is present
                ''',
                'match_any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_code',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('named-msg-type', REFERENCE_ENUM_CLASS, 'NamedMsgTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum', 
                [], [], 
                '''                ''',
                'named_msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('object-group-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service object group name
                ''',
                'object_group_str',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('option', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given IP Options value
                ''',
                'option',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('option', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Match packets with given IP Options value
                        ''',
                        'option',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('option', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum', 
                        [], [], 
                        '''                        Match packets with given IP Options value
                        ''',
                        'option',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('precedence', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given precedence value
                ''',
                'precedence',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('precedence', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        Match packets with given precedence value
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('precedence', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum', 
                        [], [], 
                        '''                        Match packets with given precedence value
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('protocol', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ProtocolEnum', 
                        [], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the PSH bit
                ''',
                'psh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the RST bit
                ''',
                'rst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the SYN bit
                ''',
                'syn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('time-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a time-range
                ''',
                'time_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('tos', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given TOS value
                ''',
                'tos',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                        [('0', '15')], [], 
                        '''                        Match packets with given TOS value
                        ''',
                        'tos',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('tos', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum', 
                        [], [], 
                        '''                        Match packets with given TOS value
                        ''',
                        'tos',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('ttl', REFERENCE_CLASS, 'Ttl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl', 
                [], [], 
                '''                Match packets with given TTL value
                ''',
                'ttl',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the URG bit
                ''',
                'urg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ace-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('ace-rule', REFERENCE_CLASS, 'AceRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule', 
                [], [], 
                '''                ''',
                'ace_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('remark', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                Access list entry comment
                ''',
                'remark',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-seq-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased.Default' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased.Default',
            False, 
            [
            _MetaInfoClassMember('access-list-seq-rule', REFERENCE_LIST, 'AccessListSeqRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule', 
                [], [], 
                '''                ''',
                'access_list_seq_rule',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.RoleBased' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.RoleBased',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('access-list-seq-rule', REFERENCE_LIST, 'AccessListSeqRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.AccessListSeqRule', 
                [], [], 
                '''                ''',
                'access_list_seq_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'role-based',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range',
            False, 
            [
            _MetaInfoClassMember('value1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'value1',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('value2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'value2',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl',
            False, 
            [
            _MetaInfoClassMember('eq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'eq',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('gt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'gt',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('lt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'lt',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('neq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'neq',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range', 
                [], [], 
                '''                Match only packets in the range of TTLs
                ''',
                'range',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ttl',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll',
            False, 
            [
            _MetaInfoClassMember('minusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK not set
                ''',
                'minusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN not set
                ''',
                'minusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minuspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH not set
                ''',
                'minuspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST not set
                ''',
                'minusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN not set
                ''',
                'minussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG not set
                ''',
                'minusurg',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK set
                ''',
                'plusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN set
                ''',
                'plusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('pluspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH set
                ''',
                'pluspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST set
                ''',
                'plusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN set
                ''',
                'plussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG set
                ''',
                'plusurg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'match-all',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny',
            False, 
            [
            _MetaInfoClassMember('minusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK not set
                ''',
                'minusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN not set
                ''',
                'minusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minuspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH not set
                ''',
                'minuspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST not set
                ''',
                'minusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN not set
                ''',
                'minussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG not set
                ''',
                'minusurg',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK set
                ''',
                'plusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN set
                ''',
                'plusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('pluspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH set
                ''',
                'pluspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST set
                ''',
                'plusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN set
                ''',
                'plussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG set
                ''',
                'plusurg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'match-any',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.ActionEnum' : _MetaInfoEnum('ActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deny':'deny',
            'permit':'permit',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.NamedMsgTypeEnum' : _MetaInfoEnum('NamedMsgTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'administratively-prohibited':'administratively_prohibited',
            'alternate-address':'alternate_address',
            'conversion-error':'conversion_error',
            'dod-host-prohibited':'dod_host_prohibited',
            'dod-net-prohibited':'dod_net_prohibited',
            'echo':'echo',
            'echo-reply':'echo_reply',
            'general-parameter-problem':'general_parameter_problem',
            'host-isolated':'host_isolated',
            'host-precedence-unreachable':'host_precedence_unreachable',
            'host-redirect':'host_redirect',
            'host-tos-redirect':'host_tos_redirect',
            'host-tos-unreachable':'host_tos_unreachable',
            'host-unknown':'host_unknown',
            'host-unreachable':'host_unreachable',
            'information-reply':'information_reply',
            'information-request':'information_request',
            'mask-reply':'mask_reply',
            'mask-request':'mask_request',
            'mobile-redirect':'mobile_redirect',
            'net-redirect':'net_redirect',
            'net-tos-redirect':'net_tos_redirect',
            'net-tos-unreachable':'net_tos_unreachable',
            'net-unreachable':'net_unreachable',
            'network-unknown':'network_unknown',
            'no-room-for-option':'no_room_for_option',
            'option-missing':'option_missing',
            'packet-too-big':'packet_too_big',
            'parameter-problem':'parameter_problem',
            'port-unreachable':'port_unreachable',
            'precedence-unreachable':'precedence_unreachable',
            'protocol-unreachable':'protocol_unreachable',
            'reassembly-timeout':'reassembly_timeout',
            'redirect':'redirect',
            'router-advertisement':'router_advertisement',
            'router-solicitation':'router_solicitation',
            'source-quench':'source_quench',
            'source-route-failed':'source_route_failed',
            'time-exceeded':'time_exceeded',
            'timestamp-reply':'timestamp_reply',
            'timestamp-request':'timestamp_request',
            'traceroute':'traceroute',
            'ttl-exceeded':'ttl_exceeded',
            'unreachable':'unreachable',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.OptionEnum' : _MetaInfoEnum('OptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add-ext':'add_ext',
            'any-options':'any_options',
            'com-security':'com_security',
            'dps':'dps',
            'encode':'encode',
            'eool':'eool',
            'ext-ip':'ext_ip',
            'ext-security':'ext_security',
            'finn':'finn',
            'imitd':'imitd',
            'lsr':'lsr',
            'mtup':'mtup',
            'mtur':'mtur',
            'no-op':'no_op',
            'nsapa':'nsapa',
            'record-route':'record_route',
            'router-alert':'router_alert',
            'sdb':'sdb',
            'security':'security',
            'ssr':'ssr',
            'stream-id':'stream_id',
            'timestamp':'timestamp',
            'traceroute':'traceroute',
            'ump':'ump',
            'visa':'visa',
            'zsu':'zsu',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.PrecedenceEnum' : _MetaInfoEnum('PrecedenceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'critical':'critical',
            'flash':'flash',
            'flash-override':'flash_override',
            'immediate':'immediate',
            'internet':'internet',
            'network':'network',
            'priority':'priority',
            'routine':'routine',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ahp':'ahp',
            'eigrp':'eigrp',
            'esp':'esp',
            'gre':'gre',
            'icmp':'icmp',
            'igmp':'igmp',
            'ip':'ip',
            'ipinip':'ipinip',
            'nos':'nos',
            'object-group':'object_group',
            'ospf':'ospf',
            'pcp':'pcp',
            'pim':'pim',
            'tcp':'tcp',
            'udp':'udp',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.TosEnum' : _MetaInfoEnum('TosEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'max-reliability':'max_reliability',
            'max-throughput':'max_throughput',
            'min-delay':'min_delay',
            'min-monetary-cost':'min_monetary_cost',
            'normal':'normal',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the ACK bit
                ''',
                'ack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'ActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.ActionEnum', 
                [], [], 
                '''                ''',
                'action',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any source host
                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dest-ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'dest_ipv4_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dest-mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'dest_mask',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any destination host
                ''',
                'dst_any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dst-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'dst_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'dst_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                A single destination host
                ''',
                'dst_host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        A single destination host
                        ''',
                        'dst_host',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        A single destination host
                        ''',
                        'dst_host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'dst_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'dst_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-object-group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Destination network object group
                ''',
                'dst_object_group',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dst-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('established', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match established connections
                ''',
                'established',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the FIN bit
                ''',
                'fin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check non-initial fragments
                ''',
                'fragments',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                A single source host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log-input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry, including input interface
                ''',
                'log_input',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('match-all', REFERENCE_CLASS, 'MatchAll' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll', 
                [], [], 
                '''                Match if all specified flags are present
                ''',
                'match_all',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('match-any', REFERENCE_CLASS, 'MatchAny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny', 
                [], [], 
                '''                Match if any specified flags is present
                ''',
                'match_any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_code',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('named-msg-type', REFERENCE_ENUM_CLASS, 'NamedMsgTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.NamedMsgTypeEnum', 
                [], [], 
                '''                ''',
                'named_msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('object-group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source network object group
                ''',
                'object_group',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('object-group-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service object group name
                ''',
                'object_group_str',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('option', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given IP Options value
                ''',
                'option',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('option', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Match packets with given IP Options value
                        ''',
                        'option',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('option', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum', 
                        [], [], 
                        '''                        Match packets with given IP Options value
                        ''',
                        'option',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('precedence', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given precedence value
                ''',
                'precedence',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('precedence', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        Match packets with given precedence value
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('precedence', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum', 
                        [], [], 
                        '''                        Match packets with given precedence value
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('protocol', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ProtocolEnum', 
                        [], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the PSH bit
                ''',
                'psh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the RST bit
                ''',
                'rst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('src-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'src_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'src_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'src_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'src_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the SYN bit
                ''',
                'syn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('time-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a time-range
                ''',
                'time_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('tos', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given TOS value
                ''',
                'tos',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                        [('0', '15')], [], 
                        '''                        Match packets with given TOS value
                        ''',
                        'tos',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('tos', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum', 
                        [], [], 
                        '''                        Match packets with given TOS value
                        ''',
                        'tos',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('ttl', REFERENCE_CLASS, 'Ttl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl', 
                [], [], 
                '''                Match packets with given TTL value
                ''',
                'ttl',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the URG bit
                ''',
                'urg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ace-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.AccessListSeqRule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.AccessListSeqRule',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('ace-rule', REFERENCE_CLASS, 'AceRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule', 
                [], [], 
                '''                ''',
                'ace_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('remark', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                Access list entry comment
                ''',
                'remark',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-seq-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range',
            False, 
            [
            _MetaInfoClassMember('value1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'value1',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('value2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'value2',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl',
            False, 
            [
            _MetaInfoClassMember('eq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'eq',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('gt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'gt',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('lt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'lt',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('neq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Match only packets on a given TTL number
                ''',
                'neq',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range', 
                [], [], 
                '''                Match only packets in the range of TTLs
                ''',
                'range',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ttl',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll',
            False, 
            [
            _MetaInfoClassMember('minusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK not set
                ''',
                'minusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN not set
                ''',
                'minusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minuspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH not set
                ''',
                'minuspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST not set
                ''',
                'minusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN not set
                ''',
                'minussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG not set
                ''',
                'minusurg',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK set
                ''',
                'plusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN set
                ''',
                'plusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('pluspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH set
                ''',
                'pluspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST set
                ''',
                'plusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN set
                ''',
                'plussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG set
                ''',
                'plusurg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'match-all',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny',
            False, 
            [
            _MetaInfoClassMember('minusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK not set
                ''',
                'minusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN not set
                ''',
                'minusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minuspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH not set
                ''',
                'minuspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST not set
                ''',
                'minusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN not set
                ''',
                'minussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('minusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG not set
                ''',
                'minusurg',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on ACK set
                ''',
                'plusack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusfin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on FIN set
                ''',
                'plusfin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('pluspsh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on PSH set
                ''',
                'pluspsh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusrst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on RST set
                ''',
                'plusrst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plussyn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on SYN set
                ''',
                'plussyn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('plusurg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on URG set
                ''',
                'plusurg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'match-any',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ActionEnum' : _MetaInfoEnum('ActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deny':'deny',
            'permit':'permit',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum' : _MetaInfoEnum('NamedMsgTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'administratively-prohibited':'administratively_prohibited',
            'alternate-address':'alternate_address',
            'conversion-error':'conversion_error',
            'dod-host-prohibited':'dod_host_prohibited',
            'dod-net-prohibited':'dod_net_prohibited',
            'echo':'echo',
            'echo-reply':'echo_reply',
            'general-parameter-problem':'general_parameter_problem',
            'host-isolated':'host_isolated',
            'host-precedence-unreachable':'host_precedence_unreachable',
            'host-redirect':'host_redirect',
            'host-tos-redirect':'host_tos_redirect',
            'host-tos-unreachable':'host_tos_unreachable',
            'host-unknown':'host_unknown',
            'host-unreachable':'host_unreachable',
            'information-reply':'information_reply',
            'information-request':'information_request',
            'mask-reply':'mask_reply',
            'mask-request':'mask_request',
            'mobile-redirect':'mobile_redirect',
            'net-redirect':'net_redirect',
            'net-tos-redirect':'net_tos_redirect',
            'net-tos-unreachable':'net_tos_unreachable',
            'net-unreachable':'net_unreachable',
            'network-unknown':'network_unknown',
            'no-room-for-option':'no_room_for_option',
            'option-missing':'option_missing',
            'packet-too-big':'packet_too_big',
            'parameter-problem':'parameter_problem',
            'port-unreachable':'port_unreachable',
            'precedence-unreachable':'precedence_unreachable',
            'protocol-unreachable':'protocol_unreachable',
            'reassembly-timeout':'reassembly_timeout',
            'redirect':'redirect',
            'router-advertisement':'router_advertisement',
            'router-solicitation':'router_solicitation',
            'source-quench':'source_quench',
            'source-route-failed':'source_route_failed',
            'time-exceeded':'time_exceeded',
            'timestamp-reply':'timestamp_reply',
            'timestamp-request':'timestamp_request',
            'traceroute':'traceroute',
            'ttl-exceeded':'ttl_exceeded',
            'unreachable':'unreachable',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum' : _MetaInfoEnum('OptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add-ext':'add_ext',
            'any-options':'any_options',
            'com-security':'com_security',
            'dps':'dps',
            'encode':'encode',
            'eool':'eool',
            'ext-ip':'ext_ip',
            'ext-security':'ext_security',
            'finn':'finn',
            'imitd':'imitd',
            'lsr':'lsr',
            'mtup':'mtup',
            'mtur':'mtur',
            'no-op':'no_op',
            'nsapa':'nsapa',
            'record-route':'record_route',
            'router-alert':'router_alert',
            'sdb':'sdb',
            'security':'security',
            'ssr':'ssr',
            'stream-id':'stream_id',
            'timestamp':'timestamp',
            'traceroute':'traceroute',
            'ump':'ump',
            'visa':'visa',
            'zsu':'zsu',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum' : _MetaInfoEnum('PrecedenceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'critical':'critical',
            'flash':'flash',
            'flash-override':'flash_override',
            'immediate':'immediate',
            'internet':'internet',
            'network':'network',
            'priority':'priority',
            'routine':'routine',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ahp':'ahp',
            'eigrp':'eigrp',
            'esp':'esp',
            'gre':'gre',
            'icmp':'icmp',
            'igmp':'igmp',
            'ip':'ip',
            'ipinip':'ipinip',
            'nos':'nos',
            'object-group':'object_group',
            'ospf':'ospf',
            'pcp':'pcp',
            'pim':'pim',
            'tcp':'tcp',
            'udp':'udp',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum' : _MetaInfoEnum('TosEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'max-reliability':'max_reliability',
            'max-throughput':'max_throughput',
            'min-delay':'min_delay',
            'min-monetary-cost':'min_monetary_cost',
            'normal':'normal',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the ACK bit
                ''',
                'ack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'ActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ActionEnum', 
                [], [], 
                '''                ''',
                'action',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any source host
                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dest-ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'dest_ipv4_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dest-mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'dest_mask',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any destination host
                ''',
                'dst_any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dst-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'dst_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'dst_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                A single destination host
                ''',
                'dst_host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        A single destination host
                        ''',
                        'dst_host',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        A single destination host
                        ''',
                        'dst_host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'dst_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'dst_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-object-group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Destination network object group
                ''',
                'dst_object_group',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dst-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('established', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match established connections
                ''',
                'established',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the FIN bit
                ''',
                'fin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check non-initial fragments
                ''',
                'fragments',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                A single source host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        A single source host
                        ''',
                        'host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log-input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry, including input interface
                ''',
                'log_input',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('match-all', REFERENCE_CLASS, 'MatchAll' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll', 
                [], [], 
                '''                Match if all specified flags are present
                ''',
                'match_all',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('match-any', REFERENCE_CLASS, 'MatchAny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny', 
                [], [], 
                '''                Match if any specified flags is present
                ''',
                'match_any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_code',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('named-msg-type', REFERENCE_ENUM_CLASS, 'NamedMsgTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum', 
                [], [], 
                '''                ''',
                'named_msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('object-group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source network object group
                ''',
                'object_group',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('object-group-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service object group name
                ''',
                'object_group_str',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('option', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given IP Options value
                ''',
                'option',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('option', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Match packets with given IP Options value
                        ''',
                        'option',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('option', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum', 
                        [], [], 
                        '''                        Match packets with given IP Options value
                        ''',
                        'option',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('precedence', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given precedence value
                ''',
                'precedence',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('precedence', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        Match packets with given precedence value
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('precedence', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum', 
                        [], [], 
                        '''                        Match packets with given precedence value
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('protocol', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ProtocolEnum', 
                        [], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the PSH bit
                ''',
                'psh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the RST bit
                ''',
                'rst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('src-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'src_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'src_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'src_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'src_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the SYN bit
                ''',
                'syn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('time-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a time-range
                ''',
                'time_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('tos', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given TOS value
                ''',
                'tos',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                        [('0', '15')], [], 
                        '''                        Match packets with given TOS value
                        ''',
                        'tos',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('tos', REFERENCE_ENUM_CLASS, 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum', 
                        [], [], 
                        '''                        Match packets with given TOS value
                        ''',
                        'tos',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('ttl', REFERENCE_CLASS, 'Ttl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl', 
                [], [], 
                '''                Match packets with given TTL value
                ''',
                'ttl',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the URG bit
                ''',
                'urg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ace-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.Default.AccessListSeqRule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.Default.AccessListSeqRule',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('ace-rule', REFERENCE_CLASS, 'AceRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule', 
                [], [], 
                '''                ''',
                'ace_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('remark', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                Access list entry comment
                ''',
                'remark',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-seq-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended.Default' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended.Default',
            False, 
            [
            _MetaInfoClassMember('access-list-seq-rule', REFERENCE_LIST, 'AccessListSeqRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default.AccessListSeqRule', 
                [], [], 
                '''                ''',
                'access_list_seq_rule',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Extended' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Extended',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-acl', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-acl', True),
                    _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-acl', True),
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-acl', True),
                ]),
            _MetaInfoClassMember('access-list-seq-rule', REFERENCE_LIST, 'AccessListSeqRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.AccessListSeqRule', 
                [], [], 
                '''                ''',
                'access_list_seq_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'extended',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Helper' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Helper',
            False, 
            [
            _MetaInfoClassMember('check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable filtering on helper-address destined
                ''',
                'check',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outbound
                ''',
                'egress',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'helper',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.LogUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.LogUpdate',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Set access-list logging threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'log-update',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Logging',
            False, 
            [
            _MetaInfoClassMember('hash-generation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable syslog hash code generation
                ''',
                'hash_generation',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Set access list logging interval
                ''',
                'interval',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList.Resequence' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList.Resequence',
            False, 
            [
            _MetaInfoClassMember('numbers', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'numbers',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('numbers', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'numbers',
                        'Cisco-IOS-XE-acl', False, [
                            _MetaInfoClassMember('numbers', ATTRIBUTE, 'int' , None, None, 
                                [('1', '99')], [], 
                                '''                                ''',
                                'numbers',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('numbers', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '1999')], [], 
                                '''                                ''',
                                'numbers',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('numbers', ATTRIBUTE, 'str' , None, None, 
                                [], [b'[a-zA-Z].*'], 
                                '''                                ''',
                                'numbers',
                                'Cisco-IOS-XE-acl', False),
                        ]),
                    _MetaInfoClassMember('numbers', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'numbers',
                        'Cisco-IOS-XE-acl', False, [
                            _MetaInfoClassMember('numbers', ATTRIBUTE, 'int' , None, None, 
                                [('100', '199')], [], 
                                '''                                ''',
                                'numbers',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('numbers', ATTRIBUTE, 'int' , None, None, 
                                [('2000', '2699')], [], 
                                '''                                ''',
                                'numbers',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('numbers', ATTRIBUTE, 'str' , None, None, 
                                [], [b'[a-zA-Z].*'], 
                                '''                                ''',
                                'numbers',
                                'Cisco-IOS-XE-acl', False),
                        ]),
                ]),
            _MetaInfoClassMember('start-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'start_seq_no',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('step-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'step_seq_no',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'resequence',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.AccessList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.AccessList',
            False, 
            [
            _MetaInfoClassMember('extended', REFERENCE_LIST, 'Extended' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Extended', 
                [], [], 
                '''                Extended Access List
                ''',
                'extended',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('helper', REFERENCE_CLASS, 'Helper' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Helper', 
                [], [], 
                '''                Access List acts on helper-address
                ''',
                'helper',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log-update', REFERENCE_CLASS, 'LogUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.LogUpdate', 
                [], [], 
                '''                Control access list log updates
                ''',
                'log_update',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Logging', 
                [], [], 
                '''                Control access list logging
                ''',
                'logging',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('match-local-traffic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ACL matching for locally generated traffic
                ''',
                'match_local_traffic',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('persistent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable persistency across reload
                ''',
                'persistent',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('resequence', REFERENCE_CLASS, 'Resequence' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Resequence', 
                [], [], 
                '''                Resequence Access List
                ''',
                'resequence',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('role-based', REFERENCE_LIST, 'RoleBased' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.RoleBased', 
                [], [], 
                '''                Role-based Access List
                ''',
                'role_based',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('standard', REFERENCE_LIST, 'Standard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList.Standard', 
                [], [], 
                '''                Standard Access List
                ''',
                'standard',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-native',
            'access-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Device.Tracking.Probe.AutoSource.Fallback' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Device.Tracking.Probe.AutoSource.Fallback',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP prefix mask
                ''',
                'mask',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('src-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP and MASK of fallback source
                ''',
                'src_ip',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-device-tracking',
            'fallback',
            _yang_ns._namespaces['Cisco-IOS-XE-device-tracking'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Device.Tracking.Probe.AutoSource' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Device.Tracking.Probe.AutoSource',
            False, 
            [
            _MetaInfoClassMember('fallback', REFERENCE_CLASS, 'Fallback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Device.Tracking.Probe.AutoSource.Fallback', 
                [], [], 
                '''                Specify IP and MASK to use as last resort
                ''',
                'fallback',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not select source address from device track table
                ''',
                'override',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-device-tracking',
            'auto-source',
            _yang_ns._namespaces['Cisco-IOS-XE-device-tracking'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Device.Tracking.Probe' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Device.Tracking.Probe',
            False, 
            [
            _MetaInfoClassMember('auto-source', REFERENCE_CLASS, 'AutoSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Device.Tracking.Probe.AutoSource', 
                [], [], 
                '''                Probe source selection algorithm
                ''',
                'auto_source',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Probe count
                ''',
                'count',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                Probe delay
                ''',
                'delay',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '1814400')], [], 
                '''                Probe interval
                ''',
                'interval',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-device-tracking',
            'probe',
            _yang_ns._namespaces['Cisco-IOS-XE-device-tracking'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Device.Tracking' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Device.Tracking',
            False, 
            [
            _MetaInfoClassMember('probe', REFERENCE_CLASS, 'Probe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Device.Tracking.Probe', 
                [], [], 
                '''                Probe
                ''',
                'probe',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('trace-buffer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Tracing Support
                ''',
                'trace_buffer',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-device-tracking',
            'tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-device-tracking'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Device' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Device',
            False, 
            [
            _MetaInfoClassMember('tracking', REFERENCE_CLASS, 'Tracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Device.Tracking', 
                [], [], 
                '''                Device tracking
                ''',
                'tracking',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-native',
            'device',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Radius.SourceInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Radius.SourceInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Radius.SourceInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Radius.SourceInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Radius.SourceInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Radius.SourceInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Radius.SourceInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Radius.SourceInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Radius.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Radius.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Radius.SourceInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Radius.SourceInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Radius.SourceInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Radius.SourceInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Radius' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Radius',
            False, 
            [
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Radius.SourceInterface', 
                [], [], 
                '''                Specify interface for source address in RADIUS packets
                ''',
                'source_interface',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'radius',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tacacs.SourceInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tacacs.SourceInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tacacs.SourceInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tacacs.SourceInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tacacs.SourceInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tacacs.SourceInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tacacs.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tacacs.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tacacs.SourceInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tacacs.SourceInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tacacs.SourceInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Tacacs' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Tacacs',
            False, 
            [
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tacacs.SourceInterface', 
                [], [], 
                '''                Specify interface for source address in TACACS packets
                ''',
                'source_interface',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'tacacs',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.NumberStandard.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.NumberStandard.Deny',
            False, 
            [
            _MetaInfoClassMember('deny-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'deny_list',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('deny-list', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'deny_list',
                        'Cisco-IOS-XE-bgp', False, [
                            _MetaInfoClassMember('deny-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                                [('1', '4294967295')], [], 
                                '''                                ''',
                                'deny_list',
                                'Cisco-IOS-XE-bgp', False),
                            _MetaInfoClassMember('deny-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                                [], [b'(\\d+:\\d+)'], 
                                '''                                ''',
                                'deny_list',
                                'Cisco-IOS-XE-bgp', False),
                        ]),
                    _MetaInfoClassMember('deny-list', REFERENCE_LEAFLIST, 'CommunityWellKnownTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'CommunityWellKnownTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'deny_list',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.NumberStandard.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.NumberStandard.Permit',
            False, 
            [
            _MetaInfoClassMember('permit-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'permit_list',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('permit-list', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'permit_list',
                        'Cisco-IOS-XE-bgp', False, [
                            _MetaInfoClassMember('permit-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                                [('1', '4294967295')], [], 
                                '''                                ''',
                                'permit_list',
                                'Cisco-IOS-XE-bgp', False),
                            _MetaInfoClassMember('permit-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                                [], [b'(\\d+:\\d+)'], 
                                '''                                ''',
                                'permit_list',
                                'Cisco-IOS-XE-bgp', False),
                        ]),
                    _MetaInfoClassMember('permit-list', REFERENCE_LEAFLIST, 'CommunityWellKnownTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'CommunityWellKnownTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'permit_list',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.NumberStandard' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.NumberStandard',
            False, 
            [
            _MetaInfoClassMember('no', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'no',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.NumberStandard.Deny', 
                [], [], 
                '''                Specify community to reject
                ''',
                'deny',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.NumberStandard.Permit', 
                [], [], 
                '''                Specify community to accept
                ''',
                'permit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'number-standard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.NumberExpanded.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.NumberExpanded.Deny',
            False, 
            [
            _MetaInfoClassMember('deny-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'deny_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.NumberExpanded.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.NumberExpanded.Permit',
            False, 
            [
            _MetaInfoClassMember('permit-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'permit_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.NumberExpanded' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.NumberExpanded',
            False, 
            [
            _MetaInfoClassMember('no', ATTRIBUTE, 'int' , None, None, 
                [('100', '500')], [], 
                '''                ''',
                'no',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.NumberExpanded.Deny', 
                [], [], 
                '''                Specify community to reject
                ''',
                'deny',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.NumberExpanded.Permit', 
                [], [], 
                '''                Specify community to accept
                ''',
                'permit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'number-expanded',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.Expanded.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.Expanded.Deny',
            False, 
            [
            _MetaInfoClassMember('deny-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'deny_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.Expanded.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.Expanded.Permit',
            False, 
            [
            _MetaInfoClassMember('permit-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'permit_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.Expanded' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.Expanded',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.Expanded.Deny', 
                [], [], 
                '''                Specify community to reject
                ''',
                'deny',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.Expanded.Permit', 
                [], [], 
                '''                Specify community to accept
                ''',
                'permit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'expanded',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.Standard.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.Standard.Deny',
            False, 
            [
            _MetaInfoClassMember('deny-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'deny_list',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('deny-list', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'deny_list',
                        'Cisco-IOS-XE-bgp', False, [
                            _MetaInfoClassMember('deny-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                                [('1', '4294967295')], [], 
                                '''                                ''',
                                'deny_list',
                                'Cisco-IOS-XE-bgp', False),
                            _MetaInfoClassMember('deny-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                                [], [b'(\\d+:\\d+)'], 
                                '''                                ''',
                                'deny_list',
                                'Cisco-IOS-XE-bgp', False),
                        ]),
                    _MetaInfoClassMember('deny-list', REFERENCE_LEAFLIST, 'CommunityWellKnownTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'CommunityWellKnownTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'deny_list',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.Standard.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.Standard.Permit',
            False, 
            [
            _MetaInfoClassMember('permit-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'permit_list',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('permit-list', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'permit_list',
                        'Cisco-IOS-XE-bgp', False, [
                            _MetaInfoClassMember('permit-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                                [('1', '4294967295')], [], 
                                '''                                ''',
                                'permit_list',
                                'Cisco-IOS-XE-bgp', False),
                            _MetaInfoClassMember('permit-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                                [], [b'(\\d+:\\d+)'], 
                                '''                                ''',
                                'permit_list',
                                'Cisco-IOS-XE-bgp', False),
                        ]),
                    _MetaInfoClassMember('permit-list', REFERENCE_LEAFLIST, 'CommunityWellKnownTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'CommunityWellKnownTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'permit_list',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList.Standard' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList.Standard',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.Standard.Deny', 
                [], [], 
                '''                Specify community to reject
                ''',
                'deny',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.Standard.Permit', 
                [], [], 
                '''                Specify community to accept
                ''',
                'permit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'standard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.CommunityList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.CommunityList',
            False, 
            [
            _MetaInfoClassMember('expanded', REFERENCE_LIST, 'Expanded' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.Expanded', 
                [], [], 
                '''                Add an expanded community-list entry
                ''',
                'expanded',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('number-expanded', REFERENCE_LIST, 'NumberExpanded' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.NumberExpanded', 
                [], [], 
                '''                ''',
                'number_expanded',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('number-standard', REFERENCE_LIST, 'NumberStandard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.NumberStandard', 
                [], [], 
                '''                ''',
                'number_standard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('standard', REFERENCE_LIST, 'Standard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList.Standard', 
                [], [], 
                '''                Add a standard community-list entry
                ''',
                'standard',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'community-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberStandard.Deny.Rt' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberStandard.Deny.Rt',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'rt',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberStandard.Deny.Soo' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberStandard.Deny.Soo',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'soo',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberStandard.Deny.VpnDistinguisher' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberStandard.Deny.VpnDistinguisher',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'vpn-distinguisher',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberStandard.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberStandard.Deny',
            False, 
            [
            _MetaInfoClassMember('rt', REFERENCE_LIST, 'Rt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberStandard.Deny.Rt', 
                [], [], 
                '''                Route Target extended community
                ''',
                'rt',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soo', REFERENCE_LIST, 'Soo' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberStandard.Deny.Soo', 
                [], [], 
                '''                Site-of-Origin extended community
                ''',
                'soo',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vpn-distinguisher', REFERENCE_LIST, 'VpnDistinguisher' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberStandard.Deny.VpnDistinguisher', 
                [], [], 
                '''                VPN Distinguisher extcomm
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberStandard.Permit.Rt' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberStandard.Permit.Rt',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'rt',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberStandard.Permit.Soo' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberStandard.Permit.Soo',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'soo',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberStandard.Permit.VpnDistinguisher' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberStandard.Permit.VpnDistinguisher',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'vpn-distinguisher',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberStandard.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberStandard.Permit',
            False, 
            [
            _MetaInfoClassMember('rt', REFERENCE_LIST, 'Rt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberStandard.Permit.Rt', 
                [], [], 
                '''                Route Target extended community
                ''',
                'rt',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soo', REFERENCE_LIST, 'Soo' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberStandard.Permit.Soo', 
                [], [], 
                '''                Site-of-Origin extended community
                ''',
                'soo',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vpn-distinguisher', REFERENCE_LIST, 'VpnDistinguisher' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberStandard.Permit.VpnDistinguisher', 
                [], [], 
                '''                VPN Distinguisher extcomm
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberStandard' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberStandard',
            False, 
            [
            _MetaInfoClassMember('no', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'no',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberStandard.Deny', 
                [], [], 
                '''                Specify community to reject
                ''',
                'deny',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberStandard.Permit', 
                [], [], 
                '''                Specify community to accept
                ''',
                'permit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'number-standard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberExpanded.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberExpanded.Deny',
            False, 
            [
            _MetaInfoClassMember('deny-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'deny_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberExpanded.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberExpanded.Permit',
            False, 
            [
            _MetaInfoClassMember('permit-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'permit_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.NumberExpanded' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.NumberExpanded',
            False, 
            [
            _MetaInfoClassMember('no', ATTRIBUTE, 'int' , None, None, 
                [('100', '500')], [], 
                '''                ''',
                'no',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberExpanded.Deny', 
                [], [], 
                '''                Specify community to reject
                ''',
                'deny',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberExpanded.Permit', 
                [], [], 
                '''                Specify community to accept
                ''',
                'permit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'number-expanded',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Expanded.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Expanded.Deny',
            False, 
            [
            _MetaInfoClassMember('deny-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'deny_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Expanded.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Expanded.Permit',
            False, 
            [
            _MetaInfoClassMember('permit-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'permit_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Expanded' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Expanded',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Expanded.Deny', 
                [], [], 
                '''                Specify community to reject
                ''',
                'deny',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Expanded.Permit', 
                [], [], 
                '''                Specify community to accept
                ''',
                'permit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'expanded',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Standard.Deny.Rt' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Standard.Deny.Rt',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'rt',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Standard.Deny.Soo' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Standard.Deny.Soo',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'soo',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Standard.Deny.VpnDistinguisher' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Standard.Deny.VpnDistinguisher',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'vpn-distinguisher',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Standard.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Standard.Deny',
            False, 
            [
            _MetaInfoClassMember('rt', REFERENCE_LIST, 'Rt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Standard.Deny.Rt', 
                [], [], 
                '''                Route Target extended community
                ''',
                'rt',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soo', REFERENCE_LIST, 'Soo' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Standard.Deny.Soo', 
                [], [], 
                '''                Site-of-Origin extended community
                ''',
                'soo',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vpn-distinguisher', REFERENCE_LIST, 'VpnDistinguisher' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Standard.Deny.VpnDistinguisher', 
                [], [], 
                '''                VPN Distinguisher extcomm
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Standard.Permit.Rt' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Standard.Permit.Rt',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'rt',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Standard.Permit.Soo' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Standard.Permit.Soo',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'soo',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Standard.Permit.VpnDistinguisher' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Standard.Permit.VpnDistinguisher',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'vpn-distinguisher',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Standard.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Standard.Permit',
            False, 
            [
            _MetaInfoClassMember('rt', REFERENCE_LIST, 'Rt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Standard.Permit.Rt', 
                [], [], 
                '''                Route Target extended community
                ''',
                'rt',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soo', REFERENCE_LIST, 'Soo' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Standard.Permit.Soo', 
                [], [], 
                '''                Site-of-Origin extended community
                ''',
                'soo',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vpn-distinguisher', REFERENCE_LIST, 'VpnDistinguisher' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Standard.Permit.VpnDistinguisher', 
                [], [], 
                '''                VPN Distinguisher extcomm
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList.Standard' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList.Standard',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Standard.Deny', 
                [], [], 
                '''                Specify community to reject
                ''',
                'deny',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Standard.Permit', 
                [], [], 
                '''                Specify community to accept
                ''',
                'permit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'standard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.ExtcommunityList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.ExtcommunityList',
            False, 
            [
            _MetaInfoClassMember('expanded', REFERENCE_LIST, 'Expanded' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Expanded', 
                [], [], 
                '''                Extended an expanded community-list entry
                ''',
                'expanded',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('number-expanded', REFERENCE_LIST, 'NumberExpanded' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberExpanded', 
                [], [], 
                '''                ''',
                'number_expanded',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('number-standard', REFERENCE_LIST, 'NumberStandard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.NumberStandard', 
                [], [], 
                '''                ''',
                'number_standard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('standard', REFERENCE_LIST, 'Standard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList.Standard', 
                [], [], 
                '''                Extended a standard community-list entry
                ''',
                'standard',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'extcommunity-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Http.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Http.Authentication',
            False, 
            [
            _MetaInfoClassMember('aaa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use AAA access control methods
                ''',
                'aaa',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local username and passwords
                ''',
                'local',
                'Cisco-IOS-XE-http', False),
            ],
            'Cisco-IOS-XE-http',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-http'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Http.TimeoutPolicy' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Http.TimeoutPolicy',
            False, 
            [
            _MetaInfoClassMember('idle', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                Idle time-out of a http server connection in seconds
                ''',
                'idle',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('life', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Life time of a http server connection in seconds
                ''',
                'life',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Maximum number of requests allowed on a http server connection
                ''',
                'requests',
                'Cisco-IOS-XE-http', False),
            ],
            'Cisco-IOS-XE-http',
            'timeout-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-http'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Http.Client.ProxyServer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Http.Client.ProxyServer',
            False, 
            [
            _MetaInfoClassMember('proxy-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Proxy port number
                ''',
                'proxy_port',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('proxy-server-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Proxy server name
                ''',
                'proxy_server_name',
                'Cisco-IOS-XE-http', False),
            ],
            'Cisco-IOS-XE-http',
            'proxy-server',
            _yang_ns._namespaces['Cisco-IOS-XE-http'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Http.Client' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Http.Client',
            False, 
            [
            _MetaInfoClassMember('proxy-server', REFERENCE_CLASS, 'ProxyServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Http.Client.ProxyServer', 
                [], [], 
                '''                Specify proxy server name for HTTP file system client connections
                ''',
                'proxy_server',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('secure-trustpoint', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set http client certificate secure trustpoint
                ''',
                'secure_trustpoint',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify interface for source address in all HTTP(S) client connections
                ''',
                'source_interface',
                'Cisco-IOS-XE-http', False),
            ],
            'Cisco-IOS-XE-http',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-http'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Http' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Http',
            False, 
            [
            _MetaInfoClassMember('access-class', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                Restrict http server access by access-class
                ''',
                'access_class',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Http.Authentication', 
                [], [], 
                '''                Set http server authentication method
                ''',
                'authentication',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Http.Client', 
                [], [], 
                '''                Set http client parameters
                ''',
                'client',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('secure-client-auth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set http secure server with client authentication
                ''',
                'secure_client_auth',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('secure-server', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable HTTP secure server
                ''',
                'secure_server',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('secure-trustpoint', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set http secure server certificate trustpoint
                ''',
                'secure_trustpoint',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('server', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable http server
                ''',
                'server',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('timeout-policy', REFERENCE_CLASS, 'TimeoutPolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Http.TimeoutPolicy', 
                [], [], 
                '''                Set http server time-out policy parameters
                ''',
                'timeout_policy',
                'Cisco-IOS-XE-http', False),
            ],
            'Cisco-IOS-XE-http',
            'http',
            _yang_ns._namespaces['Cisco-IOS-XE-http'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Icmp.RateLimit.Unreachable.Log' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Icmp.RateLimit.Unreachable.Log',
            False, 
            [
            _MetaInfoClassMember('log-message', ATTRIBUTE, 'int' , None, None, 
                [('10000', '4294967295')], [], 
                '''                log message once per milliseconds
                ''',
                'log_message',
                'Cisco-IOS-XE-icmp', False),
            _MetaInfoClassMember('number-unreachables', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of unreachables within interval to trigger a message
                ''',
                'number_unreachables',
                'Cisco-IOS-XE-icmp', False),
            ],
            'Cisco-IOS-XE-icmp',
            'log',
            _yang_ns._namespaces['Cisco-IOS-XE-icmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Icmp.RateLimit.Unreachable' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Icmp.RateLimit.Unreachable',
            False, 
            [
            _MetaInfoClassMember('DF', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                code 4, fragmentation needed and DF set
                ''',
                'df',
                'Cisco-IOS-XE-icmp', False),
            _MetaInfoClassMember('log', REFERENCE_CLASS, 'Log' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Icmp.RateLimit.Unreachable.Log', 
                [], [], 
                '''                log message if rate limiting is excessive
                ''',
                'log',
                'Cisco-IOS-XE-icmp', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Once per milliseconds
                ''',
                'time',
                'Cisco-IOS-XE-icmp', False),
            ],
            'Cisco-IOS-XE-icmp',
            'unreachable',
            _yang_ns._namespaces['Cisco-IOS-XE-icmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Icmp.RateLimit.RedirectEnum' : _MetaInfoEnum('RedirectEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'host':'host',
            'subnet':'subnet',
        }, 'Cisco-IOS-XE-icmp', _yang_ns._namespaces['Cisco-IOS-XE-icmp']),
    'Native.Ip.Icmp.RateLimit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Icmp.RateLimit',
            False, 
            [
            _MetaInfoClassMember('redirect', REFERENCE_ENUM_CLASS, 'RedirectEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Icmp.RateLimit.RedirectEnum', 
                [], [], 
                '''                description
                ''',
                'redirect',
                'Cisco-IOS-XE-icmp', False),
            _MetaInfoClassMember('unreachable', REFERENCE_CLASS, 'Unreachable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Icmp.RateLimit.Unreachable', 
                [], [], 
                '''                ICMP type 3, Destination Unreachable
                ''',
                'unreachable',
                'Cisco-IOS-XE-icmp', False),
            ],
            'Cisco-IOS-XE-icmp',
            'rate-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-icmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Icmp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Icmp',
            False, 
            [
            _MetaInfoClassMember('rate-limit', REFERENCE_CLASS, 'RateLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Icmp.RateLimit', 
                [], [], 
                '''                rate limit ICMP messages generated
                ''',
                'rate_limit',
                'Cisco-IOS-XE-icmp', False),
            ],
            'Cisco-IOS-XE-icmp',
            'icmp',
            _yang_ns._namespaces['Cisco-IOS-XE-icmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.SnoopingConf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.SnoopingConf',
            False, 
            [
            _MetaInfoClassMember('snooping', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'snooping',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'snooping-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Check' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Check',
            False, 
            [
            _MetaInfoClassMember('rtr-alert-option', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only accept IGMP packets with router-alert option
                ''',
                'rtr_alert_option',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only accept IGMP packets with TTL=1
                ''',
                'ttl',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'check',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.ExplicitTracking' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.ExplicitTracking',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '128000')], [], 
                '''                Explicit tracking DB limit
                ''',
                'limit',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'explicit-tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Querier.Tcn.Query' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Querier.Tcn.Query',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                IGMP querier TCN query count
                ''',
                'count',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                IGMP querier TCN query interval (sec)
                ''',
                'interval',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'query',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Querier.Tcn' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Querier.Tcn',
            False, 
            [
            _MetaInfoClassMember('query', REFERENCE_CLASS, 'Query' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Querier.Tcn.Query', 
                [], [], 
                '''                ''',
                'query',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'tcn',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Querier.Timer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Querier.Timer',
            False, 
            [
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('60', '300')], [], 
                '''                IGMP querier other querier time out (sec)
                ''',
                'expiry',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Querier' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Querier',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IGMP querier source IP address
                ''',
                'address',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('max-response-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '25')], [], 
                '''                IGMP querier maximum response time (sec)
                ''',
                'max_response_time',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '18000')], [], 
                '''                IGMP querier query interval (sec)
                ''',
                'query_interval',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('tcn', REFERENCE_CLASS, 'Tcn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Querier.Tcn', 
                [], [], 
                '''                IGMP querier TCN related parameters
                ''',
                'tcn',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Querier.Timer', 
                [], [], 
                '''                IGMP other querier timer
                ''',
                'timer',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'querier',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Tcn.Flood.Query' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Tcn.Flood.Query',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'query',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Tcn.Flood' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Tcn.Flood',
            False, 
            [
            _MetaInfoClassMember('query', REFERENCE_CLASS, 'Query' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Tcn.Flood.Query', 
                [], [], 
                '''                TCN flooding query configuration
                ''',
                'query',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'flood',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Tcn.Query' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Tcn.Query',
            False, 
            [
            _MetaInfoClassMember('solicit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Solicit an IGMP general query
                ''',
                'solicit',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'query',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Tcn' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Tcn',
            False, 
            [
            _MetaInfoClassMember('flood', REFERENCE_CLASS, 'Flood' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Tcn.Flood', 
                [], [], 
                '''                TCN flooding configuration
                ''',
                'flood',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('query', REFERENCE_CLASS, 'Query' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Tcn.Query', 
                [], [], 
                '''                TCN query configuration
                ''',
                'query',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'tcn',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn',
            False, 
            [
            _MetaInfoClassMember('cgmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn the multicast router snooping CGMP packets
                ''',
                'cgmp',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pim-dvmrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn the multicast router snooping PIM-DVMRP packets
                ''',
                'pim_dvmrp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'learn',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'interface',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('learn', REFERENCE_CLASS, 'Learn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn', 
                [], [], 
                '''                Set the multicast router learning method
                ''',
                'learn',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mrouter',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                IGMP querier TCN query count
                ''',
                'count',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                IGMP querier TCN query interval (sec)
                ''',
                'interval',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'query',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn',
            False, 
            [
            _MetaInfoClassMember('query', REFERENCE_CLASS, 'Query' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query', 
                [], [], 
                '''                IGMP querier TCN query related parameters
                ''',
                'query',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'tcn',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer',
            False, 
            [
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('60', '300')], [], 
                '''                IGMP querier other querier time out (sec)
                ''',
                'expiry',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Vlan.Range.Querier' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Vlan.Range.Querier',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IGMP querier source IP address
                ''',
                'address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('max-response-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '25')], [], 
                '''                IGMP querier maximum response time (sec)
                ''',
                'max_response_time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '18000')], [], 
                '''                IGMP querier query interval (sec)
                ''',
                'query_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('tcn', REFERENCE_CLASS, 'Tcn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn', 
                [], [], 
                '''                IGMP querier TCN related parameters
                ''',
                'tcn',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer', 
                [], [], 
                '''                IGMP other querier timer
                ''',
                'timer',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'querier',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Vlan.Range.Static.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Vlan.Range.Static.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the group
                ''',
                'ipv4',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'interface',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Vlan.Range.Static' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Vlan.Range.Static',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Vlan.Range.Static.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Vlan.Range' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Vlan.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1001'), ('1006', '4094')], [], 
                '''                Vlan number
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('immediate-leave', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IGMPv2 immediate leave processing
                ''',
                'immediate_leave',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('last-member-query-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                Interval (milliseconds)
                ''',
                'last_member_query_count',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '32767')], [], 
                '''                Interval (milliseconds)
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mrouter', REFERENCE_CLASS, 'Mrouter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter', 
                [], [], 
                '''                Configure an L2 port as a multicast router port
                ''',
                'mrouter',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('querier', REFERENCE_CLASS, 'Querier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Vlan.Range.Querier', 
                [], [], 
                '''                Enable IGMP querier for this Vlan
                ''',
                'querier',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('robustness-variable', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                Robustness variable
                ''',
                'robustness_variable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Vlan.Range.Static', 
                [], [], 
                '''                Configure an L2 port as a member of a group
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping.Vlan',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Vlan.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Snooping',
            False, 
            [
            _MetaInfoClassMember('check', REFERENCE_CLASS, 'Check' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Check', 
                [], [], 
                '''                enforce TTL or Rtr-Alert Option checking
                ''',
                'check',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('explicit-tracking', REFERENCE_CLASS, 'ExplicitTracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.ExplicitTracking', 
                [], [], 
                '''                Explicit tracking DB configuration
                ''',
                'explicit_tracking',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('l2-entry-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                limit on the l2 entry that can be installed by IGMP snooping
                ''',
                'l2_entry_limit',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('last-member-query-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                Last member query count
                ''',
                'last_member_query_count',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '32767')], [], 
                '''                Interval (milliseconds)
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('querier', REFERENCE_CLASS, 'Querier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Querier', 
                [], [], 
                '''                IGMP querier configuration
                ''',
                'querier',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('report-suppression', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Report suppression
                ''',
                'report_suppression',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('robustness-variable', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                Robustness Variable number
                ''',
                'robustness_variable',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('tcn', REFERENCE_CLASS, 'Tcn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Tcn', 
                [], [], 
                '''                Topology change notification configuration
                ''',
                'tcn',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping.Vlan', 
                [], [], 
                '''                IGMP Snooping enable for Catalyst VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-igmp',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.SsmMap.Query' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.SsmMap.Query',
            False, 
            [
            _MetaInfoClassMember('dns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DNS for source lookup
                ''',
                'dns',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'query',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.SsmMap.Static' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.SsmMap.Static',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-igmp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-igmp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-igmp', False),
                ]),
            _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'source_ip',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.SsmMap' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.SsmMap',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SSM group to source mapping
                ''',
                'enable',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('query', REFERENCE_CLASS, 'Query' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.SsmMap.Query', 
                [], [], 
                '''                Which database should we query for the source
                ''',
                'query',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.SsmMap.Static', 
                [], [], 
                '''                SSM static group to source mapping
                ''',
                'static',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'ssm-map',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Vrf.SsmMap.Static' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Vrf.SsmMap.Static',
            False, 
            [
            _MetaInfoClassMember('srcaddress', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                SSM source address
                ''',
                'srcaddress',
                'Cisco-IOS-XE-igmp', True),
            _MetaInfoClassMember('aclname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SSM group named access list
                ''',
                'aclname',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Vrf.SsmMap' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Vrf.SsmMap',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SSM group to source mapping
                ''',
                'enable',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('static', REFERENCE_LIST, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Vrf.SsmMap.Static', 
                [], [], 
                '''                SSM static group to source mapping
                ''',
                'static',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'ssm-map',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding instance name
                ''',
                'name',
                'Cisco-IOS-XE-igmp', True),
            _MetaInfoClassMember('ssm-map', REFERENCE_CLASS, 'SsmMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Vrf.SsmMap', 
                [], [], 
                '''                SSM mapping commands
                ''',
                'ssm_map',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Igmp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Snooping', 
                [], [], 
                '''                Global IGMP Snooping enable for Catalyst Vlans
                ''',
                'snooping',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('snooping-conf', REFERENCE_CLASS, 'SnoopingConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.SnoopingConf', 
                [], [], 
                '''                ''',
                'snooping_conf',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('ssm-map', REFERENCE_CLASS, 'SsmMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.SsmMap', 
                [], [], 
                '''                SSM mapping commands
                ''',
                'ssm_map',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp.Vrf', 
                [], [], 
                '''                Select VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Peer',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('connect-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure source address used for MSDP connection
                ''',
                'connect_source',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured AS number
                ''',
                'remote_as',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.DefaultPeer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.DefaultPeer',
            False, 
            [
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'default-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Description' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Description',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'description',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'description',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.FilterSaRequest' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.FilterSaRequest',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list
                ''',
                'list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'filter-sa-request',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Keepalive',
            False, 
            [
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                Send keepalive period in seconds
                ''',
                'keepalive',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('max-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '75')], [], 
                '''                Maximum time in seconds to wait for a message
                ''',
                'max_wait',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.MeshGroup' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.MeshGroup',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'mesh-group',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Password.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Password.Peer',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('encryption', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Password' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Password',
            False, 
            [
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Password.Peer', 
                [], [], 
                '''                MSDP peer on which the password is to be set
                ''',
                'peer',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Redistribute',
            False, 
            [
            _MetaInfoClassMember('asn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                AS access-list
                ''',
                'asn',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list
                ''',
                'list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.SaFilter.In_' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.SaFilter.In_',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access list
                ''',
                'list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map
                ''',
                'route_map',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('rp-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list for originating RP
                ''',
                'rp_list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('rp-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Access-list for originating RP
                        ''',
                        'rp_list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('rp-list', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Access-list for originating RP
                        ''',
                        'rp_list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('rp-route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for originating RP
                ''',
                'rp_route_map',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.SaFilter.Out' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.SaFilter.Out',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access list
                ''',
                'list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map
                ''',
                'route_map',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('rp-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list for originating RP
                ''',
                'rp_list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('rp-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Access-list for originating RP
                        ''',
                        'rp_list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('rp-list', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Access-list for originating RP
                        ''',
                        'rp_list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('rp-route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for originating RP
                ''',
                'rp_route_map',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.SaFilter' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.SaFilter',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.SaFilter.In_', 
                [], [], 
                '''                Enable incoming SA filtering
                ''',
                'in_',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.SaFilter.Out', 
                [], [], 
                '''                Enable outgoing SA filtering
                ''',
                'out',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'sa-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.SaLimit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.SaLimit',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483646')], [], 
                '''                Limit of SAs
                ''',
                'limit',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'sa-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Shutdown',
            False, 
            [
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.TtlThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.TtlThreshold',
            False, 
            [
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TTL Threshold Value
                ''',
                'threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'ttl-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.Peer',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('connect-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure source address used for MSDP connection
                ''',
                'connect_source',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured AS number
                ''',
                'remote_as',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.DefaultPeer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.DefaultPeer',
            False, 
            [
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'default-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.Description' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.Description',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'description',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'description',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.FilterSaRequest' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.FilterSaRequest',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list
                ''',
                'list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'filter-sa-request',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.Keepalive',
            False, 
            [
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                Send keepalive period in seconds
                ''',
                'keepalive',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('max-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '75')], [], 
                '''                Maximum time in seconds to wait for a message
                ''',
                'max_wait',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.MeshGroup' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.MeshGroup',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'mesh-group',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.Password.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.Password.Peer',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('encryption', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.Password' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.Password',
            False, 
            [
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.Password.Peer', 
                [], [], 
                '''                MSDP peer on which the password is to be set
                ''',
                'peer',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.Redistribute',
            False, 
            [
            _MetaInfoClassMember('asn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                AS access-list
                ''',
                'asn',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list
                ''',
                'list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access-list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.SaFilter.In_' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.SaFilter.In_',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access list
                ''',
                'list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map
                ''',
                'route_map',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('rp-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list for originating RP
                ''',
                'rp_list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('rp-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Access-list for originating RP
                        ''',
                        'rp_list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('rp-list', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Access-list for originating RP
                        ''',
                        'rp_list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('rp-route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for originating RP
                ''',
                'rp_route_map',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.SaFilter.Out' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.SaFilter.Out',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access list
                ''',
                'list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access list
                        ''',
                        'list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map
                ''',
                'route_map',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('rp-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list for originating RP
                ''',
                'rp_list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('rp-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Access-list for originating RP
                        ''',
                        'rp_list',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('rp-list', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Access-list for originating RP
                        ''',
                        'rp_list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('rp-route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for originating RP
                ''',
                'rp_route_map',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.SaFilter' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.SaFilter',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.SaFilter.In_', 
                [], [], 
                '''                Enable incoming SA filtering
                ''',
                'in_',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.SaFilter.Out', 
                [], [], 
                '''                Enable outgoing SA filtering
                ''',
                'out',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'sa-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.SaLimit' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.SaLimit',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483646')], [], 
                '''                Limit of SAs
                ''',
                'limit',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'sa-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.Shutdown',
            False, 
            [
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            ],
            'Cisco-IOS-XE-multicast',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.TtlThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf.TtlThreshold',
            False, 
            [
            _MetaInfoClassMember('name-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_addr',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('name-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name_addr',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TTL Threshold Value
                ''',
                'threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'ttl-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.Vrf.RpfEnum' : _MetaInfoEnum('RpfEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'rfc3618':'rfc3618',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Ip.Msdp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('cache-rejected-sa', ATTRIBUTE, 'int' , None, None, 
                [('1', '32766')], [], 
                '''                Store rejected SAs from all peers
                ''',
                'cache_rejected_sa',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('cache-sa-state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this system to cache SA state
                ''',
                'cache_sa_state',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('default-peer', REFERENCE_CLASS, 'DefaultPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.DefaultPeer', 
                [], [], 
                '''                Default MSDP peer to accept SA messages from
                ''',
                'default_peer',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('description', REFERENCE_CLASS, 'Description' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.Description', 
                [], [], 
                '''                Peer specific description
                ''',
                'description',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('filter-sa-request', REFERENCE_CLASS, 'FilterSaRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.FilterSaRequest', 
                [], [], 
                '''                Filter SA-Requests from peer
                ''',
                'filter_sa_request',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.Keepalive', 
                [], [], 
                '''                Configure keepalive parameters for a peer
                ''',
                'keepalive',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('mesh-group', REFERENCE_CLASS, 'MeshGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.MeshGroup', 
                [], [], 
                '''                Configure an MSDP mesh-group
                ''',
                'mesh_group',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('originator-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure MSDP Originator ID
                ''',
                'originator_id',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.Password', 
                [], [], 
                '''                Configure an MSDP password
                ''',
                'password',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.Peer', 
                [], [], 
                '''                Configure an MSDP peer
                ''',
                'peer',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.Redistribute', 
                [], [], 
                '''                Inject multicast route entries into MSDP
                ''',
                'redistribute',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('rpf', REFERENCE_ENUM_CLASS, 'RpfEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.RpfEnum', 
                [], [], 
                '''                MSDP rpf
                ''',
                'rpf',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sa-filter', REFERENCE_CLASS, 'SaFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.SaFilter', 
                [], [], 
                '''                Filter SA messages from peer
                ''',
                'sa_filter',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sa-limit', REFERENCE_CLASS, 'SaLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.SaLimit', 
                [], [], 
                '''                Configure SA limit for a peer
                ''',
                'sa_limit',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.Shutdown', 
                [], [], 
                '''                Administratively shutdown MSDP peer
                ''',
                'shutdown',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('timer', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                MSDP timer
                ''',
                'timer',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('ttl-threshold', REFERENCE_CLASS, 'TtlThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf.TtlThreshold', 
                [], [], 
                '''                Configure TTL Threshold for MSDP Peer
                ''',
                'ttl_threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Msdp.RpfEnum' : _MetaInfoEnum('RpfEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'rfc3618':'rfc3618',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Ip.Msdp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Msdp',
            False, 
            [
            _MetaInfoClassMember('cache-rejected-sa', ATTRIBUTE, 'int' , None, None, 
                [('1', '32766')], [], 
                '''                Store rejected SAs from all peers
                ''',
                'cache_rejected_sa',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('cache-sa-state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this system to cache SA state
                ''',
                'cache_sa_state',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('default-peer', REFERENCE_CLASS, 'DefaultPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.DefaultPeer', 
                [], [], 
                '''                Default MSDP peer to accept SA messages from
                ''',
                'default_peer',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('description', REFERENCE_CLASS, 'Description' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Description', 
                [], [], 
                '''                Peer specific description
                ''',
                'description',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('filter-sa-request', REFERENCE_CLASS, 'FilterSaRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.FilterSaRequest', 
                [], [], 
                '''                Filter SA-Requests from peer
                ''',
                'filter_sa_request',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Keepalive', 
                [], [], 
                '''                Configure keepalive parameters for a peer
                ''',
                'keepalive',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('mesh-group', REFERENCE_CLASS, 'MeshGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.MeshGroup', 
                [], [], 
                '''                Configure an MSDP mesh-group
                ''',
                'mesh_group',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('originator-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure MSDP Originator ID
                ''',
                'originator_id',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Password', 
                [], [], 
                '''                Configure an MSDP password
                ''',
                'password',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Peer', 
                [], [], 
                '''                Configure an MSDP peer
                ''',
                'peer',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Redistribute', 
                [], [], 
                '''                Inject multicast route entries into MSDP
                ''',
                'redistribute',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('rpf', REFERENCE_ENUM_CLASS, 'RpfEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.RpfEnum', 
                [], [], 
                '''                MSDP rpf
                ''',
                'rpf',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sa-filter', REFERENCE_CLASS, 'SaFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.SaFilter', 
                [], [], 
                '''                Filter SA messages from peer
                ''',
                'sa_filter',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sa-limit', REFERENCE_CLASS, 'SaLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.SaLimit', 
                [], [], 
                '''                Configure SA limit for a peer
                ''',
                'sa_limit',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Shutdown', 
                [], [], 
                '''                Administratively shutdown MSDP peer
                ''',
                'shutdown',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('timer', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                MSDP timer
                ''',
                'timer',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('ttl-threshold', REFERENCE_CLASS, 'TtlThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.TtlThreshold', 
                [], [], 
                '''                Configure TTL Threshold for MSDP Peer
                ''',
                'ttl_threshold',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp.Vrf', 
                [], [], 
                '''                Select VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'msdp',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.McrConf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.McrConf',
            False, 
            [
            _MetaInfoClassMember('multicast-routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IP multicast forwarding
                ''',
                'multicast_routing',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'mcr-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.MulticastRouting.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.MulticastRouting.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('distributed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distributed multicast switching
                ''',
                'distributed',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.MulticastRouting' : {
        'meta_info' : _MetaInfoClass('Native.Ip.MulticastRouting',
            False, 
            [
            _MetaInfoClassMember('distributed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distributed multicast switching
                ''',
                'distributed',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.MulticastRouting.Vrf', 
                [], [], 
                '''                Select VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'multicast-routing',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Mroute' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Mroute',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'source_address',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('subnet-mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'subnet_mask',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'mroute',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Pool.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'match-host':'match_host',
            'rotary':'rotary',
        }, 'Cisco-IOS-XE-nat', _yang_ns._namespaces['Cisco-IOS-XE-nat']),
    'Native.Ip.Nat.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Pool',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-nat', True),
            _MetaInfoClassMember('accounting', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the accounting
                ''',
                'accounting',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('add-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add special route to Virtual Interface
                ''',
                'add_route',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('arp-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                WLAN ARP Ping
                ''',
                'arp_ping',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('end-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'end_address',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('netmask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Specify the network mask
                ''',
                'netmask',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Specify the prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('start-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'start_address',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Pool.TypeEnum', 
                [], [], 
                '''                Specify the pool type
                ''',
                'type',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.List.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.List.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.List.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.List.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.List.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.List.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.List.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.List.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.List.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.List.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.List.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.List',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-nat', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-nat', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-nat', True),
                ]),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.List.Interface', 
                [], [], 
                '''                Specify interface for global address
                ''',
                'interface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('mapping-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Associate a mapping id to this mapping
                ''',
                'mapping_id',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('match-in-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match incoming vrf
                ''',
                'match_in_vrf',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('no-payload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No translation of embedded address/port in the payload
                ''',
                'no_payload',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('oer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use with vtemplate only. On new translation, if OER BR is UP,
                OER will select IP from outgoing Interface.
                All packets matching translation are forwarded over Interface
                for duration of translation.
                ''',
                'oer',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('overload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Overload an address translation
                ''',
                'overload',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('pool', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name pool of global addresses
                ''',
                'pool',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                NAT redundancy operation
                ''',
                'redundancy',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('reversible', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'reversible',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify vrf
                ''',
                'vrf',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.RouteMap.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.RouteMap.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.RouteMap.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.RouteMap.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.RouteMap.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.RouteMap.Oer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.RouteMap.Oer',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Overload extended
                ''',
                'extended',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('overload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Overload an address translation
                ''',
                'overload',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'oer',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.RouteMap.Overload' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.RouteMap.Overload',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Overload extended
                ''',
                'extended',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('oer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use with vtemplate only.  On new translation,
                if OER BR is UP, OER will select IP from outgoing
                Interface.  All packets matching translation are
                forwarded over Interface for duration of translation.
                ''',
                'oer',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'overload',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Oer' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Oer',
            False, 
            [
            _MetaInfoClassMember('overload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Overload an address translation
                ''',
                'overload',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'oer',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Overload' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Overload',
            False, 
            [
            _MetaInfoClassMember('oer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use with vtemplate only.  On new translation,
                if OER BR is UP, OER will select IP from outgoing
                Interface.  All packets matching translation are
                forwarded over Interface for duration of translation.
                ''',
                'oer',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'overload',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.RouteMap.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.RouteMap.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XE-nat', True),
            _MetaInfoClassMember('oer', REFERENCE_CLASS, 'Oer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Oer', 
                [], [], 
                '''                Use with vtemplate only.  On new translation,
                if OER BR is UP, OER will select IP from outgoing
                Interface.  All packets matching translation are
                forwarded over Interface for duration of translation.
                ''',
                'oer',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('overload', REFERENCE_CLASS, 'Overload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Overload', 
                [], [], 
                '''                Overload an address translation
                ''',
                'overload',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.RouteMap',
            False, 
            [
            _MetaInfoClassMember('route-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map name
                ''',
                'route_map_name',
                'Cisco-IOS-XE-nat', True),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.RouteMap.Interface', 
                [], [], 
                '''                Specify interface for global address
                ''',
                'interface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('oer', REFERENCE_CLASS, 'Oer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.RouteMap.Oer', 
                [], [], 
                '''                Use with vtemplate only.  On new translation,
                if OER BR is UP, OER will select IP from outgoing Interface.
                All packets matching translation are forwarded over
                Interface for duration of translation.
                ''',
                'oer',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('overload', REFERENCE_CLASS, 'Overload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.RouteMap.Overload', 
                [], [], 
                '''                Overload an address translation
                ''',
                'overload',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.RouteMap.Vrf', 
                [], [], 
                '''                Specify vrf
                ''',
                'vrf',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList.ProtoEnum' : _MetaInfoEnum('ProtoEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'tcp':'tcp',
            'udp':'udp',
        }, 'Cisco-IOS-XE-nat', _yang_ns._namespaces['Cisco-IOS-XE-nat']),
    'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList',
            False, 
            [
            _MetaInfoClassMember('local-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'local_ip',
                'Cisco-IOS-XE-nat', True),
            _MetaInfoClassMember('global-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'global_ip',
                'Cisco-IOS-XE-nat', True),
            _MetaInfoClassMember('extendable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Extend this translation when used
                ''',
                'extendable',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('forced', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delete this entry and its children, even if in use
                ''',
                'forced',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('global-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'global_port',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('local-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'local_port',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('mapping-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Associate a mapping id to this mapping
                ''',
                'mapping_id',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('mask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-nat', False, [
                    _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'mask',
                        'Cisco-IOS-XE-nat', False),
                    _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'mask',
                        'Cisco-IOS-XE-nat', False),
                ]),
            _MetaInfoClassMember('match-in-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match incoming vrf
                ''',
                'match_in_vrf',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Subnet translation
                ''',
                'network',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('no-alias', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not create an alias for the global address
                ''',
                'no_alias',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('no-payload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No translation of embedded address/port in the payload
                ''',
                'no_payload',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('overload', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Overload an address translation
                ''',
                'overload',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('proto', REFERENCE_ENUM_CLASS, 'ProtoEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList.ProtoEnum', 
                [], [], 
                '''                ''',
                'proto',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('redundancy', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                NAT redundancy operation
                ''',
                'redundancy',
                'Cisco-IOS-XE-nat', False, [
                    _MetaInfoClassMember('redundancy', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        NAT redundancy operation
                        ''',
                        'redundancy',
                        'Cisco-IOS-XE-nat', False),
                    _MetaInfoClassMember('redundancy', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        NAT redundancy operation
                        ''',
                        'redundancy',
                        'Cisco-IOS-XE-nat', False),
                ]),
            _MetaInfoClassMember('reversible', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'reversible',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify vrf
                ''',
                'vrf',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'nat-static-transport-list',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.ProtoEnum' : _MetaInfoEnum('ProtoEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'tcp':'tcp',
            'udp':'udp',
        }, 'Cisco-IOS-XE-nat', _yang_ns._namespaces['Cisco-IOS-XE-nat']),
    'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList',
            False, 
            [
            _MetaInfoClassMember('proto', REFERENCE_ENUM_CLASS, 'ProtoEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.ProtoEnum', 
                [], [], 
                '''                ''',
                'proto',
                'Cisco-IOS-XE-nat', True),
            _MetaInfoClassMember('local-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'local_ip',
                'Cisco-IOS-XE-nat', True),
            _MetaInfoClassMember('local-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'local_port',
                'Cisco-IOS-XE-nat', True),
            _MetaInfoClassMember('global-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'global_port',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface', 
                [], [], 
                '''                Specify interface for global address
                ''',
                'interface',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'nat-static-transport-interface-list',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source.Static' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source.Static',
            False, 
            [
            _MetaInfoClassMember('nat-static-transport-interface-list', REFERENCE_LIST, 'NatStaticTransportInterfaceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList', 
                [], [], 
                '''                ''',
                'nat_static_transport_interface_list',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('nat-static-transport-list', REFERENCE_LIST, 'NatStaticTransportList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList', 
                [], [], 
                '''                ''',
                'nat_static_transport_list',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Source' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.List', 
                [], [], 
                '''                Specify access list describing local addresses
                ''',
                'list',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.RouteMap', 
                [], [], 
                '''                Specify route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source.Static', 
                [], [], 
                '''                Specify static local->global mapping
                ''',
                'static',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Destination.List' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Destination.List',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-nat', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-nat', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-nat', True),
                ]),
            _MetaInfoClassMember('mapping-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Associate a mapping id to this mapping
                ''',
                'mapping_id',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('pool', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name pool of local addresses
                ''',
                'pool',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                NAT redundancy operation
                ''',
                'redundancy',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside.Destination',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Destination.List', 
                [], [], 
                '''                Specify access list describing global addresses
                ''',
                'list',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Inside' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Inside',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Destination', 
                [], [], 
                '''                Destination address translation
                ''',
                'destination',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside.Source', 
                [], [], 
                '''                Source address translation
                ''',
                'source',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'inside',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Outside.List' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Outside.List',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-nat', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-nat', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-nat', True),
                ]),
            _MetaInfoClassMember('add-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add a static route for outside local address
                ''',
                'add_route',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('mapping-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Associate a mapping id to this mapping
                ''',
                'mapping_id',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('pool', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name pool of local addresses
                ''',
                'pool',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify vrf
                ''',
                'vrf',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Outside.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Outside.RouteMap',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-nat', True),
            _MetaInfoClassMember('add-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add a static route for outside local address
                ''',
                'add_route',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('mapping-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Associate a mapping id to this mapping
                ''',
                'mapping_id',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('pool', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name pool of local addresses
                ''',
                'pool',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify vrf
                ''',
                'vrf',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat.Outside' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat.Outside',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Outside.List', 
                [], [], 
                '''                Specify access list describing global addresses
                ''',
                'list',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Outside.RouteMap', 
                [], [], 
                '''                Specify route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'outside',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nat' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nat',
            False, 
            [
            _MetaInfoClassMember('inside', REFERENCE_CLASS, 'Inside' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Inside', 
                [], [], 
                '''                Inside address translation
                ''',
                'inside',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('outside', REFERENCE_CLASS, 'Outside' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Outside', 
                [], [], 
                '''                Outside address translation
                ''',
                'outside',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('pool', REFERENCE_LIST, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat.Pool', 
                [], [], 
                '''                Define pool of addresses
                ''',
                'pool',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'nat',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.Attribute.ApplicationGroup.Custom' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.Attribute.ApplicationGroup.Custom',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-nbar', True),
            _MetaInfoClassMember('help', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'help',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'custom',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.Attribute.ApplicationGroup' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.Attribute.ApplicationGroup',
            False, 
            [
            _MetaInfoClassMember('custom', REFERENCE_LIST, 'Custom' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.Attribute.ApplicationGroup.Custom', 
                [], [], 
                '''                custom group value to be created for attribute
                ''',
                'custom',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'application-group',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.Attribute.Category.Custom' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.Attribute.Category.Custom',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-nbar', True),
            _MetaInfoClassMember('help', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'help',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'custom',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.Attribute.Category' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.Attribute.Category',
            False, 
            [
            _MetaInfoClassMember('custom', REFERENCE_LIST, 'Custom' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.Attribute.Category.Custom', 
                [], [], 
                '''                custom group value to be created for attribute
                ''',
                'custom',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'category',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.Attribute.SubCategory.Custom' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.Attribute.SubCategory.Custom',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-nbar', True),
            _MetaInfoClassMember('help', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'help',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'custom',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.Attribute.SubCategory' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.Attribute.SubCategory',
            False, 
            [
            _MetaInfoClassMember('custom', REFERENCE_LIST, 'Custom' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.Attribute.SubCategory.Custom', 
                [], [], 
                '''                custom group value to be created for attribute
                ''',
                'custom',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'sub-category',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.Attribute' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.Attribute',
            False, 
            [
            _MetaInfoClassMember('application-group', REFERENCE_CLASS, 'ApplicationGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.Attribute.ApplicationGroup', 
                [], [], 
                '''                Application-group attribute
                ''',
                'application_group',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('category', REFERENCE_CLASS, 'Category' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.Attribute.Category', 
                [], [], 
                '''                Category attribute
                ''',
                'category',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('sub-category', REFERENCE_CLASS, 'SubCategory' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.Attribute.SubCategory', 
                [], [], 
                '''                Sub-category attribute
                ''',
                'sub_category',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.AttributeMap.Attribute.ApplicationGroupEnum' : _MetaInfoEnum('ApplicationGroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'aol-group':'aol_group',
            'apple-group':'apple_group',
            'apple-talk-group':'apple_talk_group',
            'banyan-group':'banyan_group',
            'bittorrent-group':'bittorrent_group',
            'capwap-group':'capwap_group',
            'cisco-jabber-group':'cisco_jabber_group',
            'cisco-phone-group':'cisco_phone_group',
            'corba-group':'corba_group',
            'dameware-group':'dameware_group',
            'edonkey-emule-group':'edonkey_emule_group',
            'espn-group':'espn_group',
            'fasttrack-group':'fasttrack_group',
            'flash-group':'flash_group',
            'fring-group':'fring_group',
            'ftp-group':'ftp_group',
            'gnutella-group':'gnutella_group',
            'google-group':'google_group',
            'gtalk-group':'gtalk_group',
            'icq-group':'icq_group',
            'imap-group':'imap_group',
            'ipsec-group':'ipsec_group',
            'irc-group':'irc_group',
            'kakao-group':'kakao_group',
            'kerberos-group':'kerberos_group',
            'ldap-group':'ldap_group',
            'ms-cloud-group':'ms_cloud_group',
            'ms-crm-group':'ms_crm_group',
            'ms-lync-group':'ms_lync_group',
            'msn-messenger-group':'msn_messenger_group',
            'netbios-group':'netbios_group',
            'nntp-group':'nntp_group',
            'npmp-group':'npmp_group',
            'other':'other',
            'pop3-group':'pop3_group',
            'prm-group':'prm_group',
            'qq-group':'qq_group',
            'skype-group':'skype_group',
            'smtp-group':'smtp_group',
            'snmp-group':'snmp_group',
            'sqlsvr-group':'sqlsvr_group',
            'stun-group':'stun_group',
            'telepresence-group':'telepresence_group',
            'tftp-group':'tftp_group',
            'vmware-group':'vmware_group',
            'vnc-group':'vnc_group',
            'wap-group':'wap_group',
            'webex-group':'webex_group',
            'xns-xerox-group':'xns_xerox_group',
            'xunlei-group':'xunlei_group',
            'yahoo-group':'yahoo_group',
            'yahoo-messenger-group':'yahoo_messenger_group',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Ip.Nbar.AttributeMap.Attribute.BusinessRelevanceEnum' : _MetaInfoEnum('BusinessRelevanceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'business-irrelevant':'business_irrelevant',
            'business-relevant':'business_relevant',
            'default':'default',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Ip.Nbar.AttributeMap.Attribute.CategoryEnum' : _MetaInfoEnum('CategoryEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'anonymizers':'anonymizers',
            'backup-and-storage':'backup_and_storage',
            'browsing':'browsing',
            'business-and-productivity-tools':'business_and_productivity_tools',
            'consumer-file-sharing':'consumer_file_sharing',
            'consumer-internet':'consumer_internet',
            'consumer-messaging':'consumer_messaging',
            'consumer-streaming':'consumer_streaming',
            'database':'database',
            'email':'email',
            'epayement':'epayement',
            'file-sharing':'file_sharing',
            'gaming':'gaming',
            'industrial-protocols':'industrial_protocols',
            'instant-messaging':'instant_messaging',
            'inter-process-rpc':'inter_process_rpc',
            'internet-security':'internet_security',
            'layer3-over-ip':'layer3_over_ip',
            'location-based-services':'location_based_services',
            'net-admin':'net_admin',
            'newsgroup':'newsgroup',
            'other':'other',
            'social-networking':'social_networking',
            'software-updates':'software_updates',
            'trojan':'trojan',
            'voice-and-video':'voice_and_video',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Ip.Nbar.AttributeMap.Attribute.EncryptedEnum' : _MetaInfoEnum('EncryptedEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'encrypted-no':'encrypted_no',
            'encrypted-unassigned':'encrypted_unassigned',
            'encrypted-yes':'encrypted_yes',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Ip.Nbar.AttributeMap.Attribute.SubCategoryEnum' : _MetaInfoEnum('SubCategoryEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'authentication-services':'authentication_services',
            'backup-systems':'backup_systems',
            'consumer-audio-streaming':'consumer_audio_streaming',
            'consumer-cloud-storage':'consumer_cloud_storage',
            'consumer-multimedia-messaging':'consumer_multimedia_messaging',
            'consumer-video-streaming':'consumer_video_streaming',
            'consumer-web-browsing':'consumer_web_browsing',
            'control-and-signaling':'control_and_signaling',
            'desktop-virtualization':'desktop_virtualization',
            'enterprise-cloud-data-storage':'enterprise_cloud_data_storage',
            'enterprise-cloud-services':'enterprise_cloud_services',
            'enterprise-data-center-storage':'enterprise_data_center_storage',
            'enterprise-media-conferencing':'enterprise_media_conferencing',
            'enterprise-realtime-apps':'enterprise_realtime_apps',
            'enterprise-rich-media-content':'enterprise_rich_media_content',
            'enterprise-sw-deployment-tools':'enterprise_sw_deployment_tools',
            'enterprise-transactional-apps':'enterprise_transactional_apps',
            'enterprise-video-broadcast':'enterprise_video_broadcast',
            'enterprise-voice-collaboration':'enterprise_voice_collaboration',
            'file-transfer':'file_transfer',
            'naming-services':'naming_services',
            'network-management':'network_management',
            'os-updates':'os_updates',
            'other':'other',
            'p2p-file-transfer':'p2p_file_transfer',
            'p2p-networking':'p2p_networking',
            'remote-access-terminal':'remote_access_terminal',
            'routing-protocol':'routing_protocol',
            'tunneling-protocols':'tunneling_protocols',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Ip.Nbar.AttributeMap.Attribute.TrafficClassEnum' : _MetaInfoEnum('TrafficClassEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'broadcast-video':'broadcast_video',
            'bulk-data':'bulk_data',
            'multimedia-conferencing':'multimedia_conferencing',
            'multimedia-streaming':'multimedia_streaming',
            'network-control':'network_control',
            'ops-admin-mgmt':'ops_admin_mgmt',
            'real-time-interactive':'real_time_interactive',
            'signaling':'signaling',
            'transactional-data':'transactional_data',
            'voip-telephony':'voip_telephony',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Ip.Nbar.AttributeMap.Attribute.TunnelEnum' : _MetaInfoEnum('TunnelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'tunnel-no':'tunnel_no',
            'tunnel-unassigned':'tunnel_unassigned',
            'tunnel-yes':'tunnel_yes',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Ip.Nbar.AttributeMap.Attribute' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.AttributeMap.Attribute',
            False, 
            [
            _MetaInfoClassMember('application-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Application-group attribute
                ''',
                'application_group',
                'Cisco-IOS-XE-nbar', False, [
                    _MetaInfoClassMember('application-group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Application-group attribute
                        ''',
                        'application_group',
                        'Cisco-IOS-XE-nbar', False),
                    _MetaInfoClassMember('application-group', REFERENCE_ENUM_CLASS, 'Native.Ip.Nbar.AttributeMap.Attribute.ApplicationGroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.AttributeMap.Attribute.ApplicationGroupEnum', 
                        [], [], 
                        '''                        Application-group attribute
                        ''',
                        'application_group',
                        'Cisco-IOS-XE-nbar', False),
                ]),
            _MetaInfoClassMember('business-relevance', REFERENCE_ENUM_CLASS, 'BusinessRelevanceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.AttributeMap.Attribute.BusinessRelevanceEnum', 
                [], [], 
                '''                Application business-relevance
                ''',
                'business_relevance',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('category', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Category attribute
                ''',
                'category',
                'Cisco-IOS-XE-nbar', False, [
                    _MetaInfoClassMember('category', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Category attribute
                        ''',
                        'category',
                        'Cisco-IOS-XE-nbar', False),
                    _MetaInfoClassMember('category', REFERENCE_ENUM_CLASS, 'Native.Ip.Nbar.AttributeMap.Attribute.CategoryEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.AttributeMap.Attribute.CategoryEnum', 
                        [], [], 
                        '''                        Category attribute
                        ''',
                        'category',
                        'Cisco-IOS-XE-nbar', False),
                ]),
            _MetaInfoClassMember('encrypted', REFERENCE_ENUM_CLASS, 'EncryptedEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.AttributeMap.Attribute.EncryptedEnum', 
                [], [], 
                '''                Encrypted applications
                ''',
                'encrypted',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('sub-category', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Sub-category attribute
                ''',
                'sub_category',
                'Cisco-IOS-XE-nbar', False, [
                    _MetaInfoClassMember('sub-category', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Sub-category attribute
                        ''',
                        'sub_category',
                        'Cisco-IOS-XE-nbar', False),
                    _MetaInfoClassMember('sub-category', REFERENCE_ENUM_CLASS, 'Native.Ip.Nbar.AttributeMap.Attribute.SubCategoryEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.AttributeMap.Attribute.SubCategoryEnum', 
                        [], [], 
                        '''                        Sub-category attribute
                        ''',
                        'sub_category',
                        'Cisco-IOS-XE-nbar', False),
                ]),
            _MetaInfoClassMember('traffic-class', REFERENCE_ENUM_CLASS, 'TrafficClassEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.AttributeMap.Attribute.TrafficClassEnum', 
                [], [], 
                '''                SRND class
                ''',
                'traffic_class',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('tunnel', REFERENCE_ENUM_CLASS, 'TunnelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.AttributeMap.Attribute.TunnelEnum', 
                [], [], 
                '''                Tunnelled applications
                ''',
                'tunnel',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.AttributeMap' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.AttributeMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-nbar', True),
            _MetaInfoClassMember('attribute', REFERENCE_CLASS, 'Attribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.AttributeMap.Attribute', 
                [], [], 
                '''                Attribute Name
                ''',
                'attribute',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'attribute-map',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.AttributeSet' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'protocol_name',
                'Cisco-IOS-XE-nbar', True),
            _MetaInfoClassMember('profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'profile_name',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.Custom.Http' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.Custom.Http',
            False, 
            [
            _MetaInfoClassMember('cookie', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                HTTP Cookie
                ''',
                'cookie',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Host name of Origin Server containing resource
                ''',
                'host',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Selector ID
                ''',
                'id',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('method', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                HTTP method
                ''',
                'method',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('referer', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address the resource request was obtained from
                ''',
                'referer',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Uniform Resource Locator path
                ''',
                'url',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('user-agent', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Software used by agent sending the request
                ''',
                'user_agent',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                HTTP version
                ''',
                'version',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('via', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                HTTP via field
                ''',
                'via',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'http',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar.Custom' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar.Custom',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-nbar', True),
            _MetaInfoClassMember('http', REFERENCE_CLASS, 'Http' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.Custom.Http', 
                [], [], 
                '''                Custom protocols based on http parameters
                ''',
                'http',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'custom',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Nbar' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Nbar',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_CLASS, 'Attribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.Attribute', 
                [], [], 
                '''                Attribute for which custom group value can be created
                ''',
                'attribute',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('attribute-map', REFERENCE_LIST, 'AttributeMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.AttributeMap', 
                [], [], 
                '''                Attribute Map
                ''',
                'attribute_map',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('attribute-set', REFERENCE_LIST, 'AttributeSet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.AttributeSet', 
                [], [], 
                '''                Set attribute Map
                ''',
                'attribute_set',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('custom', REFERENCE_LIST, 'Custom' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar.Custom', 
                [], [], 
                '''                Custom PDL (protocol description language) Module
                ''',
                'custom',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'nbar',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced',
            False, 
            [
            _MetaInfoClassMember('buckets', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Number of buckets to collect data
                ''',
                'buckets',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Aggregation interval
                ''',
                'interval',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'enhanced',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.IcmpEcho.History.FilterEnum' : _MetaInfoEnum('FilterEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'all':'all',
            'failures':'failures',
            'none':'none',
            'overThreshold':'overThreshold',
        }, 'Cisco-IOS-XE-sla', _yang_ns._namespaces['Cisco-IOS-XE-sla']),
    'Native.Ip.Sla.Entry.IcmpEcho.History' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.IcmpEcho.History',
            False, 
            [
            _MetaInfoClassMember('buckets-kept', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum number of history buckets to collect
                ''',
                'buckets_kept',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('distributions-of-statistics-kept', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum number of statistics distribution buckets to capture
                ''',
                'distributions_of_statistics_kept',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('enhanced', REFERENCE_CLASS, 'Enhanced' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced', 
                [], [], 
                '''                Enable enhanced history collection
                ''',
                'enhanced',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('filter', REFERENCE_ENUM_CLASS, 'FilterEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.IcmpEcho.History.FilterEnum', 
                [], [], 
                '''                Add operation to History when...
                ''',
                'filter',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('hours-of-statistics-kept', ATTRIBUTE, 'int' , None, None, 
                [('0', '25')], [], 
                '''                Maximum number of statistics hour groups to capture
                ''',
                'hours_of_statistics_kept',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('lives-kept', ATTRIBUTE, 'int' , None, None, 
                [('0', '2')], [], 
                '''                Maximum number of history lives to collect
                ''',
                'lives_kept',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('statistics-distribution-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Statistics distribution interval size
                ''',
                'statistics_distribution_interval',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.IcmpEcho' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.IcmpEcho',
            False, 
            [
            _MetaInfoClassMember('data-pattern', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Data Pattern
                ''',
                'data_pattern',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('destination', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'destination',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'destination',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'destination',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                Frequency of an operation
                ''',
                'frequency',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.IcmpEcho.History', 
                [], [], 
                '''                History and Distribution Data
                ''',
                'history',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('owner', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Owner of Entry
                ''',
                'owner',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('request-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '16384')], [], 
                '''                Request data size
                ''',
                'request_data_size',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Interface (ingress icmp packet interface)
                ''',
                'source_interface',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source Address
                ''',
                'source_ip',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Source Address
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source Address
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined tag
                ''',
                'tag',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '60000')], [], 
                '''                Operation threshold in milliseconds
                ''',
                'threshold',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '604800000')], [], 
                '''                Timeout of an operation
                ''',
                'timeout',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type Of Service
                ''',
                'tos',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('verify-data', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Verify data
                ''',
                'verify_data',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure IP SLAs for a VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'icmp-echo',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.PathEcho' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.PathEcho',
            False, 
            [
            _MetaInfoClassMember('dst-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination IP address or hostname, broadcast disallowed
                ''',
                'dst_ip',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('dst-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Destination IP address or hostname, broadcast disallowed
                        ''',
                        'dst_ip',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('dst-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination IP address or hostname, broadcast disallowed
                        ''',
                        'dst_ip',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('hops-of-statistics-kept', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                Maximum number of statistics hops to capture
                ''',
                'hops_of_statistics_kept',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('paths-of-statistics-kept', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Maximum number of statistics paths to capture
                ''',
                'paths_of_statistics_kept',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('samples-of-history-kept', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                Maximum number of history samples to collect
                ''',
                'samples_of_history_kept',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address or hostname, broadcast disallowed
                ''',
                'source_ip',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        IP address or hostname, broadcast disallowed
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address or hostname, broadcast disallowed
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                ]),
            ],
            'Cisco-IOS-XE-sla',
            'path-echo',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.PathJitter.Default' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.PathJitter.Default',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Frequency of an operation
                ''',
                'frequency',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('lsr-path', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Loose Source Routing Path
                ''',
                'lsr_path',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('owner', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Owner of Entry
                ''',
                'owner',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('request-data-size', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request data size
                ''',
                'request_data_size',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                User defined tag
                ''',
                'tag',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Operation threshold in milliseconds
                ''',
                'threshold',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Timeout of an operation
                ''',
                'timeout',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Type Of Service
                ''',
                'tos',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('verify-data', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Verify data
                ''',
                'verify_data',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure IP SLAs for a VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.PathJitter' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.PathJitter',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.PathJitter.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('dst-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dst_ip',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('dst-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'dst_ip',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('dst-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dst_ip',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('dst-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dst_ip',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                Frequency of an operation
                ''',
                'frequency',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('lsr-path', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Loose Source Routing Path
                ''',
                'lsr_path',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('lsr-path', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Loose Source Routing Path
                        ''',
                        'lsr_path',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('lsr-path', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Loose Source Routing Path
                        ''',
                        'lsr_path',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('owner', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Owner of Entry
                ''',
                'owner',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('request-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '16384')], [], 
                '''                Request data size
                ''',
                'request_data_size',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP Address
                ''',
                'source_ip',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Source IP Address
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP Address
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined tag
                ''',
                'tag',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '60000')], [], 
                '''                Operation threshold in milliseconds
                ''',
                'threshold',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '604800000')], [], 
                '''                Timeout of an operation
                ''',
                'timeout',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type Of Service
                ''',
                'tos',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('verify-data', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Verify data
                ''',
                'verify_data',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure IP SLAs for a VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'path-jitter',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.UdpEcho' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.UdpEcho',
            False, 
            [
            _MetaInfoClassMember('dest-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Hostname or A.B.C.D  Destination IP address or hostname, broadcast disallowed
                ''',
                'dest_addr',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('dest-addr', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Hostname or A.B.C.D  Destination IP address or hostname, broadcast disallowed
                        ''',
                        'dest_addr',
                        'Cisco-IOS-XE-sla', False, [
                            _MetaInfoClassMember('dest-addr', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Hostname or A.B.C.D  Destination IP address or hostname, broadcast disallowed
                                ''',
                                'dest_addr',
                                'Cisco-IOS-XE-sla', False),
                            _MetaInfoClassMember('dest-addr', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Hostname or A.B.C.D  Destination IP address or hostname, broadcast disallowed
                                ''',
                                'dest_addr',
                                'Cisco-IOS-XE-sla', False),
                        ]),
                    _MetaInfoClassMember('dest-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Hostname or A.B.C.D  Destination IP address or hostname, broadcast disallowed
                        ''',
                        'dest_addr',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('dest-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Port Number (Recommended ports greater than 1023)
                ''',
                'dest_port',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address: Hostname or A.B.C.D IP address or hostname, broadcast disallowed
                ''',
                'source_ip',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Source address: Hostname or A.B.C.D IP address or hostname, broadcast disallowed
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False, [
                            _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Source address: Hostname or A.B.C.D IP address or hostname, broadcast disallowed
                                ''',
                                'source_ip',
                                'Cisco-IOS-XE-sla', False),
                            _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Source address: Hostname or A.B.C.D IP address or hostname, broadcast disallowed
                                ''',
                                'source_ip',
                                'Cisco-IOS-XE-sla', False),
                        ]),
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Source address: Hostname or A.B.C.D IP address or hostname, broadcast disallowed
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Source Port: Port Number (Recommended ports greater than 1023)
                ''',
                'source_port',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'udp-echo',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.UdpJitter.History.Enhanced' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.UdpJitter.History.Enhanced',
            False, 
            [
            _MetaInfoClassMember('buckets', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Number of buckets to collect data
                ''',
                'buckets',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Aggregation interval
                ''',
                'interval',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'enhanced',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.UdpJitter.History' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.UdpJitter.History',
            False, 
            [
            _MetaInfoClassMember('distributions-of-statistics-kept', ATTRIBUTE, 'int' , None, None, 
                [('1', '20')], [], 
                '''                Maximum number of statistics distribution buckets to capture
                ''',
                'distributions_of_statistics_kept',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('enhanced', REFERENCE_CLASS, 'Enhanced' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.UdpJitter.History.Enhanced', 
                [], [], 
                '''                Enable enhanced history collection
                ''',
                'enhanced',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('hours-of-statistics-kept', ATTRIBUTE, 'int' , None, None, 
                [('0', '25')], [], 
                '''                Maximum number of statistics hour groups to capture
                ''',
                'hours_of_statistics_kept',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('statistics-distribution-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Statistics distribution interval size
                ''',
                'statistics_distribution_interval',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.UdpJitter' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.UdpJitter',
            False, 
            [
            _MetaInfoClassMember('dest-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Hostname or A.B.C.D  Destination IP address or hostname
                ''',
                'dest_addr',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('dest-addr', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Hostname or A.B.C.D  Destination IP address or hostname
                        ''',
                        'dest_addr',
                        'Cisco-IOS-XE-sla', False, [
                            _MetaInfoClassMember('dest-addr', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Hostname or A.B.C.D  Destination IP address or hostname
                                ''',
                                'dest_addr',
                                'Cisco-IOS-XE-sla', False),
                            _MetaInfoClassMember('dest-addr', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Hostname or A.B.C.D  Destination IP address or hostname
                                ''',
                                'dest_addr',
                                'Cisco-IOS-XE-sla', False),
                        ]),
                    _MetaInfoClassMember('dest-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Hostname or A.B.C.D  Destination IP address or hostname
                        ''',
                        'dest_addr',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.UdpJitter.History', 
                [], [], 
                '''                History and Distribution Data
                ''',
                'history',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('4', '60000')], [], 
                '''                Delay (default 20)
                ''',
                'interval',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('num-packets', ATTRIBUTE, 'int' , None, None, 
                [('1', '60000')], [], 
                '''                Number of Packets (default 10)
                ''',
                'num_packets',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('owner', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Owner of Entry
                ''',
                'owner',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('portno', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Port Number
                ''',
                'portno',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('request-data-size', ATTRIBUTE, 'int' , None, None, 
                [('16', '17512')], [], 
                '''                Number of bytes in payload
                ''',
                'request_data_size',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Hostname or A.B.C.D  IP address or hostname, broadcast disallowed
                ''',
                'source_ip',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Hostname or A.B.C.D  IP address or hostname, broadcast disallowed
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False, [
                            _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Hostname or A.B.C.D  IP address or hostname, broadcast disallowed
                                ''',
                                'source_ip',
                                'Cisco-IOS-XE-sla', False),
                            _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Hostname or A.B.C.D  IP address or hostname, broadcast disallowed
                                ''',
                                'source_ip',
                                'Cisco-IOS-XE-sla', False),
                        ]),
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Hostname or A.B.C.D  IP address or hostname, broadcast disallowed
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined tag
                ''',
                'tag',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '60000')], [], 
                '''                Operation threshold in milliseconds
                ''',
                'threshold',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '604800000')], [], 
                '''                Timeout of an operation
                ''',
                'timeout',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type Of Service
                ''',
                'tos',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('traffic-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Traffic class
                ''',
                'traffic_class',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure IP SLAs for a VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'udp-jitter',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.Http.Get' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.Http.Get',
            False, 
            [
            _MetaInfoClassMember('name-server', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Name server
                ''',
                'name_server',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('name-server', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Name server
                        ''',
                        'name_server',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('name-server', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Name server
                        ''',
                        'name_server',
                        'Cisco-IOS-XE-sla', False, [
                            _MetaInfoClassMember('name-server', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Name server
                                ''',
                                'name_server',
                                'Cisco-IOS-XE-sla', False),
                            _MetaInfoClassMember('name-server', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Name server
                                ''',
                                'name_server',
                                'Cisco-IOS-XE-sla', False),
                        ]),
                ]),
            _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source Address
                ''',
                'source_ip',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Source Address
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False, [
                            _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Source Address
                                ''',
                                'source_ip',
                                'Cisco-IOS-XE-sla', False),
                            _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Source Address
                                ''',
                                'source_ip',
                                'Cisco-IOS-XE-sla', False),
                        ]),
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Source Address
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Source port
                ''',
                'source_port',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                URL
                ''',
                'url',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'get',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.Http.Raw' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.Http.Raw',
            False, 
            [
            _MetaInfoClassMember('name-server', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Name server
                ''',
                'name_server',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('name-server', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Name server
                        ''',
                        'name_server',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('name-server', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Name server
                        ''',
                        'name_server',
                        'Cisco-IOS-XE-sla', False, [
                            _MetaInfoClassMember('name-server', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Name server
                                ''',
                                'name_server',
                                'Cisco-IOS-XE-sla', False),
                            _MetaInfoClassMember('name-server', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Name server
                                ''',
                                'name_server',
                                'Cisco-IOS-XE-sla', False),
                        ]),
                ]),
            _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source Address
                ''',
                'source_ip',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Source Address
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False, [
                            _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Source Address
                                ''',
                                'source_ip',
                                'Cisco-IOS-XE-sla', False),
                            _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Source Address
                                ''',
                                'source_ip',
                                'Cisco-IOS-XE-sla', False),
                        ]),
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Source Address
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Source port
                ''',
                'source_port',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'url',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'raw',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.Http' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.Http',
            False, 
            [
            _MetaInfoClassMember('get', REFERENCE_CLASS, 'Get' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.Http.Get', 
                [], [], 
                '''                HTTP get operation
                ''',
                'get',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('owner', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Owner of Entry
                ''',
                'owner',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('raw', REFERENCE_CLASS, 'Raw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.Http.Raw', 
                [], [], 
                '''                HTTP raw operation
                ''',
                'raw',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined tag
                ''',
                'tag',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure IP SLAs for a new VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'http',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry.Dhcp',
            False, 
            [
            _MetaInfoClassMember('dst-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination IP address or hostname, broadcast disallowed
                ''',
                'dst_ip',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('dst-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Destination IP address or hostname, broadcast disallowed
                        ''',
                        'dst_ip',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('dst-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination IP address or hostname, broadcast disallowed
                        ''',
                        'dst_ip',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('source-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address or hostname, broadcast disallowed
                ''',
                'source_ip',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        IP address or hostname, broadcast disallowed
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address or hostname, broadcast disallowed
                        ''',
                        'source_ip',
                        'Cisco-IOS-XE-sla', False),
                ]),
            ],
            'Cisco-IOS-XE-sla',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Entry' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Entry',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-sla', True),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.Dhcp', 
                [], [], 
                '''                DHCP Operation
                ''',
                'dhcp',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('http', REFERENCE_CLASS, 'Http' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.Http', 
                [], [], 
                '''                HTTP Operation
                ''',
                'http',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('icmp-echo', REFERENCE_CLASS, 'IcmpEcho' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.IcmpEcho', 
                [], [], 
                '''                ICMP Echo Operation
                ''',
                'icmp_echo',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('path-echo', REFERENCE_CLASS, 'PathEcho' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.PathEcho', 
                [], [], 
                '''                Path Discovered ICMP Echo Operation
                ''',
                'path_echo',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('path-jitter', REFERENCE_CLASS, 'PathJitter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.PathJitter', 
                [], [], 
                '''                Path Discovered ICMP Jitter Operation
                ''',
                'path_jitter',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('udp-echo', REFERENCE_CLASS, 'UdpEcho' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.UdpEcho', 
                [], [], 
                '''                UDP echo operation
                ''',
                'udp_echo',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('udp-jitter', REFERENCE_CLASS, 'UdpJitter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry.UdpJitter', 
                [], [], 
                '''                UDP jitter operation
                ''',
                'udp_jitter',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'entry',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Enable',
            False, 
            [
            _MetaInfoClassMember('reaction-alerts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'reaction_alerts',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Responder.UdpEcho.Ipaddress' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Responder.UdpEcho.Ipaddress',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'host',
                'Cisco-IOS-XE-sla', True, [
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'host',
                        'Cisco-IOS-XE-sla', True),
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'host',
                        'Cisco-IOS-XE-sla', True),
                ]),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Permanent port
                ''',
                'port',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'ipaddress',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Responder.UdpEcho' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Responder.UdpEcho',
            False, 
            [
            _MetaInfoClassMember('ipaddress', REFERENCE_LIST, 'Ipaddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Responder.UdpEcho.Ipaddress', 
                [], [], 
                '''                Permanent address
                ''',
                'ipaddress',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Permanent port
                ''',
                'port',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'udp-echo',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Responder.TcpConnect.Ipaddress' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Responder.TcpConnect.Ipaddress',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'host',
                'Cisco-IOS-XE-sla', True, [
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'host',
                        'Cisco-IOS-XE-sla', True),
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'host',
                        'Cisco-IOS-XE-sla', True),
                ]),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Permanent port
                ''',
                'port',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'ipaddress',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Responder.TcpConnect' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Responder.TcpConnect',
            False, 
            [
            _MetaInfoClassMember('ipaddress', REFERENCE_LIST, 'Ipaddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Responder.TcpConnect.Ipaddress', 
                [], [], 
                '''                Permanent address
                ''',
                'ipaddress',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Permanent port
                ''',
                'port',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'tcp-connect',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Responder' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Responder',
            False, 
            [
            _MetaInfoClassMember('tcp-connect', REFERENCE_CLASS, 'TcpConnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Responder.TcpConnect', 
                [], [], 
                '''                Setup tcp-connect responder
                ''',
                'tcp_connect',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('udp-echo', REFERENCE_CLASS, 'UdpEcho' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Responder.UdpEcho', 
                [], [], 
                '''                Setup udp-echo responder
                ''',
                'udp_echo',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'responder',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Logging',
            False, 
            [
            _MetaInfoClassMember('traps', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable syslog traps
                ''',
                'traps',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency',
            False, 
            [
            _MetaInfoClassMember('frequency-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specify frequency in seconds
                ''',
                'frequency_val',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group operation frequency-range for random scheduling
                ''',
                'range',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'frequency',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime',
            False, 
            [
            _MetaInfoClassMember('now', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start now
                ''',
                'now',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'start-time',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.LifeEnum' : _MetaInfoEnum('LifeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'forever':'forever',
        }, 'Cisco-IOS-XE-sla', _yang_ns._namespaces['Cisco-IOS-XE-sla']),
    'Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod',
            False, 
            [
            _MetaInfoClassMember('frequency', REFERENCE_CLASS, 'Frequency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency', 
                [], [], 
                '''                Group operation frequency
                ''',
                'frequency',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('life', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Length of time to execute in seconds
                ''',
                'life',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('life', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Length of time to execute in seconds
                        ''',
                        'life',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('life', REFERENCE_ENUM_CLASS, 'Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.LifeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.LifeEnum', 
                        [], [], 
                        '''                        Length of time to execute in seconds
                        ''',
                        'life',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('start-time', REFERENCE_CLASS, 'StartTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime', 
                [], [], 
                '''                When to start this entry
                ''',
                'start_time',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'schedule-period',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Group.Schedule.ProbeIds' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Group.Schedule.ProbeIds',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-sla', True),
            _MetaInfoClassMember('schedule-period', REFERENCE_CLASS, 'SchedulePeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod', 
                [], [], 
                '''                Group schedule period range
                ''',
                'schedule_period',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'probe-ids',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Group.Schedule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Group.Schedule',
            False, 
            [
            _MetaInfoClassMember('entry-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Group schedule entry number
                ''',
                'entry_number',
                'Cisco-IOS-XE-sla', True),
            _MetaInfoClassMember('probe-ids', REFERENCE_LIST, 'ProbeIds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Group.Schedule.ProbeIds', 
                [], [], 
                '''                ''',
                'probe_ids',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'schedule',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Group' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Group',
            False, 
            [
            _MetaInfoClassMember('schedule', REFERENCE_LIST, 'Schedule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Group.Schedule', 
                [], [], 
                '''                Group scheduling
                ''',
                'schedule',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Schedule.StartTime' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Schedule.StartTime',
            False, 
            [
            _MetaInfoClassMember('after', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Start after a certain amount of time from now
                ''',
                'after',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('hour-min', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'hour_min',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('hour-min-sec', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'hour_min_sec',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('now', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start now
                ''',
                'now',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('pending', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start pending
                ''',
                'pending',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('random', ATTRIBUTE, 'int' , None, None, 
                [('500', '10000')], [], 
                '''                Start after random time (range)
                ''',
                'random',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'start-time',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Schedule.LifeEnum' : _MetaInfoEnum('LifeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'forever':'forever',
        }, 'Cisco-IOS-XE-sla', _yang_ns._namespaces['Cisco-IOS-XE-sla']),
    'Native.Ip.Sla.Schedule' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Schedule',
            False, 
            [
            _MetaInfoClassMember('entry-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry_number',
                'Cisco-IOS-XE-sla', True),
            _MetaInfoClassMember('ageout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2073600')], [], 
                '''                How long to keep this Entry when inactive
                ''',
                'ageout',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('life', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Length of time to execute in seconds
                ''',
                'life',
                'Cisco-IOS-XE-sla', False, [
                    _MetaInfoClassMember('life', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Length of time to execute in seconds
                        ''',
                        'life',
                        'Cisco-IOS-XE-sla', False),
                    _MetaInfoClassMember('life', REFERENCE_ENUM_CLASS, 'Native.Ip.Sla.Schedule.LifeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Schedule.LifeEnum', 
                        [], [], 
                        '''                        Length of time to execute in seconds
                        ''',
                        'life',
                        'Cisco-IOS-XE-sla', False),
                ]),
            _MetaInfoClassMember('recurring', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe to be scheduled automatically every day
                ''',
                'recurring',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('start-time', REFERENCE_CLASS, 'StartTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Schedule.StartTime', 
                [], [], 
                '''                When to start this entry
                ''',
                'start_time',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'schedule',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy.ActionTypeEnum' : _MetaInfoEnum('ActionTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'none':'none',
            'trapAndTrigger':'trapAndTrigger',
            'trapOnly':'trapOnly',
            'triggerOnly':'triggerOnly',
        }, 'Cisco-IOS-XE-sla', _yang_ns._namespaces['Cisco-IOS-XE-sla']),
    'Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy',
            False, 
            [
            _MetaInfoClassMember('action-type', REFERENCE_ENUM_CLASS, 'ActionTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy.ActionTypeEnum', 
                [], [], 
                '''                ''',
                'action_type',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('x-val', ATTRIBUTE, 'int' , None, None, 
                [('1', '16')], [], 
                '''                X value
                ''',
                'x_val',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('y-val', ATTRIBUTE, 'int' , None, None, 
                [('1', '16')], [], 
                '''                Y value
                ''',
                'y_val',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'xOfy',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType',
            False, 
            [
            _MetaInfoClassMember('xOfy', REFERENCE_CLASS, 'Xofy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy', 
                [], [], 
                '''                ''',
                'xofy',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'threshold-type',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.ReactionConfiguration.React.Connectionloss' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.ReactionConfiguration.React.Connectionloss',
            False, 
            [
            _MetaInfoClassMember('threshold-type', REFERENCE_CLASS, 'ThresholdType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType', 
                [], [], 
                '''                ''',
                'threshold_type',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'connectionLoss',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue.ActionTypeEnum' : _MetaInfoEnum('ActionTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'none':'none',
            'trapAndTrigger':'trapAndTrigger',
            'trapOnly':'trapOnly',
            'triggerOnly':'triggerOnly',
        }, 'Cisco-IOS-XE-sla', _yang_ns._namespaces['Cisco-IOS-XE-sla']),
    'Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue.ThresholdTypeEnum' : _MetaInfoEnum('ThresholdTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'immediate':'immediate',
        }, 'Cisco-IOS-XE-sla', _yang_ns._namespaces['Cisco-IOS-XE-sla']),
    'Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue',
            False, 
            [
            _MetaInfoClassMember('action-type', REFERENCE_ENUM_CLASS, 'ActionTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue.ActionTypeEnum', 
                [], [], 
                '''                ''',
                'action_type',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('lower-limit-val', ATTRIBUTE, 'int' , None, None, 
                [('1', '60000')], [], 
                '''                Lower limit
                ''',
                'lower_limit_val',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('threshold-type', REFERENCE_ENUM_CLASS, 'ThresholdTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue.ThresholdTypeEnum', 
                [], [], 
                '''                Threshold type
                ''',
                'threshold_type',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('upper-limit-val', ATTRIBUTE, 'int' , None, None, 
                [('1', '60000')], [], 
                '''                Upper limit
                ''',
                'upper_limit_val',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'threshold-value',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.ReactionConfiguration.React.Rtt' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.ReactionConfiguration.React.Rtt',
            False, 
            [
            _MetaInfoClassMember('threshold-value', REFERENCE_CLASS, 'ThresholdValue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue', 
                [], [], 
                '''                ''',
                'threshold_value',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'rtt',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.ReactionConfiguration.React' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.ReactionConfiguration.React',
            False, 
            [
            _MetaInfoClassMember('connectionLoss', REFERENCE_CLASS, 'Connectionloss' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.ReactionConfiguration.React.Connectionloss', 
                [], [], 
                '''                ''',
                'connectionloss',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('rtt', REFERENCE_CLASS, 'Rtt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.ReactionConfiguration.React.Rtt', 
                [], [], 
                '''                ''',
                'rtt',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'react',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.ReactionConfiguration' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.ReactionConfiguration',
            False, 
            [
            _MetaInfoClassMember('entry-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Entry number
                ''',
                'entry_number',
                'Cisco-IOS-XE-sla', True),
            _MetaInfoClassMember('react', REFERENCE_CLASS, 'React' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.ReactionConfiguration.React', 
                [], [], 
                '''                ''',
                'react',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'reaction-configuration',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Server.Twamp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Server.Twamp',
            False, 
            [
            ],
            'Cisco-IOS-XE-sla',
            'twamp',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla.Server' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla.Server',
            False, 
            [
            _MetaInfoClassMember('twamp', REFERENCE_CLASS, 'Twamp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Server.Twamp', 
                [], [], 
                '''                IPPM TWAMP server configuration
                ''',
                'twamp',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Sla' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Sla',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Enable', 
                [], [], 
                '''                ''',
                'enable',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('entry', REFERENCE_LIST, 'Entry' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Entry', 
                [], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Group', 
                [], [], 
                '''                Group Configuration or Group Scheduling
                ''',
                'group',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Logging', 
                [], [], 
                '''                low-memory
                ''',
                'logging',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('reaction-configuration', REFERENCE_LIST, 'ReactionConfiguration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.ReactionConfiguration', 
                [], [], 
                '''                IP SLA's reaction configuration
                ''',
                'reaction_configuration',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('responder', REFERENCE_CLASS, 'Responder' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Responder', 
                [], [], 
                '''                Enable IP SLAs Responder
                ''',
                'responder',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('schedule', REFERENCE_LIST, 'Schedule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Schedule', 
                [], [], 
                '''                Entry Scheduling
                ''',
                'schedule',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla.Server', 
                [], [], 
                '''                IPPM server configuration
                ''',
                'server',
                'Cisco-IOS-XE-sla', False),
            ],
            'Cisco-IOS-XE-sla',
            'sla',
            _yang_ns._namespaces['Cisco-IOS-XE-sla'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.WccpList.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-wccp', _yang_ns._namespaces['Cisco-IOS-XE-wccp']),
    'Native.Ip.Wccp.WccpList.Password' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.WccpList.Password',
            False, 
            [
            _MetaInfoClassMember('clear-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clear_key',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.WccpList.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.WccpList.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'closed':'closed',
            'open':'open',
        }, 'Cisco-IOS-XE-wccp', _yang_ns._namespaces['Cisco-IOS-XE-wccp']),
    'Native.Ip.Wccp.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the multicast group
                ''',
                'group_address',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('group-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the access-list used to permit group membership
                ''',
                'group_list',
                'Cisco-IOS-XE-wccp', False, [
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Set the access-list used to permit group membership
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-wccp', False),
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Set the access-list used to permit group membership
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-wccp', False),
                ]),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.WccpList.ModeEnum', 
                [], [], 
                '''                Set the service mode
                ''',
                'mode',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.WccpList.Password', 
                [], [], 
                '''                Set the authentication password
                ''',
                'password',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the access-list used to permit redirection
                ''',
                'redirect_list',
                'Cisco-IOS-XE-wccp', False, [
                    _MetaInfoClassMember('redirect-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Set the access-list used to permit redirection
                        ''',
                        'redirect_list',
                        'Cisco-IOS-XE-wccp', False),
                    _MetaInfoClassMember('redirect-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Set the access-list used to permit redirection
                        ''',
                        'redirect_list',
                        'Cisco-IOS-XE-wccp', False),
                ]),
            _MetaInfoClassMember('snmp-disabled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable SNMP for WCCP GRE Tunnel
                ''',
                'snmp_disabled',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.WebCache.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-wccp', _yang_ns._namespaces['Cisco-IOS-XE-wccp']),
    'Native.Ip.Wccp.WebCache.Password' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.WebCache.Password',
            False, 
            [
            _MetaInfoClassMember('clear-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clear_key',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.WebCache.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.WebCache.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'closed':'closed',
            'open':'open',
        }, 'Cisco-IOS-XE-wccp', _yang_ns._namespaces['Cisco-IOS-XE-wccp']),
    'Native.Ip.Wccp.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the multicast group
                ''',
                'group_address',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('group-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the access-list used to permit group membership
                ''',
                'group_list',
                'Cisco-IOS-XE-wccp', False, [
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Set the access-list used to permit group membership
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-wccp', False),
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Set the access-list used to permit group membership
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-wccp', False),
                ]),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.WebCache.ModeEnum', 
                [], [], 
                '''                Set the service mode
                ''',
                'mode',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.WebCache.Password', 
                [], [], 
                '''                Set the authentication password
                ''',
                'password',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the access-list used to permit redirection
                ''',
                'redirect_list',
                'Cisco-IOS-XE-wccp', False, [
                    _MetaInfoClassMember('redirect-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Set the access-list used to permit redirection
                        ''',
                        'redirect_list',
                        'Cisco-IOS-XE-wccp', False),
                    _MetaInfoClassMember('redirect-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Set the access-list used to permit redirection
                        ''',
                        'redirect_list',
                        'Cisco-IOS-XE-wccp', False),
                ]),
            _MetaInfoClassMember('snmp-disabled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable SNMP for WCCP GRE Tunnel
                ''',
                'snmp_disabled',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.Check.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.Check.Acl',
            False, 
            [
            _MetaInfoClassMember('outbound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable acl check on original outbound interface
                ''',
                'outbound',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.Check.Services' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.Check.Services',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable all services check for redirection
                ''',
                'all',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'services',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.Check' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.Check',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Check.Acl', 
                [], [], 
                '''                Enable acl check
                ''',
                'acl',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('services', REFERENCE_CLASS, 'Services' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Check.Services', 
                [], [], 
                '''                Enable services check
                ''',
                'services',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'check',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.Vrf.WccpList.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-wccp', _yang_ns._namespaces['Cisco-IOS-XE-wccp']),
    'Native.Ip.Wccp.Vrf.WccpList.Password' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.Vrf.WccpList.Password',
            False, 
            [
            _MetaInfoClassMember('clear-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clear_key',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Vrf.WccpList.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.Vrf.WccpList.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'closed':'closed',
            'open':'open',
        }, 'Cisco-IOS-XE-wccp', _yang_ns._namespaces['Cisco-IOS-XE-wccp']),
    'Native.Ip.Wccp.Vrf.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.Vrf.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the multicast group
                ''',
                'group_address',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('group-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the access-list used to permit group membership
                ''',
                'group_list',
                'Cisco-IOS-XE-wccp', False, [
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Set the access-list used to permit group membership
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-wccp', False),
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Set the access-list used to permit group membership
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-wccp', False),
                ]),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Vrf.WccpList.ModeEnum', 
                [], [], 
                '''                Set the service mode
                ''',
                'mode',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Vrf.WccpList.Password', 
                [], [], 
                '''                Set the authentication password
                ''',
                'password',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the access-list used to permit redirection
                ''',
                'redirect_list',
                'Cisco-IOS-XE-wccp', False, [
                    _MetaInfoClassMember('redirect-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Set the access-list used to permit redirection
                        ''',
                        'redirect_list',
                        'Cisco-IOS-XE-wccp', False),
                    _MetaInfoClassMember('redirect-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Set the access-list used to permit redirection
                        ''',
                        'redirect_list',
                        'Cisco-IOS-XE-wccp', False),
                ]),
            _MetaInfoClassMember('snmp-disabled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable SNMP for WCCP GRE Tunnel
                ''',
                'snmp_disabled',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.Vrf.WebCache.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-wccp', _yang_ns._namespaces['Cisco-IOS-XE-wccp']),
    'Native.Ip.Wccp.Vrf.WebCache.Password' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.Vrf.WebCache.Password',
            False, 
            [
            _MetaInfoClassMember('clear-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clear_key',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Vrf.WebCache.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.Vrf.WebCache.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'closed':'closed',
            'open':'open',
        }, 'Cisco-IOS-XE-wccp', _yang_ns._namespaces['Cisco-IOS-XE-wccp']),
    'Native.Ip.Wccp.Vrf.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.Vrf.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the multicast group
                ''',
                'group_address',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('group-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the access-list used to permit group membership
                ''',
                'group_list',
                'Cisco-IOS-XE-wccp', False, [
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Set the access-list used to permit group membership
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-wccp', False),
                    _MetaInfoClassMember('group-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Set the access-list used to permit group membership
                        ''',
                        'group_list',
                        'Cisco-IOS-XE-wccp', False),
                ]),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Vrf.WebCache.ModeEnum', 
                [], [], 
                '''                Set the service mode
                ''',
                'mode',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Vrf.WebCache.Password', 
                [], [], 
                '''                Set the authentication password
                ''',
                'password',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the access-list used to permit redirection
                ''',
                'redirect_list',
                'Cisco-IOS-XE-wccp', False, [
                    _MetaInfoClassMember('redirect-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Set the access-list used to permit redirection
                        ''',
                        'redirect_list',
                        'Cisco-IOS-XE-wccp', False),
                    _MetaInfoClassMember('redirect-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Set the access-list used to permit redirection
                        ''',
                        'redirect_list',
                        'Cisco-IOS-XE-wccp', False),
                ]),
            _MetaInfoClassMember('snmp-disabled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable SNMP for WCCP GRE Tunnel
                ''',
                'snmp_disabled',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set source interface for Router ID
                ''',
                'source_interface',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Vrf.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Vrf.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip.Wccp' : {
        'meta_info' : _MetaInfoClass('Native.Ip.Wccp',
            False, 
            [
            _MetaInfoClassMember('check', REFERENCE_CLASS, 'Check' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Check', 
                [], [], 
                '''                Enable a WCCP check
                ''',
                'check',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set source interface for Router ID
                ''',
                'source_interface',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.Vrf', 
                [], [], 
                '''                Configure WCCP for a VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Ip',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_CLASS, 'AccessList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AccessList', 
                [], [], 
                '''                IOS Named access list
                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', REFERENCE_CLASS, 'Admission' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Admission', 
                [], [], 
                '''                Network Admission Control (NAC)
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Arp', 
                [], [], 
                '''                IP ARP global configuration
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('as-path', REFERENCE_CLASS, 'AsPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.AsPath', 
                [], [], 
                '''                BGP autonomous system path filter
                ''',
                'as_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bgp-community', REFERENCE_CLASS, 'BgpCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.BgpCommunity', 
                [], [], 
                '''                format for BGP community
                ''',
                'bgp_community',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bootp', REFERENCE_CLASS, 'Bootp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Bootp', 
                [], [], 
                '''                Config BOOTP services
                ''',
                'bootp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cef', REFERENCE_CLASS, 'Cef' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Cef', 
                [], [], 
                '''                Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('classless', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Follow classless routing forwarding rules
                ''',
                'classless',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('community-list', REFERENCE_CLASS, 'CommunityList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.CommunityList', 
                [], [], 
                '''                Add a community list entry
                ''',
                'community_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-gateway', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Specify default gateway (if not routing IP)
                ''',
                'default_gateway',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('device', REFERENCE_CLASS, 'Device' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Device', 
                [], [], 
                '''                Device tracking
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP server and relay parameters
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dns', REFERENCE_CLASS, 'Dns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Dns', 
                [], [], 
                '''                Configure DNS server for a zone
                ''',
                'dns',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Domain', 
                [], [], 
                '''                IP DNS Resolver
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain-list', REFERENCE_CLASS, 'DomainList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.DomainList', 
                [], [], 
                '''                Domain name to complete unqualified host names
                ''',
                'domain_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain-lookup', REFERENCE_CLASS, 'DomainLookup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.DomainLookup', 
                [], [], 
                '''                Enable IP Domain Name System hostname translation
                ''',
                'domain_lookup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain-lookup-conf', REFERENCE_CLASS, 'DomainLookupConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.DomainLookupConf', 
                [], [], 
                '''                ''',
                'domain_lookup_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Define the default domain name
                ''',
                'domain_name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('explicit-path', REFERENCE_LIST, 'ExplicitPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExplicitPath', 
                [], [], 
                '''                Configure explicit-path
                ''',
                'explicit_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('extcommunity-list', REFERENCE_CLASS, 'ExtcommunityList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ExtcommunityList', 
                [], [], 
                '''                Extended a community list entry
                ''',
                'extcommunity_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('finger', REFERENCE_CLASS, 'Finger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Finger', 
                [], [], 
                '''                finger server
                ''',
                'finger',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('forward-protocol', REFERENCE_CLASS, 'ForwardProtocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.ForwardProtocol', 
                [], [], 
                '''                Controls forwarding of physical and directed IP broadcasts
                ''',
                'forward_protocol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ftp', REFERENCE_CLASS, 'Ftp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ftp', 
                [], [], 
                '''                FTP configuration commands
                ''',
                'ftp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Host', 
                [], [], 
                '''                Add an entry to the ip hostname table
                ''',
                'host',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable host-based routing (proxy ARP and redirect)
                ''',
                'host_routing',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('http', REFERENCE_CLASS, 'Http' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Http', 
                [], [], 
                '''                HTTP server configuration
                ''',
                'http',
                'Cisco-IOS-XE-http', False),
            _MetaInfoClassMember('icmp', REFERENCE_CLASS, 'Icmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Icmp', 
                [], [], 
                '''                ICMP options
                ''',
                'icmp',
                'Cisco-IOS-XE-icmp', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Igmp', 
                [], [], 
                '''                IGMP global configuration
                ''',
                'igmp',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Local', 
                [], [], 
                '''                Specify local options
                ''',
                'local',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mcr-conf', REFERENCE_CLASS, 'McrConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.McrConf', 
                [], [], 
                '''                ''',
                'mcr_conf',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('mroute', REFERENCE_CLASS, 'Mroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Mroute', 
                [], [], 
                '''                Configure static multicast routes
                ''',
                'mroute',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('msdp', REFERENCE_CLASS, 'Msdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Msdp', 
                [], [], 
                '''                MSDP global commands
                ''',
                'msdp',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Multicast', 
                [], [], 
                '''                Global IP Multicast Commands
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast-routing', REFERENCE_CLASS, 'MulticastRouting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.MulticastRouting', 
                [], [], 
                '''                Enable IP multicast forwarding
                ''',
                'multicast_routing',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('name-server', REFERENCE_CLASS, 'NameServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.NameServer', 
                [], [], 
                '''                ''',
                'name_server',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nat', REFERENCE_CLASS, 'Nat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nat', 
                [], [], 
                '''                NAT configuration commands
                ''',
                'nat',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('nbar', REFERENCE_CLASS, 'Nbar' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Nbar', 
                [], [], 
                '''                NBAR - Network Based Application Recognition
                ''',
                'nbar',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Pim', 
                [], [], 
                '''                PIM global commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_CLASS, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.PrefixList', 
                [], [], 
                '''                Build a prefix list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('radius', REFERENCE_CLASS, 'Radius' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Radius', 
                [], [], 
                '''                RADIUS configuration commands
                ''',
                'radius',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('rcmd', REFERENCE_CLASS, 'Rcmd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Rcmd', 
                [], [], 
                '''                Rcmd commands
                ''',
                'rcmd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Route', 
                [], [], 
                '''                Establish static routes
                ''',
                'route',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IP routing
                ''',
                'routing',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('scp', REFERENCE_CLASS, 'Scp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Scp', 
                [], [], 
                '''                Scp commands
                ''',
                'scp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sla', REFERENCE_CLASS, 'Sla' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Sla', 
                [], [], 
                '''                IP Service Level Agreement
                ''',
                'sla',
                'Cisco-IOS-XE-sla', False),
            _MetaInfoClassMember('source-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Process packets with source routing header options
                ''',
                'source_route',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spd', REFERENCE_CLASS, 'Spd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Spd', 
                [], [], 
                '''                spd
                ''',
                'spd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ssh', REFERENCE_CLASS, 'Ssh' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Ssh', 
                [], [], 
                '''                Configure ssh options
                ''',
                'ssh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subnet-zero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow 'subnet zero' subnets
                ''',
                'subnet_zero',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tacacs', REFERENCE_CLASS, 'Tacacs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tacacs', 
                [], [], 
                '''                TACACS configuration commands
                ''',
                'tacacs',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tcp', 
                [], [], 
                '''                Global TCP parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('telnet', REFERENCE_CLASS, 'Telnet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Telnet', 
                [], [], 
                '''                Specify telnet options
                ''',
                'telnet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tftp', REFERENCE_CLASS, 'Tftp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Tftp', 
                [], [], 
                '''                tftp configuration commands
                ''',
                'tftp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Vrf', 
                [], [], 
                '''                Configure an IP VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wccp', REFERENCE_CLASS, 'Wccp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip.Wccp', 
                [], [], 
                '''                Web-Cache Coordination Protocol IPv4 Commands
                ''',
                'wccp',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mka.Policy.MacsecCipherSuite' : {
        'meta_info' : _MetaInfoClass('Native.Mka.Policy.MacsecCipherSuite',
            False, 
            [
            _MetaInfoClassMember('gcm-aes-128', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                GCM-AES-128 Cipher Suite
                ''',
                'gcm_aes_128',
                'Cisco-IOS-XE-mka', False),
            _MetaInfoClassMember('gcm-aes-256', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                GCM-AES-256 Cipher Suite
                ''',
                'gcm_aes_256',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-mka',
            'macsec-cipher-suite',
            _yang_ns._namespaces['Cisco-IOS-XE-mka'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mka.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Mka.Policy',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MKA Policy NAME
                ''',
                'name',
                'Cisco-IOS-XE-mka', True),
            _MetaInfoClassMember('macsec-cipher-suite', REFERENCE_CLASS, 'MacsecCipherSuite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mka.Policy.MacsecCipherSuite', 
                [], [], 
                '''                Cipher Suite for SAK derivation
                ''',
                'macsec_cipher_suite',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-mka',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-mka'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mka' : {
        'meta_info' : _MetaInfoClass('Native.Mka',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mka.Policy', 
                [], [], 
                '''                Configure MKA Policy
                ''',
                'policy',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-native',
            'mka',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Macro.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Macro.Global_',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Macro description of this device
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Macro.Auto.Execute.Builtin.SmartPortConfigurationEnum' : _MetaInfoEnum('SmartPortConfigurationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'CISCO_AP_AUTO_SMARTPORT':'CISCO_AP_AUTO_SMARTPORT',
            'CISCO_DMP_AUTO_SMARTPORT':'CISCO_DMP_AUTO_SMARTPORT',
            'CISCO_DMP_AUTO_SMARTPORT_V1':'CISCO_DMP_AUTO_SMARTPORT_V1',
            'CISCO_IP_CAMERA_AUTO_SMARTPORT':'CISCO_IP_CAMERA_AUTO_SMARTPORT',
            'CISCO_LAST_RESORT_SMARTPORT':'CISCO_LAST_RESORT_SMARTPORT',
            'CISCO_LIGHT_AUTO_SMARTPORT':'CISCO_LIGHT_AUTO_SMARTPORT',
            'CISCO_LWAP_AUTO_SMARTPORT':'CISCO_LWAP_AUTO_SMARTPORT',
            'CISCO_PHONE_AUTO_SMARTPORT':'CISCO_PHONE_AUTO_SMARTPORT',
            'CISCO_PHONE_AUTO_SMARTPORT_V1':'CISCO_PHONE_AUTO_SMARTPORT_V1',
            'CISCO_ROUTER_AUTO_SMARTPORT':'CISCO_ROUTER_AUTO_SMARTPORT',
            'CISCO_SWITCH_AUTO_SMARTPORT':'CISCO_SWITCH_AUTO_SMARTPORT',
            'MS_IP_CAMERA_AUTO_SMARTPORT':'MS_IP_CAMERA_AUTO_SMARTPORT',
            'MS_VIDEO_CONF_AUTO_SMARTPORT':'MS_VIDEO_CONF_AUTO_SMARTPORT',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Macro.Auto.Execute.Builtin' : {
        'meta_info' : _MetaInfoClass('Native.Macro.Auto.Execute.Builtin',
            False, 
            [
            _MetaInfoClassMember('parameters', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'parameters',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('smart-port-configuration', REFERENCE_ENUM_CLASS, 'SmartPortConfigurationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Macro.Auto.Execute.Builtin.SmartPortConfigurationEnum', 
                [], [], 
                '''                ''',
                'smart_port_configuration',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'builtin',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Macro.Auto.Execute' : {
        'meta_info' : _MetaInfoClass('Native.Macro.Auto.Execute',
            False, 
            [
            _MetaInfoClassMember('trigger-event', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'trigger_event',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('builtin', REFERENCE_CLASS, 'Builtin' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Macro.Auto.Execute.Builtin', 
                [], [], 
                '''                Display builtin shell functions
                ''',
                'builtin',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'execute',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Macro.Auto.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Macro.Auto.Global_',
            False, 
            [
            _MetaInfoClassMember('processing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable auto smartports, all ports enabled by default
                ''',
                'processing',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Macro.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Macro.Auto',
            False, 
            [
            _MetaInfoClassMember('execute', REFERENCE_LIST, 'Execute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Macro.Auto.Execute', 
                [], [], 
                '''                Map event trigger to macro
                ''',
                'execute',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Macro.Auto.Global_', 
                [], [], 
                '''                Macro auto execution configuration
                ''',
                'global_',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-native',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Macro' : {
        'meta_info' : _MetaInfoClass('Native.Macro',
            False, 
            [
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Macro.Auto', 
                [], [], 
                '''                Macro autoexecution settings
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Macro.Global_', 
                [], [], 
                '''                Enter global macro configuration
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'macro',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.SourceGuard.Policy.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.SourceGuard.Policy.Validate',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Validate against addresses learned in NDP/DHCP traffic (default)
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Validate against prefixes learned in RA or DHCP-PD traffic
                ''',
                'prefix',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.SourceGuard.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.SourceGuard.Policy',
            False, 
            [
            _MetaInfoClassMember('source-guard-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source_guard_policy_name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.SourceGuard.Policy.Validate', 
                [], [], 
                '''                Validate the src of the received data traffic
                ''',
                'validate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.SourceGuard' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.SourceGuard',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.SourceGuard.Policy', 
                [], [], 
                '''                Configure a policy for feature sourceguard
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.DestinationGuard.Policy.Enforcement' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.DestinationGuard.Policy.Enforcement',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforced under all conditions (default)
                ''',
                'always',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stressed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforced when system is under stress
                ''',
                'stressed',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'enforcement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.DestinationGuard.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.DestinationGuard.Policy',
            False, 
            [
            _MetaInfoClassMember('destination-guard-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'destination_guard_policy_name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('enforcement', REFERENCE_CLASS, 'Enforcement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.DestinationGuard.Policy.Enforcement', 
                [], [], 
                '''                Sets the enforcement level
                ''',
                'enforcement',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.DestinationGuard.Policy', 
                [], [], 
                '''                Configure a policy for feature destguard
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Dhcp.Server.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Dhcp.Server.Vrf',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Address/PD allocation based on VRF
                ''',
                'enable',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Dhcp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Dhcp.Server',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp.Server.Vrf', 
                [], [], 
                '''                Enable VRF Awareness on server
                ''',
                'vrf',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Dhcp.Guard.Policy.DeviceRole' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Dhcp.Guard.Policy.DeviceRole',
            False, 
            [
            _MetaInfoClassMember('client', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Attached device is a client (default)
                ''',
                'client',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Attached device is a dhcp server
                ''',
                'server',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'device-role',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Dhcp.Guard.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Dhcp.Guard.Policy',
            False, 
            [
            _MetaInfoClassMember('dhcp-guard-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dhcp_guard_policy_name',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('device-role', REFERENCE_CLASS, 'DeviceRole' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp.Guard.Policy.DeviceRole', 
                [], [], 
                '''                Sets the role of the device attached to the port
                ''',
                'device_role',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Dhcp.Guard' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Dhcp.Guard',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp.Guard.Policy', 
                [], [], 
                '''                Configure a policy for feature dhcp guard
                ''',
                'policy',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'guard',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.PreferredLifetimeEnum' : _MetaInfoEnum('PreferredLifetimeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'infinite':'infinite',
        }, 'Cisco-IOS-XE-dhcp', _yang_ns._namespaces['Cisco-IOS-XE-dhcp']),
    'Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.ValidLifetimeEnum' : _MetaInfoEnum('ValidLifetimeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'infinite':'infinite',
        }, 'Cisco-IOS-XE-dhcp', _yang_ns._namespaces['Cisco-IOS-XE-dhcp']),
    'Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime',
            False, 
            [
            _MetaInfoClassMember('preferred-lifetime', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'preferred_lifetime',
                'Cisco-IOS-XE-dhcp', False, [
                    _MetaInfoClassMember('preferred-lifetime', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'preferred_lifetime',
                        'Cisco-IOS-XE-dhcp', False),
                    _MetaInfoClassMember('preferred-lifetime', REFERENCE_ENUM_CLASS, 'Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.PreferredLifetimeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.PreferredLifetimeEnum', 
                        [], [], 
                        '''                        ''',
                        'preferred_lifetime',
                        'Cisco-IOS-XE-dhcp', False),
                ]),
            _MetaInfoClassMember('valid-lifetime', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'valid_lifetime',
                'Cisco-IOS-XE-dhcp', False, [
                    _MetaInfoClassMember('valid-lifetime', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'valid_lifetime',
                        'Cisco-IOS-XE-dhcp', False),
                    _MetaInfoClassMember('valid-lifetime', REFERENCE_ENUM_CLASS, 'Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.ValidLifetimeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.ValidLifetimeEnum', 
                        [], [], 
                        '''                        ''',
                        'valid_lifetime',
                        'Cisco-IOS-XE-dhcp', False),
                ]),
            ],
            'Cisco-IOS-XE-dhcp',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Dhcp.Pool.Address.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Dhcp.Pool.Address.Prefix',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ipv6_address',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime', 
                [], [], 
                '''                Configure prefix lifetimes
                ''',
                'lifetime',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Dhcp.Pool.Address' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Dhcp.Pool.Address',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp.Pool.Address.Prefix', 
                [], [], 
                '''                IPv6 address allocation prefix
                ''',
                'prefix',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Dhcp.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Dhcp.Pool',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP pool name
                ''',
                'name',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp.Pool.Address', 
                [], [], 
                '''                IPv6 address allocation
                ''',
                'address',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('dns-server', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Server's name or IPv6 addres
                ''',
                'dns_server',
                'Cisco-IOS-XE-dhcp', False, [
                    _MetaInfoClassMember('dns-server', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Server's name or IPv6 addres
                        ''',
                        'dns_server',
                        'Cisco-IOS-XE-dhcp', False),
                    _MetaInfoClassMember('dns-server', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Server's name or IPv6 addres
                        ''',
                        'dns_server',
                        'Cisco-IOS-XE-dhcp', False),
                ]),
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Domain name to complete unqualified host names
                ''',
                'domain_name',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Dhcp',
            False, 
            [
            _MetaInfoClassMember('guard', REFERENCE_CLASS, 'Guard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp.Guard', 
                [], [], 
                '''                Configure IPv6 DHCP guard
                ''',
                'guard',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('pool', REFERENCE_LIST, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp.Pool', 
                [], [], 
                '''                Configure IPv6 DHCP pool
                ''',
                'pool',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp.Server', 
                [], [], 
                '''                Configure IPv6 DHCP server
                ''',
                'server',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.ActionEnum' : _MetaInfoEnum('ActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deny':'deny',
            'permit':'permit',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.NamedMsgTypeEnum' : _MetaInfoEnum('NamedMsgTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'beyond-scope':'beyond_scope',
            'destination-unreachable':'destination_unreachable',
            'dhaad-reply':'dhaad_reply',
            'dhaad-request':'dhaad_request',
            'echo-reply':'echo_reply',
            'echo-request':'echo_request',
            'header':'header',
            'hop-limit':'hop_limit',
            'mld-query':'mld_query',
            'mld-reduction':'mld_reduction',
            'mld-report':'mld_report',
            'mpd-advertisement':'mpd_advertisement',
            'mpd-solicitation':'mpd_solicitation',
            'nd-na':'nd_na',
            'nd-ns':'nd_ns',
            'next-header':'next_header',
            'no-admin':'no_admin',
            'no-route':'no_route',
            'packet-too-big':'packet_too_big',
            'parameter-option':'parameter_option',
            'parameter-problem':'parameter_problem',
            'port-unreachable':'port_unreachable',
            'reassembly-timeout':'reassembly_timeout',
            'redirect':'redirect',
            'reject-route':'reject_route',
            'renum-command':'renum_command',
            'renum-result':'renum_result',
            'renum-seq-number':'renum_seq_number',
            'router-advertisement':'router_advertisement',
            'router-renumbering':'router_renumbering',
            'router-solicitation':'router_solicitation',
            'source-policy':'source_policy',
            'time-exceeded':'time_exceeded',
            'unreachable':'unreachable',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ahp':'ahp',
            'esp':'esp',
            'hbh':'hbh',
            'icmp':'icmp',
            'ipv6':'ipv6',
            'pcp':'pcp',
            'sctp':'sctp',
            'tcp':'tcp',
            'udp':'udp',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the ACK bit
                ''',
                'ack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'ActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.ActionEnum', 
                [], [], 
                '''                ''',
                'action',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('auth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on authentication header
                ''',
                'auth',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dest-option', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination Option header (all types)
                ''',
                'dest_option',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'destination_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'destination_any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'destination_host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('destination-host', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'destination_host',
                        'Cisco-IOS-XE-acl', False, [
                            _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'destination_host',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'destination_host',
                                'Cisco-IOS-XE-acl', False),
                        ]),
                    _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'destination_host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('destination-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'destination_prefix',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-wildcard-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'destination_wildcard_bits',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'dst_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'dst_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'dst_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'dst_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('established', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match established connections
                ''',
                'established',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the FIN bit
                ''',
                'fin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('flow-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                Flow label
                ''',
                'flow_label',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check non-initial fragments
                ''',
                'fragments',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('hbh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on hop-by-hop option
                ''',
                'hbh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log-input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry, including input
                ''',
                'log_input',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mobility', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mobility header (all types)
                ''',
                'mobility',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mobility-type', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mobility header with type
                ''',
                'mobility_type',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('mobility-type', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Mobility header with type
                        ''',
                        'mobility_type',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('mobility-type', REFERENCE_ENUM_CLASS, 'MobilityTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MobilityTypeEnum', 
                        [], [], 
                        '''                        Mobility header with type
                        ''',
                        'mobility_type',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('msg-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_code',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-type-case', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_type_case',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('named-msg-type', REFERENCE_ENUM_CLASS, 'NamedMsgTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.NamedMsgTypeEnum', 
                [], [], 
                '''                ''',
                'named_msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('protocol', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum', 
                        [], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the PSH bit
                ''',
                'psh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Routing header (all types)
                ''',
                'routing',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('routing-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing header with type
                ''',
                'routing_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the RST bit
                ''',
                'rst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'source_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source_host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('source-host', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'source_host',
                        'Cisco-IOS-XE-acl', False, [
                            _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'source_host',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'source_host',
                                'Cisco-IOS-XE-acl', False),
                        ]),
                    _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'source_host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('source-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'source_prefix',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-wildcard-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'source_wildcard_bits',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('src-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'src_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'src_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'src_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'src_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the SYN bit
                ''',
                'syn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('time-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a time-range
                ''',
                'time_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the URG bit
                ''',
                'urg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ace-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                Sequence number for this entry
                ''',
                'sequence',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('ace-rule', REFERENCE_CLASS, 'AceRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule', 
                [], [], 
                '''                ''',
                'ace_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('remark', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                Access list entry comment
                ''',
                'remark',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-seq-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.ActionEnum' : _MetaInfoEnum('ActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deny':'deny',
            'permit':'permit',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum' : _MetaInfoEnum('NamedMsgTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'beyond-scope':'beyond_scope',
            'destination-unreachable':'destination_unreachable',
            'dhaad-reply':'dhaad_reply',
            'dhaad-request':'dhaad_request',
            'echo-reply':'echo_reply',
            'echo-request':'echo_request',
            'header':'header',
            'hop-limit':'hop_limit',
            'mld-query':'mld_query',
            'mld-reduction':'mld_reduction',
            'mld-report':'mld_report',
            'mpd-advertisement':'mpd_advertisement',
            'mpd-solicitation':'mpd_solicitation',
            'nd-na':'nd_na',
            'nd-ns':'nd_ns',
            'next-header':'next_header',
            'no-admin':'no_admin',
            'no-route':'no_route',
            'packet-too-big':'packet_too_big',
            'parameter-option':'parameter_option',
            'parameter-problem':'parameter_problem',
            'port-unreachable':'port_unreachable',
            'reassembly-timeout':'reassembly_timeout',
            'redirect':'redirect',
            'reject-route':'reject_route',
            'renum-command':'renum_command',
            'renum-result':'renum_result',
            'renum-seq-number':'renum_seq_number',
            'router-advertisement':'router_advertisement',
            'router-renumbering':'router_renumbering',
            'router-solicitation':'router_solicitation',
            'source-policy':'source_policy',
            'time-exceeded':'time_exceeded',
            'unreachable':'unreachable',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ahp':'ahp',
            'esp':'esp',
            'hbh':'hbh',
            'icmp':'icmp',
            'ipv6':'ipv6',
            'pcp':'pcp',
            'sctp':'sctp',
            'tcp':'tcp',
            'udp':'udp',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the ACK bit
                ''',
                'ack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'ActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.ActionEnum', 
                [], [], 
                '''                ''',
                'action',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('auth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on authentication header
                ''',
                'auth',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dest-option', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination Option header (all types)
                ''',
                'dest_option',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'destination_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'destination_any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'destination_host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('destination-host', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'destination_host',
                        'Cisco-IOS-XE-acl', False, [
                            _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'destination_host',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'destination_host',
                                'Cisco-IOS-XE-acl', False),
                        ]),
                    _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'destination_host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('destination-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'destination_prefix',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-wildcard-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'destination_wildcard_bits',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'dst_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'dst_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'dst_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'dst_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('established', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match established connections
                ''',
                'established',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the FIN bit
                ''',
                'fin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('flow-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                Flow label
                ''',
                'flow_label',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check non-initial fragments
                ''',
                'fragments',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('hbh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on hop-by-hop option
                ''',
                'hbh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log-input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry, including input
                ''',
                'log_input',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mobility', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mobility header (all types)
                ''',
                'mobility',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mobility-type', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mobility header with type
                ''',
                'mobility_type',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('mobility-type', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Mobility header with type
                        ''',
                        'mobility_type',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('mobility-type', REFERENCE_ENUM_CLASS, 'MobilityTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MobilityTypeEnum', 
                        [], [], 
                        '''                        Mobility header with type
                        ''',
                        'mobility_type',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('msg-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_code',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-type-case', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_type_case',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('named-msg-type', REFERENCE_ENUM_CLASS, 'NamedMsgTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum', 
                [], [], 
                '''                ''',
                'named_msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('protocol', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum', 
                        [], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the PSH bit
                ''',
                'psh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Routing header (all types)
                ''',
                'routing',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('routing-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing header with type
                ''',
                'routing_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the RST bit
                ''',
                'rst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'source_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source_host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('source-host', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'source_host',
                        'Cisco-IOS-XE-acl', False, [
                            _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'source_host',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'source_host',
                                'Cisco-IOS-XE-acl', False),
                        ]),
                    _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'source_host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('source-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'source_prefix',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-wildcard-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'source_wildcard_bits',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('src-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'src_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'src_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'src_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'src_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the SYN bit
                ''',
                'syn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('time-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a time-range
                ''',
                'time_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the URG bit
                ''',
                'urg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ace-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                Sequence number for this entry
                ''',
                'sequence',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('ace-rule', REFERENCE_CLASS, 'AceRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule', 
                [], [], 
                '''                ''',
                'ace_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('remark', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                Access list entry comment
                ''',
                'remark',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-seq-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedAcl.Default' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedAcl.Default',
            False, 
            [
            _MetaInfoClassMember('access-list-seq-rule', REFERENCE_LIST, 'AccessListSeqRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule', 
                [], [], 
                '''                ''',
                'access_list_seq_rule',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedAcl' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedAcl',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('access-list-seq-rule', REFERENCE_LIST, 'AccessListSeqRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule', 
                [], [], 
                '''                ''',
                'access_list_seq_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedAcl.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'named-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.ActionEnum' : _MetaInfoEnum('ActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deny':'deny',
            'permit':'permit',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.NamedMsgTypeEnum' : _MetaInfoEnum('NamedMsgTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'beyond-scope':'beyond_scope',
            'destination-unreachable':'destination_unreachable',
            'dhaad-reply':'dhaad_reply',
            'dhaad-request':'dhaad_request',
            'echo-reply':'echo_reply',
            'echo-request':'echo_request',
            'header':'header',
            'hop-limit':'hop_limit',
            'mld-query':'mld_query',
            'mld-reduction':'mld_reduction',
            'mld-report':'mld_report',
            'mpd-advertisement':'mpd_advertisement',
            'mpd-solicitation':'mpd_solicitation',
            'nd-na':'nd_na',
            'nd-ns':'nd_ns',
            'next-header':'next_header',
            'no-admin':'no_admin',
            'no-route':'no_route',
            'packet-too-big':'packet_too_big',
            'parameter-option':'parameter_option',
            'parameter-problem':'parameter_problem',
            'port-unreachable':'port_unreachable',
            'reassembly-timeout':'reassembly_timeout',
            'redirect':'redirect',
            'reject-route':'reject_route',
            'renum-command':'renum_command',
            'renum-result':'renum_result',
            'renum-seq-number':'renum_seq_number',
            'router-advertisement':'router_advertisement',
            'router-renumbering':'router_renumbering',
            'router-solicitation':'router_solicitation',
            'source-policy':'source_policy',
            'time-exceeded':'time_exceeded',
            'unreachable':'unreachable',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ahp':'ahp',
            'esp':'esp',
            'hbh':'hbh',
            'icmp':'icmp',
            'ipv6':'ipv6',
            'pcp':'pcp',
            'sctp':'sctp',
            'tcp':'tcp',
            'udp':'udp',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the ACK bit
                ''',
                'ack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'ActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.ActionEnum', 
                [], [], 
                '''                ''',
                'action',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('auth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on authentication header
                ''',
                'auth',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dest-option', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination Option header (all types)
                ''',
                'dest_option',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'destination_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'destination_any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'destination_host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('destination-host', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'destination_host',
                        'Cisco-IOS-XE-acl', False, [
                            _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'destination_host',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'destination_host',
                                'Cisco-IOS-XE-acl', False),
                        ]),
                    _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'destination_host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('destination-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'destination_prefix',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-wildcard-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'destination_wildcard_bits',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'dst_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'dst_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'dst_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'dst_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('established', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match established connections
                ''',
                'established',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the FIN bit
                ''',
                'fin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('flow-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                Flow label
                ''',
                'flow_label',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check non-initial fragments
                ''',
                'fragments',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('hbh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on hop-by-hop option
                ''',
                'hbh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log-input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry, including input
                ''',
                'log_input',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mobility', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mobility header (all types)
                ''',
                'mobility',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mobility-type', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mobility header with type
                ''',
                'mobility_type',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('mobility-type', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Mobility header with type
                        ''',
                        'mobility_type',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('mobility-type', REFERENCE_ENUM_CLASS, 'MobilityTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MobilityTypeEnum', 
                        [], [], 
                        '''                        Mobility header with type
                        ''',
                        'mobility_type',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('msg-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_code',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-type-case', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_type_case',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('named-msg-type', REFERENCE_ENUM_CLASS, 'NamedMsgTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.NamedMsgTypeEnum', 
                [], [], 
                '''                ''',
                'named_msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('protocol', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum', 
                        [], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the PSH bit
                ''',
                'psh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Routing header (all types)
                ''',
                'routing',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('routing-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing header with type
                ''',
                'routing_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the RST bit
                ''',
                'rst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'source_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source_host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('source-host', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'source_host',
                        'Cisco-IOS-XE-acl', False, [
                            _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'source_host',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'source_host',
                                'Cisco-IOS-XE-acl', False),
                        ]),
                    _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'source_host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('source-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'source_prefix',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-wildcard-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'source_wildcard_bits',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('src-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'src_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'src_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'src_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'src_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the SYN bit
                ''',
                'syn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('time-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a time-range
                ''',
                'time_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the URG bit
                ''',
                'urg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ace-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                Sequence number for this entry
                ''',
                'sequence',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('ace-rule', REFERENCE_CLASS, 'AceRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule', 
                [], [], 
                '''                ''',
                'ace_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('remark', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                Access list entry comment
                ''',
                'remark',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-seq-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ActionEnum' : _MetaInfoEnum('ActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deny':'deny',
            'permit':'permit',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum' : _MetaInfoEnum('NamedMsgTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'beyond-scope':'beyond_scope',
            'destination-unreachable':'destination_unreachable',
            'dhaad-reply':'dhaad_reply',
            'dhaad-request':'dhaad_request',
            'echo-reply':'echo_reply',
            'echo-request':'echo_request',
            'header':'header',
            'hop-limit':'hop_limit',
            'mld-query':'mld_query',
            'mld-reduction':'mld_reduction',
            'mld-report':'mld_report',
            'mpd-advertisement':'mpd_advertisement',
            'mpd-solicitation':'mpd_solicitation',
            'nd-na':'nd_na',
            'nd-ns':'nd_ns',
            'next-header':'next_header',
            'no-admin':'no_admin',
            'no-route':'no_route',
            'packet-too-big':'packet_too_big',
            'parameter-option':'parameter_option',
            'parameter-problem':'parameter_problem',
            'port-unreachable':'port_unreachable',
            'reassembly-timeout':'reassembly_timeout',
            'redirect':'redirect',
            'reject-route':'reject_route',
            'renum-command':'renum_command',
            'renum-result':'renum_result',
            'renum-seq-number':'renum_seq_number',
            'router-advertisement':'router_advertisement',
            'router-renumbering':'router_renumbering',
            'router-solicitation':'router_solicitation',
            'source-policy':'source_policy',
            'time-exceeded':'time_exceeded',
            'unreachable':'unreachable',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ahp':'ahp',
            'esp':'esp',
            'hbh':'hbh',
            'icmp':'icmp',
            'ipv6':'ipv6',
            'pcp':'pcp',
            'sctp':'sctp',
            'tcp':'tcp',
            'udp':'udp',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the ACK bit
                ''',
                'ack',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'ActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ActionEnum', 
                [], [], 
                '''                ''',
                'action',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('auth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on authentication header
                ''',
                'auth',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dest-option', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Destination Option header (all types)
                ''',
                'dest_option',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'destination_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'destination_any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'destination_host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('destination-host', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'destination_host',
                        'Cisco-IOS-XE-acl', False, [
                            _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'destination_host',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'destination_host',
                                'Cisco-IOS-XE-acl', False),
                        ]),
                    _MetaInfoClassMember('destination-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'destination_host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('destination-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'destination_prefix',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('destination-wildcard-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'destination_wildcard_bits',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match packets with given dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match packets with given dscp value
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'dst_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'dst_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'dst_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'dst_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'dst_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'dst_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'dst_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'dst_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('dst-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'dst_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dst-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dst-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'dst_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('established', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match established connections
                ''',
                'established',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the FIN bit
                ''',
                'fin',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('flow-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                Flow label
                ''',
                'flow_label',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check non-initial fragments
                ''',
                'fragments',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('hbh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on hop-by-hop option
                ''',
                'hbh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('log-input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry, including input
                ''',
                'log_input',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mobility', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mobility header (all types)
                ''',
                'mobility',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mobility-type', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mobility header with type
                ''',
                'mobility_type',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('mobility-type', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Mobility header with type
                        ''',
                        'mobility_type',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('mobility-type', REFERENCE_ENUM_CLASS, 'MobilityTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MobilityTypeEnum', 
                        [], [], 
                        '''                        Mobility header with type
                        ''',
                        'mobility_type',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('msg-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_code',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('msg-type-case', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'msg_type_case',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('named-msg-type', REFERENCE_ENUM_CLASS, 'NamedMsgTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum', 
                [], [], 
                '''                ''',
                'named_msg_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('protocol', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum', 
                        [], [], 
                        '''                        ''',
                        'protocol',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('psh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the PSH bit
                ''',
                'psh',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Routing header (all types)
                ''',
                'routing',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('routing-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing header with type
                ''',
                'routing_type',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('rst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the RST bit
                ''',
                'rst',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'source_address',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source_host',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('source-host', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'source_host',
                        'Cisco-IOS-XE-acl', False, [
                            _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'source_host',
                                'Cisco-IOS-XE-acl', False),
                            _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'source_host',
                                'Cisco-IOS-XE-acl', False),
                        ]),
                    _MetaInfoClassMember('source-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'source_host',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('source-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'source_prefix',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source-wildcard-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'source_wildcard_bits',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('src-eq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets on a given port number
                ''',
                'src_eq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-eq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-eq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets on a given port number
                        ''',
                        'src_eq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-gt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a greater port number
                ''',
                'src_gt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-gt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-gt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a greater port number
                        ''',
                        'src_gt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-lt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets with a lower port number
                ''',
                'src_lt',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-lt', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-lt', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets with a lower port number
                        ''',
                        'src_lt',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-neq', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets not on a given port number
                ''',
                'src_neq',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-neq', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-neq', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets not on a given port number
                        ''',
                        'src_neq',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range1',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range1', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range1',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('src-range2', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match only packets in the range of port numbers
                ''',
                'src_range2',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('src-range2', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('src-range2', REFERENCE_ENUM_CLASS, 'AclPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl', 'AclPortTypeEnum', 
                        [], [], 
                        '''                        Match only packets in the range of port numbers
                        ''',
                        'src_range2',
                        'Cisco-IOS-XE-acl', False),
                ]),
            _MetaInfoClassMember('syn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the SYN bit
                ''',
                'syn',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('time-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a time-range
                ''',
                'time_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('urg', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on the URG bit
                ''',
                'urg',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ace-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                Sequence number for this entry
                ''',
                'sequence',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('ace-rule', REFERENCE_CLASS, 'AceRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule', 
                [], [], 
                '''                ''',
                'ace_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('remark', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                Access list entry comment
                ''',
                'remark',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-seq-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedRbAcl.Default' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedRbAcl.Default',
            False, 
            [
            _MetaInfoClassMember('access-list-seq-rule', REFERENCE_LIST, 'AccessListSeqRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule', 
                [], [], 
                '''                ''',
                'access_list_seq_rule',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.NamedRbAcl' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.NamedRbAcl',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('access-list-seq-rule', REFERENCE_LIST, 'AccessListSeqRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule', 
                [], [], 
                '''                ''',
                'access_list_seq_rule',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('role-based', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Role-based Access List
                ''',
                'role_based',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'named-rb-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList.LogUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList.LogUpdate',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Set access-list logging threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'log-update',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.AccessList' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.AccessList',
            False, 
            [
            _MetaInfoClassMember('log-update', REFERENCE_CLASS, 'LogUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.LogUpdate', 
                [], [], 
                '''                Control access list log updates
                ''',
                'log_update',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('match-local-traffic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match locally-generated traffic
                ''',
                'match_local_traffic',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('named-acl', REFERENCE_LIST, 'NamedAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedAcl', 
                [], [], 
                '''                ''',
                'named_acl',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('named-rb-acl', REFERENCE_LIST, 'NamedRbAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList.NamedRbAcl', 
                [], [], 
                '''                ''',
                'named_rb_acl',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-native',
            'access-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Multicast.Rpf.Backoff' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Multicast.Rpf.Backoff',
            False, 
            [
            _MetaInfoClassMember('initial-delay', ATTRIBUTE, 'int' , None, None, 
                [('200', '65535')], [], 
                '''                ''',
                'initial_delay',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('200', '65535')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'backoff',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Multicast.Rpf' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Multicast.Rpf',
            False, 
            [
            _MetaInfoClassMember('backoff', REFERENCE_CLASS, 'Backoff' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Multicast.Rpf.Backoff', 
                [], [], 
                '''                Backoff delay after unicast routing change
                ''',
                'backoff',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('use-bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use BGP routes for multicast RPF lookup
                ''',
                'use_bgp',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'rpf',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Multicast',
            False, 
            [
            _MetaInfoClassMember('rpf', REFERENCE_CLASS, 'Rpf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Multicast.Rpf', 
                [], [], 
                '''                Configure multicast RPF related commands
                ''',
                'rpf',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Select VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Cef.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Cef.Accounting',
            False, 
            [
            _MetaInfoClassMember('per-prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable per prefix accounting
                ''',
                'per_prefix',
                'Cisco-IOS-XE-cef', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable prefix length accounting
                ''',
                'prefix_length',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Cef' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Cef',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Cef.Accounting', 
                [], [], 
                '''                Enable CEF accounting
                ''',
                'accounting',
                'Cisco-IOS-XE-cef', False),
            _MetaInfoClassMember('distributed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distributed Cisco Express Forwarding
                ''',
                'distributed',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-native',
            'cef',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Inspection.Policy.DeviceRole' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Inspection.Policy.DeviceRole',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Attached device is a host (default)
                ''',
                'host',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('monitor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Attached device is a monitor/sniffer
                ''',
                'monitor',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('router', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Attached device is a route
                ''',
                'router',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Attached device is a switch
                ''',
                'switch',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'device-role',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Inspection.Policy.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Inspection.Policy.Limit',
            False, 
            [
            _MetaInfoClassMember('address-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000')], [], 
                '''                Configure maximum address per port
                ''',
                'address_count',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Inspection.Policy.SecLevel' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Inspection.Policy.SecLevel',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                Configure minimum sec-level
                ''',
                'minimum',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'sec-level',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime',
            False, 
            [
            _MetaInfoClassMember('infinite', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep in STALE forever
                ''',
                'infinite',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'stale-lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable',
            False, 
            [
            _MetaInfoClassMember('stale-lifetime', REFERENCE_CLASS, 'StaleLifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime', 
                [], [], 
                '''                Time entry is kept inactive before delete
                ''',
                'stale_lifetime',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime',
            False, 
            [
            _MetaInfoClassMember('infinite', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep in REACHABLE forever
                ''',
                'infinite',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'reachable-lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable',
            False, 
            [
            _MetaInfoClassMember('reachable-lifetime', REFERENCE_CLASS, 'ReachableLifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime', 
                [], [], 
                '''                Time entry is kept REACHABLE
                ''',
                'reachable_lifetime',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Inspection.Policy.Tracking' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Inspection.Policy.Tracking',
            False, 
            [
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable', 
                [], [], 
                '''                Tracking off
                ''',
                'disable',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable', 
                [], [], 
                '''                Tracking on
                ''',
                'enable',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Inspection.Policy.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Inspection.Policy.Validate',
            False, 
            [
            _MetaInfoClassMember('source-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                check source mac against link-layer-address
                ''',
                'source_mac',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Inspection.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Inspection.Policy',
            False, 
            [
            _MetaInfoClassMember('name-nd-inspection-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name_nd_inspection_policy',
                'Cisco-IOS-XE-nd', True),
            _MetaInfoClassMember('device-role', REFERENCE_CLASS, 'DeviceRole' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Inspection.Policy.DeviceRole', 
                [], [], 
                '''                Sets the role of the device attached to the port
                ''',
                'device_role',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('drop-unsecure', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop unsecure (3971) messages
                ''',
                'drop_unsecure',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Inspection.Policy.Limit', 
                [], [], 
                '''                Specifies a limit
                ''',
                'limit',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('sec-level', REFERENCE_CLASS, 'SecLevel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Inspection.Policy.SecLevel', 
                [], [], 
                '''                Specifies a minimum sec-level
                ''',
                'sec_level',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('tracking', REFERENCE_CLASS, 'Tracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Inspection.Policy.Tracking', 
                [], [], 
                '''                Override default tracking behavior
                ''',
                'tracking',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('trusted-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                setup trusted port
                ''',
                'trusted_port',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Inspection.Policy.Validate', 
                [], [], 
                '''                specific validation
                ''',
                'validate',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Inspection',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Inspection.Policy', 
                [], [], 
                '''                Configure a policy for feature NDP inspection
                ''',
                'policy',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Cache.Expire' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Cache.Expire',
            False, 
            [
            _MetaInfoClassMember('refresh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Automatically refresh entry
                ''',
                'refresh',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'expire',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Cache',
            False, 
            [
            _MetaInfoClassMember('expire', REFERENCE_CLASS, 'Expire' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Cache.Expire', 
                [], [], 
                '''                Expiry time for ND entries
                ''',
                'expire',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Raguard.Policy.DeviceRole' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Raguard.Policy.DeviceRole',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Attached device is a host (default)
                ''',
                'host',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('monitor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Attached device is a monitor/sniffer
                ''',
                'monitor',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('router', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Attached device is a router
                ''',
                'router',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Attached device is a switch
                ''',
                'switch',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'device-role',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Raguard.Policy.HopLimit' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Raguard.Policy.HopLimit',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Maximum hop count value allowed
                ''',
                'maximum',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Minimum hop count value allowed
                ''',
                'minimum',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'hop-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Raguard.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Raguard.Policy',
            False, 
            [
            _MetaInfoClassMember('raguard-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'raguard_policy_name',
                'Cisco-IOS-XE-nd', True),
            _MetaInfoClassMember('device-role', REFERENCE_CLASS, 'DeviceRole' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Raguard.Policy.DeviceRole', 
                [], [], 
                '''                Sets the role of the device attached to the port
                ''',
                'device_role',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('hop-limit', REFERENCE_CLASS, 'HopLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Raguard.Policy.HopLimit', 
                [], [], 
                '''                Enable verification of the advertised Hop count limit
                ''',
                'hop_limit',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('trusted-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                setup trusted port
                ''',
                'trusted_port',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd.Raguard' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd.Raguard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure a policy for feature RA guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Raguard.Policy', 
                [], [], 
                '''                Configure a policy for feature RA guard
                ''',
                'policy',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'raguard',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Nd',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Cache', 
                [], [], 
                '''                Cache entry
                ''',
                'cache',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Inspection', 
                [], [], 
                '''                Configure NDP Inspection
                ''',
                'inspection',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('raguard', REFERENCE_CLASS, 'Raguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd.Raguard', 
                [], [], 
                '''                Configure RA guard
                ''',
                'raguard',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Pim.RpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Pim.RpAddress',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('bidir', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify keyword bidir to configure a bidir RP
                ''',
                'bidir',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Pim.Vrf.RpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Pim.Vrf.RpAddress',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-multicast', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-multicast', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-multicast', False),
                ]),
            _MetaInfoClassMember('bidir', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify keyword bidir to configure a bidir RP
                ''',
                'bidir',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Pim.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Pim.Vrf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-multicast', True),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Pim.Vrf.RpAddress', 
                [], [], 
                '''                Configure Sparse-Mode Rendezvous Point
                ''',
                'rp_address',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Pim',
            False, 
            [
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Pim.RpAddress', 
                [], [], 
                '''                Configure Sparse-Mode Rendezvous Point
                ''',
                'rp_address',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Pim.Vrf', 
                [], [], 
                '''                Select VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList.FwdEnum' : _MetaInfoEnum('FwdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'Null0':'Null0',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList',
            False, 
            [
            _MetaInfoClassMember('fwd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'fwd',
                'Cisco-IOS-XE-native', True, [
                    _MetaInfoClassMember('fwd', REFERENCE_ENUM_CLASS, 'Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList.FwdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList.FwdEnum', 
                        [], [], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('fwd', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('fwd', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route only usable by multicast
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address of next-hop
                ''',
                'next_hop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag value
                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tracked
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route only usable by unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6-fwd-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Route.Ipv6RouteList' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Route.Ipv6RouteList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ipv6-fwd-list', REFERENCE_LIST, 'Ipv6FwdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList', 
                [], [], 
                '''                ''',
                'ipv6_fwd_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6-route-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList.FwdEnum' : _MetaInfoEnum('FwdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'Null0':'Null0',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList',
            False, 
            [
            _MetaInfoClassMember('fwd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'fwd',
                'Cisco-IOS-XE-native', True, [
                    _MetaInfoClassMember('fwd', REFERENCE_ENUM_CLASS, 'Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList.FwdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList.FwdEnum', 
                        [], [], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('fwd', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('fwd', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'fwd',
                        'Cisco-IOS-XE-native', True),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route only usable by multicast
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address of next-hop
                ''',
                'next_hop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag value
                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tracked
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route only usable by unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6-fwd-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Route.Vrf.Ipv6RouteList' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Route.Vrf.Ipv6RouteList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ipv6-fwd-list', REFERENCE_LIST, 'Ipv6FwdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList', 
                [], [], 
                '''                ''',
                'ipv6_fwd_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6-route-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Route.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Route.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ipv6-route-list', REFERENCE_LIST, 'Ipv6RouteList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Route.Vrf.Ipv6RouteList', 
                [], [], 
                '''                ''',
                'ipv6_route_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Route' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Route',
            False, 
            [
            _MetaInfoClassMember('ipv6-route-list', REFERENCE_LIST, 'Ipv6RouteList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Route.Ipv6RouteList', 
                [], [], 
                '''                ''',
                'ipv6_route_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Route.Vrf', 
                [], [], 
                '''                Configure static route for a VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Eigrp.DefaultMetric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Eigrp.DefaultMetric',
            False, 
            [
            _MetaInfoClassMember('dm-rdr', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Bandwidth in Kbits per second
                ''',
                'dm_rdr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('dm-rdr0', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                delay metric in 10 microsecond units
                ''',
                'dm_rdr0',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('dm-rdr-pct', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reliability metric where 255 is 100% reliable
                ''',
                'dm_rdr_pct',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('effective-bandwith-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Effective bandwidth metric (Loading) where 255 is 100% loaded
                ''',
                'effective_bandwith_metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum Transmission Unit metric of the path 
                ''',
                'mtu',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'default-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Eigrp.Distance.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Eigrp.Distance.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('external-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Distance for external routes
                ''',
                'external_route',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('internal-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Distance for internal routes
                ''',
                'internal_route',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Eigrp.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Eigrp.Distance',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Eigrp.Distance.Eigrp_', 
                [], [], 
                '''                EIGRP-IPV6 distance
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Eigrp.DistributeList.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Eigrp.DistributeList.PrefixList',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Eigrp.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Eigrp.DistributeList',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Eigrp.DistributeList.PrefixList', 
                [], [], 
                '''                Filter connections based on an IPv6 prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Eigrp.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Eigrp.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                router id for this EIGRP process
                ''',
                'router_id',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Eigrp.PassiveInterface.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-eigrp', _yang_ns._namespaces['Cisco-IOS-XE-eigrp']),
    'Native.Ipv6.Router.Eigrp.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Eigrp.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-eigrp', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-eigrp', True),
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'Native.Ipv6.Router.Eigrp.PassiveInterface.NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Eigrp.PassiveInterface.NameEnum', 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-eigrp', True),
                ]),
            ],
            'Cisco-IOS-XE-eigrp',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Autonomous System ID
                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('default-metric', REFERENCE_CLASS, 'DefaultMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Eigrp.DefaultMetric', 
                [], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Eigrp.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Eigrp.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Eigrp.Eigrp_', 
                [], [], 
                '''                EIGRP specific commands
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Eigrp.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.DistributeList.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.DistributeList.PrefixList',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.DistributeList',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.DistributeList.PrefixList', 
                [], [], 
                '''                Filter connections based on an IPv6 prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Nd',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-rip', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-rip', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-rip', True),
                ]),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist',
            False, 
            [
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-isis-redist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-isis-redist', REFERENCE_CLASS, 'RipIsisRedist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist', 
                [], [], 
                '''                ''',
                'rip_isis_redist',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist',
            False, 
            [
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-isis-redist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-isis-redist', REFERENCE_CLASS, 'RipIsisRedist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist', 
                [], [], 
                '''                ''',
                'rip_isis_redist',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList',
            False, 
            [
            _MetaInfoClassMember('iso-area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'iso_area_tag',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isoigrp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('isoigrp-list', REFERENCE_LIST, 'IsoigrpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'isoigrp_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute.Rip_' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute.Rip_',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Rip_', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip.Timers',
            False, 
            [
            _MetaInfoClassMember('garbage-collection', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Route garbage collection period
                ''',
                'garbage_collection',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route holddown period
                ''',
                'holddown',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Route timeout period
                ''',
                'timeout',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('update', ATTRIBUTE, 'int' , None, None, 
                [('5', '65535')], [], 
                '''                Update period
                ''',
                'update',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                Administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('poison-reverse', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Poison reverse updates
                ''',
                'poison_reverse',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Redistribute', 
                [], [], 
                '''                Redistribute IPv6 prefixes from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('split-horizon', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Split horizon updates
                ''',
                'split_horizon',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Router' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Router',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router.Rip', 
                [], [], 
                '''                IPv6 Routing Information Protocol (RIPv6)
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Spd.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Spd.Queue',
            False, 
            [
            _MetaInfoClassMember('max-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('min-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Spd.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'aggressive':'aggressive',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Ipv6.Spd' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Spd',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Spd.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Spd.Queue', 
                [], [], 
                '''                queue
                ''',
                'queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.PrefixList.Prefixes.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.PrefixList.Prefixes.Permit',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ge', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Minimum prefix length to be matched
                ''',
                'ge',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('le', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Maximum prefix length to be matched
                ''',
                'le',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.PrefixList.Prefixes.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.PrefixList.Prefixes.Deny',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ge', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Minimum prefix length to be matched
                ''',
                'ge',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('le', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Maximum prefix length to be matched
                ''',
                'le',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.PrefixList.Prefixes.Seq.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.PrefixList.Prefixes.Seq.Deny',
            False, 
            [
            _MetaInfoClassMember('ge', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Minimum prefix length to be matched
                ''',
                'ge',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('le', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Maximum prefix length to be matched
                ''',
                'le',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.PrefixList.Prefixes.Seq.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.PrefixList.Prefixes.Seq.Permit',
            False, 
            [
            _MetaInfoClassMember('ge', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Minimum prefix length to be matched
                ''',
                'ge',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('le', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Maximum prefix length to be matched
                ''',
                'le',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.PrefixList.Prefixes.Seq' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.PrefixList.Prefixes.Seq',
            False, 
            [
            _MetaInfoClassMember('no', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                ''',
                'no',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.PrefixList.Prefixes.Seq.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.PrefixList.Prefixes.Seq.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'seq',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.PrefixList.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.PrefixList.Prefixes',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'([^s].*)|(s[^e].*)|(se[^q].*)(seq[^u].*)|(sequ[^e].*)|(seque[^n].*)|(sequen[^c].*)|(sequenc[^e].*)|(sequence[^\\-].*)|(sequence\\-[^n].*)|(sequence\\-n[^u].*)|(sequence\\-nu[^m].*)|(sequence\\-num[^b].*)|(sequence\\-numb[^e].*)|(sequence\\-numbe[^r].*)|(sequence\\-number..*)'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.PrefixList.Prefixes.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 80)], [], 
                '''                Prefix-list specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.PrefixList.Prefixes.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seq', REFERENCE_LIST, 'Seq' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.PrefixList.Prefixes.Seq', 
                [], [], 
                '''                sequence number of an entry
                ''',
                'seq',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.PrefixList.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include/exclude sequence numbers in NVGEN
                ''',
                'sequence_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Mld.SsmMap.Query' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Mld.SsmMap.Query',
            False, 
            [
            _MetaInfoClassMember('dns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DNS for source lookup
                ''',
                'dns',
                'Cisco-IOS-XE-mld', False),
            ],
            'Cisco-IOS-XE-mld',
            'query',
            _yang_ns._namespaces['Cisco-IOS-XE-mld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Mld.SsmMap.Static' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Mld.SsmMap.Static',
            False, 
            [
            _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-mld', False),
            _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'source_ip',
                'Cisco-IOS-XE-mld', False),
            ],
            'Cisco-IOS-XE-mld',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-mld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Mld.SsmMap' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Mld.SsmMap',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SSM mapping
                ''',
                'enable',
                'Cisco-IOS-XE-mld', False),
            _MetaInfoClassMember('query', REFERENCE_CLASS, 'Query' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Mld.SsmMap.Query', 
                [], [], 
                '''                Which database should we query for the source
                ''',
                'query',
                'Cisco-IOS-XE-mld', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Mld.SsmMap.Static', 
                [], [], 
                '''                SSM static group to source mapping
                ''',
                'static',
                'Cisco-IOS-XE-mld', False),
            ],
            'Cisco-IOS-XE-mld',
            'ssm-map',
            _yang_ns._namespaces['Cisco-IOS-XE-mld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Mld' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Mld',
            False, 
            [
            _MetaInfoClassMember('ssm-map', REFERENCE_CLASS, 'SsmMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Mld.SsmMap', 
                [], [], 
                '''                SSM mapping commands
                ''',
                'ssm_map',
                'Cisco-IOS-XE-mld', False),
            ],
            'Cisco-IOS-XE-mld',
            'mld',
            _yang_ns._namespaces['Cisco-IOS-XE-mld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.MulticastRouting' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.MulticastRouting',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Select VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'multicast-routing',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6.Rip.VrfModeEnum' : _MetaInfoEnum('VrfModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'enable':'enable',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Ipv6.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6.Rip',
            False, 
            [
            _MetaInfoClassMember('vrf-mode', REFERENCE_ENUM_CLASS, 'VrfModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Rip.VrfModeEnum', 
                [], [], 
                '''                Enable RIPng VRF support
                ''',
                'vrf_mode',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Ipv6',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_CLASS, 'AccessList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.AccessList', 
                [], [], 
                '''                Configure access lists
                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cef', REFERENCE_CLASS, 'Cef' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Cef', 
                [], [], 
                '''                Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure Destination guard
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mld', REFERENCE_CLASS, 'Mld' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Mld', 
                [], [], 
                '''                Global mld commands
                ''',
                'mld',
                'Cisco-IOS-XE-mld', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Multicast', 
                [], [], 
                '''                Configure multicast related commands
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast-routing', REFERENCE_CLASS, 'MulticastRouting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.MulticastRouting', 
                [], [], 
                '''                Enable IPv6 multicast
                ''',
                'multicast_routing',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Nd', 
                [], [], 
                '''                Configure IPv6 ND
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Pim', 
                [], [], 
                '''                Configure Protocol Independent Multicast
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_CLASS, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.PrefixList', 
                [], [], 
                '''                Build a prefix list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Rip', 
                [], [], 
                '''                Configure ipv6 RIP settings
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Route', 
                [], [], 
                '''                Configure static routes
                ''',
                'route',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Router', 
                [], [], 
                '''                Enable an IPV6 routing process
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-guard', REFERENCE_CLASS, 'SourceGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.SourceGuard', 
                [], [], 
                '''                Configure IPv6 sourceguard
                ''',
                'source_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Process packets with source routing header options
                ''',
                'source_route',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spd', REFERENCE_CLASS, 'Spd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6.Spd', 
                [], [], 
                '''                spd
                ''',
                'spd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast-routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable unicast routing
                ''',
                'unicast_routing',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.AccessMap.Match.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.AccessMap.Match.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.AccessMap.Match.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.AccessMap.Match.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.AccessMap.Match' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.AccessMap.Match',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.AccessMap.Match.Ip', 
                [], [], 
                '''                IP based match
                ''',
                'ip',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.AccessMap.Match.Ipv6', 
                [], [], 
                '''                IPv6 based match
                ''',
                'ipv6',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.AccessMap.ActionEnum' : _MetaInfoEnum('ActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
            'forward':'forward',
        }, 'Cisco-IOS-XE-vlan', _yang_ns._namespaces['Cisco-IOS-XE-vlan']),
    'Native.Vlan.AccessMap' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.AccessMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'ActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.AccessMap.ActionEnum', 
                [], [], 
                '''                Take the action
                ''',
                'action',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.AccessMap.Match', 
                [], [], 
                '''                Match values.
                ''',
                'match',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'access-map',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.Configuration.Ip.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.Configuration.Ip.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('flow-monitor', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'flow_monitor',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'output',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.Configuration.Ip.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.Configuration.Ip.Flow',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.Configuration.Ip.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.Configuration.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.Configuration.Ip',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.Configuration.Ip.Flow', 
                [], [], 
                '''                vlan NetFlow configuration commands
                ''',
                'flow',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.Configuration' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.Configuration',
            False, 
            [
            _MetaInfoClassMember('vlan-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN ID List Eg. 1-10,15
                ''',
                'vlan_id',
                'Cisco-IOS-XE-vlan', True, [
                    _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4096')], [], 
                        '''                        VLAN ID List Eg. 1-10,15
                        ''',
                        'vlan_id',
                        'Cisco-IOS-XE-vlan', True),
                    _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN ID List Eg. 1-10,15
                        ''',
                        'vlan_id',
                        'Cisco-IOS-XE-vlan', True),
                ]),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.Configuration.Ip', 
                [], [], 
                '''                ip root chain
                ''',
                'ip',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'configuration',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.Filter',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('vlan-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLANs to apply filter to
                ''',
                'vlan_list',
                'Cisco-IOS-XE-vlan', False, [
                    _MetaInfoClassMember('vlan-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        VLANs to apply filter to
                        ''',
                        'vlan_list',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('vlan-list', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLANs to apply filter to
                        ''',
                        'vlan_list',
                        'Cisco-IOS-XE-vlan', False),
                ]),
            ],
            'Cisco-IOS-XE-vlan',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.Accounting',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Input accounting
                ''',
                'input',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Output accounting
                ''',
                'output',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.Internal.Allocation.PolicyEnum' : _MetaInfoEnum('PolicyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ascending':'ascending',
            'descending':'descending',
        }, 'Cisco-IOS-XE-vlan', _yang_ns._namespaces['Cisco-IOS-XE-vlan']),
    'Native.Vlan.Internal.Allocation' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.Internal.Allocation',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_ENUM_CLASS, 'PolicyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.Internal.Allocation.PolicyEnum', 
                [], [], 
                '''                ''',
                'policy',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'allocation',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.Internal',
            False, 
            [
            _MetaInfoClassMember('allocation', REFERENCE_CLASS, 'Allocation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.Internal.Allocation', 
                [], [], 
                '''                internal VLAN allocation
                ''',
                'allocation',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.Dot1Q.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.Dot1Q.Tag',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                tag native vlan
                ''',
                'native',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.Dot1Q.Tag', 
                [], [], 
                '''                tag parameters
                ''',
                'tag',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.AccessLog' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.AccessLog',
            False, 
            [
            _MetaInfoClassMember('maxflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '2048')], [], 
                '''                Set vacl logging maximum flow number
                ''',
                'maxflow',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('ratelimit', ATTRIBUTE, 'int' , None, None, 
                [('10', '5000')], [], 
                '''                Set vacl logging rate limiter
                ''',
                'ratelimit',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Set vacl log-update threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'access-log',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.VlanList.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.VlanList.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('association', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure association between private VLANs
                ''',
                'association',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('community', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the VLAN as a community private VLAN
                ''',
                'community',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('isolated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the VLAN as an isolated private VLAN
                ''',
                'isolated',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('primary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the VLAN as a primary private VLAN
                ''',
                'primary',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.VlanList.Lldp' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.VlanList.Lldp',
            False, 
            [
            _MetaInfoClassMember('run', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'run',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'lldp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan.VlanList.UniVlanEnum' : _MetaInfoEnum('UniVlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'community':'community',
            'isolated':'isolated',
        }, 'Cisco-IOS-XE-vlan', _yang_ns._namespaces['Cisco-IOS-XE-vlan']),
    'Native.Vlan.VlanList' : {
        'meta_info' : _MetaInfoClass('Native.Vlan.VlanList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-vlan', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-vlan', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-vlan', True),
                ]),
            _MetaInfoClassMember('lldp', REFERENCE_CLASS, 'Lldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.VlanList.Lldp', 
                [], [], 
                '''                ''',
                'lldp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Ascii name of the VLAN
                ''',
                'name',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.VlanList.PrivateVlan', 
                [], [], 
                '''                Configure a private VLAN
                ''',
                'private_vlan',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('remote-span', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as Remote SPAN VLAN
                ''',
                'remote_span',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('uni-vlan', REFERENCE_ENUM_CLASS, 'UniVlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.VlanList.UniVlanEnum', 
                [], [], 
                '''                Configure a UNI VLAN
                ''',
                'uni_vlan',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'vlan-list',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Vlan',
            False, 
            [
            _MetaInfoClassMember('access-log', REFERENCE_CLASS, 'AccessLog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.AccessLog', 
                [], [], 
                '''                Configure VACL logging
                ''',
                'access_log',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('access-map', REFERENCE_LIST, 'AccessMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.AccessMap', 
                [], [], 
                '''                Create vlan access-map or enter vlan access-map command mode
                ''',
                'access_map',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.Accounting', 
                [], [], 
                '''                VLAN accounting configuration
                ''',
                'accounting',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('configuration', REFERENCE_LIST, 'Configuration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.Configuration', 
                [], [], 
                '''                vlan feature configuration mode
                ''',
                'configuration',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.Dot1Q', 
                [], [], 
                '''                dot1q parameters
                ''',
                'dot1q',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('filter', REFERENCE_LIST, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.Filter', 
                [], [], 
                '''                Apply a VLAN Map
                ''',
                'filter',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.Internal', 
                [], [], 
                '''                internal VLAN
                ''',
                'internal',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('vlan-list', REFERENCE_LIST, 'VlanList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan.VlanList', 
                [], [], 
                '''                ''',
                'vlan_list',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cdp' : {
        'meta_info' : _MetaInfoClass('Native.Cdp',
            False, 
            [
            _MetaInfoClassMember('run', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable CDP
                ''',
                'run',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-native',
            'cdp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.CurrentMethodPriority' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.CurrentMethodPriority',
            False, 
            [
            _MetaInfoClassMember('eq', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                equal to
                ''',
                'eq',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('gt', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                greater than
                ''',
                'gt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('lt', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                less than
                ''',
                'lt',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'current-method-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Application.ApplicationGroup' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Application.ApplicationGroup',
            False, 
            [
            _MetaInfoClassMember('telepresence-group', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Telepresence Group
                ''',
                'telepresence_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('vmware-group', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VMWARE Group
                ''',
                'vmware_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('webex-group', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                WebEx Group
                ''',
                'webex_group',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'application-group',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Application.Attribute.MediaTypeEnum' : _MetaInfoEnum('MediaTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'audio':'audio',
            'audio-video':'audio_video',
            'control':'control',
            'data':'data',
            'video':'video',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.ClassMap.Match.Application.Attribute' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Application.Attribute',
            False, 
            [
            _MetaInfoClassMember('media-type', REFERENCE_ENUM_CLASS, 'MediaTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Application.Attribute.MediaTypeEnum', 
                [], [], 
                '''                Media type attribute to match
                ''',
                'media_type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Application' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Application',
            False, 
            [
            _MetaInfoClassMember('application-group', REFERENCE_CLASS, 'ApplicationGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Application.ApplicationGroup', 
                [], [], 
                '''                Application Group to match
                ''',
                'application_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('attribute', REFERENCE_CLASS, 'Attribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Application.Attribute', 
                [], [], 
                '''                Application attribute to match
                ''',
                'attribute',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('1', '2699')], [], 
                '''                ''',
                'index',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Named Access List
                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.DestinationAddress' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.DestinationAddress',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'destination-address',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Ip.Rtp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Ip.Rtp',
            False, 
            [
            _MetaInfoClassMember('port1', ATTRIBUTE, 'int' , None, None, 
                [('2000', '65535')], [], 
                '''                ''',
                'port1',
                'Cisco-IOS-XE-policy', True),
            _MetaInfoClassMember('port2', ATTRIBUTE, 'int' , None, None, 
                [('0', '16383')], [], 
                '''                ''',
                'port2',
                'Cisco-IOS-XE-policy', True),
            ],
            'Cisco-IOS-XE-policy',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Ip',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match IP DSCP (DiffServ CodePoints)
                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match IP DSCP (DiffServ CodePoints)
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_LEAFLIST, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match IP DSCP (DiffServ CodePoints)
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('precedence', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match IP precedence
                ''',
                'precedence',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('precedence', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        Match IP precedence
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('precedence', REFERENCE_LEAFLIST, 'PrecedenceTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'PrecedenceTypeEnum', 
                        [], [], 
                        '''                        Match IP precedence
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('rtp', REFERENCE_LIST, 'Rtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Ip.Rtp', 
                [], [], 
                '''                Match RTP port nos
                ''',
                'rtp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Mpls.Experimental' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Mpls.Experimental',
            False, 
            [
            _MetaInfoClassMember('topmost', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Match MPLS experimental value on topmost label
                ''',
                'topmost',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'experimental',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Mpls',
            False, 
            [
            _MetaInfoClassMember('experimental', REFERENCE_CLASS, 'Experimental' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Mpls.Experimental', 
                [], [], 
                '''                Match MPLS experimental
                ''',
                'experimental',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Packet.Length' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Packet.Length',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Maximum length of packet
                ''',
                'max',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Minimum length of packet
                ''',
                'min',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Packet' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Packet',
            False, 
            [
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Packet.Length', 
                [], [], 
                '''                Layer 3 Packet length
                ''',
                'length',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'packet',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.Citrix' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol.Citrix',
            False, 
            [
            _MetaInfoClassMember('ica-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Citrix ICA tag 0-high 1-medium 2-low 3-background
                ''',
                'ica_tag',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'citrix',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.Fasttrack' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol.Fasttrack',
            False, 
            [
            _MetaInfoClassMember('file-transfer', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                File transfer stream
                ''',
                'file_transfer',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'fasttrack',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.Gnutella' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol.Gnutella',
            False, 
            [
            _MetaInfoClassMember('file-transfer', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                File transfer stream
                ''',
                'file_transfer',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'gnutella',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.Http' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol.Http',
            False, 
            [
            _MetaInfoClassMember('c-header-field', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Client general Header Field
                ''',
                'c_header_field',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Server Host Name
                ''',
                'host',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mime', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Match MIME Type
                ''',
                'mime',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('s-header-field', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Server general Header Field
                ''',
                's_header_field',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Match URL String
                ''',
                'url',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'http',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.Kazaa2' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol.Kazaa2',
            False, 
            [
            _MetaInfoClassMember('file-transfer', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                File transfer stream
                ''',
                'file_transfer',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'kazaa2',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.Napster' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol.Napster',
            False, 
            [
            _MetaInfoClassMember('non-std', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Non-standard port advertizements
                ''',
                'non_std',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'napster',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.Rtp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol.Rtp',
            False, 
            [
            _MetaInfoClassMember('audio', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match voice packets
                ''',
                'audio',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('payload-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Match an explicit PT
                ''',
                'payload_type',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('video', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match video packets
                ''',
                'video',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.Smtp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol.Smtp',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'smtp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance',
            False, 
            [
            _MetaInfoClassMember('business-irrelevant', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Undesirable business traffic
                ''',
                'business_irrelevant',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('business-relevant', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Business critical applications
                ''',
                'business_relevant',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Related business applications
                ''',
                'default',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'business-relevance',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('broadcast-video', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Broadcast TV, live events, video surveillance
                ''',
                'broadcast_video',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bulk-data', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Non-interactive data applications
                ''',
                'bulk_data',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('multimedia-conferencing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Desktop software multimedia collaboration applications
                ''',
                'multimedia_conferencing',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('multimedia-streaming', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Video-on-Demand (VoD) streaming video
                ''',
                'multimedia_streaming',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('network-control', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network control plane traffic
                ''',
                'network_control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ops-admin-mgmt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network operations, administration, and management traffic
                ''',
                'ops_admin_mgmt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('real-time-interactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                High-definition interactive video applications
                ''',
                'real_time_interactive',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('signaling', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Signaling traffic that supports IP voice and video telephony
                ''',
                'signaling',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('transactional-data', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interactive data applications
                ''',
                'transactional_data',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('voip-telephony', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VoIP telephony (bearer-only) traffic
                ''',
                'voip_telephony',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.Attribute' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol.Attribute',
            False, 
            [
            _MetaInfoClassMember('business-relevance', REFERENCE_CLASS, 'BusinessRelevance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance', 
                [], [], 
                '''                Application business-relevance
                ''',
                'business_relevance',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass', 
                [], [], 
                '''                SRND class
                ''',
                'traffic_class',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Protocol.ProtocolsEnum' : _MetaInfoEnum('ProtocolsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'x802-11-iapp':'x802_11_iapp',
            'ace-svr':'ace_svr',
            'aol':'aol',
            'appleqtc':'appleqtc',
            'biff':'biff',
            'bittorrent':'bittorrent',
            'bootpc':'bootpc',
            'bootps':'bootps',
            'cddbp':'cddbp',
            'cifs':'cifs',
            'cisco-fna':'cisco_fna',
            'cisco-net-mgmt':'cisco_net_mgmt',
            'cisco-svcs':'cisco_svcs',
            'cisco-sys':'cisco_sys',
            'cisco-tdp':'cisco_tdp',
            'cisco-tna':'cisco_tna',
            'citriximaclient':'citriximaclient',
            'clp':'clp',
            'creativepartnr':'creativepartnr',
            'creativeserver':'creativeserver',
            'daytime':'daytime',
            'dbase':'dbase',
            'dbcontrol_agent':'dbcontrol_agent',
            'ddns-v3':'ddns_v3',
            'dhcp-failover':'dhcp_failover',
            'directconnect':'directconnect',
            'discard':'discard',
            'dnsix':'dnsix',
            'echo':'echo',
            'entrust-svc-hdlr':'entrust_svc_hdlr',
            'entrust-svcs':'entrust_svcs',
            'exec':'exec_',
            'fcip-port':'fcip_port',
            'ftps':'ftps',
            'gdoi':'gdoi',
            'giop':'giop',
            'gtpv0':'gtpv0',
            'gtpv1':'gtpv1',
            'h225ras':'h225ras',
            'h323callsigalt':'h323callsigalt',
            'hp-alarm-mgr':'hp_alarm_mgr',
            'hp-collector':'hp_collector',
            'hp-managed-node':'hp_managed_node',
            'hsrp':'hsrp',
            'https':'https',
            'ica':'ica',
            'icabrowser':'icabrowser',
            'ident':'ident',
            'igmpv3lite':'igmpv3lite',
            'imap3':'imap3',
            'imaps':'imaps',
            'ipass':'ipass',
            'ipsec-msft':'ipsec_msft',
            'irc-serv':'irc_serv',
            'ircs':'ircs',
            'ircu':'ircu',
            'isakmp':'isakmp',
            'iscsi':'iscsi',
            'iscsi-target':'iscsi_target',
            'kermit':'kermit',
            'ldap-admin':'ldap_admin',
            'ldaps':'ldaps',
            'login':'login',
            'lotusmtap':'lotusmtap',
            'lotusnote':'lotusnote',
            'mapi':'mapi',
            'ms-ad-rep':'ms_ad_rep',
            'ms-exch-nspi':'ms_exch_nspi',
            'ms-frs':'ms_frs',
            'ms-frsapi':'ms_frsapi',
            'ms-rfr':'ms_rfr',
            'msn-messenger':'msn_messenger',
            'netlogon':'netlogon',
            'microsoft-ds':'microsoft_ds',
            'ms-cluster-net':'ms_cluster_net',
            'ms-dotnetster':'ms_dotnetster',
            'ms-sna':'ms_sna',
            'ms-sql':'ms_sql',
            'ms-sql-m':'ms_sql_m',
            'msexch-routing':'msexch_routing',
            'msnmsgr':'msnmsgr',
            'msrpc':'msrpc',
            'mysql':'mysql',
            'n2h2server':'n2h2server',
            'ncp':'ncp',
            'net8-cman':'net8_cman',
            'netbios-dgm':'netbios_dgm',
            'netbios-ns':'netbios_ns',
            'netbios-ssn':'netbios_ssn',
            'netstat':'netstat',
            'oem-agent':'oem_agent',
            'oracle':'oracle',
            'oracle-em-vp':'oracle_em_vp',
            'oraclenames':'oraclenames',
            'orasrv':'orasrv',
            'pcanywheredata':'pcanywheredata',
            'pcanywherestat':'pcanywherestat',
            'pop3s':'pop3s',
            'pwdgen':'pwdgen',
            'qmtp':'qmtp',
            'r-winsock':'r_winsock',
            'radius':'radius',
            'rdb-dbs-disp':'rdb_dbs_disp',
            'realmedia':'realmedia',
            'realsecure':'realsecure',
            'router':'router',
            'rsvp-encap':'rsvp_encap',
            'rsvp_tunnel':'rsvp_tunnel',
            'rtc-pm-port':'rtc_pm_port',
            'rtelnet':'rtelnet',
            'send':'send',
            'shell':'shell',
            'sip-tls':'sip_tls',
            'sms':'sms',
            'smtp':'smtp',
            'snmptrap':'snmptrap',
            'sql-net':'sql_net',
            'sqlserv':'sqlserv',
            'sqlsrv':'sqlsrv',
            'sshell':'sshell',
            'ssp':'ssp',
            'syslog-conn':'syslog_conn',
            'tacacs':'tacacs',
            'tacacs-ds':'tacacs_ds',
            'tarantella':'tarantella',
            'tcp':'tcp',
            'telnets':'telnets',
            'time':'time',
            'timed':'timed',
            'tr-rsrb':'tr_rsrb',
            'ttc':'ttc',
            'udp':'udp',
            'uucp':'uucp',
            'vqp':'vqp',
            'webster':'webster',
            'who':'who',
            'wins':'wins',
            'x11':'x11',
            'xdmcp':'xdmcp',
            'ymsgr':'ymsgr',
            'aarp':'aarp',
            'appletalk':'appletalk',
            'arp':'arp',
            'bgp':'bgp',
            'bridge':'bridge',
            'bstun':'bstun',
            'cdp':'cdp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.ClassMap.Match.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Protocol',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_CLASS, 'Attribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.Attribute', 
                [], [], 
                '''                Attribute based protocol match
                ''',
                'attribute',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('citrix', REFERENCE_CLASS, 'Citrix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.Citrix', 
                [], [], 
                '''                Citrix Systems ICA protocol
                ''',
                'citrix',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ISO CLNS
                ''',
                'clns',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('clns_es', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ISO CLNS End System
                ''',
                'clns_es',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('clns_is', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ISO CLNS Intermediate System
                ''',
                'clns_is',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('cmns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ISO CMNS
                ''',
                'cmns',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('compressedtcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compressed TCP (VJ
                ''',
                'compressedtcp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('cuseeme', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                CU-SeeMe desktop video conference
                ''',
                'cuseeme',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('decnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DECnet
                ''',
                'decnet',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('decnet_node', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DECnet Node
                ''',
                'decnet_node',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('decnet_router-l1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DECnet Router L1
                ''',
                'decnet_router_l1',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('decnet_router-l2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DECnet Router L2
                ''',
                'decnet_router_l2',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Dynamic Host Configuration
                ''',
                'dhcp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dlsw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'dlsw',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'dns',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('edonkey', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'edonkey',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('egp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'egp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exchange', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'exchange',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('fasttrack', REFERENCE_CLASS, 'Fasttrack' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.Fasttrack', 
                [], [], 
                '''                FastTrack Traffic - KaZaA, Morpheus, Grokster
                ''',
                'fasttrack',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('finger', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'finger',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ftp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'ftp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('gnutella', REFERENCE_CLASS, 'Gnutella' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.Gnutella', 
                [], [], 
                '''                Gnutella Version2 Traffic - BearShare, Shareeza, Morpheus
                ''',
                'gnutella',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('gopher', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'gopher',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('gre', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'gre',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('h323', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'h323',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('http', REFERENCE_CLASS, 'Http' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.Http', 
                [], [], 
                '''                World Wide Web traffic
                ''',
                'http',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('icmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Internet Control Message
                ''',
                'icmp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('imap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Internet Message Access Protocol
                ''',
                'imap',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP
                ''',
                'ip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ipinip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP in IP (encapsulation
                ''',
                'ipinip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ipsec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Security Protocol (ESP/AH
                ''',
                'ipsec',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPV6
                ''',
                'ipv6',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ipx', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Novell IPX
                ''',
                'ipx',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('irc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Internet Relay Chat
                ''',
                'irc',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('kazaa2', REFERENCE_CLASS, 'Kazaa2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.Kazaa2', 
                [], [], 
                '''                Kazaa Version 2
                ''',
                'kazaa2',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('kerberos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Kerberos
                ''',
                'kerberos',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('l2tp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                L2F/L2TP tunnel
                ''',
                'l2tp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ldap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lightweight Directory Access Protocol
                ''',
                'ldap',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('llc2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                llc2
                ''',
                'llc2',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mgcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Media Gateway Control Protocol
                ''',
                'mgcp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('napster', REFERENCE_CLASS, 'Napster' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.Napster', 
                [], [], 
                '''                Napster Traffic
                ''',
                'napster',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('netbios', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NetBIOS
                ''',
                'netbios',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('netshow', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microsoft Netshow
                ''',
                'netshow',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('nfs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network File System
                ''',
                'nfs',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('nntp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network News Transfer Protocol
                ''',
                'nntp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('notes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lotus Notes(R
                ''',
                'notes',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('novadigm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Novadigm EDM
                ''',
                'novadigm',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ntp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network Time Protocol
                ''',
                'ntp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Open Shortest Path First
                ''',
                'ospf',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pad', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PAD links
                ''',
                'pad',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pcanywhere', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Symantec pcANYWHERE
                ''',
                'pcanywhere',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pop3', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Post Office Protocol
                ''',
                'pop3',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pppoe', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PPP over Ethernet
                ''',
                'pppoe',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pptp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Point-to-Point Tunneling Protocol
                ''',
                'pptp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('printer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                print spooler/lpd
                ''',
                'printer',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('protocols', REFERENCE_ENUM_CLASS, 'ProtocolsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.ProtocolsEnum', 
                [], [], 
                '''                ''',
                'protocols',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('qllc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                qllc protocol
                ''',
                'qllc',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rcmd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BSD r-commands (rsh, rlogin, rexec
                ''',
                'rcmd',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Routing Information Protocol
                ''',
                'rip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rsrb', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remote Source-Route Bridging
                ''',
                'rsrb',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rsvp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Resource Reservation Protocol
                ''',
                'rsvp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rtcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Real Time Control Protocol
                ''',
                'rtcp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.Rtp', 
                [], [], 
                '''                Real Time Protocol
                ''',
                'rtp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rtsp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Real Time Streaming Protocol
                ''',
                'rtsp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-ftp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                FTP over TLS/SSL
                ''',
                'secure_ftp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-http', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secured HTTP
                ''',
                'secure_http',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-imap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Internet Message Access Protocol over TLS/SSL
                ''',
                'secure_imap',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-irc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Internet Relay Chat over TLS/SSL
                ''',
                'secure_irc',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-ldap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lightweight Directory Access Protocol over TLS/SSL
                ''',
                'secure_ldap',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-nntp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network News Transfer Protocol over TLS/SSL
                ''',
                'secure_nntp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-pop3', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Post Office Protocol over TLS/SSL
                ''',
                'secure_pop3',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-telnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Telnet over TLS/SSL
                ''',
                'secure_telnet',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('sip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Session Initiation Protocol
                ''',
                'sip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('skinny', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Skinny Protocol
                ''',
                'skinny',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('smtp', REFERENCE_CLASS, 'Smtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol.Smtp', 
                [], [], 
                '''                Simple Mail Transfer Protocol
                ''',
                'smtp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('snapshot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Snapshot routing support
                ''',
                'snapshot',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Simple Network Management Protocol
                ''',
                'snmp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('socks', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SOCKS
                ''',
                'socks',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('sqlnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SQL*NET for Oracle
                ''',
                'sqlnet',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('sqlserver', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MS SQL Server
                ''',
                'sqlserver',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ssh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secured Shell
                ''',
                'ssh',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('streamwork', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Xing Technology StreamWorks player
                ''',
                'streamwork',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('stun', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Serial Tunnel
                ''',
                'stun',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('sunrpc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Sun RPC
                ''',
                'sunrpc',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('syslog', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                System Logging Utility
                ''',
                'syslog',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('telnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Telnet
                ''',
                'telnet',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('tftp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trivial File Transfer Protocol
                ''',
                'tftp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('vdolive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VDOLive streaming video
                ''',
                'vdolive',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('vofr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                voice over Frame Relay packets
                ''',
                'vofr',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('winmx', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                WinMx file-sharing application
                ''',
                'winmx',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('xwindows', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                X-Windows remote access
                ''',
                'xwindows',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.SecurityGroup.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.SecurityGroup.Destination',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Security group tag
                ''',
                'tag',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.SecurityGroup.Source' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.SecurityGroup.Source',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Security group tag
                ''',
                'tag',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.SecurityGroup' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.SecurityGroup',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.SecurityGroup.Destination', 
                [], [], 
                '''                Destination security group
                ''',
                'destination',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.SecurityGroup.Source', 
                [], [], 
                '''                Source security group
                ''',
                'source',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'security-group',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.ActivatedServiceTemplate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.ActivatedServiceTemplate',
            False, 
            [
            _MetaInfoClassMember('service-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter service name
                ''',
                'service_name',
                'Cisco-IOS-XE-policy', True),
            ],
            'Cisco-IOS-XE-policy',
            'activated-service-template',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.AuthorizationStatus' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.AuthorizationStatus',
            False, 
            [
            _MetaInfoClassMember('authorized', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                authorized
                ''',
                'authorized',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('unauthorized', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                unauthorized
                ''',
                'unauthorized',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'authorization-status',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.AuthorizingMethodPriority' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.AuthorizingMethodPriority',
            False, 
            [
            _MetaInfoClassMember('eq', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                equal to
                ''',
                'eq',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('gt', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                greater than
                ''',
                'gt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('lt', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                less than
                ''',
                'lt',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'authorizing-method-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Method' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Method',
            False, 
            [
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                dot1x
                ''',
                'dot1x',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mab', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                mab
                ''',
                'mab',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('webauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                webauth
                ''',
                'webauth',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'method',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.ResultType.Method.Dot1X' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.ResultType.Method.Dot1X',
            False, 
            [
            _MetaInfoClassMember('aaa-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                aaa timeout type
                ''',
                'aaa_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('agent-not-found', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                agent not found type
                ''',
                'agent_not_found',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authoritative', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                failure type
                ''',
                'authoritative',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                method_timeout type
                ''',
                'method_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no type
                ''',
                'none',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('success', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                success type
                ''',
                'success',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dot1x',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.ResultType.Method.Mab' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.ResultType.Method.Mab',
            False, 
            [
            _MetaInfoClassMember('aaa-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                aaa timeout type
                ''',
                'aaa_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('agent-not-found', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                agent not found type
                ''',
                'agent_not_found',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authoritative', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                failure type
                ''',
                'authoritative',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                method_timeout type
                ''',
                'method_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no type
                ''',
                'none',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('success', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                success type
                ''',
                'success',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'mab',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.ResultType.Method.Webauth' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.ResultType.Method.Webauth',
            False, 
            [
            _MetaInfoClassMember('aaa-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                aaa timeout type
                ''',
                'aaa_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('agent-not-found', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                agent not found type
                ''',
                'agent_not_found',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authoritative', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                failure type
                ''',
                'authoritative',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                method_timeout type
                ''',
                'method_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no type
                ''',
                'none',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('success', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                success type
                ''',
                'success',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'webauth',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.ResultType.Method' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.ResultType.Method',
            False, 
            [
            _MetaInfoClassMember('dot1x', REFERENCE_CLASS, 'Dot1X' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.ResultType.Method.Dot1X', 
                [], [], 
                '''                dot1x result
                ''',
                'dot1x',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mab', REFERENCE_CLASS, 'Mab' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.ResultType.Method.Mab', 
                [], [], 
                '''                mab result
                ''',
                'mab',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('webauth', REFERENCE_CLASS, 'Webauth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.ResultType.Method.Webauth', 
                [], [], 
                '''                webauth result
                ''',
                'webauth',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'method',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.ResultType' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.ResultType',
            False, 
            [
            _MetaInfoClassMember('aaa-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                aaa timeout type
                ''',
                'aaa_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('agent-not-found', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                agent not found type
                ''',
                'agent_not_found',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authoritative', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                failure type
                ''',
                'authoritative',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method', REFERENCE_CLASS, 'Method' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.ResultType.Method', 
                [], [], 
                '''                match the result of a particular method
                ''',
                'method',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                method_timeout type
                ''',
                'method_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no type
                ''',
                'none',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('success', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                success type
                ''',
                'success',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'result-type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority',
            False, 
            [
            _MetaInfoClassMember('eq', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                equal to
                ''',
                'eq',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('gt', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                greater than
                ''',
                'gt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('lt', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                less than
                ''',
                'lt',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'current-method-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup',
            False, 
            [
            _MetaInfoClassMember('telepresence-group', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Telepresence Group
                ''',
                'telepresence_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('vmware-group', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VMWARE Group
                ''',
                'vmware_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('webex-group', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                WebEx Group
                ''',
                'webex_group',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'application-group',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Application.Attribute.MediaTypeEnum' : _MetaInfoEnum('MediaTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'audio':'audio',
            'audio-video':'audio_video',
            'control':'control',
            'data':'data',
            'video':'video',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.ClassMap.Match.Not_.Application.Attribute' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Application.Attribute',
            False, 
            [
            _MetaInfoClassMember('media-type', REFERENCE_ENUM_CLASS, 'MediaTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Application.Attribute.MediaTypeEnum', 
                [], [], 
                '''                Media type attribute to match
                ''',
                'media_type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Application' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Application',
            False, 
            [
            _MetaInfoClassMember('application-group', REFERENCE_CLASS, 'ApplicationGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup', 
                [], [], 
                '''                Application Group to match
                ''',
                'application_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('attribute', REFERENCE_CLASS, 'Attribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Application.Attribute', 
                [], [], 
                '''                Application attribute to match
                ''',
                'attribute',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('1', '2699')], [], 
                '''                ''',
                'index',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Named Access List
                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.DestinationAddress' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.DestinationAddress',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'destination-address',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Ip.Rtp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Ip.Rtp',
            False, 
            [
            _MetaInfoClassMember('port1', ATTRIBUTE, 'int' , None, None, 
                [('2000', '65535')], [], 
                '''                ''',
                'port1',
                'Cisco-IOS-XE-policy', True),
            _MetaInfoClassMember('port2', ATTRIBUTE, 'int' , None, None, 
                [('0', '16383')], [], 
                '''                ''',
                'port2',
                'Cisco-IOS-XE-policy', True),
            ],
            'Cisco-IOS-XE-policy',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Ip',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match IP DSCP (DiffServ CodePoints)
                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match IP DSCP (DiffServ CodePoints)
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_LEAFLIST, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match IP DSCP (DiffServ CodePoints)
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('precedence', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match IP precedence
                ''',
                'precedence',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('precedence', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        Match IP precedence
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('precedence', REFERENCE_LEAFLIST, 'PrecedenceTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'PrecedenceTypeEnum', 
                        [], [], 
                        '''                        Match IP precedence
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('rtp', REFERENCE_LIST, 'Rtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Ip.Rtp', 
                [], [], 
                '''                Match RTP port nos
                ''',
                'rtp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Mpls.Experimental' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Mpls.Experimental',
            False, 
            [
            _MetaInfoClassMember('topmost', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Match MPLS experimental value on topmost label
                ''',
                'topmost',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'experimental',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Mpls',
            False, 
            [
            _MetaInfoClassMember('experimental', REFERENCE_CLASS, 'Experimental' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Mpls.Experimental', 
                [], [], 
                '''                Match MPLS experimental
                ''',
                'experimental',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Packet.Length' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Packet.Length',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Maximum length of packet
                ''',
                'max',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Minimum length of packet
                ''',
                'min',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Packet' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Packet',
            False, 
            [
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Packet.Length', 
                [], [], 
                '''                Layer 3 Packet length
                ''',
                'length',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'packet',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.Citrix' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol.Citrix',
            False, 
            [
            _MetaInfoClassMember('ica-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Citrix ICA tag 0-high 1-medium 2-low 3-background
                ''',
                'ica_tag',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'citrix',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.Fasttrack' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol.Fasttrack',
            False, 
            [
            _MetaInfoClassMember('file-transfer', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                File transfer stream
                ''',
                'file_transfer',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'fasttrack',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.Gnutella' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol.Gnutella',
            False, 
            [
            _MetaInfoClassMember('file-transfer', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                File transfer stream
                ''',
                'file_transfer',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'gnutella',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.Http' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol.Http',
            False, 
            [
            _MetaInfoClassMember('c-header-field', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Client general Header Field
                ''',
                'c_header_field',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Server Host Name
                ''',
                'host',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mime', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Match MIME Type
                ''',
                'mime',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('s-header-field', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Server general Header Field
                ''',
                's_header_field',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Match URL String
                ''',
                'url',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'http',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.Kazaa2' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol.Kazaa2',
            False, 
            [
            _MetaInfoClassMember('file-transfer', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                File transfer stream
                ''',
                'file_transfer',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'kazaa2',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.Napster' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol.Napster',
            False, 
            [
            _MetaInfoClassMember('non-std', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Non-standard port advertizements
                ''',
                'non_std',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'napster',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.Rtp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol.Rtp',
            False, 
            [
            _MetaInfoClassMember('audio', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match voice packets
                ''',
                'audio',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('payload-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Match an explicit PT
                ''',
                'payload_type',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('video', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match video packets
                ''',
                'video',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.Smtp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol.Smtp',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'smtp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance',
            False, 
            [
            _MetaInfoClassMember('business-irrelevant', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Undesirable business traffic
                ''',
                'business_irrelevant',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('business-relevant', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Business critical applications
                ''',
                'business_relevant',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Related business applications
                ''',
                'default',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'business-relevance',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('broadcast-video', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Broadcast TV, live events, video surveillance
                ''',
                'broadcast_video',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bulk-data', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Non-interactive data applications
                ''',
                'bulk_data',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('multimedia-conferencing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Desktop software multimedia collaboration applications
                ''',
                'multimedia_conferencing',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('multimedia-streaming', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Video-on-Demand (VoD) streaming video
                ''',
                'multimedia_streaming',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('network-control', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network control plane traffic
                ''',
                'network_control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ops-admin-mgmt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network operations, administration, and management traffic
                ''',
                'ops_admin_mgmt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('real-time-interactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                High-definition interactive video applications
                ''',
                'real_time_interactive',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('signaling', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Signaling traffic that supports IP voice and video telephony
                ''',
                'signaling',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('transactional-data', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interactive data applications
                ''',
                'transactional_data',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('voip-telephony', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VoIP telephony (bearer-only) traffic
                ''',
                'voip_telephony',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.Attribute' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol.Attribute',
            False, 
            [
            _MetaInfoClassMember('business-relevance', REFERENCE_CLASS, 'BusinessRelevance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance', 
                [], [], 
                '''                Application business-relevance
                ''',
                'business_relevance',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass', 
                [], [], 
                '''                SRND class
                ''',
                'traffic_class',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.Protocol.ProtocolsEnum' : _MetaInfoEnum('ProtocolsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'x802-11-iapp':'x802_11_iapp',
            'ace-svr':'ace_svr',
            'aol':'aol',
            'appleqtc':'appleqtc',
            'biff':'biff',
            'bittorrent':'bittorrent',
            'bootpc':'bootpc',
            'bootps':'bootps',
            'cddbp':'cddbp',
            'cifs':'cifs',
            'cisco-fna':'cisco_fna',
            'cisco-net-mgmt':'cisco_net_mgmt',
            'cisco-svcs':'cisco_svcs',
            'cisco-sys':'cisco_sys',
            'cisco-tdp':'cisco_tdp',
            'cisco-tna':'cisco_tna',
            'citriximaclient':'citriximaclient',
            'clp':'clp',
            'creativepartnr':'creativepartnr',
            'creativeserver':'creativeserver',
            'daytime':'daytime',
            'dbase':'dbase',
            'dbcontrol_agent':'dbcontrol_agent',
            'ddns-v3':'ddns_v3',
            'dhcp-failover':'dhcp_failover',
            'directconnect':'directconnect',
            'discard':'discard',
            'dnsix':'dnsix',
            'echo':'echo',
            'entrust-svc-hdlr':'entrust_svc_hdlr',
            'entrust-svcs':'entrust_svcs',
            'exec':'exec_',
            'fcip-port':'fcip_port',
            'ftps':'ftps',
            'gdoi':'gdoi',
            'giop':'giop',
            'gtpv0':'gtpv0',
            'gtpv1':'gtpv1',
            'h225ras':'h225ras',
            'h323callsigalt':'h323callsigalt',
            'hp-alarm-mgr':'hp_alarm_mgr',
            'hp-collector':'hp_collector',
            'hp-managed-node':'hp_managed_node',
            'hsrp':'hsrp',
            'https':'https',
            'ica':'ica',
            'icabrowser':'icabrowser',
            'ident':'ident',
            'igmpv3lite':'igmpv3lite',
            'imap3':'imap3',
            'imaps':'imaps',
            'ipass':'ipass',
            'ipsec-msft':'ipsec_msft',
            'irc-serv':'irc_serv',
            'ircs':'ircs',
            'ircu':'ircu',
            'isakmp':'isakmp',
            'iscsi':'iscsi',
            'iscsi-target':'iscsi_target',
            'kermit':'kermit',
            'ldap-admin':'ldap_admin',
            'ldaps':'ldaps',
            'login':'login',
            'lotusmtap':'lotusmtap',
            'lotusnote':'lotusnote',
            'mapi':'mapi',
            'ms-ad-rep':'ms_ad_rep',
            'ms-exch-nspi':'ms_exch_nspi',
            'ms-frs':'ms_frs',
            'ms-frsapi':'ms_frsapi',
            'ms-rfr':'ms_rfr',
            'msn-messenger':'msn_messenger',
            'netlogon':'netlogon',
            'microsoft-ds':'microsoft_ds',
            'ms-cluster-net':'ms_cluster_net',
            'ms-dotnetster':'ms_dotnetster',
            'ms-sna':'ms_sna',
            'ms-sql':'ms_sql',
            'ms-sql-m':'ms_sql_m',
            'msexch-routing':'msexch_routing',
            'msnmsgr':'msnmsgr',
            'msrpc':'msrpc',
            'mysql':'mysql',
            'n2h2server':'n2h2server',
            'ncp':'ncp',
            'net8-cman':'net8_cman',
            'netbios-dgm':'netbios_dgm',
            'netbios-ns':'netbios_ns',
            'netbios-ssn':'netbios_ssn',
            'netstat':'netstat',
            'oem-agent':'oem_agent',
            'oracle':'oracle',
            'oracle-em-vp':'oracle_em_vp',
            'oraclenames':'oraclenames',
            'orasrv':'orasrv',
            'pcanywheredata':'pcanywheredata',
            'pcanywherestat':'pcanywherestat',
            'pop3s':'pop3s',
            'pwdgen':'pwdgen',
            'qmtp':'qmtp',
            'r-winsock':'r_winsock',
            'radius':'radius',
            'rdb-dbs-disp':'rdb_dbs_disp',
            'realmedia':'realmedia',
            'realsecure':'realsecure',
            'router':'router',
            'rsvp-encap':'rsvp_encap',
            'rsvp_tunnel':'rsvp_tunnel',
            'rtc-pm-port':'rtc_pm_port',
            'rtelnet':'rtelnet',
            'send':'send',
            'shell':'shell',
            'sip-tls':'sip_tls',
            'sms':'sms',
            'smtp':'smtp',
            'snmptrap':'snmptrap',
            'sql-net':'sql_net',
            'sqlserv':'sqlserv',
            'sqlsrv':'sqlsrv',
            'sshell':'sshell',
            'ssp':'ssp',
            'syslog-conn':'syslog_conn',
            'tacacs':'tacacs',
            'tacacs-ds':'tacacs_ds',
            'tarantella':'tarantella',
            'tcp':'tcp',
            'telnets':'telnets',
            'time':'time',
            'timed':'timed',
            'tr-rsrb':'tr_rsrb',
            'ttc':'ttc',
            'udp':'udp',
            'uucp':'uucp',
            'vqp':'vqp',
            'webster':'webster',
            'who':'who',
            'wins':'wins',
            'x11':'x11',
            'xdmcp':'xdmcp',
            'ymsgr':'ymsgr',
            'aarp':'aarp',
            'appletalk':'appletalk',
            'arp':'arp',
            'bgp':'bgp',
            'bridge':'bridge',
            'bstun':'bstun',
            'cdp':'cdp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.ClassMap.Match.Not_.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.Protocol',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_CLASS, 'Attribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.Attribute', 
                [], [], 
                '''                Attribute based protocol match
                ''',
                'attribute',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('citrix', REFERENCE_CLASS, 'Citrix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.Citrix', 
                [], [], 
                '''                Citrix Systems ICA protocol
                ''',
                'citrix',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ISO CLNS
                ''',
                'clns',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('clns_es', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ISO CLNS End System
                ''',
                'clns_es',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('clns_is', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ISO CLNS Intermediate System
                ''',
                'clns_is',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('cmns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ISO CMNS
                ''',
                'cmns',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('compressedtcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compressed TCP (VJ
                ''',
                'compressedtcp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('cuseeme', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                CU-SeeMe desktop video conference
                ''',
                'cuseeme',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('decnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DECnet
                ''',
                'decnet',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('decnet_node', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DECnet Node
                ''',
                'decnet_node',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('decnet_router-l1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DECnet Router L1
                ''',
                'decnet_router_l1',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('decnet_router-l2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DECnet Router L2
                ''',
                'decnet_router_l2',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Dynamic Host Configuration
                ''',
                'dhcp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dlsw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'dlsw',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'dns',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('edonkey', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'edonkey',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('egp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'egp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exchange', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'exchange',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('fasttrack', REFERENCE_CLASS, 'Fasttrack' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.Fasttrack', 
                [], [], 
                '''                FastTrack Traffic - KaZaA, Morpheus, Grokster
                ''',
                'fasttrack',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('finger', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'finger',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ftp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'ftp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('gnutella', REFERENCE_CLASS, 'Gnutella' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.Gnutella', 
                [], [], 
                '''                Gnutella Version2 Traffic - BearShare, Shareeza, Morpheus
                ''',
                'gnutella',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('gopher', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'gopher',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('gre', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'gre',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('h323', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'h323',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('http', REFERENCE_CLASS, 'Http' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.Http', 
                [], [], 
                '''                World Wide Web traffic
                ''',
                'http',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('icmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Internet Control Message
                ''',
                'icmp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('imap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Internet Message Access Protocol
                ''',
                'imap',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP
                ''',
                'ip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ipinip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP in IP (encapsulation
                ''',
                'ipinip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ipsec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Security Protocol (ESP/AH
                ''',
                'ipsec',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPV6
                ''',
                'ipv6',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ipx', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Novell IPX
                ''',
                'ipx',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('irc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Internet Relay Chat
                ''',
                'irc',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('kazaa2', REFERENCE_CLASS, 'Kazaa2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.Kazaa2', 
                [], [], 
                '''                Kazaa Version 2
                ''',
                'kazaa2',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('kerberos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Kerberos
                ''',
                'kerberos',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('l2tp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                L2F/L2TP tunnel
                ''',
                'l2tp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ldap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lightweight Directory Access Protocol
                ''',
                'ldap',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('llc2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                llc2
                ''',
                'llc2',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mgcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Media Gateway Control Protocol
                ''',
                'mgcp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('napster', REFERENCE_CLASS, 'Napster' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.Napster', 
                [], [], 
                '''                Napster Traffic
                ''',
                'napster',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('netbios', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NetBIOS
                ''',
                'netbios',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('netshow', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microsoft Netshow
                ''',
                'netshow',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('nfs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network File System
                ''',
                'nfs',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('nntp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network News Transfer Protocol
                ''',
                'nntp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('notes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lotus Notes(R
                ''',
                'notes',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('novadigm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Novadigm EDM
                ''',
                'novadigm',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ntp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network Time Protocol
                ''',
                'ntp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Open Shortest Path First
                ''',
                'ospf',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pad', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PAD links
                ''',
                'pad',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pcanywhere', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Symantec pcANYWHERE
                ''',
                'pcanywhere',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pop3', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Post Office Protocol
                ''',
                'pop3',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pppoe', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PPP over Ethernet
                ''',
                'pppoe',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pptp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Point-to-Point Tunneling Protocol
                ''',
                'pptp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('printer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                print spooler/lpd
                ''',
                'printer',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('protocols', REFERENCE_ENUM_CLASS, 'ProtocolsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.ProtocolsEnum', 
                [], [], 
                '''                ''',
                'protocols',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('qllc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                qllc protocol
                ''',
                'qllc',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rcmd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BSD r-commands (rsh, rlogin, rexec
                ''',
                'rcmd',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Routing Information Protocol
                ''',
                'rip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rsrb', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remote Source-Route Bridging
                ''',
                'rsrb',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rsvp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Resource Reservation Protocol
                ''',
                'rsvp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rtcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Real Time Control Protocol
                ''',
                'rtcp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.Rtp', 
                [], [], 
                '''                Real Time Protocol
                ''',
                'rtp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rtsp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Real Time Streaming Protocol
                ''',
                'rtsp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-ftp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                FTP over TLS/SSL
                ''',
                'secure_ftp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-http', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secured HTTP
                ''',
                'secure_http',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-imap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Internet Message Access Protocol over TLS/SSL
                ''',
                'secure_imap',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-irc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Internet Relay Chat over TLS/SSL
                ''',
                'secure_irc',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-ldap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lightweight Directory Access Protocol over TLS/SSL
                ''',
                'secure_ldap',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-nntp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Network News Transfer Protocol over TLS/SSL
                ''',
                'secure_nntp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-pop3', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Post Office Protocol over TLS/SSL
                ''',
                'secure_pop3',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('secure-telnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Telnet over TLS/SSL
                ''',
                'secure_telnet',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('sip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Session Initiation Protocol
                ''',
                'sip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('skinny', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Skinny Protocol
                ''',
                'skinny',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('smtp', REFERENCE_CLASS, 'Smtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol.Smtp', 
                [], [], 
                '''                Simple Mail Transfer Protocol
                ''',
                'smtp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('snapshot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Snapshot routing support
                ''',
                'snapshot',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Simple Network Management Protocol
                ''',
                'snmp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('socks', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SOCKS
                ''',
                'socks',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('sqlnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SQL*NET for Oracle
                ''',
                'sqlnet',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('sqlserver', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MS SQL Server
                ''',
                'sqlserver',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ssh', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secured Shell
                ''',
                'ssh',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('streamwork', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Xing Technology StreamWorks player
                ''',
                'streamwork',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('stun', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Serial Tunnel
                ''',
                'stun',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('sunrpc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Sun RPC
                ''',
                'sunrpc',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('syslog', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                System Logging Utility
                ''',
                'syslog',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('telnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Telnet
                ''',
                'telnet',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('tftp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trivial File Transfer Protocol
                ''',
                'tftp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('vdolive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VDOLive streaming video
                ''',
                'vdolive',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('vofr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                voice over Frame Relay packets
                ''',
                'vofr',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('winmx', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                WinMx file-sharing application
                ''',
                'winmx',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('xwindows', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                X-Windows remote access
                ''',
                'xwindows',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Security group tag
                ''',
                'tag',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Security group tag
                ''',
                'tag',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.SecurityGroup' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.SecurityGroup',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination', 
                [], [], 
                '''                Destination security group
                ''',
                'destination',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source', 
                [], [], 
                '''                Source security group
                ''',
                'source',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'security-group',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match.Not_' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match.Not_',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.AccessGroup', 
                [], [], 
                '''                Access group
                ''',
                'access_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any packets
                ''',
                'any',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Application', 
                [], [], 
                '''                Application to match
                ''',
                'application',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('class-map', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Class map
                ''',
                'class_map',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                IEEE 802.1Q/ISL class of service/user priority values
                ''',
                'cos',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('current-method-priority', REFERENCE_CLASS, 'CurrentMethodPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority', 
                [], [], 
                '''                match the priority against the current method's priority
                ''',
                'current_method_priority',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('destination-address', REFERENCE_CLASS, 'DestinationAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.DestinationAddress', 
                [], [], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('discard-class', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Discard behavior identifier
                ''',
                'discard_class',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match DSCP in IP(v4) and IPv6 packets
                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match DSCP in IP(v4) and IPv6 packets
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_LEAFLIST, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match DSCP in IP(v4) and IPv6 packets
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('fr-de', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on Frame-relay DE bit
                ''',
                'fr_de',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('16', '1007')], [], 
                '''                Match on fr-dlci
                ''',
                'fr_dlci',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input-interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Select an input interface to match
                ''',
                'input_interface',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Ip', 
                [], [], 
                '''                IP specific values
                ''',
                'ip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Mpls', 
                [], [], 
                '''                Multi Protocol Label Switching specific values
                ''',
                'mpls',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('non-client-nrt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'non_client_nrt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('packet', REFERENCE_CLASS, 'Packet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Packet', 
                [], [], 
                '''                Layer 3 Packet length
                ''',
                'packet',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                APPNAV Peer Filter
                ''',
                'peer',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('precedence', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match Precedence in IP(v4) and IPv6 packets
                ''',
                'precedence',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('precedence', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        Match Precedence in IP(v4) and IPv6 packets
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('precedence', REFERENCE_LEAFLIST, 'PrecedenceTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'PrecedenceTypeEnum', 
                        [], [], 
                        '''                        Match Precedence in IP(v4) and IPv6 packets
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.Protocol', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('qos-group', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Qos-group
                ''',
                'qos_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('security-group', REFERENCE_CLASS, 'SecurityGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.SecurityGroup', 
                [], [], 
                '''                Security group
                ''',
                'security_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_.SourceAddress', 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('vlan', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLANs to match
                ''',
                'vlan',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'not',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.Match' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.Match',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.AccessGroup', 
                [], [], 
                '''                Access group
                ''',
                'access_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('activated-service-template', REFERENCE_LIST, 'ActivatedServiceTemplate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.ActivatedServiceTemplate', 
                [], [], 
                '''                match name of service template activated on session
                ''',
                'activated_service_template',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any packets
                ''',
                'any',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Application', 
                [], [], 
                '''                Application to match
                ''',
                'application',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authorization-status', REFERENCE_CLASS, 'AuthorizationStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.AuthorizationStatus', 
                [], [], 
                '''                match the authorization status of the session
                ''',
                'authorization_status',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authorizing-method-priority', REFERENCE_CLASS, 'AuthorizingMethodPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.AuthorizingMethodPriority', 
                [], [], 
                '''                match the priority against the authorizing method's priority
                ''',
                'authorizing_method_priority',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('class-map', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Class map
                ''',
                'class_map',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                IEEE 802.1Q/ISL class of service/user priority values
                ''',
                'cos',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('current-method-priority', REFERENCE_CLASS, 'CurrentMethodPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.CurrentMethodPriority', 
                [], [], 
                '''                match the priority against the current method's priority
                ''',
                'current_method_priority',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('destination-address', REFERENCE_CLASS, 'DestinationAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.DestinationAddress', 
                [], [], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('discard-class', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Discard behavior identifier
                ''',
                'discard_class',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match DSCP in IP(v4) and IPv6 packets
                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        Match DSCP in IP(v4) and IPv6 packets
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_LEAFLIST, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        Match DSCP in IP(v4) and IPv6 packets
                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('fr-de', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match on Frame-relay DE bit
                ''',
                'fr_de',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('16', '1007')], [], 
                '''                Match on fr-dlci
                ''',
                'fr_dlci',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input-interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Select an input interface to match
                ''',
                'input_interface',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Ip', 
                [], [], 
                '''                IP specific values
                ''',
                'ip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method', REFERENCE_CLASS, 'Method' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Method', 
                [], [], 
                '''                match the type of authentication method from an event
                ''',
                'method',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Mpls', 
                [], [], 
                '''                Multi Protocol Label Switching specific values
                ''',
                'mpls',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('non-client-nrt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'non_client_nrt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('not', REFERENCE_CLASS, 'Not_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Not_', 
                [], [], 
                '''                Negate this match result
                ''',
                'not_',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('packet', REFERENCE_CLASS, 'Packet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Packet', 
                [], [], 
                '''                Layer 3 Packet length
                ''',
                'packet',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                APPNAV Peer Filter
                ''',
                'peer',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('precedence', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match Precedence in IP(v4) and IPv6 packets
                ''',
                'precedence',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('precedence', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        Match Precedence in IP(v4) and IPv6 packets
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('precedence', REFERENCE_LEAFLIST, 'PrecedenceTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'PrecedenceTypeEnum', 
                        [], [], 
                        '''                        Match Precedence in IP(v4) and IPv6 packets
                        ''',
                        'precedence',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.Protocol', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('qos-group', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Qos-group
                ''',
                'qos_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('result-type', REFERENCE_CLASS, 'ResultType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.ResultType', 
                [], [], 
                '''                match the result type, optionally for a specific method
                ''',
                'result_type',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('security-group', REFERENCE_CLASS, 'SecurityGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.SecurityGroup', 
                [], [], 
                '''                Security group
                ''',
                'security_group',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match.SourceAddress', 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('vlan', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLANs to match
                ''',
                'vlan',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.NoMatch.ActivatedServiceTemplate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.NoMatch.ActivatedServiceTemplate',
            False, 
            [
            _MetaInfoClassMember('service-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter service name
                ''',
                'service_name',
                'Cisco-IOS-XE-policy', True),
            ],
            'Cisco-IOS-XE-policy',
            'activated-service-template',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.NoMatch.AuthorizationStatus' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.NoMatch.AuthorizationStatus',
            False, 
            [
            _MetaInfoClassMember('authorized', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                authorized
                ''',
                'authorized',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('unauthorized', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                unauthorized
                ''',
                'unauthorized',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'authorization-status',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority',
            False, 
            [
            _MetaInfoClassMember('eq', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                equal to
                ''',
                'eq',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('gt', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                greater than
                ''',
                'gt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('lt', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                less than
                ''',
                'lt',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'authorizing-method-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.NoMatch.Method' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.NoMatch.Method',
            False, 
            [
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                dot1x
                ''',
                'dot1x',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mab', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                mab
                ''',
                'mab',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('webauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                webauth
                ''',
                'webauth',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'method',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X',
            False, 
            [
            _MetaInfoClassMember('aaa-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                aaa timeout type
                ''',
                'aaa_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('agent-not-found', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                agent not found type
                ''',
                'agent_not_found',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authoritative', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                failure type
                ''',
                'authoritative',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                method_timeout type
                ''',
                'method_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no type
                ''',
                'none',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('success', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                success type
                ''',
                'success',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dot1x',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab',
            False, 
            [
            _MetaInfoClassMember('aaa-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                aaa timeout type
                ''',
                'aaa_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('agent-not-found', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                agent not found type
                ''',
                'agent_not_found',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authoritative', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                failure type
                ''',
                'authoritative',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                method_timeout type
                ''',
                'method_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no type
                ''',
                'none',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('success', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                success type
                ''',
                'success',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'mab',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth',
            False, 
            [
            _MetaInfoClassMember('aaa-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                aaa timeout type
                ''',
                'aaa_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('agent-not-found', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                agent not found type
                ''',
                'agent_not_found',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authoritative', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                failure type
                ''',
                'authoritative',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                method_timeout type
                ''',
                'method_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no type
                ''',
                'none',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('success', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                success type
                ''',
                'success',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'webauth',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.NoMatch.ResultType.Method' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.NoMatch.ResultType.Method',
            False, 
            [
            _MetaInfoClassMember('dot1x', REFERENCE_CLASS, 'Dot1X' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X', 
                [], [], 
                '''                dot1x result
                ''',
                'dot1x',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mab', REFERENCE_CLASS, 'Mab' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab', 
                [], [], 
                '''                mab result
                ''',
                'mab',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('webauth', REFERENCE_CLASS, 'Webauth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth', 
                [], [], 
                '''                webauth result
                ''',
                'webauth',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'method',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.NoMatch.ResultType' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.NoMatch.ResultType',
            False, 
            [
            _MetaInfoClassMember('aaa-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                aaa timeout type
                ''',
                'aaa_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('agent-not-found', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                agent not found type
                ''',
                'agent_not_found',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authoritative', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                failure type
                ''',
                'authoritative',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method', REFERENCE_CLASS, 'Method' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.NoMatch.ResultType.Method', 
                [], [], 
                '''                match the result of a particular method
                ''',
                'method',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                method_timeout type
                ''',
                'method_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no type
                ''',
                'none',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('success', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                success type
                ''',
                'success',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'result-type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.NoMatch' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap.NoMatch',
            False, 
            [
            _MetaInfoClassMember('activated-service-template', REFERENCE_LIST, 'ActivatedServiceTemplate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.NoMatch.ActivatedServiceTemplate', 
                [], [], 
                '''                match name of service template activated on session
                ''',
                'activated_service_template',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authorization-status', REFERENCE_CLASS, 'AuthorizationStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.NoMatch.AuthorizationStatus', 
                [], [], 
                '''                match the authorization status of the session
                ''',
                'authorization_status',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authorizing-method-priority', REFERENCE_CLASS, 'AuthorizingMethodPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority', 
                [], [], 
                '''                match the priority against the authorizing method's priority
                ''',
                'authorizing_method_priority',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method', REFERENCE_CLASS, 'Method' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.NoMatch.Method', 
                [], [], 
                '''                match the type of authentication method from an event
                ''',
                'method',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('result-type', REFERENCE_CLASS, 'ResultType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.NoMatch.ResultType', 
                [], [], 
                '''                match the result type, optionally for a specific method
                ''',
                'result_type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'no-match',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.ClassMap.PrematchEnum' : _MetaInfoEnum('PrematchEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'match-all':'match_all',
            'match-any':'match_any',
            'match-none':'match_none',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.ClassMap.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'aol':'aol',
            'edonkey':'edonkey',
            'fasttrack':'fasttrack',
            'gnutella':'gnutella',
            'http':'http',
            'imap':'imap',
            'kazaa2':'kazaa2',
            'msnmsgr':'msnmsgr',
            'pop3':'pop3',
            'smtp':'smtp',
            'sunrpc':'sunrpc',
            'ymsgr':'ymsgr',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.ClassMap.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'access-control':'access_control',
            'appnav':'appnav',
            'control':'control',
            'inspect':'inspect',
            'multicast-flows':'multicast_flows',
            'stack':'stack',
            'traffic':'traffic',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.ClassMap' : {
        'meta_info' : _MetaInfoClass('Native.Policy.ClassMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Class-Map description
                ''',
                'description',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.Match', 
                [], [], 
                '''                classification criteria
                ''',
                'match',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('no-match', REFERENCE_CLASS, 'NoMatch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.NoMatch', 
                [], [], 
                '''                no-match filter
                ''',
                'no_match',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('prematch', REFERENCE_ENUM_CLASS, 'PrematchEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.PrematchEnum', 
                [], [], 
                '''                ''',
                'prematch',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap.TypeEnum', 
                [], [], 
                '''                type of the class-map
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate',
            False, 
            [
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                dot1x method
                ''',
                'dot1x',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mab', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                mab method
                ''',
                'mab',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('webauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                webauth method
                ''',
                'webauth',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'terminate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume',
            False, 
            [
            _MetaInfoClassMember('reauthentication', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                resume reauthentication
                ''',
                'reauthentication',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'resume',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause',
            False, 
            [
            _MetaInfoClassMember('reauthentication', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                pause reauthentication
                ''',
                'reauthentication',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate',
            False, 
            [
            _MetaInfoClassMember('service-template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                activate service template
                ''',
                'service_template',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'activate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using.MethodEnum' : _MetaInfoEnum('MethodEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1x':'dot1x',
            'mab':'mab',
            'webauth':'webauth',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using',
            False, 
            [
            _MetaInfoClassMember('both', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabling Dot1x Authenticator & Supplicant
                ''',
                'both',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('method', REFERENCE_ENUM_CLASS, 'MethodEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using.MethodEnum', 
                [], [], 
                '''                ''',
                'method',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                Method priority
                ''',
                'priority',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('1', '5')], [], 
                '''                Number of times to retry failed authentications
                ''',
                'retries',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('retry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval between retries
                ''',
                'retry_time',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'using',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate',
            False, 
            [
            _MetaInfoClassMember('using', REFERENCE_CLASS, 'Using' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using', 
                [], [], 
                '''                authenticate a session
                ''',
                'using',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'authenticate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-policy', True),
            _MetaInfoClassMember('activate', REFERENCE_CLASS, 'Activate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate', 
                [], [], 
                '''                activate template or policy
                ''',
                'activate',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authenticate', REFERENCE_CLASS, 'Authenticate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate', 
                [], [], 
                '''                authenticate a session
                ''',
                'authenticate',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authentication-restart', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                restarts the auth sequence after the specified number of sec
                ''',
                'authentication_restart',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('authorize', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                authorize session
                ''',
                'authorize',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('clear-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                clears an active session
                ''',
                'clear_session',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause', 
                [], [], 
                '''                pause operation to be specified
                ''',
                'pause',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('resume', REFERENCE_CLASS, 'Resume' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume', 
                [], [], 
                '''                resume operation to be specified
                ''',
                'resume',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('terminate', REFERENCE_CLASS, 'Terminate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate', 
                [], [], 
                '''                terminate auth method
                ''',
                'terminate',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'action-number',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Event.ClassNumber.ClassEnum' : _MetaInfoEnum('ClassEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'always':'always',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Event.ClassNumber.ExecutionTypeEnum' : _MetaInfoEnum('ExecutionTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'do-all':'do_all',
            'do-until-failure':'do_until_failure',
            'do-until-success':'do_until_success',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Event.ClassNumber' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Event.ClassNumber',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-policy', True),
            _MetaInfoClassMember('action-number', REFERENCE_LIST, 'ActionNumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber', 
                [], [], 
                '''                action number, 1 for 1st class, 2 for 2nd...
                ''',
                'action_number',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('class', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                The class type this control policy-map triggers upon
                ''',
                'class_',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('class', REFERENCE_ENUM_CLASS, 'Native.Policy.PolicyMap.Event.ClassNumber.ClassEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.ClassNumber.ClassEnum', 
                        [], [], 
                        '''                        The class type this control policy-map triggers upon
                        ''',
                        'class_',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('class', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        The class type this control policy-map triggers upon
                        ''',
                        'class_',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('execution-type', REFERENCE_ENUM_CLASS, 'ExecutionTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.ClassNumber.ExecutionTypeEnum', 
                [], [], 
                '''                ''',
                'execution_type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'class-number',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Event.EventTypeEnum' : _MetaInfoEnum('EventTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'aaa-available':'aaa_available',
            'absolute-timeout':'absolute_timeout',
            'agent-found':'agent_found',
            'authentication-failure':'authentication_failure',
            'authentication-success':'authentication_success',
            'authorization-failure':'authorization_failure',
            'authorization-success':'authorization_success',
            'identity-update':'identity_update',
            'inactivity-timeout':'inactivity_timeout',
            'remote-authentication-failure':'remote_authentication_failure',
            'remote-authentication-success':'remote_authentication_success',
            'session-disconnected':'session_disconnected',
            'session-started':'session_started',
            'tag-added':'tag_added',
            'tag-removed':'tag_removed',
            'template-activated':'template_activated',
            'template-activation-failed':'template_activation_failed',
            'template-deactivated':'template_deactivated',
            'template-deactivation-failed':'template_deactivation_failed',
            'timer-expiry':'timer_expiry',
            'violation':'violation',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Event.MatchTypeEnum' : _MetaInfoEnum('MatchTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'match-all':'match_all',
            'match-first':'match_first',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Event' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Event',
            False, 
            [
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'EventTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.EventTypeEnum', 
                [], [], 
                '''                ''',
                'event_type',
                'Cisco-IOS-XE-policy', True),
            _MetaInfoClassMember('class-number', REFERENCE_LIST, 'ClassNumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.ClassNumber', 
                [], [], 
                '''                class number, 1 for 1st class, 2 for 2nd...
                ''',
                'class_number',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('match-type', REFERENCE_ENUM_CLASS, 'MatchTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event.MatchTypeEnum', 
                [], [], 
                '''                ''',
                'match_type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.AppnavPolicy.Distribute' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.AppnavPolicy.Distribute',
            False, 
            [
            _MetaInfoClassMember('service-node-group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute to service-node-group
                ''',
                'service_node_group',
                'Cisco-IOS-XE-policy', True),
            _MetaInfoClassMember('insert-before', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Insert before specific node
                ''',
                'insert_before',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'distribute',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.AppnavPolicy.MonitorLoadEnum' : _MetaInfoEnum('MonitorLoadEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'MS-port-mapper':'MS_port_mapper',
            'cifs':'cifs',
            'http':'http',
            'ica':'ica',
            'mapi':'mapi',
            'nfs':'nfs',
            'ssl':'ssl',
            'video':'video',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.AppnavPolicy' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.AppnavPolicy',
            False, 
            [
            _MetaInfoClassMember('distribute', REFERENCE_LIST, 'Distribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.AppnavPolicy.Distribute', 
                [], [], 
                '''                Distribute action
                ''',
                'distribute',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('monitor-load', REFERENCE_ENUM_CLASS, 'MonitorLoadEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.AppnavPolicy.MonitorLoadEnum', 
                [], [], 
                '''                Monitor AO
                ''',
                'monitor_load',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pass-through', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                pass-through action
                ''',
                'pass_through',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'appnav-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.Policy_.Dpi.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'gtpv0':'gtpv0',
            'gtpv1':'gtpv1',
            'imap':'imap',
            'pop3':'pop3',
            'smtp':'smtp',
            'sunrpc':'sunrpc',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.Policy_.Dpi' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.Policy_.Dpi',
            False, 
            [
            _MetaInfoClassMember('policy-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'policy_map',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.Policy_.Dpi.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dpi',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.Policy_.ActionEnum' : _MetaInfoEnum('ActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cxsc':'cxsc',
            'drop':'drop',
            'inspect':'inspect',
            'pass':'pass_',
            'service-policy':'service_policy',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.Policy_.ParameterMapEnum' : _MetaInfoEnum('ParameterMapEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
            'gtp':'gtp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.Policy_' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.Policy_',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'ActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.Policy_.ActionEnum', 
                [], [], 
                '''                ''',
                'action',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dpi', REFERENCE_CLASS, 'Dpi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.Policy_.Dpi', 
                [], [], 
                '''                ''',
                'dpi',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send logging message for drop or pass
                ''',
                'log',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('parameter-map', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'parameter_map',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('parameter-map', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'parameter_map',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('parameter-map', REFERENCE_ENUM_CLASS, 'Native.Policy.PolicyMap.Class_.Policy_.ParameterMapEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.Policy_.ParameterMapEnum', 
                        [], [], 
                        '''                        ''',
                        'parameter_map',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.Flow',
            False, 
            [
            _MetaInfoClassMember('monitor', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate.NumberEnum' : _MetaInfoEnum('NumberEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'celb':'celb',
            'cn':'cn',
            'default':'default',
            'dvi4':'dvi4',
            'dvi4-2':'dvi4_2',
            'dvi4-3':'dvi4_3',
            'dvi4-4':'dvi4_4',
            'g722':'g722',
            'g723':'g723',
            'g728':'g728',
            'g729':'g729',
            'gsm':'gsm',
            'h261':'h261',
            'h263':'h263',
            'jpeg':'jpeg',
            'l16':'l16',
            'l16-2':'l16_2',
            'lpc':'lpc',
            'mp2t':'mp2t',
            'mpa':'mpa',
            'mpv':'mpv',
            'nv':'nv',
            'pcma':'pcma',
            'pcmu':'pcmu',
            'qcelp':'qcelp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-policy', True, [
                    _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                        [('0', '127')], [], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-policy', True),
                    _MetaInfoClassMember('number', REFERENCE_ENUM_CLASS, 'Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate.NumberEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate.NumberEnum', 
                        [], [], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-policy', True),
                ]),
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('1000', '192000')], [], 
                '''                ''',
                'frequency',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp',
            False, 
            [
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate', 
                [], [], 
                '''                RTP timestamp field's sampling frequency
                ''',
                'clock_rate',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric',
            False, 
            [
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp', 
                [], [], 
                '''                RTP metrics parameters
                ''',
                'rtp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.Monitor',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric', 
                [], [], 
                '''                Monitor metric
                ''',
                'metric',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.React.Action' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.React.Action',
            False, 
            [
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP is notified of the event
                ''',
                'snmp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('syslog', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The threshold-crossing event is logged to syslog
                ''',
                'syslog',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of flows in the group cross the threshold
                ''',
                'count',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Percent of flows in the group cross the threshold
                ''',
                'percent',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'grouped',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type',
            False, 
            [
            _MetaInfoClassMember('discrete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Alert for each flow within the class
                ''',
                'discrete',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('grouped', REFERENCE_CLASS, 'Grouped' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped', 
                [], [], 
                '''                Alert if more than one flow cross the threshold
                ''',
                'grouped',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.SeverityEnum' : _MetaInfoEnum('SeverityEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'alert':'alert',
            'critical':'critical',
            'emergency':'emergency',
            'error':'error',
            'info':'info',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm',
            False, 
            [
            _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'SeverityEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.SeverityEnum', 
                [], [], 
                '''                Alarm severity - default level none
                ''',
                'severity',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type', 
                [], [], 
                '''                Alarm raised type - for each flow or a group
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'alarm',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range',
            False, 
            [
            _MetaInfoClassMember('high', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'high',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'low',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value',
            False, 
            [
            _MetaInfoClassMember('ge', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                greater and equal to
                ''',
                'ge',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('gt', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                greater than
                ''',
                'gt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('le', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                less and equal to
                ''',
                'le',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('lt', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                less than
                ''',
                'lt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range', 
                [], [], 
                '''                threshold within the range of
                ''',
                'range',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'value',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_CLASS, 'Value' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value', 
                [], [], 
                '''                Range of percentage loss that would trigger the alarm
                ''',
                'value',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy.React.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'media-stop':'media_stop',
            'mrv':'mrv',
            'rtp-jitter-average':'rtp_jitter_average',
            'transport-packets-lost-rate':'transport_packets_lost_rate',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.PmPolicy.React' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy.React',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-policy', True),
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.React.Action', 
                [], [], 
                '''                Config react action
                ''',
                'action',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('alarm', REFERENCE_CLASS, 'Alarm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm', 
                [], [], 
                '''                Config react alarm
                ''',
                'alarm',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description for the instance
                ''',
                'description',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.React.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold', 
                [], [], 
                '''                Config react threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'react',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.PmPolicy' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.PmPolicy',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.Flow', 
                [], [], 
                '''                Flow subcommands
                ''',
                'flow',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.Monitor', 
                [], [], 
                '''                Monitor related parameters
                ''',
                'monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('react', REFERENCE_LIST, 'React' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy.React', 
                [], [], 
                '''                Configure threshold crossing actions
                ''',
                'react',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'pm-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.InspectPolice.Police' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.InspectPolice.Police',
            False, 
            [
            _MetaInfoClassMember('burst', ATTRIBUTE, 'int' , None, None, 
                [('1000', '512000000')], [], 
                '''                Specify 'burst' parameter
                ''',
                'burst',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('8000', '2000000000')], [], 
                '''                Specify police rate
                ''',
                'rate',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.InspectPolice' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.InspectPolice',
            False, 
            [
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.InspectPolice.Police', 
                [], [], 
                '''                Police
                ''',
                'police',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'inspect-police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account',
            False, 
            [
            _MetaInfoClassMember('user-defined', ATTRIBUTE, 'int' , None, None, 
                [('8', '2000000')], [], 
                '''                Offset Size
                ''',
                'user_defined',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'account',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.RemOptionEnum' : _MetaInfoEnum('RemOptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'percent':'percent',
            'ratio':'ratio',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining',
            False, 
            [
            _MetaInfoClassMember('account', REFERENCE_CLASS, 'Account' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account', 
                [], [], 
                '''                Overhead Accounting
                ''',
                'account',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                % of the remaining bandwidth
                ''',
                'percent',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ratio', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ratio for sharing excess bandwidth
                ''',
                'ratio',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rem-option', REFERENCE_ENUM_CLASS, 'RemOptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.RemOptionEnum', 
                [], [], 
                '''                ''',
                'rem_option',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'remaining',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('bits', ATTRIBUTE, 'int' , None, None, 
                [('8', '2000000')], [], 
                '''                ''',
                'bits',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                % of total Bandwidth
                ''',
                'percent',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('remaining', REFERENCE_CLASS, 'Remaining' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining', 
                [], [], 
                '''                % of the remaining bandwidth
                ''',
                'remaining',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Compression.Header.IpEnum' : _MetaInfoEnum('IpEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'rtp':'rtp',
            'tcp':'tcp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.Compression.Header' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Compression.Header',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_ENUM_CLASS, 'IpEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Compression.Header.IpEnum', 
                [], [], 
                '''                configure ip header compression
                ''',
                'ip',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Compression' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Compression',
            False, 
            [
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Compression.Header', 
                [], [], 
                '''                configure header compression
                ''',
                'header',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'compression',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn',
            False, 
            [
            _MetaInfoClassMember('doi', ATTRIBUTE, 'int' , None, None, 
                [('50', '1000000')], [], 
                '''                ''',
                'doi',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('milliseconds', ATTRIBUTE, 'int' , None, None, 
                [('8', '1000')], [], 
                '''                ''',
                'milliseconds',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'delay-one-in',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('delay-one-in', REFERENCE_CLASS, 'DelayOneIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn', 
                [], [], 
                '''                specify QoS target delay
                ''',
                'delay_one_in',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('drop-one-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                specify QoS target loss rate
                ''',
                'drop_one_in',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Estimate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Estimate',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth', 
                [], [], 
                '''                bandwidth required to service this class
                ''',
                'bandwidth',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'estimate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Forward' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Forward',
            False, 
            [
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('2', '255')], [], 
                '''                Service Index
                ''',
                'service_index',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                Service Path Entries
                ''',
                'service_path',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'forward',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.FairQueue',
            False, 
            [
            _MetaInfoClassMember('dynamic-queues', ATTRIBUTE, 'int' , None, None, 
                [('16', 'None'), ('32', 'None'), ('64', 'None'), ('128', 'None'), ('256', 'None'), ('512', 'None'), ('1024', 'None'), ('2048', 'None'), ('4096', 'None')], [], 
                '''                ''',
                'dynamic_queues',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('queue-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '32768')], [], 
                '''                per flow queue limit
                ''',
                'queue_limit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police',
            False, 
            [
            _MetaInfoClassMember('aggregate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Choose aggregate policer for current class
                ''',
                'aggregate',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate',
            False, 
            [
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police', 
                [], [], 
                '''                ''',
                'police',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police-aggregate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe',
            False, 
            [
            _MetaInfoClassMember('be', ATTRIBUTE, 'int' , None, None, 
                [('1000', '512000000')], [], 
                '''                Excess burst
                ''',
                'be',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'pir-be',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum' : _MetaInfoEnum('TableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'policed-dscp':'policed_dscp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp',
            False, 
            [
            _MetaInfoClassMember('table', REFERENCE_ENUM_CLASS, 'TableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum', 
                [], [], 
                '''                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp', 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_CLASS, 'SetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit', 
                [], [], 
                '''                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions',
            False, 
            [
            _MetaInfoClassMember('conform-drop', REFERENCE_CLASS, 'ConformDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop', 
                [], [], 
                '''                ''',
                'conform_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-clp-transmit', REFERENCE_CLASS, 'ConformSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit', REFERENCE_CLASS, 'ConformSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit-table', REFERENCE_CLASS, 'ConformSetCosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-discard-class-transmit', REFERENCE_CLASS, 'ConformSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'conform_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit', REFERENCE_CLASS, 'ConformSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit-table', REFERENCE_CLASS, 'ConformSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-frde-transmit', REFERENCE_CLASS, 'ConformSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'conform_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit', REFERENCE_CLASS, 'ConformSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit-table', REFERENCE_CLASS, 'ConformSetPrecTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit', REFERENCE_CLASS, 'ConformSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit-table', REFERENCE_CLASS, 'ConformSetQosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-transmit', REFERENCE_CLASS, 'ConformTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit', 
                [], [], 
                '''                ''',
                'conform_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-drop', REFERENCE_CLASS, 'ExceedDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop', 
                [], [], 
                '''                ''',
                'exceed_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-dscp', REFERENCE_CLASS, 'ExceedDscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp', 
                [], [], 
                '''                ''',
                'exceed_dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-clp-transmit', REFERENCE_CLASS, 'ExceedSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-cos-transmit', REFERENCE_CLASS, 'ExceedSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-discard-class-transmit', REFERENCE_CLASS, 'ExceedSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit', REFERENCE_CLASS, 'ExceedSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit-table', REFERENCE_CLASS, 'ExceedSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-frde-transmit', REFERENCE_CLASS, 'ExceedSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-prec-transmit', REFERENCE_CLASS, 'ExceedSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-qos-transmit', REFERENCE_CLASS, 'ExceedSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-transmit', REFERENCE_CLASS, 'ExceedTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit', 
                [], [], 
                '''                ''',
                'exceed_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-drop', REFERENCE_CLASS, 'ViolateDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop', 
                [], [], 
                '''                ''',
                'violate_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-clp-transmit', REFERENCE_CLASS, 'ViolateSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-cos-transmit', REFERENCE_CLASS, 'ViolateSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-discard-class-transmit', REFERENCE_CLASS, 'ViolateSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'violate_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-dscp-transmit', REFERENCE_CLASS, 'ViolateSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-frde-transmit', REFERENCE_CLASS, 'ViolateSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'violate_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-prec-transmit', REFERENCE_CLASS, 'ViolateSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit', 
                [], [], 
                '''                ''',
                'violate_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-qos-transmit', REFERENCE_CLASS, 'ViolateSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-transmit', REFERENCE_CLASS, 'ViolateTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit', 
                [], [], 
                '''                ''',
                'violate_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'actions',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police',
            False, 
            [
            _MetaInfoClassMember('actions', REFERENCE_CLASS, 'Actions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions', 
                [], [], 
                '''                ''',
                'actions',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bc', ATTRIBUTE, 'int' , None, None, 
                [('1000', '512000000')], [], 
                '''                Conform burst
                ''',
                'bc',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('be', ATTRIBUTE, 'int' , None, None, 
                [('1000', '512000000')], [], 
                '''                Excess burst
                ''',
                'be',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('cir', ATTRIBUTE, 'int' , None, None, 
                [('8000', '64000000000')], [], 
                '''                Committed information rate
                ''',
                'cir',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pir', ATTRIBUTE, 'int' , None, None, 
                [('8000', '64000000000')], [], 
                '''                Peak Information Rate
                ''',
                'pir',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pir-be', REFERENCE_CLASS, 'PirBe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe', 
                [], [], 
                '''                ''',
                'pir_be',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap',
            False, 
            [
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police', 
                [], [], 
                '''                ''',
                'police',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police-policy-map',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs',
            False, 
            [
            _MetaInfoClassMember('ms', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Milli seconds
                ''',
                'ms',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'bc-ms',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs',
            False, 
            [
            _MetaInfoClassMember('ms', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Milli seconds
                ''',
                'ms',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'be-ms',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                % of interface bandwidth for Peak Information Rate
                ''',
                'percent',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'pir',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe',
            False, 
            [
            _MetaInfoClassMember('be', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Excess burst
                ''',
                'be',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'pir-be',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs',
            False, 
            [
            _MetaInfoClassMember('ms', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Milli seconds
                ''',
                'ms',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'pir-be-ms',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum' : _MetaInfoEnum('TableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'policed-dscp':'policed_dscp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp',
            False, 
            [
            _MetaInfoClassMember('table', REFERENCE_ENUM_CLASS, 'TableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum', 
                [], [], 
                '''                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp', 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_CLASS, 'SetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit', 
                [], [], 
                '''                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions',
            False, 
            [
            _MetaInfoClassMember('conform-drop', REFERENCE_CLASS, 'ConformDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop', 
                [], [], 
                '''                ''',
                'conform_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-clp-transmit', REFERENCE_CLASS, 'ConformSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit', REFERENCE_CLASS, 'ConformSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit-table', REFERENCE_CLASS, 'ConformSetCosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-discard-class-transmit', REFERENCE_CLASS, 'ConformSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'conform_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit', REFERENCE_CLASS, 'ConformSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit-table', REFERENCE_CLASS, 'ConformSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-frde-transmit', REFERENCE_CLASS, 'ConformSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'conform_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit', REFERENCE_CLASS, 'ConformSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit-table', REFERENCE_CLASS, 'ConformSetPrecTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit', REFERENCE_CLASS, 'ConformSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit-table', REFERENCE_CLASS, 'ConformSetQosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-transmit', REFERENCE_CLASS, 'ConformTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit', 
                [], [], 
                '''                ''',
                'conform_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-drop', REFERENCE_CLASS, 'ExceedDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop', 
                [], [], 
                '''                ''',
                'exceed_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-dscp', REFERENCE_CLASS, 'ExceedDscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp', 
                [], [], 
                '''                ''',
                'exceed_dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-clp-transmit', REFERENCE_CLASS, 'ExceedSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-cos-transmit', REFERENCE_CLASS, 'ExceedSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-discard-class-transmit', REFERENCE_CLASS, 'ExceedSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit', REFERENCE_CLASS, 'ExceedSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit-table', REFERENCE_CLASS, 'ExceedSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-frde-transmit', REFERENCE_CLASS, 'ExceedSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-prec-transmit', REFERENCE_CLASS, 'ExceedSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-qos-transmit', REFERENCE_CLASS, 'ExceedSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-transmit', REFERENCE_CLASS, 'ExceedTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit', 
                [], [], 
                '''                ''',
                'exceed_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-drop', REFERENCE_CLASS, 'ViolateDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop', 
                [], [], 
                '''                ''',
                'violate_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-clp-transmit', REFERENCE_CLASS, 'ViolateSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-cos-transmit', REFERENCE_CLASS, 'ViolateSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-discard-class-transmit', REFERENCE_CLASS, 'ViolateSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'violate_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-dscp-transmit', REFERENCE_CLASS, 'ViolateSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-frde-transmit', REFERENCE_CLASS, 'ViolateSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'violate_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-prec-transmit', REFERENCE_CLASS, 'ViolateSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit', 
                [], [], 
                '''                ''',
                'violate_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-qos-transmit', REFERENCE_CLASS, 'ViolateSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-transmit', REFERENCE_CLASS, 'ViolateTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit', 
                [], [], 
                '''                ''',
                'violate_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'actions',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent',
            False, 
            [
            _MetaInfoClassMember('actions', REFERENCE_CLASS, 'Actions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions', 
                [], [], 
                '''                ''',
                'actions',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Conform burst
                ''',
                'bc',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bc-ms', REFERENCE_CLASS, 'BcMs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs', 
                [], [], 
                '''                ''',
                'bc_ms',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('be', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'be',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('be-ms', REFERENCE_CLASS, 'BeMs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs', 
                [], [], 
                '''                ''',
                'be_ms',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'percentage',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pir', REFERENCE_CLASS, 'Pir' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir', 
                [], [], 
                '''                Peak Information Rate
                ''',
                'pir',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pir-be', REFERENCE_CLASS, 'PirBe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe', 
                [], [], 
                '''                ''',
                'pir_be',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pir-be-ms', REFERENCE_CLASS, 'PirBeMs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs', 
                [], [], 
                '''                ''',
                'pir_be_ms',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'percent',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir',
            False, 
            [
            _MetaInfoClassMember('percent', REFERENCE_CLASS, 'Percent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent', 
                [], [], 
                '''                % of interface bandwidth for Committed information rate
                ''',
                'percent',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'cir',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police',
            False, 
            [
            _MetaInfoClassMember('cir', REFERENCE_CLASS, 'Cir' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir', 
                [], [], 
                '''                Committed information rate
                ''',
                'cir',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent',
            False, 
            [
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police', 
                [], [], 
                '''                ''',
                'police',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police-cir-percent',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst',
            False, 
            [
            _MetaInfoClassMember('burst-type', REFERENCE_ENUM_CLASS, 'PolicePacketsBytesTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy', 'PolicePacketsBytesTypeEnum', 
                [], [], 
                '''                ''',
                'burst_type',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('burst-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'burst_value',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate',
            False, 
            [
            _MetaInfoClassMember('peak-rate-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '512000000')], [], 
                '''                ''',
                'peak_rate_value',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('xps', REFERENCE_ENUM_CLASS, 'PolicePpsBpsTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy', 'PolicePpsBpsTypeEnum', 
                [], [], 
                '''                ''',
                'xps',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('burst-type', REFERENCE_ENUM_CLASS, 'PolicePacketsBytesTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy', 'PolicePacketsBytesTypeEnum', 
                [], [], 
                '''                ''',
                'burst_type',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('burst-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'burst_value',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum' : _MetaInfoEnum('TableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'policed-dscp':'policed_dscp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp',
            False, 
            [
            _MetaInfoClassMember('table', REFERENCE_ENUM_CLASS, 'TableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum', 
                [], [], 
                '''                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp', 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_CLASS, 'SetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit', 
                [], [], 
                '''                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions',
            False, 
            [
            _MetaInfoClassMember('conform-drop', REFERENCE_CLASS, 'ConformDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop', 
                [], [], 
                '''                ''',
                'conform_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-clp-transmit', REFERENCE_CLASS, 'ConformSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit', REFERENCE_CLASS, 'ConformSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit-table', REFERENCE_CLASS, 'ConformSetCosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-discard-class-transmit', REFERENCE_CLASS, 'ConformSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'conform_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit', REFERENCE_CLASS, 'ConformSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit-table', REFERENCE_CLASS, 'ConformSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-frde-transmit', REFERENCE_CLASS, 'ConformSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'conform_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit', REFERENCE_CLASS, 'ConformSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit-table', REFERENCE_CLASS, 'ConformSetPrecTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit', REFERENCE_CLASS, 'ConformSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit-table', REFERENCE_CLASS, 'ConformSetQosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-transmit', REFERENCE_CLASS, 'ConformTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit', 
                [], [], 
                '''                ''',
                'conform_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-drop', REFERENCE_CLASS, 'ExceedDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop', 
                [], [], 
                '''                ''',
                'exceed_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-dscp', REFERENCE_CLASS, 'ExceedDscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp', 
                [], [], 
                '''                ''',
                'exceed_dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-clp-transmit', REFERENCE_CLASS, 'ExceedSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-cos-transmit', REFERENCE_CLASS, 'ExceedSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-discard-class-transmit', REFERENCE_CLASS, 'ExceedSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit', REFERENCE_CLASS, 'ExceedSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit-table', REFERENCE_CLASS, 'ExceedSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-frde-transmit', REFERENCE_CLASS, 'ExceedSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-prec-transmit', REFERENCE_CLASS, 'ExceedSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-qos-transmit', REFERENCE_CLASS, 'ExceedSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-transmit', REFERENCE_CLASS, 'ExceedTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit', 
                [], [], 
                '''                ''',
                'exceed_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-drop', REFERENCE_CLASS, 'ViolateDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop', 
                [], [], 
                '''                ''',
                'violate_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-clp-transmit', REFERENCE_CLASS, 'ViolateSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-cos-transmit', REFERENCE_CLASS, 'ViolateSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-discard-class-transmit', REFERENCE_CLASS, 'ViolateSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'violate_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-dscp-transmit', REFERENCE_CLASS, 'ViolateSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-frde-transmit', REFERENCE_CLASS, 'ViolateSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'violate_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-prec-transmit', REFERENCE_CLASS, 'ViolateSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit', 
                [], [], 
                '''                ''',
                'violate_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-qos-transmit', REFERENCE_CLASS, 'ViolateSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-transmit', REFERENCE_CLASS, 'ViolateTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit', 
                [], [], 
                '''                ''',
                'violate_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'actions',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('actions', REFERENCE_CLASS, 'Actions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions', 
                [], [], 
                '''                ''',
                'actions',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst', 
                [], [], 
                '''                Specify 'burst' parameter
                ''',
                'burst',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst', 
                [], [], 
                '''                Specify 'peak-burst' parameter for peak-rate
                ''',
                'peak_burst',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate', 
                [], [], 
                '''                Specify peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'units',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('xps', REFERENCE_ENUM_CLASS, 'PolicePpsBpsTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy', 'PolicePpsBpsTypeEnum', 
                [], [], 
                '''                ''',
                'xps',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police',
            False, 
            [
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate', 
                [], [], 
                '''                Specify police rate
                ''',
                'rate',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit',
            False, 
            [
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police', 
                [], [], 
                '''                ''',
                'police',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police-rate-unit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                % of interface bandwidth for peak-rate
                ''',
                'percent',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs',
            False, 
            [
            _MetaInfoClassMember('ms', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Milli seconds
                ''',
                'ms',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'peak-burst-ms',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum' : _MetaInfoEnum('TableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'policed-dscp':'policed_dscp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp',
            False, 
            [
            _MetaInfoClassMember('table', REFERENCE_ENUM_CLASS, 'TableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum', 
                [], [], 
                '''                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp', 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_CLASS, 'SetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit', 
                [], [], 
                '''                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions',
            False, 
            [
            _MetaInfoClassMember('conform-drop', REFERENCE_CLASS, 'ConformDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop', 
                [], [], 
                '''                ''',
                'conform_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-clp-transmit', REFERENCE_CLASS, 'ConformSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit', REFERENCE_CLASS, 'ConformSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit-table', REFERENCE_CLASS, 'ConformSetCosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-discard-class-transmit', REFERENCE_CLASS, 'ConformSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'conform_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit', REFERENCE_CLASS, 'ConformSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit-table', REFERENCE_CLASS, 'ConformSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-frde-transmit', REFERENCE_CLASS, 'ConformSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'conform_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit', REFERENCE_CLASS, 'ConformSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit-table', REFERENCE_CLASS, 'ConformSetPrecTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit', REFERENCE_CLASS, 'ConformSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit-table', REFERENCE_CLASS, 'ConformSetQosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-transmit', REFERENCE_CLASS, 'ConformTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit', 
                [], [], 
                '''                ''',
                'conform_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-drop', REFERENCE_CLASS, 'ExceedDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop', 
                [], [], 
                '''                ''',
                'exceed_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-dscp', REFERENCE_CLASS, 'ExceedDscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp', 
                [], [], 
                '''                ''',
                'exceed_dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-clp-transmit', REFERENCE_CLASS, 'ExceedSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-cos-transmit', REFERENCE_CLASS, 'ExceedSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-discard-class-transmit', REFERENCE_CLASS, 'ExceedSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit', REFERENCE_CLASS, 'ExceedSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit-table', REFERENCE_CLASS, 'ExceedSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-frde-transmit', REFERENCE_CLASS, 'ExceedSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-prec-transmit', REFERENCE_CLASS, 'ExceedSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-qos-transmit', REFERENCE_CLASS, 'ExceedSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-transmit', REFERENCE_CLASS, 'ExceedTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit', 
                [], [], 
                '''                ''',
                'exceed_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-drop', REFERENCE_CLASS, 'ViolateDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop', 
                [], [], 
                '''                ''',
                'violate_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-clp-transmit', REFERENCE_CLASS, 'ViolateSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-cos-transmit', REFERENCE_CLASS, 'ViolateSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-discard-class-transmit', REFERENCE_CLASS, 'ViolateSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'violate_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-dscp-transmit', REFERENCE_CLASS, 'ViolateSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-frde-transmit', REFERENCE_CLASS, 'ViolateSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'violate_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-prec-transmit', REFERENCE_CLASS, 'ViolateSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit', 
                [], [], 
                '''                ''',
                'violate_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-qos-transmit', REFERENCE_CLASS, 'ViolateSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-transmit', REFERENCE_CLASS, 'ViolateTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit', 
                [], [], 
                '''                ''',
                'violate_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'actions',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent',
            False, 
            [
            _MetaInfoClassMember('actions', REFERENCE_CLASS, 'Actions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions', 
                [], [], 
                '''                ''',
                'actions',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify 'burst' parameter
                ''',
                'burst',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ms', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat 'burst' value in milliseconds
                ''',
                'ms',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('peak-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify 'peak-burst' parameter for 'peak-rate'
                ''',
                'peak_burst',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('peak-burst-ms', REFERENCE_CLASS, 'PeakBurstMs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs', 
                [], [], 
                '''                ''',
                'peak_burst_ms',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate', 
                [], [], 
                '''                Specify peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'percentage',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'percent',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('percent', REFERENCE_CLASS, 'Percent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent', 
                [], [], 
                '''                % of interface bandwidth for rate
                ''',
                'percent',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police',
            False, 
            [
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate', 
                [], [], 
                '''                Specify police rate
                ''',
                'rate',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent',
            False, 
            [
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police', 
                [], [], 
                '''                ''',
                'police',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police-rate-percent',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum' : _MetaInfoEnum('TableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'policed-dscp':'policed_dscp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp',
            False, 
            [
            _MetaInfoClassMember('table', REFERENCE_ENUM_CLASS, 'TableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum', 
                [], [], 
                '''                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp', 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_CLASS, 'SetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit', 
                [], [], 
                '''                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions',
            False, 
            [
            _MetaInfoClassMember('conform-drop', REFERENCE_CLASS, 'ConformDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop', 
                [], [], 
                '''                ''',
                'conform_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-clp-transmit', REFERENCE_CLASS, 'ConformSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit', REFERENCE_CLASS, 'ConformSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit-table', REFERENCE_CLASS, 'ConformSetCosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-discard-class-transmit', REFERENCE_CLASS, 'ConformSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'conform_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit', REFERENCE_CLASS, 'ConformSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit-table', REFERENCE_CLASS, 'ConformSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-frde-transmit', REFERENCE_CLASS, 'ConformSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'conform_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit', REFERENCE_CLASS, 'ConformSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit-table', REFERENCE_CLASS, 'ConformSetPrecTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit', REFERENCE_CLASS, 'ConformSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit-table', REFERENCE_CLASS, 'ConformSetQosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-transmit', REFERENCE_CLASS, 'ConformTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit', 
                [], [], 
                '''                ''',
                'conform_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-drop', REFERENCE_CLASS, 'ExceedDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop', 
                [], [], 
                '''                ''',
                'exceed_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-dscp', REFERENCE_CLASS, 'ExceedDscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp', 
                [], [], 
                '''                ''',
                'exceed_dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-clp-transmit', REFERENCE_CLASS, 'ExceedSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-cos-transmit', REFERENCE_CLASS, 'ExceedSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-discard-class-transmit', REFERENCE_CLASS, 'ExceedSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit', REFERENCE_CLASS, 'ExceedSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit-table', REFERENCE_CLASS, 'ExceedSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-frde-transmit', REFERENCE_CLASS, 'ExceedSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-prec-transmit', REFERENCE_CLASS, 'ExceedSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-qos-transmit', REFERENCE_CLASS, 'ExceedSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-transmit', REFERENCE_CLASS, 'ExceedTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit', 
                [], [], 
                '''                ''',
                'exceed_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-drop', REFERENCE_CLASS, 'ViolateDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop', 
                [], [], 
                '''                ''',
                'violate_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-clp-transmit', REFERENCE_CLASS, 'ViolateSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-cos-transmit', REFERENCE_CLASS, 'ViolateSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-discard-class-transmit', REFERENCE_CLASS, 'ViolateSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'violate_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-dscp-transmit', REFERENCE_CLASS, 'ViolateSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-frde-transmit', REFERENCE_CLASS, 'ViolateSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'violate_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-prec-transmit', REFERENCE_CLASS, 'ViolateSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit', 
                [], [], 
                '''                ''',
                'violate_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-qos-transmit', REFERENCE_CLASS, 'ViolateSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-transmit', REFERENCE_CLASS, 'ViolateTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit', 
                [], [], 
                '''                ''',
                'violate_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'actions',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.PeakRateEnum' : _MetaInfoEnum('PeakRateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'pdp':'pdp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp',
            False, 
            [
            _MetaInfoClassMember('actions', REFERENCE_CLASS, 'Actions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions', 
                [], [], 
                '''                ''',
                'actions',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'int' , None, None, 
                [('1000', '512000000')], [], 
                '''                Conform burst
                ''',
                'burst',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('peak-burst', ATTRIBUTE, 'int' , None, None, 
                [('1000', '512000000')], [], 
                '''                Specify 'peak-burst' parameter for 'peak-rate'
                ''',
                'peak_burst',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_ENUM_CLASS, 'PeakRateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.PeakRateEnum', 
                [], [], 
                '''                Specify peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'pdp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('pdp', REFERENCE_CLASS, 'Pdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp', 
                [], [], 
                '''                % of interface bandwidth for rate
                ''',
                'pdp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police',
            False, 
            [
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate', 
                [], [], 
                '''                Specify police rate
                ''',
                'rate',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp',
            False, 
            [
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police', 
                [], [], 
                '''                ''',
                'police',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police-rate-pdp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum' : _MetaInfoEnum('TableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'policed-dscp':'policed_dscp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp',
            False, 
            [
            _MetaInfoClassMember('table', REFERENCE_ENUM_CLASS, 'TableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum', 
                [], [], 
                '''                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp', 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_CLASS, 'SetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit', 
                [], [], 
                '''                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions',
            False, 
            [
            _MetaInfoClassMember('conform-drop', REFERENCE_CLASS, 'ConformDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop', 
                [], [], 
                '''                ''',
                'conform_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-clp-transmit', REFERENCE_CLASS, 'ConformSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit', REFERENCE_CLASS, 'ConformSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit-table', REFERENCE_CLASS, 'ConformSetCosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-discard-class-transmit', REFERENCE_CLASS, 'ConformSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'conform_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit', REFERENCE_CLASS, 'ConformSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit-table', REFERENCE_CLASS, 'ConformSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-frde-transmit', REFERENCE_CLASS, 'ConformSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'conform_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit', REFERENCE_CLASS, 'ConformSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit-table', REFERENCE_CLASS, 'ConformSetPrecTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit', REFERENCE_CLASS, 'ConformSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit-table', REFERENCE_CLASS, 'ConformSetQosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-transmit', REFERENCE_CLASS, 'ConformTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit', 
                [], [], 
                '''                ''',
                'conform_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-drop', REFERENCE_CLASS, 'ExceedDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop', 
                [], [], 
                '''                ''',
                'exceed_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-dscp', REFERENCE_CLASS, 'ExceedDscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp', 
                [], [], 
                '''                ''',
                'exceed_dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-clp-transmit', REFERENCE_CLASS, 'ExceedSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-cos-transmit', REFERENCE_CLASS, 'ExceedSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-discard-class-transmit', REFERENCE_CLASS, 'ExceedSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit', REFERENCE_CLASS, 'ExceedSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit-table', REFERENCE_CLASS, 'ExceedSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-frde-transmit', REFERENCE_CLASS, 'ExceedSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-prec-transmit', REFERENCE_CLASS, 'ExceedSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-qos-transmit', REFERENCE_CLASS, 'ExceedSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-transmit', REFERENCE_CLASS, 'ExceedTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit', 
                [], [], 
                '''                ''',
                'exceed_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-drop', REFERENCE_CLASS, 'ViolateDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop', 
                [], [], 
                '''                ''',
                'violate_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-clp-transmit', REFERENCE_CLASS, 'ViolateSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-cos-transmit', REFERENCE_CLASS, 'ViolateSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-discard-class-transmit', REFERENCE_CLASS, 'ViolateSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'violate_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-dscp-transmit', REFERENCE_CLASS, 'ViolateSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-frde-transmit', REFERENCE_CLASS, 'ViolateSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'violate_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-prec-transmit', REFERENCE_CLASS, 'ViolateSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit', 
                [], [], 
                '''                ''',
                'violate_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-qos-transmit', REFERENCE_CLASS, 'ViolateSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-transmit', REFERENCE_CLASS, 'ViolateTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit', 
                [], [], 
                '''                ''',
                'violate_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'actions',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police',
            False, 
            [
            _MetaInfoClassMember('actions', REFERENCE_CLASS, 'Actions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions', 
                [], [], 
                '''                ''',
                'actions',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('8000', '10000000000')], [], 
                '''                Target bit rate (bits per second) (postfix k, m, g optional),decimal point allowed
                ''',
                'bit_rate',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('confirm_burst-byte', ATTRIBUTE, 'int' , None, None, 
                [('100', '512000000')], [], 
                '''                Burst Byte
                ''',
                'confirm_burst_byte',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-action', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set packet dscp from dscp
                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-action', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('excess_burst-byte', ATTRIBUTE, 'int' , None, None, 
                [('100', '512000000')], [], 
                '''                Burst Byte
                ''',
                'excess_burst_byte',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate',
            False, 
            [
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police', 
                [], [], 
                '''                ''',
                'police',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police-target-bitrate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum' : _MetaInfoEnum('TableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'policed-dscp':'policed_dscp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp',
            False, 
            [
            _MetaInfoClassMember('table', REFERENCE_ENUM_CLASS, 'TableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum', 
                [], [], 
                '''                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp', 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_CLASS, 'SetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit', 
                [], [], 
                '''                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions',
            False, 
            [
            _MetaInfoClassMember('conform-drop', REFERENCE_CLASS, 'ConformDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop', 
                [], [], 
                '''                ''',
                'conform_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-clp-transmit', REFERENCE_CLASS, 'ConformSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit', REFERENCE_CLASS, 'ConformSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit-table', REFERENCE_CLASS, 'ConformSetCosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-discard-class-transmit', REFERENCE_CLASS, 'ConformSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'conform_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit', REFERENCE_CLASS, 'ConformSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit-table', REFERENCE_CLASS, 'ConformSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-frde-transmit', REFERENCE_CLASS, 'ConformSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'conform_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit', REFERENCE_CLASS, 'ConformSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit-table', REFERENCE_CLASS, 'ConformSetPrecTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit', REFERENCE_CLASS, 'ConformSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit-table', REFERENCE_CLASS, 'ConformSetQosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-transmit', REFERENCE_CLASS, 'ConformTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit', 
                [], [], 
                '''                ''',
                'conform_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-drop', REFERENCE_CLASS, 'ExceedDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop', 
                [], [], 
                '''                ''',
                'exceed_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-dscp', REFERENCE_CLASS, 'ExceedDscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp', 
                [], [], 
                '''                ''',
                'exceed_dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-clp-transmit', REFERENCE_CLASS, 'ExceedSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-cos-transmit', REFERENCE_CLASS, 'ExceedSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-discard-class-transmit', REFERENCE_CLASS, 'ExceedSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit', REFERENCE_CLASS, 'ExceedSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit-table', REFERENCE_CLASS, 'ExceedSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-frde-transmit', REFERENCE_CLASS, 'ExceedSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-prec-transmit', REFERENCE_CLASS, 'ExceedSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-qos-transmit', REFERENCE_CLASS, 'ExceedSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-transmit', REFERENCE_CLASS, 'ExceedTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit', 
                [], [], 
                '''                ''',
                'exceed_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-drop', REFERENCE_CLASS, 'ViolateDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop', 
                [], [], 
                '''                ''',
                'violate_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-clp-transmit', REFERENCE_CLASS, 'ViolateSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-cos-transmit', REFERENCE_CLASS, 'ViolateSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-discard-class-transmit', REFERENCE_CLASS, 'ViolateSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'violate_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-dscp-transmit', REFERENCE_CLASS, 'ViolateSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-frde-transmit', REFERENCE_CLASS, 'ViolateSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'violate_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-prec-transmit', REFERENCE_CLASS, 'ViolateSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit', 
                [], [], 
                '''                ''',
                'violate_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-qos-transmit', REFERENCE_CLASS, 'ViolateSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-transmit', REFERENCE_CLASS, 'ViolateTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit', 
                [], [], 
                '''                ''',
                'violate_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'actions',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.MaskEnum' : _MetaInfoEnum('MaskEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dest-only':'dest_only',
            'full-flow':'full_flow',
            'src-only':'src_only',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow',
            False, 
            [
            _MetaInfoClassMember('actions', REFERENCE_CLASS, 'Actions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions', 
                [], [], 
                '''                ''',
                'actions',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bps', ATTRIBUTE, 'int' , None, None, 
                [('8000', '64000000000')], [], 
                '''                ''',
                'bps',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('burst-normal', ATTRIBUTE, 'int' , None, None, 
                [('1000', '512000000')], [], 
                '''                ''',
                'burst_normal',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mask', REFERENCE_ENUM_CLASS, 'MaskEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.MaskEnum', 
                [], [], 
                '''                flow mask to be used for policing
                ''',
                'mask',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow', 
                [], [], 
                '''                police each flow
                ''',
                'flow',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow',
            False, 
            [
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police', 
                [], [], 
                '''                ''',
                'police',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police-flow',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-cos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-imposition-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-mpls-exp-topmost-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-prec-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-set-qos-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop',
            False, 
            [
            _MetaInfoClassMember('conform-action', REFERENCE_CLASS, 'ConformAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction', 
                [], [], 
                '''                action when rate is less than conform burst
                ''',
                'conform_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'conform-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum' : _MetaInfoEnum('TableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'policed-dscp':'policed_dscp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp',
            False, 
            [
            _MetaInfoClassMember('table', REFERENCE_ENUM_CLASS, 'TableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum', 
                [], [], 
                '''                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp', 
                [], [], 
                '''                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_CLASS, 'SetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit', 
                [], [], 
                '''                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-dscp-transmit-table',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_CLASS, 'ExceedAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction', 
                [], [], 
                '''                action when rate is within conform and conform + exceed burst
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'exceed-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-clp-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set atm clp and send it
                ''',
                'set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-clp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-cos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet cos and send it
                ''',
                'set_cos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-cos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-cos-transmit', REFERENCE_ENUM_CLASS, 'Cos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Cos_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet cos and send it
                        ''',
                        'set_cos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-cos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-discard-class-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                set discard-class and send it
                ''',
                'set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-discard-class-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-dscp-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set dscp and send it
                ''',
                'set_dscp_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-dscp-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-dscp-transmit', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        set dscp and send it
                        ''',
                        'set_dscp_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-dscp-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-frde-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set FR DE and send it
                ''',
                'set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-frde-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp at tag imposition and send it
                ''',
                'set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-imposition-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp at tag imposition and send it
                        ''',
                        'set_mpls_exp_imposition_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-imposition-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set exp on topmost label and send it
                ''',
                'set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-mpls-exp-topmost-transmit', REFERENCE_ENUM_CLASS, 'Exp_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Exp_ValueTypeEnum', 
                        [], [], 
                        '''                        set exp on topmost label and send it
                        ''',
                        'set_mpls_exp_topmost_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-mpls-exp-topmost-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-prec-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                rewrite packet precedence and send it
                ''',
                'set_prec_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-prec-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-prec-transmit', REFERENCE_ENUM_CLASS, 'Prec_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Prec_ValueTypeEnum', 
                        [], [], 
                        '''                        rewrite packet precedence and send it
                        ''',
                        'set_prec_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify table-map
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-prec-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('set-qos-transmit', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                set qos-group and send it
                ''',
                'set_qos_transmit',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('set-qos-transmit', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('set-qos-transmit', REFERENCE_ENUM_CLASS, 'Qos_ValueTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Qos_ValueTypeEnum', 
                        [], [], 
                        '''                        set qos-group and send it
                        ''',
                        'set_qos_transmit',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-set-qos-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmit packet
                ''',
                'transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop packet
                ''',
                'drop',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-action',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop',
            False, 
            [
            _MetaInfoClassMember('violate-action', REFERENCE_CLASS, 'ViolateAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction', 
                [], [], 
                '''                action when rate is greater than conform + exceed burst
                ''',
                'violate_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'violate-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions',
            False, 
            [
            _MetaInfoClassMember('conform-drop', REFERENCE_CLASS, 'ConformDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop', 
                [], [], 
                '''                ''',
                'conform_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-clp-transmit', REFERENCE_CLASS, 'ConformSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit', REFERENCE_CLASS, 'ConformSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-cos-transmit-table', REFERENCE_CLASS, 'ConformSetCosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_cos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-discard-class-transmit', REFERENCE_CLASS, 'ConformSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'conform_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit', REFERENCE_CLASS, 'ConformSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-dscp-transmit-table', REFERENCE_CLASS, 'ConformSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-frde-transmit', REFERENCE_CLASS, 'ConformSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'conform_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-imposition-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpImpositionTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_imposition_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-mpls-exp-topmost-transmit-table', REFERENCE_CLASS, 'ConformSetMplsExpTopmostTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_mpls_exp_topmost_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit', REFERENCE_CLASS, 'ConformSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-prec-transmit-table', REFERENCE_CLASS, 'ConformSetPrecTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_prec_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit', REFERENCE_CLASS, 'ConformSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-set-qos-transmit-table', REFERENCE_CLASS, 'ConformSetQosTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable', 
                [], [], 
                '''                ''',
                'conform_set_qos_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('conform-transmit', REFERENCE_CLASS, 'ConformTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit', 
                [], [], 
                '''                ''',
                'conform_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-drop', REFERENCE_CLASS, 'ExceedDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop', 
                [], [], 
                '''                ''',
                'exceed_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-dscp', REFERENCE_CLASS, 'ExceedDscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp', 
                [], [], 
                '''                ''',
                'exceed_dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-clp-transmit', REFERENCE_CLASS, 'ExceedSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-cos-transmit', REFERENCE_CLASS, 'ExceedSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-discard-class-transmit', REFERENCE_CLASS, 'ExceedSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit', REFERENCE_CLASS, 'ExceedSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-dscp-transmit-table', REFERENCE_CLASS, 'ExceedSetDscpTransmitTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable', 
                [], [], 
                '''                ''',
                'exceed_set_dscp_transmit_table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-frde-transmit', REFERENCE_CLASS, 'ExceedSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ExceedSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-prec-transmit', REFERENCE_CLASS, 'ExceedSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-set-qos-transmit', REFERENCE_CLASS, 'ExceedSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit', 
                [], [], 
                '''                ''',
                'exceed_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-transmit', REFERENCE_CLASS, 'ExceedTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit', 
                [], [], 
                '''                ''',
                'exceed_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-drop', REFERENCE_CLASS, 'ViolateDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop', 
                [], [], 
                '''                ''',
                'violate_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-clp-transmit', REFERENCE_CLASS, 'ViolateSetClpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_clp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-cos-transmit', REFERENCE_CLASS, 'ViolateSetCosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_cos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-discard-class-transmit', REFERENCE_CLASS, 'ViolateSetDiscardClassTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit', 
                [], [], 
                '''                ''',
                'violate_set_discard_class_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-dscp-transmit', REFERENCE_CLASS, 'ViolateSetDscpTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit', 
                [], [], 
                '''                ''',
                'violate_set_dscp_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-frde-transmit', REFERENCE_CLASS, 'ViolateSetFrdeTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit', 
                [], [], 
                '''                ''',
                'violate_set_frde_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-imposition-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpImpositionTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_imposition_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-mpls-exp-topmost-transmit', REFERENCE_CLASS, 'ViolateSetMplsExpTopmostTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit', 
                [], [], 
                '''                ''',
                'violate_set_mpls_exp_topmost_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-prec-transmit', REFERENCE_CLASS, 'ViolateSetPrecTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit', 
                [], [], 
                '''                ''',
                'violate_set_prec_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-set-qos-transmit', REFERENCE_CLASS, 'ViolateSetQosTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit', 
                [], [], 
                '''                ''',
                'violate_set_qos_transmit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('violate-transmit', REFERENCE_CLASS, 'ViolateTransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit', 
                [], [], 
                '''                ''',
                'violate_transmit',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'actions',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police',
            False, 
            [
            _MetaInfoClassMember('actions', REFERENCE_CLASS, 'Actions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions', 
                [], [], 
                '''                ''',
                'actions',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bps', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'bps',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bps-value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'bps_value',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('byte', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'byte',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('byte-value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'byte_value',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst',
            False, 
            [
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police', 
                [], [], 
                '''                ''',
                'police',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police-catalyst',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police.ExceedActionEnum' : _MetaInfoEnum('ExceedActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
            'policed-dscp-transmit':'policed_dscp_transmit',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police',
            False, 
            [
            _MetaInfoClassMember('bc', ATTRIBUTE, 'int' , None, None, 
                [('8000', '2000000')], [], 
                '''                ''',
                'bc',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('cir', ATTRIBUTE, 'int' , None, None, 
                [('8000', '1000000000')], [], 
                '''                ''',
                'cir',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exceed-action', REFERENCE_ENUM_CLASS, 'ExceedActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police.ExceedActionEnum', 
                [], [], 
                '''                action when rate is exceeded
                ''',
                'exceed_action',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch',
            False, 
            [
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police', 
                [], [], 
                '''                ''',
                'police',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'police-switch',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Priority',
            False, 
            [
            _MetaInfoClassMember('burst', ATTRIBUTE, 'int' , None, None, 
                [('32', '64000000')], [], 
                '''                ''',
                'burst',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('kilo-bits', ATTRIBUTE, 'int' , None, None, 
                [('8', '2000000')], [], 
                '''                ''',
                'kilo_bits',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                Multi-Level Priority Queue
                ''',
                'level',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                % of total bandwidth
                ''',
                'percent',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers',
            False, 
            [
            _MetaInfoClassMember('ratio', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative buffer size for queue
                ''',
                'ratio',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'queue-buffers',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.QueueLimit.QueueLimitTypeEnum' : _MetaInfoEnum('QueueLimitTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bytes':'bytes',
            'ms':'ms',
            'packets':'packets',
            'us':'us',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.QueueLimit' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.QueueLimit',
            False, 
            [
            _MetaInfoClassMember('queue-limit-type', REFERENCE_ENUM_CLASS, 'QueueLimitTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.QueueLimit.QueueLimitTypeEnum', 
                [], [], 
                '''                ''',
                'queue_limit_type',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('queue-limit-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192000')], [], 
                '''                ''',
                'queue_limit_value',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'queue-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp.Dscp',
            False, 
            [
            _MetaInfoClassMember('dscp-val', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp_val',
                'Cisco-IOS-XE-policy', True, [
                    _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-policy', True),
                    _MetaInfoClassMember('dscp-val', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-policy', True),
                ]),
            _MetaInfoClassMember('dscp-val1', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp_val1',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp-val1', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp_val1',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp-val1', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp_val1',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                % of threshold
                ''',
                'percent',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('values', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                dscp values
                ''',
                'values',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_LIST, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp.Dscp', 
                [], [], 
                '''                parameters for each dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'queue-limit-dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Aggregate' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Aggregate',
            False, 
            [
            _MetaInfoClassMember('denominator', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'denominator',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mark-probability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                mark-probability for red aggregate
                ''',
                'mark_probability',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('maximum-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000000')], [], 
                '''                maximum threshold for red aggregate
                ''',
                'maximum_thresh',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('minimum-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000000')], [], 
                '''                minimum threshold for red aggregate
                ''',
                'minimum_thresh',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'aggregate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('dclass', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'dclass',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('denominator', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'denominator',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('max-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'max_threshold',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('min-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'min_threshold',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Dscp',
            False, 
            [
            _MetaInfoClassMember('dscp-val', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp_val',
                'Cisco-IOS-XE-policy', True, [
                    _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-policy', True),
                    _MetaInfoClassMember('dscp-val', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-policy', True),
                ]),
            _MetaInfoClassMember('denominator', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'denominator',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('max-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'max_threshold',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('min-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'min_threshold',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence',
            False, 
            [
            _MetaInfoClassMember('denominator', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'denominator',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('max-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'max_threshold',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('min-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'min_threshold',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('prec', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prec',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('prec', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'prec',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('prec', REFERENCE_ENUM_CLASS, 'PrecedenceType2Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy', 'PrecedenceType2Enum', 
                        [], [], 
                        '''                        ''',
                        'prec',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'precedence',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.RandomDetect' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.RandomDetect',
            False, 
            [
            _MetaInfoClassMember('aggregate', REFERENCE_CLASS, 'Aggregate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Aggregate', 
                [], [], 
                '''                aggregate subclasses
                ''',
                'aggregate',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass', 
                [], [], 
                '''                parameters for each discard-class value
                ''',
                'discard_class',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('discard-class-based', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable discard-class-based WRED as drop policy
                ''',
                'discard_class_based',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dscp', REFERENCE_LIST, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Dscp', 
                [], [], 
                '''                parameters for each dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dscp-based', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable dscp-based WRED as drop policy
                ''',
                'dscp_based',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ecn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                explicit congestion notification
                ''',
                'ecn',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('exponential-weighting-constant', ATTRIBUTE, 'int' , None, None, 
                [('1', '16')], [], 
                '''                weight for mean queue depth calculation
                ''',
                'exponential_weighting_constant',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('prec-based', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable precedence-based WRED as drop policy
                ''',
                'prec_based',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('precedence', REFERENCE_CLASS, 'Precedence' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence', 
                [], [], 
                '''                parameters for each precedence value
                ''',
                'precedence',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'random-detect',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set.Cos.PackEnum' : _MetaInfoEnum('PackEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dscp':'dscp',
            'precedence':'precedence',
            'cos':'cos',
            'qos-group':'qos_group',
            'wlan':'wlan',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList.Set.Cos' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set.Cos',
            False, 
            [
            _MetaInfoClassMember('pack', REFERENCE_ENUM_CLASS, 'PackEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.Cos.PackEnum', 
                [], [], 
                '''                ''',
                'pack',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set codepoint value based on tablemap.
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('user-priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set value from WLAN user-priority
                ''',
                'user_priority',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('val', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'val',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp.Dscp_' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp.Dscp_',
            False, 
            [
            _MetaInfoClassMember('table', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set packet dscp from dscp based on table map.
                ''',
                'table',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp.Dscp_', 
                [], [], 
                '''                Set packet dscp from dscp
                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dscp-val', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp_val',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp-val', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('tunnel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set tunnel packet dscp
                ''',
                'tunnel',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp',
            False, 
            [
            _MetaInfoClassMember('dscp-val', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp_val',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('dscp-val', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('tunnel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set tunnel packet dscp
                ''',
                'tunnel',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Precedence' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Precedence',
            False, 
            [
            _MetaInfoClassMember('precedence-val', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'precedence_val',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('precedence-val', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'precedence_val',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('precedence-val', REFERENCE_ENUM_CLASS, 'PrecedenceTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'PrecedenceTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'precedence_val',
                        'Cisco-IOS-XE-policy', False),
                ]),
            ],
            'Cisco-IOS-XE-policy',
            'precedence',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set.Ip',
            False, 
            [
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp', 
                [], [], 
                '''                Set IP DSCP (DiffServ CodePointint)
                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('precedence', REFERENCE_CLASS, 'Precedence' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Precedence', 
                [], [], 
                '''                Set IP precedence
                ''',
                'precedence',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition',
            False, 
            [
            _MetaInfoClassMember('exp-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'exp_value',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'imposition',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost',
            False, 
            [
            _MetaInfoClassMember('exp-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'exp_value',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'topmost',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental',
            False, 
            [
            _MetaInfoClassMember('imposition', REFERENCE_CLASS, 'Imposition' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition', 
                [], [], 
                '''                Set Experimental value at tag imposition
                ''',
                'imposition',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('topmost', REFERENCE_CLASS, 'Topmost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost', 
                [], [], 
                '''                Set Experimental value  on topmost label
                ''',
                'topmost',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'experimental',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls',
            False, 
            [
            _MetaInfoClassMember('experimental', REFERENCE_CLASS, 'Experimental' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental', 
                [], [], 
                '''                Set Experimental value
                ''',
                'experimental',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup',
            False, 
            [
            _MetaInfoClassMember('qos-group-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                ''',
                'qos_group_value',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Set' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Set',
            False, 
            [
            _MetaInfoClassMember('atm-clp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set ATM CLP bit to 1
                ''',
                'atm_clp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.Cos', 
                [], [], 
                '''                Set IEEE 802.1Q/ISL class of service/user priority
                ''',
                'cos',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('discard-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Discard behavior identifier
                ''',
                'discard_class',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp', 
                [], [], 
                '''                Set DSCP in IP(v4) and IPv6 packets
                ''',
                'dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('fr-de', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set FR DE bit to 1
                ''',
                'fr_de',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.Ip', 
                [], [], 
                '''                Set IP specific values
                ''',
                'ip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls', 
                [], [], 
                '''                Set MPLS specific values
                ''',
                'mpls',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup', 
                [], [], 
                '''                Set QoS Group
                ''',
                'qos_group',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account',
            False, 
            [
            _MetaInfoClassMember('user-defined', ATTRIBUTE, 'int' , None, None, 
                [('8', '2000000')], [], 
                '''                Offset Size
                ''',
                'user_defined',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'account',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse',
            False, 
            [
            _MetaInfoClassMember('burst-size-excess', ATTRIBUTE, 'int' , None, None, 
                [('10', '2000')], [], 
                '''                ''',
                'burst_size_excess',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ms', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                milliseconds
                ''',
                'ms',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'bse',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Shape.Average' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Shape.Average',
            False, 
            [
            _MetaInfoClassMember('account', REFERENCE_CLASS, 'Account' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account', 
                [], [], 
                '''                Overhead Accounting
                ''',
                'account',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'bit_rate',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bits-per-interval-excess', ATTRIBUTE, 'int' , None, None, 
                [('0', '154400000')], [], 
                '''                ''',
                'bits_per_interval_excess',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bits-per-interval-sustained', ATTRIBUTE, 'int' , None, None, 
                [('256', '154400000')], [], 
                '''                ''',
                'bits_per_interval_sustained',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('bse', REFERENCE_CLASS, 'Bse' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse', 
                [], [], 
                '''                ''',
                'bse',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('burst-size-sustained', ATTRIBUTE, 'int' , None, None, 
                [('10', '2000')], [], 
                '''                ''',
                'burst_size_sustained',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ms', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                milliseconds
                ''',
                'ms',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                % of interface bandwidth for Committed information rate
                ''',
                'percent',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'average',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Shape.FrVoiceAdapt' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Shape.FrVoiceAdapt',
            False, 
            [
            _MetaInfoClassMember('deactivation', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000')], [], 
                '''                ''',
                'deactivation',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'fr-voice-adapt',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.Shape' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList.Shape',
            False, 
            [
            _MetaInfoClassMember('adaptive', ATTRIBUTE, 'int' , None, None, 
                [('8000', '154400000')], [], 
                '''                Enable Traffic Shaping adaptation to BECN
                ''',
                'adaptive',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('average', REFERENCE_CLASS, 'Average' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Shape.Average', 
                [], [], 
                '''                configure token bucket: CIR (bps) [Bc (bits) [Be (bits)]], send out Bc only per interval
                ''',
                'average',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('fecn-adapt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Traffic Shaping reflection of FECN as BECN
                ''',
                'fecn_adapt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('fr-voice-adapt', REFERENCE_CLASS, 'FrVoiceAdapt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Shape.FrVoiceAdapt', 
                [], [], 
                '''                Enable rate adjustment depending on voice presence
                ''',
                'fr_voice_adapt',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('max-buffers', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Set Maximum Buffer Limit
                ''',
                'max_buffers',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.ActionList.TrustEnum' : _MetaInfoEnum('TrustEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cos':'cos',
            'dscp':'dscp',
            'ip-precedence':'ip_precedence',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_.ActionList' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_.ActionList',
            False, 
            [
            _MetaInfoClassMember('action-type', REFERENCE_ENUM_CLASS, 'PolicyActionTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy', 'PolicyActionTypeEnum', 
                [], [], 
                '''                ''',
                'action_type',
                'Cisco-IOS-XE-policy', True),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Bandwidth', 
                [], [], 
                '''                ''',
                'bandwidth',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('compression', REFERENCE_CLASS, 'Compression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Compression', 
                [], [], 
                '''                ''',
                'compression',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('estimate', REFERENCE_CLASS, 'Estimate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Estimate', 
                [], [], 
                '''                ''',
                'estimate',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.FairQueue', 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('forward', REFERENCE_CLASS, 'Forward' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Forward', 
                [], [], 
                '''                ''',
                'forward',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('netflow-sampler', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'netflow_sampler',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('police-aggregate', REFERENCE_CLASS, 'PoliceAggregate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate', 
                [], [], 
                '''                ''',
                'police_aggregate',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('police-catalyst', REFERENCE_CLASS, 'PoliceCatalyst' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst', 
                [], [], 
                '''                ''',
                'police_catalyst',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('police-cir-percent', REFERENCE_CLASS, 'PoliceCirPercent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent', 
                [], [], 
                '''                ''',
                'police_cir_percent',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('police-flow', REFERENCE_CLASS, 'PoliceFlow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow', 
                [], [], 
                '''                ''',
                'police_flow',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('police-policy-map', REFERENCE_CLASS, 'PolicePolicyMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap', 
                [], [], 
                '''                ''',
                'police_policy_map',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('police-rate-pdp', REFERENCE_CLASS, 'PoliceRatePdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp', 
                [], [], 
                '''                ''',
                'police_rate_pdp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('police-rate-percent', REFERENCE_CLASS, 'PoliceRatePercent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent', 
                [], [], 
                '''                ''',
                'police_rate_percent',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('police-rate-unit', REFERENCE_CLASS, 'PoliceRateUnit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit', 
                [], [], 
                '''                ''',
                'police_rate_unit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('police-switch', REFERENCE_CLASS, 'PoliceSwitch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch', 
                [], [], 
                '''                ''',
                'police_switch',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('police-target-bitrate', REFERENCE_CLASS, 'PoliceTargetBitrate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate', 
                [], [], 
                '''                ''',
                'police_target_bitrate',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('queue-buffers', REFERENCE_CLASS, 'QueueBuffers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers', 
                [], [], 
                '''                ''',
                'queue_buffers',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('queue-limit', REFERENCE_CLASS, 'QueueLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.QueueLimit', 
                [], [], 
                '''                ''',
                'queue_limit',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('queue-limit-dscp', REFERENCE_CLASS, 'QueueLimitDscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp', 
                [], [], 
                '''                ''',
                'queue_limit_dscp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('random-detect', REFERENCE_CLASS, 'RandomDetect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.RandomDetect', 
                [], [], 
                '''                ''',
                'random_detect',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Set', 
                [], [], 
                '''                ''',
                'set',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.Shape', 
                [], [], 
                '''                ''',
                'shape',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('trust', REFERENCE_ENUM_CLASS, 'TrustEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList.TrustEnum', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'action-list',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.Class_.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'inspect':'inspect',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.Class_' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap.Class_',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-policy', True),
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'ClassNameTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy', 'ClassNameTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-policy', True),
                ]),
            _MetaInfoClassMember('action-list', REFERENCE_LIST, 'ActionList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.ActionList', 
                [], [], 
                '''                ''',
                'action_list',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('appnav-policy', REFERENCE_CLASS, 'AppnavPolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.AppnavPolicy', 
                [], [], 
                '''                ''',
                'appnav_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('insert-before', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Insert the class before a specified class
                ''',
                'insert_before',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('inspect-police', REFERENCE_CLASS, 'InspectPolice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.InspectPolice', 
                [], [], 
                '''                ''',
                'inspect_police',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('pm-policy', REFERENCE_CLASS, 'PmPolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.PmPolicy', 
                [], [], 
                '''                ''',
                'pm_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.Policy_', 
                [], [], 
                '''                ''',
                'policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_.TypeEnum', 
                [], [], 
                '''                type of the class-map
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'class',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy.PolicyMap.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'http':'http',
            'im':'im',
            'imap':'imap',
            'p2p':'p2p',
            'pop3':'pop3',
            'smtp':'smtp',
            'sunrpc':'sunrpc',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'access-control':'access_control',
            'appnav':'appnav',
            'inspect':'inspect',
            'control':'control',
            'packet-service':'packet_service',
            'performance-monitor':'performance_monitor',
            'service':'service',
            'service-chain':'service_chain',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Policy.PolicyMap' : {
        'meta_info' : _MetaInfoClass('Native.Policy.PolicyMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', True),
            _MetaInfoClassMember('class', REFERENCE_LIST, 'Class_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Class_', 
                [], [], 
                '''                policy criteria
                ''',
                'class_',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 200)], [], 
                '''                Policy-Map description
                ''',
                'description',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('event', REFERENCE_LIST, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.Event', 
                [], [], 
                '''                The event type this control class-map triggers upon
                ''',
                'event',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('sequence-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enable sequence number capability
                ''',
                'sequence_interval',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap.TypeEnum', 
                [], [], 
                '''                type of the policy-map
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'policy-map',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Policy',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.ClassMap', 
                [], [], 
                '''                configure qos class map
                ''',
                'class_map',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('policy-map', REFERENCE_LIST, 'PolicyMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy.PolicyMap', 
                [], [], 
                '''                Configure QoS Policy Map
                ''',
                'policy_map',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavCompress.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavCompress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavCompress',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'AppNav-Compress',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AppnavUncompress.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.AppnavUncompress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AppnavUncompress',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'AppNav-UnCompress',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Atm_.Pvp.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Atm.Atm_.Pvp.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Atm.Atm_.Pvp.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Atm_.Pvp.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.Pvp.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.Pvp.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Atm_.Pvp.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Atm_.Pvp.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Atm_.Pvp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Atm_.Pvp',
            False, 
            [
            _MetaInfoClassMember('pvp-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PVP number
                ''',
                'pvp_number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.Pvp.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.Pvp.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Atm_.BandwidthEnum' : _MetaInfoEnum('BandwidthEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-atm', _yang_ns._namespaces['Cisco-IOS-XE-atm']),
    'Native.Interface.Atm.Atm_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Atm_',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_ENUM_CLASS, 'BandwidthEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.BandwidthEnum', 
                [], [], 
                '''                ATM bandwith
                ''',
                'bandwidth',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('enable-ilmi-trap', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable-ilmi-trap
                ''',
                'enable_ilmi_trap',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvp', REFERENCE_LIST, 'Pvp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_.Pvp', 
                [], [], 
                '''                PVP
                ''',
                'pvp',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'atm',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Cem.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Cem.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Cem.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Cem.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Cem.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Cem.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Cem.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Cem.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Cem.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Atm.Cem.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Atm.Cem.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Cem.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Cem.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Cem.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Cem.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Cem.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Cem.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Cem.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Cem.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Cem.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Cem' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Cem',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Cem.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Cem.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'cem',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Pvc.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Pvc.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Pvc.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Pvc.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Pvc.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Pvc.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Pvc.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Pvc.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Pvc.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Atm.Pvc.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Atm.Pvc.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Pvc.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Pvc.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Pvc.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Pvc.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Pvc.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Pvc.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm.Pvc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm.Pvc',
            False, 
            [
            _MetaInfoClassMember('local-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'local_vpi_vci',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'remote_vpi_vci',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ubr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UBR
                ''',
                'ubr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Pvc.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Pvc.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvc',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Atm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Atm',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('atm', REFERENCE_CLASS, 'Atm_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Atm_', 
                [], [], 
                '''                ATM
                ''',
                'atm',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('cem', REFERENCE_LIST, 'Cem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Cem', 
                [], [], 
                '''                CEM
                ''',
                'cem',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Ip', 
                [], [], 
                '''                IP address
                ''',
                'ip',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load interval
                ''',
                'load_interval',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvc', REFERENCE_LIST, 'Pvc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm.Pvc', 
                [], [], 
                '''                PVC
                ''',
                'pvc',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Atm_.Pvp',
            False, 
            [
            _MetaInfoClassMember('pvp-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PVP number
                ''',
                'pvp_number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Atm_.BandwidthEnum' : _MetaInfoEnum('BandwidthEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-atm', _yang_ns._namespaces['Cisco-IOS-XE-atm']),
    'Native.Interface.AtmSubinterface.Atm.Atm_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Atm_',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_ENUM_CLASS, 'BandwidthEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.BandwidthEnum', 
                [], [], 
                '''                ATM bandwith
                ''',
                'bandwidth',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('enable-ilmi-trap', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable-ilmi-trap
                ''',
                'enable_ilmi_trap',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvp', REFERENCE_LIST, 'Pvp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_.Pvp', 
                [], [], 
                '''                PVP
                ''',
                'pvp',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'atm',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Cem.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Cem' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Cem',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Cem.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'cem',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm.Pvc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm.Pvc',
            False, 
            [
            _MetaInfoClassMember('local-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'local_vpi_vci',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'remote_vpi_vci',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ubr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UBR
                ''',
                'ubr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvc',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface.Atm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface.Atm',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('atm', REFERENCE_CLASS, 'Atm_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Atm_', 
                [], [], 
                '''                ATM
                ''',
                'atm',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('cem', REFERENCE_LIST, 'Cem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Cem', 
                [], [], 
                '''                CEM
                ''',
                'cem',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Ip', 
                [], [], 
                '''                IP address
                ''',
                'ip',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load interval
                ''',
                'load_interval',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvc', REFERENCE_LIST, 'Pvc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm.Pvc', 
                [], [], 
                '''                PVC
                ''',
                'pvc',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', REFERENCE_LIST, 'Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface.Atm', 
                [], [], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Atm.Pvp.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcr.Atm.Pvp.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcr.Atm.Pvp.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Atm.Pvp.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.Pvp.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.Pvp.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Atm.Pvp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Atm.Pvp',
            False, 
            [
            _MetaInfoClassMember('pvp-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PVP number
                ''',
                'pvp_number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.Pvp.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Atm.BandwidthEnum' : _MetaInfoEnum('BandwidthEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-atm', _yang_ns._namespaces['Cisco-IOS-XE-atm']),
    'Native.Interface.AtmAcr.Atm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Atm',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_ENUM_CLASS, 'BandwidthEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.BandwidthEnum', 
                [], [], 
                '''                ATM bandwith
                ''',
                'bandwidth',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('enable-ilmi-trap', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable-ilmi-trap
                ''',
                'enable_ilmi_trap',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvp', REFERENCE_LIST, 'Pvp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm.Pvp', 
                [], [], 
                '''                PVP
                ''',
                'pvp',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'atm',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Cem.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Cem.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Cem.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Cem.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Cem.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Cem.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Cem.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Cem.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Cem.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcr.Cem.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcr.Cem.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Cem.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Cem.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Cem.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Cem.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Cem.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Cem.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Cem' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Cem',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Cem.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Cem.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'cem',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Pvc.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Pvc.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Pvc.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcr.Pvc.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcr.Pvc.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Pvc.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Pvc.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Pvc.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Pvc.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Pvc.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Pvc.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr.Pvc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr.Pvc',
            False, 
            [
            _MetaInfoClassMember('local-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'local_vpi_vci',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'remote_vpi_vci',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ubr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UBR
                ''',
                'ubr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Pvc.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Pvc.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvc',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcr',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('atm', REFERENCE_CLASS, 'Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Atm', 
                [], [], 
                '''                ATM
                ''',
                'atm',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('cem', REFERENCE_LIST, 'Cem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Cem', 
                [], [], 
                '''                CEM
                ''',
                'cem',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Ip', 
                [], [], 
                '''                IP address
                ''',
                'ip',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load interval
                ''',
                'load_interval',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvc', REFERENCE_LIST, 'Pvc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr.Pvc', 
                [], [], 
                '''                PVC
                ''',
                'pvc',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACR',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp',
            False, 
            [
            _MetaInfoClassMember('pvp-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PVP number
                ''',
                'pvp_number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.BandwidthEnum' : _MetaInfoEnum('BandwidthEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-atm', _yang_ns._namespaces['Cisco-IOS-XE-atm']),
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Atm',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_ENUM_CLASS, 'BandwidthEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.BandwidthEnum', 
                [], [], 
                '''                ATM bandwith
                ''',
                'bandwidth',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('enable-ilmi-trap', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable-ilmi-trap
                ''',
                'enable_ilmi_trap',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvp', REFERENCE_LIST, 'Pvp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp', 
                [], [], 
                '''                PVP
                ''',
                'pvp',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'atm',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Cem',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'cem',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc',
            False, 
            [
            _MetaInfoClassMember('local-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'local_vpi_vci',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'remote_vpi_vci',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ubr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UBR
                ''',
                'ubr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvc',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface.AtmAcr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface.AtmAcr',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('atm', REFERENCE_CLASS, 'Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Atm', 
                [], [], 
                '''                ATM
                ''',
                'atm',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('cem', REFERENCE_LIST, 'Cem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Cem', 
                [], [], 
                '''                CEM
                ''',
                'cem',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Ip', 
                [], [], 
                '''                IP address
                ''',
                'ip',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load interval
                ''',
                'load_interval',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvc', REFERENCE_LIST, 'Pvc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc', 
                [], [], 
                '''                PVC
                ''',
                'pvc',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACR',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', REFERENCE_LIST, 'AtmAcr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface.AtmAcr', 
                [], [], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.Bdi.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Bdi.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Bdi' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Bdi',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'BDI',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Atm.Pvp.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Atm.Pvp.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Atm.Pvp.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Cem.Atm.Pvp.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Cem.Atm.Pvp.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Atm.Pvp.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.Pvp.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.Pvp.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.Pvp.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Atm.Pvp.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Atm.Pvp.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Atm.Pvp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Atm.Pvp',
            False, 
            [
            _MetaInfoClassMember('pvp-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PVP number
                ''',
                'pvp_number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.Pvp.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.Pvp.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Atm.BandwidthEnum' : _MetaInfoEnum('BandwidthEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-atm', _yang_ns._namespaces['Cisco-IOS-XE-atm']),
    'Native.Interface.Cem.Atm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Atm',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_ENUM_CLASS, 'BandwidthEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.BandwidthEnum', 
                [], [], 
                '''                ATM bandwith
                ''',
                'bandwidth',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('enable-ilmi-trap', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable-ilmi-trap
                ''',
                'enable_ilmi_trap',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvp', REFERENCE_LIST, 'Pvp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm.Pvp', 
                [], [], 
                '''                PVP
                ''',
                'pvp',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'atm',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Cem_.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Cem_.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Cem_.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Cem_.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Cem_.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Cem_.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Cem_.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Cem_.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Cem_.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Cem.Cem_.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Cem.Cem_.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Cem_.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Cem_.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Cem_.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Cem_.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Cem_.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Cem_.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Cem_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Cem_',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Cem_.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Cem_.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'cem',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Pvc.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Pvc.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Pvc.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Pvc.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Pvc.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Pvc.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Pvc.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Pvc.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Pvc.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Cem.Pvc.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Cem.Pvc.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Pvc.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Pvc.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Pvc.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Pvc.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Pvc.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Pvc.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem.Pvc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem.Pvc',
            False, 
            [
            _MetaInfoClassMember('local-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'local_vpi_vci',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'remote_vpi_vci',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ubr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UBR
                ''',
                'ubr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Pvc.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Pvc.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvc',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cem' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cem',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('atm', REFERENCE_CLASS, 'Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Atm', 
                [], [], 
                '''                ATM
                ''',
                'atm',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('cem', REFERENCE_LIST, 'Cem_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Cem_', 
                [], [], 
                '''                CEM
                ''',
                'cem',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Ip', 
                [], [], 
                '''                IP address
                ''',
                'ip',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load interval
                ''',
                'load_interval',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvc', REFERENCE_LIST, 'Pvc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem.Pvc', 
                [], [], 
                '''                PVC
                ''',
                'pvc',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-native',
            'CEM',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Atm.Pvp.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.CemAcr.Atm.Pvp.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.CemAcr.Atm.Pvp.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Atm.Pvp.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.Pvp.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.Pvp.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Atm.Pvp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Atm.Pvp',
            False, 
            [
            _MetaInfoClassMember('pvp-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PVP number
                ''',
                'pvp_number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.Pvp.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Atm.BandwidthEnum' : _MetaInfoEnum('BandwidthEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-atm', _yang_ns._namespaces['Cisco-IOS-XE-atm']),
    'Native.Interface.CemAcr.Atm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Atm',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_ENUM_CLASS, 'BandwidthEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.BandwidthEnum', 
                [], [], 
                '''                ATM bandwith
                ''',
                'bandwidth',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('enable-ilmi-trap', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable-ilmi-trap
                ''',
                'enable_ilmi_trap',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvp', REFERENCE_LIST, 'Pvp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm.Pvp', 
                [], [], 
                '''                PVP
                ''',
                'pvp',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'atm',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Cem.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Cem.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Cem.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Cem.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Cem.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Cem.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Cem.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Cem.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Cem.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.CemAcr.Cem.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.CemAcr.Cem.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Cem.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Cem.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Cem.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Cem.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Cem.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Cem.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Cem' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Cem',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Cem.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Cem.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'cem',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Pvc.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Pvc.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Pvc.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Pvc.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Pvc.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Pvc.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Pvc.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Pvc.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Pvc.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.CemAcr.Pvc.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.CemAcr.Pvc.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Pvc.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Pvc.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Pvc.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Pvc.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Pvc.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Pvc.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr.Pvc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr.Pvc',
            False, 
            [
            _MetaInfoClassMember('local-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'local_vpi_vci',
                'Cisco-IOS-XE-atm', True),
            _MetaInfoClassMember('l2transport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'l2transport',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('remote-vpi-vci', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vpi and vci
                ''',
                'remote_vpi_vci',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ubr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UBR
                ''',
                'ubr',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Pvc.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Pvc.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-atm',
            'pvc',
            _yang_ns._namespaces['Cisco-IOS-XE-atm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.CemAcr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.CemAcr',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('atm', REFERENCE_CLASS, 'Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Atm', 
                [], [], 
                '''                ATM
                ''',
                'atm',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('cem', REFERENCE_LIST, 'Cem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Cem', 
                [], [], 
                '''                CEM
                ''',
                'cem',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Ip', 
                [], [], 
                '''                IP address
                ''',
                'ip',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load interval
                ''',
                'load_interval',
                'Cisco-IOS-XE-atm', False),
            _MetaInfoClassMember('pvc', REFERENCE_LIST, 'Pvc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr.Pvc', 
                [], [], 
                '''                PVC
                ''',
                'pvc',
                'Cisco-IOS-XE-atm', False),
            ],
            'Cisco-IOS-XE-native',
            'CEM-ACR',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.EmbeddedServiceEngine.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.EmbeddedServiceEngine' : {
        'meta_info' : _MetaInfoClass('Native.Interface.EmbeddedServiceEngine',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Embedded-Service-Engine',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Access.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fastethernet.Switchport.Access.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Access.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Access.Vlan', 
                [], [], 
                '''                Set VLAN when interface is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown multicast addresses
                ''',
                'multicast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Mode.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Mode.Access',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Mode.Dot1QTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Mode.Dot1QTunnel',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'dot1q-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Mode.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Mode.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('promiscuous', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan promiscuous
                ''',
                'promiscuous',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Mode.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Mode.Trunk',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Mode.DynamicEnum' : _MetaInfoEnum('DynamicEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'desirable':'desirable',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fastethernet.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Mode.Access', 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dot1q-tunnel', REFERENCE_CLASS, 'Dot1QTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Mode.Dot1QTunnel', 
                [], [], 
                '''                set trunking mode to TUNNEL unconditionally
                ''',
                'dot1q_tunnel',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dynamic', REFERENCE_ENUM_CLASS, 'DynamicEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Mode.DynamicEnum', 
                [], [], 
                '''                Set trunking mode to dynamically negotiate access or trunk mode
                ''',
                'dynamic',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Mode.PrivateVlan', 
                [], [], 
                '''                Set private-vlan mode
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Mode.Trunk', 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.PortSecurity.Aging.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'absolute':'absolute',
            'inactivity':'inactivity',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fastethernet.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PortSecurity.Aging.TypeEnum', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.PortSecurity.MacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.PortSecurity.MacAddress',
            False, 
            [
            _MetaInfoClassMember('hw-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                ''',
                'hw_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sticky', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic secure addresses as sticky
                ''',
                'sticky',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                set VLAN ID of the VLAN on which this address can be learned
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('max-addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '4097')], [], 
                '''                ''',
                'max_addresses',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.PortSecurity.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fastethernet.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address', REFERENCE_CLASS, 'MacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PortSecurity.MacAddress', 
                [], [], 
                '''                Secure mac address
                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PortSecurity.ViolationEnum', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Trunk.Allowed.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Trunk.Allowed.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                all VLANs
                ''',
                'all',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Trunk.Allowed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Trunk.Allowed',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Trunk.Allowed.Vlan', 
                [], [], 
                '''                Set allowed VLANs when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'allowed',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Trunk.Native_.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'tag':'tag',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fastethernet.Switchport.Trunk.Native_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Trunk.Native_',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set native VLAN when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum', 
                        [], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'native',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Trunk.Pruning.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Trunk.Pruning.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Trunk.Pruning' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Trunk.Pruning',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Trunk.Pruning.Vlan', 
                [], [], 
                '''                Set VLANs enabled for pruning when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pruning',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Trunk.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1q':'dot1q',
            'isl':'isl',
            'negotiate':'negotiate',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fastethernet.Switchport.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Trunk',
            False, 
            [
            _MetaInfoClassMember('allowed', REFERENCE_CLASS, 'Allowed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Trunk.Allowed', 
                [], [], 
                '''                Set allowed VLAN characteristics when interface is in trunking mode
                ''',
                'allowed',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Trunk.EncapsulationEnum', 
                [], [], 
                '''                Set encapsulation format on trunk port
                ''',
                'encapsulation',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('native', REFERENCE_CLASS, 'Native_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Trunk.Native_', 
                [], [], 
                '''                Set trunking native characteristics when interface is in trunking mode
                ''',
                'native',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pruning', REFERENCE_CLASS, 'Pruning' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Trunk.Pruning', 
                [], [], 
                '''                Set pruning VLAN characteristics when interface is in trunking mode
                ''',
                'pruning',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Voice.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1p':'dot1p',
            'none':'none',
            'untagged':'untagged',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fastethernet.Switchport.Voice.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Voice.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Voice.Detect.CiscoPhone' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Voice.Detect.CiscoPhone',
            False, 
            [
            _MetaInfoClassMember('full-duplex', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                full duplex keyword
                ''',
                'full_duplex',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'cisco-phone',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Voice.Detect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Voice.Detect',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', REFERENCE_CLASS, 'CiscoPhone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Voice.Detect.CiscoPhone', 
                [], [], 
                '''                Cisco IP phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'detect',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('detect', REFERENCE_CLASS, 'Detect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Voice.Detect', 
                [], [], 
                '''                detection enhancement keyword
                ''',
                'detect',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Voice.Vlan', 
                [], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Priority.Extend' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Priority.Extend',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Override 802.1p priority of devices on appliance
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust 802.1p priorities of devices on appliance
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'extend',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Priority',
            False, 
            [
            _MetaInfoClassMember('extend', REFERENCE_CLASS, 'Extend' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Priority.Extend', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'extend',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.Autostate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.Autostate',
            False, 
            [
            _MetaInfoClassMember('exclude', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude this port from vlan link up calculation
                ''',
                'exclude',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'autostate',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Host',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.PrivateVlan.Association' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.PrivateVlan.Association',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Host', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.PrivateVlan.HostAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.PrivateVlan.HostAssociation',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host-association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.PrivateVlan.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.PrivateVlan.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PrivateVlan.Association', 
                [], [], 
                '''                Set the private VLAN association
                ''',
                'association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host-association', REFERENCE_CLASS, 'HostAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PrivateVlan.HostAssociation', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host_association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PrivateVlan.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport.DeviceTracking' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport.DeviceTracking',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature device-tracking
                ''',
                'attach_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'device-tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('autostate', REFERENCE_CLASS, 'Autostate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Autostate', 
                [], [], 
                '''                Include or exclude this port from vlan link up calculation
                ''',
                'autostate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('device-tracking', REFERENCE_CLASS, 'DeviceTracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.DeviceTracking', 
                [], [], 
                '''                Configure device-tracking on the interface
                ''',
                'device_tracking',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set port host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Priority', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'priority',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.PrivateVlan', 
                [], [], 
                '''                Set the private VLAN configuration
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an interface to be a protected port
                ''',
                'protected',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Trunk', 
                [], [], 
                '''                Set trunking characteristics of the interface
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.AdjacencyFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.AdjacencyFilter',
            False, 
            [
            _MetaInfoClassMember('match-all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match all area addresses
                ''',
                'match_all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'adjacency-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Advertise',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interface IP address
                ''',
                'prefix',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Authentication.Mode.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Authentication.Mode.Md5',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Authentication.Mode.Text' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Authentication.Mode.Text',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'text',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Authentication.Mode.Md5', 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('text', REFERENCE_CLASS, 'Text' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Authentication.Mode.Text', 
                [], [], 
                '''                Clear text password
                ''',
                'text',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Authentication.KeyChain.KeyChainList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Authentication.KeyChain.KeyChainList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('key-chain-list', REFERENCE_LIST, 'KeyChainList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Authentication.KeyChain.KeyChainList', 
                [], [], 
                '''                ''',
                'key_chain_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Authentication.SendOnly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Authentication.SendOnly',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'send-only',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Authentication.KeyChain', 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Authentication.Mode', 
                [], [], 
                '''                Authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('send-only', REFERENCE_CLASS, 'SendOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Authentication.SendOnly', 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.CircuitType.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2-only':'level_2_only',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.CircuitType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.CircuitType',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.CircuitType.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'circuit-type',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.CsnpInterval.CsnpIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.CsnpInterval.CsnpIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.CsnpInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.CsnpInterval',
            False, 
            [
            _MetaInfoClassMember('csnp-interval-list', REFERENCE_LIST, 'CsnpIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.CsnpInterval.CsnpIntervalList', 
                [], [], 
                '''                ''',
                'csnp_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never pad hello packets if no prefix present
                ''',
                'always',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello packets
                ''',
                'padding',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.HelloInterval.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-list', REFERENCE_LIST, 'HelloIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList', 
                [], [], 
                '''                ''',
                'hello_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.HelloMultiplier.HelloMultiplierList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.HelloMultiplier.HelloMultiplierList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.HelloMultiplier' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.HelloMultiplier',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier-list', REFERENCE_LIST, 'HelloMultiplierList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.HelloMultiplier.HelloMultiplierList', 
                [], [], 
                '''                ''',
                'hello_multiplier_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Ipv6.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.Ipv6.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Ipv6.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Ipv6',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Ipv6.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IPv6 route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Password.PasswordList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.Password.PasswordList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Password.PasswordList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Password.PasswordList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Password' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Password',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password-list', REFERENCE_LIST, 'PasswordList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Password.PasswordList', 
                [], [], 
                '''                ''',
                'password_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Priority.PriorityList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.Priority.PriorityList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Priority.PriorityList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Priority.PriorityList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-list', REFERENCE_LIST, 'PriorityList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Priority.PriorityList', 
                [], [], 
                '''                ''',
                'priority_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.ThreeWayHandshake.ImplementorEnum' : _MetaInfoEnum('ImplementorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco':'cisco',
            'ietf':'ietf',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.ThreeWayHandshake' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis.ThreeWayHandshake',
            False, 
            [
            _MetaInfoClassMember('implementor', REFERENCE_ENUM_CLASS, 'ImplementorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.ThreeWayHandshake.ImplementorEnum', 
                [], [], 
                '''                ''',
                'implementor',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'three-way-handshake',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Isis.MeshGroupEnum' : _MetaInfoEnum('MeshGroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'blocked':'blocked',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Fastethernet.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Isis',
            False, 
            [
            _MetaInfoClassMember('adjacency-filter', REFERENCE_CLASS, 'AdjacencyFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.AdjacencyFilter', 
                [], [], 
                '''                Filter IS-IS adjacencies
                ''',
                'adjacency_filter',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Advertise', 
                [], [], 
                '''                Control addresses advertisements in LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('circuit-type', REFERENCE_CLASS, 'CircuitType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.CircuitType', 
                [], [], 
                '''                Configure circuit type for interface
                ''',
                'circuit_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('csnp-interval', REFERENCE_CLASS, 'CsnpInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.CsnpInterval', 
                [], [], 
                '''                Set CSNP interval in seconds
                ''',
                'csnp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Hello', 
                [], [], 
                '''                Add padding to IS-IS hello packets
                ''',
                'hello',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.HelloInterval', 
                [], [], 
                '''                Set Hello interval in seconds
                ''',
                'hello_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-multiplier', REFERENCE_CLASS, 'HelloMultiplier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.HelloMultiplier', 
                [], [], 
                '''                Set multiplier for Hello holding time
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Ipv6', 
                [], [], 
                '''                IPv6 interface configuration
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set LSP transmission interval
                ''',
                'lsp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mesh-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set ISIS mesh group
                ''',
                'mesh_group',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('mesh-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('mesh-group', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum', 
                        [], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Password', 
                [], [], 
                '''                Configure the authentication password for interface
                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.Priority', 
                [], [], 
                '''                Set priority for Designated Router election
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.ProtocolEnum', 
                [], [], 
                '''                Set ISIS protocol's state under current interface
                ''',
                'protocol',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set per-LSP retransmission interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-throttle-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set interface LSP retransmission interval
                ''',
                'retransmit_throttle_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IP route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('three-way-handshake', REFERENCE_CLASS, 'ThreeWayHandshake' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis.ThreeWayHandshake', 
                [], [], 
                '''                Select Cisco or IETF three-way handshake
                ''',
                'three_way_handshake',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Bfd.Interval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Bfd.Interval',
            False, 
            [
            _MetaInfoClassMember('min_rx', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                Minimum receive interval capability
                ''',
                'min_rx',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('msecs', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                ''',
                'msecs',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('3', '50')], [], 
                '''                Multiplier value used to compute holddown
                ''',
                'multiplier',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'interval',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Bfd',
            False, 
            [
            _MetaInfoClassMember('echo', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use echo adjunct as bfd detection mechanism
                ''',
                'echo',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('interval', REFERENCE_CLASS, 'Interval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Bfd.Interval', 
                [], [], 
                '''                Transmit interval between BFD packets
                ''',
                'interval',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD template
                ''',
                'template',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mpls.Accounting.Experimental' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mpls.Accounting.Experimental',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                received packets
                ''',
                'input',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmitted packets
                ''',
                'output',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'experimental',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mpls.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mpls.Accounting',
            False, 
            [
            _MetaInfoClassMember('experimental', REFERENCE_CLASS, 'Experimental' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mpls.Accounting.Experimental', 
                [], [], 
                '''                Count packets by MPLS experimental value on this interface
                ''',
                'experimental',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mpls.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mpls.Bgp',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure MPLS forwarding for directly connected BGP peers
                ''',
                'forwarding',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mpls.Label.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'ldp':'ldp',
            'tdp':'tdp',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Interface.Fastethernet.Mpls.Label' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mpls.Label',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mpls.Label.ProtocolEnum', 
                [], [], 
                '''                Configure label/tag distribution protocol (LDP/TDP)
                ''',
                'protocol',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mpls.Ldp.Discovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mpls.Ldp.Discovery',
            False, 
            [
            _MetaInfoClassMember('transport-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify interface LDP transport address
                ''',
                'transport_address',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('transport-address', REFERENCE_ENUM_CLASS, 'LdpDiscoveryAddressTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls', 'LdpDiscoveryAddressTypeEnum', 
                        [], [], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('transport-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mpls.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mpls.Ldp',
            False, 
            [
            _MetaInfoClassMember('discovery', REFERENCE_CLASS, 'Discovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mpls.Ldp.Discovery', 
                [], [], 
                '''                Configure interface LDP Discovery parameters
                ''',
                'discovery',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding.Thresholds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding.Thresholds',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for decreased resource availability
                ''',
                'down',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('up', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for increased resource availability
                ''',
                'up',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'thresholds',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding',
            False, 
            [
            _MetaInfoClassMember('thresholds', REFERENCE_CLASS, 'Thresholds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding.Thresholds', 
                [], [], 
                '''                Set flooding thresholds
                ''',
                'thresholds',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'flooding',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('administrative-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set the administrative weight for the interface
                ''',
                'administrative_weight',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('attribute-flags', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set user-defined interface attibute flags
                ''',
                'attribute_flags',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('backup-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure an MPLS TE backup for this interface
                ''',
                'backup_path',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('flooding', REFERENCE_CLASS, 'Flooding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding', 
                [], [], 
                '''                Set flooding parameters
                ''',
                'flooding',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tunnels', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable MPLS Traffic Engineering tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mpls',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mpls.Accounting', 
                [], [], 
                '''                Enable MPLS accounting on this interface
                ''',
                'accounting',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mpls.Bgp', 
                [], [], 
                '''                MPLS BGP
                ''',
                'bgp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic MPLS forwarding for IP
                ''',
                'ip',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mpls.Label', 
                [], [], 
                '''                Label properties
                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mpls.Ldp', 
                [], [], 
                '''                Configure Label Distribution Protocol (LDP) parameters
                ''',
                'ldp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('mtu', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set MPLS Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('1501', '1524')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '1500')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '9216')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mpls.TrafficEng', 
                [], [], 
                '''                Configure Traffic Engineering parameters
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Pim.AcceptRegister' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Pim.AcceptRegister',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'accept-register',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Pim.QueryInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Pim.QueryInterval',
            False, 
            [
            _MetaInfoClassMember('milliseconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '65535')], [], 
                '''                ''',
                'milliseconds_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Query interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('seconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '18725')], [], 
                '''                ''',
                'seconds_interval',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'query-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Pim.SparseModeEnum' : _MetaInfoEnum('SparseModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sparse-dense-mode':'sparse_dense_mode',
            'sparse-mode':'sparse_mode',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Fastethernet.Ip.Pim.SptThresholdEnum' : _MetaInfoEnum('SptThresholdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Fastethernet.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Pim',
            False, 
            [
            _MetaInfoClassMember('accept-register', REFERENCE_CLASS, 'AcceptRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Pim.AcceptRegister', 
                [], [], 
                '''                ''',
                'accept_register',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM router DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('nbma-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable PIM nbma-mode operation
                ''',
                'nbma_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('query-interval', REFERENCE_CLASS, 'QueryInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Pim.QueryInterval', 
                [], [], 
                '''                PIM router query interval
                ''',
                'query_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sparse-mode', REFERENCE_ENUM_CLASS, 'SparseModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Pim.SparseModeEnum', 
                [], [], 
                '''                ''',
                'sparse_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold', REFERENCE_ENUM_CLASS, 'SptThresholdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Pim.SptThresholdEnum', 
                [], [], 
                '''                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Client' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Client',
            False, 
            [
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify hostname to use
                ''',
                'hostname',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.CheckReply' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.CheckReply',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'check-reply',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Subscriber identifier sub option
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.OptionInsert' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.OptionInsert',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option-insert',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum' : _MetaInfoEnum('PolicyActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
            'encapsulate':'encapsulate',
            'keep':'keep',
            'replace':'replace',
        }, 'Cisco-IOS-XE-dhcp', _yang_ns._namespaces['Cisco-IOS-XE-dhcp']),
    'Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('check-reply', REFERENCE_CLASS, 'CheckReply' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.CheckReply', 
                [], [], 
                '''                Validate relay information in BOOTREPLY
                ''',
                'check_reply',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option-insert', REFERENCE_CLASS, 'OptionInsert' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.OptionInsert', 
                [], [], 
                '''                Insert relay information in BOOTREQUEST
                ''',
                'option_insert',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('policy-action', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum', 
                [], [], 
                '''                Define reforwarding policy
                ''',
                'policy_action',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Received DHCP packet may contain relay info option with zero giaddr
                ''',
                'trusted',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set source interface for relayed messages
                ''',
                'source_interface',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP Snooping limit
                ''',
                'rate',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [(3, 63)], [], 
                '''                User defined string for circuit id
                ''',
                'string',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType',
            False, 
            [
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId', 
                [], [], 
                '''                Circuit id option 82 format
                ''',
                'circuit_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'format-type',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option',
            False, 
            [
            _MetaInfoClassMember('format-type', REFERENCE_CLASS, 'FormatType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType', 
                [], [], 
                '''                Option 82 information format
                ''',
                'format_type',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option', 
                [], [], 
                '''                DHCP Snooping information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information', 
                [], [], 
                '''                DHCP Snooping information
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP Snooping trust config
                ''',
                'trust',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan', 
                [], [], 
                '''                DHCP Snooping vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-dhcp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-dhcp',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Client', 
                [], [], 
                '''                DHCP client configuration
                ''',
                'client',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay configuration parameters
                ''',
                'relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.Fastethernet.Ip.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.Groups.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '*':'Y__STAR__',
        }, 'Cisco-IOS-XE-igmp', _yang_ns._namespaces['Cisco-IOS-XE-igmp']),
    'Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.Groups' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.Groups',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-igmp', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum', 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                ]),
            ],
            'Cisco-IOS-XE-igmp',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.ClassMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.ClassMap',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-igmp', True),
            ],
            'Cisco-IOS-XE-igmp',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Igmp.StaticGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Igmp.StaticGroup',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.ClassMap', 
                [], [], 
                '''                Class map of type multicast-flows
                ''',
                'class_map',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('groups', REFERENCE_LIST, 'Groups' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.Groups', 
                [], [], 
                '''                ''',
                'groups',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'static-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Igmp.JoinGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Igmp.JoinGroup',
            False, 
            [
            _MetaInfoClassMember('ip-group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP group address
                ''',
                'ip_group_address',
                'Cisco-IOS-XE-igmp', True),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP source address
                ''',
                'source',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'join-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Igmp',
            False, 
            [
            _MetaInfoClassMember('join-group', REFERENCE_LIST, 'JoinGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Igmp.JoinGroup', 
                [], [], 
                '''                IGMP join multicast group
                ''',
                'join_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('static-group', REFERENCE_CLASS, 'StaticGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Igmp.StaticGroup', 
                [], [], 
                '''                IGMP static multicast group
                ''',
                'static_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Lisp',
            False, 
            [
            _MetaInfoClassMember('source-locator', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Choose IP source address for LISP packets egressing this interface
                ''',
                'source_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Nat' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Nat',
            False, 
            [
            _MetaInfoClassMember('allow-static-host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow static-ip clients
                ''',
                'allow_static_host',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Address Translation (NVI)
                ''',
                'enable',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('inside', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inside interface for address translation
                ''',
                'inside',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('outside', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outside interface for address translation
                ''',
                'outside',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'nat',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum' : _MetaInfoEnum('Ipv4Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Interface.Fastethernet.Ip.Nbar.ProtocolDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Nbar.ProtocolDiscovery',
            False, 
            [
            _MetaInfoClassMember('ipv4-ipv6', REFERENCE_ENUM_CLASS, 'Ipv4Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum', 
                [], [], 
                '''                ''',
                'ipv4_ipv6',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'protocol-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Nbar' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Nbar',
            False, 
            [
            _MetaInfoClassMember('protocol-discovery', REFERENCE_CLASS, 'ProtocolDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Nbar.ProtocolDiscovery', 
                [], [], 
                '''                Enable protocol discovery for both ipv4 and ipv6
                ''',
                'protocol_discovery',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'nbar',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not include secondary IP addresses
                ''',
                'none',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('secondaries', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include or exclude secondary IP addresses
                ''',
                'secondaries',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outgoing LSA
                ''',
                'out',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.DeadInterval.Minimal' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.DeadInterval.Minimal',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set multiplier for Hellos
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'minimal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('minimal', REFERENCE_CLASS, 'Minimal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.DeadInterval.Minimal', 
                [], [], 
                '''                Set to 1 second
                ''',
                'minimal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'candidate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Protection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix',
            False, 
            [
            _MetaInfoClassMember('candidate', REFERENCE_CLASS, 'Candidate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate', 
                [], [], 
                '''                If interface can be protecting
                ''',
                'candidate',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Protection', 
                [], [], 
                '''                If interface can be protected
                ''',
                'protection',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'per-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.FastReroute',
            False, 
            [
            _MetaInfoClassMember('per-prefix', REFERENCE_CLASS, 'PerPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix', 
                [], [], 
                '''                Per-prefix LFA FRR parameters
                ''',
                'per_prefix',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.Lls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.Lls',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable LLS
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lls',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('diable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable TTL security check
                ''',
                'diable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Ospf.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'broadcast':'broadcast',
            'non-broadcast':'non_broadcast',
            'point-to-multipoint':'point_to_multipoint',
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ip.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.DeadInterval', 
                [], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.FastReroute', 
                [], [], 
                '''                LFA FastReroute parameters
                ''',
                'fast_reroute',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('lls', REFERENCE_CLASS, 'Lls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.Lls', 
                [], [], 
                '''                Link-local Signaling (LLS) support
                ''',
                'lls',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('resync-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which adjacency is reset if oob-resync is not started
                ''',
                'resync_timeout',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set OSPF protocol's state to disable under current interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp.Redirect.Exclude' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp.Redirect.Exclude',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude inbound packets from outbound redirection
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'exclude',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp.Redirect',
            False, 
            [
            _MetaInfoClassMember('exclude', REFERENCE_CLASS, 'Exclude' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp.Redirect.Exclude', 
                [], [], 
                '''                Exclude packets from redirection
                ''',
                'exclude',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip.Wccp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip.Wccp',
            False, 
            [
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp.Redirect', 
                [], [], 
                '''                Set packet redirection options
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp.Vrf', 
                [], [], 
                '''                Configure WCCP for a VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Igmp', 
                [], [], 
                '''                IGMP interface commands
                ''',
                'igmp',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nat', REFERENCE_CLASS, 'Nat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Nat', 
                [], [], 
                '''                NAT interface commands
                ''',
                'nat',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('nbar', REFERENCE_CLASS, 'Nbar' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Nbar', 
                [], [], 
                '''                Network-Based Application Recognition
                ''',
                'nbar',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unreachables', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Unreachable messages
                ''',
                'unreachables',
                'Cisco-IOS-XE-icmp', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wccp', REFERENCE_CLASS, 'Wccp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip.Wccp', 
                [], [], 
                '''                WCCP IPv4 interface commands
                ''',
                'wccp',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Dhcp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Dhcp.Server',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Preference
                ''',
                'preference',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Dhcp.Guard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Dhcp.Guard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature DHCP Guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'guard',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Dhcp',
            False, 
            [
            _MetaInfoClassMember('guard', REFERENCE_CLASS, 'Guard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Dhcp.Guard', 
                [], [], 
                '''                Configure IPv6 DHCP guard on the interface
                ''',
                'guard',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Dhcp.Server', 
                [], [], 
                '''                Act as an IPv6 DHCP server
                ''',
                'server',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Nd.Raguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Nd.Raguard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature RA guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'raguard',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Nd.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Nd.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default_route',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert auto-configured prefix
                ''',
                'prefix',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Nd.Ra.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Nd.Ra.Suppress',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress all IPv6 RA
                ''',
                'all',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Nd.Ra' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Nd.Ra',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Nd.Ra.Suppress', 
                [], [], 
                '''                Suppress IPv6 router-alert configuration
                ''',
                'suppress',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'ra',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Nd',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Nd.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('managed-config-flag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP for IPv6 address configuration
                ''',
                'managed_config_flag',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('ra', REFERENCE_CLASS, 'Ra' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Nd.Ra', 
                [], [], 
                '''                IPv6 nd router alert configuration
                ''',
                'ra',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('raguard', REFERENCE_CLASS, 'Raguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Nd.Raguard', 
                [], [], 
                '''                Configure RA guard on the interface
                ''',
                'raguard',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.Fastethernet.Ipv6.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.NoPim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.NoPim',
            False, 
            [
            _MetaInfoClassMember('pim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'no-pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Pim.Bsr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Pim.Bsr',
            False, 
            [
            _MetaInfoClassMember('border', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Border of PIM BSR domain
                ''',
                'border',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Pim',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Pim.Bsr', 
                [], [], 
                '''                Configure BSR
                ''',
                'bsr',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Hello DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Process' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Process',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('instance', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('0', '31')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('32', '255')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ipv6.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Flood Reduction on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process', REFERENCE_LIST, 'Process' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Process', 
                [], [], 
                '''                ''',
                'process',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Rip.DefaultInformation.RouteEnum' : _MetaInfoEnum('RouteEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'only':'only',
            'originate':'originate',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Interface.Fastethernet.Ipv6.Rip.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Rip.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '15')], [], 
                '''                Default route metric
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route', REFERENCE_ENUM_CLASS, 'RouteEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Rip.DefaultInformation.RouteEnum', 
                [], [], 
                '''                ''',
                'route',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Rip.DefaultInformation', 
                [], [], 
                '''                Configure handling of default route
                ''',
                'default_information',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/disable RIP routing
                ''',
                'enable',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-pim', REFERENCE_CLASS, 'NoPim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.NoPim', 
                [], [], 
                '''                ''',
                'no_pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.Rip', 
                [], [], 
                '''                Configure RIP routing protocol
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unreachables', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Unreachable messages
                ''',
                'unreachables',
                'Cisco-IOS-XE-icmp', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.CarrierDelay.Down' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.CarrierDelay.Down',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'down',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.CarrierDelay.Up' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.CarrierDelay.Up',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'up',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.CarrierDelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.CarrierDelay',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_CLASS, 'Down' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.CarrierDelay.Down', 
                [], [], 
                '''                Carrier Down Transitions
                ''',
                'down',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('up', REFERENCE_CLASS, 'Up' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.CarrierDelay.Up', 
                [], [], 
                '''                Carrier Up Transitions
                ''',
                'up',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'carrier-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.ChannelGroup.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'auto':'auto',
            'desirable':'desirable',
            'on':'on',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.ChannelGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.ChannelGroup',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                LACP auto
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('1', '4')], [], 
                '''                Assign a link identifier used for load-balancing
                ''',
                'link',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ChannelGroup.ModeEnum', 
                [], [], 
                '''                Etherchannel Mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('non-silent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start negotiation only after data packets received
                ''',
                'non_silent',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'channel-group',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame threshold in number of frames
                ''',
                'thresh',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold', 
                [], [], 
                '''                Errored frame threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '600')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('f-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame-period threshold in number of frames
                ''',
                'f_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame-period threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold', 
                [], [], 
                '''                Errored frame-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 10000 frames
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('e-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the high errored frame-seconds threshold in number of seconds
                ''',
                'e_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the low errored frame-seconds threshold in number of seconds
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('100', '9000')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-seconds',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action', 
                [], [], 
                '''                Specifiy an action when the high threshold is crossed
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('crc-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high received crc error threshold in number of frames
                ''',
                'crc_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low received crc error threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'receive-crc',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('err-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high error symbol-period threshold in number of symbols
                ''',
                'err_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low error symbol-period threshold in number of symbols
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold', 
                [], [], 
                '''                Error symbol-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 1048576 symbols
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'symbol-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor',
            False, 
            [
            _MetaInfoClassMember('frame', REFERENCE_CLASS, 'Frame' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame', 
                [], [], 
                '''                Errored frames in a period measured by time
                ''',
                'frame',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-period', REFERENCE_CLASS, 'FramePeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod', 
                [], [], 
                '''                Errored frames in a period measured by number of frames
                ''',
                'frame_period',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-seconds', REFERENCE_CLASS, 'FrameSeconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds', 
                [], [], 
                '''                Errored frame seconds in a period
                ''',
                'frame_seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('high-threshold', REFERENCE_CLASS, 'HighThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold', 
                [], [], 
                '''                Additional high threshold configuration
                ''',
                'high_threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable link monitoring on the interface
                ''',
                'on',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('receive-crc', REFERENCE_CLASS, 'ReceiveCrc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc', 
                [], [], 
                '''                Received frames with CRC errors in a period
                ''',
                'receive_crc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support link monitoring on the interface
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('symbol-period', REFERENCE_CLASS, 'SymbolPeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod', 
                [], [], 
                '''                Errored symbols in a period
                ''',
                'symbol_period',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'critical-event',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dying-gasp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-fault',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure',
            False, 
            [
            _MetaInfoClassMember('critical-event', REFERENCE_CLASS, 'CriticalEvent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent', 
                [], [], 
                '''                Critical event
                ''',
                'critical_event',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dying-gasp', REFERENCE_CLASS, 'DyingGasp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp', 
                [], [], 
                '''                Dying gasp
                ''',
                'dying_gasp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link-fault', REFERENCE_CLASS, 'LinkFault' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault', 
                [], [], 
                '''                Link fault
                ''',
                'link_fault',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-failure',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.RemoteLoopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam.RemoteLoopback',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support remote loopback functionality
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set timeout value in number of seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet.Oam.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Ethernet.Oam' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet.Oam',
            False, 
            [
            _MetaInfoClassMember('link-monitor', REFERENCE_CLASS, 'LinkMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor', 
                [], [], 
                '''                Ethernet OAM Link Monitor
                ''',
                'link_monitor',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'max_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('min-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'min_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-failure', REFERENCE_CLASS, 'RemoteFailure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure', 
                [], [], 
                '''                Ethernet OAM remote failure indication
                ''',
                'remote_failure',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-loopback', REFERENCE_CLASS, 'RemoteLoopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam.RemoteLoopback', 
                [], [], 
                '''                Ethernet OAM Remote Loopback
                ''',
                'remote_loopback',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('2', '30')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'oam',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ethernet',
            False, 
            [
            _MetaInfoClassMember('oam', REFERENCE_CLASS, 'Oam' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet.Oam', 
                [], [], 
                '''                To enable Ethernet Link OAM
                ''',
                'oam',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Negotiation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Negotiation',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable link autonegotiation
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'negotiation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Synchronous',
            False, 
            [
            _MetaInfoClassMember('mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mode
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Speed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Speed',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable AUTO speed configuration
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'nonegotiate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10 Mbps operation
                ''',
                'value_10',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-100', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                100 Mbps operation
                ''',
                'value_100',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-1000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                1000 Mbps operation
                ''',
                'value_1000',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10000 Mbps operation
                ''',
                'value_10000',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'speed',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Plim.Ethernet.Vlan.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Plim.Ethernet.Vlan.Filter',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the interface to accept all VLAN traffic
                ''',
                'disable',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Plim.Ethernet.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Plim.Ethernet.Vlan',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Plim.Ethernet.Vlan.Filter', 
                [], [], 
                '''                Configure VLAN filtering
                ''',
                'filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Plim.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Plim.Ethernet',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Plim.Ethernet.Vlan', 
                [], [], 
                '''                vlan specific features
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'zero',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'strict-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Plim.Qos.Input.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Plim.Qos.Input.Queue',
            False, 
            [
            _MetaInfoClassMember('strict-priority', REFERENCE_CLASS, 'StrictPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority', 
                [], [], 
                '''                High priority queue
                ''',
                'strict_priority',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('zero', REFERENCE_CLASS, 'Zero' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero', 
                [], [], 
                '''                Low priority queue
                ''',
                'zero',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Plim.Qos.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Plim.Qos.Input',
            False, 
            [
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Plim.Qos.Input.Queue', 
                [], [], 
                '''                Queue number
                ''',
                'queue',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Plim.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Plim.Qos',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Plim.Qos.Input', 
                [], [], 
                '''                Configure PLIM QoS at the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Plim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Plim',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Plim.Ethernet', 
                [], [], 
                '''                Configure features on the ethernet interface
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Plim.Qos', 
                [], [], 
                '''                QoS on the PLIM
                ''',
                'qos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'plim',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Pppoe.Enable.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Pppoe.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Pppoe.Enable',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                attach a BBA group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum', 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Pppoe' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Pppoe',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Pppoe.Enable', 
                [], [], 
                '''                Enable pppoe
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-sessions', ATTRIBUTE, 'int' , None, None, 
                [('1', '4085')], [], 
                '''                Maximum PPPOE sessions
                ''',
                'max_sessions',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pppoe',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' : _MetaInfoEnum('Dot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum', 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' : _MetaInfoEnum('SecondDot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum' : _MetaInfoEnum('VlanTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0x88A8':'Y_0x88A8',
            '0x9100':'Y_0x9100',
            '0x9200':'Y_0x9200',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('second-dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum', 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('vlan-type', REFERENCE_ENUM_CLASS, 'VlanTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum', 
                [], [], 
                '''                Vlan Protocol Type
                ''',
                'vlan_type',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged',
            False, 
            [
            _MetaInfoClassMember('cos-container', REFERENCE_CLASS, 'CosContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer', 
                [], [], 
                '''                ''',
                'cos_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'priority-tagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Untagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Encapsulation.Untagged',
            False, 
            [
            ],
            'Cisco-IOS-XE-ethernet',
            'untagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                catch-all unconfigured encapsulation
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-tagged', REFERENCE_CLASS, 'PriorityTagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged', 
                [], [], 
                '''                Priority tagged EFP
                ''',
                'priority_tagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', REFERENCE_CLASS, 'Untagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation.Untagged', 
                [], [], 
                '''                Untagged encapsulation
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Ip.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Ip.Acl',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP relay information option subscriber-id
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information
                ''',
                'information',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay
                ''',
                'relay',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source address
                ''',
                'source',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Ip',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Ip.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp', 
                [], [], 
                '''                DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Ip.Verify', 
                [], [], 
                '''                verify
                ''',
                'verify',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Ipv6',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('traffic-filter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pop',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Push' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Push',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Push dot1q tag
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'push',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate',
            False, 
            [
            _MetaInfoClassMember('t1-to-1', REFERENCE_CLASS, 'T1To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1', 
                [], [], 
                '''                Translate 1-to-1
                ''',
                't1_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t1-to-2', REFERENCE_CLASS, 'T1To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2', 
                [], [], 
                '''                Translate 1-to-2
                ''',
                't1_to_2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-1', REFERENCE_CLASS, 'T2To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1', 
                [], [], 
                '''                Translate 2-to-1
                ''',
                't2_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-2', REFERENCE_CLASS, 'T2To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2', 
                [], [], 
                '''                Translate 2-to-2
                ''',
                't2_to_2',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag',
            False, 
            [
            _MetaInfoClassMember('pop', REFERENCE_CLASS, 'Pop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop', 
                [], [], 
                '''                Pop the tag
                ''',
                'pop',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('push', REFERENCE_CLASS, 'Push' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Push', 
                [], [], 
                '''                Rewrite Operation of push
                ''',
                'push',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate', 
                [], [], 
                '''                Translate Tag
                ''',
                'translate',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress',
            False, 
            [
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag', 
                [], [], 
                '''                Configure Rewrite Tag
                ''',
                'tag',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ingress',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Rewrite' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Rewrite',
            False, 
            [
            _MetaInfoClassMember('ingress', REFERENCE_CLASS, 'Ingress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress', 
                [], [], 
                '''                Ingress Rewrite
                ''',
                'ingress',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'rewrite',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery.Cause',
            False, 
            [
            _MetaInfoClassMember('mac-security', ATTRIBUTE, 'int' , None, None, 
                [('30', '86400')], [], 
                '''                mac-security violation
                ''',
                'mac_security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery.Cause', 
                [], [], 
                '''                error disable cause
                ''',
                'cause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Errdisable',
            False, 
            [
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery', 
                [], [], 
                '''                enable auto recovery
                ''',
                'recovery',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange',
            False, 
            [
            _MetaInfoClassMember('comma', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                comma
                ''',
                'comma',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                hyphen
                ''',
                'hyphen',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For all VLANS [untagged,1-4094]
                ''',
                'any',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default EFP
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Untagged frames
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_CLASS, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map', 
                [], [], 
                '''                Configure ether lmi ce-vlan/evc map
                ''',
                'map',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ce-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi',
            False, 
            [
            _MetaInfoClassMember('ce-vlan', REFERENCE_CLASS, 'CeVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan', 
                [], [], 
                '''                Configure ether lmi customer vlans
                ''',
                'ce_vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'lmi',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the wire
                ''',
                'external',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the relay
                ''',
                'internal',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit', 
                [], [], 
                '''                Allow data plane loopback to be activated
                ''',
                'permit',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet',
            False, 
            [
            _MetaInfoClassMember('lmi', REFERENCE_CLASS, 'Lmi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi', 
                [], [], 
                '''                Configure ether lmi parameters
                ''',
                'lmi',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('loopback', REFERENCE_CLASS, 'Loopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback', 
                [], [], 
                '''                Ethernet Dataplane Loopback
                ''',
                'loopback',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.EthernetContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.EthernetContainer',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet', 
                [], [], 
                '''                ethernet
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence
                ''',
                'persist',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the service instance
                ''',
                'ifindex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.BridgeDomain.SplitHorizon' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.BridgeDomain.SplitHorizon',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '13')], [], 
                '''                Split-horizon group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'split-horizon',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.BridgeDomain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.BridgeDomain',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'bridge_id',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('from-encapsulation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from-encapsulation
                ''',
                'from_encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('split-horizon', REFERENCE_CLASS, 'SplitHorizon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.BridgeDomain.SplitHorizon', 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'bridge-domain',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Mac.Security.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Mac.Security.Maximum',
            False, 
            [
            _MetaInfoClassMember('addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum addresses that can be learnt on this service instance
                ''',
                'addresses',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Mac.Security.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.Mac.Security' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Mac.Security',
            False, 
            [
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Mac.Security.Maximum', 
                [], [], 
                '''                Configure an upper bound
                ''',
                'maximum',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Mac.Security.ViolationEnum', 
                [], [], 
                '''                Configure the response when a MAC security policy is violated
                ''',
                'violation',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Mac',
            False, 
            [
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Mac.Security', 
                [], [], 
                '''                MAC Security commands
                ''',
                'security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LIST, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Input', 
                [], [], 
                '''                service policy input
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('output', REFERENCE_LIST, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Output', 
                [], [], 
                '''                service policy output
                ''',
                'output',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Cfm.Mep' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Cfm.Mep',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure a domain for this mep
                ''',
                'domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mpid', ATTRIBUTE, 'int' , None, None, 
                [('1', '8191')], [], 
                '''                Maintenance End Point Identifier
                ''',
                'mpid',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mep',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Cfm.Mip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Cfm.Mip',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Cfm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Cfm',
            False, 
            [
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation', 
                [], [], 
                '''                Configure CFM ethernet frame encapsulation
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mep', REFERENCE_CLASS, 'Mep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Cfm.Mep', 
                [], [], 
                '''                Maintenance End Point
                ''',
                'mep',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mip', REFERENCE_CLASS, 'Mip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Cfm.Mip', 
                [], [], 
                '''                Maintenance Intermediate Point
                ''',
                'mip',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.L2Protocol.Peer',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Forward' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.L2Protocol.Forward',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'forward',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.L2Protocol.Tunnel',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.L2Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.L2Protocol',
            False, 
            [
            _MetaInfoClassMember('forward', REFERENCE_CLASS, 'Forward' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Forward', 
                [], [], 
                '''                forward L2 control protocol packets as data
                ''',
                'forward',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Peer', 
                [], [], 
                '''                peer L2 control protocol packets as data
                ''',
                'peer',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.L2Protocol.Tunnel', 
                [], [], 
                '''                tunnel L2 control protocol packets as data
                ''',
                'tunnel',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'l2protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Fastethernet.Service.Instance.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Fastethernet.Service.Instance.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service.Instance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service.Instance',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4000')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', True),
            _MetaInfoClassMember('bridge-domain', REFERENCE_CLASS, 'BridgeDomain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.BridgeDomain', 
                [], [], 
                '''                Bridge-domain
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cfm', REFERENCE_CLASS, 'Cfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Cfm', 
                [], [], 
                '''                Ethernet CFM EFP subcommands
                ''',
                'cfm',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Service instance specific description
                ''',
                'description',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Encapsulation', 
                [], [], 
                '''                Configure ethernet frame match criteria
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Errdisable', 
                [], [], 
                '''                Configure error disable
                ''',
                'errdisable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an Ethernet Instance
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-container', REFERENCE_CLASS, 'EthernetContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.EthernetContainer', 
                [], [], 
                '''                ''',
                'ethernet_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-evc-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ethernet_evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('evc-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                ''',
                'evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an GigabitEthernet Instance
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('l2protocol', REFERENCE_CLASS, 'L2Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.L2Protocol', 
                [], [], 
                '''                Configure l2 control protocol processing
                ''',
                'l2protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Mac', 
                [], [], 
                '''                Commands for MAC Address-based features
                ''',
                'mac',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('rewrite', REFERENCE_CLASS, 'Rewrite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Rewrite', 
                [], [], 
                '''                Configure ethernet rewrite criteria
                ''',
                'rewrite',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.ServicePolicy', 
                [], [], 
                '''                Attach a policy-map to an EFP
                ''',
                'service_policy',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Take the Service Instance out of Service
                ''',
                'shutdown',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Snmp', 
                [], [], 
                '''                Modify SNMP service instance parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trunk Service Instance
                ''',
                'trunk',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Service' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Service',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service.Instance', 
                [], [], 
                '''                Configure Ether Service Instance
                ''',
                'instance',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Fastethernet.Xconnect.SequenceEnum' : _MetaInfoEnum('SequenceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Fastethernet.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('sequence', REFERENCE_ENUM_CLASS, 'SequenceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Xconnect.SequenceEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequence',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cdp.Tlv.App' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cdp.Tlv.App',
            False, 
            [
            _MetaInfoClassMember('tlvtype', ATTRIBUTE, 'int' , None, None, 
                [('1001', '65535')], [], 
                '''                Configure APP TLV
                ''',
                'tlvtype',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure App TLV Value information
                ''',
                'value',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'app',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cdp.Tlv' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cdp.Tlv',
            False, 
            [
            _MetaInfoClassMember('app', REFERENCE_CLASS, 'App' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cdp.Tlv.App', 
                [], [], 
                '''                Enable/Configure Application TLV
                ''',
                'app',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exchange location information
                ''',
                'location',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('server-location', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable CDP location server on interface
                ''',
                'server_location',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cdp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cdp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable CDP on interface
                ''',
                'enable',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('tlv', REFERENCE_CLASS, 'Tlv' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cdp.Tlv', 
                [], [], 
                '''                Enable exchange of specific tlv information
                ''',
                'tlv',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'cdp',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Crypto.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Crypto.Map',
            False, 
            [
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                enable redundancy
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('stateful', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable stateful failover
                ''',
                'stateful',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Crypto.Ipsec.DfBitEnum' : _MetaInfoEnum('DfBitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Fastethernet.Crypto.Ipsec.FragmentationEnum' : _MetaInfoEnum('FragmentationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'after-encryption':'after_encryption',
            'before-encryption':'before_encryption',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Fastethernet.Crypto.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Crypto.Ipsec',
            False, 
            [
            _MetaInfoClassMember('df-bit', REFERENCE_ENUM_CLASS, 'DfBitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Crypto.Ipsec.DfBitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'df_bit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_ENUM_CLASS, 'FragmentationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Crypto.Ipsec.FragmentationEnum', 
                [], [], 
                '''                Handling of fragmentation of near-MTU sized packets
                ''',
                'fragmentation',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Crypto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Crypto',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Crypto.Ipsec', 
                [], [], 
                '''                Set IPSec parameters
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Crypto.Map', 
                [], [], 
                '''                Assign a Crypto Map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crypto',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts.Manual.Policy.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts.Manual.Policy.Static',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('2', '65519')], [], 
                '''                Source Security Group Tag to apply to untagged or non-trusted incoming traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Source Group Tags (SGT) that the peer uses for sending
                ''',
                'trusted',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts.Manual.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts.Manual.Policy',
            False, 
            [
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts.Manual.Policy.Static', 
                [], [], 
                '''                Configure policy to be applied on the link
                ''',
                'static',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac',
            False, 
            [
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encapsulation present, no authentication, 
                     no encryption
                ''',
                'null',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gcm-encrypt',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'no-encap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', REFERENCE_CLASS, 'GcmEncrypt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt', 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('no-encap', REFERENCE_CLASS, 'NoEncap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap', 
                [], [], 
                '''                No encapsulation
                ''',
                'no_encap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'mode-list',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('mode-list', REFERENCE_CLASS, 'ModeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList', 
                [], [], 
                '''                List of advertised modes (prioritized from highest to lowest)
                ''',
                'mode_list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'pmk',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts.Manual.Sap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts.Manual.Sap',
            False, 
            [
            _MetaInfoClassMember('pmk', REFERENCE_LIST, 'Pmk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk', 
                [], [], 
                '''                Pre-Master Key (PMK) to use for CTS SAP
                ''',
                'pmk',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts.Manual.Propagate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts.Manual.Propagate',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CTS SGT Propagation configuration
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'propagate',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts.Manual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts.Manual',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts.Manual.Policy', 
                [], [], 
                '''                CTS policy for manual mode
                ''',
                'policy',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('propagate', REFERENCE_CLASS, 'Propagate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts.Manual.Propagate', 
                [], [], 
                '''                CTS SGT Propagation configuration for manual mode
                ''',
                'propagate',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sap', REFERENCE_CLASS, 'Sap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts.Manual.Sap', 
                [], [], 
                '''                CTS SAP configuration for manual mode
                ''',
                'sap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'manual',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Cts',
            False, 
            [
            _MetaInfoClassMember('manual', REFERENCE_CLASS, 'Manual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts.Manual', 
                [], [], 
                '''                Supply local configuration for CTS parameters
                ''',
                'manual',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Dot1X.Authenticator.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Dot1X.Authenticator.Eap',
            False, 
            [
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EAP authenticator profile configuration
                ''',
                'profile',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Dot1X.Authenticator' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Dot1X.Authenticator',
            False, 
            [
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Dot1X.Authenticator.Eap', 
                [], [], 
                '''                Configure EAP authenticator parameters
                ''',
                'eap',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'authenticator',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Dot1X.Supplicant.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Dot1X.Supplicant.Eap',
            False, 
            [
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EAP supplicant profile configuration
                ''',
                'profile',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Dot1X.Supplicant' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Dot1X.Supplicant',
            False, 
            [
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Dot1X.Supplicant.Eap', 
                [], [], 
                '''                Configure EAP supplicant parameters
                ''',
                'eap',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'supplicant',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Dot1X.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Dot1X.Timeout',
            False, 
            [
            _MetaInfoClassMember('auth-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for authenticator reply
                ''',
                'auth_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('held-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for authentication retries
                ''',
                'held_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('quiet-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                QuietPeriod in Seconds
                ''',
                'quiet_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('ratelimit-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Ratelimit Period in seconds
                ''',
                'ratelimit_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('server-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for Radius Retries
                ''',
                'server_timeout',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('start-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for EAPOL-start retries
                ''',
                'start_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('supp-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for supplicant reply
                ''',
                'supp_timeout',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('tx-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for supplicant retries
                ''',
                'tx_period',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Dot1X.PaeEnum' : _MetaInfoEnum('PaeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'authenticator':'authenticator',
            'supplicant':'supplicant',
            'both':'both',
        }, 'Cisco-IOS-XE-dot1x', _yang_ns._namespaces['Cisco-IOS-XE-dot1x']),
    'Native.Interface.Fastethernet.Dot1X' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Dot1X',
            False, 
            [
            _MetaInfoClassMember('authenticator', REFERENCE_CLASS, 'Authenticator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Dot1X.Authenticator', 
                [], [], 
                '''                Configure authenticator parameters
                ''',
                'authenticator',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('credentials', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Credentials profile configuration
                ''',
                'credentials',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-reauth-req', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of Reauthentication Attempts
                ''',
                'max_reauth_req',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-req', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of Retries
                ''',
                'max_req',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-start', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of EAPOL-Start requests
                ''',
                'max_start',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('pae', REFERENCE_ENUM_CLASS, 'PaeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Dot1X.PaeEnum', 
                [], [], 
                '''                Set 802.1x interface pae type
                ''',
                'pae',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('supplicant', REFERENCE_CLASS, 'Supplicant' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Dot1X.Supplicant', 
                [], [], 
                '''                Configure supplicant parameters
                ''',
                'supplicant',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Dot1X.Timeout', 
                [], [], 
                '''                Various Timeouts
                ''',
                'timeout',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'dot1x',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Performance.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Performance.Monitor',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Select ezPM context
                ''',
                'context',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Performance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Performance',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Performance.Monitor', 
                [], [], 
                '''                monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'performance',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.Fastethernet.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Clear Enable/Disable ifIndex persistence
                ''',
                'clear',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence 
                ''',
                'persist',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit',
            False, 
            [
            _MetaInfoClassMember('duplicates', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Permit duplicate SNMP LINKUP and LINKDOWN traps
                ''',
                'duplicates',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit', 
                [], [], 
                '''                Permit the following capability
                ''',
                'permit',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas',
            False, 
            [
            _MetaInfoClassMember('link-status', REFERENCE_CLASS, 'LinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus', 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status-capas',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('link-status-capas', REFERENCE_CLASS, 'LinkStatusCapas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas', 
                [], [], 
                '''                ''',
                'link_status_capas',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the interface
                ''',
                'ifindex',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Lisp.Mobility.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Lisp.Mobility.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('dynamic-eid-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dynamic_eid_name',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nbr-proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Neighbor proxy reply behavior for dynamic EID group
                ''',
                'nbr_proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '5')], [], 
                '''                Send neighbor proxy reply after reaching request threshold
                ''',
                'requests',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Lisp.Mobility.Discover' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Lisp.Mobility.Discover',
            False, 
            [
            _MetaInfoClassMember('arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic EID discover through ARP events on this interface
                ''',
                'arp',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'discover',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Lisp.Mobility.Liveness' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Lisp.Mobility.Liveness',
            False, 
            [
            _MetaInfoClassMember('test', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform liveness test on dynamic-EID discovered on this interface
                ''',
                'test',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('2', '255')], [], 
                '''                Configures the TTL in the liveness test packet
                ''',
                'ttl',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'liveness',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Lisp.Mobility' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Lisp.Mobility',
            False, 
            [
            _MetaInfoClassMember('discover', REFERENCE_CLASS, 'Discover' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Lisp.Mobility.Discover', 
                [], [], 
                '''                Configure mobility dynamic EID discover settings
                ''',
                'discover',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_CLASS, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Lisp.Mobility.DynamicEid', 
                [], [], 
                '''                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('liveness', REFERENCE_CLASS, 'Liveness' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Lisp.Mobility.Liveness', 
                [], [], 
                '''                Configure mobility liveness settings
                ''',
                'liveness',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mobility',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Lisp',
            False, 
            [
            _MetaInfoClassMember('extended-subnet-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures to enable extended subnet mode on the interface
                ''',
                'extended_subnet_mode',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mobility', REFERENCE_CLASS, 'Mobility' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Lisp.Mobility', 
                [], [], 
                '''                Configures to allow EID mobility on interface
                ''',
                'mobility',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mka.PreSharedKey.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mka.PreSharedKey.KeyChain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of key-chain to be used to get keys
                ''',
                'name',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-mka',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-mka'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mka.PreSharedKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mka.PreSharedKey',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mka.PreSharedKey.KeyChain', 
                [], [], 
                '''                Configure the key-chain name
                ''',
                'key_chain',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-mka',
            'pre-shared-key',
            _yang_ns._namespaces['Cisco-IOS-XE-mka'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mka' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mka',
            False, 
            [
            _MetaInfoClassMember('pre-shared-key', REFERENCE_CLASS, 'PreSharedKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mka.PreSharedKey', 
                [], [], 
                '''                Configure MKA Pre-Shared-Key
                ''',
                'pre_shared_key',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-mka',
            'mka',
            _yang_ns._namespaces['Cisco-IOS-XE-mka'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('64', '95')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '31')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4', 
                [], [], 
                '''                Specify parameters for IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6', 
                [], [], 
                '''                Specify parameters for IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Fastethernet.Ospfv3.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Fastethernet.Ospfv3.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Power.Inline.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Power.Inline.Auto',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('4000', '30000')], [], 
                '''                Maximum power allowed on this interface
                ''',
                'max',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Power.Inline.FourPair' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Power.Inline.FourPair',
            False, 
            [
            _MetaInfoClassMember('forced', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Four-pair PoE without L2 negotiation
                ''',
                'forced',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'four-pair',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Power.Inline.Police.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Power.Inline.Police.Action',
            False, 
            [
            _MetaInfoClassMember('errdisable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the port when power is overdrawn on the port
                ''',
                'errdisable',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log a message when power is overdrawn on the port
                ''',
                'log',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Power.Inline.Police' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Power.Inline.Police',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Power.Inline.Police.Action', 
                [], [], 
                '''                Action to be taken when power is overdrawn on the port
                ''',
                'action',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Power.Inline.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Power.Inline.Port',
            False, 
            [
            _MetaInfoClassMember('poe-ha', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply poe-ha to the port
                ''',
                'poe_ha',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('two-event', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable 2-event classification
                ''',
                'two_event',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Power.Inline.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Power.Inline.Static',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('4000', '30000')], [], 
                '''                Maximum power allowed on this interface
                ''',
                'max',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Power.Inline' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Power.Inline',
            False, 
            [
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Power.Inline.Auto', 
                [], [], 
                '''                Automatically detect and power inline devices
                ''',
                'auto',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('consumption', ATTRIBUTE, 'int' , None, None, 
                [('4000', '15400')], [], 
                '''                ''',
                'consumption',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('four-pair', REFERENCE_CLASS, 'FourPair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Power.Inline.FourPair', 
                [], [], 
                '''                Four-pair PoE power
                ''',
                'four_pair',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('never', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'never',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Power.Inline.Police', 
                [], [], 
                '''                Police the power drawn on the port
                ''',
                'police',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Power.Inline.Port', 
                [], [], 
                '''                Configure Port Power Level
                ''',
                'port',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Power.Inline.Static', 
                [], [], 
                '''                High priority inline power interface
                ''',
                'static',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'inline',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Power' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Power',
            False, 
            [
            _MetaInfoClassMember('inline', REFERENCE_CLASS, 'Inline' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Power.Inline', 
                [], [], 
                '''                ''',
                'inline',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'power',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.Server.Alive.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.Server.Alive.Action',
            False, 
            [
            _MetaInfoClassMember('reinitialize', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'reinitialize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.Server.Alive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.Server.Alive',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.Server.Alive.Action', 
                [], [], 
                '''                Required action for authentication event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'alive',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configure Critical Authorization VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('voice', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authorize the port for VOICE traffic
                ''',
                'voice',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Reinitialize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Reinitialize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configure Critical Authorization VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'reinitialize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Authorize', 
                [], [], 
                '''                Authorize the port
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('reinitialize', REFERENCE_CLASS, 'Reinitialize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Reinitialize', 
                [], [], 
                '''                Reinitialize all client on the port
                ''',
                'reinitialize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.Server.Dead' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.Server.Dead',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action', 
                [], [], 
                '''                Required action for authentication event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'dead',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.Server',
            False, 
            [
            _MetaInfoClassMember('alive', REFERENCE_CLASS, 'Alive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.Server.Alive', 
                [], [], 
                '''                Configure AAA server alive action
                ''',
                'alive',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('dead', REFERENCE_CLASS, 'Dead' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.Server.Dead', 
                [], [], 
                '''                Configure AAA server dead action
                ''',
                'dead',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.Fail.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.Fail.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.Fail.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.Fail.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.Fail.Action.Authorize', 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.Fail' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.Fail',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.Fail.Action', 
                [], [], 
                '''                Required action for fail event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'fail',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action.Authorize', 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event.NoResponse' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event.NoResponse',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action', 
                [], [], 
                '''                Required action for no-response event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'no-response',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Event',
            False, 
            [
            _MetaInfoClassMember('fail', REFERENCE_CLASS, 'Fail' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.Fail', 
                [], [], 
                '''                Configure actions for AAA fail events
                ''',
                'fail',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('no-response', REFERENCE_CLASS, 'NoResponse' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.NoResponse', 
                [], [], 
                '''                Configure actions for AAA no-response events
                ''',
                'no_response',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event.Server', 
                [], [], 
                '''                Configure actions for AAA server events
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Order' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Order',
            False, 
            [
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method dot1x allowed
                ''',
                'dot1x',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mab', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method mab allowed
                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('webauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method webauth allowed
                ''',
                'webauth',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'order',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Priority',
            False, 
            [
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method dot1x allowed
                ''',
                'dot1x',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mab', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method mab allowed
                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('webauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method webauth allowed
                ''',
                'webauth',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Timer.Reauthenticate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Timer.Reauthenticate',
            False, 
            [
            _MetaInfoClassMember('server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Obtain re-authentication timeout value from the server
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'reauthenticate',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Value' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Value',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Initiate a dynamic probe on inactivity timeout
                ''',
                'dynamic',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'value',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Server',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Initiate a dynamic probe on inactivity timeout
                ''',
                'dynamic',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Timer.Inactivity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Timer.Inactivity',
            False, 
            [
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Server', 
                [], [], 
                '''                Obtain inactivity timeout value from the server
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', REFERENCE_CLASS, 'Value' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Value', 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'inactivity',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.Timer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication.Timer',
            False, 
            [
            _MetaInfoClassMember('inactivity', REFERENCE_CLASS, 'Inactivity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Timer.Inactivity', 
                [], [], 
                '''                Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                ''',
                'inactivity',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('reauthenticate', REFERENCE_CLASS, 'Reauthenticate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Timer.Reauthenticate', 
                [], [], 
                '''                Time in seconds after which an automatic re-authenticationshould be initiated (default 1 hour)
                ''',
                'reauthenticate',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                ''',
                'restart',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Authentication.ControlDirectionEnum' : _MetaInfoEnum('ControlDirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'in':'in_',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Fastethernet.Authentication.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Fastethernet.Authentication.PortControlEnum' : _MetaInfoEnum('PortControlEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'force-authorized':'force_authorized',
            'force-unauthorized':'force_unauthorized',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Fastethernet.Authentication.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'replace':'replace',
            'restrict':'restrict',
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Fastethernet.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Authentication',
            False, 
            [
            _MetaInfoClassMember('control-direction', REFERENCE_ENUM_CLASS, 'ControlDirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.ControlDirectionEnum', 
                [], [], 
                '''                Set the control-direction on the interface
                ''',
                'control_direction',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Event', 
                [], [], 
                '''                Set action for authentication events
                ''',
                'event',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('fallback', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable the Webauth fallback mechanism
                ''',
                'fallback',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('open', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable or Disable open access on this port
                ''',
                'open',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('order', REFERENCE_CLASS, 'Order' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Order', 
                [], [], 
                '''                Add an authentication method to the order list
                ''',
                'order',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('periodic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable or Disable Reauthentication for this port
                ''',
                'periodic',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('port-control', REFERENCE_ENUM_CLASS, 'PortControlEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.PortControlEnum', 
                [], [], 
                '''                set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Priority', 
                [], [], 
                '''                Add an authentication method to the priority list
                ''',
                'priority',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.Timer', 
                [], [], 
                '''                Set authentication timer values
                ''',
                'timer',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication.ViolationEnum', 
                [], [], 
                '''                Configure action to take on security violations
                ''',
                'violation',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mab' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mab',
            False, 
            [
            _MetaInfoClassMember('eap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'eap',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'mab',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BPDU guard for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast on the interface even in trunk mode
                ''',
                'trunk',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.SpanningTree.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.SpanningTree.Vlan',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                <1-200000000> Spanning-tree cost
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                <0-240> port priority in increments of 16
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('vlan-ids', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                vlan range, example: 1,3-5,7,9-11
                ''',
                'vlan_ids',
                'Cisco-IOS-XE-spanning-tree', False, [
                    _MetaInfoClassMember('vlan-ids', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4095')], [], 
                        '''                        vlan range, example: 1,3-5,7,9-11
                        ''',
                        'vlan_ids',
                        'Cisco-IOS-XE-spanning-tree', False),
                    _MetaInfoClassMember('vlan-ids', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        vlan range, example: 1,3-5,7,9-11
                        ''',
                        'vlan_ids',
                        'Cisco-IOS-XE-spanning-tree', False),
                ]),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.SpanningTree.Loopguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.SpanningTree.Loopguard',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable loopguard by default on all ports
                ''',
                'default',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'loopguard',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.SpanningTree.Mst' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.SpanningTree.Mst',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                <1-200000000> Spanning-tree cost
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MST instance list, example 0,2-4,6,8-12
                ''',
                'instance',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                <0-240> port priority in increments of 16
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('pre-standard', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force pre-standard MST BPDU transmission on port
                ''',
                'pre_standard',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'mst',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.SpanningTree.BpdufilterEnum' : _MetaInfoEnum('BpdufilterEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'disable':'disable',
            'enable':'enable',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.Fastethernet.SpanningTree.GuardEnum' : _MetaInfoEnum('GuardEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'loop':'loop',
            'none':'none',
            'root':'root',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.Fastethernet.SpanningTree.LinkTypeEnum' : _MetaInfoEnum('LinkTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'none':'none',
            'point-to-point':'point_to_point',
            'root':'root',
            'shared':'shared',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.Fastethernet.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpdufilter', REFERENCE_ENUM_CLASS, 'BpdufilterEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SpanningTree.BpdufilterEnum', 
                [], [], 
                '''                Don't send or receive BPDUs on this interface
                ''',
                'bpdufilter',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                To set the path cost of the interface
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('guard', REFERENCE_ENUM_CLASS, 'GuardEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SpanningTree.GuardEnum', 
                [], [], 
                '''                Change an interface's spanning tree guard mode
                ''',
                'guard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'LinkTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SpanningTree.LinkTypeEnum', 
                [], [], 
                '''                Specify a link type for spanning tree tree protocol use
                ''',
                'link_type',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('loopguard', REFERENCE_CLASS, 'Loopguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SpanningTree.Loopguard', 
                [], [], 
                '''                Spanning tree loopguard options
                ''',
                'loopguard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('mst', REFERENCE_CLASS, 'Mst' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SpanningTree.Mst', 
                [], [], 
                '''                Per interface MST configurations
                ''',
                'mst',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                Spanning tree port-priority options
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SpanningTree.Portfast', 
                [], [], 
                '''                Spanning tree portfast options
                ''',
                'portfast',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SpanningTree.Vlan', 
                [], [], 
                '''                VLAN Switch Spanning Tree
                ''',
                'vlan',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Auto.Qos.Classify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Auto.Qos.Classify',
            False, 
            [
            _MetaInfoClassMember('police', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure QoS policing for untrusted devices
                ''',
                'police',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'classify',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Auto.Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Auto.Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the CoS marking
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP marking
                ''',
                'dscp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Auto.Qos.Video' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Auto.Qos.Video',
            False, 
            [
            _MetaInfoClassMember('cts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Cisco Telepresence System
                ''',
                'cts',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ip-camera', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Ip Video Surveillance camera
                ''',
                'ip_camera',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('media-player', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Qos marking of the Cisco Media Player
                ''',
                'media_player',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'video',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Auto.Qos.Voip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Auto.Qos.Voip',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP Phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('cisco-softphone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP SoftPhone
                ''',
                'cisco_softphone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Auto.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Auto.Qos',
            False, 
            [
            _MetaInfoClassMember('classify', REFERENCE_CLASS, 'Classify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Auto.Qos.Classify', 
                [], [], 
                '''                Configure classification for untrusted devices
                ''',
                'classify',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Auto.Qos.Trust', 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('video', REFERENCE_CLASS, 'Video' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Auto.Qos.Video', 
                [], [], 
                '''                Configure AutoQoS for video devices
                ''',
                'video',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voip', REFERENCE_CLASS, 'Voip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Auto.Qos.Voip', 
                [], [], 
                '''                Configure AutoQoS for VoIP
                ''',
                'voip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Auto',
            False, 
            [
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Auto.Qos', 
                [], [], 
                '''                Configure AutoQoS
                ''',
                'qos',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Datalink.Flow.Monitor.InputOutputEnum' : _MetaInfoEnum('InputOutputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fastethernet.Datalink.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Datalink.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('input-output', REFERENCE_ENUM_CLASS, 'InputOutputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Datalink.Flow.Monitor.InputOutputEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'input_output',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('User-defined-flow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'user_defined_flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Datalink.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Datalink.Flow',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Datalink.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Datalink' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Datalink',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Datalink.Flow', 
                [], [], 
                '''                Interface Flow configuration subcommands
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'datalink',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Energywise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Energywise',
            False, 
            [
            _MetaInfoClassMember('activitycheck', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply an activity check before turning off power 
                  to this PoE port
                ''',
                'activitycheck',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'energywise',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Location.CivicLocationId.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Location.CivicLocationId.Host',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Location.CivicLocationId.None_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Location.CivicLocationId.None_',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'none',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Location.CivicLocationId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Location.CivicLocationId',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Location.CivicLocationId.Host', 
                [], [], 
                '''                Globally defined host location identifer
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('location-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                civic location identifier string
                ''',
                'location_identifier',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('none', REFERENCE_CLASS, 'None_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Location.CivicLocationId.None_', 
                [], [], 
                '''                No globally defined location identifer
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'civic-location-id',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Location' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Location',
            False, 
            [
            _MetaInfoClassMember('civic-location-id', REFERENCE_CLASS, 'CivicLocationId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Location.CivicLocationId', 
                [], [], 
                '''                Civic location information
                ''',
                'civic_location_id',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'location',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mac.AccessGroup.AclName.ApplyToEnum' : _MetaInfoEnum('ApplyToEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fastethernet.Mac.AccessGroup.AclName' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mac.AccessGroup.AclName',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('apply-to', REFERENCE_ENUM_CLASS, 'ApplyToEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mac.AccessGroup.AclName.ApplyToEnum', 
                [], [], 
                '''                ''',
                'apply_to',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ACL-name',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mac.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mac.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('ACL-name', REFERENCE_CLASS, 'AclName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mac.AccessGroup.AclName', 
                [], [], 
                '''                ACL name
                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Mac',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mac.AccessGroup', 
                [], [], 
                '''                MAC access-group configuration commands
                ''',
                'access_group',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Macro.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Macro.Auto',
            False, 
            [
            _MetaInfoClassMember('processing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable smartport macro auto execution on this interface
                ''',
                'processing',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Macro' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Macro',
            False, 
            [
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Macro.Auto', 
                [], [], 
                '''                Smartport interface macro configurations
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Macro description for this interface
                ''',
                'description',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macro',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.DualActive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.DualActive',
            False, 
            [
            _MetaInfoClassMember('fast-hello', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'fast_hello',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dual-active',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Lldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Lldp',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP reception on interface
                ''',
                'receive',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP transmission on interface
                ''',
                'transmit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'lldp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.LoadBalancing' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.LoadBalancing',
            False, 
            [
            _MetaInfoClassMember('flow', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the traffic flows identified by the packet headers
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the VLAN to member links manual configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'load-balancing',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.VlanRange.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.VlanRange.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.VlanRange',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-switch', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4096')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                ]),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.VlanRange.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switch.Virtual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switch.Virtual',
            False, 
            [
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'virtual',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Switch',
            False, 
            [
            _MetaInfoClassMember('virtual', REFERENCE_CLASS, 'Virtual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switch.Virtual', 
                [], [], 
                '''                ''',
                'virtual',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.SrrQueue.Bandwidth.Shape' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.SrrQueue.Bandwidth.Shape',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.SrrQueue.Bandwidth.Share' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.SrrQueue.Bandwidth.Share',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'share',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.SrrQueue.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.SrrQueue.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SrrQueue.Bandwidth.Shape', 
                [], [], 
                '''                ''',
                'shape',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('share', REFERENCE_CLASS, 'Share' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SrrQueue.Bandwidth.Share', 
                [], [], 
                '''                ''',
                'share',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.SrrQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.SrrQueue',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SrrQueue.Bandwidth', 
                [], [], 
                '''                ''',
                'bandwidth',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'srr-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Macsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Macsec',
            False, 
            [
            _MetaInfoClassMember('network-link', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable macsec on switch connected interface
                ''',
                'network_link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macsec',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.DeviceTracking' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.DeviceTracking',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature device-tracking
                ''',
                'attach_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'device-tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Udld.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Udld.Port',
            False, 
            [
            _MetaInfoClassMember('aggressive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                ''',
                'aggressive',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable UDLD protocol on this interface despite global UDLD setting
                ''',
                'disable',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.Udld' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.Udld',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Udld.Port', 
                [], [], 
                '''                Enable UDLD protocol on this interface despite global UDLD setting
                ''',
                'port',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'udld',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.ZoneMember' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet.ZoneMember',
            False, 
            [
            _MetaInfoClassMember('security', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Security zone
                ''',
                'security',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-zone',
            'zone-member',
            _yang_ns._namespaces['Cisco-IOS-XE-zone'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fastethernet.ChannelProtocolEnum' : _MetaInfoEnum('ChannelProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lacp':'lacp',
            'pagp':'pagp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.DuplexEnum' : _MetaInfoEnum('DuplexEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'full':'full',
            'half':'half',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fastethernet.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fastethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fastethernet',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/)([0-1]/)([1-3][0-9]|4[0-8]|[0-9])'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Authentication', 
                [], [], 
                '''                Auth Manager Interface Configuration Commands
                ''',
                'authentication',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Auto', 
                [], [], 
                '''                Configure Automation
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('carrier-delay', REFERENCE_CLASS, 'CarrierDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.CarrierDelay', 
                [], [], 
                '''                Specify delay for interface transitions
                ''',
                'carrier_delay',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cdp', REFERENCE_CLASS, 'Cdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cdp', 
                [], [], 
                '''                CDP interface subcommands
                ''',
                'cdp',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('channel-group', REFERENCE_CLASS, 'ChannelGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ChannelGroup', 
                [], [], 
                '''                Add this interface to an Etherchannel group
                ''',
                'channel_group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('channel-protocol', REFERENCE_ENUM_CLASS, 'ChannelProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ChannelProtocolEnum', 
                [], [], 
                '''                Select the channel protocol (LACP, PAgP)
                ''',
                'channel_protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('crypto', REFERENCE_CLASS, 'Crypto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Crypto', 
                [], [], 
                '''                Encryption/Decryption commands
                ''',
                'crypto',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Cts', 
                [], [], 
                '''                Configure Cisco Trusted Security
                ''',
                'cts',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('datalink', REFERENCE_CLASS, 'Datalink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Datalink', 
                [], [], 
                '''                Interface Datalink commands
                ''',
                'datalink',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('device-tracking', REFERENCE_CLASS, 'DeviceTracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.DeviceTracking', 
                [], [], 
                '''                Configure device-tracking on the interface
                ''',
                'device_tracking',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dot1x', REFERENCE_CLASS, 'Dot1X' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Dot1X', 
                [], [], 
                '''                Interface Config Commands for IEEE 802.1X
                ''',
                'dot1x',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('dual-active', REFERENCE_CLASS, 'DualActive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.DualActive', 
                [], [], 
                '''                ''',
                'dual_active',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'DuplexEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.DuplexEnum', 
                [], [], 
                '''                Configure duplex operation.
                ''',
                'duplex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('energywise', REFERENCE_CLASS, 'Energywise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Energywise', 
                [], [], 
                '''                EnergyWise interface configurations
                ''',
                'energywise',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ethernet', 
                [], [], 
                '''                Ethernet interface parameters
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('lldp', REFERENCE_CLASS, 'Lldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Lldp', 
                [], [], 
                '''                LLDP interface subcommands
                ''',
                'lldp',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-balancing', REFERENCE_CLASS, 'LoadBalancing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.LoadBalancing', 
                [], [], 
                '''                Etherchannel Load-Balancing
                ''',
                'load_balancing',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('location', REFERENCE_CLASS, 'Location' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Location', 
                [], [], 
                '''                Interface location information
                ''',
                'location',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mab', REFERENCE_CLASS, 'Mab' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mab', 
                [], [], 
                '''                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mac', 
                [], [], 
                '''                MAC interface commands
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macro', REFERENCE_CLASS, 'Macro' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Macro', 
                [], [], 
                '''                Command macro
                ''',
                'macro',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macsec', REFERENCE_CLASS, 'Macsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Macsec', 
                [], [], 
                '''                Enable macsec on the interface
                ''',
                'macsec',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mka', REFERENCE_CLASS, 'Mka' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mka', 
                [], [], 
                '''                MACsec Key Agreement (MKA) interface configuration
                ''',
                'mka',
                'Cisco-IOS-XE-mka', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiation', REFERENCE_CLASS, 'Negotiation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Negotiation', 
                [], [], 
                '''                Select autonegotiation mode
                ''',
                'negotiation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Ospfv3', 
                [], [], 
                '''                OSPFv3 interface commands
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('performance', REFERENCE_CLASS, 'Performance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Performance', 
                [], [], 
                '''                Global performance monitor configuration
                ''',
                'performance',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('plim', REFERENCE_CLASS, 'Plim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Plim', 
                [], [], 
                '''                Configure features on the PLIM
                ''',
                'plim',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power', REFERENCE_CLASS, 'Power' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Power', 
                [], [], 
                '''                ''',
                'power',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('pppoe', REFERENCE_CLASS, 'Pppoe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Pppoe', 
                [], [], 
                '''                pppoe interface subcommands
                ''',
                'pppoe',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Service', 
                [], [], 
                '''                Configure Ether Service
                ''',
                'service',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Snmp', 
                [], [], 
                '''                Modify SNMP interface parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('speed', REFERENCE_CLASS, 'Speed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Speed', 
                [], [], 
                '''                Configure speed operation
                ''',
                'speed',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('srr-queue', REFERENCE_CLASS, 'SrrQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SrrQueue', 
                [], [], 
                '''                ''',
                'srr_queue',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switch', 
                [], [], 
                '''                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Synchronous', 
                [], [], 
                '''                Synchronous
                ''',
                'synchronous',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('udld', REFERENCE_CLASS, 'Udld' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Udld', 
                [], [], 
                '''                Configure UDLD enabled or disabled and ignore global UDLD setting
                ''',
                'udld',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_LIST, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('zone-member', REFERENCE_CLASS, 'ZoneMember' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet.ZoneMember', 
                [], [], 
                '''                Apply zone name
                ''',
                'zone_member',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-native',
            'FastEthernet',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Access.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Gigabitethernet.Switchport.Access.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Access.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Access.Vlan', 
                [], [], 
                '''                Set VLAN when interface is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown multicast addresses
                ''',
                'multicast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Mode.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Mode.Access',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Mode.Dot1QTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Mode.Dot1QTunnel',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'dot1q-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Mode.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Mode.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('promiscuous', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan promiscuous
                ''',
                'promiscuous',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Mode.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Mode.Trunk',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Mode.DynamicEnum' : _MetaInfoEnum('DynamicEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'desirable':'desirable',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Gigabitethernet.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Mode.Access', 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dot1q-tunnel', REFERENCE_CLASS, 'Dot1QTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Mode.Dot1QTunnel', 
                [], [], 
                '''                set trunking mode to TUNNEL unconditionally
                ''',
                'dot1q_tunnel',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dynamic', REFERENCE_ENUM_CLASS, 'DynamicEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Mode.DynamicEnum', 
                [], [], 
                '''                Set trunking mode to dynamically negotiate access or trunk mode
                ''',
                'dynamic',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Mode.PrivateVlan', 
                [], [], 
                '''                Set private-vlan mode
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Mode.Trunk', 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.PortSecurity.Aging.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'absolute':'absolute',
            'inactivity':'inactivity',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Gigabitethernet.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PortSecurity.Aging.TypeEnum', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.PortSecurity.MacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.PortSecurity.MacAddress',
            False, 
            [
            _MetaInfoClassMember('hw-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                ''',
                'hw_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sticky', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic secure addresses as sticky
                ''',
                'sticky',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                set VLAN ID of the VLAN on which this address can be learned
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('max-addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '4097')], [], 
                '''                ''',
                'max_addresses',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.PortSecurity.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Gigabitethernet.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address', REFERENCE_CLASS, 'MacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PortSecurity.MacAddress', 
                [], [], 
                '''                Secure mac address
                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PortSecurity.ViolationEnum', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                all VLANs
                ''',
                'all',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed.Vlan', 
                [], [], 
                '''                Set allowed VLANs when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'allowed',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Trunk.Native_.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'tag':'tag',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Gigabitethernet.Switchport.Trunk.Native_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Trunk.Native_',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set native VLAN when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum', 
                        [], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'native',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning.Vlan', 
                [], [], 
                '''                Set VLANs enabled for pruning when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pruning',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Trunk.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1q':'dot1q',
            'isl':'isl',
            'negotiate':'negotiate',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Gigabitethernet.Switchport.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Trunk',
            False, 
            [
            _MetaInfoClassMember('allowed', REFERENCE_CLASS, 'Allowed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed', 
                [], [], 
                '''                Set allowed VLAN characteristics when interface is in trunking mode
                ''',
                'allowed',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Trunk.EncapsulationEnum', 
                [], [], 
                '''                Set encapsulation format on trunk port
                ''',
                'encapsulation',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('native', REFERENCE_CLASS, 'Native_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Trunk.Native_', 
                [], [], 
                '''                Set trunking native characteristics when interface is in trunking mode
                ''',
                'native',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pruning', REFERENCE_CLASS, 'Pruning' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning', 
                [], [], 
                '''                Set pruning VLAN characteristics when interface is in trunking mode
                ''',
                'pruning',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Voice.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1p':'dot1p',
            'none':'none',
            'untagged':'untagged',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Gigabitethernet.Switchport.Voice.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Voice.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Voice.Detect.CiscoPhone' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Voice.Detect.CiscoPhone',
            False, 
            [
            _MetaInfoClassMember('full-duplex', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                full duplex keyword
                ''',
                'full_duplex',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'cisco-phone',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Voice.Detect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Voice.Detect',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', REFERENCE_CLASS, 'CiscoPhone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Voice.Detect.CiscoPhone', 
                [], [], 
                '''                Cisco IP phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'detect',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('detect', REFERENCE_CLASS, 'Detect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Voice.Detect', 
                [], [], 
                '''                detection enhancement keyword
                ''',
                'detect',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Voice.Vlan', 
                [], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Priority.Extend' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Priority.Extend',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Override 802.1p priority of devices on appliance
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust 802.1p priorities of devices on appliance
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'extend',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Priority',
            False, 
            [
            _MetaInfoClassMember('extend', REFERENCE_CLASS, 'Extend' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Priority.Extend', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'extend',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.Autostate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.Autostate',
            False, 
            [
            _MetaInfoClassMember('exclude', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude this port from vlan link up calculation
                ''',
                'exclude',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'autostate',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Host',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Host', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.PrivateVlan.HostAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.PrivateVlan.HostAssociation',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host-association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association', 
                [], [], 
                '''                Set the private VLAN association
                ''',
                'association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host-association', REFERENCE_CLASS, 'HostAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PrivateVlan.HostAssociation', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host_association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport.DeviceTracking' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport.DeviceTracking',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature device-tracking
                ''',
                'attach_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'device-tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('autostate', REFERENCE_CLASS, 'Autostate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Autostate', 
                [], [], 
                '''                Include or exclude this port from vlan link up calculation
                ''',
                'autostate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('device-tracking', REFERENCE_CLASS, 'DeviceTracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.DeviceTracking', 
                [], [], 
                '''                Configure device-tracking on the interface
                ''',
                'device_tracking',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set port host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Priority', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'priority',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.PrivateVlan', 
                [], [], 
                '''                Set the private VLAN configuration
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an interface to be a protected port
                ''',
                'protected',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Trunk', 
                [], [], 
                '''                Set trunking characteristics of the interface
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.AdjacencyFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.AdjacencyFilter',
            False, 
            [
            _MetaInfoClassMember('match-all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match all area addresses
                ''',
                'match_all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'adjacency-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Advertise',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interface IP address
                ''',
                'prefix',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Md5',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Text' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Text',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'text',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Md5', 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('text', REFERENCE_CLASS, 'Text' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Text', 
                [], [], 
                '''                Clear text password
                ''',
                'text',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain.KeyChainList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain.KeyChainList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('key-chain-list', REFERENCE_LIST, 'KeyChainList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain.KeyChainList', 
                [], [], 
                '''                ''',
                'key_chain_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Authentication.SendOnly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Authentication.SendOnly',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'send-only',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain', 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Authentication.Mode', 
                [], [], 
                '''                Authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('send-only', REFERENCE_CLASS, 'SendOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Authentication.SendOnly', 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.CircuitType.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2-only':'level_2_only',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.CircuitType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.CircuitType',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.CircuitType.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'circuit-type',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.CsnpInterval.CsnpIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.CsnpInterval.CsnpIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.CsnpInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.CsnpInterval',
            False, 
            [
            _MetaInfoClassMember('csnp-interval-list', REFERENCE_LIST, 'CsnpIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.CsnpInterval.CsnpIntervalList', 
                [], [], 
                '''                ''',
                'csnp_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never pad hello packets if no prefix present
                ''',
                'always',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello packets
                ''',
                'padding',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.HelloInterval.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-list', REFERENCE_LIST, 'HelloIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList', 
                [], [], 
                '''                ''',
                'hello_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.HelloMultiplier.HelloMultiplierList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.HelloMultiplier.HelloMultiplierList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.HelloMultiplier' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.HelloMultiplier',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier-list', REFERENCE_LIST, 'HelloMultiplierList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.HelloMultiplier.HelloMultiplierList', 
                [], [], 
                '''                ''',
                'hello_multiplier_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.Ipv6.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Ipv6.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Ipv6',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Ipv6.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IPv6 route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Password.PasswordList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.Password.PasswordList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Password.PasswordList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Password.PasswordList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Password' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Password',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password-list', REFERENCE_LIST, 'PasswordList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Password.PasswordList', 
                [], [], 
                '''                ''',
                'password_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Priority.PriorityList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.Priority.PriorityList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Priority.PriorityList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Priority.PriorityList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-list', REFERENCE_LIST, 'PriorityList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Priority.PriorityList', 
                [], [], 
                '''                ''',
                'priority_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.ThreeWayHandshake.ImplementorEnum' : _MetaInfoEnum('ImplementorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco':'cisco',
            'ietf':'ietf',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.ThreeWayHandshake' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis.ThreeWayHandshake',
            False, 
            [
            _MetaInfoClassMember('implementor', REFERENCE_ENUM_CLASS, 'ImplementorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.ThreeWayHandshake.ImplementorEnum', 
                [], [], 
                '''                ''',
                'implementor',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'three-way-handshake',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Isis.MeshGroupEnum' : _MetaInfoEnum('MeshGroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'blocked':'blocked',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Gigabitethernet.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Isis',
            False, 
            [
            _MetaInfoClassMember('adjacency-filter', REFERENCE_CLASS, 'AdjacencyFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.AdjacencyFilter', 
                [], [], 
                '''                Filter IS-IS adjacencies
                ''',
                'adjacency_filter',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Advertise', 
                [], [], 
                '''                Control addresses advertisements in LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('circuit-type', REFERENCE_CLASS, 'CircuitType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.CircuitType', 
                [], [], 
                '''                Configure circuit type for interface
                ''',
                'circuit_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('csnp-interval', REFERENCE_CLASS, 'CsnpInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.CsnpInterval', 
                [], [], 
                '''                Set CSNP interval in seconds
                ''',
                'csnp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Hello', 
                [], [], 
                '''                Add padding to IS-IS hello packets
                ''',
                'hello',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.HelloInterval', 
                [], [], 
                '''                Set Hello interval in seconds
                ''',
                'hello_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-multiplier', REFERENCE_CLASS, 'HelloMultiplier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.HelloMultiplier', 
                [], [], 
                '''                Set multiplier for Hello holding time
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Ipv6', 
                [], [], 
                '''                IPv6 interface configuration
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set LSP transmission interval
                ''',
                'lsp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mesh-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set ISIS mesh group
                ''',
                'mesh_group',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('mesh-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('mesh-group', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum', 
                        [], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Password', 
                [], [], 
                '''                Configure the authentication password for interface
                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.Priority', 
                [], [], 
                '''                Set priority for Designated Router election
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.ProtocolEnum', 
                [], [], 
                '''                Set ISIS protocol's state under current interface
                ''',
                'protocol',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set per-LSP retransmission interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-throttle-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set interface LSP retransmission interval
                ''',
                'retransmit_throttle_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IP route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('three-way-handshake', REFERENCE_CLASS, 'ThreeWayHandshake' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis.ThreeWayHandshake', 
                [], [], 
                '''                Select Cisco or IETF three-way handshake
                ''',
                'three_way_handshake',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Bfd.Interval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Bfd.Interval',
            False, 
            [
            _MetaInfoClassMember('min_rx', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                Minimum receive interval capability
                ''',
                'min_rx',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('msecs', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                ''',
                'msecs',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('3', '50')], [], 
                '''                Multiplier value used to compute holddown
                ''',
                'multiplier',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'interval',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Bfd',
            False, 
            [
            _MetaInfoClassMember('echo', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use echo adjunct as bfd detection mechanism
                ''',
                'echo',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('interval', REFERENCE_CLASS, 'Interval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Bfd.Interval', 
                [], [], 
                '''                Transmit interval between BFD packets
                ''',
                'interval',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD template
                ''',
                'template',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mpls.Accounting.Experimental' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mpls.Accounting.Experimental',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                received packets
                ''',
                'input',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmitted packets
                ''',
                'output',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'experimental',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mpls.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mpls.Accounting',
            False, 
            [
            _MetaInfoClassMember('experimental', REFERENCE_CLASS, 'Experimental' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mpls.Accounting.Experimental', 
                [], [], 
                '''                Count packets by MPLS experimental value on this interface
                ''',
                'experimental',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mpls.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mpls.Bgp',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure MPLS forwarding for directly connected BGP peers
                ''',
                'forwarding',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mpls.Label.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'ldp':'ldp',
            'tdp':'tdp',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Interface.Gigabitethernet.Mpls.Label' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mpls.Label',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mpls.Label.ProtocolEnum', 
                [], [], 
                '''                Configure label/tag distribution protocol (LDP/TDP)
                ''',
                'protocol',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mpls.Ldp.Discovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mpls.Ldp.Discovery',
            False, 
            [
            _MetaInfoClassMember('transport-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify interface LDP transport address
                ''',
                'transport_address',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('transport-address', REFERENCE_ENUM_CLASS, 'LdpDiscoveryAddressTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls', 'LdpDiscoveryAddressTypeEnum', 
                        [], [], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('transport-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mpls.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mpls.Ldp',
            False, 
            [
            _MetaInfoClassMember('discovery', REFERENCE_CLASS, 'Discovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mpls.Ldp.Discovery', 
                [], [], 
                '''                Configure interface LDP Discovery parameters
                ''',
                'discovery',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding.Thresholds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding.Thresholds',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for decreased resource availability
                ''',
                'down',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('up', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for increased resource availability
                ''',
                'up',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'thresholds',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding',
            False, 
            [
            _MetaInfoClassMember('thresholds', REFERENCE_CLASS, 'Thresholds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding.Thresholds', 
                [], [], 
                '''                Set flooding thresholds
                ''',
                'thresholds',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'flooding',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('administrative-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set the administrative weight for the interface
                ''',
                'administrative_weight',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('attribute-flags', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set user-defined interface attibute flags
                ''',
                'attribute_flags',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('backup-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure an MPLS TE backup for this interface
                ''',
                'backup_path',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('flooding', REFERENCE_CLASS, 'Flooding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding', 
                [], [], 
                '''                Set flooding parameters
                ''',
                'flooding',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tunnels', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable MPLS Traffic Engineering tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mpls',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mpls.Accounting', 
                [], [], 
                '''                Enable MPLS accounting on this interface
                ''',
                'accounting',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mpls.Bgp', 
                [], [], 
                '''                MPLS BGP
                ''',
                'bgp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic MPLS forwarding for IP
                ''',
                'ip',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mpls.Label', 
                [], [], 
                '''                Label properties
                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mpls.Ldp', 
                [], [], 
                '''                Configure Label Distribution Protocol (LDP) parameters
                ''',
                'ldp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('mtu', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set MPLS Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('1501', '1524')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '1500')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '9216')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mpls.TrafficEng', 
                [], [], 
                '''                Configure Traffic Engineering parameters
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Pim.AcceptRegister' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Pim.AcceptRegister',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'accept-register',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Pim.QueryInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Pim.QueryInterval',
            False, 
            [
            _MetaInfoClassMember('milliseconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '65535')], [], 
                '''                ''',
                'milliseconds_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Query interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('seconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '18725')], [], 
                '''                ''',
                'seconds_interval',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'query-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Pim.SparseModeEnum' : _MetaInfoEnum('SparseModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sparse-dense-mode':'sparse_dense_mode',
            'sparse-mode':'sparse_mode',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Gigabitethernet.Ip.Pim.SptThresholdEnum' : _MetaInfoEnum('SptThresholdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Gigabitethernet.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Pim',
            False, 
            [
            _MetaInfoClassMember('accept-register', REFERENCE_CLASS, 'AcceptRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Pim.AcceptRegister', 
                [], [], 
                '''                ''',
                'accept_register',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM router DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('nbma-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable PIM nbma-mode operation
                ''',
                'nbma_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('query-interval', REFERENCE_CLASS, 'QueryInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Pim.QueryInterval', 
                [], [], 
                '''                PIM router query interval
                ''',
                'query_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sparse-mode', REFERENCE_ENUM_CLASS, 'SparseModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Pim.SparseModeEnum', 
                [], [], 
                '''                ''',
                'sparse_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold', REFERENCE_ENUM_CLASS, 'SptThresholdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Pim.SptThresholdEnum', 
                [], [], 
                '''                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Client' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Client',
            False, 
            [
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify hostname to use
                ''',
                'hostname',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.CheckReply' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.CheckReply',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'check-reply',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Subscriber identifier sub option
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option-insert',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum' : _MetaInfoEnum('PolicyActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
            'encapsulate':'encapsulate',
            'keep':'keep',
            'replace':'replace',
        }, 'Cisco-IOS-XE-dhcp', _yang_ns._namespaces['Cisco-IOS-XE-dhcp']),
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('check-reply', REFERENCE_CLASS, 'CheckReply' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.CheckReply', 
                [], [], 
                '''                Validate relay information in BOOTREPLY
                ''',
                'check_reply',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option-insert', REFERENCE_CLASS, 'OptionInsert' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert', 
                [], [], 
                '''                Insert relay information in BOOTREQUEST
                ''',
                'option_insert',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('policy-action', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum', 
                [], [], 
                '''                Define reforwarding policy
                ''',
                'policy_action',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Received DHCP packet may contain relay info option with zero giaddr
                ''',
                'trusted',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set source interface for relayed messages
                ''',
                'source_interface',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP Snooping limit
                ''',
                'rate',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [(3, 63)], [], 
                '''                User defined string for circuit id
                ''',
                'string',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType',
            False, 
            [
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId', 
                [], [], 
                '''                Circuit id option 82 format
                ''',
                'circuit_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'format-type',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option',
            False, 
            [
            _MetaInfoClassMember('format-type', REFERENCE_CLASS, 'FormatType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType', 
                [], [], 
                '''                Option 82 information format
                ''',
                'format_type',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option', 
                [], [], 
                '''                DHCP Snooping information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information', 
                [], [], 
                '''                DHCP Snooping information
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP Snooping trust config
                ''',
                'trust',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan', 
                [], [], 
                '''                DHCP Snooping vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-dhcp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-dhcp',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Client', 
                [], [], 
                '''                DHCP client configuration
                ''',
                'client',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay configuration parameters
                ''',
                'relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.Gigabitethernet.Ip.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.Groups.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '*':'Y__STAR__',
        }, 'Cisco-IOS-XE-igmp', _yang_ns._namespaces['Cisco-IOS-XE-igmp']),
    'Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.Groups' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.Groups',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-igmp', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum', 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                ]),
            ],
            'Cisco-IOS-XE-igmp',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.ClassMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.ClassMap',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-igmp', True),
            ],
            'Cisco-IOS-XE-igmp',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.ClassMap', 
                [], [], 
                '''                Class map of type multicast-flows
                ''',
                'class_map',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('groups', REFERENCE_LIST, 'Groups' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.Groups', 
                [], [], 
                '''                ''',
                'groups',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'static-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Igmp.JoinGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Igmp.JoinGroup',
            False, 
            [
            _MetaInfoClassMember('ip-group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP group address
                ''',
                'ip_group_address',
                'Cisco-IOS-XE-igmp', True),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP source address
                ''',
                'source',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'join-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Igmp',
            False, 
            [
            _MetaInfoClassMember('join-group', REFERENCE_LIST, 'JoinGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Igmp.JoinGroup', 
                [], [], 
                '''                IGMP join multicast group
                ''',
                'join_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('static-group', REFERENCE_CLASS, 'StaticGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup', 
                [], [], 
                '''                IGMP static multicast group
                ''',
                'static_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Lisp',
            False, 
            [
            _MetaInfoClassMember('source-locator', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Choose IP source address for LISP packets egressing this interface
                ''',
                'source_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Nat' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Nat',
            False, 
            [
            _MetaInfoClassMember('allow-static-host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow static-ip clients
                ''',
                'allow_static_host',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Address Translation (NVI)
                ''',
                'enable',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('inside', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inside interface for address translation
                ''',
                'inside',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('outside', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outside interface for address translation
                ''',
                'outside',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'nat',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum' : _MetaInfoEnum('Ipv4Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Interface.Gigabitethernet.Ip.Nbar.ProtocolDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Nbar.ProtocolDiscovery',
            False, 
            [
            _MetaInfoClassMember('ipv4-ipv6', REFERENCE_ENUM_CLASS, 'Ipv4Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum', 
                [], [], 
                '''                ''',
                'ipv4_ipv6',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'protocol-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Nbar' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Nbar',
            False, 
            [
            _MetaInfoClassMember('protocol-discovery', REFERENCE_CLASS, 'ProtocolDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Nbar.ProtocolDiscovery', 
                [], [], 
                '''                Enable protocol discovery for both ipv4 and ipv6
                ''',
                'protocol_discovery',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'nbar',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not include secondary IP addresses
                ''',
                'none',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('secondaries', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include or exclude secondary IP addresses
                ''',
                'secondaries',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outgoing LSA
                ''',
                'out',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval.Minimal' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval.Minimal',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set multiplier for Hellos
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'minimal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('minimal', REFERENCE_CLASS, 'Minimal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval.Minimal', 
                [], [], 
                '''                Set to 1 second
                ''',
                'minimal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'candidate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix',
            False, 
            [
            _MetaInfoClassMember('candidate', REFERENCE_CLASS, 'Candidate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate', 
                [], [], 
                '''                If interface can be protecting
                ''',
                'candidate',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection', 
                [], [], 
                '''                If interface can be protected
                ''',
                'protection',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'per-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute',
            False, 
            [
            _MetaInfoClassMember('per-prefix', REFERENCE_CLASS, 'PerPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix', 
                [], [], 
                '''                Per-prefix LFA FRR parameters
                ''',
                'per_prefix',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.Lls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.Lls',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable LLS
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lls',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('diable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable TTL security check
                ''',
                'diable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Ospf.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'broadcast':'broadcast',
            'non-broadcast':'non_broadcast',
            'point-to-multipoint':'point_to_multipoint',
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ip.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval', 
                [], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute', 
                [], [], 
                '''                LFA FastReroute parameters
                ''',
                'fast_reroute',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('lls', REFERENCE_CLASS, 'Lls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.Lls', 
                [], [], 
                '''                Link-local Signaling (LLS) support
                ''',
                'lls',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('resync-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which adjacency is reset if oob-resync is not started
                ''',
                'resync_timeout',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set OSPF protocol's state to disable under current interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp.Redirect.Exclude' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp.Redirect.Exclude',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude inbound packets from outbound redirection
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'exclude',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp.Redirect',
            False, 
            [
            _MetaInfoClassMember('exclude', REFERENCE_CLASS, 'Exclude' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp.Redirect.Exclude', 
                [], [], 
                '''                Exclude packets from redirection
                ''',
                'exclude',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip.Wccp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip.Wccp',
            False, 
            [
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp.Redirect', 
                [], [], 
                '''                Set packet redirection options
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp.Vrf', 
                [], [], 
                '''                Configure WCCP for a VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Igmp', 
                [], [], 
                '''                IGMP interface commands
                ''',
                'igmp',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nat', REFERENCE_CLASS, 'Nat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Nat', 
                [], [], 
                '''                NAT interface commands
                ''',
                'nat',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('nbar', REFERENCE_CLASS, 'Nbar' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Nbar', 
                [], [], 
                '''                Network-Based Application Recognition
                ''',
                'nbar',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unreachables', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Unreachable messages
                ''',
                'unreachables',
                'Cisco-IOS-XE-icmp', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wccp', REFERENCE_CLASS, 'Wccp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip.Wccp', 
                [], [], 
                '''                WCCP IPv4 interface commands
                ''',
                'wccp',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Dhcp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Dhcp.Server',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Preference
                ''',
                'preference',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Dhcp.Guard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Dhcp.Guard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature DHCP Guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'guard',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Dhcp',
            False, 
            [
            _MetaInfoClassMember('guard', REFERENCE_CLASS, 'Guard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Dhcp.Guard', 
                [], [], 
                '''                Configure IPv6 DHCP guard on the interface
                ''',
                'guard',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Dhcp.Server', 
                [], [], 
                '''                Act as an IPv6 DHCP server
                ''',
                'server',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Nd.Raguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Nd.Raguard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature RA guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'raguard',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Nd.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Nd.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default_route',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert auto-configured prefix
                ''',
                'prefix',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Nd.Ra.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Nd.Ra.Suppress',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress all IPv6 RA
                ''',
                'all',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Nd.Ra' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Nd.Ra',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Nd.Ra.Suppress', 
                [], [], 
                '''                Suppress IPv6 router-alert configuration
                ''',
                'suppress',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'ra',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Nd',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Nd.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('managed-config-flag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP for IPv6 address configuration
                ''',
                'managed_config_flag',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('ra', REFERENCE_CLASS, 'Ra' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Nd.Ra', 
                [], [], 
                '''                IPv6 nd router alert configuration
                ''',
                'ra',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('raguard', REFERENCE_CLASS, 'Raguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Nd.Raguard', 
                [], [], 
                '''                Configure RA guard on the interface
                ''',
                'raguard',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.NoPim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.NoPim',
            False, 
            [
            _MetaInfoClassMember('pim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'no-pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Pim.Bsr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Pim.Bsr',
            False, 
            [
            _MetaInfoClassMember('border', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Border of PIM BSR domain
                ''',
                'border',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Pim',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Pim.Bsr', 
                [], [], 
                '''                Configure BSR
                ''',
                'bsr',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Hello DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Process' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Process',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('instance', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('0', '31')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('32', '255')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Flood Reduction on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process', REFERENCE_LIST, 'Process' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Process', 
                [], [], 
                '''                ''',
                'process',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Rip.DefaultInformation.RouteEnum' : _MetaInfoEnum('RouteEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'only':'only',
            'originate':'originate',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Interface.Gigabitethernet.Ipv6.Rip.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Rip.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '15')], [], 
                '''                Default route metric
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route', REFERENCE_ENUM_CLASS, 'RouteEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Rip.DefaultInformation.RouteEnum', 
                [], [], 
                '''                ''',
                'route',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Rip.DefaultInformation', 
                [], [], 
                '''                Configure handling of default route
                ''',
                'default_information',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/disable RIP routing
                ''',
                'enable',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-pim', REFERENCE_CLASS, 'NoPim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.NoPim', 
                [], [], 
                '''                ''',
                'no_pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.Rip', 
                [], [], 
                '''                Configure RIP routing protocol
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unreachables', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Unreachable messages
                ''',
                'unreachables',
                'Cisco-IOS-XE-icmp', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.CarrierDelay.Down' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.CarrierDelay.Down',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'down',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.CarrierDelay.Up' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.CarrierDelay.Up',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'up',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.CarrierDelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.CarrierDelay',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_CLASS, 'Down' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.CarrierDelay.Down', 
                [], [], 
                '''                Carrier Down Transitions
                ''',
                'down',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('up', REFERENCE_CLASS, 'Up' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.CarrierDelay.Up', 
                [], [], 
                '''                Carrier Up Transitions
                ''',
                'up',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'carrier-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.ChannelGroup.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'auto':'auto',
            'desirable':'desirable',
            'on':'on',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.ChannelGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.ChannelGroup',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                LACP auto
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('1', '4')], [], 
                '''                Assign a link identifier used for load-balancing
                ''',
                'link',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ChannelGroup.ModeEnum', 
                [], [], 
                '''                Etherchannel Mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('non-silent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start negotiation only after data packets received
                ''',
                'non_silent',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'channel-group',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame threshold in number of frames
                ''',
                'thresh',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold', 
                [], [], 
                '''                Errored frame threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '600')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('f-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame-period threshold in number of frames
                ''',
                'f_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame-period threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold', 
                [], [], 
                '''                Errored frame-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 10000 frames
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('e-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the high errored frame-seconds threshold in number of seconds
                ''',
                'e_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the low errored frame-seconds threshold in number of seconds
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('100', '9000')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-seconds',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action', 
                [], [], 
                '''                Specifiy an action when the high threshold is crossed
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('crc-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high received crc error threshold in number of frames
                ''',
                'crc_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low received crc error threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'receive-crc',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('err-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high error symbol-period threshold in number of symbols
                ''',
                'err_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low error symbol-period threshold in number of symbols
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold', 
                [], [], 
                '''                Error symbol-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 1048576 symbols
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'symbol-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor',
            False, 
            [
            _MetaInfoClassMember('frame', REFERENCE_CLASS, 'Frame' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame', 
                [], [], 
                '''                Errored frames in a period measured by time
                ''',
                'frame',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-period', REFERENCE_CLASS, 'FramePeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod', 
                [], [], 
                '''                Errored frames in a period measured by number of frames
                ''',
                'frame_period',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-seconds', REFERENCE_CLASS, 'FrameSeconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds', 
                [], [], 
                '''                Errored frame seconds in a period
                ''',
                'frame_seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('high-threshold', REFERENCE_CLASS, 'HighThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold', 
                [], [], 
                '''                Additional high threshold configuration
                ''',
                'high_threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable link monitoring on the interface
                ''',
                'on',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('receive-crc', REFERENCE_CLASS, 'ReceiveCrc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc', 
                [], [], 
                '''                Received frames with CRC errors in a period
                ''',
                'receive_crc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support link monitoring on the interface
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('symbol-period', REFERENCE_CLASS, 'SymbolPeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod', 
                [], [], 
                '''                Errored symbols in a period
                ''',
                'symbol_period',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'critical-event',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dying-gasp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-fault',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure',
            False, 
            [
            _MetaInfoClassMember('critical-event', REFERENCE_CLASS, 'CriticalEvent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent', 
                [], [], 
                '''                Critical event
                ''',
                'critical_event',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dying-gasp', REFERENCE_CLASS, 'DyingGasp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp', 
                [], [], 
                '''                Dying gasp
                ''',
                'dying_gasp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link-fault', REFERENCE_CLASS, 'LinkFault' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault', 
                [], [], 
                '''                Link fault
                ''',
                'link_fault',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-failure',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteLoopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteLoopback',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support remote loopback functionality
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set timeout value in number of seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet.Oam.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Ethernet.Oam' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet.Oam',
            False, 
            [
            _MetaInfoClassMember('link-monitor', REFERENCE_CLASS, 'LinkMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor', 
                [], [], 
                '''                Ethernet OAM Link Monitor
                ''',
                'link_monitor',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'max_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('min-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'min_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-failure', REFERENCE_CLASS, 'RemoteFailure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure', 
                [], [], 
                '''                Ethernet OAM remote failure indication
                ''',
                'remote_failure',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-loopback', REFERENCE_CLASS, 'RemoteLoopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteLoopback', 
                [], [], 
                '''                Ethernet OAM Remote Loopback
                ''',
                'remote_loopback',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('2', '30')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'oam',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ethernet',
            False, 
            [
            _MetaInfoClassMember('oam', REFERENCE_CLASS, 'Oam' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet.Oam', 
                [], [], 
                '''                To enable Ethernet Link OAM
                ''',
                'oam',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Negotiation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Negotiation',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable link autonegotiation
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'negotiation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Synchronous',
            False, 
            [
            _MetaInfoClassMember('mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mode
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Speed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Speed',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable AUTO speed configuration
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'nonegotiate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10 Mbps operation
                ''',
                'value_10',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-100', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                100 Mbps operation
                ''',
                'value_100',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-1000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                1000 Mbps operation
                ''',
                'value_1000',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10000 Mbps operation
                ''',
                'value_10000',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'speed',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan.Filter',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the interface to accept all VLAN traffic
                ''',
                'disable',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan.Filter', 
                [], [], 
                '''                Configure VLAN filtering
                ''',
                'filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Plim.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Plim.Ethernet',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan', 
                [], [], 
                '''                vlan specific features
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'zero',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'strict-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue',
            False, 
            [
            _MetaInfoClassMember('strict-priority', REFERENCE_CLASS, 'StrictPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority', 
                [], [], 
                '''                High priority queue
                ''',
                'strict_priority',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('zero', REFERENCE_CLASS, 'Zero' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero', 
                [], [], 
                '''                Low priority queue
                ''',
                'zero',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Plim.Qos.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Plim.Qos.Input',
            False, 
            [
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue', 
                [], [], 
                '''                Queue number
                ''',
                'queue',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Plim.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Plim.Qos',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Plim.Qos.Input', 
                [], [], 
                '''                Configure PLIM QoS at the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Plim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Plim',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Plim.Ethernet', 
                [], [], 
                '''                Configure features on the ethernet interface
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Plim.Qos', 
                [], [], 
                '''                QoS on the PLIM
                ''',
                'qos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'plim',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Pppoe.Enable.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Pppoe.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Pppoe.Enable',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                attach a BBA group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum', 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Pppoe' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Pppoe',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Pppoe.Enable', 
                [], [], 
                '''                Enable pppoe
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-sessions', ATTRIBUTE, 'int' , None, None, 
                [('1', '4085')], [], 
                '''                Maximum PPPOE sessions
                ''',
                'max_sessions',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pppoe',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' : _MetaInfoEnum('Dot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum', 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' : _MetaInfoEnum('SecondDot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum' : _MetaInfoEnum('VlanTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0x88A8':'Y_0x88A8',
            '0x9100':'Y_0x9100',
            '0x9200':'Y_0x9200',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('second-dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum', 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('vlan-type', REFERENCE_ENUM_CLASS, 'VlanTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum', 
                [], [], 
                '''                Vlan Protocol Type
                ''',
                'vlan_type',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged',
            False, 
            [
            _MetaInfoClassMember('cos-container', REFERENCE_CLASS, 'CosContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer', 
                [], [], 
                '''                ''',
                'cos_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'priority-tagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Untagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Untagged',
            False, 
            [
            ],
            'Cisco-IOS-XE-ethernet',
            'untagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                catch-all unconfigured encapsulation
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-tagged', REFERENCE_CLASS, 'PriorityTagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged', 
                [], [], 
                '''                Priority tagged EFP
                ''',
                'priority_tagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', REFERENCE_CLASS, 'Untagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Untagged', 
                [], [], 
                '''                Untagged encapsulation
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Ip.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Ip.Acl',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP relay information option subscriber-id
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information
                ''',
                'information',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay
                ''',
                'relay',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source address
                ''',
                'source',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Ip',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Ip.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp', 
                [], [], 
                '''                DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Ip.Verify', 
                [], [], 
                '''                verify
                ''',
                'verify',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Ipv6',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('traffic-filter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pop',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Push dot1q tag
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'push',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate',
            False, 
            [
            _MetaInfoClassMember('t1-to-1', REFERENCE_CLASS, 'T1To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1', 
                [], [], 
                '''                Translate 1-to-1
                ''',
                't1_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t1-to-2', REFERENCE_CLASS, 'T1To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2', 
                [], [], 
                '''                Translate 1-to-2
                ''',
                't1_to_2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-1', REFERENCE_CLASS, 'T2To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1', 
                [], [], 
                '''                Translate 2-to-1
                ''',
                't2_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-2', REFERENCE_CLASS, 'T2To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2', 
                [], [], 
                '''                Translate 2-to-2
                ''',
                't2_to_2',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag',
            False, 
            [
            _MetaInfoClassMember('pop', REFERENCE_CLASS, 'Pop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop', 
                [], [], 
                '''                Pop the tag
                ''',
                'pop',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('push', REFERENCE_CLASS, 'Push' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push', 
                [], [], 
                '''                Rewrite Operation of push
                ''',
                'push',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate', 
                [], [], 
                '''                Translate Tag
                ''',
                'translate',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress',
            False, 
            [
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag', 
                [], [], 
                '''                Configure Rewrite Tag
                ''',
                'tag',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ingress',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Rewrite' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Rewrite',
            False, 
            [
            _MetaInfoClassMember('ingress', REFERENCE_CLASS, 'Ingress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress', 
                [], [], 
                '''                Ingress Rewrite
                ''',
                'ingress',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'rewrite',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery.Cause',
            False, 
            [
            _MetaInfoClassMember('mac-security', ATTRIBUTE, 'int' , None, None, 
                [('30', '86400')], [], 
                '''                mac-security violation
                ''',
                'mac_security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery.Cause', 
                [], [], 
                '''                error disable cause
                ''',
                'cause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Errdisable',
            False, 
            [
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery', 
                [], [], 
                '''                enable auto recovery
                ''',
                'recovery',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange',
            False, 
            [
            _MetaInfoClassMember('comma', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                comma
                ''',
                'comma',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                hyphen
                ''',
                'hyphen',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For all VLANS [untagged,1-4094]
                ''',
                'any',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default EFP
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Untagged frames
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_CLASS, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map', 
                [], [], 
                '''                Configure ether lmi ce-vlan/evc map
                ''',
                'map',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ce-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi',
            False, 
            [
            _MetaInfoClassMember('ce-vlan', REFERENCE_CLASS, 'CeVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan', 
                [], [], 
                '''                Configure ether lmi customer vlans
                ''',
                'ce_vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'lmi',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the wire
                ''',
                'external',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the relay
                ''',
                'internal',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit', 
                [], [], 
                '''                Allow data plane loopback to be activated
                ''',
                'permit',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet',
            False, 
            [
            _MetaInfoClassMember('lmi', REFERENCE_CLASS, 'Lmi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi', 
                [], [], 
                '''                Configure ether lmi parameters
                ''',
                'lmi',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('loopback', REFERENCE_CLASS, 'Loopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback', 
                [], [], 
                '''                Ethernet Dataplane Loopback
                ''',
                'loopback',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet', 
                [], [], 
                '''                ethernet
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence
                ''',
                'persist',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the service instance
                ''',
                'ifindex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain.SplitHorizon' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain.SplitHorizon',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '13')], [], 
                '''                Split-horizon group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'split-horizon',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'bridge_id',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('from-encapsulation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from-encapsulation
                ''',
                'from_encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('split-horizon', REFERENCE_CLASS, 'SplitHorizon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain.SplitHorizon', 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'bridge-domain',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Mac.Security.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Mac.Security.Maximum',
            False, 
            [
            _MetaInfoClassMember('addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum addresses that can be learnt on this service instance
                ''',
                'addresses',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Mac.Security.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.Mac.Security' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Mac.Security',
            False, 
            [
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Mac.Security.Maximum', 
                [], [], 
                '''                Configure an upper bound
                ''',
                'maximum',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Mac.Security.ViolationEnum', 
                [], [], 
                '''                Configure the response when a MAC security policy is violated
                ''',
                'violation',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Mac',
            False, 
            [
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Mac.Security', 
                [], [], 
                '''                MAC Security commands
                ''',
                'security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LIST, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Input', 
                [], [], 
                '''                service policy input
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('output', REFERENCE_LIST, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Output', 
                [], [], 
                '''                service policy output
                ''',
                'output',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mep' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mep',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure a domain for this mep
                ''',
                'domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mpid', ATTRIBUTE, 'int' , None, None, 
                [('1', '8191')], [], 
                '''                Maintenance End Point Identifier
                ''',
                'mpid',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mep',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mip',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Cfm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Cfm',
            False, 
            [
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation', 
                [], [], 
                '''                Configure CFM ethernet frame encapsulation
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mep', REFERENCE_CLASS, 'Mep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mep', 
                [], [], 
                '''                Maintenance End Point
                ''',
                'mep',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mip', REFERENCE_CLASS, 'Mip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mip', 
                [], [], 
                '''                Maintenance Intermediate Point
                ''',
                'mip',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Peer',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Forward' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Forward',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'forward',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Tunnel',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.L2Protocol',
            False, 
            [
            _MetaInfoClassMember('forward', REFERENCE_CLASS, 'Forward' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Forward', 
                [], [], 
                '''                forward L2 control protocol packets as data
                ''',
                'forward',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Peer', 
                [], [], 
                '''                peer L2 control protocol packets as data
                ''',
                'peer',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Tunnel', 
                [], [], 
                '''                tunnel L2 control protocol packets as data
                ''',
                'tunnel',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'l2protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Gigabitethernet.Service.Instance.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Gigabitethernet.Service.Instance.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service.Instance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service.Instance',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4000')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', True),
            _MetaInfoClassMember('bridge-domain', REFERENCE_CLASS, 'BridgeDomain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain', 
                [], [], 
                '''                Bridge-domain
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cfm', REFERENCE_CLASS, 'Cfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Cfm', 
                [], [], 
                '''                Ethernet CFM EFP subcommands
                ''',
                'cfm',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Service instance specific description
                ''',
                'description',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Encapsulation', 
                [], [], 
                '''                Configure ethernet frame match criteria
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Errdisable', 
                [], [], 
                '''                Configure error disable
                ''',
                'errdisable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an Ethernet Instance
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-container', REFERENCE_CLASS, 'EthernetContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer', 
                [], [], 
                '''                ''',
                'ethernet_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-evc-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ethernet_evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('evc-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                ''',
                'evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an GigabitEthernet Instance
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('l2protocol', REFERENCE_CLASS, 'L2Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.L2Protocol', 
                [], [], 
                '''                Configure l2 control protocol processing
                ''',
                'l2protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Mac', 
                [], [], 
                '''                Commands for MAC Address-based features
                ''',
                'mac',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('rewrite', REFERENCE_CLASS, 'Rewrite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Rewrite', 
                [], [], 
                '''                Configure ethernet rewrite criteria
                ''',
                'rewrite',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy', 
                [], [], 
                '''                Attach a policy-map to an EFP
                ''',
                'service_policy',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Take the Service Instance out of Service
                ''',
                'shutdown',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Snmp', 
                [], [], 
                '''                Modify SNMP service instance parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trunk Service Instance
                ''',
                'trunk',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Service' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Service',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service.Instance', 
                [], [], 
                '''                Configure Ether Service Instance
                ''',
                'instance',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Gigabitethernet.Xconnect.SequenceEnum' : _MetaInfoEnum('SequenceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Gigabitethernet.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('sequence', REFERENCE_ENUM_CLASS, 'SequenceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Xconnect.SequenceEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequence',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cdp.Tlv.App' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cdp.Tlv.App',
            False, 
            [
            _MetaInfoClassMember('tlvtype', ATTRIBUTE, 'int' , None, None, 
                [('1001', '65535')], [], 
                '''                Configure APP TLV
                ''',
                'tlvtype',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure App TLV Value information
                ''',
                'value',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'app',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cdp.Tlv' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cdp.Tlv',
            False, 
            [
            _MetaInfoClassMember('app', REFERENCE_CLASS, 'App' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cdp.Tlv.App', 
                [], [], 
                '''                Enable/Configure Application TLV
                ''',
                'app',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exchange location information
                ''',
                'location',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('server-location', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable CDP location server on interface
                ''',
                'server_location',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cdp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cdp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable CDP on interface
                ''',
                'enable',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('tlv', REFERENCE_CLASS, 'Tlv' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cdp.Tlv', 
                [], [], 
                '''                Enable exchange of specific tlv information
                ''',
                'tlv',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'cdp',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Crypto.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Crypto.Map',
            False, 
            [
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                enable redundancy
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('stateful', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable stateful failover
                ''',
                'stateful',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Crypto.Ipsec.DfBitEnum' : _MetaInfoEnum('DfBitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Gigabitethernet.Crypto.Ipsec.FragmentationEnum' : _MetaInfoEnum('FragmentationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'after-encryption':'after_encryption',
            'before-encryption':'before_encryption',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Gigabitethernet.Crypto.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Crypto.Ipsec',
            False, 
            [
            _MetaInfoClassMember('df-bit', REFERENCE_ENUM_CLASS, 'DfBitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Crypto.Ipsec.DfBitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'df_bit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_ENUM_CLASS, 'FragmentationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Crypto.Ipsec.FragmentationEnum', 
                [], [], 
                '''                Handling of fragmentation of near-MTU sized packets
                ''',
                'fragmentation',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Crypto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Crypto',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Crypto.Ipsec', 
                [], [], 
                '''                Set IPSec parameters
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Crypto.Map', 
                [], [], 
                '''                Assign a Crypto Map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crypto',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts.Manual.Policy.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts.Manual.Policy.Static',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('2', '65519')], [], 
                '''                Source Security Group Tag to apply to untagged or non-trusted incoming traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Source Group Tags (SGT) that the peer uses for sending
                ''',
                'trusted',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts.Manual.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts.Manual.Policy',
            False, 
            [
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts.Manual.Policy.Static', 
                [], [], 
                '''                Configure policy to be applied on the link
                ''',
                'static',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac',
            False, 
            [
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encapsulation present, no authentication, 
                     no encryption
                ''',
                'null',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gcm-encrypt',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'no-encap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', REFERENCE_CLASS, 'GcmEncrypt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt', 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('no-encap', REFERENCE_CLASS, 'NoEncap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap', 
                [], [], 
                '''                No encapsulation
                ''',
                'no_encap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'mode-list',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('mode-list', REFERENCE_CLASS, 'ModeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList', 
                [], [], 
                '''                List of advertised modes (prioritized from highest to lowest)
                ''',
                'mode_list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'pmk',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts.Manual.Sap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts.Manual.Sap',
            False, 
            [
            _MetaInfoClassMember('pmk', REFERENCE_LIST, 'Pmk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk', 
                [], [], 
                '''                Pre-Master Key (PMK) to use for CTS SAP
                ''',
                'pmk',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts.Manual.Propagate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts.Manual.Propagate',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CTS SGT Propagation configuration
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'propagate',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts.Manual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts.Manual',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts.Manual.Policy', 
                [], [], 
                '''                CTS policy for manual mode
                ''',
                'policy',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('propagate', REFERENCE_CLASS, 'Propagate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts.Manual.Propagate', 
                [], [], 
                '''                CTS SGT Propagation configuration for manual mode
                ''',
                'propagate',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sap', REFERENCE_CLASS, 'Sap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts.Manual.Sap', 
                [], [], 
                '''                CTS SAP configuration for manual mode
                ''',
                'sap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'manual',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Cts',
            False, 
            [
            _MetaInfoClassMember('manual', REFERENCE_CLASS, 'Manual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts.Manual', 
                [], [], 
                '''                Supply local configuration for CTS parameters
                ''',
                'manual',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Dot1X.Authenticator.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Dot1X.Authenticator.Eap',
            False, 
            [
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EAP authenticator profile configuration
                ''',
                'profile',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Dot1X.Authenticator' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Dot1X.Authenticator',
            False, 
            [
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Dot1X.Authenticator.Eap', 
                [], [], 
                '''                Configure EAP authenticator parameters
                ''',
                'eap',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'authenticator',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Dot1X.Supplicant.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Dot1X.Supplicant.Eap',
            False, 
            [
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EAP supplicant profile configuration
                ''',
                'profile',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Dot1X.Supplicant' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Dot1X.Supplicant',
            False, 
            [
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Dot1X.Supplicant.Eap', 
                [], [], 
                '''                Configure EAP supplicant parameters
                ''',
                'eap',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'supplicant',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Dot1X.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Dot1X.Timeout',
            False, 
            [
            _MetaInfoClassMember('auth-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for authenticator reply
                ''',
                'auth_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('held-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for authentication retries
                ''',
                'held_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('quiet-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                QuietPeriod in Seconds
                ''',
                'quiet_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('ratelimit-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Ratelimit Period in seconds
                ''',
                'ratelimit_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('server-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for Radius Retries
                ''',
                'server_timeout',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('start-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for EAPOL-start retries
                ''',
                'start_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('supp-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for supplicant reply
                ''',
                'supp_timeout',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('tx-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for supplicant retries
                ''',
                'tx_period',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Dot1X.PaeEnum' : _MetaInfoEnum('PaeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'authenticator':'authenticator',
            'supplicant':'supplicant',
            'both':'both',
        }, 'Cisco-IOS-XE-dot1x', _yang_ns._namespaces['Cisco-IOS-XE-dot1x']),
    'Native.Interface.Gigabitethernet.Dot1X' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Dot1X',
            False, 
            [
            _MetaInfoClassMember('authenticator', REFERENCE_CLASS, 'Authenticator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Dot1X.Authenticator', 
                [], [], 
                '''                Configure authenticator parameters
                ''',
                'authenticator',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('credentials', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Credentials profile configuration
                ''',
                'credentials',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-reauth-req', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of Reauthentication Attempts
                ''',
                'max_reauth_req',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-req', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of Retries
                ''',
                'max_req',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-start', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of EAPOL-Start requests
                ''',
                'max_start',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('pae', REFERENCE_ENUM_CLASS, 'PaeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Dot1X.PaeEnum', 
                [], [], 
                '''                Set 802.1x interface pae type
                ''',
                'pae',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('supplicant', REFERENCE_CLASS, 'Supplicant' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Dot1X.Supplicant', 
                [], [], 
                '''                Configure supplicant parameters
                ''',
                'supplicant',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Dot1X.Timeout', 
                [], [], 
                '''                Various Timeouts
                ''',
                'timeout',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'dot1x',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Performance.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Performance.Monitor',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Select ezPM context
                ''',
                'context',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Performance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Performance',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Performance.Monitor', 
                [], [], 
                '''                monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'performance',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.Gigabitethernet.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Clear Enable/Disable ifIndex persistence
                ''',
                'clear',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence 
                ''',
                'persist',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit',
            False, 
            [
            _MetaInfoClassMember('duplicates', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Permit duplicate SNMP LINKUP and LINKDOWN traps
                ''',
                'duplicates',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit', 
                [], [], 
                '''                Permit the following capability
                ''',
                'permit',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas',
            False, 
            [
            _MetaInfoClassMember('link-status', REFERENCE_CLASS, 'LinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus', 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status-capas',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('link-status-capas', REFERENCE_CLASS, 'LinkStatusCapas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas', 
                [], [], 
                '''                ''',
                'link_status_capas',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the interface
                ''',
                'ifindex',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Lisp.Mobility.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Lisp.Mobility.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('dynamic-eid-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dynamic_eid_name',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nbr-proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Neighbor proxy reply behavior for dynamic EID group
                ''',
                'nbr_proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '5')], [], 
                '''                Send neighbor proxy reply after reaching request threshold
                ''',
                'requests',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Lisp.Mobility.Discover' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Lisp.Mobility.Discover',
            False, 
            [
            _MetaInfoClassMember('arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic EID discover through ARP events on this interface
                ''',
                'arp',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'discover',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Lisp.Mobility.Liveness' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Lisp.Mobility.Liveness',
            False, 
            [
            _MetaInfoClassMember('test', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform liveness test on dynamic-EID discovered on this interface
                ''',
                'test',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('2', '255')], [], 
                '''                Configures the TTL in the liveness test packet
                ''',
                'ttl',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'liveness',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Lisp.Mobility' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Lisp.Mobility',
            False, 
            [
            _MetaInfoClassMember('discover', REFERENCE_CLASS, 'Discover' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Lisp.Mobility.Discover', 
                [], [], 
                '''                Configure mobility dynamic EID discover settings
                ''',
                'discover',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_CLASS, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Lisp.Mobility.DynamicEid', 
                [], [], 
                '''                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('liveness', REFERENCE_CLASS, 'Liveness' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Lisp.Mobility.Liveness', 
                [], [], 
                '''                Configure mobility liveness settings
                ''',
                'liveness',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mobility',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Lisp',
            False, 
            [
            _MetaInfoClassMember('extended-subnet-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures to enable extended subnet mode on the interface
                ''',
                'extended_subnet_mode',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mobility', REFERENCE_CLASS, 'Mobility' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Lisp.Mobility', 
                [], [], 
                '''                Configures to allow EID mobility on interface
                ''',
                'mobility',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mka.PreSharedKey.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mka.PreSharedKey.KeyChain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of key-chain to be used to get keys
                ''',
                'name',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-mka',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-mka'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mka.PreSharedKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mka.PreSharedKey',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mka.PreSharedKey.KeyChain', 
                [], [], 
                '''                Configure the key-chain name
                ''',
                'key_chain',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-mka',
            'pre-shared-key',
            _yang_ns._namespaces['Cisco-IOS-XE-mka'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mka' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mka',
            False, 
            [
            _MetaInfoClassMember('pre-shared-key', REFERENCE_CLASS, 'PreSharedKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mka.PreSharedKey', 
                [], [], 
                '''                Configure MKA Pre-Shared-Key
                ''',
                'pre_shared_key',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-mka',
            'mka',
            _yang_ns._namespaces['Cisco-IOS-XE-mka'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('64', '95')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '31')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4', 
                [], [], 
                '''                Specify parameters for IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6', 
                [], [], 
                '''                Specify parameters for IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Gigabitethernet.Ospfv3.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Gigabitethernet.Ospfv3.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Power.Inline.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Power.Inline.Auto',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('4000', '30000')], [], 
                '''                Maximum power allowed on this interface
                ''',
                'max',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Power.Inline.FourPair' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Power.Inline.FourPair',
            False, 
            [
            _MetaInfoClassMember('forced', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Four-pair PoE without L2 negotiation
                ''',
                'forced',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'four-pair',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Power.Inline.Police.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Power.Inline.Police.Action',
            False, 
            [
            _MetaInfoClassMember('errdisable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the port when power is overdrawn on the port
                ''',
                'errdisable',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log a message when power is overdrawn on the port
                ''',
                'log',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Power.Inline.Police' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Power.Inline.Police',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Power.Inline.Police.Action', 
                [], [], 
                '''                Action to be taken when power is overdrawn on the port
                ''',
                'action',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Power.Inline.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Power.Inline.Port',
            False, 
            [
            _MetaInfoClassMember('poe-ha', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply poe-ha to the port
                ''',
                'poe_ha',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('two-event', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable 2-event classification
                ''',
                'two_event',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Power.Inline.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Power.Inline.Static',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('4000', '30000')], [], 
                '''                Maximum power allowed on this interface
                ''',
                'max',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Power.Inline' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Power.Inline',
            False, 
            [
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Power.Inline.Auto', 
                [], [], 
                '''                Automatically detect and power inline devices
                ''',
                'auto',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('consumption', ATTRIBUTE, 'int' , None, None, 
                [('4000', '15400')], [], 
                '''                ''',
                'consumption',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('four-pair', REFERENCE_CLASS, 'FourPair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Power.Inline.FourPair', 
                [], [], 
                '''                Four-pair PoE power
                ''',
                'four_pair',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('never', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'never',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Power.Inline.Police', 
                [], [], 
                '''                Police the power drawn on the port
                ''',
                'police',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Power.Inline.Port', 
                [], [], 
                '''                Configure Port Power Level
                ''',
                'port',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Power.Inline.Static', 
                [], [], 
                '''                High priority inline power interface
                ''',
                'static',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'inline',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Power' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Power',
            False, 
            [
            _MetaInfoClassMember('inline', REFERENCE_CLASS, 'Inline' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Power.Inline', 
                [], [], 
                '''                ''',
                'inline',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'power',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive.Action',
            False, 
            [
            _MetaInfoClassMember('reinitialize', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'reinitialize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive.Action', 
                [], [], 
                '''                Required action for authentication event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'alive',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configure Critical Authorization VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('voice', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authorize the port for VOICE traffic
                ''',
                'voice',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configure Critical Authorization VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'reinitialize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Authorize', 
                [], [], 
                '''                Authorize the port
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('reinitialize', REFERENCE_CLASS, 'Reinitialize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize', 
                [], [], 
                '''                Reinitialize all client on the port
                ''',
                'reinitialize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action', 
                [], [], 
                '''                Required action for authentication event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'dead',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.Server',
            False, 
            [
            _MetaInfoClassMember('alive', REFERENCE_CLASS, 'Alive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive', 
                [], [], 
                '''                Configure AAA server alive action
                ''',
                'alive',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('dead', REFERENCE_CLASS, 'Dead' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead', 
                [], [], 
                '''                Configure AAA server dead action
                ''',
                'dead',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action.Authorize', 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.Fail' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.Fail',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action', 
                [], [], 
                '''                Required action for fail event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'fail',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action.Authorize', 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event.NoResponse' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event.NoResponse',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action', 
                [], [], 
                '''                Required action for no-response event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'no-response',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Event',
            False, 
            [
            _MetaInfoClassMember('fail', REFERENCE_CLASS, 'Fail' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.Fail', 
                [], [], 
                '''                Configure actions for AAA fail events
                ''',
                'fail',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('no-response', REFERENCE_CLASS, 'NoResponse' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.NoResponse', 
                [], [], 
                '''                Configure actions for AAA no-response events
                ''',
                'no_response',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event.Server', 
                [], [], 
                '''                Configure actions for AAA server events
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Order' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Order',
            False, 
            [
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method dot1x allowed
                ''',
                'dot1x',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mab', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method mab allowed
                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('webauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method webauth allowed
                ''',
                'webauth',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'order',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Priority',
            False, 
            [
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method dot1x allowed
                ''',
                'dot1x',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mab', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method mab allowed
                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('webauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method webauth allowed
                ''',
                'webauth',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Timer.Reauthenticate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Timer.Reauthenticate',
            False, 
            [
            _MetaInfoClassMember('server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Obtain re-authentication timeout value from the server
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'reauthenticate',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Value' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Value',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Initiate a dynamic probe on inactivity timeout
                ''',
                'dynamic',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'value',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Server',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Initiate a dynamic probe on inactivity timeout
                ''',
                'dynamic',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity',
            False, 
            [
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Server', 
                [], [], 
                '''                Obtain inactivity timeout value from the server
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', REFERENCE_CLASS, 'Value' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Value', 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'inactivity',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.Timer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication.Timer',
            False, 
            [
            _MetaInfoClassMember('inactivity', REFERENCE_CLASS, 'Inactivity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity', 
                [], [], 
                '''                Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                ''',
                'inactivity',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('reauthenticate', REFERENCE_CLASS, 'Reauthenticate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Timer.Reauthenticate', 
                [], [], 
                '''                Time in seconds after which an automatic re-authenticationshould be initiated (default 1 hour)
                ''',
                'reauthenticate',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                ''',
                'restart',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Authentication.ControlDirectionEnum' : _MetaInfoEnum('ControlDirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'in':'in_',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Gigabitethernet.Authentication.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Gigabitethernet.Authentication.PortControlEnum' : _MetaInfoEnum('PortControlEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'force-authorized':'force_authorized',
            'force-unauthorized':'force_unauthorized',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Gigabitethernet.Authentication.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'replace':'replace',
            'restrict':'restrict',
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Gigabitethernet.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Authentication',
            False, 
            [
            _MetaInfoClassMember('control-direction', REFERENCE_ENUM_CLASS, 'ControlDirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.ControlDirectionEnum', 
                [], [], 
                '''                Set the control-direction on the interface
                ''',
                'control_direction',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Event', 
                [], [], 
                '''                Set action for authentication events
                ''',
                'event',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('fallback', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable the Webauth fallback mechanism
                ''',
                'fallback',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('open', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable or Disable open access on this port
                ''',
                'open',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('order', REFERENCE_CLASS, 'Order' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Order', 
                [], [], 
                '''                Add an authentication method to the order list
                ''',
                'order',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('periodic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable or Disable Reauthentication for this port
                ''',
                'periodic',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('port-control', REFERENCE_ENUM_CLASS, 'PortControlEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.PortControlEnum', 
                [], [], 
                '''                set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Priority', 
                [], [], 
                '''                Add an authentication method to the priority list
                ''',
                'priority',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.Timer', 
                [], [], 
                '''                Set authentication timer values
                ''',
                'timer',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication.ViolationEnum', 
                [], [], 
                '''                Configure action to take on security violations
                ''',
                'violation',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mab' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mab',
            False, 
            [
            _MetaInfoClassMember('eap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'eap',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'mab',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BPDU guard for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast on the interface even in trunk mode
                ''',
                'trunk',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.SpanningTree.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.SpanningTree.Vlan',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                <1-200000000> Spanning-tree cost
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                <0-240> port priority in increments of 16
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('vlan-ids', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                vlan range, example: 1,3-5,7,9-11
                ''',
                'vlan_ids',
                'Cisco-IOS-XE-spanning-tree', False, [
                    _MetaInfoClassMember('vlan-ids', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4095')], [], 
                        '''                        vlan range, example: 1,3-5,7,9-11
                        ''',
                        'vlan_ids',
                        'Cisco-IOS-XE-spanning-tree', False),
                    _MetaInfoClassMember('vlan-ids', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        vlan range, example: 1,3-5,7,9-11
                        ''',
                        'vlan_ids',
                        'Cisco-IOS-XE-spanning-tree', False),
                ]),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.SpanningTree.Loopguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.SpanningTree.Loopguard',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable loopguard by default on all ports
                ''',
                'default',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'loopguard',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.SpanningTree.Mst' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.SpanningTree.Mst',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                <1-200000000> Spanning-tree cost
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MST instance list, example 0,2-4,6,8-12
                ''',
                'instance',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                <0-240> port priority in increments of 16
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('pre-standard', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force pre-standard MST BPDU transmission on port
                ''',
                'pre_standard',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'mst',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.SpanningTree.BpdufilterEnum' : _MetaInfoEnum('BpdufilterEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'disable':'disable',
            'enable':'enable',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.Gigabitethernet.SpanningTree.GuardEnum' : _MetaInfoEnum('GuardEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'loop':'loop',
            'none':'none',
            'root':'root',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.Gigabitethernet.SpanningTree.LinkTypeEnum' : _MetaInfoEnum('LinkTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'none':'none',
            'point-to-point':'point_to_point',
            'root':'root',
            'shared':'shared',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.Gigabitethernet.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpdufilter', REFERENCE_ENUM_CLASS, 'BpdufilterEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SpanningTree.BpdufilterEnum', 
                [], [], 
                '''                Don't send or receive BPDUs on this interface
                ''',
                'bpdufilter',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                To set the path cost of the interface
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('guard', REFERENCE_ENUM_CLASS, 'GuardEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SpanningTree.GuardEnum', 
                [], [], 
                '''                Change an interface's spanning tree guard mode
                ''',
                'guard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'LinkTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SpanningTree.LinkTypeEnum', 
                [], [], 
                '''                Specify a link type for spanning tree tree protocol use
                ''',
                'link_type',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('loopguard', REFERENCE_CLASS, 'Loopguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SpanningTree.Loopguard', 
                [], [], 
                '''                Spanning tree loopguard options
                ''',
                'loopguard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('mst', REFERENCE_CLASS, 'Mst' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SpanningTree.Mst', 
                [], [], 
                '''                Per interface MST configurations
                ''',
                'mst',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                Spanning tree port-priority options
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SpanningTree.Portfast', 
                [], [], 
                '''                Spanning tree portfast options
                ''',
                'portfast',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SpanningTree.Vlan', 
                [], [], 
                '''                VLAN Switch Spanning Tree
                ''',
                'vlan',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Auto.Qos.Classify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Auto.Qos.Classify',
            False, 
            [
            _MetaInfoClassMember('police', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure QoS policing for untrusted devices
                ''',
                'police',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'classify',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Auto.Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Auto.Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the CoS marking
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP marking
                ''',
                'dscp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Auto.Qos.Video' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Auto.Qos.Video',
            False, 
            [
            _MetaInfoClassMember('cts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Cisco Telepresence System
                ''',
                'cts',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ip-camera', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Ip Video Surveillance camera
                ''',
                'ip_camera',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('media-player', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Qos marking of the Cisco Media Player
                ''',
                'media_player',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'video',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Auto.Qos.Voip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Auto.Qos.Voip',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP Phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('cisco-softphone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP SoftPhone
                ''',
                'cisco_softphone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Auto.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Auto.Qos',
            False, 
            [
            _MetaInfoClassMember('classify', REFERENCE_CLASS, 'Classify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Auto.Qos.Classify', 
                [], [], 
                '''                Configure classification for untrusted devices
                ''',
                'classify',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Auto.Qos.Trust', 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('video', REFERENCE_CLASS, 'Video' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Auto.Qos.Video', 
                [], [], 
                '''                Configure AutoQoS for video devices
                ''',
                'video',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voip', REFERENCE_CLASS, 'Voip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Auto.Qos.Voip', 
                [], [], 
                '''                Configure AutoQoS for VoIP
                ''',
                'voip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Auto',
            False, 
            [
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Auto.Qos', 
                [], [], 
                '''                Configure AutoQoS
                ''',
                'qos',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Datalink.Flow.Monitor.InputOutputEnum' : _MetaInfoEnum('InputOutputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Gigabitethernet.Datalink.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Datalink.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('input-output', REFERENCE_ENUM_CLASS, 'InputOutputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Datalink.Flow.Monitor.InputOutputEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'input_output',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('User-defined-flow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'user_defined_flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Datalink.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Datalink.Flow',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Datalink.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Datalink' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Datalink',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Datalink.Flow', 
                [], [], 
                '''                Interface Flow configuration subcommands
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'datalink',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Energywise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Energywise',
            False, 
            [
            _MetaInfoClassMember('activitycheck', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply an activity check before turning off power 
                  to this PoE port
                ''',
                'activitycheck',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'energywise',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Location.CivicLocationId.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Location.CivicLocationId.Host',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Location.CivicLocationId.None_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Location.CivicLocationId.None_',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'none',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Location.CivicLocationId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Location.CivicLocationId',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Location.CivicLocationId.Host', 
                [], [], 
                '''                Globally defined host location identifer
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('location-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                civic location identifier string
                ''',
                'location_identifier',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('none', REFERENCE_CLASS, 'None_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Location.CivicLocationId.None_', 
                [], [], 
                '''                No globally defined location identifer
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'civic-location-id',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Location' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Location',
            False, 
            [
            _MetaInfoClassMember('civic-location-id', REFERENCE_CLASS, 'CivicLocationId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Location.CivicLocationId', 
                [], [], 
                '''                Civic location information
                ''',
                'civic_location_id',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'location',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum' : _MetaInfoEnum('ApplyToEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Gigabitethernet.Mac.AccessGroup.AclName' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mac.AccessGroup.AclName',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('apply-to', REFERENCE_ENUM_CLASS, 'ApplyToEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum', 
                [], [], 
                '''                ''',
                'apply_to',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ACL-name',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mac.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mac.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('ACL-name', REFERENCE_CLASS, 'AclName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mac.AccessGroup.AclName', 
                [], [], 
                '''                ACL name
                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Mac',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mac.AccessGroup', 
                [], [], 
                '''                MAC access-group configuration commands
                ''',
                'access_group',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Macro.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Macro.Auto',
            False, 
            [
            _MetaInfoClassMember('processing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable smartport macro auto execution on this interface
                ''',
                'processing',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Macro' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Macro',
            False, 
            [
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Macro.Auto', 
                [], [], 
                '''                Smartport interface macro configurations
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Macro description for this interface
                ''',
                'description',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macro',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.DualActive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.DualActive',
            False, 
            [
            _MetaInfoClassMember('fast-hello', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'fast_hello',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dual-active',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Lldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Lldp',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP reception on interface
                ''',
                'receive',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP transmission on interface
                ''',
                'transmit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'lldp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.LoadBalancing' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.LoadBalancing',
            False, 
            [
            _MetaInfoClassMember('flow', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the traffic flows identified by the packet headers
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the VLAN to member links manual configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'load-balancing',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.VlanRange.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.VlanRange.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.VlanRange',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-switch', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4096')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                ]),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.VlanRange.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switch.Virtual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switch.Virtual',
            False, 
            [
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'virtual',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Switch',
            False, 
            [
            _MetaInfoClassMember('virtual', REFERENCE_CLASS, 'Virtual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switch.Virtual', 
                [], [], 
                '''                ''',
                'virtual',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Shape' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Shape',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Share' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Share',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'share',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.SrrQueue.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.SrrQueue.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Shape', 
                [], [], 
                '''                ''',
                'shape',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('share', REFERENCE_CLASS, 'Share' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Share', 
                [], [], 
                '''                ''',
                'share',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.SrrQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.SrrQueue',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SrrQueue.Bandwidth', 
                [], [], 
                '''                ''',
                'bandwidth',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'srr-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Macsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Macsec',
            False, 
            [
            _MetaInfoClassMember('network-link', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable macsec on switch connected interface
                ''',
                'network_link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macsec',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.DeviceTracking' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.DeviceTracking',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature device-tracking
                ''',
                'attach_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'device-tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Udld.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Udld.Port',
            False, 
            [
            _MetaInfoClassMember('aggressive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                ''',
                'aggressive',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable UDLD protocol on this interface despite global UDLD setting
                ''',
                'disable',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.Udld' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.Udld',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Udld.Port', 
                [], [], 
                '''                Enable UDLD protocol on this interface despite global UDLD setting
                ''',
                'port',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'udld',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.ZoneMember' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet.ZoneMember',
            False, 
            [
            _MetaInfoClassMember('security', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Security zone
                ''',
                'security',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-zone',
            'zone-member',
            _yang_ns._namespaces['Cisco-IOS-XE-zone'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Gigabitethernet.ChannelProtocolEnum' : _MetaInfoEnum('ChannelProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lacp':'lacp',
            'pagp':'pagp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.DuplexEnum' : _MetaInfoEnum('DuplexEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'full':'full',
            'half':'half',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Gigabitethernet.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.MediaTypeEnum' : _MetaInfoEnum('MediaTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto-select':'auto_select',
            'rj45':'rj45',
            'sfp':'sfp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.PortTypeEnum' : _MetaInfoEnum('PortTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nni':'nni',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Gigabitethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Gigabitethernet',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Authentication', 
                [], [], 
                '''                Auth Manager Interface Configuration Commands
                ''',
                'authentication',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Auto', 
                [], [], 
                '''                Configure Automation
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('carrier-delay', REFERENCE_CLASS, 'CarrierDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.CarrierDelay', 
                [], [], 
                '''                Specify delay for interface transitions
                ''',
                'carrier_delay',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cdp', REFERENCE_CLASS, 'Cdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cdp', 
                [], [], 
                '''                CDP interface subcommands
                ''',
                'cdp',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('channel-group', REFERENCE_CLASS, 'ChannelGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ChannelGroup', 
                [], [], 
                '''                Add this interface to an Etherchannel group
                ''',
                'channel_group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('channel-protocol', REFERENCE_ENUM_CLASS, 'ChannelProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ChannelProtocolEnum', 
                [], [], 
                '''                Select the channel protocol (LACP, PAgP)
                ''',
                'channel_protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('crypto', REFERENCE_CLASS, 'Crypto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Crypto', 
                [], [], 
                '''                Encryption/Decryption commands
                ''',
                'crypto',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Cts', 
                [], [], 
                '''                Configure Cisco Trusted Security
                ''',
                'cts',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('datalink', REFERENCE_CLASS, 'Datalink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Datalink', 
                [], [], 
                '''                Interface Datalink commands
                ''',
                'datalink',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('device-tracking', REFERENCE_CLASS, 'DeviceTracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.DeviceTracking', 
                [], [], 
                '''                Configure device-tracking on the interface
                ''',
                'device_tracking',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dot1x', REFERENCE_CLASS, 'Dot1X' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Dot1X', 
                [], [], 
                '''                Interface Config Commands for IEEE 802.1X
                ''',
                'dot1x',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('dual-active', REFERENCE_CLASS, 'DualActive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.DualActive', 
                [], [], 
                '''                ''',
                'dual_active',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'DuplexEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.DuplexEnum', 
                [], [], 
                '''                Configure duplex operation.
                ''',
                'duplex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('energywise', REFERENCE_CLASS, 'Energywise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Energywise', 
                [], [], 
                '''                EnergyWise interface configurations
                ''',
                'energywise',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ethernet', 
                [], [], 
                '''                Ethernet interface parameters
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('lldp', REFERENCE_CLASS, 'Lldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Lldp', 
                [], [], 
                '''                LLDP interface subcommands
                ''',
                'lldp',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-balancing', REFERENCE_CLASS, 'LoadBalancing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.LoadBalancing', 
                [], [], 
                '''                Etherchannel Load-Balancing
                ''',
                'load_balancing',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('location', REFERENCE_CLASS, 'Location' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Location', 
                [], [], 
                '''                Interface location information
                ''',
                'location',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mab', REFERENCE_CLASS, 'Mab' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mab', 
                [], [], 
                '''                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mac', 
                [], [], 
                '''                MAC interface commands
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macro', REFERENCE_CLASS, 'Macro' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Macro', 
                [], [], 
                '''                Command macro
                ''',
                'macro',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macsec', REFERENCE_CLASS, 'Macsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Macsec', 
                [], [], 
                '''                Enable macsec on the interface
                ''',
                'macsec',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('media-type', REFERENCE_ENUM_CLASS, 'MediaTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.MediaTypeEnum', 
                [], [], 
                '''                Media type
                ''',
                'media_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mka', REFERENCE_CLASS, 'Mka' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mka', 
                [], [], 
                '''                MACsec Key Agreement (MKA) interface configuration
                ''',
                'mka',
                'Cisco-IOS-XE-mka', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiation', REFERENCE_CLASS, 'Negotiation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Negotiation', 
                [], [], 
                '''                Select autonegotiation mode
                ''',
                'negotiation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Ospfv3', 
                [], [], 
                '''                OSPFv3 interface commands
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('performance', REFERENCE_CLASS, 'Performance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Performance', 
                [], [], 
                '''                Global performance monitor configuration
                ''',
                'performance',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('plim', REFERENCE_CLASS, 'Plim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Plim', 
                [], [], 
                '''                Configure features on the PLIM
                ''',
                'plim',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-type', REFERENCE_ENUM_CLASS, 'PortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.PortTypeEnum', 
                [], [], 
                '''                ''',
                'port_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power', REFERENCE_CLASS, 'Power' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Power', 
                [], [], 
                '''                ''',
                'power',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('pppoe', REFERENCE_CLASS, 'Pppoe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Pppoe', 
                [], [], 
                '''                pppoe interface subcommands
                ''',
                'pppoe',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Service', 
                [], [], 
                '''                Configure Ether Service
                ''',
                'service',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Snmp', 
                [], [], 
                '''                Modify SNMP interface parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('speed', REFERENCE_CLASS, 'Speed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Speed', 
                [], [], 
                '''                Configure speed operation
                ''',
                'speed',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('srr-queue', REFERENCE_CLASS, 'SrrQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SrrQueue', 
                [], [], 
                '''                ''',
                'srr_queue',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switch', 
                [], [], 
                '''                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Synchronous', 
                [], [], 
                '''                Synchronous
                ''',
                'synchronous',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('udld', REFERENCE_CLASS, 'Udld' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Udld', 
                [], [], 
                '''                Configure UDLD enabled or disabled and ignore global UDLD setting
                ''',
                'udld',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_LIST, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('zone-member', REFERENCE_CLASS, 'ZoneMember' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet.ZoneMember', 
                [], [], 
                '''                Apply zone name
                ''',
                'zone_member',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-native',
            'GigabitEthernet',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Lacp.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Lacp.Rate',
            False, 
            [
            _MetaInfoClassMember('fast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request LACP packets to be ingressed at the 1 second rate for this interface
                ''',
                'fast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Lacp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Lacp',
            False, 
            [
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Lacp.Rate', 
                [], [], 
                '''                Rate at which the LACP packets are requested to be ingressed to this interface
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'lacp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Access.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Tengigabitethernet.Switchport.Access.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Access.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Access.Vlan', 
                [], [], 
                '''                Set VLAN when interface is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown multicast addresses
                ''',
                'multicast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Mode.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Mode.Access',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Mode.Dot1QTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Mode.Dot1QTunnel',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'dot1q-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Mode.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Mode.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('promiscuous', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan promiscuous
                ''',
                'promiscuous',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Mode.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Mode.Trunk',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Mode.DynamicEnum' : _MetaInfoEnum('DynamicEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'desirable':'desirable',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Tengigabitethernet.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Mode.Access', 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dot1q-tunnel', REFERENCE_CLASS, 'Dot1QTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Mode.Dot1QTunnel', 
                [], [], 
                '''                set trunking mode to TUNNEL unconditionally
                ''',
                'dot1q_tunnel',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dynamic', REFERENCE_ENUM_CLASS, 'DynamicEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Mode.DynamicEnum', 
                [], [], 
                '''                Set trunking mode to dynamically negotiate access or trunk mode
                ''',
                'dynamic',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Mode.PrivateVlan', 
                [], [], 
                '''                Set private-vlan mode
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Mode.Trunk', 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Aging.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'absolute':'absolute',
            'inactivity':'inactivity',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Aging.TypeEnum', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.PortSecurity.MacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.PortSecurity.MacAddress',
            False, 
            [
            _MetaInfoClassMember('hw-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                ''',
                'hw_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sticky', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic secure addresses as sticky
                ''',
                'sticky',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                set VLAN ID of the VLAN on which this address can be learned
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('max-addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '4097')], [], 
                '''                ''',
                'max_addresses',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.PortSecurity.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Tengigabitethernet.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address', REFERENCE_CLASS, 'MacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PortSecurity.MacAddress', 
                [], [], 
                '''                Secure mac address
                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PortSecurity.ViolationEnum', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                all VLANs
                ''',
                'all',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed.Vlan', 
                [], [], 
                '''                Set allowed VLANs when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'allowed',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Trunk.Native_.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'tag':'tag',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Tengigabitethernet.Switchport.Trunk.Native_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Trunk.Native_',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set native VLAN when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum', 
                        [], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'native',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning.Vlan', 
                [], [], 
                '''                Set VLANs enabled for pruning when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pruning',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Trunk.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1q':'dot1q',
            'isl':'isl',
            'negotiate':'negotiate',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Tengigabitethernet.Switchport.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Trunk',
            False, 
            [
            _MetaInfoClassMember('allowed', REFERENCE_CLASS, 'Allowed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed', 
                [], [], 
                '''                Set allowed VLAN characteristics when interface is in trunking mode
                ''',
                'allowed',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Trunk.EncapsulationEnum', 
                [], [], 
                '''                Set encapsulation format on trunk port
                ''',
                'encapsulation',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('native', REFERENCE_CLASS, 'Native_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Trunk.Native_', 
                [], [], 
                '''                Set trunking native characteristics when interface is in trunking mode
                ''',
                'native',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pruning', REFERENCE_CLASS, 'Pruning' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning', 
                [], [], 
                '''                Set pruning VLAN characteristics when interface is in trunking mode
                ''',
                'pruning',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Voice.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1p':'dot1p',
            'none':'none',
            'untagged':'untagged',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Tengigabitethernet.Switchport.Voice.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Voice.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Voice.Detect.CiscoPhone' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Voice.Detect.CiscoPhone',
            False, 
            [
            _MetaInfoClassMember('full-duplex', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                full duplex keyword
                ''',
                'full_duplex',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'cisco-phone',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Voice.Detect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Voice.Detect',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', REFERENCE_CLASS, 'CiscoPhone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Voice.Detect.CiscoPhone', 
                [], [], 
                '''                Cisco IP phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'detect',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('detect', REFERENCE_CLASS, 'Detect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Voice.Detect', 
                [], [], 
                '''                detection enhancement keyword
                ''',
                'detect',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Voice.Vlan', 
                [], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Priority.Extend' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Priority.Extend',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Override 802.1p priority of devices on appliance
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust 802.1p priorities of devices on appliance
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'extend',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Priority',
            False, 
            [
            _MetaInfoClassMember('extend', REFERENCE_CLASS, 'Extend' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Priority.Extend', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'extend',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.Autostate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.Autostate',
            False, 
            [
            _MetaInfoClassMember('exclude', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude this port from vlan link up calculation
                ''',
                'exclude',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'autostate',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Host',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Host', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.HostAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.HostAssociation',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host-association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association', 
                [], [], 
                '''                Set the private VLAN association
                ''',
                'association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host-association', REFERENCE_CLASS, 'HostAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.HostAssociation', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host_association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport.DeviceTracking' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport.DeviceTracking',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature device-tracking
                ''',
                'attach_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'device-tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('autostate', REFERENCE_CLASS, 'Autostate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Autostate', 
                [], [], 
                '''                Include or exclude this port from vlan link up calculation
                ''',
                'autostate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('device-tracking', REFERENCE_CLASS, 'DeviceTracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.DeviceTracking', 
                [], [], 
                '''                Configure device-tracking on the interface
                ''',
                'device_tracking',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set port host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Priority', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'priority',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.PrivateVlan', 
                [], [], 
                '''                Set the private VLAN configuration
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an interface to be a protected port
                ''',
                'protected',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Trunk', 
                [], [], 
                '''                Set trunking characteristics of the interface
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.AdjacencyFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.AdjacencyFilter',
            False, 
            [
            _MetaInfoClassMember('match-all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match all area addresses
                ''',
                'match_all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'adjacency-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Advertise',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interface IP address
                ''',
                'prefix',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Md5',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Text' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Text',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'text',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Md5', 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('text', REFERENCE_CLASS, 'Text' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Text', 
                [], [], 
                '''                Clear text password
                ''',
                'text',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain.KeyChainList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain.KeyChainList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('key-chain-list', REFERENCE_LIST, 'KeyChainList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain.KeyChainList', 
                [], [], 
                '''                ''',
                'key_chain_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Authentication.SendOnly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Authentication.SendOnly',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'send-only',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain', 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Authentication.Mode', 
                [], [], 
                '''                Authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('send-only', REFERENCE_CLASS, 'SendOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Authentication.SendOnly', 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.CircuitType.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2-only':'level_2_only',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.CircuitType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.CircuitType',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.CircuitType.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'circuit-type',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.CsnpInterval.CsnpIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.CsnpInterval.CsnpIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.CsnpInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.CsnpInterval',
            False, 
            [
            _MetaInfoClassMember('csnp-interval-list', REFERENCE_LIST, 'CsnpIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.CsnpInterval.CsnpIntervalList', 
                [], [], 
                '''                ''',
                'csnp_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never pad hello packets if no prefix present
                ''',
                'always',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello packets
                ''',
                'padding',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.HelloInterval.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-list', REFERENCE_LIST, 'HelloIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList', 
                [], [], 
                '''                ''',
                'hello_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.HelloMultiplier.HelloMultiplierList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.HelloMultiplier.HelloMultiplierList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.HelloMultiplier' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.HelloMultiplier',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier-list', REFERENCE_LIST, 'HelloMultiplierList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.HelloMultiplier.HelloMultiplierList', 
                [], [], 
                '''                ''',
                'hello_multiplier_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Ipv6',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IPv6 route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Password.PasswordList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.Password.PasswordList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Password.PasswordList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Password.PasswordList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Password' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Password',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password-list', REFERENCE_LIST, 'PasswordList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Password.PasswordList', 
                [], [], 
                '''                ''',
                'password_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Priority.PriorityList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.Priority.PriorityList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Priority.PriorityList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Priority.PriorityList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-list', REFERENCE_LIST, 'PriorityList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Priority.PriorityList', 
                [], [], 
                '''                ''',
                'priority_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.ThreeWayHandshake.ImplementorEnum' : _MetaInfoEnum('ImplementorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco':'cisco',
            'ietf':'ietf',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.ThreeWayHandshake' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis.ThreeWayHandshake',
            False, 
            [
            _MetaInfoClassMember('implementor', REFERENCE_ENUM_CLASS, 'ImplementorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.ThreeWayHandshake.ImplementorEnum', 
                [], [], 
                '''                ''',
                'implementor',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'three-way-handshake',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Isis.MeshGroupEnum' : _MetaInfoEnum('MeshGroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'blocked':'blocked',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tengigabitethernet.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Isis',
            False, 
            [
            _MetaInfoClassMember('adjacency-filter', REFERENCE_CLASS, 'AdjacencyFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.AdjacencyFilter', 
                [], [], 
                '''                Filter IS-IS adjacencies
                ''',
                'adjacency_filter',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Advertise', 
                [], [], 
                '''                Control addresses advertisements in LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('circuit-type', REFERENCE_CLASS, 'CircuitType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.CircuitType', 
                [], [], 
                '''                Configure circuit type for interface
                ''',
                'circuit_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('csnp-interval', REFERENCE_CLASS, 'CsnpInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.CsnpInterval', 
                [], [], 
                '''                Set CSNP interval in seconds
                ''',
                'csnp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Hello', 
                [], [], 
                '''                Add padding to IS-IS hello packets
                ''',
                'hello',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.HelloInterval', 
                [], [], 
                '''                Set Hello interval in seconds
                ''',
                'hello_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-multiplier', REFERENCE_CLASS, 'HelloMultiplier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.HelloMultiplier', 
                [], [], 
                '''                Set multiplier for Hello holding time
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Ipv6', 
                [], [], 
                '''                IPv6 interface configuration
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set LSP transmission interval
                ''',
                'lsp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mesh-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set ISIS mesh group
                ''',
                'mesh_group',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('mesh-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('mesh-group', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum', 
                        [], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Password', 
                [], [], 
                '''                Configure the authentication password for interface
                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.Priority', 
                [], [], 
                '''                Set priority for Designated Router election
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.ProtocolEnum', 
                [], [], 
                '''                Set ISIS protocol's state under current interface
                ''',
                'protocol',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set per-LSP retransmission interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-throttle-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set interface LSP retransmission interval
                ''',
                'retransmit_throttle_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IP route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('three-way-handshake', REFERENCE_CLASS, 'ThreeWayHandshake' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis.ThreeWayHandshake', 
                [], [], 
                '''                Select Cisco or IETF three-way handshake
                ''',
                'three_way_handshake',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Bfd.Interval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Bfd.Interval',
            False, 
            [
            _MetaInfoClassMember('min_rx', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                Minimum receive interval capability
                ''',
                'min_rx',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('msecs', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                ''',
                'msecs',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('3', '50')], [], 
                '''                Multiplier value used to compute holddown
                ''',
                'multiplier',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'interval',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Bfd',
            False, 
            [
            _MetaInfoClassMember('echo', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use echo adjunct as bfd detection mechanism
                ''',
                'echo',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('interval', REFERENCE_CLASS, 'Interval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Bfd.Interval', 
                [], [], 
                '''                Transmit interval between BFD packets
                ''',
                'interval',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD template
                ''',
                'template',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mpls.Accounting.Experimental' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mpls.Accounting.Experimental',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                received packets
                ''',
                'input',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmitted packets
                ''',
                'output',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'experimental',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mpls.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mpls.Accounting',
            False, 
            [
            _MetaInfoClassMember('experimental', REFERENCE_CLASS, 'Experimental' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mpls.Accounting.Experimental', 
                [], [], 
                '''                Count packets by MPLS experimental value on this interface
                ''',
                'experimental',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mpls.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mpls.Bgp',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure MPLS forwarding for directly connected BGP peers
                ''',
                'forwarding',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mpls.Label.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'ldp':'ldp',
            'tdp':'tdp',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Interface.Tengigabitethernet.Mpls.Label' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mpls.Label',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mpls.Label.ProtocolEnum', 
                [], [], 
                '''                Configure label/tag distribution protocol (LDP/TDP)
                ''',
                'protocol',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mpls.Ldp.Discovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mpls.Ldp.Discovery',
            False, 
            [
            _MetaInfoClassMember('transport-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify interface LDP transport address
                ''',
                'transport_address',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('transport-address', REFERENCE_ENUM_CLASS, 'LdpDiscoveryAddressTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls', 'LdpDiscoveryAddressTypeEnum', 
                        [], [], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('transport-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mpls.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mpls.Ldp',
            False, 
            [
            _MetaInfoClassMember('discovery', REFERENCE_CLASS, 'Discovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mpls.Ldp.Discovery', 
                [], [], 
                '''                Configure interface LDP Discovery parameters
                ''',
                'discovery',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding.Thresholds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding.Thresholds',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for decreased resource availability
                ''',
                'down',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('up', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for increased resource availability
                ''',
                'up',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'thresholds',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding',
            False, 
            [
            _MetaInfoClassMember('thresholds', REFERENCE_CLASS, 'Thresholds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding.Thresholds', 
                [], [], 
                '''                Set flooding thresholds
                ''',
                'thresholds',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'flooding',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('administrative-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set the administrative weight for the interface
                ''',
                'administrative_weight',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('attribute-flags', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set user-defined interface attibute flags
                ''',
                'attribute_flags',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('backup-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure an MPLS TE backup for this interface
                ''',
                'backup_path',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('flooding', REFERENCE_CLASS, 'Flooding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding', 
                [], [], 
                '''                Set flooding parameters
                ''',
                'flooding',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tunnels', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable MPLS Traffic Engineering tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mpls',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mpls.Accounting', 
                [], [], 
                '''                Enable MPLS accounting on this interface
                ''',
                'accounting',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mpls.Bgp', 
                [], [], 
                '''                MPLS BGP
                ''',
                'bgp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic MPLS forwarding for IP
                ''',
                'ip',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mpls.Label', 
                [], [], 
                '''                Label properties
                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mpls.Ldp', 
                [], [], 
                '''                Configure Label Distribution Protocol (LDP) parameters
                ''',
                'ldp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('mtu', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set MPLS Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('1501', '1524')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '1500')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '9216')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mpls.TrafficEng', 
                [], [], 
                '''                Configure Traffic Engineering parameters
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Pim.AcceptRegister' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Pim.AcceptRegister',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'accept-register',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Pim.QueryInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Pim.QueryInterval',
            False, 
            [
            _MetaInfoClassMember('milliseconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '65535')], [], 
                '''                ''',
                'milliseconds_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Query interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('seconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '18725')], [], 
                '''                ''',
                'seconds_interval',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'query-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Pim.SparseModeEnum' : _MetaInfoEnum('SparseModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sparse-dense-mode':'sparse_dense_mode',
            'sparse-mode':'sparse_mode',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Tengigabitethernet.Ip.Pim.SptThresholdEnum' : _MetaInfoEnum('SptThresholdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Tengigabitethernet.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Pim',
            False, 
            [
            _MetaInfoClassMember('accept-register', REFERENCE_CLASS, 'AcceptRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Pim.AcceptRegister', 
                [], [], 
                '''                ''',
                'accept_register',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM router DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('nbma-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable PIM nbma-mode operation
                ''',
                'nbma_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('query-interval', REFERENCE_CLASS, 'QueryInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Pim.QueryInterval', 
                [], [], 
                '''                PIM router query interval
                ''',
                'query_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sparse-mode', REFERENCE_ENUM_CLASS, 'SparseModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Pim.SparseModeEnum', 
                [], [], 
                '''                ''',
                'sparse_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold', REFERENCE_ENUM_CLASS, 'SptThresholdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Pim.SptThresholdEnum', 
                [], [], 
                '''                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Client' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Client',
            False, 
            [
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify hostname to use
                ''',
                'hostname',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.CheckReply' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.CheckReply',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'check-reply',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Subscriber identifier sub option
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option-insert',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum' : _MetaInfoEnum('PolicyActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
            'encapsulate':'encapsulate',
            'keep':'keep',
            'replace':'replace',
        }, 'Cisco-IOS-XE-dhcp', _yang_ns._namespaces['Cisco-IOS-XE-dhcp']),
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('check-reply', REFERENCE_CLASS, 'CheckReply' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.CheckReply', 
                [], [], 
                '''                Validate relay information in BOOTREPLY
                ''',
                'check_reply',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option-insert', REFERENCE_CLASS, 'OptionInsert' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert', 
                [], [], 
                '''                Insert relay information in BOOTREQUEST
                ''',
                'option_insert',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('policy-action', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum', 
                [], [], 
                '''                Define reforwarding policy
                ''',
                'policy_action',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Received DHCP packet may contain relay info option with zero giaddr
                ''',
                'trusted',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set source interface for relayed messages
                ''',
                'source_interface',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP Snooping limit
                ''',
                'rate',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [(3, 63)], [], 
                '''                User defined string for circuit id
                ''',
                'string',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType',
            False, 
            [
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId', 
                [], [], 
                '''                Circuit id option 82 format
                ''',
                'circuit_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'format-type',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option',
            False, 
            [
            _MetaInfoClassMember('format-type', REFERENCE_CLASS, 'FormatType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType', 
                [], [], 
                '''                Option 82 information format
                ''',
                'format_type',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option', 
                [], [], 
                '''                DHCP Snooping information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information', 
                [], [], 
                '''                DHCP Snooping information
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP Snooping trust config
                ''',
                'trust',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan', 
                [], [], 
                '''                DHCP Snooping vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-dhcp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-dhcp',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Client', 
                [], [], 
                '''                DHCP client configuration
                ''',
                'client',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay configuration parameters
                ''',
                'relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.Tengigabitethernet.Ip.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.Groups.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '*':'Y__STAR__',
        }, 'Cisco-IOS-XE-igmp', _yang_ns._namespaces['Cisco-IOS-XE-igmp']),
    'Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.Groups' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.Groups',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-igmp', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum', 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                ]),
            ],
            'Cisco-IOS-XE-igmp',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.ClassMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.ClassMap',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-igmp', True),
            ],
            'Cisco-IOS-XE-igmp',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.ClassMap', 
                [], [], 
                '''                Class map of type multicast-flows
                ''',
                'class_map',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('groups', REFERENCE_LIST, 'Groups' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.Groups', 
                [], [], 
                '''                ''',
                'groups',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'static-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Igmp.JoinGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Igmp.JoinGroup',
            False, 
            [
            _MetaInfoClassMember('ip-group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP group address
                ''',
                'ip_group_address',
                'Cisco-IOS-XE-igmp', True),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP source address
                ''',
                'source',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'join-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Igmp',
            False, 
            [
            _MetaInfoClassMember('join-group', REFERENCE_LIST, 'JoinGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Igmp.JoinGroup', 
                [], [], 
                '''                IGMP join multicast group
                ''',
                'join_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('static-group', REFERENCE_CLASS, 'StaticGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup', 
                [], [], 
                '''                IGMP static multicast group
                ''',
                'static_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Lisp',
            False, 
            [
            _MetaInfoClassMember('source-locator', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Choose IP source address for LISP packets egressing this interface
                ''',
                'source_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Nat' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Nat',
            False, 
            [
            _MetaInfoClassMember('allow-static-host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow static-ip clients
                ''',
                'allow_static_host',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Address Translation (NVI)
                ''',
                'enable',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('inside', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inside interface for address translation
                ''',
                'inside',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('outside', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outside interface for address translation
                ''',
                'outside',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'nat',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum' : _MetaInfoEnum('Ipv4Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Interface.Tengigabitethernet.Ip.Nbar.ProtocolDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Nbar.ProtocolDiscovery',
            False, 
            [
            _MetaInfoClassMember('ipv4-ipv6', REFERENCE_ENUM_CLASS, 'Ipv4Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum', 
                [], [], 
                '''                ''',
                'ipv4_ipv6',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'protocol-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Nbar' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Nbar',
            False, 
            [
            _MetaInfoClassMember('protocol-discovery', REFERENCE_CLASS, 'ProtocolDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Nbar.ProtocolDiscovery', 
                [], [], 
                '''                Enable protocol discovery for both ipv4 and ipv6
                ''',
                'protocol_discovery',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'nbar',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not include secondary IP addresses
                ''',
                'none',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('secondaries', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include or exclude secondary IP addresses
                ''',
                'secondaries',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outgoing LSA
                ''',
                'out',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval.Minimal' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval.Minimal',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set multiplier for Hellos
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'minimal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('minimal', REFERENCE_CLASS, 'Minimal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval.Minimal', 
                [], [], 
                '''                Set to 1 second
                ''',
                'minimal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'candidate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix',
            False, 
            [
            _MetaInfoClassMember('candidate', REFERENCE_CLASS, 'Candidate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate', 
                [], [], 
                '''                If interface can be protecting
                ''',
                'candidate',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection', 
                [], [], 
                '''                If interface can be protected
                ''',
                'protection',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'per-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute',
            False, 
            [
            _MetaInfoClassMember('per-prefix', REFERENCE_CLASS, 'PerPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix', 
                [], [], 
                '''                Per-prefix LFA FRR parameters
                ''',
                'per_prefix',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.Lls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.Lls',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable LLS
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lls',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('diable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable TTL security check
                ''',
                'diable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Ospf.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'broadcast':'broadcast',
            'non-broadcast':'non_broadcast',
            'point-to-multipoint':'point_to_multipoint',
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ip.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval', 
                [], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute', 
                [], [], 
                '''                LFA FastReroute parameters
                ''',
                'fast_reroute',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('lls', REFERENCE_CLASS, 'Lls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.Lls', 
                [], [], 
                '''                Link-local Signaling (LLS) support
                ''',
                'lls',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('resync-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which adjacency is reset if oob-resync is not started
                ''',
                'resync_timeout',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set OSPF protocol's state to disable under current interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect.Exclude' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect.Exclude',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude inbound packets from outbound redirection
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'exclude',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect',
            False, 
            [
            _MetaInfoClassMember('exclude', REFERENCE_CLASS, 'Exclude' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect.Exclude', 
                [], [], 
                '''                Exclude packets from redirection
                ''',
                'exclude',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip.Wccp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip.Wccp',
            False, 
            [
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect', 
                [], [], 
                '''                Set packet redirection options
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf', 
                [], [], 
                '''                Configure WCCP for a VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Igmp', 
                [], [], 
                '''                IGMP interface commands
                ''',
                'igmp',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nat', REFERENCE_CLASS, 'Nat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Nat', 
                [], [], 
                '''                NAT interface commands
                ''',
                'nat',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('nbar', REFERENCE_CLASS, 'Nbar' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Nbar', 
                [], [], 
                '''                Network-Based Application Recognition
                ''',
                'nbar',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unreachables', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Unreachable messages
                ''',
                'unreachables',
                'Cisco-IOS-XE-icmp', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wccp', REFERENCE_CLASS, 'Wccp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip.Wccp', 
                [], [], 
                '''                WCCP IPv4 interface commands
                ''',
                'wccp',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Server',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Preference
                ''',
                'preference',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Guard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Guard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature DHCP Guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'guard',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Dhcp',
            False, 
            [
            _MetaInfoClassMember('guard', REFERENCE_CLASS, 'Guard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Guard', 
                [], [], 
                '''                Configure IPv6 DHCP guard on the interface
                ''',
                'guard',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Server', 
                [], [], 
                '''                Act as an IPv6 DHCP server
                ''',
                'server',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Nd.Raguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Nd.Raguard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature RA guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'raguard',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Nd.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Nd.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default_route',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert auto-configured prefix
                ''',
                'prefix',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra.Suppress',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress all IPv6 RA
                ''',
                'all',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra.Suppress', 
                [], [], 
                '''                Suppress IPv6 router-alert configuration
                ''',
                'suppress',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'ra',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Nd',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Nd.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('managed-config-flag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP for IPv6 address configuration
                ''',
                'managed_config_flag',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('ra', REFERENCE_CLASS, 'Ra' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra', 
                [], [], 
                '''                IPv6 nd router alert configuration
                ''',
                'ra',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('raguard', REFERENCE_CLASS, 'Raguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Nd.Raguard', 
                [], [], 
                '''                Configure RA guard on the interface
                ''',
                'raguard',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.NoPim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.NoPim',
            False, 
            [
            _MetaInfoClassMember('pim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'no-pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Pim.Bsr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Pim.Bsr',
            False, 
            [
            _MetaInfoClassMember('border', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Border of PIM BSR domain
                ''',
                'border',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Pim',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Pim.Bsr', 
                [], [], 
                '''                Configure BSR
                ''',
                'bsr',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Hello DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Process' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Process',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('instance', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('0', '31')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('32', '255')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Flood Reduction on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process', REFERENCE_LIST, 'Process' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Process', 
                [], [], 
                '''                ''',
                'process',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Rip.DefaultInformation.RouteEnum' : _MetaInfoEnum('RouteEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'only':'only',
            'originate':'originate',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Interface.Tengigabitethernet.Ipv6.Rip.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Rip.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '15')], [], 
                '''                Default route metric
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route', REFERENCE_ENUM_CLASS, 'RouteEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Rip.DefaultInformation.RouteEnum', 
                [], [], 
                '''                ''',
                'route',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Rip.DefaultInformation', 
                [], [], 
                '''                Configure handling of default route
                ''',
                'default_information',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/disable RIP routing
                ''',
                'enable',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-pim', REFERENCE_CLASS, 'NoPim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.NoPim', 
                [], [], 
                '''                ''',
                'no_pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.Rip', 
                [], [], 
                '''                Configure RIP routing protocol
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unreachables', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Unreachable messages
                ''',
                'unreachables',
                'Cisco-IOS-XE-icmp', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.CarrierDelay.Down' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.CarrierDelay.Down',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'down',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.CarrierDelay.Up' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.CarrierDelay.Up',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'up',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.CarrierDelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.CarrierDelay',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_CLASS, 'Down' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.CarrierDelay.Down', 
                [], [], 
                '''                Carrier Down Transitions
                ''',
                'down',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('up', REFERENCE_CLASS, 'Up' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.CarrierDelay.Up', 
                [], [], 
                '''                Carrier Up Transitions
                ''',
                'up',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'carrier-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.ChannelGroup.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'auto':'auto',
            'desirable':'desirable',
            'on':'on',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.ChannelGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.ChannelGroup',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                LACP auto
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('1', '4')], [], 
                '''                Assign a link identifier used for load-balancing
                ''',
                'link',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ChannelGroup.ModeEnum', 
                [], [], 
                '''                Etherchannel Mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('non-silent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start negotiation only after data packets received
                ''',
                'non_silent',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'channel-group',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame threshold in number of frames
                ''',
                'thresh',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold', 
                [], [], 
                '''                Errored frame threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '600')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('f-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame-period threshold in number of frames
                ''',
                'f_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame-period threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold', 
                [], [], 
                '''                Errored frame-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 10000 frames
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('e-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the high errored frame-seconds threshold in number of seconds
                ''',
                'e_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the low errored frame-seconds threshold in number of seconds
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('100', '9000')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-seconds',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action', 
                [], [], 
                '''                Specifiy an action when the high threshold is crossed
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('crc-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high received crc error threshold in number of frames
                ''',
                'crc_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low received crc error threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'receive-crc',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('err-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high error symbol-period threshold in number of symbols
                ''',
                'err_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low error symbol-period threshold in number of symbols
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold', 
                [], [], 
                '''                Error symbol-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 1048576 symbols
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'symbol-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor',
            False, 
            [
            _MetaInfoClassMember('frame', REFERENCE_CLASS, 'Frame' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame', 
                [], [], 
                '''                Errored frames in a period measured by time
                ''',
                'frame',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-period', REFERENCE_CLASS, 'FramePeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod', 
                [], [], 
                '''                Errored frames in a period measured by number of frames
                ''',
                'frame_period',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-seconds', REFERENCE_CLASS, 'FrameSeconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds', 
                [], [], 
                '''                Errored frame seconds in a period
                ''',
                'frame_seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('high-threshold', REFERENCE_CLASS, 'HighThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold', 
                [], [], 
                '''                Additional high threshold configuration
                ''',
                'high_threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable link monitoring on the interface
                ''',
                'on',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('receive-crc', REFERENCE_CLASS, 'ReceiveCrc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc', 
                [], [], 
                '''                Received frames with CRC errors in a period
                ''',
                'receive_crc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support link monitoring on the interface
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('symbol-period', REFERENCE_CLASS, 'SymbolPeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod', 
                [], [], 
                '''                Errored symbols in a period
                ''',
                'symbol_period',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'critical-event',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dying-gasp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-fault',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure',
            False, 
            [
            _MetaInfoClassMember('critical-event', REFERENCE_CLASS, 'CriticalEvent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent', 
                [], [], 
                '''                Critical event
                ''',
                'critical_event',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dying-gasp', REFERENCE_CLASS, 'DyingGasp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp', 
                [], [], 
                '''                Dying gasp
                ''',
                'dying_gasp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link-fault', REFERENCE_CLASS, 'LinkFault' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault', 
                [], [], 
                '''                Link fault
                ''',
                'link_fault',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-failure',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteLoopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteLoopback',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support remote loopback functionality
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set timeout value in number of seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet.Oam.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Ethernet.Oam' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet.Oam',
            False, 
            [
            _MetaInfoClassMember('link-monitor', REFERENCE_CLASS, 'LinkMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor', 
                [], [], 
                '''                Ethernet OAM Link Monitor
                ''',
                'link_monitor',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'max_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('min-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'min_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-failure', REFERENCE_CLASS, 'RemoteFailure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure', 
                [], [], 
                '''                Ethernet OAM remote failure indication
                ''',
                'remote_failure',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-loopback', REFERENCE_CLASS, 'RemoteLoopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteLoopback', 
                [], [], 
                '''                Ethernet OAM Remote Loopback
                ''',
                'remote_loopback',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('2', '30')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'oam',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ethernet',
            False, 
            [
            _MetaInfoClassMember('oam', REFERENCE_CLASS, 'Oam' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet.Oam', 
                [], [], 
                '''                To enable Ethernet Link OAM
                ''',
                'oam',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Negotiation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Negotiation',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable link autonegotiation
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'negotiation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Synchronous',
            False, 
            [
            _MetaInfoClassMember('mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mode
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Speed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Speed',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable AUTO speed configuration
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'nonegotiate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10 Mbps operation
                ''',
                'value_10',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-100', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                100 Mbps operation
                ''',
                'value_100',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-1000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                1000 Mbps operation
                ''',
                'value_1000',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10000 Mbps operation
                ''',
                'value_10000',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'speed',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan.Filter',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the interface to accept all VLAN traffic
                ''',
                'disable',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan.Filter', 
                [], [], 
                '''                Configure VLAN filtering
                ''',
                'filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Plim.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Plim.Ethernet',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan', 
                [], [], 
                '''                vlan specific features
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'zero',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'strict-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue',
            False, 
            [
            _MetaInfoClassMember('strict-priority', REFERENCE_CLASS, 'StrictPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority', 
                [], [], 
                '''                High priority queue
                ''',
                'strict_priority',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('zero', REFERENCE_CLASS, 'Zero' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero', 
                [], [], 
                '''                Low priority queue
                ''',
                'zero',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Plim.Qos.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Plim.Qos.Input',
            False, 
            [
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue', 
                [], [], 
                '''                Queue number
                ''',
                'queue',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Plim.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Plim.Qos',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Plim.Qos.Input', 
                [], [], 
                '''                Configure PLIM QoS at the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Plim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Plim',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Plim.Ethernet', 
                [], [], 
                '''                Configure features on the ethernet interface
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Plim.Qos', 
                [], [], 
                '''                QoS on the PLIM
                ''',
                'qos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'plim',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Pppoe.Enable.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Pppoe.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Pppoe.Enable',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                attach a BBA group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum', 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Pppoe' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Pppoe',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Pppoe.Enable', 
                [], [], 
                '''                Enable pppoe
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-sessions', ATTRIBUTE, 'int' , None, None, 
                [('1', '4085')], [], 
                '''                Maximum PPPOE sessions
                ''',
                'max_sessions',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pppoe',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' : _MetaInfoEnum('Dot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum', 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' : _MetaInfoEnum('SecondDot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum' : _MetaInfoEnum('VlanTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0x88A8':'Y_0x88A8',
            '0x9100':'Y_0x9100',
            '0x9200':'Y_0x9200',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('second-dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum', 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('vlan-type', REFERENCE_ENUM_CLASS, 'VlanTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum', 
                [], [], 
                '''                Vlan Protocol Type
                ''',
                'vlan_type',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged',
            False, 
            [
            _MetaInfoClassMember('cos-container', REFERENCE_CLASS, 'CosContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer', 
                [], [], 
                '''                ''',
                'cos_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'priority-tagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Untagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Untagged',
            False, 
            [
            ],
            'Cisco-IOS-XE-ethernet',
            'untagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                catch-all unconfigured encapsulation
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-tagged', REFERENCE_CLASS, 'PriorityTagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged', 
                [], [], 
                '''                Priority tagged EFP
                ''',
                'priority_tagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', REFERENCE_CLASS, 'Untagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Untagged', 
                [], [], 
                '''                Untagged encapsulation
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Ip.Acl',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP relay information option subscriber-id
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information
                ''',
                'information',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay
                ''',
                'relay',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source address
                ''',
                'source',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Ip',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp', 
                [], [], 
                '''                DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Ip.Verify', 
                [], [], 
                '''                verify
                ''',
                'verify',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Ipv6',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('traffic-filter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pop',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Push dot1q tag
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'push',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate',
            False, 
            [
            _MetaInfoClassMember('t1-to-1', REFERENCE_CLASS, 'T1To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1', 
                [], [], 
                '''                Translate 1-to-1
                ''',
                't1_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t1-to-2', REFERENCE_CLASS, 'T1To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2', 
                [], [], 
                '''                Translate 1-to-2
                ''',
                't1_to_2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-1', REFERENCE_CLASS, 'T2To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1', 
                [], [], 
                '''                Translate 2-to-1
                ''',
                't2_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-2', REFERENCE_CLASS, 'T2To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2', 
                [], [], 
                '''                Translate 2-to-2
                ''',
                't2_to_2',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag',
            False, 
            [
            _MetaInfoClassMember('pop', REFERENCE_CLASS, 'Pop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop', 
                [], [], 
                '''                Pop the tag
                ''',
                'pop',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('push', REFERENCE_CLASS, 'Push' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push', 
                [], [], 
                '''                Rewrite Operation of push
                ''',
                'push',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate', 
                [], [], 
                '''                Translate Tag
                ''',
                'translate',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress',
            False, 
            [
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag', 
                [], [], 
                '''                Configure Rewrite Tag
                ''',
                'tag',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ingress',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Rewrite',
            False, 
            [
            _MetaInfoClassMember('ingress', REFERENCE_CLASS, 'Ingress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress', 
                [], [], 
                '''                Ingress Rewrite
                ''',
                'ingress',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'rewrite',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery.Cause',
            False, 
            [
            _MetaInfoClassMember('mac-security', ATTRIBUTE, 'int' , None, None, 
                [('30', '86400')], [], 
                '''                mac-security violation
                ''',
                'mac_security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery.Cause', 
                [], [], 
                '''                error disable cause
                ''',
                'cause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Errdisable',
            False, 
            [
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery', 
                [], [], 
                '''                enable auto recovery
                ''',
                'recovery',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange',
            False, 
            [
            _MetaInfoClassMember('comma', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                comma
                ''',
                'comma',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                hyphen
                ''',
                'hyphen',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For all VLANS [untagged,1-4094]
                ''',
                'any',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default EFP
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Untagged frames
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_CLASS, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map', 
                [], [], 
                '''                Configure ether lmi ce-vlan/evc map
                ''',
                'map',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ce-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi',
            False, 
            [
            _MetaInfoClassMember('ce-vlan', REFERENCE_CLASS, 'CeVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan', 
                [], [], 
                '''                Configure ether lmi customer vlans
                ''',
                'ce_vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'lmi',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the wire
                ''',
                'external',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the relay
                ''',
                'internal',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit', 
                [], [], 
                '''                Allow data plane loopback to be activated
                ''',
                'permit',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet',
            False, 
            [
            _MetaInfoClassMember('lmi', REFERENCE_CLASS, 'Lmi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi', 
                [], [], 
                '''                Configure ether lmi parameters
                ''',
                'lmi',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('loopback', REFERENCE_CLASS, 'Loopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback', 
                [], [], 
                '''                Ethernet Dataplane Loopback
                ''',
                'loopback',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet', 
                [], [], 
                '''                ethernet
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence
                ''',
                'persist',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the service instance
                ''',
                'ifindex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain.SplitHorizon' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain.SplitHorizon',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '13')], [], 
                '''                Split-horizon group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'split-horizon',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'bridge_id',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('from-encapsulation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from-encapsulation
                ''',
                'from_encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('split-horizon', REFERENCE_CLASS, 'SplitHorizon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain.SplitHorizon', 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'bridge-domain',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security.Maximum',
            False, 
            [
            _MetaInfoClassMember('addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum addresses that can be learnt on this service instance
                ''',
                'addresses',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security',
            False, 
            [
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security.Maximum', 
                [], [], 
                '''                Configure an upper bound
                ''',
                'maximum',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security.ViolationEnum', 
                [], [], 
                '''                Configure the response when a MAC security policy is violated
                ''',
                'violation',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Mac',
            False, 
            [
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security', 
                [], [], 
                '''                MAC Security commands
                ''',
                'security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LIST, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Input', 
                [], [], 
                '''                service policy input
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('output', REFERENCE_LIST, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Output', 
                [], [], 
                '''                service policy output
                ''',
                'output',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mep' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mep',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure a domain for this mep
                ''',
                'domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mpid', ATTRIBUTE, 'int' , None, None, 
                [('1', '8191')], [], 
                '''                Maintenance End Point Identifier
                ''',
                'mpid',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mep',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mip',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Cfm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Cfm',
            False, 
            [
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation', 
                [], [], 
                '''                Configure CFM ethernet frame encapsulation
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mep', REFERENCE_CLASS, 'Mep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mep', 
                [], [], 
                '''                Maintenance End Point
                ''',
                'mep',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mip', REFERENCE_CLASS, 'Mip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mip', 
                [], [], 
                '''                Maintenance Intermediate Point
                ''',
                'mip',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Peer',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Forward' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Forward',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'forward',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Tunnel',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol',
            False, 
            [
            _MetaInfoClassMember('forward', REFERENCE_CLASS, 'Forward' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Forward', 
                [], [], 
                '''                forward L2 control protocol packets as data
                ''',
                'forward',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Peer', 
                [], [], 
                '''                peer L2 control protocol packets as data
                ''',
                'peer',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Tunnel', 
                [], [], 
                '''                tunnel L2 control protocol packets as data
                ''',
                'tunnel',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'l2protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service.Instance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service.Instance',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4000')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', True),
            _MetaInfoClassMember('bridge-domain', REFERENCE_CLASS, 'BridgeDomain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain', 
                [], [], 
                '''                Bridge-domain
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cfm', REFERENCE_CLASS, 'Cfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Cfm', 
                [], [], 
                '''                Ethernet CFM EFP subcommands
                ''',
                'cfm',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Service instance specific description
                ''',
                'description',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation', 
                [], [], 
                '''                Configure ethernet frame match criteria
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Errdisable', 
                [], [], 
                '''                Configure error disable
                ''',
                'errdisable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an Ethernet Instance
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-container', REFERENCE_CLASS, 'EthernetContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer', 
                [], [], 
                '''                ''',
                'ethernet_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-evc-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ethernet_evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('evc-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                ''',
                'evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an GigabitEthernet Instance
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('l2protocol', REFERENCE_CLASS, 'L2Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol', 
                [], [], 
                '''                Configure l2 control protocol processing
                ''',
                'l2protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Mac', 
                [], [], 
                '''                Commands for MAC Address-based features
                ''',
                'mac',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('rewrite', REFERENCE_CLASS, 'Rewrite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Rewrite', 
                [], [], 
                '''                Configure ethernet rewrite criteria
                ''',
                'rewrite',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy', 
                [], [], 
                '''                Attach a policy-map to an EFP
                ''',
                'service_policy',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Take the Service Instance out of Service
                ''',
                'shutdown',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Snmp', 
                [], [], 
                '''                Modify SNMP service instance parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trunk Service Instance
                ''',
                'trunk',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Service' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Service',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service.Instance', 
                [], [], 
                '''                Configure Ether Service Instance
                ''',
                'instance',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Tengigabitethernet.Xconnect.SequenceEnum' : _MetaInfoEnum('SequenceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Tengigabitethernet.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('sequence', REFERENCE_ENUM_CLASS, 'SequenceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Xconnect.SequenceEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequence',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cdp.Tlv.App' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cdp.Tlv.App',
            False, 
            [
            _MetaInfoClassMember('tlvtype', ATTRIBUTE, 'int' , None, None, 
                [('1001', '65535')], [], 
                '''                Configure APP TLV
                ''',
                'tlvtype',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure App TLV Value information
                ''',
                'value',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'app',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cdp.Tlv' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cdp.Tlv',
            False, 
            [
            _MetaInfoClassMember('app', REFERENCE_CLASS, 'App' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cdp.Tlv.App', 
                [], [], 
                '''                Enable/Configure Application TLV
                ''',
                'app',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exchange location information
                ''',
                'location',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('server-location', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable CDP location server on interface
                ''',
                'server_location',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cdp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cdp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable CDP on interface
                ''',
                'enable',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('tlv', REFERENCE_CLASS, 'Tlv' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cdp.Tlv', 
                [], [], 
                '''                Enable exchange of specific tlv information
                ''',
                'tlv',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'cdp',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Crypto.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Crypto.Map',
            False, 
            [
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                enable redundancy
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('stateful', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable stateful failover
                ''',
                'stateful',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Crypto.Ipsec.DfBitEnum' : _MetaInfoEnum('DfBitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Tengigabitethernet.Crypto.Ipsec.FragmentationEnum' : _MetaInfoEnum('FragmentationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'after-encryption':'after_encryption',
            'before-encryption':'before_encryption',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Tengigabitethernet.Crypto.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Crypto.Ipsec',
            False, 
            [
            _MetaInfoClassMember('df-bit', REFERENCE_ENUM_CLASS, 'DfBitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Crypto.Ipsec.DfBitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'df_bit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_ENUM_CLASS, 'FragmentationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Crypto.Ipsec.FragmentationEnum', 
                [], [], 
                '''                Handling of fragmentation of near-MTU sized packets
                ''',
                'fragmentation',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Crypto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Crypto',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Crypto.Ipsec', 
                [], [], 
                '''                Set IPSec parameters
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Crypto.Map', 
                [], [], 
                '''                Assign a Crypto Map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crypto',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts.Manual.Policy.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts.Manual.Policy.Static',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('2', '65519')], [], 
                '''                Source Security Group Tag to apply to untagged or non-trusted incoming traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Source Group Tags (SGT) that the peer uses for sending
                ''',
                'trusted',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts.Manual.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts.Manual.Policy',
            False, 
            [
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts.Manual.Policy.Static', 
                [], [], 
                '''                Configure policy to be applied on the link
                ''',
                'static',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac',
            False, 
            [
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encapsulation present, no authentication, 
                     no encryption
                ''',
                'null',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gcm-encrypt',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'no-encap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', REFERENCE_CLASS, 'GcmEncrypt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt', 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('no-encap', REFERENCE_CLASS, 'NoEncap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap', 
                [], [], 
                '''                No encapsulation
                ''',
                'no_encap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'mode-list',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('mode-list', REFERENCE_CLASS, 'ModeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList', 
                [], [], 
                '''                List of advertised modes (prioritized from highest to lowest)
                ''',
                'mode_list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'pmk',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts.Manual.Sap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts.Manual.Sap',
            False, 
            [
            _MetaInfoClassMember('pmk', REFERENCE_LIST, 'Pmk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk', 
                [], [], 
                '''                Pre-Master Key (PMK) to use for CTS SAP
                ''',
                'pmk',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts.Manual.Propagate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts.Manual.Propagate',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CTS SGT Propagation configuration
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'propagate',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts.Manual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts.Manual',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts.Manual.Policy', 
                [], [], 
                '''                CTS policy for manual mode
                ''',
                'policy',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('propagate', REFERENCE_CLASS, 'Propagate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts.Manual.Propagate', 
                [], [], 
                '''                CTS SGT Propagation configuration for manual mode
                ''',
                'propagate',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sap', REFERENCE_CLASS, 'Sap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts.Manual.Sap', 
                [], [], 
                '''                CTS SAP configuration for manual mode
                ''',
                'sap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'manual',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Cts',
            False, 
            [
            _MetaInfoClassMember('manual', REFERENCE_CLASS, 'Manual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts.Manual', 
                [], [], 
                '''                Supply local configuration for CTS parameters
                ''',
                'manual',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Dot1X.Authenticator.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Dot1X.Authenticator.Eap',
            False, 
            [
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EAP authenticator profile configuration
                ''',
                'profile',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Dot1X.Authenticator' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Dot1X.Authenticator',
            False, 
            [
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Dot1X.Authenticator.Eap', 
                [], [], 
                '''                Configure EAP authenticator parameters
                ''',
                'eap',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'authenticator',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Dot1X.Supplicant.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Dot1X.Supplicant.Eap',
            False, 
            [
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EAP supplicant profile configuration
                ''',
                'profile',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Dot1X.Supplicant' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Dot1X.Supplicant',
            False, 
            [
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Dot1X.Supplicant.Eap', 
                [], [], 
                '''                Configure EAP supplicant parameters
                ''',
                'eap',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'supplicant',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Dot1X.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Dot1X.Timeout',
            False, 
            [
            _MetaInfoClassMember('auth-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for authenticator reply
                ''',
                'auth_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('held-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for authentication retries
                ''',
                'held_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('quiet-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                QuietPeriod in Seconds
                ''',
                'quiet_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('ratelimit-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Ratelimit Period in seconds
                ''',
                'ratelimit_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('server-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for Radius Retries
                ''',
                'server_timeout',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('start-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for EAPOL-start retries
                ''',
                'start_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('supp-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for supplicant reply
                ''',
                'supp_timeout',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('tx-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for supplicant retries
                ''',
                'tx_period',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Dot1X.PaeEnum' : _MetaInfoEnum('PaeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'authenticator':'authenticator',
            'supplicant':'supplicant',
            'both':'both',
        }, 'Cisco-IOS-XE-dot1x', _yang_ns._namespaces['Cisco-IOS-XE-dot1x']),
    'Native.Interface.Tengigabitethernet.Dot1X' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Dot1X',
            False, 
            [
            _MetaInfoClassMember('authenticator', REFERENCE_CLASS, 'Authenticator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Dot1X.Authenticator', 
                [], [], 
                '''                Configure authenticator parameters
                ''',
                'authenticator',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('credentials', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Credentials profile configuration
                ''',
                'credentials',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-reauth-req', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of Reauthentication Attempts
                ''',
                'max_reauth_req',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-req', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of Retries
                ''',
                'max_req',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-start', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of EAPOL-Start requests
                ''',
                'max_start',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('pae', REFERENCE_ENUM_CLASS, 'PaeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Dot1X.PaeEnum', 
                [], [], 
                '''                Set 802.1x interface pae type
                ''',
                'pae',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('supplicant', REFERENCE_CLASS, 'Supplicant' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Dot1X.Supplicant', 
                [], [], 
                '''                Configure supplicant parameters
                ''',
                'supplicant',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Dot1X.Timeout', 
                [], [], 
                '''                Various Timeouts
                ''',
                'timeout',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'dot1x',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Performance.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Performance.Monitor',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Select ezPM context
                ''',
                'context',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Performance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Performance',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Performance.Monitor', 
                [], [], 
                '''                monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'performance',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.Tengigabitethernet.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Clear Enable/Disable ifIndex persistence
                ''',
                'clear',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence 
                ''',
                'persist',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit',
            False, 
            [
            _MetaInfoClassMember('duplicates', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Permit duplicate SNMP LINKUP and LINKDOWN traps
                ''',
                'duplicates',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit', 
                [], [], 
                '''                Permit the following capability
                ''',
                'permit',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas',
            False, 
            [
            _MetaInfoClassMember('link-status', REFERENCE_CLASS, 'LinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus', 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status-capas',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('link-status-capas', REFERENCE_CLASS, 'LinkStatusCapas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas', 
                [], [], 
                '''                ''',
                'link_status_capas',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the interface
                ''',
                'ifindex',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Lisp.Mobility.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Lisp.Mobility.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('dynamic-eid-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dynamic_eid_name',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nbr-proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Neighbor proxy reply behavior for dynamic EID group
                ''',
                'nbr_proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '5')], [], 
                '''                Send neighbor proxy reply after reaching request threshold
                ''',
                'requests',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Lisp.Mobility.Discover' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Lisp.Mobility.Discover',
            False, 
            [
            _MetaInfoClassMember('arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic EID discover through ARP events on this interface
                ''',
                'arp',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'discover',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Lisp.Mobility.Liveness' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Lisp.Mobility.Liveness',
            False, 
            [
            _MetaInfoClassMember('test', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform liveness test on dynamic-EID discovered on this interface
                ''',
                'test',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('2', '255')], [], 
                '''                Configures the TTL in the liveness test packet
                ''',
                'ttl',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'liveness',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Lisp.Mobility' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Lisp.Mobility',
            False, 
            [
            _MetaInfoClassMember('discover', REFERENCE_CLASS, 'Discover' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Lisp.Mobility.Discover', 
                [], [], 
                '''                Configure mobility dynamic EID discover settings
                ''',
                'discover',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_CLASS, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Lisp.Mobility.DynamicEid', 
                [], [], 
                '''                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('liveness', REFERENCE_CLASS, 'Liveness' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Lisp.Mobility.Liveness', 
                [], [], 
                '''                Configure mobility liveness settings
                ''',
                'liveness',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mobility',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Lisp',
            False, 
            [
            _MetaInfoClassMember('extended-subnet-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures to enable extended subnet mode on the interface
                ''',
                'extended_subnet_mode',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mobility', REFERENCE_CLASS, 'Mobility' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Lisp.Mobility', 
                [], [], 
                '''                Configures to allow EID mobility on interface
                ''',
                'mobility',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mka.PreSharedKey.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mka.PreSharedKey.KeyChain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of key-chain to be used to get keys
                ''',
                'name',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-mka',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-mka'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mka.PreSharedKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mka.PreSharedKey',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mka.PreSharedKey.KeyChain', 
                [], [], 
                '''                Configure the key-chain name
                ''',
                'key_chain',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-mka',
            'pre-shared-key',
            _yang_ns._namespaces['Cisco-IOS-XE-mka'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mka' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mka',
            False, 
            [
            _MetaInfoClassMember('pre-shared-key', REFERENCE_CLASS, 'PreSharedKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mka.PreSharedKey', 
                [], [], 
                '''                Configure MKA Pre-Shared-Key
                ''',
                'pre_shared_key',
                'Cisco-IOS-XE-mka', False),
            ],
            'Cisco-IOS-XE-mka',
            'mka',
            _yang_ns._namespaces['Cisco-IOS-XE-mka'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('64', '95')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '31')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4', 
                [], [], 
                '''                Specify parameters for IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6', 
                [], [], 
                '''                Specify parameters for IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Tengigabitethernet.Ospfv3.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tengigabitethernet.Ospfv3.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Power.Inline.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Power.Inline.Auto',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('4000', '30000')], [], 
                '''                Maximum power allowed on this interface
                ''',
                'max',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Power.Inline.FourPair' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Power.Inline.FourPair',
            False, 
            [
            _MetaInfoClassMember('forced', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Four-pair PoE without L2 negotiation
                ''',
                'forced',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'four-pair',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Power.Inline.Police.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Power.Inline.Police.Action',
            False, 
            [
            _MetaInfoClassMember('errdisable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the port when power is overdrawn on the port
                ''',
                'errdisable',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log a message when power is overdrawn on the port
                ''',
                'log',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Power.Inline.Police' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Power.Inline.Police',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Power.Inline.Police.Action', 
                [], [], 
                '''                Action to be taken when power is overdrawn on the port
                ''',
                'action',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Power.Inline.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Power.Inline.Port',
            False, 
            [
            _MetaInfoClassMember('poe-ha', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply poe-ha to the port
                ''',
                'poe_ha',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('two-event', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable 2-event classification
                ''',
                'two_event',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Power.Inline.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Power.Inline.Static',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('4000', '30000')], [], 
                '''                Maximum power allowed on this interface
                ''',
                'max',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Power.Inline' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Power.Inline',
            False, 
            [
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Power.Inline.Auto', 
                [], [], 
                '''                Automatically detect and power inline devices
                ''',
                'auto',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('consumption', ATTRIBUTE, 'int' , None, None, 
                [('4000', '15400')], [], 
                '''                ''',
                'consumption',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('four-pair', REFERENCE_CLASS, 'FourPair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Power.Inline.FourPair', 
                [], [], 
                '''                Four-pair PoE power
                ''',
                'four_pair',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('never', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'never',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Power.Inline.Police', 
                [], [], 
                '''                Police the power drawn on the port
                ''',
                'police',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Power.Inline.Port', 
                [], [], 
                '''                Configure Port Power Level
                ''',
                'port',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Power.Inline.Static', 
                [], [], 
                '''                High priority inline power interface
                ''',
                'static',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'inline',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Power' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Power',
            False, 
            [
            _MetaInfoClassMember('inline', REFERENCE_CLASS, 'Inline' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Power.Inline', 
                [], [], 
                '''                ''',
                'inline',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'power',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive.Action',
            False, 
            [
            _MetaInfoClassMember('reinitialize', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'reinitialize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive.Action', 
                [], [], 
                '''                Required action for authentication event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'alive',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configure Critical Authorization VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('voice', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authorize the port for VOICE traffic
                ''',
                'voice',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configure Critical Authorization VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'reinitialize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Authorize', 
                [], [], 
                '''                Authorize the port
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('reinitialize', REFERENCE_CLASS, 'Reinitialize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize', 
                [], [], 
                '''                Reinitialize all client on the port
                ''',
                'reinitialize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action', 
                [], [], 
                '''                Required action for authentication event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'dead',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.Server',
            False, 
            [
            _MetaInfoClassMember('alive', REFERENCE_CLASS, 'Alive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive', 
                [], [], 
                '''                Configure AAA server alive action
                ''',
                'alive',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('dead', REFERENCE_CLASS, 'Dead' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead', 
                [], [], 
                '''                Configure AAA server dead action
                ''',
                'dead',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action.Authorize', 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.Fail' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.Fail',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action', 
                [], [], 
                '''                Required action for fail event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'fail',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action.Authorize', 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action', 
                [], [], 
                '''                Required action for no-response event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'no-response',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Event',
            False, 
            [
            _MetaInfoClassMember('fail', REFERENCE_CLASS, 'Fail' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.Fail', 
                [], [], 
                '''                Configure actions for AAA fail events
                ''',
                'fail',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('no-response', REFERENCE_CLASS, 'NoResponse' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse', 
                [], [], 
                '''                Configure actions for AAA no-response events
                ''',
                'no_response',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event.Server', 
                [], [], 
                '''                Configure actions for AAA server events
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Order' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Order',
            False, 
            [
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method dot1x allowed
                ''',
                'dot1x',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mab', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method mab allowed
                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('webauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method webauth allowed
                ''',
                'webauth',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'order',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Priority',
            False, 
            [
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method dot1x allowed
                ''',
                'dot1x',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mab', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method mab allowed
                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('webauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method webauth allowed
                ''',
                'webauth',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Timer.Reauthenticate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Timer.Reauthenticate',
            False, 
            [
            _MetaInfoClassMember('server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Obtain re-authentication timeout value from the server
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'reauthenticate',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Value' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Value',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Initiate a dynamic probe on inactivity timeout
                ''',
                'dynamic',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'value',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Server',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Initiate a dynamic probe on inactivity timeout
                ''',
                'dynamic',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity',
            False, 
            [
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Server', 
                [], [], 
                '''                Obtain inactivity timeout value from the server
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', REFERENCE_CLASS, 'Value' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Value', 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'inactivity',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.Timer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication.Timer',
            False, 
            [
            _MetaInfoClassMember('inactivity', REFERENCE_CLASS, 'Inactivity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity', 
                [], [], 
                '''                Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                ''',
                'inactivity',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('reauthenticate', REFERENCE_CLASS, 'Reauthenticate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Timer.Reauthenticate', 
                [], [], 
                '''                Time in seconds after which an automatic re-authenticationshould be initiated (default 1 hour)
                ''',
                'reauthenticate',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                ''',
                'restart',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Authentication.ControlDirectionEnum' : _MetaInfoEnum('ControlDirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'in':'in_',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Tengigabitethernet.Authentication.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Tengigabitethernet.Authentication.PortControlEnum' : _MetaInfoEnum('PortControlEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'force-authorized':'force_authorized',
            'force-unauthorized':'force_unauthorized',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Tengigabitethernet.Authentication.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'replace':'replace',
            'restrict':'restrict',
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.Tengigabitethernet.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Authentication',
            False, 
            [
            _MetaInfoClassMember('control-direction', REFERENCE_ENUM_CLASS, 'ControlDirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.ControlDirectionEnum', 
                [], [], 
                '''                Set the control-direction on the interface
                ''',
                'control_direction',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Event', 
                [], [], 
                '''                Set action for authentication events
                ''',
                'event',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('fallback', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable the Webauth fallback mechanism
                ''',
                'fallback',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('open', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable or Disable open access on this port
                ''',
                'open',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('order', REFERENCE_CLASS, 'Order' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Order', 
                [], [], 
                '''                Add an authentication method to the order list
                ''',
                'order',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('periodic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable or Disable Reauthentication for this port
                ''',
                'periodic',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('port-control', REFERENCE_ENUM_CLASS, 'PortControlEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.PortControlEnum', 
                [], [], 
                '''                set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Priority', 
                [], [], 
                '''                Add an authentication method to the priority list
                ''',
                'priority',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.Timer', 
                [], [], 
                '''                Set authentication timer values
                ''',
                'timer',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication.ViolationEnum', 
                [], [], 
                '''                Configure action to take on security violations
                ''',
                'violation',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mab' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mab',
            False, 
            [
            _MetaInfoClassMember('eap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'eap',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'mab',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BPDU guard for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast on the interface even in trunk mode
                ''',
                'trunk',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.SpanningTree.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.SpanningTree.Vlan',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                <1-200000000> Spanning-tree cost
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                <0-240> port priority in increments of 16
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('vlan-ids', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                vlan range, example: 1,3-5,7,9-11
                ''',
                'vlan_ids',
                'Cisco-IOS-XE-spanning-tree', False, [
                    _MetaInfoClassMember('vlan-ids', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4095')], [], 
                        '''                        vlan range, example: 1,3-5,7,9-11
                        ''',
                        'vlan_ids',
                        'Cisco-IOS-XE-spanning-tree', False),
                    _MetaInfoClassMember('vlan-ids', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        vlan range, example: 1,3-5,7,9-11
                        ''',
                        'vlan_ids',
                        'Cisco-IOS-XE-spanning-tree', False),
                ]),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.SpanningTree.Loopguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.SpanningTree.Loopguard',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable loopguard by default on all ports
                ''',
                'default',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'loopguard',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.SpanningTree.Mst' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.SpanningTree.Mst',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                <1-200000000> Spanning-tree cost
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MST instance list, example 0,2-4,6,8-12
                ''',
                'instance',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                <0-240> port priority in increments of 16
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('pre-standard', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force pre-standard MST BPDU transmission on port
                ''',
                'pre_standard',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'mst',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.SpanningTree.BpdufilterEnum' : _MetaInfoEnum('BpdufilterEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'disable':'disable',
            'enable':'enable',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.Tengigabitethernet.SpanningTree.GuardEnum' : _MetaInfoEnum('GuardEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'loop':'loop',
            'none':'none',
            'root':'root',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.Tengigabitethernet.SpanningTree.LinkTypeEnum' : _MetaInfoEnum('LinkTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'none':'none',
            'point-to-point':'point_to_point',
            'root':'root',
            'shared':'shared',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.Tengigabitethernet.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpdufilter', REFERENCE_ENUM_CLASS, 'BpdufilterEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SpanningTree.BpdufilterEnum', 
                [], [], 
                '''                Don't send or receive BPDUs on this interface
                ''',
                'bpdufilter',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                To set the path cost of the interface
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('guard', REFERENCE_ENUM_CLASS, 'GuardEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SpanningTree.GuardEnum', 
                [], [], 
                '''                Change an interface's spanning tree guard mode
                ''',
                'guard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'LinkTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SpanningTree.LinkTypeEnum', 
                [], [], 
                '''                Specify a link type for spanning tree tree protocol use
                ''',
                'link_type',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('loopguard', REFERENCE_CLASS, 'Loopguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SpanningTree.Loopguard', 
                [], [], 
                '''                Spanning tree loopguard options
                ''',
                'loopguard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('mst', REFERENCE_CLASS, 'Mst' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SpanningTree.Mst', 
                [], [], 
                '''                Per interface MST configurations
                ''',
                'mst',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                Spanning tree port-priority options
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SpanningTree.Portfast', 
                [], [], 
                '''                Spanning tree portfast options
                ''',
                'portfast',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SpanningTree.Vlan', 
                [], [], 
                '''                VLAN Switch Spanning Tree
                ''',
                'vlan',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Auto.Qos.Classify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Auto.Qos.Classify',
            False, 
            [
            _MetaInfoClassMember('police', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure QoS policing for untrusted devices
                ''',
                'police',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'classify',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Auto.Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Auto.Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the CoS marking
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP marking
                ''',
                'dscp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Auto.Qos.Video' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Auto.Qos.Video',
            False, 
            [
            _MetaInfoClassMember('cts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Cisco Telepresence System
                ''',
                'cts',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ip-camera', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Ip Video Surveillance camera
                ''',
                'ip_camera',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('media-player', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Qos marking of the Cisco Media Player
                ''',
                'media_player',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'video',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Auto.Qos.Voip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Auto.Qos.Voip',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP Phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('cisco-softphone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP SoftPhone
                ''',
                'cisco_softphone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Auto.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Auto.Qos',
            False, 
            [
            _MetaInfoClassMember('classify', REFERENCE_CLASS, 'Classify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Auto.Qos.Classify', 
                [], [], 
                '''                Configure classification for untrusted devices
                ''',
                'classify',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Auto.Qos.Trust', 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('video', REFERENCE_CLASS, 'Video' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Auto.Qos.Video', 
                [], [], 
                '''                Configure AutoQoS for video devices
                ''',
                'video',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voip', REFERENCE_CLASS, 'Voip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Auto.Qos.Voip', 
                [], [], 
                '''                Configure AutoQoS for VoIP
                ''',
                'voip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Auto',
            False, 
            [
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Auto.Qos', 
                [], [], 
                '''                Configure AutoQoS
                ''',
                'qos',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Datalink.Flow.Monitor.InputOutputEnum' : _MetaInfoEnum('InputOutputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Tengigabitethernet.Datalink.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Datalink.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('input-output', REFERENCE_ENUM_CLASS, 'InputOutputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Datalink.Flow.Monitor.InputOutputEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'input_output',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('User-defined-flow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'user_defined_flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Datalink.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Datalink.Flow',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Datalink.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Datalink' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Datalink',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Datalink.Flow', 
                [], [], 
                '''                Interface Flow configuration subcommands
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'datalink',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Energywise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Energywise',
            False, 
            [
            _MetaInfoClassMember('activitycheck', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply an activity check before turning off power 
                  to this PoE port
                ''',
                'activitycheck',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'energywise',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Location.CivicLocationId.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Location.CivicLocationId.Host',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Location.CivicLocationId.None_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Location.CivicLocationId.None_',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'none',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Location.CivicLocationId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Location.CivicLocationId',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Location.CivicLocationId.Host', 
                [], [], 
                '''                Globally defined host location identifer
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('location-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                civic location identifier string
                ''',
                'location_identifier',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('none', REFERENCE_CLASS, 'None_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Location.CivicLocationId.None_', 
                [], [], 
                '''                No globally defined location identifer
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'civic-location-id',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Location' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Location',
            False, 
            [
            _MetaInfoClassMember('civic-location-id', REFERENCE_CLASS, 'CivicLocationId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Location.CivicLocationId', 
                [], [], 
                '''                Civic location information
                ''',
                'civic_location_id',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'location',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum' : _MetaInfoEnum('ApplyToEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Tengigabitethernet.Mac.AccessGroup.AclName' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mac.AccessGroup.AclName',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('apply-to', REFERENCE_ENUM_CLASS, 'ApplyToEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum', 
                [], [], 
                '''                ''',
                'apply_to',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ACL-name',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mac.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mac.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('ACL-name', REFERENCE_CLASS, 'AclName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mac.AccessGroup.AclName', 
                [], [], 
                '''                ACL name
                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Mac',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mac.AccessGroup', 
                [], [], 
                '''                MAC access-group configuration commands
                ''',
                'access_group',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Macro.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Macro.Auto',
            False, 
            [
            _MetaInfoClassMember('processing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable smartport macro auto execution on this interface
                ''',
                'processing',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Macro' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Macro',
            False, 
            [
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Macro.Auto', 
                [], [], 
                '''                Smartport interface macro configurations
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Macro description for this interface
                ''',
                'description',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macro',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.DualActive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.DualActive',
            False, 
            [
            _MetaInfoClassMember('fast-hello', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'fast_hello',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dual-active',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Lldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Lldp',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP reception on interface
                ''',
                'receive',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP transmission on interface
                ''',
                'transmit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'lldp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.LoadBalancing' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.LoadBalancing',
            False, 
            [
            _MetaInfoClassMember('flow', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the traffic flows identified by the packet headers
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the VLAN to member links manual configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'load-balancing',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.VlanRange.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.VlanRange.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.VlanRange',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-switch', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4096')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                ]),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.VlanRange.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switch.Virtual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switch.Virtual',
            False, 
            [
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'virtual',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Switch',
            False, 
            [
            _MetaInfoClassMember('virtual', REFERENCE_CLASS, 'Virtual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switch.Virtual', 
                [], [], 
                '''                ''',
                'virtual',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Shape' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Shape',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Share' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Share',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'share',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Shape', 
                [], [], 
                '''                ''',
                'shape',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('share', REFERENCE_CLASS, 'Share' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Share', 
                [], [], 
                '''                ''',
                'share',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.SrrQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.SrrQueue',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth', 
                [], [], 
                '''                ''',
                'bandwidth',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'srr-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Macsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Macsec',
            False, 
            [
            _MetaInfoClassMember('network-link', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable macsec on switch connected interface
                ''',
                'network_link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macsec',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.DeviceTracking' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.DeviceTracking',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature device-tracking
                ''',
                'attach_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'device-tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Udld.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Udld.Port',
            False, 
            [
            _MetaInfoClassMember('aggressive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                ''',
                'aggressive',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable UDLD protocol on this interface despite global UDLD setting
                ''',
                'disable',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.Udld' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.Udld',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Udld.Port', 
                [], [], 
                '''                Enable UDLD protocol on this interface despite global UDLD setting
                ''',
                'port',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'udld',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.ZoneMember' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet.ZoneMember',
            False, 
            [
            _MetaInfoClassMember('security', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Security zone
                ''',
                'security',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-zone',
            'zone-member',
            _yang_ns._namespaces['Cisco-IOS-XE-zone'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tengigabitethernet.ChannelProtocolEnum' : _MetaInfoEnum('ChannelProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lacp':'lacp',
            'pagp':'pagp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.DuplexEnum' : _MetaInfoEnum('DuplexEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'full':'full',
            'half':'half',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Tengigabitethernet.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.MediaTypeEnum' : _MetaInfoEnum('MediaTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto-select':'auto_select',
            'rj45':'rj45',
            'sfp':'sfp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.PortTypeEnum' : _MetaInfoEnum('PortTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nni':'nni',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tengigabitethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tengigabitethernet',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Authentication', 
                [], [], 
                '''                Auth Manager Interface Configuration Commands
                ''',
                'authentication',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Auto', 
                [], [], 
                '''                Configure Automation
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('carrier-delay', REFERENCE_CLASS, 'CarrierDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.CarrierDelay', 
                [], [], 
                '''                Specify delay for interface transitions
                ''',
                'carrier_delay',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cdp', REFERENCE_CLASS, 'Cdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cdp', 
                [], [], 
                '''                CDP interface subcommands
                ''',
                'cdp',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('channel-group', REFERENCE_CLASS, 'ChannelGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ChannelGroup', 
                [], [], 
                '''                Add this interface to an Etherchannel group
                ''',
                'channel_group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('channel-protocol', REFERENCE_ENUM_CLASS, 'ChannelProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ChannelProtocolEnum', 
                [], [], 
                '''                Select the channel protocol (LACP, PAgP)
                ''',
                'channel_protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('crypto', REFERENCE_CLASS, 'Crypto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Crypto', 
                [], [], 
                '''                Encryption/Decryption commands
                ''',
                'crypto',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Cts', 
                [], [], 
                '''                Configure Cisco Trusted Security
                ''',
                'cts',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('datalink', REFERENCE_CLASS, 'Datalink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Datalink', 
                [], [], 
                '''                Interface Datalink commands
                ''',
                'datalink',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('device-tracking', REFERENCE_CLASS, 'DeviceTracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.DeviceTracking', 
                [], [], 
                '''                Configure device-tracking on the interface
                ''',
                'device_tracking',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dot1x', REFERENCE_CLASS, 'Dot1X' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Dot1X', 
                [], [], 
                '''                Interface Config Commands for IEEE 802.1X
                ''',
                'dot1x',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('dual-active', REFERENCE_CLASS, 'DualActive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.DualActive', 
                [], [], 
                '''                ''',
                'dual_active',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'DuplexEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.DuplexEnum', 
                [], [], 
                '''                Configure duplex operation.
                ''',
                'duplex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('energywise', REFERENCE_CLASS, 'Energywise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Energywise', 
                [], [], 
                '''                EnergyWise interface configurations
                ''',
                'energywise',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ethernet', 
                [], [], 
                '''                Ethernet interface parameters
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lacp', REFERENCE_CLASS, 'Lacp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Lacp', 
                [], [], 
                '''                LACP interface subcommands
                ''',
                'lacp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('lldp', REFERENCE_CLASS, 'Lldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Lldp', 
                [], [], 
                '''                LLDP interface subcommands
                ''',
                'lldp',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-balancing', REFERENCE_CLASS, 'LoadBalancing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.LoadBalancing', 
                [], [], 
                '''                Etherchannel Load-Balancing
                ''',
                'load_balancing',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('location', REFERENCE_CLASS, 'Location' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Location', 
                [], [], 
                '''                Interface location information
                ''',
                'location',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mab', REFERENCE_CLASS, 'Mab' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mab', 
                [], [], 
                '''                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mac', 
                [], [], 
                '''                MAC interface commands
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macro', REFERENCE_CLASS, 'Macro' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Macro', 
                [], [], 
                '''                Command macro
                ''',
                'macro',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macsec', REFERENCE_CLASS, 'Macsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Macsec', 
                [], [], 
                '''                Enable macsec on the interface
                ''',
                'macsec',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('media-type', REFERENCE_ENUM_CLASS, 'MediaTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.MediaTypeEnum', 
                [], [], 
                '''                Media type
                ''',
                'media_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mka', REFERENCE_CLASS, 'Mka' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mka', 
                [], [], 
                '''                MACsec Key Agreement (MKA) interface configuration
                ''',
                'mka',
                'Cisco-IOS-XE-mka', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiation', REFERENCE_CLASS, 'Negotiation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Negotiation', 
                [], [], 
                '''                Select autonegotiation mode
                ''',
                'negotiation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Ospfv3', 
                [], [], 
                '''                OSPFv3 interface commands
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('performance', REFERENCE_CLASS, 'Performance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Performance', 
                [], [], 
                '''                Global performance monitor configuration
                ''',
                'performance',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('plim', REFERENCE_CLASS, 'Plim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Plim', 
                [], [], 
                '''                Configure features on the PLIM
                ''',
                'plim',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-type', REFERENCE_ENUM_CLASS, 'PortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.PortTypeEnum', 
                [], [], 
                '''                ''',
                'port_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power', REFERENCE_CLASS, 'Power' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Power', 
                [], [], 
                '''                ''',
                'power',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('pppoe', REFERENCE_CLASS, 'Pppoe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Pppoe', 
                [], [], 
                '''                pppoe interface subcommands
                ''',
                'pppoe',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Service', 
                [], [], 
                '''                Configure Ether Service
                ''',
                'service',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Snmp', 
                [], [], 
                '''                Modify SNMP interface parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('speed', REFERENCE_CLASS, 'Speed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Speed', 
                [], [], 
                '''                Configure speed operation
                ''',
                'speed',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('srr-queue', REFERENCE_CLASS, 'SrrQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SrrQueue', 
                [], [], 
                '''                ''',
                'srr_queue',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switch', 
                [], [], 
                '''                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Synchronous', 
                [], [], 
                '''                Synchronous
                ''',
                'synchronous',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('udld', REFERENCE_CLASS, 'Udld' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Udld', 
                [], [], 
                '''                Configure UDLD enabled or disabled and ignore global UDLD setting
                ''',
                'udld',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_LIST, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('zone-member', REFERENCE_CLASS, 'ZoneMember' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet.ZoneMember', 
                [], [], 
                '''                Apply zone name
                ''',
                'zone_member',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-native',
            'TenGigabitEthernet',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Access.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fortygigabitethernet.Switchport.Access.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Access.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Access.Vlan', 
                [], [], 
                '''                Set VLAN when interface is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown multicast addresses
                ''',
                'multicast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Mode.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Mode.Access',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Mode.Dot1QTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Mode.Dot1QTunnel',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'dot1q-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Mode.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Mode.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('promiscuous', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan promiscuous
                ''',
                'promiscuous',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Mode.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Mode.Trunk',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Mode.DynamicEnum' : _MetaInfoEnum('DynamicEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'desirable':'desirable',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fortygigabitethernet.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Mode.Access', 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dot1q-tunnel', REFERENCE_CLASS, 'Dot1QTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Mode.Dot1QTunnel', 
                [], [], 
                '''                set trunking mode to TUNNEL unconditionally
                ''',
                'dot1q_tunnel',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dynamic', REFERENCE_ENUM_CLASS, 'DynamicEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Mode.DynamicEnum', 
                [], [], 
                '''                Set trunking mode to dynamically negotiate access or trunk mode
                ''',
                'dynamic',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Mode.PrivateVlan', 
                [], [], 
                '''                Set private-vlan mode
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Mode.Trunk', 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Aging.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'absolute':'absolute',
            'inactivity':'inactivity',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Aging.TypeEnum', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.MacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.MacAddress',
            False, 
            [
            _MetaInfoClassMember('hw-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                ''',
                'hw_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sticky', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic secure addresses as sticky
                ''',
                'sticky',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                set VLAN ID of the VLAN on which this address can be learned
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('max-addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '4097')], [], 
                '''                ''',
                'max_addresses',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address', REFERENCE_CLASS, 'MacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.MacAddress', 
                [], [], 
                '''                Secure mac address
                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.ViolationEnum', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                all VLANs
                ''',
                'all',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed.Vlan', 
                [], [], 
                '''                Set allowed VLANs when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'allowed',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Trunk.Native_.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'tag':'tag',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fortygigabitethernet.Switchport.Trunk.Native_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Trunk.Native_',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set native VLAN when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum', 
                        [], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'native',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning.Vlan', 
                [], [], 
                '''                Set VLANs enabled for pruning when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pruning',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Trunk.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1q':'dot1q',
            'isl':'isl',
            'negotiate':'negotiate',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fortygigabitethernet.Switchport.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Trunk',
            False, 
            [
            _MetaInfoClassMember('allowed', REFERENCE_CLASS, 'Allowed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed', 
                [], [], 
                '''                Set allowed VLAN characteristics when interface is in trunking mode
                ''',
                'allowed',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Trunk.EncapsulationEnum', 
                [], [], 
                '''                Set encapsulation format on trunk port
                ''',
                'encapsulation',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('native', REFERENCE_CLASS, 'Native_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Trunk.Native_', 
                [], [], 
                '''                Set trunking native characteristics when interface is in trunking mode
                ''',
                'native',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pruning', REFERENCE_CLASS, 'Pruning' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning', 
                [], [], 
                '''                Set pruning VLAN characteristics when interface is in trunking mode
                ''',
                'pruning',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Voice.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1p':'dot1p',
            'none':'none',
            'untagged':'untagged',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fortygigabitethernet.Switchport.Voice.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Voice.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect.CiscoPhone' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect.CiscoPhone',
            False, 
            [
            _MetaInfoClassMember('full-duplex', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                full duplex keyword
                ''',
                'full_duplex',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'cisco-phone',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', REFERENCE_CLASS, 'CiscoPhone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect.CiscoPhone', 
                [], [], 
                '''                Cisco IP phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'detect',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('detect', REFERENCE_CLASS, 'Detect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect', 
                [], [], 
                '''                detection enhancement keyword
                ''',
                'detect',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Voice.Vlan', 
                [], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Priority.Extend' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Priority.Extend',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Override 802.1p priority of devices on appliance
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust 802.1p priorities of devices on appliance
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'extend',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Priority',
            False, 
            [
            _MetaInfoClassMember('extend', REFERENCE_CLASS, 'Extend' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Priority.Extend', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'extend',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.Autostate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.Autostate',
            False, 
            [
            _MetaInfoClassMember('exclude', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude this port from vlan link up calculation
                ''',
                'exclude',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'autostate',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Host',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Host', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.HostAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.HostAssociation',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host-association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association', 
                [], [], 
                '''                Set the private VLAN association
                ''',
                'association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host-association', REFERENCE_CLASS, 'HostAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.HostAssociation', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host_association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('autostate', REFERENCE_CLASS, 'Autostate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Autostate', 
                [], [], 
                '''                Include or exclude this port from vlan link up calculation
                ''',
                'autostate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set port host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Priority', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'priority',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan', 
                [], [], 
                '''                Set the private VLAN configuration
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an interface to be a protected port
                ''',
                'protected',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Trunk', 
                [], [], 
                '''                Set trunking characteristics of the interface
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.CarrierDelay.Down' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.CarrierDelay.Down',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'down',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.CarrierDelay.Up' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.CarrierDelay.Up',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'up',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.CarrierDelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.CarrierDelay',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_CLASS, 'Down' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.CarrierDelay.Down', 
                [], [], 
                '''                Carrier Down Transitions
                ''',
                'down',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('up', REFERENCE_CLASS, 'Up' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.CarrierDelay.Up', 
                [], [], 
                '''                Carrier Up Transitions
                ''',
                'up',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'carrier-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.ChannelGroup.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'auto':'auto',
            'desirable':'desirable',
            'on':'on',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.ChannelGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.ChannelGroup',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                LACP auto
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('1', '4')], [], 
                '''                Assign a link identifier used for load-balancing
                ''',
                'link',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.ChannelGroup.ModeEnum', 
                [], [], 
                '''                Etherchannel Mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('non-silent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start negotiation only after data packets received
                ''',
                'non_silent',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'channel-group',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame threshold in number of frames
                ''',
                'thresh',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold', 
                [], [], 
                '''                Errored frame threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '600')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('f-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame-period threshold in number of frames
                ''',
                'f_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame-period threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold', 
                [], [], 
                '''                Errored frame-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 10000 frames
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('e-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the high errored frame-seconds threshold in number of seconds
                ''',
                'e_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the low errored frame-seconds threshold in number of seconds
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('100', '9000')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-seconds',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action', 
                [], [], 
                '''                Specifiy an action when the high threshold is crossed
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('crc-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high received crc error threshold in number of frames
                ''',
                'crc_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low received crc error threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'receive-crc',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('err-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high error symbol-period threshold in number of symbols
                ''',
                'err_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low error symbol-period threshold in number of symbols
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold', 
                [], [], 
                '''                Error symbol-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 1048576 symbols
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'symbol-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor',
            False, 
            [
            _MetaInfoClassMember('frame', REFERENCE_CLASS, 'Frame' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame', 
                [], [], 
                '''                Errored frames in a period measured by time
                ''',
                'frame',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-period', REFERENCE_CLASS, 'FramePeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod', 
                [], [], 
                '''                Errored frames in a period measured by number of frames
                ''',
                'frame_period',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-seconds', REFERENCE_CLASS, 'FrameSeconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds', 
                [], [], 
                '''                Errored frame seconds in a period
                ''',
                'frame_seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('high-threshold', REFERENCE_CLASS, 'HighThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold', 
                [], [], 
                '''                Additional high threshold configuration
                ''',
                'high_threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable link monitoring on the interface
                ''',
                'on',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('receive-crc', REFERENCE_CLASS, 'ReceiveCrc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc', 
                [], [], 
                '''                Received frames with CRC errors in a period
                ''',
                'receive_crc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support link monitoring on the interface
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('symbol-period', REFERENCE_CLASS, 'SymbolPeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod', 
                [], [], 
                '''                Errored symbols in a period
                ''',
                'symbol_period',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'critical-event',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dying-gasp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-fault',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure',
            False, 
            [
            _MetaInfoClassMember('critical-event', REFERENCE_CLASS, 'CriticalEvent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent', 
                [], [], 
                '''                Critical event
                ''',
                'critical_event',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dying-gasp', REFERENCE_CLASS, 'DyingGasp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp', 
                [], [], 
                '''                Dying gasp
                ''',
                'dying_gasp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link-fault', REFERENCE_CLASS, 'LinkFault' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault', 
                [], [], 
                '''                Link fault
                ''',
                'link_fault',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-failure',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteLoopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteLoopback',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support remote loopback functionality
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set timeout value in number of seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Ethernet.Oam' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet.Oam',
            False, 
            [
            _MetaInfoClassMember('link-monitor', REFERENCE_CLASS, 'LinkMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor', 
                [], [], 
                '''                Ethernet OAM Link Monitor
                ''',
                'link_monitor',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'max_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('min-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'min_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-failure', REFERENCE_CLASS, 'RemoteFailure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure', 
                [], [], 
                '''                Ethernet OAM remote failure indication
                ''',
                'remote_failure',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-loopback', REFERENCE_CLASS, 'RemoteLoopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteLoopback', 
                [], [], 
                '''                Ethernet OAM Remote Loopback
                ''',
                'remote_loopback',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('2', '30')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'oam',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Ethernet',
            False, 
            [
            _MetaInfoClassMember('oam', REFERENCE_CLASS, 'Oam' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet.Oam', 
                [], [], 
                '''                To enable Ethernet Link OAM
                ''',
                'oam',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Negotiation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Negotiation',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable link autonegotiation
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'negotiation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Synchronous',
            False, 
            [
            _MetaInfoClassMember('mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mode
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Speed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Speed',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable AUTO speed configuration
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'nonegotiate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10 Mbps operation
                ''',
                'value_10',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-100', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                100 Mbps operation
                ''',
                'value_100',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-1000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                1000 Mbps operation
                ''',
                'value_1000',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10000 Mbps operation
                ''',
                'value_10000',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'speed',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan.Filter',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the interface to accept all VLAN traffic
                ''',
                'disable',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan.Filter', 
                [], [], 
                '''                Configure VLAN filtering
                ''',
                'filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Plim.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Plim.Ethernet',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan', 
                [], [], 
                '''                vlan specific features
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'zero',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'strict-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue',
            False, 
            [
            _MetaInfoClassMember('strict-priority', REFERENCE_CLASS, 'StrictPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority', 
                [], [], 
                '''                High priority queue
                ''',
                'strict_priority',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('zero', REFERENCE_CLASS, 'Zero' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero', 
                [], [], 
                '''                Low priority queue
                ''',
                'zero',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Plim.Qos.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Plim.Qos.Input',
            False, 
            [
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue', 
                [], [], 
                '''                Queue number
                ''',
                'queue',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Plim.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Plim.Qos',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Plim.Qos.Input', 
                [], [], 
                '''                Configure PLIM QoS at the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Plim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Plim',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Plim.Ethernet', 
                [], [], 
                '''                Configure features on the ethernet interface
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Plim.Qos', 
                [], [], 
                '''                QoS on the PLIM
                ''',
                'qos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'plim',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Pppoe.Enable.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Pppoe.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Pppoe.Enable',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                attach a BBA group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum', 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Pppoe' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Pppoe',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Pppoe.Enable', 
                [], [], 
                '''                Enable pppoe
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-sessions', ATTRIBUTE, 'int' , None, None, 
                [('1', '4085')], [], 
                '''                Maximum PPPOE sessions
                ''',
                'max_sessions',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pppoe',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' : _MetaInfoEnum('Dot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum', 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' : _MetaInfoEnum('SecondDot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum' : _MetaInfoEnum('VlanTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0x88A8':'Y_0x88A8',
            '0x9100':'Y_0x9100',
            '0x9200':'Y_0x9200',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('second-dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum', 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('vlan-type', REFERENCE_ENUM_CLASS, 'VlanTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum', 
                [], [], 
                '''                Vlan Protocol Type
                ''',
                'vlan_type',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged',
            False, 
            [
            _MetaInfoClassMember('cos-container', REFERENCE_CLASS, 'CosContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer', 
                [], [], 
                '''                ''',
                'cos_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'priority-tagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Untagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Untagged',
            False, 
            [
            ],
            'Cisco-IOS-XE-ethernet',
            'untagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                catch-all unconfigured encapsulation
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-tagged', REFERENCE_CLASS, 'PriorityTagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged', 
                [], [], 
                '''                Priority tagged EFP
                ''',
                'priority_tagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', REFERENCE_CLASS, 'Untagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Untagged', 
                [], [], 
                '''                Untagged encapsulation
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Acl',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP relay information option subscriber-id
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information
                ''',
                'information',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay
                ''',
                'relay',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source address
                ''',
                'source',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Ip',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp', 
                [], [], 
                '''                DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Verify', 
                [], [], 
                '''                verify
                ''',
                'verify',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Ipv6',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('traffic-filter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pop',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Push dot1q tag
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'push',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate',
            False, 
            [
            _MetaInfoClassMember('t1-to-1', REFERENCE_CLASS, 'T1To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1', 
                [], [], 
                '''                Translate 1-to-1
                ''',
                't1_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t1-to-2', REFERENCE_CLASS, 'T1To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2', 
                [], [], 
                '''                Translate 1-to-2
                ''',
                't1_to_2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-1', REFERENCE_CLASS, 'T2To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1', 
                [], [], 
                '''                Translate 2-to-1
                ''',
                't2_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-2', REFERENCE_CLASS, 'T2To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2', 
                [], [], 
                '''                Translate 2-to-2
                ''',
                't2_to_2',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag',
            False, 
            [
            _MetaInfoClassMember('pop', REFERENCE_CLASS, 'Pop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop', 
                [], [], 
                '''                Pop the tag
                ''',
                'pop',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('push', REFERENCE_CLASS, 'Push' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push', 
                [], [], 
                '''                Rewrite Operation of push
                ''',
                'push',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate', 
                [], [], 
                '''                Translate Tag
                ''',
                'translate',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress',
            False, 
            [
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag', 
                [], [], 
                '''                Configure Rewrite Tag
                ''',
                'tag',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ingress',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite',
            False, 
            [
            _MetaInfoClassMember('ingress', REFERENCE_CLASS, 'Ingress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress', 
                [], [], 
                '''                Ingress Rewrite
                ''',
                'ingress',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'rewrite',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery.Cause',
            False, 
            [
            _MetaInfoClassMember('mac-security', ATTRIBUTE, 'int' , None, None, 
                [('30', '86400')], [], 
                '''                mac-security violation
                ''',
                'mac_security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery.Cause', 
                [], [], 
                '''                error disable cause
                ''',
                'cause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable',
            False, 
            [
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery', 
                [], [], 
                '''                enable auto recovery
                ''',
                'recovery',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange',
            False, 
            [
            _MetaInfoClassMember('comma', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                comma
                ''',
                'comma',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                hyphen
                ''',
                'hyphen',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For all VLANS [untagged,1-4094]
                ''',
                'any',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default EFP
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Untagged frames
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_CLASS, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map', 
                [], [], 
                '''                Configure ether lmi ce-vlan/evc map
                ''',
                'map',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ce-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi',
            False, 
            [
            _MetaInfoClassMember('ce-vlan', REFERENCE_CLASS, 'CeVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan', 
                [], [], 
                '''                Configure ether lmi customer vlans
                ''',
                'ce_vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'lmi',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the wire
                ''',
                'external',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the relay
                ''',
                'internal',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit', 
                [], [], 
                '''                Allow data plane loopback to be activated
                ''',
                'permit',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet',
            False, 
            [
            _MetaInfoClassMember('lmi', REFERENCE_CLASS, 'Lmi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi', 
                [], [], 
                '''                Configure ether lmi parameters
                ''',
                'lmi',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('loopback', REFERENCE_CLASS, 'Loopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback', 
                [], [], 
                '''                Ethernet Dataplane Loopback
                ''',
                'loopback',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet', 
                [], [], 
                '''                ethernet
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence
                ''',
                'persist',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the service instance
                ''',
                'ifindex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain.SplitHorizon' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain.SplitHorizon',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '13')], [], 
                '''                Split-horizon group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'split-horizon',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'bridge_id',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('from-encapsulation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from-encapsulation
                ''',
                'from_encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('split-horizon', REFERENCE_CLASS, 'SplitHorizon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain.SplitHorizon', 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'bridge-domain',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security.Maximum',
            False, 
            [
            _MetaInfoClassMember('addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum addresses that can be learnt on this service instance
                ''',
                'addresses',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security',
            False, 
            [
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security.Maximum', 
                [], [], 
                '''                Configure an upper bound
                ''',
                'maximum',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security.ViolationEnum', 
                [], [], 
                '''                Configure the response when a MAC security policy is violated
                ''',
                'violation',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Mac',
            False, 
            [
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security', 
                [], [], 
                '''                MAC Security commands
                ''',
                'security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LIST, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Input', 
                [], [], 
                '''                service policy input
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('output', REFERENCE_LIST, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Output', 
                [], [], 
                '''                service policy output
                ''',
                'output',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mep' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mep',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure a domain for this mep
                ''',
                'domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mpid', ATTRIBUTE, 'int' , None, None, 
                [('1', '8191')], [], 
                '''                Maintenance End Point Identifier
                ''',
                'mpid',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mep',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mip',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.Cfm',
            False, 
            [
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation', 
                [], [], 
                '''                Configure CFM ethernet frame encapsulation
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mep', REFERENCE_CLASS, 'Mep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mep', 
                [], [], 
                '''                Maintenance End Point
                ''',
                'mep',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mip', REFERENCE_CLASS, 'Mip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mip', 
                [], [], 
                '''                Maintenance Intermediate Point
                ''',
                'mip',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Peer',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Forward' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Forward',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'forward',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Tunnel',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol',
            False, 
            [
            _MetaInfoClassMember('forward', REFERENCE_CLASS, 'Forward' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Forward', 
                [], [], 
                '''                forward L2 control protocol packets as data
                ''',
                'forward',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Peer', 
                [], [], 
                '''                peer L2 control protocol packets as data
                ''',
                'peer',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Tunnel', 
                [], [], 
                '''                tunnel L2 control protocol packets as data
                ''',
                'tunnel',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'l2protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service.Instance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service.Instance',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4000')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', True),
            _MetaInfoClassMember('bridge-domain', REFERENCE_CLASS, 'BridgeDomain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain', 
                [], [], 
                '''                Bridge-domain
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cfm', REFERENCE_CLASS, 'Cfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Cfm', 
                [], [], 
                '''                Ethernet CFM EFP subcommands
                ''',
                'cfm',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Service instance specific description
                ''',
                'description',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation', 
                [], [], 
                '''                Configure ethernet frame match criteria
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable', 
                [], [], 
                '''                Configure error disable
                ''',
                'errdisable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an Ethernet Instance
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-container', REFERENCE_CLASS, 'EthernetContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer', 
                [], [], 
                '''                ''',
                'ethernet_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-evc-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ethernet_evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('evc-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                ''',
                'evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an GigabitEthernet Instance
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('l2protocol', REFERENCE_CLASS, 'L2Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol', 
                [], [], 
                '''                Configure l2 control protocol processing
                ''',
                'l2protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Mac', 
                [], [], 
                '''                Commands for MAC Address-based features
                ''',
                'mac',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('rewrite', REFERENCE_CLASS, 'Rewrite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite', 
                [], [], 
                '''                Configure ethernet rewrite criteria
                ''',
                'rewrite',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy', 
                [], [], 
                '''                Attach a policy-map to an EFP
                ''',
                'service_policy',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Take the Service Instance out of Service
                ''',
                'shutdown',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance.Snmp', 
                [], [], 
                '''                Modify SNMP service instance parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trunk Service Instance
                ''',
                'trunk',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Service' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Service',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service.Instance', 
                [], [], 
                '''                Configure Ether Service Instance
                ''',
                'instance',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Auto.Qos.Classify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Auto.Qos.Classify',
            False, 
            [
            _MetaInfoClassMember('police', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure QoS policing for untrusted devices
                ''',
                'police',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'classify',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Auto.Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Auto.Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the CoS marking
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP marking
                ''',
                'dscp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Auto.Qos.Video' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Auto.Qos.Video',
            False, 
            [
            _MetaInfoClassMember('cts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Cisco Telepresence System
                ''',
                'cts',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ip-camera', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Ip Video Surveillance camera
                ''',
                'ip_camera',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('media-player', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Qos marking of the Cisco Media Player
                ''',
                'media_player',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'video',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Auto.Qos.Voip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Auto.Qos.Voip',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP Phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('cisco-softphone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP SoftPhone
                ''',
                'cisco_softphone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Auto.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Auto.Qos',
            False, 
            [
            _MetaInfoClassMember('classify', REFERENCE_CLASS, 'Classify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Auto.Qos.Classify', 
                [], [], 
                '''                Configure classification for untrusted devices
                ''',
                'classify',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Auto.Qos.Trust', 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('video', REFERENCE_CLASS, 'Video' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Auto.Qos.Video', 
                [], [], 
                '''                Configure AutoQoS for video devices
                ''',
                'video',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voip', REFERENCE_CLASS, 'Voip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Auto.Qos.Voip', 
                [], [], 
                '''                Configure AutoQoS for VoIP
                ''',
                'voip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Auto',
            False, 
            [
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Auto.Qos', 
                [], [], 
                '''                Configure AutoQoS
                ''',
                'qos',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Datalink.Flow.Monitor.InputOutputEnum' : _MetaInfoEnum('InputOutputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fortygigabitethernet.Datalink.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Datalink.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('input-output', REFERENCE_ENUM_CLASS, 'InputOutputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Datalink.Flow.Monitor.InputOutputEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'input_output',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('User-defined-flow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'user_defined_flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Datalink.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Datalink.Flow',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Datalink.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Datalink' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Datalink',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Datalink.Flow', 
                [], [], 
                '''                Interface Flow configuration subcommands
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'datalink',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Energywise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Energywise',
            False, 
            [
            _MetaInfoClassMember('activitycheck', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply an activity check before turning off power 
                  to this PoE port
                ''',
                'activitycheck',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'energywise',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Location.CivicLocationId.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Location.CivicLocationId.Host',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Location.CivicLocationId.None_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Location.CivicLocationId.None_',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'none',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Location.CivicLocationId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Location.CivicLocationId',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Location.CivicLocationId.Host', 
                [], [], 
                '''                Globally defined host location identifer
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('location-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                civic location identifier string
                ''',
                'location_identifier',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('none', REFERENCE_CLASS, 'None_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Location.CivicLocationId.None_', 
                [], [], 
                '''                No globally defined location identifer
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'civic-location-id',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Location' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Location',
            False, 
            [
            _MetaInfoClassMember('civic-location-id', REFERENCE_CLASS, 'CivicLocationId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Location.CivicLocationId', 
                [], [], 
                '''                Civic location information
                ''',
                'civic_location_id',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'location',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum' : _MetaInfoEnum('ApplyToEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.Fortygigabitethernet.Mac.AccessGroup.AclName' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Mac.AccessGroup.AclName',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('apply-to', REFERENCE_ENUM_CLASS, 'ApplyToEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum', 
                [], [], 
                '''                ''',
                'apply_to',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ACL-name',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Mac.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Mac.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('ACL-name', REFERENCE_CLASS, 'AclName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Mac.AccessGroup.AclName', 
                [], [], 
                '''                ACL name
                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Mac',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Mac.AccessGroup', 
                [], [], 
                '''                MAC access-group configuration commands
                ''',
                'access_group',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Macro.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Macro.Auto',
            False, 
            [
            _MetaInfoClassMember('processing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable smartport macro auto execution on this interface
                ''',
                'processing',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Macro' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Macro',
            False, 
            [
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Macro.Auto', 
                [], [], 
                '''                Smartport interface macro configurations
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Macro description for this interface
                ''',
                'description',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macro',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.DualActive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.DualActive',
            False, 
            [
            _MetaInfoClassMember('fast-hello', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'fast_hello',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dual-active',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Lldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Lldp',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP reception on interface
                ''',
                'receive',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP transmission on interface
                ''',
                'transmit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'lldp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.LoadBalancing' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.LoadBalancing',
            False, 
            [
            _MetaInfoClassMember('flow', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the traffic flows identified by the packet headers
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the VLAN to member links manual configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'load-balancing',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.VlanRange.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.VlanRange.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.VlanRange',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-switch', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4096')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                ]),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.VlanRange.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switch.Virtual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switch.Virtual',
            False, 
            [
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'virtual',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Switch',
            False, 
            [
            _MetaInfoClassMember('virtual', REFERENCE_CLASS, 'Virtual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switch.Virtual', 
                [], [], 
                '''                ''',
                'virtual',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Shape' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Shape',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Share' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Share',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'share',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Shape', 
                [], [], 
                '''                ''',
                'shape',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('share', REFERENCE_CLASS, 'Share' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Share', 
                [], [], 
                '''                ''',
                'share',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.SrrQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.SrrQueue',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth', 
                [], [], 
                '''                ''',
                'bandwidth',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'srr-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.Macsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet.Macsec',
            False, 
            [
            _MetaInfoClassMember('network-link', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable macsec on switch connected interface
                ''',
                'network_link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macsec',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Fortygigabitethernet.ChannelProtocolEnum' : _MetaInfoEnum('ChannelProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lacp':'lacp',
            'pagp':'pagp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.DuplexEnum' : _MetaInfoEnum('DuplexEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'full':'full',
            'half':'half',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Fortygigabitethernet.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.MediaTypeEnum' : _MetaInfoEnum('MediaTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto-select':'auto_select',
            'rj45':'rj45',
            'sfp':'sfp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.PortTypeEnum' : _MetaInfoEnum('PortTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nni':'nni',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Fortygigabitethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Fortygigabitethernet',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/)([0-1]/)[0-4]'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Auto', 
                [], [], 
                '''                Configure Automation
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('carrier-delay', REFERENCE_CLASS, 'CarrierDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.CarrierDelay', 
                [], [], 
                '''                Specify delay for interface transitions
                ''',
                'carrier_delay',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('channel-group', REFERENCE_CLASS, 'ChannelGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.ChannelGroup', 
                [], [], 
                '''                Add this interface to an Etherchannel group
                ''',
                'channel_group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('channel-protocol', REFERENCE_ENUM_CLASS, 'ChannelProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.ChannelProtocolEnum', 
                [], [], 
                '''                Select the channel protocol (LACP, PAgP)
                ''',
                'channel_protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('datalink', REFERENCE_CLASS, 'Datalink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Datalink', 
                [], [], 
                '''                Interface Datalink commands
                ''',
                'datalink',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dual-active', REFERENCE_CLASS, 'DualActive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.DualActive', 
                [], [], 
                '''                ''',
                'dual_active',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'DuplexEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.DuplexEnum', 
                [], [], 
                '''                Configure duplex operation.
                ''',
                'duplex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('energywise', REFERENCE_CLASS, 'Energywise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Energywise', 
                [], [], 
                '''                EnergyWise interface configurations
                ''',
                'energywise',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ethernet', 
                [], [], 
                '''                Ethernet interface parameters
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lldp', REFERENCE_CLASS, 'Lldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Lldp', 
                [], [], 
                '''                LLDP interface subcommands
                ''',
                'lldp',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-balancing', REFERENCE_CLASS, 'LoadBalancing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.LoadBalancing', 
                [], [], 
                '''                Etherchannel Load-Balancing
                ''',
                'load_balancing',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('location', REFERENCE_CLASS, 'Location' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Location', 
                [], [], 
                '''                Interface location information
                ''',
                'location',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Mac', 
                [], [], 
                '''                MAC interface commands
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macro', REFERENCE_CLASS, 'Macro' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Macro', 
                [], [], 
                '''                Command macro
                ''',
                'macro',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macsec', REFERENCE_CLASS, 'Macsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Macsec', 
                [], [], 
                '''                Enable macsec on the interface
                ''',
                'macsec',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('media-type', REFERENCE_ENUM_CLASS, 'MediaTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.MediaTypeEnum', 
                [], [], 
                '''                Media type
                ''',
                'media_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiation', REFERENCE_CLASS, 'Negotiation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Negotiation', 
                [], [], 
                '''                Select autonegotiation mode
                ''',
                'negotiation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('plim', REFERENCE_CLASS, 'Plim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Plim', 
                [], [], 
                '''                Configure features on the PLIM
                ''',
                'plim',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-type', REFERENCE_ENUM_CLASS, 'PortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.PortTypeEnum', 
                [], [], 
                '''                ''',
                'port_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pppoe', REFERENCE_CLASS, 'Pppoe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Pppoe', 
                [], [], 
                '''                pppoe interface subcommands
                ''',
                'pppoe',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Service', 
                [], [], 
                '''                Configure Ether Service
                ''',
                'service',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('speed', REFERENCE_CLASS, 'Speed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Speed', 
                [], [], 
                '''                Configure speed operation
                ''',
                'speed',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('srr-queue', REFERENCE_CLASS, 'SrrQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.SrrQueue', 
                [], [], 
                '''                ''',
                'srr_queue',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switch', 
                [], [], 
                '''                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Synchronous', 
                [], [], 
                '''                Synchronous
                ''',
                'synchronous',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_LIST, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'FortyGigabitEthernet',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.AdjacencyFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.AdjacencyFilter',
            False, 
            [
            _MetaInfoClassMember('match-all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match all area addresses
                ''',
                'match_all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'adjacency-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Advertise',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interface IP address
                ''',
                'prefix',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Authentication.Mode.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Authentication.Mode.Md5',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Authentication.Mode.Text' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Authentication.Mode.Text',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'text',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Authentication.Mode.Md5', 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('text', REFERENCE_CLASS, 'Text' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Authentication.Mode.Text', 
                [], [], 
                '''                Clear text password
                ''',
                'text',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Authentication.KeyChain.KeyChainList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Authentication.KeyChain.KeyChainList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('key-chain-list', REFERENCE_LIST, 'KeyChainList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Authentication.KeyChain.KeyChainList', 
                [], [], 
                '''                ''',
                'key_chain_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Authentication.SendOnly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Authentication.SendOnly',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'send-only',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Authentication.KeyChain', 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Authentication.Mode', 
                [], [], 
                '''                Authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('send-only', REFERENCE_CLASS, 'SendOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Authentication.SendOnly', 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.CircuitType.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2-only':'level_2_only',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.CircuitType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.CircuitType',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.CircuitType.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'circuit-type',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.CsnpInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.CsnpInterval',
            False, 
            [
            _MetaInfoClassMember('csnp-interval-list', REFERENCE_LIST, 'CsnpIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList', 
                [], [], 
                '''                ''',
                'csnp_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never pad hello packets if no prefix present
                ''',
                'always',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello packets
                ''',
                'padding',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.HelloInterval.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-list', REFERENCE_LIST, 'HelloIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList', 
                [], [], 
                '''                ''',
                'hello_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.HelloMultiplier' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.HelloMultiplier',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier-list', REFERENCE_LIST, 'HelloMultiplierList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList', 
                [], [], 
                '''                ''',
                'hello_multiplier_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Ipv6.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.Ipv6.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Ipv6.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Ipv6',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Ipv6.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IPv6 route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Password.PasswordList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.Password.PasswordList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Password.PasswordList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Password.PasswordList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Password' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Password',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password-list', REFERENCE_LIST, 'PasswordList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Password.PasswordList', 
                [], [], 
                '''                ''',
                'password_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Priority.PriorityList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.Priority.PriorityList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Priority.PriorityList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Priority.PriorityList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-list', REFERENCE_LIST, 'PriorityList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Priority.PriorityList', 
                [], [], 
                '''                ''',
                'priority_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.ThreeWayHandshake.ImplementorEnum' : _MetaInfoEnum('ImplementorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco':'cisco',
            'ietf':'ietf',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.ThreeWayHandshake' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis.ThreeWayHandshake',
            False, 
            [
            _MetaInfoClassMember('implementor', REFERENCE_ENUM_CLASS, 'ImplementorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.ThreeWayHandshake.ImplementorEnum', 
                [], [], 
                '''                ''',
                'implementor',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'three-way-handshake',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Isis.MeshGroupEnum' : _MetaInfoEnum('MeshGroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'blocked':'blocked',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Loopback.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Isis',
            False, 
            [
            _MetaInfoClassMember('adjacency-filter', REFERENCE_CLASS, 'AdjacencyFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.AdjacencyFilter', 
                [], [], 
                '''                Filter IS-IS adjacencies
                ''',
                'adjacency_filter',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Advertise', 
                [], [], 
                '''                Control addresses advertisements in LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('circuit-type', REFERENCE_CLASS, 'CircuitType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.CircuitType', 
                [], [], 
                '''                Configure circuit type for interface
                ''',
                'circuit_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('csnp-interval', REFERENCE_CLASS, 'CsnpInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.CsnpInterval', 
                [], [], 
                '''                Set CSNP interval in seconds
                ''',
                'csnp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Hello', 
                [], [], 
                '''                Add padding to IS-IS hello packets
                ''',
                'hello',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.HelloInterval', 
                [], [], 
                '''                Set Hello interval in seconds
                ''',
                'hello_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-multiplier', REFERENCE_CLASS, 'HelloMultiplier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.HelloMultiplier', 
                [], [], 
                '''                Set multiplier for Hello holding time
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Ipv6', 
                [], [], 
                '''                IPv6 interface configuration
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set LSP transmission interval
                ''',
                'lsp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mesh-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set ISIS mesh group
                ''',
                'mesh_group',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('mesh-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('mesh-group', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum', 
                        [], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Password', 
                [], [], 
                '''                Configure the authentication password for interface
                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.Priority', 
                [], [], 
                '''                Set priority for Designated Router election
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.ProtocolEnum', 
                [], [], 
                '''                Set ISIS protocol's state under current interface
                ''',
                'protocol',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set per-LSP retransmission interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-throttle-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set interface LSP retransmission interval
                ''',
                'retransmit_throttle_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IP route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('three-way-handshake', REFERENCE_CLASS, 'ThreeWayHandshake' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis.ThreeWayHandshake', 
                [], [], 
                '''                Select Cisco or IETF three-way handshake
                ''',
                'three_way_handshake',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mpls.Accounting.Experimental' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mpls.Accounting.Experimental',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                received packets
                ''',
                'input',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmitted packets
                ''',
                'output',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'experimental',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mpls.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mpls.Accounting',
            False, 
            [
            _MetaInfoClassMember('experimental', REFERENCE_CLASS, 'Experimental' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mpls.Accounting.Experimental', 
                [], [], 
                '''                Count packets by MPLS experimental value on this interface
                ''',
                'experimental',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mpls.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mpls.Bgp',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure MPLS forwarding for directly connected BGP peers
                ''',
                'forwarding',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mpls.Label.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'ldp':'ldp',
            'tdp':'tdp',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Interface.Loopback.Mpls.Label' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mpls.Label',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mpls.Label.ProtocolEnum', 
                [], [], 
                '''                Configure label/tag distribution protocol (LDP/TDP)
                ''',
                'protocol',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mpls.Ldp.Discovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mpls.Ldp.Discovery',
            False, 
            [
            _MetaInfoClassMember('transport-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify interface LDP transport address
                ''',
                'transport_address',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('transport-address', REFERENCE_ENUM_CLASS, 'LdpDiscoveryAddressTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls', 'LdpDiscoveryAddressTypeEnum', 
                        [], [], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('transport-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mpls.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mpls.Ldp',
            False, 
            [
            _MetaInfoClassMember('discovery', REFERENCE_CLASS, 'Discovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mpls.Ldp.Discovery', 
                [], [], 
                '''                Configure interface LDP Discovery parameters
                ''',
                'discovery',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for decreased resource availability
                ''',
                'down',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('up', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for increased resource availability
                ''',
                'up',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'thresholds',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mpls.TrafficEng.Flooding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mpls.TrafficEng.Flooding',
            False, 
            [
            _MetaInfoClassMember('thresholds', REFERENCE_CLASS, 'Thresholds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds', 
                [], [], 
                '''                Set flooding thresholds
                ''',
                'thresholds',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'flooding',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('administrative-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set the administrative weight for the interface
                ''',
                'administrative_weight',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('attribute-flags', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set user-defined interface attibute flags
                ''',
                'attribute_flags',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('backup-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure an MPLS TE backup for this interface
                ''',
                'backup_path',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('flooding', REFERENCE_CLASS, 'Flooding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mpls.TrafficEng.Flooding', 
                [], [], 
                '''                Set flooding parameters
                ''',
                'flooding',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tunnels', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable MPLS Traffic Engineering tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mpls',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mpls.Accounting', 
                [], [], 
                '''                Enable MPLS accounting on this interface
                ''',
                'accounting',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mpls.Bgp', 
                [], [], 
                '''                MPLS BGP
                ''',
                'bgp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic MPLS forwarding for IP
                ''',
                'ip',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mpls.Label', 
                [], [], 
                '''                Label properties
                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mpls.Ldp', 
                [], [], 
                '''                Configure Label Distribution Protocol (LDP) parameters
                ''',
                'ldp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('mtu', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set MPLS Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('1501', '1524')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '1500')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '9216')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mpls.TrafficEng', 
                [], [], 
                '''                Configure Traffic Engineering parameters
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Pim.AcceptRegister' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Pim.AcceptRegister',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'accept-register',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Pim.QueryInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Pim.QueryInterval',
            False, 
            [
            _MetaInfoClassMember('milliseconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '65535')], [], 
                '''                ''',
                'milliseconds_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Query interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('seconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '18725')], [], 
                '''                ''',
                'seconds_interval',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'query-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Pim.SparseModeEnum' : _MetaInfoEnum('SparseModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sparse-dense-mode':'sparse_dense_mode',
            'sparse-mode':'sparse_mode',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Loopback.Ip.Pim.SptThresholdEnum' : _MetaInfoEnum('SptThresholdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Loopback.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Pim',
            False, 
            [
            _MetaInfoClassMember('accept-register', REFERENCE_CLASS, 'AcceptRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Pim.AcceptRegister', 
                [], [], 
                '''                ''',
                'accept_register',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM router DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('nbma-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable PIM nbma-mode operation
                ''',
                'nbma_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('query-interval', REFERENCE_CLASS, 'QueryInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Pim.QueryInterval', 
                [], [], 
                '''                PIM router query interval
                ''',
                'query_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sparse-mode', REFERENCE_ENUM_CLASS, 'SparseModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Pim.SparseModeEnum', 
                [], [], 
                '''                ''',
                'sparse_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold', REFERENCE_ENUM_CLASS, 'SptThresholdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Pim.SptThresholdEnum', 
                [], [], 
                '''                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Client' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Client',
            False, 
            [
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify hostname to use
                ''',
                'hostname',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Relay.Information.CheckReply' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Relay.Information.CheckReply',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'check-reply',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Subscriber identifier sub option
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Relay.Information.OptionInsert' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Relay.Information.OptionInsert',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option-insert',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Relay.Information.PolicyActionEnum' : _MetaInfoEnum('PolicyActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
            'encapsulate':'encapsulate',
            'keep':'keep',
            'replace':'replace',
        }, 'Cisco-IOS-XE-dhcp', _yang_ns._namespaces['Cisco-IOS-XE-dhcp']),
    'Native.Interface.Loopback.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('check-reply', REFERENCE_CLASS, 'CheckReply' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Relay.Information.CheckReply', 
                [], [], 
                '''                Validate relay information in BOOTREPLY
                ''',
                'check_reply',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option-insert', REFERENCE_CLASS, 'OptionInsert' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Relay.Information.OptionInsert', 
                [], [], 
                '''                Insert relay information in BOOTREQUEST
                ''',
                'option_insert',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('policy-action', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Relay.Information.PolicyActionEnum', 
                [], [], 
                '''                Define reforwarding policy
                ''',
                'policy_action',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Received DHCP packet may contain relay info option with zero giaddr
                ''',
                'trusted',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set source interface for relayed messages
                ''',
                'source_interface',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP Snooping limit
                ''',
                'rate',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [(3, 63)], [], 
                '''                User defined string for circuit id
                ''',
                'string',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType',
            False, 
            [
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId', 
                [], [], 
                '''                Circuit id option 82 format
                ''',
                'circuit_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'format-type',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option',
            False, 
            [
            _MetaInfoClassMember('format-type', REFERENCE_CLASS, 'FormatType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType', 
                [], [], 
                '''                Option 82 information format
                ''',
                'format_type',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option', 
                [], [], 
                '''                DHCP Snooping information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information', 
                [], [], 
                '''                DHCP Snooping information
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP Snooping trust config
                ''',
                'trust',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan', 
                [], [], 
                '''                DHCP Snooping vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-dhcp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-dhcp',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Client', 
                [], [], 
                '''                DHCP client configuration
                ''',
                'client',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay configuration parameters
                ''',
                'relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.Loopback.Ip.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '*':'Y__STAR__',
        }, 'Cisco-IOS-XE-igmp', _yang_ns._namespaces['Cisco-IOS-XE-igmp']),
    'Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-igmp', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum', 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                ]),
            ],
            'Cisco-IOS-XE-igmp',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Igmp.StaticGroup.ClassMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Igmp.StaticGroup.ClassMap',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-igmp', True),
            ],
            'Cisco-IOS-XE-igmp',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Igmp.StaticGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Igmp.StaticGroup',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Igmp.StaticGroup.ClassMap', 
                [], [], 
                '''                Class map of type multicast-flows
                ''',
                'class_map',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('groups', REFERENCE_LIST, 'Groups' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups', 
                [], [], 
                '''                ''',
                'groups',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'static-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Igmp.JoinGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Igmp.JoinGroup',
            False, 
            [
            _MetaInfoClassMember('ip-group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP group address
                ''',
                'ip_group_address',
                'Cisco-IOS-XE-igmp', True),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP source address
                ''',
                'source',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'join-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Igmp',
            False, 
            [
            _MetaInfoClassMember('join-group', REFERENCE_LIST, 'JoinGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Igmp.JoinGroup', 
                [], [], 
                '''                IGMP join multicast group
                ''',
                'join_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('static-group', REFERENCE_CLASS, 'StaticGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Igmp.StaticGroup', 
                [], [], 
                '''                IGMP static multicast group
                ''',
                'static_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Lisp',
            False, 
            [
            _MetaInfoClassMember('source-locator', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Choose IP source address for LISP packets egressing this interface
                ''',
                'source_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Nat' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Nat',
            False, 
            [
            _MetaInfoClassMember('allow-static-host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow static-ip clients
                ''',
                'allow_static_host',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Address Translation (NVI)
                ''',
                'enable',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('inside', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inside interface for address translation
                ''',
                'inside',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('outside', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outside interface for address translation
                ''',
                'outside',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'nat',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum' : _MetaInfoEnum('Ipv4Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery',
            False, 
            [
            _MetaInfoClassMember('ipv4-ipv6', REFERENCE_ENUM_CLASS, 'Ipv4Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum', 
                [], [], 
                '''                ''',
                'ipv4_ipv6',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'protocol-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Nbar' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Nbar',
            False, 
            [
            _MetaInfoClassMember('protocol-discovery', REFERENCE_CLASS, 'ProtocolDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery', 
                [], [], 
                '''                Enable protocol discovery for both ipv4 and ipv6
                ''',
                'protocol_discovery',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'nbar',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not include secondary IP addresses
                ''',
                'none',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('secondaries', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include or exclude secondary IP addresses
                ''',
                'secondaries',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outgoing LSA
                ''',
                'out',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set multiplier for Hellos
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'minimal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('minimal', REFERENCE_CLASS, 'Minimal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal', 
                [], [], 
                '''                Set to 1 second
                ''',
                'minimal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Candidate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Candidate',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'candidate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Protection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix',
            False, 
            [
            _MetaInfoClassMember('candidate', REFERENCE_CLASS, 'Candidate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Candidate', 
                [], [], 
                '''                If interface can be protecting
                ''',
                'candidate',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Protection', 
                [], [], 
                '''                If interface can be protected
                ''',
                'protection',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'per-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.FastReroute',
            False, 
            [
            _MetaInfoClassMember('per-prefix', REFERENCE_CLASS, 'PerPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix', 
                [], [], 
                '''                Per-prefix LFA FRR parameters
                ''',
                'per_prefix',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.Lls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.Lls',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable LLS
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lls',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('diable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable TTL security check
                ''',
                'diable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Ospf.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'broadcast':'broadcast',
            'non-broadcast':'non_broadcast',
            'point-to-multipoint':'point_to_multipoint',
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ip.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.DeadInterval', 
                [], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.FastReroute', 
                [], [], 
                '''                LFA FastReroute parameters
                ''',
                'fast_reroute',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('lls', REFERENCE_CLASS, 'Lls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.Lls', 
                [], [], 
                '''                Link-local Signaling (LLS) support
                ''',
                'lls',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('resync-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which adjacency is reset if oob-resync is not started
                ''',
                'resync_timeout',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set OSPF protocol's state to disable under current interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude inbound packets from outbound redirection
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'exclude',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp.Redirect',
            False, 
            [
            _MetaInfoClassMember('exclude', REFERENCE_CLASS, 'Exclude' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude', 
                [], [], 
                '''                Exclude packets from redirection
                ''',
                'exclude',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip.Wccp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip.Wccp',
            False, 
            [
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp.Redirect', 
                [], [], 
                '''                Set packet redirection options
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp.Vrf', 
                [], [], 
                '''                Configure WCCP for a VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Igmp', 
                [], [], 
                '''                IGMP interface commands
                ''',
                'igmp',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nat', REFERENCE_CLASS, 'Nat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Nat', 
                [], [], 
                '''                NAT interface commands
                ''',
                'nat',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('nbar', REFERENCE_CLASS, 'Nbar' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Nbar', 
                [], [], 
                '''                Network-Based Application Recognition
                ''',
                'nbar',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wccp', REFERENCE_CLASS, 'Wccp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip.Wccp', 
                [], [], 
                '''                WCCP IPv4 interface commands
                ''',
                'wccp',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Dhcp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Dhcp.Server',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Preference
                ''',
                'preference',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Dhcp.Guard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Dhcp.Guard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature DHCP Guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'guard',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Dhcp',
            False, 
            [
            _MetaInfoClassMember('guard', REFERENCE_CLASS, 'Guard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Dhcp.Guard', 
                [], [], 
                '''                Configure IPv6 DHCP guard on the interface
                ''',
                'guard',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Dhcp.Server', 
                [], [], 
                '''                Act as an IPv6 DHCP server
                ''',
                'server',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Nd.Raguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Nd.Raguard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature RA guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'raguard',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Nd.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Nd.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default_route',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert auto-configured prefix
                ''',
                'prefix',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Nd.Ra.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Nd.Ra.Suppress',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress all IPv6 RA
                ''',
                'all',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Nd.Ra' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Nd.Ra',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Nd.Ra.Suppress', 
                [], [], 
                '''                Suppress IPv6 router-alert configuration
                ''',
                'suppress',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'ra',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Nd',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Nd.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('managed-config-flag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP for IPv6 address configuration
                ''',
                'managed_config_flag',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('ra', REFERENCE_CLASS, 'Ra' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Nd.Ra', 
                [], [], 
                '''                IPv6 nd router alert configuration
                ''',
                'ra',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('raguard', REFERENCE_CLASS, 'Raguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Nd.Raguard', 
                [], [], 
                '''                Configure RA guard on the interface
                ''',
                'raguard',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.NoPim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.NoPim',
            False, 
            [
            _MetaInfoClassMember('pim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'no-pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Pim.Bsr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Pim.Bsr',
            False, 
            [
            _MetaInfoClassMember('border', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Border of PIM BSR domain
                ''',
                'border',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Pim',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Pim.Bsr', 
                [], [], 
                '''                Configure BSR
                ''',
                'bsr',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Hello DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Process' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Process',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('instance', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('0', '31')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('32', '255')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Flood Reduction on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process', REFERENCE_LIST, 'Process' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Process', 
                [], [], 
                '''                ''',
                'process',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Rip.DefaultInformation.RouteEnum' : _MetaInfoEnum('RouteEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'only':'only',
            'originate':'originate',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Interface.Loopback.Ipv6.Rip.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Rip.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '15')], [], 
                '''                Default route metric
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route', REFERENCE_ENUM_CLASS, 'RouteEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Rip.DefaultInformation.RouteEnum', 
                [], [], 
                '''                ''',
                'route',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Rip.DefaultInformation', 
                [], [], 
                '''                Configure handling of default route
                ''',
                'default_information',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/disable RIP routing
                ''',
                'enable',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-pim', REFERENCE_CLASS, 'NoPim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.NoPim', 
                [], [], 
                '''                ''',
                'no_pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.Rip', 
                [], [], 
                '''                Configure RIP routing protocol
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Crypto.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Crypto.Map',
            False, 
            [
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                enable redundancy
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('stateful', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable stateful failover
                ''',
                'stateful',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Crypto.Ipsec.DfBitEnum' : _MetaInfoEnum('DfBitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Loopback.Crypto.Ipsec.FragmentationEnum' : _MetaInfoEnum('FragmentationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'after-encryption':'after_encryption',
            'before-encryption':'before_encryption',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Loopback.Crypto.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Crypto.Ipsec',
            False, 
            [
            _MetaInfoClassMember('df-bit', REFERENCE_ENUM_CLASS, 'DfBitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Crypto.Ipsec.DfBitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'df_bit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_ENUM_CLASS, 'FragmentationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Crypto.Ipsec.FragmentationEnum', 
                [], [], 
                '''                Handling of fragmentation of near-MTU sized packets
                ''',
                'fragmentation',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Crypto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Crypto',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Crypto.Ipsec', 
                [], [], 
                '''                Set IPSec parameters
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Crypto.Map', 
                [], [], 
                '''                Assign a Crypto Map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crypto',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts.Manual.Policy.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts.Manual.Policy.Static',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('2', '65519')], [], 
                '''                Source Security Group Tag to apply to untagged or non-trusted incoming traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Source Group Tags (SGT) that the peer uses for sending
                ''',
                'trusted',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts.Manual.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts.Manual.Policy',
            False, 
            [
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts.Manual.Policy.Static', 
                [], [], 
                '''                Configure policy to be applied on the link
                ''',
                'static',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac',
            False, 
            [
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encapsulation present, no authentication, 
                     no encryption
                ''',
                'null',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gcm-encrypt',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'no-encap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', REFERENCE_CLASS, 'GcmEncrypt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt', 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('no-encap', REFERENCE_CLASS, 'NoEncap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap', 
                [], [], 
                '''                No encapsulation
                ''',
                'no_encap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'mode-list',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts.Manual.Sap.Pmk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts.Manual.Sap.Pmk',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('mode-list', REFERENCE_CLASS, 'ModeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList', 
                [], [], 
                '''                List of advertised modes (prioritized from highest to lowest)
                ''',
                'mode_list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'pmk',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts.Manual.Sap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts.Manual.Sap',
            False, 
            [
            _MetaInfoClassMember('pmk', REFERENCE_LIST, 'Pmk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts.Manual.Sap.Pmk', 
                [], [], 
                '''                Pre-Master Key (PMK) to use for CTS SAP
                ''',
                'pmk',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts.Manual.Propagate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts.Manual.Propagate',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CTS SGT Propagation configuration
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'propagate',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts.Manual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts.Manual',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts.Manual.Policy', 
                [], [], 
                '''                CTS policy for manual mode
                ''',
                'policy',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('propagate', REFERENCE_CLASS, 'Propagate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts.Manual.Propagate', 
                [], [], 
                '''                CTS SGT Propagation configuration for manual mode
                ''',
                'propagate',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sap', REFERENCE_CLASS, 'Sap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts.Manual.Sap', 
                [], [], 
                '''                CTS SAP configuration for manual mode
                ''',
                'sap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'manual',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Cts',
            False, 
            [
            _MetaInfoClassMember('manual', REFERENCE_CLASS, 'Manual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts.Manual', 
                [], [], 
                '''                Supply local configuration for CTS parameters
                ''',
                'manual',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Performance.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Performance.Monitor',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Select ezPM context
                ''',
                'context',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Performance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Performance',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Performance.Monitor', 
                [], [], 
                '''                monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'performance',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Clear Enable/Disable ifIndex persistence
                ''',
                'clear',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence 
                ''',
                'persist',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit',
            False, 
            [
            _MetaInfoClassMember('duplicates', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Permit duplicate SNMP LINKUP and LINKDOWN traps
                ''',
                'duplicates',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit', 
                [], [], 
                '''                Permit the following capability
                ''',
                'permit',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas',
            False, 
            [
            _MetaInfoClassMember('link-status', REFERENCE_CLASS, 'LinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus', 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status-capas',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('link-status-capas', REFERENCE_CLASS, 'LinkStatusCapas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas', 
                [], [], 
                '''                ''',
                'link_status_capas',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the interface
                ''',
                'ifindex',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Lisp.Mobility.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Lisp.Mobility.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('dynamic-eid-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dynamic_eid_name',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nbr-proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Neighbor proxy reply behavior for dynamic EID group
                ''',
                'nbr_proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '5')], [], 
                '''                Send neighbor proxy reply after reaching request threshold
                ''',
                'requests',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Lisp.Mobility.Discover' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Lisp.Mobility.Discover',
            False, 
            [
            _MetaInfoClassMember('arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic EID discover through ARP events on this interface
                ''',
                'arp',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'discover',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Lisp.Mobility.Liveness' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Lisp.Mobility.Liveness',
            False, 
            [
            _MetaInfoClassMember('test', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform liveness test on dynamic-EID discovered on this interface
                ''',
                'test',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('2', '255')], [], 
                '''                Configures the TTL in the liveness test packet
                ''',
                'ttl',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'liveness',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Lisp.Mobility' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Lisp.Mobility',
            False, 
            [
            _MetaInfoClassMember('discover', REFERENCE_CLASS, 'Discover' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Lisp.Mobility.Discover', 
                [], [], 
                '''                Configure mobility dynamic EID discover settings
                ''',
                'discover',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_CLASS, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Lisp.Mobility.DynamicEid', 
                [], [], 
                '''                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('liveness', REFERENCE_CLASS, 'Liveness' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Lisp.Mobility.Liveness', 
                [], [], 
                '''                Configure mobility liveness settings
                ''',
                'liveness',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mobility',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Lisp',
            False, 
            [
            _MetaInfoClassMember('extended-subnet-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures to enable extended subnet mode on the interface
                ''',
                'extended_subnet_mode',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mobility', REFERENCE_CLASS, 'Mobility' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Lisp.Mobility', 
                [], [], 
                '''                Configures to allow EID mobility on interface
                ''',
                'mobility',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('64', '95')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '31')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4', 
                [], [], 
                '''                Specify parameters for IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6', 
                [], [], 
                '''                Specify parameters for IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Loopback.Ospfv3.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Udld.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Udld.Port',
            False, 
            [
            _MetaInfoClassMember('aggressive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                ''',
                'aggressive',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable UDLD protocol on this interface despite global UDLD setting
                ''',
                'disable',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.Udld' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.Udld',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Udld.Port', 
                [], [], 
                '''                Enable UDLD protocol on this interface despite global UDLD setting
                ''',
                'port',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'udld',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.ZoneMember' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback.ZoneMember',
            False, 
            [
            _MetaInfoClassMember('security', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Security zone
                ''',
                'security',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-zone',
            'zone-member',
            _yang_ns._namespaces['Cisco-IOS-XE-zone'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Loopback.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Loopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Loopback',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('crypto', REFERENCE_CLASS, 'Crypto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Crypto', 
                [], [], 
                '''                Encryption/Decryption commands
                ''',
                'crypto',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Cts', 
                [], [], 
                '''                Configure Cisco Trusted Security
                ''',
                'cts',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Ospfv3', 
                [], [], 
                '''                OSPFv3 interface commands
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('performance', REFERENCE_CLASS, 'Performance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Performance', 
                [], [], 
                '''                Global performance monitor configuration
                ''',
                'performance',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Snmp', 
                [], [], 
                '''                Modify SNMP interface parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('udld', REFERENCE_CLASS, 'Udld' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Udld', 
                [], [], 
                '''                Configure UDLD enabled or disabled and ignore global UDLD setting
                ''',
                'udld',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zone-member', REFERENCE_CLASS, 'ZoneMember' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback.ZoneMember', 
                [], [], 
                '''                Apply zone name
                ''',
                'zone_member',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-native',
            'Loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.AdjacencyFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.AdjacencyFilter',
            False, 
            [
            _MetaInfoClassMember('match-all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match all area addresses
                ''',
                'match_all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'adjacency-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Advertise',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interface IP address
                ''',
                'prefix',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Authentication.Mode.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Authentication.Mode.Md5',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Authentication.Mode.Text' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Authentication.Mode.Text',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'text',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Authentication.Mode.Md5', 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('text', REFERENCE_CLASS, 'Text' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Authentication.Mode.Text', 
                [], [], 
                '''                Clear text password
                ''',
                'text',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Authentication.KeyChain.KeyChainList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Authentication.KeyChain.KeyChainList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('key-chain-list', REFERENCE_LIST, 'KeyChainList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Authentication.KeyChain.KeyChainList', 
                [], [], 
                '''                ''',
                'key_chain_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Authentication.SendOnly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Authentication.SendOnly',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'send-only',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Authentication.KeyChain', 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Authentication.Mode', 
                [], [], 
                '''                Authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('send-only', REFERENCE_CLASS, 'SendOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Authentication.SendOnly', 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.CircuitType.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2-only':'level_2_only',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.CircuitType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.CircuitType',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.CircuitType.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'circuit-type',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.CsnpInterval.CsnpIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.CsnpInterval.CsnpIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.CsnpInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.CsnpInterval',
            False, 
            [
            _MetaInfoClassMember('csnp-interval-list', REFERENCE_LIST, 'CsnpIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.CsnpInterval.CsnpIntervalList', 
                [], [], 
                '''                ''',
                'csnp_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never pad hello packets if no prefix present
                ''',
                'always',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello packets
                ''',
                'padding',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.HelloInterval.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-list', REFERENCE_LIST, 'HelloIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList', 
                [], [], 
                '''                ''',
                'hello_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.HelloMultiplier.HelloMultiplierList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.HelloMultiplier.HelloMultiplierList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.HelloMultiplier' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.HelloMultiplier',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier-list', REFERENCE_LIST, 'HelloMultiplierList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.HelloMultiplier.HelloMultiplierList', 
                [], [], 
                '''                ''',
                'hello_multiplier_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Ipv6.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.Ipv6.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Ipv6.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Ipv6',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Ipv6.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IPv6 route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Password.PasswordList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.Password.PasswordList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Password.PasswordList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Password.PasswordList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Password' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Password',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password-list', REFERENCE_LIST, 'PasswordList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Password.PasswordList', 
                [], [], 
                '''                ''',
                'password_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Priority.PriorityList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.Priority.PriorityList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Priority.PriorityList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Priority.PriorityList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-list', REFERENCE_LIST, 'PriorityList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Priority.PriorityList', 
                [], [], 
                '''                ''',
                'priority_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.ThreeWayHandshake.ImplementorEnum' : _MetaInfoEnum('ImplementorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco':'cisco',
            'ietf':'ietf',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.ThreeWayHandshake' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis.ThreeWayHandshake',
            False, 
            [
            _MetaInfoClassMember('implementor', REFERENCE_ENUM_CLASS, 'ImplementorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.ThreeWayHandshake.ImplementorEnum', 
                [], [], 
                '''                ''',
                'implementor',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'three-way-handshake',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Isis.MeshGroupEnum' : _MetaInfoEnum('MeshGroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'blocked':'blocked',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Lisp.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Isis',
            False, 
            [
            _MetaInfoClassMember('adjacency-filter', REFERENCE_CLASS, 'AdjacencyFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.AdjacencyFilter', 
                [], [], 
                '''                Filter IS-IS adjacencies
                ''',
                'adjacency_filter',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Advertise', 
                [], [], 
                '''                Control addresses advertisements in LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('circuit-type', REFERENCE_CLASS, 'CircuitType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.CircuitType', 
                [], [], 
                '''                Configure circuit type for interface
                ''',
                'circuit_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('csnp-interval', REFERENCE_CLASS, 'CsnpInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.CsnpInterval', 
                [], [], 
                '''                Set CSNP interval in seconds
                ''',
                'csnp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Hello', 
                [], [], 
                '''                Add padding to IS-IS hello packets
                ''',
                'hello',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.HelloInterval', 
                [], [], 
                '''                Set Hello interval in seconds
                ''',
                'hello_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-multiplier', REFERENCE_CLASS, 'HelloMultiplier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.HelloMultiplier', 
                [], [], 
                '''                Set multiplier for Hello holding time
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Ipv6', 
                [], [], 
                '''                IPv6 interface configuration
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set LSP transmission interval
                ''',
                'lsp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mesh-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set ISIS mesh group
                ''',
                'mesh_group',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('mesh-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('mesh-group', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum', 
                        [], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Password', 
                [], [], 
                '''                Configure the authentication password for interface
                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.Priority', 
                [], [], 
                '''                Set priority for Designated Router election
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.ProtocolEnum', 
                [], [], 
                '''                Set ISIS protocol's state under current interface
                ''',
                'protocol',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set per-LSP retransmission interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-throttle-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set interface LSP retransmission interval
                ''',
                'retransmit_throttle_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IP route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('three-way-handshake', REFERENCE_CLASS, 'ThreeWayHandshake' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis.ThreeWayHandshake', 
                [], [], 
                '''                Select Cisco or IETF three-way handshake
                ''',
                'three_way_handshake',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.Lisp.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Lisp.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Lisp',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Backup.Interface_.LispSubinterface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Backup.Interface_.LispSubinterface_',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Backup.Interface_.LispSubinterface_', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface.Lisp.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.LispSubinterface.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface.Lisp',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', REFERENCE_LIST, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface.Lisp', 
                [], [], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Nve.SourceInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Nve.SourceInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Nve.SourceInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Nve.SourceInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Nve.SourceInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Nve.SourceInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Nve.SourceInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Nve.SourceInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Nve.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Nve.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Nve.SourceInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Nve.SourceInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Nve.SourceInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Nve.SourceInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Nve.Member.Vni.McastGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Nve.Member.Vni.McastGroup',
            False, 
            [
            _MetaInfoClassMember('multicast-group-max', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Ending Multicast Group IPv4 Address
                ''',
                'multicast_group_max',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast-group-min', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Starting Multicast Group IPv4 Address
                ''',
                'multicast_group_min',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mcast-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Nve.Member.Vni' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Nve.Member.Vni',
            False, 
            [
            _MetaInfoClassMember('vni-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vni_range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mcast-group', REFERENCE_CLASS, 'McastGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Nve.Member.Vni.McastGroup', 
                [], [], 
                '''                ''',
                'mcast_group',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vni',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Nve.Member' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Nve.Member',
            False, 
            [
            _MetaInfoClassMember('vni', REFERENCE_LIST, 'Vni' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Nve.Member.Vni', 
                [], [], 
                '''                Configure VNI information
                ''',
                'vni',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'member',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Nve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Nve',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('member', REFERENCE_CLASS, 'Member' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Nve.Member', 
                [], [], 
                '''                ''',
                'member',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Nve.SourceInterface', 
                [], [], 
                '''                Specify source interface for NVE
                ''',
                'source_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'nve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-otv', False),
                ]),
            ],
            'Cisco-IOS-XE-otv',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-otv', False),
                ]),
            ],
            'Cisco-IOS-XE-otv',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-otv', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-otv', False, max_elements=8),
            ],
            'Cisco-IOS-XE-otv',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.CarrierDelay.Down' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.CarrierDelay.Down',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'down',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.CarrierDelay.Up' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.CarrierDelay.Up',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'up',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.CarrierDelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.CarrierDelay',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_CLASS, 'Down' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.CarrierDelay.Down', 
                [], [], 
                '''                Carrier Down Transitions
                ''',
                'down',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('up', REFERENCE_CLASS, 'Up' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.CarrierDelay.Up', 
                [], [], 
                '''                Carrier Up Transitions
                ''',
                'up',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'carrier-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.ChannelGroup.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'auto':'auto',
            'desirable':'desirable',
            'on':'on',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.ChannelGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.ChannelGroup',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                LACP auto
                ''',
                'auto',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('1', '4')], [], 
                '''                Assign a link identifier used for load-balancing
                ''',
                'link',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.ChannelGroup.ModeEnum', 
                [], [], 
                '''                Etherchannel Mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('non-silent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start negotiation only after data packets received
                ''',
                'non_silent',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'channel-group',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame threshold in number of frames
                ''',
                'thresh',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold', 
                [], [], 
                '''                Errored frame threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '600')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'frame',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('f-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame-period threshold in number of frames
                ''',
                'f_thresh',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame-period threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold', 
                [], [], 
                '''                Errored frame-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 10000 frames
                ''',
                'window',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'frame-period',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('e-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the high errored frame-seconds threshold in number of seconds
                ''',
                'e_thresh',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the low errored frame-seconds threshold in number of seconds
                ''',
                'low',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('100', '9000')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'frame-seconds',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action', 
                [], [], 
                '''                Specifiy an action when the high threshold is crossed
                ''',
                'action',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'high-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('crc-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high received crc error threshold in number of frames
                ''',
                'crc_thresh',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low received crc error threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'receive-crc',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('err-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high error symbol-period threshold in number of symbols
                ''',
                'err_thresh',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low error symbol-period threshold in number of symbols
                ''',
                'low',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold', 
                [], [], 
                '''                Error symbol-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 1048576 symbols
                ''',
                'window',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'symbol-period',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.LinkMonitor',
            False, 
            [
            _MetaInfoClassMember('frame', REFERENCE_CLASS, 'Frame' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame', 
                [], [], 
                '''                Errored frames in a period measured by time
                ''',
                'frame',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('frame-period', REFERENCE_CLASS, 'FramePeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod', 
                [], [], 
                '''                Errored frames in a period measured by number of frames
                ''',
                'frame_period',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('frame-seconds', REFERENCE_CLASS, 'FrameSeconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds', 
                [], [], 
                '''                Errored frame seconds in a period
                ''',
                'frame_seconds',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('high-threshold', REFERENCE_CLASS, 'HighThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold', 
                [], [], 
                '''                Additional high threshold configuration
                ''',
                'high_threshold',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable link monitoring on the interface
                ''',
                'on',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('receive-crc', REFERENCE_CLASS, 'ReceiveCrc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc', 
                [], [], 
                '''                Received frames with CRC errors in a period
                ''',
                'receive_crc',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support link monitoring on the interface
                ''',
                'supported',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('symbol-period', REFERENCE_CLASS, 'SymbolPeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod', 
                [], [], 
                '''                Errored symbols in a period
                ''',
                'symbol_period',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'link-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'critical-event',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'dying-gasp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'link-fault',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.RemoteFailure',
            False, 
            [
            _MetaInfoClassMember('critical-event', REFERENCE_CLASS, 'CriticalEvent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent', 
                [], [], 
                '''                Critical event
                ''',
                'critical_event',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dying-gasp', REFERENCE_CLASS, 'DyingGasp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp', 
                [], [], 
                '''                Dying gasp
                ''',
                'dying_gasp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('link-fault', REFERENCE_CLASS, 'LinkFault' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault', 
                [], [], 
                '''                Link fault
                ''',
                'link_fault',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'remote-failure',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support remote loopback functionality
                ''',
                'supported',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set timeout value in number of seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'remote-loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet.Oam.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Ethernet.Oam' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet.Oam',
            False, 
            [
            _MetaInfoClassMember('link-monitor', REFERENCE_CLASS, 'LinkMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.LinkMonitor', 
                [], [], 
                '''                Ethernet OAM Link Monitor
                ''',
                'link_monitor',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('max-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'max_rate',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('min-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'min_rate',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('remote-failure', REFERENCE_CLASS, 'RemoteFailure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.RemoteFailure', 
                [], [], 
                '''                Ethernet OAM remote failure indication
                ''',
                'remote_failure',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('remote-loopback', REFERENCE_CLASS, 'RemoteLoopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback', 
                [], [], 
                '''                Ethernet OAM Remote Loopback
                ''',
                'remote_loopback',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('2', '30')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'oam',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Ethernet',
            False, 
            [
            _MetaInfoClassMember('oam', REFERENCE_CLASS, 'Oam' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet.Oam', 
                [], [], 
                '''                To enable Ethernet Link OAM
                ''',
                'oam',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Negotiation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Negotiation',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable link autonegotiation
                ''',
                'auto',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'negotiation',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Synchronous',
            False, 
            [
            _MetaInfoClassMember('mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mode
                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Speed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Speed',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable AUTO speed configuration
                ''',
                'auto',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'nonegotiate',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('value-10', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10 Mbps operation
                ''',
                'value_10',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('value-100', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                100 Mbps operation
                ''',
                'value_100',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('value-1000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                1000 Mbps operation
                ''',
                'value_1000',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('value-10000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10000 Mbps operation
                ''',
                'value_10000',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'speed',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the interface to accept all VLAN traffic
                ''',
                'disable',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Plim.Ethernet.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Plim.Ethernet.Vlan',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter', 
                [], [], 
                '''                Configure VLAN filtering
                ''',
                'filter',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Plim.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Plim.Ethernet',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Plim.Ethernet.Vlan', 
                [], [], 
                '''                vlan specific features
                ''',
                'vlan',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'zero',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'strict-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Plim.Qos.Input.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Plim.Qos.Input.Queue',
            False, 
            [
            _MetaInfoClassMember('strict-priority', REFERENCE_CLASS, 'StrictPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority', 
                [], [], 
                '''                High priority queue
                ''',
                'strict_priority',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('zero', REFERENCE_CLASS, 'Zero' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero', 
                [], [], 
                '''                Low priority queue
                ''',
                'zero',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Plim.Qos.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Plim.Qos.Input',
            False, 
            [
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Plim.Qos.Input.Queue', 
                [], [], 
                '''                Queue number
                ''',
                'queue',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Plim.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Plim.Qos',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Plim.Qos.Input', 
                [], [], 
                '''                Configure PLIM QoS at the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Plim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Plim',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Plim.Ethernet', 
                [], [], 
                '''                Configure features on the ethernet interface
                ''',
                'ethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Plim.Qos', 
                [], [], 
                '''                QoS on the PLIM
                ''',
                'qos',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'plim',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Pppoe.Enable.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Pppoe.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Pppoe.Enable',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                attach a BBA group
                ''',
                'group',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum', 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-otv', False),
                ]),
            ],
            'Cisco-IOS-XE-otv',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Pppoe' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Pppoe',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Pppoe.Enable', 
                [], [], 
                '''                Enable pppoe
                ''',
                'enable',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('max-sessions', ATTRIBUTE, 'int' , None, None, 
                [('1', '4085')], [], 
                '''                Maximum PPPOE sessions
                ''',
                'max_sessions',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'pppoe',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' : _MetaInfoEnum('Dot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum', 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-otv', False),
                ]),
            ],
            'Cisco-IOS-XE-otv',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' : _MetaInfoEnum('SecondDot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum' : _MetaInfoEnum('VlanTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0x88A8':'Y_0x88A8',
            '0x9100':'Y_0x9100',
            '0x9200':'Y_0x9200',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('second-dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum', 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('vlan-type', REFERENCE_ENUM_CLASS, 'VlanTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum', 
                [], [], 
                '''                Vlan Protocol Type
                ''',
                'vlan_type',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'cos-container',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged',
            False, 
            [
            _MetaInfoClassMember('cos-container', REFERENCE_CLASS, 'CosContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer', 
                [], [], 
                '''                ''',
                'cos_container',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'priority-tagged',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Encapsulation.Untagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Encapsulation.Untagged',
            False, 
            [
            ],
            'Cisco-IOS-XE-otv',
            'untagged',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                catch-all unconfigured encapsulation
                ''',
                'default',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('priority-tagged', REFERENCE_CLASS, 'PriorityTagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged', 
                [], [], 
                '''                Priority tagged EFP
                ''',
                'priority_tagged',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('untagged', REFERENCE_CLASS, 'Untagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation.Untagged', 
                [], [], 
                '''                Untagged encapsulation
                ''',
                'untagged',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Ip.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Ip.Acl',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-otv', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP relay information option subscriber-id
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information
                ''',
                'information',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay
                ''',
                'relay',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source address
                ''',
                'source',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Ip',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Ip.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Ip.Dhcp', 
                [], [], 
                '''                DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Ip.Verify', 
                [], [], 
                '''                verify
                ''',
                'verify',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Ipv6',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('traffic-filter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'pop',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Push dot1q tag
                ''',
                'dot1q',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'push',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            't1-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            't1-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            't2-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            't2-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate',
            False, 
            [
            _MetaInfoClassMember('t1-to-1', REFERENCE_CLASS, 'T1To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1', 
                [], [], 
                '''                Translate 1-to-1
                ''',
                't1_to_1',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('t1-to-2', REFERENCE_CLASS, 'T1To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2', 
                [], [], 
                '''                Translate 1-to-2
                ''',
                't1_to_2',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('t2-to-1', REFERENCE_CLASS, 'T2To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1', 
                [], [], 
                '''                Translate 2-to-1
                ''',
                't2_to_1',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('t2-to-2', REFERENCE_CLASS, 'T2To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2', 
                [], [], 
                '''                Translate 2-to-2
                ''',
                't2_to_2',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag',
            False, 
            [
            _MetaInfoClassMember('pop', REFERENCE_CLASS, 'Pop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop', 
                [], [], 
                '''                Pop the tag
                ''',
                'pop',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('push', REFERENCE_CLASS, 'Push' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push', 
                [], [], 
                '''                Rewrite Operation of push
                ''',
                'push',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate', 
                [], [], 
                '''                Translate Tag
                ''',
                'translate',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Rewrite.Ingress',
            False, 
            [
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag', 
                [], [], 
                '''                Configure Rewrite Tag
                ''',
                'tag',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ingress',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Rewrite' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Rewrite',
            False, 
            [
            _MetaInfoClassMember('ingress', REFERENCE_CLASS, 'Ingress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite.Ingress', 
                [], [], 
                '''                Ingress Rewrite
                ''',
                'ingress',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'rewrite',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause',
            False, 
            [
            _MetaInfoClassMember('mac-security', ATTRIBUTE, 'int' , None, None, 
                [('30', '86400')], [], 
                '''                mac-security violation
                ''',
                'mac_security',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Errdisable.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Errdisable.Recovery',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause', 
                [], [], 
                '''                error disable cause
                ''',
                'cause',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Errdisable',
            False, 
            [
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Errdisable.Recovery', 
                [], [], 
                '''                enable auto recovery
                ''',
                'recovery',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange',
            False, 
            [
            _MetaInfoClassMember('comma', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                comma
                ''',
                'comma',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                hyphen
                ''',
                'hyphen',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For all VLANS [untagged,1-4094]
                ''',
                'any',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default EFP
                ''',
                'default',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('untagged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Untagged frames
                ''',
                'untagged',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_CLASS, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map', 
                [], [], 
                '''                Configure ether lmi ce-vlan/evc map
                ''',
                'map',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ce-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi',
            False, 
            [
            _MetaInfoClassMember('ce-vlan', REFERENCE_CLASS, 'CeVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan', 
                [], [], 
                '''                Configure ether lmi customer vlans
                ''',
                'ce_vlan',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'lmi',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the wire
                ''',
                'external',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the relay
                ''',
                'internal',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit', 
                [], [], 
                '''                Allow data plane loopback to be activated
                ''',
                'permit',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet',
            False, 
            [
            _MetaInfoClassMember('lmi', REFERENCE_CLASS, 'Lmi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi', 
                [], [], 
                '''                Configure ether lmi parameters
                ''',
                'lmi',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('loopback', REFERENCE_CLASS, 'Loopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback', 
                [], [], 
                '''                Ethernet Dataplane Loopback
                ''',
                'loopback',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.EthernetContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.EthernetContainer',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet', 
                [], [], 
                '''                ethernet
                ''',
                'ethernet',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ethernet-container',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence
                ''',
                'persist',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the service instance
                ''',
                'ifindex',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '13')], [], 
                '''                Split-horizon group
                ''',
                'group',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'split-horizon',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.BridgeDomain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.BridgeDomain',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'bridge_id',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('from-encapsulation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from-encapsulation
                ''',
                'from_encapsulation',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('split-horizon', REFERENCE_CLASS, 'SplitHorizon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon', 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'bridge-domain',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum',
            False, 
            [
            _MetaInfoClassMember('addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum addresses that can be learnt on this service instance
                ''',
                'addresses',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Mac.Security.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.Mac.Security' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Mac.Security',
            False, 
            [
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum', 
                [], [], 
                '''                Configure an upper bound
                ''',
                'maximum',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Mac.Security.ViolationEnum', 
                [], [], 
                '''                Configure the response when a MAC security policy is violated
                ''',
                'violation',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Mac',
            False, 
            [
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Mac.Security', 
                [], [], 
                '''                MAC Security commands
                ''',
                'security',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-otv', True),
            ],
            'Cisco-IOS-XE-otv',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-otv', True),
            ],
            'Cisco-IOS-XE-otv',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LIST, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.ServicePolicy.Input', 
                [], [], 
                '''                service policy input
                ''',
                'input',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('output', REFERENCE_LIST, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.ServicePolicy.Output', 
                [], [], 
                '''                service policy output
                ''',
                'output',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Cfm.Mep' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Cfm.Mep',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure a domain for this mep
                ''',
                'domain',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mpid', ATTRIBUTE, 'int' , None, None, 
                [('1', '8191')], [], 
                '''                Maintenance End Point Identifier
                ''',
                'mpid',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'mep',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Cfm.Mip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Cfm.Mip',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'mip',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.Cfm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.Cfm',
            False, 
            [
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation', 
                [], [], 
                '''                Configure CFM ethernet frame encapsulation
                ''',
                'encapsulation',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mep', REFERENCE_CLASS, 'Mep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Cfm.Mep', 
                [], [], 
                '''                Maintenance End Point
                ''',
                'mep',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mip', REFERENCE_CLASS, 'Mip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Cfm.Mip', 
                [], [], 
                '''                Maintenance Intermediate Point
                ''',
                'mip',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.L2Protocol.Peer.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.L2Protocol.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.L2Protocol.Peer',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.L2Protocol.Peer.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.L2Protocol.Forward.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.L2Protocol.Forward' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.L2Protocol.Forward',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.L2Protocol.Forward.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'forward',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance.L2Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance.L2Protocol',
            False, 
            [
            _MetaInfoClassMember('forward', REFERENCE_CLASS, 'Forward' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.L2Protocol.Forward', 
                [], [], 
                '''                forward L2 control protocol packets as data
                ''',
                'forward',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.L2Protocol.Peer', 
                [], [], 
                '''                peer L2 control protocol packets as data
                ''',
                'peer',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel', 
                [], [], 
                '''                tunnel L2 control protocol packets as data
                ''',
                'tunnel',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'l2protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service.Instance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service.Instance',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4000')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('bridge-domain', REFERENCE_CLASS, 'BridgeDomain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.BridgeDomain', 
                [], [], 
                '''                Bridge-domain
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('cfm', REFERENCE_CLASS, 'Cfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Cfm', 
                [], [], 
                '''                Ethernet CFM EFP subcommands
                ''',
                'cfm',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Service instance specific description
                ''',
                'description',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Encapsulation', 
                [], [], 
                '''                Configure ethernet frame match criteria
                ''',
                'encapsulation',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Errdisable', 
                [], [], 
                '''                Configure error disable
                ''',
                'errdisable',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ethernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an Ethernet Instance
                ''',
                'ethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ethernet-container', REFERENCE_CLASS, 'EthernetContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.EthernetContainer', 
                [], [], 
                '''                ''',
                'ethernet_container',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ethernet-evc-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ethernet_evc_name',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('evc-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                ''',
                'evc_name',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an GigabitEthernet Instance
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('l2protocol', REFERENCE_CLASS, 'L2Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.L2Protocol', 
                [], [], 
                '''                Configure l2 control protocol processing
                ''',
                'l2protocol',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Mac', 
                [], [], 
                '''                Commands for MAC Address-based features
                ''',
                'mac',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('rewrite', REFERENCE_CLASS, 'Rewrite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Rewrite', 
                [], [], 
                '''                Configure ethernet rewrite criteria
                ''',
                'rewrite',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.ServicePolicy', 
                [], [], 
                '''                Attach a policy-map to an EFP
                ''',
                'service_policy',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Take the Service Instance out of Service
                ''',
                'shutdown',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance.Snmp', 
                [], [], 
                '''                Modify SNMP service instance parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trunk Service Instance
                ''',
                'trunk',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Service' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Service',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service.Instance', 
                [], [], 
                '''                Configure Ether Service Instance
                ''',
                'instance',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.AdjacencyServer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.AdjacencyServer',
            False, 
            [
            _MetaInfoClassMember('unicast-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Unicast Only
                ''',
                'unicast_only',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'adjacency-server',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.EncapsulationFormat.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.EncapsulationFormat.Ip',
            False, 
            [
            _MetaInfoClassMember('gre', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use GRE middle header encapsulation
                ''',
                'gre',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.EncapsulationFormat' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.EncapsulationFormat',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.EncapsulationFormat.Ip', 
                [], [], 
                '''                Use IP for outer header encapsulation
                ''',
                'ip',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'encapsulation-format',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.Isis.Authentication.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'md5':'md5',
            'text':'text',
        }, 'Cisco-IOS-XE-otv', _yang_ns._namespaces['Cisco-IOS-XE-otv']),
    'Native.Interface.Overlay.Otv.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.Isis.Authentication.ModeEnum', 
                [], [], 
                '''                Authentication mode for PDUs
                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('send-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never pad hello packets if no prefix present
                ''',
                'always',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello packets
                ''',
                'padding',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.Isis.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.Isis.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('minimal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Holdtime 1 second, interval depends on multiplier
                ''',
                'minimal',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.Isis.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.Isis.Metric',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'error',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('expense', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'expense',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum metric. All routers will exclude this link from their SPF
                ''',
                'maximum',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.Isis',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bidirectional Forwarding Protocol
                ''',
                'bfd',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('csnp-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set CSNP interval in seconds
                ''',
                'csnp_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.Isis.Hello', 
                [], [], 
                '''                Add padding to IS-IS hello packets
                ''',
                'hello',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.Isis.HelloInterval', 
                [], [], 
                '''                Set Hello interval in seconds
                ''',
                'hello_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hello-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                Set multiplier for Hello holding time
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('lsp-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set LSP transmission interval
                ''',
                'lsp_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.Isis.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                Set priority for Designated Router election
                ''',
                'priority',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set per-LSP retransmission interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('retransmit-throttle-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set interface LSP retransmission interval
                ''',
                'retransmit_throttle_interval',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.JoinInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.JoinInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.JoinInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.JoinInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.JoinInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.JoinInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.JoinInterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.JoinInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.JoinInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.JoinInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.JoinInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'join-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.Suppress',
            False, 
            [
            _MetaInfoClassMember('arp-nd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress sending ARP and neighbor discovery packets on overlay
                ''',
                'arp_nd',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv.UseAdjacencyServer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv.UseAdjacencyServer',
            False, 
            [
            _MetaInfoClassMember('remote-pri-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'remote_pri_ip',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('remote-sec-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'remote_sec_ip',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('unicast-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Unicast Only Capability
                ''',
                'unicast_only',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'use-adjacency-server',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.Otv' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay.Otv',
            False, 
            [
            _MetaInfoClassMember('adjacency-server', REFERENCE_CLASS, 'AdjacencyServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.AdjacencyServer', 
                [], [], 
                '''                Indicate if the box is an Adjacency Server
                ''',
                'adjacency_server',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('control-group', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                OTV VPN control multicast group
                ''',
                'control_group',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('data-group', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                Multicast group range for data
                ''',
                'data_group',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('encapsulation-format', REFERENCE_CLASS, 'EncapsulationFormat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.EncapsulationFormat', 
                [], [], 
                '''                Encapsulation format
                ''',
                'encapsulation_format',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('filter-fhrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure to not forward HSRP, GLBP, and VRRP packets on overlay
                ''',
                'filter_fhrp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.Isis', 
                [], [], 
                '''                ISIS interface subcommands
                ''',
                'isis',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('join-interface', REFERENCE_CLASS, 'JoinInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.JoinInterface', 
                [], [], 
                '''                OTV VPN join-interface
                ''',
                'join_interface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.Suppress', 
                [], [], 
                '''                Enable overlay packet suppression
                ''',
                'suppress',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('use-adjacency-server', REFERENCE_CLASS, 'UseAdjacencyServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv.UseAdjacencyServer', 
                [], [], 
                '''                Point to remote Adjacency Server address
                ''',
                'use_adjacency_server',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vpn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OTV VPN name
                ''',
                'vpn_name',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'otv',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Overlay.ChannelProtocolEnum' : _MetaInfoEnum('ChannelProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lacp':'lacp',
            'pagp':'pagp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.DuplexEnum' : _MetaInfoEnum('DuplexEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'full':'full',
            'half':'half',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Overlay.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Overlay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Overlay',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('0', '512')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('carrier-delay', REFERENCE_CLASS, 'CarrierDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.CarrierDelay', 
                [], [], 
                '''                Specify delay for interface transitions
                ''',
                'carrier_delay',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('channel-group', REFERENCE_CLASS, 'ChannelGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.ChannelGroup', 
                [], [], 
                '''                Add this interface to an Etherchannel group
                ''',
                'channel_group',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('channel-protocol', REFERENCE_ENUM_CLASS, 'ChannelProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.ChannelProtocolEnum', 
                [], [], 
                '''                Select the channel protocol (LACP, PAgP)
                ''',
                'channel_protocol',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'DuplexEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.DuplexEnum', 
                [], [], 
                '''                Configure duplex operation.
                ''',
                'duplex',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ethernet', 
                [], [], 
                '''                Ethernet interface parameters
                ''',
                'ethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('negotiation', REFERENCE_CLASS, 'Negotiation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Negotiation', 
                [], [], 
                '''                Select autonegotiation mode
                ''',
                'negotiation',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('otv', REFERENCE_CLASS, 'Otv' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Otv', 
                [], [], 
                '''                Configure OTV information
                ''',
                'otv',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('plim', REFERENCE_CLASS, 'Plim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Plim', 
                [], [], 
                '''                Configure features on the PLIM
                ''',
                'plim',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('pppoe', REFERENCE_CLASS, 'Pppoe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Pppoe', 
                [], [], 
                '''                pppoe interface subcommands
                ''',
                'pppoe',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Service', 
                [], [], 
                '''                Configure Ether Service
                ''',
                'service',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('speed', REFERENCE_CLASS, 'Speed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Speed', 
                [], [], 
                '''                Configure speed operation
                ''',
                'speed',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Synchronous', 
                [], [], 
                '''                Synchronous
                ''',
                'synchronous',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-native',
            'overlay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Lacp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Lacp',
            False, 
            [
            _MetaInfoClassMember('max-bundle', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                LACP maximum number of ports to bundle in this port channel
                ''',
                'max_bundle',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'lacp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.PortChannel_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.PortChannel_',
            False, 
            [
            _MetaInfoClassMember('min-links', ATTRIBUTE, 'int' , None, None, 
                [('2', '8')], [], 
                '''                Minimum number of bundled ports needed to bring up      this port channel
                ''',
                'min_links',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standalone-disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ports will go to suspended mode if peer does not respond. Use with [no] prefix for independent mode.
                ''',
                'standalone_disable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-channel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Access.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannel.Switchport.Access.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Access.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Access.Vlan', 
                [], [], 
                '''                Set VLAN when interface is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown multicast addresses
                ''',
                'multicast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Mode.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Mode.Access',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Mode.Dot1QTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Mode.Dot1QTunnel',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'dot1q-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Mode.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Mode.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('promiscuous', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan promiscuous
                ''',
                'promiscuous',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Mode.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Mode.Trunk',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Mode.DynamicEnum' : _MetaInfoEnum('DynamicEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'desirable':'desirable',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannel.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Mode.Access', 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dot1q-tunnel', REFERENCE_CLASS, 'Dot1QTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Mode.Dot1QTunnel', 
                [], [], 
                '''                set trunking mode to TUNNEL unconditionally
                ''',
                'dot1q_tunnel',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dynamic', REFERENCE_ENUM_CLASS, 'DynamicEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Mode.DynamicEnum', 
                [], [], 
                '''                Set trunking mode to dynamically negotiate access or trunk mode
                ''',
                'dynamic',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Mode.PrivateVlan', 
                [], [], 
                '''                Set private-vlan mode
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Mode.Trunk', 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.PortSecurity.Aging.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'absolute':'absolute',
            'inactivity':'inactivity',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannel.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PortSecurity.Aging.TypeEnum', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress',
            False, 
            [
            _MetaInfoClassMember('hw-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                ''',
                'hw_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sticky', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic secure addresses as sticky
                ''',
                'sticky',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                set VLAN ID of the VLAN on which this address can be learned
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('max-addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '4097')], [], 
                '''                ''',
                'max_addresses',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.PortSecurity.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannel.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address', REFERENCE_CLASS, 'MacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress', 
                [], [], 
                '''                Secure mac address
                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PortSecurity.ViolationEnum', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                all VLANs
                ''',
                'all',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Trunk.Allowed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Trunk.Allowed',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan', 
                [], [], 
                '''                Set allowed VLANs when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'allowed',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Trunk.Native_.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'tag':'tag',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannel.Switchport.Trunk.Native_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Trunk.Native_',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set native VLAN when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum', 
                        [], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'native',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Trunk.Pruning' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Trunk.Pruning',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan', 
                [], [], 
                '''                Set VLANs enabled for pruning when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pruning',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Trunk.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1q':'dot1q',
            'isl':'isl',
            'negotiate':'negotiate',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannel.Switchport.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Trunk',
            False, 
            [
            _MetaInfoClassMember('allowed', REFERENCE_CLASS, 'Allowed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Trunk.Allowed', 
                [], [], 
                '''                Set allowed VLAN characteristics when interface is in trunking mode
                ''',
                'allowed',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Trunk.EncapsulationEnum', 
                [], [], 
                '''                Set encapsulation format on trunk port
                ''',
                'encapsulation',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('native', REFERENCE_CLASS, 'Native_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Trunk.Native_', 
                [], [], 
                '''                Set trunking native characteristics when interface is in trunking mode
                ''',
                'native',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pruning', REFERENCE_CLASS, 'Pruning' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Trunk.Pruning', 
                [], [], 
                '''                Set pruning VLAN characteristics when interface is in trunking mode
                ''',
                'pruning',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Voice.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1p':'dot1p',
            'none':'none',
            'untagged':'untagged',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannel.Switchport.Voice.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Voice.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Voice.Detect.CiscoPhone' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Voice.Detect.CiscoPhone',
            False, 
            [
            _MetaInfoClassMember('full-duplex', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                full duplex keyword
                ''',
                'full_duplex',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'cisco-phone',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Voice.Detect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Voice.Detect',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', REFERENCE_CLASS, 'CiscoPhone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Voice.Detect.CiscoPhone', 
                [], [], 
                '''                Cisco IP phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'detect',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('detect', REFERENCE_CLASS, 'Detect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Voice.Detect', 
                [], [], 
                '''                detection enhancement keyword
                ''',
                'detect',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Voice.Vlan', 
                [], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Priority.Extend' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Priority.Extend',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Override 802.1p priority of devices on appliance
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust 802.1p priorities of devices on appliance
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'extend',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Priority',
            False, 
            [
            _MetaInfoClassMember('extend', REFERENCE_CLASS, 'Extend' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Priority.Extend', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'extend',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.Autostate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.Autostate',
            False, 
            [
            _MetaInfoClassMember('exclude', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude this port from vlan link up calculation
                ''',
                'exclude',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'autostate',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.PrivateVlan.Association' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.PrivateVlan.Association',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host-association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PrivateVlan.Association', 
                [], [], 
                '''                Set the private VLAN association
                ''',
                'association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host-association', REFERENCE_CLASS, 'HostAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host_association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('autostate', REFERENCE_CLASS, 'Autostate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Autostate', 
                [], [], 
                '''                Include or exclude this port from vlan link up calculation
                ''',
                'autostate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set port host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Priority', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'priority',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.PrivateVlan', 
                [], [], 
                '''                Set the private VLAN configuration
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an interface to be a protected port
                ''',
                'protected',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Trunk', 
                [], [], 
                '''                Set trunking characteristics of the interface
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Bfd.Interval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Bfd.Interval',
            False, 
            [
            _MetaInfoClassMember('min_rx', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                Minimum receive interval capability
                ''',
                'min_rx',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('msecs', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                ''',
                'msecs',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('3', '50')], [], 
                '''                Multiplier value used to compute holddown
                ''',
                'multiplier',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'interval',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Bfd',
            False, 
            [
            _MetaInfoClassMember('echo', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use echo adjunct as bfd detection mechanism
                ''',
                'echo',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('interval', REFERENCE_CLASS, 'Interval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Bfd.Interval', 
                [], [], 
                '''                Transmit interval between BFD packets
                ''',
                'interval',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD template
                ''',
                'template',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mpls.Accounting.Experimental' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mpls.Accounting.Experimental',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                received packets
                ''',
                'input',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmitted packets
                ''',
                'output',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'experimental',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mpls.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mpls.Accounting',
            False, 
            [
            _MetaInfoClassMember('experimental', REFERENCE_CLASS, 'Experimental' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mpls.Accounting.Experimental', 
                [], [], 
                '''                Count packets by MPLS experimental value on this interface
                ''',
                'experimental',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mpls.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mpls.Bgp',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure MPLS forwarding for directly connected BGP peers
                ''',
                'forwarding',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mpls.Label.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'ldp':'ldp',
            'tdp':'tdp',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Interface.PortChannel.Mpls.Label' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mpls.Label',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mpls.Label.ProtocolEnum', 
                [], [], 
                '''                Configure label/tag distribution protocol (LDP/TDP)
                ''',
                'protocol',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mpls.Ldp.Discovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mpls.Ldp.Discovery',
            False, 
            [
            _MetaInfoClassMember('transport-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify interface LDP transport address
                ''',
                'transport_address',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('transport-address', REFERENCE_ENUM_CLASS, 'LdpDiscoveryAddressTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls', 'LdpDiscoveryAddressTypeEnum', 
                        [], [], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('transport-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mpls.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mpls.Ldp',
            False, 
            [
            _MetaInfoClassMember('discovery', REFERENCE_CLASS, 'Discovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mpls.Ldp.Discovery', 
                [], [], 
                '''                Configure interface LDP Discovery parameters
                ''',
                'discovery',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for decreased resource availability
                ''',
                'down',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('up', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for increased resource availability
                ''',
                'up',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'thresholds',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mpls.TrafficEng.Flooding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mpls.TrafficEng.Flooding',
            False, 
            [
            _MetaInfoClassMember('thresholds', REFERENCE_CLASS, 'Thresholds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds', 
                [], [], 
                '''                Set flooding thresholds
                ''',
                'thresholds',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'flooding',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('administrative-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set the administrative weight for the interface
                ''',
                'administrative_weight',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('attribute-flags', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set user-defined interface attibute flags
                ''',
                'attribute_flags',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('backup-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure an MPLS TE backup for this interface
                ''',
                'backup_path',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('flooding', REFERENCE_CLASS, 'Flooding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mpls.TrafficEng.Flooding', 
                [], [], 
                '''                Set flooding parameters
                ''',
                'flooding',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tunnels', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable MPLS Traffic Engineering tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mpls',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mpls.Accounting', 
                [], [], 
                '''                Enable MPLS accounting on this interface
                ''',
                'accounting',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mpls.Bgp', 
                [], [], 
                '''                MPLS BGP
                ''',
                'bgp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic MPLS forwarding for IP
                ''',
                'ip',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mpls.Label', 
                [], [], 
                '''                Label properties
                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mpls.Ldp', 
                [], [], 
                '''                Configure Label Distribution Protocol (LDP) parameters
                ''',
                'ldp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('mtu', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set MPLS Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('1501', '1524')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '1500')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '9216')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mpls.TrafficEng', 
                [], [], 
                '''                Configure Traffic Engineering parameters
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Pim.AcceptRegister' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Pim.AcceptRegister',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'accept-register',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Pim.QueryInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Pim.QueryInterval',
            False, 
            [
            _MetaInfoClassMember('milliseconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '65535')], [], 
                '''                ''',
                'milliseconds_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Query interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('seconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '18725')], [], 
                '''                ''',
                'seconds_interval',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'query-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Pim.SparseModeEnum' : _MetaInfoEnum('SparseModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sparse-dense-mode':'sparse_dense_mode',
            'sparse-mode':'sparse_mode',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.PortChannel.Ip.Pim.SptThresholdEnum' : _MetaInfoEnum('SptThresholdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.PortChannel.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Pim',
            False, 
            [
            _MetaInfoClassMember('accept-register', REFERENCE_CLASS, 'AcceptRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Pim.AcceptRegister', 
                [], [], 
                '''                ''',
                'accept_register',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM router DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('nbma-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable PIM nbma-mode operation
                ''',
                'nbma_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('query-interval', REFERENCE_CLASS, 'QueryInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Pim.QueryInterval', 
                [], [], 
                '''                PIM router query interval
                ''',
                'query_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sparse-mode', REFERENCE_ENUM_CLASS, 'SparseModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Pim.SparseModeEnum', 
                [], [], 
                '''                ''',
                'sparse_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold', REFERENCE_ENUM_CLASS, 'SptThresholdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Pim.SptThresholdEnum', 
                [], [], 
                '''                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Client' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Client',
            False, 
            [
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify hostname to use
                ''',
                'hostname',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.CheckReply' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.CheckReply',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'check-reply',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Subscriber identifier sub option
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.OptionInsert' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.OptionInsert',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option-insert',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.PolicyActionEnum' : _MetaInfoEnum('PolicyActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
            'encapsulate':'encapsulate',
            'keep':'keep',
            'replace':'replace',
        }, 'Cisco-IOS-XE-dhcp', _yang_ns._namespaces['Cisco-IOS-XE-dhcp']),
    'Native.Interface.PortChannel.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('check-reply', REFERENCE_CLASS, 'CheckReply' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.CheckReply', 
                [], [], 
                '''                Validate relay information in BOOTREPLY
                ''',
                'check_reply',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option-insert', REFERENCE_CLASS, 'OptionInsert' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.OptionInsert', 
                [], [], 
                '''                Insert relay information in BOOTREQUEST
                ''',
                'option_insert',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('policy-action', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.PolicyActionEnum', 
                [], [], 
                '''                Define reforwarding policy
                ''',
                'policy_action',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Received DHCP packet may contain relay info option with zero giaddr
                ''',
                'trusted',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set source interface for relayed messages
                ''',
                'source_interface',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP Snooping limit
                ''',
                'rate',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [(3, 63)], [], 
                '''                User defined string for circuit id
                ''',
                'string',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType',
            False, 
            [
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId', 
                [], [], 
                '''                Circuit id option 82 format
                ''',
                'circuit_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'format-type',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option',
            False, 
            [
            _MetaInfoClassMember('format-type', REFERENCE_CLASS, 'FormatType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType', 
                [], [], 
                '''                Option 82 information format
                ''',
                'format_type',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option', 
                [], [], 
                '''                DHCP Snooping information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information', 
                [], [], 
                '''                DHCP Snooping information
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP Snooping trust config
                ''',
                'trust',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan', 
                [], [], 
                '''                DHCP Snooping vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-dhcp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-dhcp',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Client', 
                [], [], 
                '''                DHCP client configuration
                ''',
                'client',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay configuration parameters
                ''',
                'relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '*':'Y__STAR__',
        }, 'Cisco-IOS-XE-igmp', _yang_ns._namespaces['Cisco-IOS-XE-igmp']),
    'Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-igmp', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum', 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                ]),
            ],
            'Cisco-IOS-XE-igmp',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Igmp.StaticGroup.ClassMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Igmp.StaticGroup.ClassMap',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-igmp', True),
            ],
            'Cisco-IOS-XE-igmp',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Igmp.StaticGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Igmp.StaticGroup',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Igmp.StaticGroup.ClassMap', 
                [], [], 
                '''                Class map of type multicast-flows
                ''',
                'class_map',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('groups', REFERENCE_LIST, 'Groups' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups', 
                [], [], 
                '''                ''',
                'groups',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'static-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Igmp.JoinGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Igmp.JoinGroup',
            False, 
            [
            _MetaInfoClassMember('ip-group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP group address
                ''',
                'ip_group_address',
                'Cisco-IOS-XE-igmp', True),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP source address
                ''',
                'source',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'join-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Igmp',
            False, 
            [
            _MetaInfoClassMember('join-group', REFERENCE_LIST, 'JoinGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Igmp.JoinGroup', 
                [], [], 
                '''                IGMP join multicast group
                ''',
                'join_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('static-group', REFERENCE_CLASS, 'StaticGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Igmp.StaticGroup', 
                [], [], 
                '''                IGMP static multicast group
                ''',
                'static_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Lisp',
            False, 
            [
            _MetaInfoClassMember('source-locator', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Choose IP source address for LISP packets egressing this interface
                ''',
                'source_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Nat' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Nat',
            False, 
            [
            _MetaInfoClassMember('allow-static-host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow static-ip clients
                ''',
                'allow_static_host',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Address Translation (NVI)
                ''',
                'enable',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('inside', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inside interface for address translation
                ''',
                'inside',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('outside', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outside interface for address translation
                ''',
                'outside',
                'Cisco-IOS-XE-nat', False),
            ],
            'Cisco-IOS-XE-nat',
            'nat',
            _yang_ns._namespaces['Cisco-IOS-XE-nat'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum' : _MetaInfoEnum('Ipv4Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery',
            False, 
            [
            _MetaInfoClassMember('ipv4-ipv6', REFERENCE_ENUM_CLASS, 'Ipv4Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum', 
                [], [], 
                '''                ''',
                'ipv4_ipv6',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'protocol-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Nbar' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Nbar',
            False, 
            [
            _MetaInfoClassMember('protocol-discovery', REFERENCE_CLASS, 'ProtocolDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery', 
                [], [], 
                '''                Enable protocol discovery for both ipv4 and ipv6
                ''',
                'protocol_discovery',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'nbar',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not include secondary IP addresses
                ''',
                'none',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('secondaries', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include or exclude secondary IP addresses
                ''',
                'secondaries',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outgoing LSA
                ''',
                'out',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set multiplier for Hellos
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'minimal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('minimal', REFERENCE_CLASS, 'Minimal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal', 
                [], [], 
                '''                Set to 1 second
                ''',
                'minimal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Candidate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Candidate',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'candidate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Protection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix',
            False, 
            [
            _MetaInfoClassMember('candidate', REFERENCE_CLASS, 'Candidate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Candidate', 
                [], [], 
                '''                If interface can be protecting
                ''',
                'candidate',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Protection', 
                [], [], 
                '''                If interface can be protected
                ''',
                'protection',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'per-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.FastReroute',
            False, 
            [
            _MetaInfoClassMember('per-prefix', REFERENCE_CLASS, 'PerPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix', 
                [], [], 
                '''                Per-prefix LFA FRR parameters
                ''',
                'per_prefix',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.Lls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.Lls',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable LLS
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lls',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('diable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable TTL security check
                ''',
                'diable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Ospf.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'broadcast':'broadcast',
            'non-broadcast':'non_broadcast',
            'point-to-multipoint':'point_to_multipoint',
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ip.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.DeadInterval', 
                [], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.FastReroute', 
                [], [], 
                '''                LFA FastReroute parameters
                ''',
                'fast_reroute',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('lls', REFERENCE_CLASS, 'Lls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.Lls', 
                [], [], 
                '''                Link-local Signaling (LLS) support
                ''',
                'lls',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('resync-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which adjacency is reset if oob-resync is not started
                ''',
                'resync_timeout',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set OSPF protocol's state to disable under current interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude inbound packets from outbound redirection
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'exclude',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp.Redirect',
            False, 
            [
            _MetaInfoClassMember('exclude', REFERENCE_CLASS, 'Exclude' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude', 
                [], [], 
                '''                Exclude packets from redirection
                ''',
                'exclude',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip.Wccp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip.Wccp',
            False, 
            [
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp.Redirect', 
                [], [], 
                '''                Set packet redirection options
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp.Vrf', 
                [], [], 
                '''                Configure WCCP for a VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Igmp', 
                [], [], 
                '''                IGMP interface commands
                ''',
                'igmp',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nat', REFERENCE_CLASS, 'Nat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Nat', 
                [], [], 
                '''                NAT interface commands
                ''',
                'nat',
                'Cisco-IOS-XE-nat', False),
            _MetaInfoClassMember('nbar', REFERENCE_CLASS, 'Nbar' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Nbar', 
                [], [], 
                '''                Network-Based Application Recognition
                ''',
                'nbar',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wccp', REFERENCE_CLASS, 'Wccp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip.Wccp', 
                [], [], 
                '''                WCCP IPv4 interface commands
                ''',
                'wccp',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Dhcp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Dhcp.Server',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Preference
                ''',
                'preference',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Dhcp.Guard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Dhcp.Guard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature DHCP Guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'guard',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Dhcp',
            False, 
            [
            _MetaInfoClassMember('guard', REFERENCE_CLASS, 'Guard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Dhcp.Guard', 
                [], [], 
                '''                Configure IPv6 DHCP guard on the interface
                ''',
                'guard',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Dhcp.Server', 
                [], [], 
                '''                Act as an IPv6 DHCP server
                ''',
                'server',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Nd.Raguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Nd.Raguard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature RA guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'raguard',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Nd.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Nd.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default_route',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert auto-configured prefix
                ''',
                'prefix',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Nd.Ra.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Nd.Ra.Suppress',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress all IPv6 RA
                ''',
                'all',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Nd.Ra' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Nd.Ra',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Nd.Ra.Suppress', 
                [], [], 
                '''                Suppress IPv6 router-alert configuration
                ''',
                'suppress',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'ra',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Nd',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Nd.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('managed-config-flag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP for IPv6 address configuration
                ''',
                'managed_config_flag',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('ra', REFERENCE_CLASS, 'Ra' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Nd.Ra', 
                [], [], 
                '''                IPv6 nd router alert configuration
                ''',
                'ra',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('raguard', REFERENCE_CLASS, 'Raguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Nd.Raguard', 
                [], [], 
                '''                Configure RA guard on the interface
                ''',
                'raguard',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.NoPim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.NoPim',
            False, 
            [
            _MetaInfoClassMember('pim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'no-pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Pim.Bsr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Pim.Bsr',
            False, 
            [
            _MetaInfoClassMember('border', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Border of PIM BSR domain
                ''',
                'border',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Pim',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Pim.Bsr', 
                [], [], 
                '''                Configure BSR
                ''',
                'bsr',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Hello DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Process' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Process',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('instance', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('0', '31')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('32', '255')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Flood Reduction on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process', REFERENCE_LIST, 'Process' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Process', 
                [], [], 
                '''                ''',
                'process',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation.RouteEnum' : _MetaInfoEnum('RouteEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'only':'only',
            'originate':'originate',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '15')], [], 
                '''                Default route metric
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route', REFERENCE_ENUM_CLASS, 'RouteEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation.RouteEnum', 
                [], [], 
                '''                ''',
                'route',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation', 
                [], [], 
                '''                Configure handling of default route
                ''',
                'default_information',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/disable RIP routing
                ''',
                'enable',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-pim', REFERENCE_CLASS, 'NoPim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.NoPim', 
                [], [], 
                '''                ''',
                'no_pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.Rip', 
                [], [], 
                '''                Configure RIP routing protocol
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.CarrierDelay.Down' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.CarrierDelay.Down',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'down',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.CarrierDelay.Up' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.CarrierDelay.Up',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'up',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.CarrierDelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.CarrierDelay',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_CLASS, 'Down' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.CarrierDelay.Down', 
                [], [], 
                '''                Carrier Down Transitions
                ''',
                'down',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('up', REFERENCE_CLASS, 'Up' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.CarrierDelay.Up', 
                [], [], 
                '''                Carrier Up Transitions
                ''',
                'up',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'carrier-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.ChannelGroup.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'auto':'auto',
            'desirable':'desirable',
            'on':'on',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.ChannelGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.ChannelGroup',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                LACP auto
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('1', '4')], [], 
                '''                Assign a link identifier used for load-balancing
                ''',
                'link',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ChannelGroup.ModeEnum', 
                [], [], 
                '''                Etherchannel Mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('non-silent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start negotiation only after data packets received
                ''',
                'non_silent',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'channel-group',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame threshold in number of frames
                ''',
                'thresh',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold', 
                [], [], 
                '''                Errored frame threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '600')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('f-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame-period threshold in number of frames
                ''',
                'f_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame-period threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold', 
                [], [], 
                '''                Errored frame-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 10000 frames
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('e-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the high errored frame-seconds threshold in number of seconds
                ''',
                'e_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the low errored frame-seconds threshold in number of seconds
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('100', '9000')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-seconds',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action', 
                [], [], 
                '''                Specifiy an action when the high threshold is crossed
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('crc-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high received crc error threshold in number of frames
                ''',
                'crc_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low received crc error threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'receive-crc',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('err-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high error symbol-period threshold in number of symbols
                ''',
                'err_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low error symbol-period threshold in number of symbols
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold', 
                [], [], 
                '''                Error symbol-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 1048576 symbols
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'symbol-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor',
            False, 
            [
            _MetaInfoClassMember('frame', REFERENCE_CLASS, 'Frame' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame', 
                [], [], 
                '''                Errored frames in a period measured by time
                ''',
                'frame',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-period', REFERENCE_CLASS, 'FramePeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod', 
                [], [], 
                '''                Errored frames in a period measured by number of frames
                ''',
                'frame_period',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-seconds', REFERENCE_CLASS, 'FrameSeconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds', 
                [], [], 
                '''                Errored frame seconds in a period
                ''',
                'frame_seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('high-threshold', REFERENCE_CLASS, 'HighThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold', 
                [], [], 
                '''                Additional high threshold configuration
                ''',
                'high_threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable link monitoring on the interface
                ''',
                'on',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('receive-crc', REFERENCE_CLASS, 'ReceiveCrc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc', 
                [], [], 
                '''                Received frames with CRC errors in a period
                ''',
                'receive_crc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support link monitoring on the interface
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('symbol-period', REFERENCE_CLASS, 'SymbolPeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod', 
                [], [], 
                '''                Errored symbols in a period
                ''',
                'symbol_period',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'critical-event',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dying-gasp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-fault',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure',
            False, 
            [
            _MetaInfoClassMember('critical-event', REFERENCE_CLASS, 'CriticalEvent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent', 
                [], [], 
                '''                Critical event
                ''',
                'critical_event',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dying-gasp', REFERENCE_CLASS, 'DyingGasp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp', 
                [], [], 
                '''                Dying gasp
                ''',
                'dying_gasp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link-fault', REFERENCE_CLASS, 'LinkFault' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault', 
                [], [], 
                '''                Link fault
                ''',
                'link_fault',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-failure',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support remote loopback functionality
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set timeout value in number of seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet.Oam.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Ethernet.Oam' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet.Oam',
            False, 
            [
            _MetaInfoClassMember('link-monitor', REFERENCE_CLASS, 'LinkMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor', 
                [], [], 
                '''                Ethernet OAM Link Monitor
                ''',
                'link_monitor',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'max_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('min-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'min_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-failure', REFERENCE_CLASS, 'RemoteFailure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure', 
                [], [], 
                '''                Ethernet OAM remote failure indication
                ''',
                'remote_failure',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-loopback', REFERENCE_CLASS, 'RemoteLoopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback', 
                [], [], 
                '''                Ethernet OAM Remote Loopback
                ''',
                'remote_loopback',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('2', '30')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'oam',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ethernet',
            False, 
            [
            _MetaInfoClassMember('oam', REFERENCE_CLASS, 'Oam' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet.Oam', 
                [], [], 
                '''                To enable Ethernet Link OAM
                ''',
                'oam',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Negotiation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Negotiation',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable link autonegotiation
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'negotiation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Synchronous',
            False, 
            [
            _MetaInfoClassMember('mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mode
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Speed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Speed',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable AUTO speed configuration
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'nonegotiate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10 Mbps operation
                ''',
                'value_10',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-100', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                100 Mbps operation
                ''',
                'value_100',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-1000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                1000 Mbps operation
                ''',
                'value_1000',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10000 Mbps operation
                ''',
                'value_10000',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'speed',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the interface to accept all VLAN traffic
                ''',
                'disable',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Plim.Ethernet.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Plim.Ethernet.Vlan',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter', 
                [], [], 
                '''                Configure VLAN filtering
                ''',
                'filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Plim.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Plim.Ethernet',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Plim.Ethernet.Vlan', 
                [], [], 
                '''                vlan specific features
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'zero',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'strict-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Plim.Qos.Input.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Plim.Qos.Input.Queue',
            False, 
            [
            _MetaInfoClassMember('strict-priority', REFERENCE_CLASS, 'StrictPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority', 
                [], [], 
                '''                High priority queue
                ''',
                'strict_priority',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('zero', REFERENCE_CLASS, 'Zero' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero', 
                [], [], 
                '''                Low priority queue
                ''',
                'zero',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Plim.Qos.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Plim.Qos.Input',
            False, 
            [
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Plim.Qos.Input.Queue', 
                [], [], 
                '''                Queue number
                ''',
                'queue',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Plim.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Plim.Qos',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Plim.Qos.Input', 
                [], [], 
                '''                Configure PLIM QoS at the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Plim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Plim',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Plim.Ethernet', 
                [], [], 
                '''                Configure features on the ethernet interface
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Plim.Qos', 
                [], [], 
                '''                QoS on the PLIM
                ''',
                'qos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'plim',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Pppoe.Enable.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Pppoe.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Pppoe.Enable',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                attach a BBA group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum', 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Pppoe' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Pppoe',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Pppoe.Enable', 
                [], [], 
                '''                Enable pppoe
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-sessions', ATTRIBUTE, 'int' , None, None, 
                [('1', '4085')], [], 
                '''                Maximum PPPOE sessions
                ''',
                'max_sessions',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pppoe',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' : _MetaInfoEnum('Dot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum', 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' : _MetaInfoEnum('SecondDot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum' : _MetaInfoEnum('VlanTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0x88A8':'Y_0x88A8',
            '0x9100':'Y_0x9100',
            '0x9200':'Y_0x9200',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('second-dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum', 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('vlan-type', REFERENCE_ENUM_CLASS, 'VlanTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum', 
                [], [], 
                '''                Vlan Protocol Type
                ''',
                'vlan_type',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged',
            False, 
            [
            _MetaInfoClassMember('cos-container', REFERENCE_CLASS, 'CosContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer', 
                [], [], 
                '''                ''',
                'cos_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'priority-tagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Encapsulation.Untagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Encapsulation.Untagged',
            False, 
            [
            ],
            'Cisco-IOS-XE-ethernet',
            'untagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                catch-all unconfigured encapsulation
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-tagged', REFERENCE_CLASS, 'PriorityTagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged', 
                [], [], 
                '''                Priority tagged EFP
                ''',
                'priority_tagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', REFERENCE_CLASS, 'Untagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation.Untagged', 
                [], [], 
                '''                Untagged encapsulation
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Ip.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Ip.Acl',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP relay information option subscriber-id
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information
                ''',
                'information',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay
                ''',
                'relay',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source address
                ''',
                'source',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Ip',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Ip.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Ip.Dhcp', 
                [], [], 
                '''                DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Ip.Verify', 
                [], [], 
                '''                verify
                ''',
                'verify',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Ipv6',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('traffic-filter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pop',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Push dot1q tag
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'push',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate',
            False, 
            [
            _MetaInfoClassMember('t1-to-1', REFERENCE_CLASS, 'T1To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1', 
                [], [], 
                '''                Translate 1-to-1
                ''',
                't1_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t1-to-2', REFERENCE_CLASS, 'T1To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2', 
                [], [], 
                '''                Translate 1-to-2
                ''',
                't1_to_2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-1', REFERENCE_CLASS, 'T2To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1', 
                [], [], 
                '''                Translate 2-to-1
                ''',
                't2_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-2', REFERENCE_CLASS, 'T2To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2', 
                [], [], 
                '''                Translate 2-to-2
                ''',
                't2_to_2',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag',
            False, 
            [
            _MetaInfoClassMember('pop', REFERENCE_CLASS, 'Pop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop', 
                [], [], 
                '''                Pop the tag
                ''',
                'pop',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('push', REFERENCE_CLASS, 'Push' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push', 
                [], [], 
                '''                Rewrite Operation of push
                ''',
                'push',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate', 
                [], [], 
                '''                Translate Tag
                ''',
                'translate',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress',
            False, 
            [
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag', 
                [], [], 
                '''                Configure Rewrite Tag
                ''',
                'tag',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ingress',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Rewrite' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Rewrite',
            False, 
            [
            _MetaInfoClassMember('ingress', REFERENCE_CLASS, 'Ingress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress', 
                [], [], 
                '''                Ingress Rewrite
                ''',
                'ingress',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'rewrite',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause',
            False, 
            [
            _MetaInfoClassMember('mac-security', ATTRIBUTE, 'int' , None, None, 
                [('30', '86400')], [], 
                '''                mac-security violation
                ''',
                'mac_security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause', 
                [], [], 
                '''                error disable cause
                ''',
                'cause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Errdisable',
            False, 
            [
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery', 
                [], [], 
                '''                enable auto recovery
                ''',
                'recovery',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange',
            False, 
            [
            _MetaInfoClassMember('comma', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                comma
                ''',
                'comma',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                hyphen
                ''',
                'hyphen',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For all VLANS [untagged,1-4094]
                ''',
                'any',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default EFP
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Untagged frames
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_CLASS, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map', 
                [], [], 
                '''                Configure ether lmi ce-vlan/evc map
                ''',
                'map',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ce-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi',
            False, 
            [
            _MetaInfoClassMember('ce-vlan', REFERENCE_CLASS, 'CeVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan', 
                [], [], 
                '''                Configure ether lmi customer vlans
                ''',
                'ce_vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'lmi',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the wire
                ''',
                'external',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the relay
                ''',
                'internal',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit', 
                [], [], 
                '''                Allow data plane loopback to be activated
                ''',
                'permit',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet',
            False, 
            [
            _MetaInfoClassMember('lmi', REFERENCE_CLASS, 'Lmi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi', 
                [], [], 
                '''                Configure ether lmi parameters
                ''',
                'lmi',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('loopback', REFERENCE_CLASS, 'Loopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback', 
                [], [], 
                '''                Ethernet Dataplane Loopback
                ''',
                'loopback',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.EthernetContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.EthernetContainer',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet', 
                [], [], 
                '''                ethernet
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence
                ''',
                'persist',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the service instance
                ''',
                'ifindex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '13')], [], 
                '''                Split-horizon group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'split-horizon',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.BridgeDomain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.BridgeDomain',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'bridge_id',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('from-encapsulation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from-encapsulation
                ''',
                'from_encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('split-horizon', REFERENCE_CLASS, 'SplitHorizon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon', 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'bridge-domain',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum',
            False, 
            [
            _MetaInfoClassMember('addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum addresses that can be learnt on this service instance
                ''',
                'addresses',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Mac.Security.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.Mac.Security' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Mac.Security',
            False, 
            [
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum', 
                [], [], 
                '''                Configure an upper bound
                ''',
                'maximum',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Mac.Security.ViolationEnum', 
                [], [], 
                '''                Configure the response when a MAC security policy is violated
                ''',
                'violation',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Mac',
            False, 
            [
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Mac.Security', 
                [], [], 
                '''                MAC Security commands
                ''',
                'security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LIST, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.ServicePolicy.Input', 
                [], [], 
                '''                service policy input
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('output', REFERENCE_LIST, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.ServicePolicy.Output', 
                [], [], 
                '''                service policy output
                ''',
                'output',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Cfm.Mep' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Cfm.Mep',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure a domain for this mep
                ''',
                'domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mpid', ATTRIBUTE, 'int' , None, None, 
                [('1', '8191')], [], 
                '''                Maintenance End Point Identifier
                ''',
                'mpid',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mep',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Cfm.Mip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Cfm.Mip',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Cfm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Cfm',
            False, 
            [
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation', 
                [], [], 
                '''                Configure CFM ethernet frame encapsulation
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mep', REFERENCE_CLASS, 'Mep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Cfm.Mep', 
                [], [], 
                '''                Maintenance End Point
                ''',
                'mep',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mip', REFERENCE_CLASS, 'Mip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Cfm.Mip', 
                [], [], 
                '''                Maintenance Intermediate Point
                ''',
                'mip',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'forward',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.L2Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.L2Protocol',
            False, 
            [
            _MetaInfoClassMember('forward', REFERENCE_CLASS, 'Forward' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward', 
                [], [], 
                '''                forward L2 control protocol packets as data
                ''',
                'forward',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer', 
                [], [], 
                '''                peer L2 control protocol packets as data
                ''',
                'peer',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel', 
                [], [], 
                '''                tunnel L2 control protocol packets as data
                ''',
                'tunnel',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'l2protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-router-ip-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'peer_router_ip_addr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Optional priority to use for backup pseudowire.
                ''',
                'priority',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Xconnect.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Xconnect.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay', 
                [], [], 
                '''                backup delay time
                ''',
                'delay',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer', 
                [], [], 
                '''                Backup pseudowire
                ''',
                'peer',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.PortChannel.Service.Instance.Xconnect.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.PortChannel.Service.Instance.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Xconnect.Backup', 
                [], [], 
                '''                Xconnect backup configuration commands
                ''',
                'backup',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mtu',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Optional pseudowire-class to use for advanced configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Xconnect.SequencingEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequencing',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port', 
                [], [], 
                '''                UDP ports
                ''',
                'port',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp', 
                [], [], 
                '''                UDP
                ''',
                'udp',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance.XconnectPwClass' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance.XconnectPwClass',
            False, 
            [
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect-pw-class',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service.Instance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service.Instance',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4000')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', True),
            _MetaInfoClassMember('bridge-domain', REFERENCE_CLASS, 'BridgeDomain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.BridgeDomain', 
                [], [], 
                '''                Bridge-domain
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cfm', REFERENCE_CLASS, 'Cfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Cfm', 
                [], [], 
                '''                Ethernet CFM EFP subcommands
                ''',
                'cfm',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Service instance specific description
                ''',
                'description',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Encapsulation', 
                [], [], 
                '''                Configure ethernet frame match criteria
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Errdisable', 
                [], [], 
                '''                Configure error disable
                ''',
                'errdisable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an Ethernet Instance
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-container', REFERENCE_CLASS, 'EthernetContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.EthernetContainer', 
                [], [], 
                '''                ''',
                'ethernet_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-evc-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ethernet_evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('evc-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                ''',
                'evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an GigabitEthernet Instance
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('l2protocol', REFERENCE_CLASS, 'L2Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.L2Protocol', 
                [], [], 
                '''                Configure l2 control protocol processing
                ''',
                'l2protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Mac', 
                [], [], 
                '''                Commands for MAC Address-based features
                ''',
                'mac',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('rewrite', REFERENCE_CLASS, 'Rewrite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Rewrite', 
                [], [], 
                '''                Configure ethernet rewrite criteria
                ''',
                'rewrite',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.ServicePolicy', 
                [], [], 
                '''                Attach a policy-map to an EFP
                ''',
                'service_policy',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Take the Service Instance out of Service
                ''',
                'shutdown',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Snmp', 
                [], [], 
                '''                Modify SNMP service instance parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trunk Service Instance
                ''',
                'trunk',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('xconnect-pw-class', REFERENCE_CLASS, 'XconnectPwClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance.XconnectPwClass', 
                [], [], 
                '''                ''',
                'xconnect_pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Service' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Service',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service.Instance', 
                [], [], 
                '''                Configure Ether Service Instance
                ''',
                'instance',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Xconnect.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls':'mpls',
            'l2tpv3':'l2tpv3',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.PortChannel.Xconnect.SequenceEnum' : _MetaInfoEnum('SequenceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.PortChannel.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Xconnect',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Xconnect.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manually configure L2TP session parameters
                ''',
                'manual',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class to use for encapsulation and protocol configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('sequence', REFERENCE_ENUM_CLASS, 'SequenceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Xconnect.SequenceEnum', 
                [], [], 
                '''                Configure sequencing options for xconnect
                ''',
                'sequence',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Crypto.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Crypto.Map',
            False, 
            [
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                enable redundancy
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('stateful', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable stateful failover
                ''',
                'stateful',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Crypto.Ipsec.DfBitEnum' : _MetaInfoEnum('DfBitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.PortChannel.Crypto.Ipsec.FragmentationEnum' : _MetaInfoEnum('FragmentationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'after-encryption':'after_encryption',
            'before-encryption':'before_encryption',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.PortChannel.Crypto.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Crypto.Ipsec',
            False, 
            [
            _MetaInfoClassMember('df-bit', REFERENCE_ENUM_CLASS, 'DfBitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Crypto.Ipsec.DfBitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'df_bit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_ENUM_CLASS, 'FragmentationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Crypto.Ipsec.FragmentationEnum', 
                [], [], 
                '''                Handling of fragmentation of near-MTU sized packets
                ''',
                'fragmentation',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Crypto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Crypto',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Crypto.Ipsec', 
                [], [], 
                '''                Set IPSec parameters
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Crypto.Map', 
                [], [], 
                '''                Assign a Crypto Map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crypto',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts.Manual.Policy.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts.Manual.Policy.Static',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('2', '65519')], [], 
                '''                Source Security Group Tag to apply to untagged or non-trusted incoming traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Source Group Tags (SGT) that the peer uses for sending
                ''',
                'trusted',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts.Manual.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts.Manual.Policy',
            False, 
            [
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts.Manual.Policy.Static', 
                [], [], 
                '''                Configure policy to be applied on the link
                ''',
                'static',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac',
            False, 
            [
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encapsulation present, no authentication, 
                     no encryption
                ''',
                'null',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gcm-encrypt',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'no-encap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', REFERENCE_CLASS, 'GcmEncrypt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt', 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('no-encap', REFERENCE_CLASS, 'NoEncap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap', 
                [], [], 
                '''                No encapsulation
                ''',
                'no_encap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'mode-list',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts.Manual.Sap.Pmk',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('mode-list', REFERENCE_CLASS, 'ModeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList', 
                [], [], 
                '''                List of advertised modes (prioritized from highest to lowest)
                ''',
                'mode_list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'pmk',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts.Manual.Sap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts.Manual.Sap',
            False, 
            [
            _MetaInfoClassMember('pmk', REFERENCE_LIST, 'Pmk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts.Manual.Sap.Pmk', 
                [], [], 
                '''                Pre-Master Key (PMK) to use for CTS SAP
                ''',
                'pmk',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts.Manual.Propagate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts.Manual.Propagate',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CTS SGT Propagation configuration
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'propagate',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts.Manual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts.Manual',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts.Manual.Policy', 
                [], [], 
                '''                CTS policy for manual mode
                ''',
                'policy',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('propagate', REFERENCE_CLASS, 'Propagate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts.Manual.Propagate', 
                [], [], 
                '''                CTS SGT Propagation configuration for manual mode
                ''',
                'propagate',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sap', REFERENCE_CLASS, 'Sap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts.Manual.Sap', 
                [], [], 
                '''                CTS SAP configuration for manual mode
                ''',
                'sap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'manual',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Cts',
            False, 
            [
            _MetaInfoClassMember('manual', REFERENCE_CLASS, 'Manual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts.Manual', 
                [], [], 
                '''                Supply local configuration for CTS parameters
                ''',
                'manual',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Dot1X.Authenticator.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Dot1X.Authenticator.Eap',
            False, 
            [
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EAP authenticator profile configuration
                ''',
                'profile',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Dot1X.Authenticator' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Dot1X.Authenticator',
            False, 
            [
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Dot1X.Authenticator.Eap', 
                [], [], 
                '''                Configure EAP authenticator parameters
                ''',
                'eap',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'authenticator',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Dot1X.Supplicant.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Dot1X.Supplicant.Eap',
            False, 
            [
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EAP supplicant profile configuration
                ''',
                'profile',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Dot1X.Supplicant' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Dot1X.Supplicant',
            False, 
            [
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Dot1X.Supplicant.Eap', 
                [], [], 
                '''                Configure EAP supplicant parameters
                ''',
                'eap',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'supplicant',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Dot1X.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Dot1X.Timeout',
            False, 
            [
            _MetaInfoClassMember('auth-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for authenticator reply
                ''',
                'auth_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('held-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for authentication retries
                ''',
                'held_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('quiet-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                QuietPeriod in Seconds
                ''',
                'quiet_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('ratelimit-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Ratelimit Period in seconds
                ''',
                'ratelimit_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('server-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for Radius Retries
                ''',
                'server_timeout',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('start-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for EAPOL-start retries
                ''',
                'start_period',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('supp-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for supplicant reply
                ''',
                'supp_timeout',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('tx-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Timeout for supplicant retries
                ''',
                'tx_period',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Dot1X.PaeEnum' : _MetaInfoEnum('PaeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'authenticator':'authenticator',
            'supplicant':'supplicant',
            'both':'both',
        }, 'Cisco-IOS-XE-dot1x', _yang_ns._namespaces['Cisco-IOS-XE-dot1x']),
    'Native.Interface.PortChannel.Dot1X' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Dot1X',
            False, 
            [
            _MetaInfoClassMember('authenticator', REFERENCE_CLASS, 'Authenticator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Dot1X.Authenticator', 
                [], [], 
                '''                Configure authenticator parameters
                ''',
                'authenticator',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('credentials', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Credentials profile configuration
                ''',
                'credentials',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-reauth-req', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of Reauthentication Attempts
                ''',
                'max_reauth_req',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-req', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of Retries
                ''',
                'max_req',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('max-start', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Max No. of EAPOL-Start requests
                ''',
                'max_start',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('pae', REFERENCE_ENUM_CLASS, 'PaeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Dot1X.PaeEnum', 
                [], [], 
                '''                Set 802.1x interface pae type
                ''',
                'pae',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('supplicant', REFERENCE_CLASS, 'Supplicant' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Dot1X.Supplicant', 
                [], [], 
                '''                Configure supplicant parameters
                ''',
                'supplicant',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Dot1X.Timeout', 
                [], [], 
                '''                Various Timeouts
                ''',
                'timeout',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'dot1x',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Clear Enable/Disable ifIndex persistence
                ''',
                'clear',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence 
                ''',
                'persist',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit',
            False, 
            [
            _MetaInfoClassMember('duplicates', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Permit duplicate SNMP LINKUP and LINKDOWN traps
                ''',
                'duplicates',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit', 
                [], [], 
                '''                Permit the following capability
                ''',
                'permit',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas',
            False, 
            [
            _MetaInfoClassMember('link-status', REFERENCE_CLASS, 'LinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus', 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status-capas',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('link-status-capas', REFERENCE_CLASS, 'LinkStatusCapas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas', 
                [], [], 
                '''                ''',
                'link_status_capas',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the interface
                ''',
                'ifindex',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Lisp.Mobility.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Lisp.Mobility.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('dynamic-eid-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dynamic_eid_name',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nbr-proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Neighbor proxy reply behavior for dynamic EID group
                ''',
                'nbr_proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '5')], [], 
                '''                Send neighbor proxy reply after reaching request threshold
                ''',
                'requests',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Lisp.Mobility.Discover' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Lisp.Mobility.Discover',
            False, 
            [
            _MetaInfoClassMember('arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic EID discover through ARP events on this interface
                ''',
                'arp',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'discover',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Lisp.Mobility.Liveness' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Lisp.Mobility.Liveness',
            False, 
            [
            _MetaInfoClassMember('test', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform liveness test on dynamic-EID discovered on this interface
                ''',
                'test',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('2', '255')], [], 
                '''                Configures the TTL in the liveness test packet
                ''',
                'ttl',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'liveness',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Lisp.Mobility' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Lisp.Mobility',
            False, 
            [
            _MetaInfoClassMember('discover', REFERENCE_CLASS, 'Discover' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Lisp.Mobility.Discover', 
                [], [], 
                '''                Configure mobility dynamic EID discover settings
                ''',
                'discover',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_CLASS, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Lisp.Mobility.DynamicEid', 
                [], [], 
                '''                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('liveness', REFERENCE_CLASS, 'Liveness' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Lisp.Mobility.Liveness', 
                [], [], 
                '''                Configure mobility liveness settings
                ''',
                'liveness',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mobility',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Lisp',
            False, 
            [
            _MetaInfoClassMember('extended-subnet-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures to enable extended subnet mode on the interface
                ''',
                'extended_subnet_mode',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mobility', REFERENCE_CLASS, 'Mobility' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Lisp.Mobility', 
                [], [], 
                '''                Configures to allow EID mobility on interface
                ''',
                'mobility',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('64', '95')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '31')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4', 
                [], [], 
                '''                Specify parameters for IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6', 
                [], [], 
                '''                Specify parameters for IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.PortChannel.Ospfv3.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action',
            False, 
            [
            _MetaInfoClassMember('reinitialize', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'reinitialize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.Server.Alive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.Server.Alive',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action', 
                [], [], 
                '''                Required action for authentication event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'alive',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configure Critical Authorization VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('voice', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authorize the port for VOICE traffic
                ''',
                'voice',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configure Critical Authorization VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'reinitialize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Authorize', 
                [], [], 
                '''                Authorize the port
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('reinitialize', REFERENCE_CLASS, 'Reinitialize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize', 
                [], [], 
                '''                Reinitialize all client on the port
                ''',
                'reinitialize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.Server.Dead' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.Server.Dead',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action', 
                [], [], 
                '''                Required action for authentication event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'dead',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.Server',
            False, 
            [
            _MetaInfoClassMember('alive', REFERENCE_CLASS, 'Alive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.Server.Alive', 
                [], [], 
                '''                Configure AAA server alive action
                ''',
                'alive',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('dead', REFERENCE_CLASS, 'Dead' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.Server.Dead', 
                [], [], 
                '''                Configure AAA server dead action
                ''',
                'dead',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.Fail.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.Fail.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize', 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.Fail' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.Fail',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.Fail.Action', 
                [], [], 
                '''                Required action for fail event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'fail',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authorize',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.NoResponse.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.NoResponse.Action',
            False, 
            [
            _MetaInfoClassMember('authorize', REFERENCE_CLASS, 'Authorize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize', 
                [], [], 
                '''                Reinitialize all authorized clients
                ''',
                'authorize',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event.NoResponse' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event.NoResponse',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.NoResponse.Action', 
                [], [], 
                '''                Required action for no-response event
                ''',
                'action',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'no-response',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Event',
            False, 
            [
            _MetaInfoClassMember('fail', REFERENCE_CLASS, 'Fail' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.Fail', 
                [], [], 
                '''                Configure actions for AAA fail events
                ''',
                'fail',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('no-response', REFERENCE_CLASS, 'NoResponse' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.NoResponse', 
                [], [], 
                '''                Configure actions for AAA no-response events
                ''',
                'no_response',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event.Server', 
                [], [], 
                '''                Configure actions for AAA server events
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Order' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Order',
            False, 
            [
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method dot1x allowed
                ''',
                'dot1x',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mab', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method mab allowed
                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('webauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method webauth allowed
                ''',
                'webauth',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'order',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Priority',
            False, 
            [
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method dot1x allowed
                ''',
                'dot1x',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mab', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method mab allowed
                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('webauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication method webauth allowed
                ''',
                'webauth',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Timer.Reauthenticate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Timer.Reauthenticate',
            False, 
            [
            _MetaInfoClassMember('server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Obtain re-authentication timeout value from the server
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'reauthenticate',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Initiate a dynamic probe on inactivity timeout
                ''',
                'dynamic',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'value',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Timer.Inactivity.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Timer.Inactivity.Server',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Initiate a dynamic probe on inactivity timeout
                ''',
                'dynamic',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Timer.Inactivity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Timer.Inactivity',
            False, 
            [
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Timer.Inactivity.Server', 
                [], [], 
                '''                Obtain inactivity timeout value from the server
                ''',
                'server',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('value', REFERENCE_CLASS, 'Value' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value', 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'inactivity',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.Timer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication.Timer',
            False, 
            [
            _MetaInfoClassMember('inactivity', REFERENCE_CLASS, 'Inactivity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Timer.Inactivity', 
                [], [], 
                '''                Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                ''',
                'inactivity',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('reauthenticate', REFERENCE_CLASS, 'Reauthenticate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Timer.Reauthenticate', 
                [], [], 
                '''                Time in seconds after which an automatic re-authenticationshould be initiated (default 1 hour)
                ''',
                'reauthenticate',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                ''',
                'restart',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Authentication.ControlDirectionEnum' : _MetaInfoEnum('ControlDirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'in':'in_',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.PortChannel.Authentication.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.PortChannel.Authentication.PortControlEnum' : _MetaInfoEnum('PortControlEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'force-authorized':'force_authorized',
            'force-unauthorized':'force_unauthorized',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.PortChannel.Authentication.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'replace':'replace',
            'restrict':'restrict',
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-sanet', _yang_ns._namespaces['Cisco-IOS-XE-sanet']),
    'Native.Interface.PortChannel.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Authentication',
            False, 
            [
            _MetaInfoClassMember('control-direction', REFERENCE_ENUM_CLASS, 'ControlDirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.ControlDirectionEnum', 
                [], [], 
                '''                Set the control-direction on the interface
                ''',
                'control_direction',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Event', 
                [], [], 
                '''                Set action for authentication events
                ''',
                'event',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('fallback', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable the Webauth fallback mechanism
                ''',
                'fallback',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('open', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable or Disable open access on this port
                ''',
                'open',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('order', REFERENCE_CLASS, 'Order' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Order', 
                [], [], 
                '''                Add an authentication method to the order list
                ''',
                'order',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('periodic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable or Disable Reauthentication for this port
                ''',
                'periodic',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('port-control', REFERENCE_ENUM_CLASS, 'PortControlEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.PortControlEnum', 
                [], [], 
                '''                set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Priority', 
                [], [], 
                '''                Add an authentication method to the priority list
                ''',
                'priority',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.Timer', 
                [], [], 
                '''                Set authentication timer values
                ''',
                'timer',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication.ViolationEnum', 
                [], [], 
                '''                Configure action to take on security violations
                ''',
                'violation',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mab' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mab',
            False, 
            [
            _MetaInfoClassMember('eap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'eap',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'mab',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BPDU guard for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast on the interface even in trunk mode
                ''',
                'trunk',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.SpanningTree.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.SpanningTree.Vlan',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                <1-200000000> Spanning-tree cost
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                <0-240> port priority in increments of 16
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('vlan-ids', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                vlan range, example: 1,3-5,7,9-11
                ''',
                'vlan_ids',
                'Cisco-IOS-XE-spanning-tree', False, [
                    _MetaInfoClassMember('vlan-ids', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4095')], [], 
                        '''                        vlan range, example: 1,3-5,7,9-11
                        ''',
                        'vlan_ids',
                        'Cisco-IOS-XE-spanning-tree', False),
                    _MetaInfoClassMember('vlan-ids', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        vlan range, example: 1,3-5,7,9-11
                        ''',
                        'vlan_ids',
                        'Cisco-IOS-XE-spanning-tree', False),
                ]),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.SpanningTree.Loopguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.SpanningTree.Loopguard',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable loopguard by default on all ports
                ''',
                'default',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'loopguard',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.SpanningTree.Mst' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.SpanningTree.Mst',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                <1-200000000> Spanning-tree cost
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MST instance list, example 0,2-4,6,8-12
                ''',
                'instance',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                <0-240> port priority in increments of 16
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('pre-standard', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force pre-standard MST BPDU transmission on port
                ''',
                'pre_standard',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'mst',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.SpanningTree.BpdufilterEnum' : _MetaInfoEnum('BpdufilterEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'disable':'disable',
            'enable':'enable',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.PortChannel.SpanningTree.GuardEnum' : _MetaInfoEnum('GuardEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'loop':'loop',
            'none':'none',
            'root':'root',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.PortChannel.SpanningTree.LinkTypeEnum' : _MetaInfoEnum('LinkTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'none':'none',
            'point-to-point':'point_to_point',
            'root':'root',
            'shared':'shared',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.Interface.PortChannel.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpdufilter', REFERENCE_ENUM_CLASS, 'BpdufilterEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SpanningTree.BpdufilterEnum', 
                [], [], 
                '''                Don't send or receive BPDUs on this interface
                ''',
                'bpdufilter',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '200000000')], [], 
                '''                To set the path cost of the interface
                ''',
                'cost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('guard', REFERENCE_ENUM_CLASS, 'GuardEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SpanningTree.GuardEnum', 
                [], [], 
                '''                Change an interface's spanning tree guard mode
                ''',
                'guard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'LinkTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SpanningTree.LinkTypeEnum', 
                [], [], 
                '''                Specify a link type for spanning tree tree protocol use
                ''',
                'link_type',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('loopguard', REFERENCE_CLASS, 'Loopguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SpanningTree.Loopguard', 
                [], [], 
                '''                Spanning tree loopguard options
                ''',
                'loopguard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('mst', REFERENCE_CLASS, 'Mst' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SpanningTree.Mst', 
                [], [], 
                '''                Per interface MST configurations
                ''',
                'mst',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('port-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '240')], [], 
                '''                Spanning tree port-priority options
                ''',
                'port_priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SpanningTree.Portfast', 
                [], [], 
                '''                Spanning tree portfast options
                ''',
                'portfast',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SpanningTree.Vlan', 
                [], [], 
                '''                VLAN Switch Spanning Tree
                ''',
                'vlan',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Auto.Qos.Classify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Auto.Qos.Classify',
            False, 
            [
            _MetaInfoClassMember('police', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure QoS policing for untrusted devices
                ''',
                'police',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'classify',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Auto.Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Auto.Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the CoS marking
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP marking
                ''',
                'dscp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Auto.Qos.Video' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Auto.Qos.Video',
            False, 
            [
            _MetaInfoClassMember('cts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Cisco Telepresence System
                ''',
                'cts',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ip-camera', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Ip Video Surveillance camera
                ''',
                'ip_camera',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('media-player', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Qos marking of the Cisco Media Player
                ''',
                'media_player',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'video',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Auto.Qos.Voip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Auto.Qos.Voip',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP Phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('cisco-softphone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP SoftPhone
                ''',
                'cisco_softphone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Auto.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Auto.Qos',
            False, 
            [
            _MetaInfoClassMember('classify', REFERENCE_CLASS, 'Classify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Auto.Qos.Classify', 
                [], [], 
                '''                Configure classification for untrusted devices
                ''',
                'classify',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Auto.Qos.Trust', 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('video', REFERENCE_CLASS, 'Video' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Auto.Qos.Video', 
                [], [], 
                '''                Configure AutoQoS for video devices
                ''',
                'video',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voip', REFERENCE_CLASS, 'Voip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Auto.Qos.Voip', 
                [], [], 
                '''                Configure AutoQoS for VoIP
                ''',
                'voip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Auto',
            False, 
            [
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Auto.Qos', 
                [], [], 
                '''                Configure AutoQoS
                ''',
                'qos',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Datalink.Flow.Monitor.InputOutputEnum' : _MetaInfoEnum('InputOutputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannel.Datalink.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Datalink.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('input-output', REFERENCE_ENUM_CLASS, 'InputOutputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Datalink.Flow.Monitor.InputOutputEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'input_output',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('User-defined-flow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'user_defined_flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Datalink.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Datalink.Flow',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Datalink.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Datalink' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Datalink',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Datalink.Flow', 
                [], [], 
                '''                Interface Flow configuration subcommands
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'datalink',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Energywise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Energywise',
            False, 
            [
            _MetaInfoClassMember('activitycheck', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply an activity check before turning off power 
                  to this PoE port
                ''',
                'activitycheck',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'energywise',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Location.CivicLocationId.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Location.CivicLocationId.Host',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Location.CivicLocationId.None_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Location.CivicLocationId.None_',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'none',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Location.CivicLocationId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Location.CivicLocationId',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Location.CivicLocationId.Host', 
                [], [], 
                '''                Globally defined host location identifer
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('location-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                civic location identifier string
                ''',
                'location_identifier',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('none', REFERENCE_CLASS, 'None_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Location.CivicLocationId.None_', 
                [], [], 
                '''                No globally defined location identifer
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'civic-location-id',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Location' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Location',
            False, 
            [
            _MetaInfoClassMember('civic-location-id', REFERENCE_CLASS, 'CivicLocationId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Location.CivicLocationId', 
                [], [], 
                '''                Civic location information
                ''',
                'civic_location_id',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'location',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mac.AccessGroup.AclName.ApplyToEnum' : _MetaInfoEnum('ApplyToEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannel.Mac.AccessGroup.AclName' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mac.AccessGroup.AclName',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('apply-to', REFERENCE_ENUM_CLASS, 'ApplyToEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mac.AccessGroup.AclName.ApplyToEnum', 
                [], [], 
                '''                ''',
                'apply_to',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ACL-name',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mac.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mac.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('ACL-name', REFERENCE_CLASS, 'AclName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mac.AccessGroup.AclName', 
                [], [], 
                '''                ACL name
                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Mac',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mac.AccessGroup', 
                [], [], 
                '''                MAC access-group configuration commands
                ''',
                'access_group',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Macro.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Macro.Auto',
            False, 
            [
            _MetaInfoClassMember('processing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable smartport macro auto execution on this interface
                ''',
                'processing',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Macro' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Macro',
            False, 
            [
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Macro.Auto', 
                [], [], 
                '''                Smartport interface macro configurations
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Macro description for this interface
                ''',
                'description',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macro',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.DualActive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.DualActive',
            False, 
            [
            _MetaInfoClassMember('fast-hello', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'fast_hello',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dual-active',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Lldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Lldp',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP reception on interface
                ''',
                'receive',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP transmission on interface
                ''',
                'transmit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'lldp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.LoadBalancing' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.LoadBalancing',
            False, 
            [
            _MetaInfoClassMember('flow', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the traffic flows identified by the packet headers
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the VLAN to member links manual configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'load-balancing',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.VlanRange.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.VlanRange.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.VlanRange',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-switch', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4096')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                ]),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.VlanRange.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switch.Virtual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switch.Virtual',
            False, 
            [
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'virtual',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Switch',
            False, 
            [
            _MetaInfoClassMember('virtual', REFERENCE_CLASS, 'Virtual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switch.Virtual', 
                [], [], 
                '''                ''',
                'virtual',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.SrrQueue.Bandwidth.Share' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.SrrQueue.Bandwidth.Share',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'share',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.SrrQueue.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.SrrQueue.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape', 
                [], [], 
                '''                ''',
                'shape',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('share', REFERENCE_CLASS, 'Share' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SrrQueue.Bandwidth.Share', 
                [], [], 
                '''                ''',
                'share',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.SrrQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.SrrQueue',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SrrQueue.Bandwidth', 
                [], [], 
                '''                ''',
                'bandwidth',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'srr-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.Macsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel.Macsec',
            False, 
            [
            _MetaInfoClassMember('network-link', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable macsec on switch connected interface
                ''',
                'network_link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macsec',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannel.ChannelProtocolEnum' : _MetaInfoEnum('ChannelProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lacp':'lacp',
            'pagp':'pagp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.DuplexEnum' : _MetaInfoEnum('DuplexEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'full':'full',
            'half':'half',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannel.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.PcSpeedEnum' : _MetaInfoEnum('PcSpeedEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '10':'Y_10',
            '100':'Y_100',
            '1000':'Y_1000',
            'nonegotiate':'nonegotiate',
            'auto':'auto',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannel',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Authentication', 
                [], [], 
                '''                Auth Manager Interface Configuration Commands
                ''',
                'authentication',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Auto', 
                [], [], 
                '''                Configure Automation
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('carrier-delay', REFERENCE_CLASS, 'CarrierDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.CarrierDelay', 
                [], [], 
                '''                Specify delay for interface transitions
                ''',
                'carrier_delay',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('channel-group', REFERENCE_CLASS, 'ChannelGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ChannelGroup', 
                [], [], 
                '''                Add this interface to an Etherchannel group
                ''',
                'channel_group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('channel-protocol', REFERENCE_ENUM_CLASS, 'ChannelProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ChannelProtocolEnum', 
                [], [], 
                '''                Select the channel protocol (LACP, PAgP)
                ''',
                'channel_protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('crypto', REFERENCE_CLASS, 'Crypto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Crypto', 
                [], [], 
                '''                Encryption/Decryption commands
                ''',
                'crypto',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Cts', 
                [], [], 
                '''                Configure Cisco Trusted Security
                ''',
                'cts',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('datalink', REFERENCE_CLASS, 'Datalink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Datalink', 
                [], [], 
                '''                Interface Datalink commands
                ''',
                'datalink',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dot1x', REFERENCE_CLASS, 'Dot1X' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Dot1X', 
                [], [], 
                '''                Interface Config Commands for IEEE 802.1X
                ''',
                'dot1x',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('dual-active', REFERENCE_CLASS, 'DualActive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.DualActive', 
                [], [], 
                '''                ''',
                'dual_active',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'DuplexEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.DuplexEnum', 
                [], [], 
                '''                Configure duplex operation.
                ''',
                'duplex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('energywise', REFERENCE_CLASS, 'Energywise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Energywise', 
                [], [], 
                '''                EnergyWise interface configurations
                ''',
                'energywise',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ethernet', 
                [], [], 
                '''                Ethernet interface parameters
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lacp', REFERENCE_CLASS, 'Lacp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Lacp', 
                [], [], 
                '''                LACP Port Channel interface subcommands
                ''',
                'lacp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('lldp', REFERENCE_CLASS, 'Lldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Lldp', 
                [], [], 
                '''                LLDP interface subcommands
                ''',
                'lldp',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-balancing', REFERENCE_CLASS, 'LoadBalancing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.LoadBalancing', 
                [], [], 
                '''                Etherchannel Load-Balancing
                ''',
                'load_balancing',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('location', REFERENCE_CLASS, 'Location' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Location', 
                [], [], 
                '''                Interface location information
                ''',
                'location',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mab', REFERENCE_CLASS, 'Mab' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mab', 
                [], [], 
                '''                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mac', 
                [], [], 
                '''                MAC interface commands
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macro', REFERENCE_CLASS, 'Macro' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Macro', 
                [], [], 
                '''                Command macro
                ''',
                'macro',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macsec', REFERENCE_CLASS, 'Macsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Macsec', 
                [], [], 
                '''                Enable macsec on the interface
                ''',
                'macsec',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiation', REFERENCE_CLASS, 'Negotiation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Negotiation', 
                [], [], 
                '''                Select autonegotiation mode
                ''',
                'negotiation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Ospfv3', 
                [], [], 
                '''                OSPFv3 interface commands
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('pc-speed', REFERENCE_ENUM_CLASS, 'PcSpeedEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.PcSpeedEnum', 
                [], [], 
                '''                Configure speed operation.
                ''',
                'pc_speed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('plim', REFERENCE_CLASS, 'Plim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Plim', 
                [], [], 
                '''                Configure features on the PLIM
                ''',
                'plim',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-channel', REFERENCE_CLASS, 'PortChannel_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.PortChannel_', 
                [], [], 
                '''                Port Channel interface subcommands
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pppoe', REFERENCE_CLASS, 'Pppoe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Pppoe', 
                [], [], 
                '''                pppoe interface subcommands
                ''',
                'pppoe',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Service', 
                [], [], 
                '''                Configure Ether Service
                ''',
                'service',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Snmp', 
                [], [], 
                '''                Modify SNMP interface parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('speed', REFERENCE_CLASS, 'Speed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Speed', 
                [], [], 
                '''                Configure speed operation
                ''',
                'speed',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('srr-queue', REFERENCE_CLASS, 'SrrQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SrrQueue', 
                [], [], 
                '''                ''',
                'srr_queue',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switch', 
                [], [], 
                '''                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Synchronous', 
                [], [], 
                '''                Synchronous
                ''',
                'synchronous',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_LIST, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel.Xconnect', 
                [], [], 
                '''                Xconnect commands
                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dynamic':'dynamic',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan', 
                [], [], 
                '''                Set VLAN when interface is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown multicast addresses
                ''',
                'multicast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Access' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Access',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Dot1QTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Dot1QTunnel',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'dot1q-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('promiscuous', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode to private-vlan promiscuous
                ''',
                'promiscuous',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Trunk',
            False, 
            [
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.DynamicEnum' : _MetaInfoEnum('DynamicEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'desirable':'desirable',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Access', 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dot1q-tunnel', REFERENCE_CLASS, 'Dot1QTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Dot1QTunnel', 
                [], [], 
                '''                set trunking mode to TUNNEL unconditionally
                ''',
                'dot1q_tunnel',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dynamic', REFERENCE_ENUM_CLASS, 'DynamicEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.DynamicEnum', 
                [], [], 
                '''                Set trunking mode to dynamically negotiate access or trunk mode
                ''',
                'dynamic',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan', 
                [], [], 
                '''                Set private-vlan mode
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Trunk', 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'absolute':'absolute',
            'inactivity':'inactivity',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging.TypeEnum', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress',
            False, 
            [
            _MetaInfoClassMember('hw-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                ''',
                'hw_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sticky', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic secure addresses as sticky
                ''',
                'sticky',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                set VLAN ID of the VLAN on which this address can be learned
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('max-addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '4097')], [], 
                '''                ''',
                'max_addresses',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address', REFERENCE_CLASS, 'MacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress', 
                [], [], 
                '''                Secure mac address
                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.ViolationEnum', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                all VLANs
                ''',
                'all',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan', 
                [], [], 
                '''                Set allowed VLANs when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'allowed',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'tag':'tag',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set native VLAN when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum', 
                        [], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Set native VLAN when interface is in trunking mode
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'native',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan',
            False, 
            [
            _MetaInfoClassMember('add', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of the allowed VLANs when this port is in trunking mode
                ''',
                'add',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('add', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of the allowed VLANs when this port is in trunking mode
                        ''',
                        'add',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('except', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                all VLANs except the following
                ''',
                'except_',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('except', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        all VLANs except the following
                        ''',
                        'except_',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                no VLANs
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN IDs of disallowed VLANS when this port is in trunking mode
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN IDs of disallowed VLANS when this port is in trunking mode
                        ''',
                        'remove',
                        'Cisco-IOS-XE-switch', False),
                ]),
            _MetaInfoClassMember('vlans', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlans',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlans', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlans',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan', 
                [], [], 
                '''                Set VLANs enabled for pruning when interface is in trunking mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pruning',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1q':'dot1q',
            'isl':'isl',
            'negotiate':'negotiate',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk',
            False, 
            [
            _MetaInfoClassMember('allowed', REFERENCE_CLASS, 'Allowed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed', 
                [], [], 
                '''                Set allowed VLAN characteristics when interface is in trunking mode
                ''',
                'allowed',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.EncapsulationEnum', 
                [], [], 
                '''                Set encapsulation format on trunk port
                ''',
                'encapsulation',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('native', REFERENCE_CLASS, 'Native_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_', 
                [], [], 
                '''                Set trunking native characteristics when interface is in trunking mode
                ''',
                'native',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pruning', REFERENCE_CLASS, 'Pruning' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning', 
                [], [], 
                '''                Set pruning VLAN characteristics when interface is in trunking mode
                ''',
                'pruning',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trunk',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum' : _MetaInfoEnum('VlanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1p':'dot1p',
            'none':'none',
            'untagged':'untagged',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vlan name
                ''',
                'name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_ENUM_CLASS, 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum', 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                    _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'vlan',
                        'Cisco-IOS-XE-switch', False),
                ]),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect.CiscoPhone' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect.CiscoPhone',
            False, 
            [
            _MetaInfoClassMember('full-duplex', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                full duplex keyword
                ''',
                'full_duplex',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'cisco-phone',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', REFERENCE_CLASS, 'CiscoPhone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect.CiscoPhone', 
                [], [], 
                '''                Cisco IP phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'detect',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('detect', REFERENCE_CLASS, 'Detect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect', 
                [], [], 
                '''                detection enhancement keyword
                ''',
                'detect',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan', 
                [], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Override 802.1p priority of devices on appliance
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust 802.1p priorities of devices on appliance
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'extend',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority',
            False, 
            [
            _MetaInfoClassMember('extend', REFERENCE_CLASS, 'Extend' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'extend',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate',
            False, 
            [
            _MetaInfoClassMember('exclude', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude this port from vlan link up calculation
                ''',
                'exclude',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'autostate',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation',
            False, 
            [
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN port association
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Secondary normal range VLAN ID of the private VLAN host port association
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host-association',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'add',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('primary-range', ATTRIBUTE, 'int' , None, None, 
                [('2', '1001'), ('1006', '4094')], [], 
                '''                Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                ''',
                'primary_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('remove', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'remove',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('secondary-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Secondary VLAN IDs of the private VLAN promiscuous port mapping
                ''',
                'secondary_range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association', 
                [], [], 
                '''                Set the private VLAN association
                ''',
                'association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host-association', REFERENCE_CLASS, 'HostAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation', 
                [], [], 
                '''                Set the private VLAN host association
                ''',
                'host_association',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mapping', REFERENCE_CLASS, 'Mapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping', 
                [], [], 
                '''                Set the private VLAN promiscuous mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('autostate', REFERENCE_CLASS, 'Autostate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate', 
                [], [], 
                '''                Include or exclude this port from vlan link up calculation
                ''',
                'autostate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set port host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority', 
                [], [], 
                '''                Set appliance 802.1p priority
                ''',
                'priority',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan', 
                [], [], 
                '''                Set the private VLAN configuration
                ''',
                'private_vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an interface to be a protected port
                ''',
                'protected',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', REFERENCE_CLASS, 'Trunk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk', 
                [], [], 
                '''                Set trunking characteristics of the interface
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.PortChannelSubinterface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.PortChannelSubinterface_',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.PortChannelSubinterface_', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'accept-register',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval',
            False, 
            [
            _MetaInfoClassMember('milliseconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '65535')], [], 
                '''                ''',
                'milliseconds_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Query interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('seconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '18725')], [], 
                '''                ''',
                'seconds_interval',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'query-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.SparseModeEnum' : _MetaInfoEnum('SparseModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sparse-dense-mode':'sparse_dense_mode',
            'sparse-mode':'sparse_mode',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.SptThresholdEnum' : _MetaInfoEnum('SptThresholdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim',
            False, 
            [
            _MetaInfoClassMember('accept-register', REFERENCE_CLASS, 'AcceptRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister', 
                [], [], 
                '''                ''',
                'accept_register',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM router DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('nbma-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable PIM nbma-mode operation
                ''',
                'nbma_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('query-interval', REFERENCE_CLASS, 'QueryInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval', 
                [], [], 
                '''                PIM router query interval
                ''',
                'query_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sparse-mode', REFERENCE_ENUM_CLASS, 'SparseModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.SparseModeEnum', 
                [], [], 
                '''                ''',
                'sparse_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold', REFERENCE_ENUM_CLASS, 'SptThresholdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.SptThresholdEnum', 
                [], [], 
                '''                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'down',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'up',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_CLASS, 'Down' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down', 
                [], [], 
                '''                Carrier Down Transitions
                ''',
                'down',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('up', REFERENCE_CLASS, 'Up' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up', 
                [], [], 
                '''                Carrier Up Transitions
                ''',
                'up',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'carrier-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'auto':'auto',
            'desirable':'desirable',
            'on':'on',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                LACP auto
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('1', '4')], [], 
                '''                Assign a link identifier used for load-balancing
                ''',
                'link',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup.ModeEnum', 
                [], [], 
                '''                Etherchannel Mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('non-silent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start negotiation only after data packets received
                ''',
                'non_silent',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'channel-group',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame threshold in number of frames
                ''',
                'thresh',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold', 
                [], [], 
                '''                Errored frame threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '600')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('f-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame-period threshold in number of frames
                ''',
                'f_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame-period threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold', 
                [], [], 
                '''                Errored frame-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 10000 frames
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('e-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the high errored frame-seconds threshold in number of seconds
                ''',
                'e_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the low errored frame-seconds threshold in number of seconds
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('100', '9000')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-seconds',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action', 
                [], [], 
                '''                Specifiy an action when the high threshold is crossed
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('crc-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high received crc error threshold in number of frames
                ''',
                'crc_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low received crc error threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'receive-crc',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('err-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high error symbol-period threshold in number of symbols
                ''',
                'err_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low error symbol-period threshold in number of symbols
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold', 
                [], [], 
                '''                Error symbol-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 1048576 symbols
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'symbol-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor',
            False, 
            [
            _MetaInfoClassMember('frame', REFERENCE_CLASS, 'Frame' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame', 
                [], [], 
                '''                Errored frames in a period measured by time
                ''',
                'frame',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-period', REFERENCE_CLASS, 'FramePeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod', 
                [], [], 
                '''                Errored frames in a period measured by number of frames
                ''',
                'frame_period',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-seconds', REFERENCE_CLASS, 'FrameSeconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds', 
                [], [], 
                '''                Errored frame seconds in a period
                ''',
                'frame_seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('high-threshold', REFERENCE_CLASS, 'HighThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold', 
                [], [], 
                '''                Additional high threshold configuration
                ''',
                'high_threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable link monitoring on the interface
                ''',
                'on',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('receive-crc', REFERENCE_CLASS, 'ReceiveCrc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc', 
                [], [], 
                '''                Received frames with CRC errors in a period
                ''',
                'receive_crc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support link monitoring on the interface
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('symbol-period', REFERENCE_CLASS, 'SymbolPeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod', 
                [], [], 
                '''                Errored symbols in a period
                ''',
                'symbol_period',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'critical-event',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dying-gasp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-fault',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure',
            False, 
            [
            _MetaInfoClassMember('critical-event', REFERENCE_CLASS, 'CriticalEvent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent', 
                [], [], 
                '''                Critical event
                ''',
                'critical_event',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dying-gasp', REFERENCE_CLASS, 'DyingGasp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp', 
                [], [], 
                '''                Dying gasp
                ''',
                'dying_gasp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link-fault', REFERENCE_CLASS, 'LinkFault' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault', 
                [], [], 
                '''                Link fault
                ''',
                'link_fault',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-failure',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support remote loopback functionality
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set timeout value in number of seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam',
            False, 
            [
            _MetaInfoClassMember('link-monitor', REFERENCE_CLASS, 'LinkMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor', 
                [], [], 
                '''                Ethernet OAM Link Monitor
                ''',
                'link_monitor',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'max_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('min-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'min_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-failure', REFERENCE_CLASS, 'RemoteFailure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure', 
                [], [], 
                '''                Ethernet OAM remote failure indication
                ''',
                'remote_failure',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-loopback', REFERENCE_CLASS, 'RemoteLoopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback', 
                [], [], 
                '''                Ethernet OAM Remote Loopback
                ''',
                'remote_loopback',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('2', '30')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'oam',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Ethernet',
            False, 
            [
            _MetaInfoClassMember('oam', REFERENCE_CLASS, 'Oam' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam', 
                [], [], 
                '''                To enable Ethernet Link OAM
                ''',
                'oam',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Negotiation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Negotiation',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable link autonegotiation
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'negotiation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Synchronous',
            False, 
            [
            _MetaInfoClassMember('mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mode
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Speed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Speed',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable AUTO speed configuration
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'nonegotiate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10 Mbps operation
                ''',
                'value_10',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-100', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                100 Mbps operation
                ''',
                'value_100',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-1000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                1000 Mbps operation
                ''',
                'value_1000',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10000 Mbps operation
                ''',
                'value_10000',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'speed',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the interface to accept all VLAN traffic
                ''',
                'disable',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter', 
                [], [], 
                '''                Configure VLAN filtering
                ''',
                'filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan', 
                [], [], 
                '''                vlan specific features
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'zero',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'strict-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue',
            False, 
            [
            _MetaInfoClassMember('strict-priority', REFERENCE_CLASS, 'StrictPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority', 
                [], [], 
                '''                High priority queue
                ''',
                'strict_priority',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('zero', REFERENCE_CLASS, 'Zero' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero', 
                [], [], 
                '''                Low priority queue
                ''',
                'zero',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input',
            False, 
            [
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue', 
                [], [], 
                '''                Queue number
                ''',
                'queue',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input', 
                [], [], 
                '''                Configure PLIM QoS at the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Plim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Plim',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet', 
                [], [], 
                '''                Configure features on the ethernet interface
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos', 
                [], [], 
                '''                QoS on the PLIM
                ''',
                'qos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'plim',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                attach a BBA group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum', 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Pppoe' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Pppoe',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable', 
                [], [], 
                '''                Enable pppoe
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-sessions', ATTRIBUTE, 'int' , None, None, 
                [('1', '4085')], [], 
                '''                Maximum PPPOE sessions
                ''',
                'max_sessions',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pppoe',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' : _MetaInfoEnum('Dot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum', 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' : _MetaInfoEnum('SecondDot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum' : _MetaInfoEnum('VlanTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0x88A8':'Y_0x88A8',
            '0x9100':'Y_0x9100',
            '0x9200':'Y_0x9200',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('second-dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum', 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('vlan-type', REFERENCE_ENUM_CLASS, 'VlanTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum', 
                [], [], 
                '''                Vlan Protocol Type
                ''',
                'vlan_type',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged',
            False, 
            [
            _MetaInfoClassMember('cos-container', REFERENCE_CLASS, 'CosContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer', 
                [], [], 
                '''                ''',
                'cos_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'priority-tagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Untagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Untagged',
            False, 
            [
            ],
            'Cisco-IOS-XE-ethernet',
            'untagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                catch-all unconfigured encapsulation
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-tagged', REFERENCE_CLASS, 'PriorityTagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged', 
                [], [], 
                '''                Priority tagged EFP
                ''',
                'priority_tagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', REFERENCE_CLASS, 'Untagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Untagged', 
                [], [], 
                '''                Untagged encapsulation
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP relay information option subscriber-id
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information
                ''',
                'information',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay
                ''',
                'relay',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source address
                ''',
                'source',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp', 
                [], [], 
                '''                DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify', 
                [], [], 
                '''                verify
                ''',
                'verify',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('traffic-filter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pop',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Push dot1q tag
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'push',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate',
            False, 
            [
            _MetaInfoClassMember('t1-to-1', REFERENCE_CLASS, 'T1To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1', 
                [], [], 
                '''                Translate 1-to-1
                ''',
                't1_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t1-to-2', REFERENCE_CLASS, 'T1To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2', 
                [], [], 
                '''                Translate 1-to-2
                ''',
                't1_to_2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-1', REFERENCE_CLASS, 'T2To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1', 
                [], [], 
                '''                Translate 2-to-1
                ''',
                't2_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-2', REFERENCE_CLASS, 'T2To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2', 
                [], [], 
                '''                Translate 2-to-2
                ''',
                't2_to_2',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag',
            False, 
            [
            _MetaInfoClassMember('pop', REFERENCE_CLASS, 'Pop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop', 
                [], [], 
                '''                Pop the tag
                ''',
                'pop',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('push', REFERENCE_CLASS, 'Push' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push', 
                [], [], 
                '''                Rewrite Operation of push
                ''',
                'push',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate', 
                [], [], 
                '''                Translate Tag
                ''',
                'translate',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress',
            False, 
            [
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag', 
                [], [], 
                '''                Configure Rewrite Tag
                ''',
                'tag',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ingress',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite',
            False, 
            [
            _MetaInfoClassMember('ingress', REFERENCE_CLASS, 'Ingress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress', 
                [], [], 
                '''                Ingress Rewrite
                ''',
                'ingress',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'rewrite',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause',
            False, 
            [
            _MetaInfoClassMember('mac-security', ATTRIBUTE, 'int' , None, None, 
                [('30', '86400')], [], 
                '''                mac-security violation
                ''',
                'mac_security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause', 
                [], [], 
                '''                error disable cause
                ''',
                'cause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable',
            False, 
            [
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery', 
                [], [], 
                '''                enable auto recovery
                ''',
                'recovery',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange',
            False, 
            [
            _MetaInfoClassMember('comma', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                comma
                ''',
                'comma',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                hyphen
                ''',
                'hyphen',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For all VLANS [untagged,1-4094]
                ''',
                'any',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default EFP
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Untagged frames
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_CLASS, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map', 
                [], [], 
                '''                Configure ether lmi ce-vlan/evc map
                ''',
                'map',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ce-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi',
            False, 
            [
            _MetaInfoClassMember('ce-vlan', REFERENCE_CLASS, 'CeVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan', 
                [], [], 
                '''                Configure ether lmi customer vlans
                ''',
                'ce_vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'lmi',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the wire
                ''',
                'external',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the relay
                ''',
                'internal',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit', 
                [], [], 
                '''                Allow data plane loopback to be activated
                ''',
                'permit',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet',
            False, 
            [
            _MetaInfoClassMember('lmi', REFERENCE_CLASS, 'Lmi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi', 
                [], [], 
                '''                Configure ether lmi parameters
                ''',
                'lmi',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('loopback', REFERENCE_CLASS, 'Loopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback', 
                [], [], 
                '''                Ethernet Dataplane Loopback
                ''',
                'loopback',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet', 
                [], [], 
                '''                ethernet
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence
                ''',
                'persist',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the service instance
                ''',
                'ifindex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '13')], [], 
                '''                Split-horizon group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'split-horizon',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'bridge_id',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('from-encapsulation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from-encapsulation
                ''',
                'from_encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('split-horizon', REFERENCE_CLASS, 'SplitHorizon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon', 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'bridge-domain',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum',
            False, 
            [
            _MetaInfoClassMember('addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum addresses that can be learnt on this service instance
                ''',
                'addresses',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security',
            False, 
            [
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum', 
                [], [], 
                '''                Configure an upper bound
                ''',
                'maximum',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.ViolationEnum', 
                [], [], 
                '''                Configure the response when a MAC security policy is violated
                ''',
                'violation',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac',
            False, 
            [
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security', 
                [], [], 
                '''                MAC Security commands
                ''',
                'security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LIST, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Input', 
                [], [], 
                '''                service policy input
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('output', REFERENCE_LIST, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Output', 
                [], [], 
                '''                service policy output
                ''',
                'output',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure a domain for this mep
                ''',
                'domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mpid', ATTRIBUTE, 'int' , None, None, 
                [('1', '8191')], [], 
                '''                Maintenance End Point Identifier
                ''',
                'mpid',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mep',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm',
            False, 
            [
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation', 
                [], [], 
                '''                Configure CFM ethernet frame encapsulation
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mep', REFERENCE_CLASS, 'Mep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep', 
                [], [], 
                '''                Maintenance End Point
                ''',
                'mep',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mip', REFERENCE_CLASS, 'Mip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip', 
                [], [], 
                '''                Maintenance Intermediate Point
                ''',
                'mip',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'forward',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol',
            False, 
            [
            _MetaInfoClassMember('forward', REFERENCE_CLASS, 'Forward' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward', 
                [], [], 
                '''                forward L2 control protocol packets as data
                ''',
                'forward',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer', 
                [], [], 
                '''                peer L2 control protocol packets as data
                ''',
                'peer',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel', 
                [], [], 
                '''                tunnel L2 control protocol packets as data
                ''',
                'tunnel',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'l2protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4000')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', True),
            _MetaInfoClassMember('bridge-domain', REFERENCE_CLASS, 'BridgeDomain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain', 
                [], [], 
                '''                Bridge-domain
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cfm', REFERENCE_CLASS, 'Cfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm', 
                [], [], 
                '''                Ethernet CFM EFP subcommands
                ''',
                'cfm',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Service instance specific description
                ''',
                'description',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation', 
                [], [], 
                '''                Configure ethernet frame match criteria
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable', 
                [], [], 
                '''                Configure error disable
                ''',
                'errdisable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an Ethernet Instance
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-container', REFERENCE_CLASS, 'EthernetContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer', 
                [], [], 
                '''                ''',
                'ethernet_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-evc-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ethernet_evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('evc-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                ''',
                'evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an GigabitEthernet Instance
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('l2protocol', REFERENCE_CLASS, 'L2Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol', 
                [], [], 
                '''                Configure l2 control protocol processing
                ''',
                'l2protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac', 
                [], [], 
                '''                Commands for MAC Address-based features
                ''',
                'mac',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('rewrite', REFERENCE_CLASS, 'Rewrite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite', 
                [], [], 
                '''                Configure ethernet rewrite criteria
                ''',
                'rewrite',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy', 
                [], [], 
                '''                Attach a policy-map to an EFP
                ''',
                'service_policy',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Take the Service Instance out of Service
                ''',
                'shutdown',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp', 
                [], [], 
                '''                Modify SNMP service instance parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trunk Service Instance
                ''',
                'trunk',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Service' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Service',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance', 
                [], [], 
                '''                Configure Ether Service Instance
                ''',
                'instance',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Classify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Classify',
            False, 
            [
            _MetaInfoClassMember('police', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure QoS policing for untrusted devices
                ''',
                'police',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'classify',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the CoS marking
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP marking
                ''',
                'dscp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video',
            False, 
            [
            _MetaInfoClassMember('cts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Cisco Telepresence System
                ''',
                'cts',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ip-camera', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of the Ip Video Surveillance camera
                ''',
                'ip_camera',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('media-player', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Qos marking of the Cisco Media Player
                ''',
                'media_player',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'video',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Voip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Voip',
            False, 
            [
            _MetaInfoClassMember('cisco-phone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP Phone
                ''',
                'cisco_phone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('cisco-softphone', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the QoS marking of Cisco IP SoftPhone
                ''',
                'cisco_softphone',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos',
            False, 
            [
            _MetaInfoClassMember('classify', REFERENCE_CLASS, 'Classify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Classify', 
                [], [], 
                '''                Configure classification for untrusted devices
                ''',
                'classify',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Trust', 
                [], [], 
                '''                Trust the DSCP/CoS marking
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('video', REFERENCE_CLASS, 'Video' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video', 
                [], [], 
                '''                Configure AutoQoS for video devices
                ''',
                'video',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voip', REFERENCE_CLASS, 'Voip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Voip', 
                [], [], 
                '''                Configure AutoQoS for VoIP
                ''',
                'voip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Auto',
            False, 
            [
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos', 
                [], [], 
                '''                Configure AutoQoS
                ''',
                'qos',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor.InputOutputEnum' : _MetaInfoEnum('InputOutputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('input-output', REFERENCE_ENUM_CLASS, 'InputOutputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor.InputOutputEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'input_output',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('User-defined-flow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'user_defined_flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Datalink' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Datalink',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow', 
                [], [], 
                '''                Interface Flow configuration subcommands
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'datalink',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Energywise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Energywise',
            False, 
            [
            _MetaInfoClassMember('activitycheck', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply an activity check before turning off power 
                  to this PoE port
                ''',
                'activitycheck',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'energywise',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.Host' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.Host',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.None_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.None_',
            False, 
            [
            _MetaInfoClassMember('port-location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port specific attributes
                ''',
                'port_location',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'none',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.Host', 
                [], [], 
                '''                Globally defined host location identifer
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('location-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                civic location identifier string
                ''',
                'location_identifier',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('none', REFERENCE_CLASS, 'None_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.None_', 
                [], [], 
                '''                No globally defined location identifer
                ''',
                'none',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'civic-location-id',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Location' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Location',
            False, 
            [
            _MetaInfoClassMember('civic-location-id', REFERENCE_CLASS, 'CivicLocationId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId', 
                [], [], 
                '''                Civic location information
                ''',
                'civic_location_id',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'location',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.AclName.ApplyToEnum' : _MetaInfoEnum('ApplyToEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.AclName' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.AclName',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('apply-to', REFERENCE_ENUM_CLASS, 'ApplyToEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.AclName.ApplyToEnum', 
                [], [], 
                '''                ''',
                'apply_to',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ACL-name',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('ACL-name', REFERENCE_CLASS, 'AclName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.AclName', 
                [], [], 
                '''                ACL name
                ''',
                'acl_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Mac',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup', 
                [], [], 
                '''                MAC access-group configuration commands
                ''',
                'access_group',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto',
            False, 
            [
            _MetaInfoClassMember('processing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable smartport macro auto execution on this interface
                ''',
                'processing',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'auto',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Macro' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Macro',
            False, 
            [
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto', 
                [], [], 
                '''                Smartport interface macro configurations
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Macro description for this interface
                ''',
                'description',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macro',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.DualActive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.DualActive',
            False, 
            [
            _MetaInfoClassMember('fast-hello', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'fast_hello',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dual-active',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Lldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Lldp',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP reception on interface
                ''',
                'receive',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable LLDP transmission on interface
                ''',
                'transmit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'lldp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing',
            False, 
            [
            _MetaInfoClassMember('flow', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the traffic flows identified by the packet headers
                ''',
                'flow',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Based on the VLAN to member links manual configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'load-balancing',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.VlanRange',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-switch', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4096')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-switch', True),
                ]),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual',
            False, 
            [
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'virtual',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Switch',
            False, 
            [
            _MetaInfoClassMember('virtual', REFERENCE_CLASS, 'Virtual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual', 
                [], [], 
                '''                ''',
                'virtual',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share',
            False, 
            [
            _MetaInfoClassMember('weight1', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight1',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight2', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight2',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight3', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight3',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('weight4', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'weight4',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'share',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape', 
                [], [], 
                '''                ''',
                'shape',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('share', REFERENCE_CLASS, 'Share' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share', 
                [], [], 
                '''                ''',
                'share',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth', 
                [], [], 
                '''                ''',
                'bandwidth',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'srr-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.Macsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel.Macsec',
            False, 
            [
            _MetaInfoClassMember('network-link', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable macsec on switch connected interface
                ''',
                'network_link',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'macsec',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface.PortChannel.ChannelProtocolEnum' : _MetaInfoEnum('ChannelProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lacp':'lacp',
            'pagp':'pagp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.DuplexEnum' : _MetaInfoEnum('DuplexEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'full':'full',
            'half':'half',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.PortChannelSubinterface.PortChannel.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.PortChannelSubinterface.PortChannel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface.PortChannel',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('auto', REFERENCE_CLASS, 'Auto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Auto', 
                [], [], 
                '''                Configure Automation
                ''',
                'auto',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('carrier-delay', REFERENCE_CLASS, 'CarrierDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay', 
                [], [], 
                '''                Specify delay for interface transitions
                ''',
                'carrier_delay',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('channel-group', REFERENCE_CLASS, 'ChannelGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup', 
                [], [], 
                '''                Add this interface to an Etherchannel group
                ''',
                'channel_group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('channel-protocol', REFERENCE_ENUM_CLASS, 'ChannelProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.ChannelProtocolEnum', 
                [], [], 
                '''                Select the channel protocol (LACP, PAgP)
                ''',
                'channel_protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('datalink', REFERENCE_CLASS, 'Datalink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Datalink', 
                [], [], 
                '''                Interface Datalink commands
                ''',
                'datalink',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dual-active', REFERENCE_CLASS, 'DualActive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.DualActive', 
                [], [], 
                '''                ''',
                'dual_active',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'DuplexEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.DuplexEnum', 
                [], [], 
                '''                Configure duplex operation.
                ''',
                'duplex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('energywise', REFERENCE_CLASS, 'Energywise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Energywise', 
                [], [], 
                '''                EnergyWise interface configurations
                ''',
                'energywise',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ethernet', 
                [], [], 
                '''                Ethernet interface parameters
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lldp', REFERENCE_CLASS, 'Lldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Lldp', 
                [], [], 
                '''                LLDP interface subcommands
                ''',
                'lldp',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-balancing', REFERENCE_CLASS, 'LoadBalancing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing', 
                [], [], 
                '''                Etherchannel Load-Balancing
                ''',
                'load_balancing',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('location', REFERENCE_CLASS, 'Location' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Location', 
                [], [], 
                '''                Interface location information
                ''',
                'location',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Mac', 
                [], [], 
                '''                MAC interface commands
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macro', REFERENCE_CLASS, 'Macro' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Macro', 
                [], [], 
                '''                Command macro
                ''',
                'macro',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('macsec', REFERENCE_CLASS, 'Macsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Macsec', 
                [], [], 
                '''                Enable macsec on the interface
                ''',
                'macsec',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiation', REFERENCE_CLASS, 'Negotiation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Negotiation', 
                [], [], 
                '''                Select autonegotiation mode
                ''',
                'negotiation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('plim', REFERENCE_CLASS, 'Plim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Plim', 
                [], [], 
                '''                Configure features on the PLIM
                ''',
                'plim',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pppoe', REFERENCE_CLASS, 'Pppoe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Pppoe', 
                [], [], 
                '''                pppoe interface subcommands
                ''',
                'pppoe',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Service', 
                [], [], 
                '''                Configure Ether Service
                ''',
                'service',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('speed', REFERENCE_CLASS, 'Speed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Speed', 
                [], [], 
                '''                Configure speed operation
                ''',
                'speed',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('srr-queue', REFERENCE_CLASS, 'SrrQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue', 
                [], [], 
                '''                ''',
                'srr_queue',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switch', 
                [], [], 
                '''                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Synchronous', 
                [], [], 
                '''                Synchronous
                ''',
                'synchronous',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_LIST, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', REFERENCE_LIST, 'PortChannel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface.PortChannel', 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Ip.Dfbit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Ip.Dfbit',
            False, 
            [
            _MetaInfoClassMember('set', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the DF bit in the tunnel header
                ''',
                'set',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'dfbit',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Ip.Local.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Ip.Local.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Ip.Local.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Ip.Local.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Ip.Local.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Ip.Local.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Ip.Local.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Ip.Local.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Ip.Local.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Ip.Local.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Ip.Local.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Ip.Local.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Ip.Local.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Ip.Local.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Ip.Local' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Ip.Local',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Ip.Local.Interface_', 
                [], [], 
                '''                Source interface for pseudowire
                ''',
                'interface',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Ip.Pmtu' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Ip.Pmtu',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Maximum Path MTU for session
                ''',
                'max',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'pmtu',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Ip.Tos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Ip.Tos',
            False, 
            [
            _MetaInfoClassMember('reflect', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reflect IP payload ToS on tunnel
                ''',
                'reflect',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP ToS value
                ''',
                'value',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'tos',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Ip.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'l2tp':'l2tp',
            'uti':'uti',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Pseudowire.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Ip',
            False, 
            [
            _MetaInfoClassMember('dfbit', REFERENCE_CLASS, 'Dfbit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Ip.Dfbit', 
                [], [], 
                '''                DF bit options for tunnel
                ''',
                'dfbit',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Ip.Local', 
                [], [], 
                '''                Specify local information
                ''',
                'local',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pmtu', REFERENCE_CLASS, 'Pmtu' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Ip.Pmtu', 
                [], [], 
                '''                Enable Path MTU for tunnel
                ''',
                'pmtu',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Ip.ProtocolEnum', 
                [], [], 
                '''                Specific IP protocol number to use
                ''',
                'protocol',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('tos', REFERENCE_CLASS, 'Tos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Ip.Tos', 
                [], [], 
                '''                Specify ToS options for IP tunnel header
                ''',
                'tos',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify TTL value for IP tunnel header
                ''',
                'ttl',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.LoadBalance.Flow.EthernetEnum' : _MetaInfoEnum('EthernetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dst-mac':'dst_mac',
            'src-dst-mac':'src_dst_mac',
            'src-mac':'src_mac',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Pseudowire.LoadBalance.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.LoadBalance.Flow',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_ENUM_CLASS, 'EthernetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.LoadBalance.Flow.EthernetEnum', 
                [], [], 
                '''                Ethernet pseudowire flow classification
                ''',
                'ethernet',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.LoadBalance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.LoadBalance',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.LoadBalance.Flow', 
                [], [], 
                '''                Enable flow based load balancing for pseudowire
                ''',
                'flow',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'load-balance',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_', 
                [], [], 
                '''                Source interface for pseudowire
                ''',
                'interface',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Monitor.Peer.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Monitor.Peer.Bfd',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local', 
                [], [], 
                '''                Specify local endpoint information to map to a BFD session
                ''',
                'local',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Monitor.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Monitor.Peer',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Monitor.Peer.Bfd', 
                [], [], 
                '''                BFD active monitoring for the xconnect peer
                ''',
                'bfd',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Monitor',
            False, 
            [
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Monitor.Peer', 
                [], [], 
                '''                Active monitoring of xconnect peer
                ''',
                'peer',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.PreferredPath.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.PreferredPath.Interface_',
            False, 
            [
            _MetaInfoClassMember('disable-fallback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable fall back to alternative route
                ''',
                'disable_fallback',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Tunnel-tp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MPLS Transport Profile interface
                ''',
                'tunnel_tp',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.PreferredPath.PeerContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.PreferredPath.PeerContainer',
            False, 
            [
            _MetaInfoClassMember('disable-fallback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable fall back to alternative route
                ''',
                'disable_fallback',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer Address
                ''',
                'peer',
                'Cisco-IOS-XE-l2vpn', False, [
                    _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Peer Address
                        ''',
                        'peer',
                        'Cisco-IOS-XE-l2vpn', False),
                    _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer Address
                        ''',
                        'peer',
                        'Cisco-IOS-XE-l2vpn', False),
                ]),
            ],
            'Cisco-IOS-XE-l2vpn',
            'peer-container',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.PreferredPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.PreferredPath',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.PreferredPath.Interface_', 
                [], [], 
                '''                Output Interface
                ''',
                'interface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('peer-container', REFERENCE_CLASS, 'PeerContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.PreferredPath.PeerContainer', 
                [], [], 
                '''                ''',
                'peer_container',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'preferred-path',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.ProtocolMpls.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldp':'ldp',
            'none':'none',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Pseudowire.ProtocolMpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.ProtocolMpls',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.ProtocolMpls.ProtocolEnum', 
                [], [], 
                '''                Signaling protocol to use
                ''',
                'protocol',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'protocol-mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.ProtocolL2Tpv2.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'l2tpv2':'l2tpv2',
            'none':'none',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Pseudowire.ProtocolL2Tpv2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.ProtocolL2Tpv2',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.ProtocolL2Tpv2.ProtocolEnum', 
                [], [], 
                '''                Signaling protocol to use
                ''',
                'protocol',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'protocol-l2tpv2',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.ProtocolL2Tpv3.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'l2tpv3':'l2tpv3',
            'l2tpv3ietf':'l2tpv3ietf',
            'none':'none',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Pseudowire.ProtocolL2Tpv3' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.ProtocolL2Tpv3',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.ProtocolL2Tpv3.ProtocolEnum', 
                [], [], 
                '''                Signaling protocol to use
                ''',
                'protocol',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'protocol-l2tpv3',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Status.AdminDown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Status.AdminDown',
            False, 
            [
            _MetaInfoClassMember('disconnect', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disconnect the session
                ''',
                'disconnect',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'admin-down',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Status.ControlPlane' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Status.ControlPlane',
            False, 
            [
            _MetaInfoClassMember('route-watch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                listen on the control plane to route-watch events
                ''',
                'route_watch',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'control-plane',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Status.Peer.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Status.Peer.Topology',
            False, 
            [
            _MetaInfoClassMember('dual-homed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Our peer(s) are participating in a redundant solution with some form of redundancyprotocol running between the peer routers, Only one of the remote peers will advertise astatus of UP at a time. The other will advertise standby. Change our configuration so wecan send a status of UP on both active and redundant pseudowires
                ''',
                'dual_homed',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Status.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Status.Peer',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Status.Peer.Topology', 
                [], [], 
                '''                change status behaviour based on peer topology
                ''',
                'topology',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Status.Redundancy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Status.Redundancy',
            False, 
            [
            _MetaInfoClassMember('master', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Put the xconnect redundancy group on this node in master mode
                ''',
                'master',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'redundancy',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Status' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Status',
            False, 
            [
            _MetaInfoClassMember('admin-down', REFERENCE_CLASS, 'AdminDown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Status.AdminDown', 
                [], [], 
                '''                Admin down of Attachment Circuit
                ''',
                'admin_down',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('control-plane', REFERENCE_CLASS, 'ControlPlane' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Status.ControlPlane', 
                [], [], 
                '''                control plane status events
                ''',
                'control_plane',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('decoupled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reflect standby status of the attachment circuit as up on the pseudowire
                ''',
                'decoupled',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Status.Peer', 
                [], [], 
                '''                peer status configuration
                ''',
                'peer',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('redundancy', REFERENCE_CLASS, 'Redundancy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Status.Redundancy', 
                [], [], 
                '''                Xconnect redundancy configuration
                ''',
                'redundancy',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.Switching' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire.Switching',
            False, 
            [
            _MetaInfoClassMember('tlv', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switching TLV on/off for pseudowire
                ''',
                'tlv',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'switching',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Pseudowire.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'l2tpv2':'l2tpv2',
            'l2tpv3':'l2tpv3',
            'mpls':'mpls',
            'udp':'udp',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Pseudowire.InterworkingEnum' : _MetaInfoEnum('InterworkingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ethernet':'ethernet',
            'ip':'ip',
            'vlan':'vlan',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Pseudowire.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'resync':'resync',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.Interface.Pseudowire' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Pseudowire',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '231072')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('control-word', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include control-word in pseudowire packets
                ''',
                'control_word',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('interworking', REFERENCE_ENUM_CLASS, 'InterworkingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.InterworkingEnum', 
                [], [], 
                '''                Interworking options for pseudowire
                ''',
                'interworking',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Ip', 
                [], [], 
                '''                Specify IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('load-balance', REFERENCE_CLASS, 'LoadBalance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.LoadBalance', 
                [], [], 
                '''                Loadbalancing for pseudowire
                ''',
                'load_balance',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Monitor', 
                [], [], 
                '''                Active monitoring of xconnect peer
                ''',
                'monitor',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('preferred-path', REFERENCE_CLASS, 'PreferredPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.PreferredPath', 
                [], [], 
                '''                Preferred path
                ''',
                'preferred_path',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('protocol-l2tpv2', REFERENCE_CLASS, 'ProtocolL2Tpv2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.ProtocolL2Tpv2', 
                [], [], 
                '''                ''',
                'protocol_l2tpv2',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('protocol-l2tpv3', REFERENCE_CLASS, 'ProtocolL2Tpv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.ProtocolL2Tpv3', 
                [], [], 
                '''                ''',
                'protocol_l2tpv3',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('protocol-mpls', REFERENCE_CLASS, 'ProtocolMpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.ProtocolMpls', 
                [], [], 
                '''                ''',
                'protocol_mpls',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.SequencingEnum', 
                [], [], 
                '''                Sequencing options for pseudowire
                ''',
                'sequencing',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Status', 
                [], [], 
                '''                Pseudowire status capabilities
                ''',
                'status',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('switching', REFERENCE_CLASS, 'Switching' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire.Switching', 
                [], [], 
                '''                Switching TLV on/off for pseudowire
                ''',
                'switching',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-native',
            'pseudowire',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Sm.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Sm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Sm',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9])+(/([0-9])+)?'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'SM',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Cellular.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Cellular' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Cellular',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9])+(/([0-9])+)?'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cellular',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.AdjacencyFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.AdjacencyFilter',
            False, 
            [
            _MetaInfoClassMember('match-all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match all area addresses
                ''',
                'match_all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'adjacency-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Advertise',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interface IP address
                ''',
                'prefix',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Md5',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Text' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Text',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'text',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Md5', 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('text', REFERENCE_CLASS, 'Text' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Text', 
                [], [], 
                '''                Clear text password
                ''',
                'text',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain.KeyChainList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain.KeyChainList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('key-chain-list', REFERENCE_LIST, 'KeyChainList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain.KeyChainList', 
                [], [], 
                '''                ''',
                'key_chain_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.SendOnly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.SendOnly',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'send-only',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain', 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode', 
                [], [], 
                '''                Authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('send-only', REFERENCE_CLASS, 'SendOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.SendOnly', 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CircuitType.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2-only':'level_2_only',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CircuitType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CircuitType',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CircuitType.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'circuit-type',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval.CsnpIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval.CsnpIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval.CsnpIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval.CsnpIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval',
            False, 
            [
            _MetaInfoClassMember('csnp-interval-list', REFERENCE_LIST, 'CsnpIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval.CsnpIntervalList', 
                [], [], 
                '''                ''',
                'csnp_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never pad hello packets if no prefix present
                ''',
                'always',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello packets
                ''',
                'padding',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-list', REFERENCE_LIST, 'HelloIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList', 
                [], [], 
                '''                ''',
                'hello_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier.HelloMultiplierList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier.HelloMultiplierList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier-list', REFERENCE_LIST, 'HelloMultiplierList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier.HelloMultiplierList', 
                [], [], 
                '''                ''',
                'hello_multiplier_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IPv6 route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password.PasswordList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password.PasswordList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password.PasswordList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password.PasswordList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password-list', REFERENCE_LIST, 'PasswordList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password.PasswordList', 
                [], [], 
                '''                ''',
                'password_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority.PriorityList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority.PriorityList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority.PriorityList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority.PriorityList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-list', REFERENCE_LIST, 'PriorityList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority.PriorityList', 
                [], [], 
                '''                ''',
                'priority_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ThreeWayHandshake.ImplementorEnum' : _MetaInfoEnum('ImplementorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco':'cisco',
            'ietf':'ietf',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ThreeWayHandshake' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ThreeWayHandshake',
            False, 
            [
            _MetaInfoClassMember('implementor', REFERENCE_ENUM_CLASS, 'ImplementorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ThreeWayHandshake.ImplementorEnum', 
                [], [], 
                '''                ''',
                'implementor',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'three-way-handshake',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.MeshGroupEnum' : _MetaInfoEnum('MeshGroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'blocked':'blocked',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis',
            False, 
            [
            _MetaInfoClassMember('adjacency-filter', REFERENCE_CLASS, 'AdjacencyFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.AdjacencyFilter', 
                [], [], 
                '''                Filter IS-IS adjacencies
                ''',
                'adjacency_filter',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Advertise', 
                [], [], 
                '''                Control addresses advertisements in LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('circuit-type', REFERENCE_CLASS, 'CircuitType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CircuitType', 
                [], [], 
                '''                Configure circuit type for interface
                ''',
                'circuit_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('csnp-interval', REFERENCE_CLASS, 'CsnpInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval', 
                [], [], 
                '''                Set CSNP interval in seconds
                ''',
                'csnp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello', 
                [], [], 
                '''                Add padding to IS-IS hello packets
                ''',
                'hello',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval', 
                [], [], 
                '''                Set Hello interval in seconds
                ''',
                'hello_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-multiplier', REFERENCE_CLASS, 'HelloMultiplier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier', 
                [], [], 
                '''                Set multiplier for Hello holding time
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6', 
                [], [], 
                '''                IPv6 interface configuration
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set LSP transmission interval
                ''',
                'lsp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mesh-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set ISIS mesh group
                ''',
                'mesh_group',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('mesh-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('mesh-group', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum', 
                        [], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password', 
                [], [], 
                '''                Configure the authentication password for interface
                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority', 
                [], [], 
                '''                Set priority for Designated Router election
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ProtocolEnum', 
                [], [], 
                '''                Set ISIS protocol's state under current interface
                ''',
                'protocol',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set per-LSP retransmission interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-throttle-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set interface LSP retransmission interval
                ''',
                'retransmit_throttle_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IP route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('three-way-handshake', REFERENCE_CLASS, 'ThreeWayHandshake' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ThreeWayHandshake', 
                [], [], 
                '''                Select Cisco or IETF three-way handshake
                ''',
                'three_way_handshake',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.AcceptRegister' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.AcceptRegister',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'accept-register',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.QueryInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.QueryInterval',
            False, 
            [
            _MetaInfoClassMember('milliseconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '65535')], [], 
                '''                ''',
                'milliseconds_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Query interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('seconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '18725')], [], 
                '''                ''',
                'seconds_interval',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'query-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.SparseModeEnum' : _MetaInfoEnum('SparseModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sparse-dense-mode':'sparse_dense_mode',
            'sparse-mode':'sparse_mode',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.SptThresholdEnum' : _MetaInfoEnum('SptThresholdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim',
            False, 
            [
            _MetaInfoClassMember('accept-register', REFERENCE_CLASS, 'AcceptRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.AcceptRegister', 
                [], [], 
                '''                ''',
                'accept_register',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM router DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('nbma-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable PIM nbma-mode operation
                ''',
                'nbma_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('query-interval', REFERENCE_CLASS, 'QueryInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.QueryInterval', 
                [], [], 
                '''                PIM router query interval
                ''',
                'query_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sparse-mode', REFERENCE_ENUM_CLASS, 'SparseModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.SparseModeEnum', 
                [], [], 
                '''                ''',
                'sparse_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold', REFERENCE_ENUM_CLASS, 'SptThresholdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.SptThresholdEnum', 
                [], [], 
                '''                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Client' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Client',
            False, 
            [
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify hostname to use
                ''',
                'hostname',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.CheckReply' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.CheckReply',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'check-reply',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Subscriber identifier sub option
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.OptionInsert' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.OptionInsert',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option-insert',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.PolicyActionEnum' : _MetaInfoEnum('PolicyActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
            'encapsulate':'encapsulate',
            'keep':'keep',
            'replace':'replace',
        }, 'Cisco-IOS-XE-dhcp', _yang_ns._namespaces['Cisco-IOS-XE-dhcp']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('check-reply', REFERENCE_CLASS, 'CheckReply' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.CheckReply', 
                [], [], 
                '''                Validate relay information in BOOTREPLY
                ''',
                'check_reply',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option-insert', REFERENCE_CLASS, 'OptionInsert' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.OptionInsert', 
                [], [], 
                '''                Insert relay information in BOOTREQUEST
                ''',
                'option_insert',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('policy-action', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.PolicyActionEnum', 
                [], [], 
                '''                Define reforwarding policy
                ''',
                'policy_action',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Received DHCP packet may contain relay info option with zero giaddr
                ''',
                'trusted',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set source interface for relayed messages
                ''',
                'source_interface',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP Snooping limit
                ''',
                'rate',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType.CircuitId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [(3, 63)], [], 
                '''                User defined string for circuit id
                ''',
                'string',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType',
            False, 
            [
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType.CircuitId', 
                [], [], 
                '''                Circuit id option 82 format
                ''',
                'circuit_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'format-type',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option',
            False, 
            [
            _MetaInfoClassMember('format-type', REFERENCE_CLASS, 'FormatType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType', 
                [], [], 
                '''                Option 82 information format
                ''',
                'format_type',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option', 
                [], [], 
                '''                DHCP Snooping information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information', 
                [], [], 
                '''                DHCP Snooping information
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP Snooping trust config
                ''',
                'trust',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_', 
                [], [], 
                '''                DHCP Snooping vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-dhcp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-dhcp',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Client', 
                [], [], 
                '''                DHCP client configuration
                ''',
                'client',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay configuration parameters
                ''',
                'relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum' : _MetaInfoEnum('Ipv4Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar.ProtocolDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar.ProtocolDiscovery',
            False, 
            [
            _MetaInfoClassMember('ipv4-ipv6', REFERENCE_ENUM_CLASS, 'Ipv4Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum', 
                [], [], 
                '''                ''',
                'ipv4_ipv6',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'protocol-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar',
            False, 
            [
            _MetaInfoClassMember('protocol-discovery', REFERENCE_CLASS, 'ProtocolDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar.ProtocolDiscovery', 
                [], [], 
                '''                Enable protocol discovery for both ipv4 and ipv6
                ''',
                'protocol_discovery',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'nbar',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nbar', REFERENCE_CLASS, 'Nbar' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar', 
                [], [], 
                '''                Network-Based Application Recognition
                ''',
                'nbar',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Server',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Preference
                ''',
                'preference',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Guard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Guard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature DHCP Guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'guard',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp',
            False, 
            [
            _MetaInfoClassMember('guard', REFERENCE_CLASS, 'Guard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Guard', 
                [], [], 
                '''                Configure IPv6 DHCP guard on the interface
                ''',
                'guard',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Server', 
                [], [], 
                '''                Act as an IPv6 DHCP server
                ''',
                'server',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.NoPim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.NoPim',
            False, 
            [
            _MetaInfoClassMember('pim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'no-pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim.Bsr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim.Bsr',
            False, 
            [
            _MetaInfoClassMember('border', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Border of PIM BSR domain
                ''',
                'border',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim.Bsr', 
                [], [], 
                '''                Configure BSR
                ''',
                'bsr',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Hello DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-pim', REFERENCE_CLASS, 'NoPim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.NoPim', 
                [], [], 
                '''                ''',
                'no_pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Cisco-IOS-XE-interfaces_pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Crypto.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Crypto.Map',
            False, 
            [
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                enable redundancy
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('stateful', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable stateful failover
                ''',
                'stateful',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Crypto.Ipsec.DfBitEnum' : _MetaInfoEnum('DfBitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Vlan.Crypto.Ipsec.FragmentationEnum' : _MetaInfoEnum('FragmentationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'after-encryption':'after_encryption',
            'before-encryption':'before_encryption',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Vlan.Crypto.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Crypto.Ipsec',
            False, 
            [
            _MetaInfoClassMember('df-bit', REFERENCE_ENUM_CLASS, 'DfBitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Crypto.Ipsec.DfBitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'df_bit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_ENUM_CLASS, 'FragmentationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Crypto.Ipsec.FragmentationEnum', 
                [], [], 
                '''                Handling of fragmentation of near-MTU sized packets
                ''',
                'fragmentation',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Crypto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Crypto',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Crypto.Ipsec', 
                [], [], 
                '''                Set IPSec parameters
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Crypto.Map', 
                [], [], 
                '''                Assign a Crypto Map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crypto',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts.Manual.Policy.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts.Manual.Policy.Static',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('2', '65519')], [], 
                '''                Source Security Group Tag to apply to untagged or non-trusted incoming traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Source Group Tags (SGT) that the peer uses for sending
                ''',
                'trusted',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts.Manual.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts.Manual.Policy',
            False, 
            [
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts.Manual.Policy.Static', 
                [], [], 
                '''                Configure policy to be applied on the link
                ''',
                'static',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac',
            False, 
            [
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encapsulation present, no authentication, 
                     no encryption
                ''',
                'null',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gcm-encrypt',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'no-encap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', REFERENCE_CLASS, 'GcmEncrypt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt', 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('no-encap', REFERENCE_CLASS, 'NoEncap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap', 
                [], [], 
                '''                No encapsulation
                ''',
                'no_encap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'mode-list',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts.Manual.Sap.Pmk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts.Manual.Sap.Pmk',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('mode-list', REFERENCE_CLASS, 'ModeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList', 
                [], [], 
                '''                List of advertised modes (prioritized from highest to lowest)
                ''',
                'mode_list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'pmk',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts.Manual.Sap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts.Manual.Sap',
            False, 
            [
            _MetaInfoClassMember('pmk', REFERENCE_LIST, 'Pmk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts.Manual.Sap.Pmk', 
                [], [], 
                '''                Pre-Master Key (PMK) to use for CTS SAP
                ''',
                'pmk',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts.Manual.Propagate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts.Manual.Propagate',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CTS SGT Propagation configuration
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'propagate',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts.Manual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts.Manual',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts.Manual.Policy', 
                [], [], 
                '''                CTS policy for manual mode
                ''',
                'policy',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('propagate', REFERENCE_CLASS, 'Propagate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts.Manual.Propagate', 
                [], [], 
                '''                CTS SGT Propagation configuration for manual mode
                ''',
                'propagate',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sap', REFERENCE_CLASS, 'Sap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts.Manual.Sap', 
                [], [], 
                '''                CTS SAP configuration for manual mode
                ''',
                'sap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'manual',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Cts',
            False, 
            [
            _MetaInfoClassMember('manual', REFERENCE_CLASS, 'Manual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts.Manual', 
                [], [], 
                '''                Supply local configuration for CTS parameters
                ''',
                'manual',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Lisp.Mobility.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Lisp.Mobility.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('dynamic-eid-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dynamic_eid_name',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nbr-proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Neighbor proxy reply behavior for dynamic EID group
                ''',
                'nbr_proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '5')], [], 
                '''                Send neighbor proxy reply after reaching request threshold
                ''',
                'requests',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Lisp.Mobility.Discover' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Lisp.Mobility.Discover',
            False, 
            [
            _MetaInfoClassMember('arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic EID discover through ARP events on this interface
                ''',
                'arp',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'discover',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Lisp.Mobility.Liveness' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Lisp.Mobility.Liveness',
            False, 
            [
            _MetaInfoClassMember('test', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform liveness test on dynamic-EID discovered on this interface
                ''',
                'test',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('2', '255')], [], 
                '''                Configures the TTL in the liveness test packet
                ''',
                'ttl',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'liveness',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Lisp.Mobility' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Lisp.Mobility',
            False, 
            [
            _MetaInfoClassMember('discover', REFERENCE_CLASS, 'Discover' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Lisp.Mobility.Discover', 
                [], [], 
                '''                Configure mobility dynamic EID discover settings
                ''',
                'discover',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_CLASS, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Lisp.Mobility.DynamicEid', 
                [], [], 
                '''                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('liveness', REFERENCE_CLASS, 'Liveness' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Lisp.Mobility.Liveness', 
                [], [], 
                '''                Configure mobility liveness settings
                ''',
                'liveness',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mobility',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Lisp',
            False, 
            [
            _MetaInfoClassMember('extended-subnet-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures to enable extended subnet mode on the interface
                ''',
                'extended_subnet_mode',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mobility', REFERENCE_CLASS, 'Mobility' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Lisp.Mobility', 
                [], [], 
                '''                Configures to allow EID mobility on interface
                ''',
                'mobility',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('mapping', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the private VLAN SVI interface mapping
                ''',
                'mapping',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Vrrp.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Vrrp.Ip',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                VRRP group IP address
                ''',
                'ipv4',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Vrrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Vrrp',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('ip', REFERENCE_LIST, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Vrrp.Ip', 
                [], [], 
                '''                Enable Virtual Router Redundancy Protocol (VRRP) for IP
                ''',
                'ip',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'vrrp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Number of seconds for minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Forwarder' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Forwarder',
            False, 
            [
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt', 
                [], [], 
                '''                Overthrow lower priority active forwarders
                ''',
                'preempt',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'forwarder',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Ip.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Ip.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Virtual IP address
                ''',
                'ipv4',
                'Cisco-IOS-XE-vlan', True),
            ],
            'Cisco-IOS-XE-vlan',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Ip',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Ip.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Number of seconds for minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Weighting.Value' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Weighting.Value',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('lower', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                ''',
                'lower',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('upper', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                ''',
                'upper',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'value',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Weighting.Track.Range_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Weighting.Track.Range_',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Tracked object
                ''',
                'range',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Decrement value
                ''',
                'decrement',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Weighting.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Weighting.Track',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Weighting.Track.Range_', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Weighting' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Weighting',
            False, 
            [
            _MetaInfoClassMember('track', REFERENCE_CLASS, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Weighting.Track', 
                [], [], 
                '''                Interface tracking
                ''',
                'track',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('value', REFERENCE_LIST, 'Value' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Weighting.Value', 
                [], [], 
                '''                Weighting maximum value
                ''',
                'value',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'weighting',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Timers.Msec.Range_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Timers.Msec.Range_',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('50', '60000')], [], 
                '''                Hello interval in milliseconds
                ''',
                'range',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('range0', ATTRIBUTE, 'int' , None, None, 
                [('1', '180')], [], 
                '''                Hold time in seconds
                ''',
                'range0',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Timers.Msec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Timers.Msec',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Timers.Msec.Range_', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'msec',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range.Timers',
            False, 
            [
            _MetaInfoClassMember('msec', REFERENCE_CLASS, 'Msec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Timers.Msec', 
                [], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp.Range' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '1023')], [], 
                '''                Group number
                ''',
                'range',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('forwarder', REFERENCE_CLASS, 'Forwarder' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Forwarder', 
                [], [], 
                '''                Forwarder configuration
                ''',
                'forwarder',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Ip', 
                [], [], 
                '''                Enable group and set virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name
                ''',
                'name',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Preempt', 
                [], [], 
                '''                Overthrow lower priority designated routers
                ''',
                'preempt',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Priority value
                ''',
                'priority',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Timers', 
                [], [], 
                '''                Adjust GLBP timers
                ''',
                'timers',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('weighting', REFERENCE_CLASS, 'Weighting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range.Weighting', 
                [], [], 
                '''                Gateway weighting and tracking
                ''',
                'weighting',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Glbp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Glbp',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'glbp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_arp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-vlan', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-vlan', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-vlan', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-vlan', False),
                ]),
            ],
            'Cisco-IOS-XE-vlan',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-vlan', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-vlan', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-vlan', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-vlan', False),
                ]),
            ],
            'Cisco-IOS-XE-vlan',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_backup',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-vlan',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-vlan',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_isis',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_domain',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-vlan', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-vlan', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-vlan', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-vlan', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-vlan', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-vlan', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-vlan', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-vlan', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-vlan',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-vlan',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-vlan',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-vlan', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-vlan', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_ip',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-vlan',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-vlan',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_logging',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_mop',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-vlan', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-vlan', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-vlan', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_standby',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_trust',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_utd',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-vlan', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-vlan', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-vlan', False, max_elements=8),
            ],
            'Cisco-IOS-XE-vlan',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_peer',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-vlan', False),
            ],
            'Cisco-IOS-XE-vlan',
            'Cisco-IOS-XE-interfaces_pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-vlan'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.ZoneMember' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan.ZoneMember',
            False, 
            [
            _MetaInfoClassMember('security', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Security zone
                ''',
                'security',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-zone',
            'zone-member',
            _yang_ns._namespaces['Cisco-IOS-XE-zone'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vlan.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_access-session', REFERENCE_CLASS, 'CiscoIosXeInterfaces_AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'cisco_ios_xe_interfaces_access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_access-session', REFERENCE_CLASS, 'CiscoIosXeInterfaces_AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'cisco_ios_xe_interfaces_access_session',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_arp', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'cisco_ios_xe_interfaces_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_arp', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'cisco_ios_xe_interfaces_arp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_backup', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'cisco_ios_xe_interfaces_backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_backup', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'cisco_ios_xe_interfaces_backup',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_bandwidth', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'cisco_ios_xe_interfaces_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_bandwidth', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'cisco_ios_xe_interfaces_bandwidth',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_bfd', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'cisco_ios_xe_interfaces_bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_bfd', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'cisco_ios_xe_interfaces_bfd',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_cemoudp', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cisco_ios_xe_interfaces_cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_cemoudp', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cisco_ios_xe_interfaces_cemoudp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_cws-tunnel', REFERENCE_CLASS, 'CiscoIosXeInterfaces_CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cisco_ios_xe_interfaces_cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_cws-tunnel', REFERENCE_CLASS, 'CiscoIosXeInterfaces_CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cisco_ios_xe_interfaces_cws_tunnel',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_dampening', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'cisco_ios_xe_interfaces_dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_dampening', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'cisco_ios_xe_interfaces_dampening',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'cisco_ios_xe_interfaces_delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'cisco_ios_xe_interfaces_delay_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'cisco_ios_xe_interfaces_description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'cisco_ios_xe_interfaces_description_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_domain', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'cisco_ios_xe_interfaces_domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_domain', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'cisco_ios_xe_interfaces_domain',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_encapsulation', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'cisco_ios_xe_interfaces_encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_encapsulation', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'cisco_ios_xe_interfaces_encapsulation',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_fair-queue', REFERENCE_CLASS, 'CiscoIosXeInterfaces_FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'cisco_ios_xe_interfaces_fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_fair-queue', REFERENCE_CLASS, 'CiscoIosXeInterfaces_FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'cisco_ios_xe_interfaces_fair_queue',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_fair-queue-conf', REFERENCE_CLASS, 'CiscoIosXeInterfaces_FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_fair-queue-conf', REFERENCE_CLASS, 'CiscoIosXeInterfaces_FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_fair_queue_conf',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_flowcontrol', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'cisco_ios_xe_interfaces_flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_flowcontrol', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'cisco_ios_xe_interfaces_flowcontrol',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_hold-queue', REFERENCE_CLASS, 'CiscoIosXeInterfaces_HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'cisco_ios_xe_interfaces_hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_hold-queue', REFERENCE_CLASS, 'CiscoIosXeInterfaces_HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'cisco_ios_xe_interfaces_hold_queue',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.IfStateEnum', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.IfStateEnum', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_if_state_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_interface_qos', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_interface_qos', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_interface_qos',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_ip', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'cisco_ios_xe_interfaces_ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_ip', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'cisco_ios_xe_interfaces_ip',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_ipv6', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'cisco_ios_xe_interfaces_ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_ipv6', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'cisco_ios_xe_interfaces_ipv6',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_isis', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'cisco_ios_xe_interfaces_isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_isis', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'cisco_ios_xe_interfaces_isis',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_l2protocol-tunnel', REFERENCE_CLASS, 'CiscoIosXeInterfaces_L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'cisco_ios_xe_interfaces_l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_l2protocol-tunnel', REFERENCE_CLASS, 'CiscoIosXeInterfaces_L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'cisco_ios_xe_interfaces_l2protocol_tunnel',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'cisco_ios_xe_interfaces_load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'cisco_ios_xe_interfaces_load_interval_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_logging', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'cisco_ios_xe_interfaces_logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_logging', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'cisco_ios_xe_interfaces_logging',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'cisco_ios_xe_interfaces_max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'cisco_ios_xe_interfaces_max_reserved_bandwidth_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_mdix', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'cisco_ios_xe_interfaces_mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_mdix', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'cisco_ios_xe_interfaces_mdix',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_mop', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Mop', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_mop', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Mop', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_mop',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_mpls', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_mpls', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_mpls',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'cisco_ios_xe_interfaces_mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'cisco_ios_xe_interfaces_mtu_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_peer', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'cisco_ios_xe_interfaces_peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_peer', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'cisco_ios_xe_interfaces_peer',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_pm-path', REFERENCE_CLASS, 'CiscoIosXeInterfaces_PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'cisco_ios_xe_interfaces_pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_pm-path', REFERENCE_CLASS, 'CiscoIosXeInterfaces_PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'cisco_ios_xe_interfaces_pm_path',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_priority-queue', REFERENCE_CLASS, 'CiscoIosXeInterfaces_PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'cisco_ios_xe_interfaces_priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_priority-queue', REFERENCE_CLASS, 'CiscoIosXeInterfaces_PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'cisco_ios_xe_interfaces_priority_queue',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_rcv-queue', REFERENCE_CLASS, 'CiscoIosXeInterfaces_RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'cisco_ios_xe_interfaces_rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_rcv-queue', REFERENCE_CLASS, 'CiscoIosXeInterfaces_RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'cisco_ios_xe_interfaces_rcv_queue',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'cisco_ios_xe_interfaces_service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'cisco_ios_xe_interfaces_service_insertion_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'cisco_ios_xe_interfaces_shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'cisco_ios_xe_interfaces_shutdown_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_standby', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'cisco_ios_xe_interfaces_standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_standby', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'cisco_ios_xe_interfaces_standby',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_storm-control', REFERENCE_CLASS, 'CiscoIosXeInterfaces_StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'cisco_ios_xe_interfaces_storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_storm-control', REFERENCE_CLASS, 'CiscoIosXeInterfaces_StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'cisco_ios_xe_interfaces_storm_control',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_switchport', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'cisco_ios_xe_interfaces_switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_switchport', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'cisco_ios_xe_interfaces_switchport',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_switchport-conf', REFERENCE_CLASS, 'CiscoIosXeInterfaces_SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_switchport-conf', REFERENCE_CLASS, 'CiscoIosXeInterfaces_SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf', 
                [], [], 
                '''                ''',
                'cisco_ios_xe_interfaces_switchport_conf',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_trust', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'cisco_ios_xe_interfaces_trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_trust', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'cisco_ios_xe_interfaces_trust',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_utd', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'cisco_ios_xe_interfaces_utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cisco-IOS-XE-interfaces_utd', REFERENCE_CLASS, 'CiscoIosXeInterfaces_Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.CiscoIosXeInterfaces_Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'cisco_ios_xe_interfaces_utd',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('crypto', REFERENCE_CLASS, 'Crypto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Crypto', 
                [], [], 
                '''                Encryption/Decryption commands
                ''',
                'crypto',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Cts', 
                [], [], 
                '''                Configure Cisco Trusted Security
                ''',
                'cts',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('glbp', REFERENCE_CLASS, 'Glbp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Glbp', 
                [], [], 
                '''                Gateway Load Balancing Protocol interface commands
                ''',
                'glbp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive_',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.PrivateVlan', 
                [], [], 
                '''                Configure private VLAN SVI interface settings
                ''',
                'private_vlan',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('vrrp', REFERENCE_LIST, 'Vrrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.Vrrp', 
                [], [], 
                '''                ''',
                'vrrp',
                'Cisco-IOS-XE-vlan', False),
            _MetaInfoClassMember('zone-member', REFERENCE_CLASS, 'ZoneMember' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan.ZoneMember', 
                [], [], 
                '''                Apply zone name
                ''',
                'zone_member',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-native',
            'Vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.GroupAsync.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.PhysicalLayerEnum' : _MetaInfoEnum('PhysicalLayerEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'async':'async',
            'sync':'sync',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.GroupAsync' : {
        'meta_info' : _MetaInfoClass('Native.Interface.GroupAsync',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('0', '64')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('physical-layer', REFERENCE_ENUM_CLASS, 'PhysicalLayerEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.PhysicalLayerEnum', 
                [], [], 
                '''                Configure sync or async physical layer on serial interface
                ''',
                'physical_layer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Group-Async',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ppp.Chap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ppp.Chap',
            False, 
            [
            _MetaInfoClassMember('challenge-length', ATTRIBUTE, 'int' , None, None, 
                [('16', '63')], [], 
                '''                Challenge Length for CHAP
                ''',
                'challenge_length',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set alternate CHAP hostname
                ''',
                'hostname',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'chap',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ppp.Authentication.MethodEnum' : _MetaInfoEnum('MethodEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'chap':'chap',
            'eap':'eap',
            'ms-chap':'ms_chap',
            'ms-chap-v2':'ms_chap_v2',
            'pap':'pap',
        }, 'Cisco-IOS-XE-ppp', _yang_ns._namespaces['Cisco-IOS-XE-ppp']),
    'Native.Interface.Multilink.Ppp.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ppp.Authentication',
            False, 
            [
            _MetaInfoClassMember('callback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authenticate remote on callback only
                ''',
                'callback',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('callin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authenticate remote on incoming call only
                ''',
                'callin',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('callout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authenticate remote on outgoing call only
                ''',
                'callout',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('chap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'chap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use the default authentication list
                ''',
                'default',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('eap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Extensible Authentication Protocol (EAP)
                ''',
                'eap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list_name',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('method', REFERENCE_ENUM_CLASS, 'MethodEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp.Authentication.MethodEnum', 
                [], [], 
                '''                ''',
                'method',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('ms-chap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microsoft Challenge Handshake Authentication Protocol (MS-CHAP)
                ''',
                'ms_chap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('ms-chap-v2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microsoft CHAP Version 2 (MS-CHAP-V2)
                ''',
                'ms_chap_v2',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('one-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow use of username*OTP for one-time passwords
                ''',
                'one_time',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('optional', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow peer to refuse to authenticate
                ''',
                'optional',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('pap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Password Authentication Protocol (PAP)
                ''',
                'pap',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ppp.Ipcp.Dns' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ppp.Ipcp.Dns',
            False, 
            [
            _MetaInfoClassMember('primary', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'dns',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ppp.Ipcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ppp.Ipcp',
            False, 
            [
            _MetaInfoClassMember('dns', REFERENCE_CLASS, 'Dns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp.Ipcp.Dns', 
                [], [], 
                '''                Specify DNS negotiation options
                ''',
                'dns',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'ipcp',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ppp.Multilink_.Links.Minimum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ppp.Multilink_.Links.Minimum',
            False, 
            [
            _MetaInfoClassMember('mandatory', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable network layer until minimum number of links is reach
                ''',
                'mandatory',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('minimum-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'minimum_value',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'minimum',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ppp.Multilink_.Links' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ppp.Multilink_.Links',
            False, 
            [
            _MetaInfoClassMember('minimum', REFERENCE_CLASS, 'Minimum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp.Multilink_.Links.Minimum', 
                [], [], 
                '''                Minimum number of links desired in the bundle
                ''',
                'minimum',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'links',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ppp.Multilink_.Endpoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ppp.Multilink_.Endpoint',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use specified string
                ''',
                'string',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'endpoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ppp.Multilink_.Fragment.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ppp.Multilink_.Fragment.Delay',
            False, 
            [
            _MetaInfoClassMember('additional-delay-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '999')], [], 
                '''                ''',
                'additional_delay_value',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('delay-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                ''',
                'delay_value',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ppp.Multilink_.Fragment' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ppp.Multilink_.Fragment',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp.Multilink_.Fragment.Delay', 
                [], [], 
                '''                Specify the maximum delay for each fragment
                ''',
                'delay',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'fragment',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ppp.Multilink_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ppp.Multilink_',
            False, 
            [
            _MetaInfoClassMember('endpoint', REFERENCE_CLASS, 'Endpoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp.Multilink_.Endpoint', 
                [], [], 
                '''                Configure the local Endpoint Discriminator
                ''',
                'endpoint',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('fragment', REFERENCE_CLASS, 'Fragment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp.Multilink_.Fragment', 
                [], [], 
                '''                Specify fragmentation parameters
                ''',
                'fragment',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Put interface in a multilink bundle
                ''',
                'group',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('links', REFERENCE_CLASS, 'Links' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp.Multilink_.Links', 
                [], [], 
                '''                Specify the limits on the number of links in a bundle
                ''',
                'links',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'multilink',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.Ppp.AccountingEnum' : _MetaInfoEnum('AccountingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-ppp', _yang_ns._namespaces['Cisco-IOS-XE-ppp']),
    'Native.Interface.Multilink.Ppp.AuthorizationEnum' : _MetaInfoEnum('AuthorizationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-ppp', _yang_ns._namespaces['Cisco-IOS-XE-ppp']),
    'Native.Interface.Multilink.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink.Ppp',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set PPP network accounting method
                ''',
                'accounting',
                'Cisco-IOS-XE-ppp', False, [
                    _MetaInfoClassMember('accounting', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Set PPP network accounting method
                        ''',
                        'accounting',
                        'Cisco-IOS-XE-ppp', False),
                    _MetaInfoClassMember('accounting', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Ppp.AccountingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.AccountingEnum', 
                        [], [], 
                        '''                        Set PPP network accounting method
                        ''',
                        'accounting',
                        'Cisco-IOS-XE-ppp', False),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp.Authentication', 
                [], [], 
                '''                Set PPP link authentication method
                ''',
                'authentication',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('authorization', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set PPP network authorization method
                ''',
                'authorization',
                'Cisco-IOS-XE-ppp', False, [
                    _MetaInfoClassMember('authorization', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Set PPP network authorization method
                        ''',
                        'authorization',
                        'Cisco-IOS-XE-ppp', False),
                    _MetaInfoClassMember('authorization', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Ppp.AuthorizationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.AuthorizationEnum', 
                        [], [], 
                        '''                        Set PPP network authorization method
                        ''',
                        'authorization',
                        'Cisco-IOS-XE-ppp', False),
                ]),
            _MetaInfoClassMember('chap', REFERENCE_CLASS, 'Chap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp.Chap', 
                [], [], 
                '''                Set CHAP authentication parameters
                ''',
                'chap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('ipcp', REFERENCE_CLASS, 'Ipcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp.Ipcp', 
                [], [], 
                '''                Set IPCP negotiation options
                ''',
                'ipcp',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('multilink', REFERENCE_CLASS, 'Multilink_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp.Multilink_', 
                [], [], 
                '''                Make interface multilink capable
                ''',
                'multilink',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Multilink.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Multilink' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Multilink',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Ppp', 
                [], [], 
                '''                Point-to-Point Protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Multilink',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ppp.Chap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ppp.Chap',
            False, 
            [
            _MetaInfoClassMember('challenge-length', ATTRIBUTE, 'int' , None, None, 
                [('16', '63')], [], 
                '''                Challenge Length for CHAP
                ''',
                'challenge_length',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set alternate CHAP hostname
                ''',
                'hostname',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'chap',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ppp.Authentication.MethodEnum' : _MetaInfoEnum('MethodEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'chap':'chap',
            'eap':'eap',
            'ms-chap':'ms_chap',
            'ms-chap-v2':'ms_chap_v2',
            'pap':'pap',
        }, 'Cisco-IOS-XE-ppp', _yang_ns._namespaces['Cisco-IOS-XE-ppp']),
    'Native.Interface.Serial.Ppp.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ppp.Authentication',
            False, 
            [
            _MetaInfoClassMember('callback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authenticate remote on callback only
                ''',
                'callback',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('callin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authenticate remote on incoming call only
                ''',
                'callin',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('callout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authenticate remote on outgoing call only
                ''',
                'callout',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('chap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'chap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use the default authentication list
                ''',
                'default',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('eap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Extensible Authentication Protocol (EAP)
                ''',
                'eap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list_name',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('method', REFERENCE_ENUM_CLASS, 'MethodEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp.Authentication.MethodEnum', 
                [], [], 
                '''                ''',
                'method',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('ms-chap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microsoft Challenge Handshake Authentication Protocol (MS-CHAP)
                ''',
                'ms_chap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('ms-chap-v2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microsoft CHAP Version 2 (MS-CHAP-V2)
                ''',
                'ms_chap_v2',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('one-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow use of username*OTP for one-time passwords
                ''',
                'one_time',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('optional', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow peer to refuse to authenticate
                ''',
                'optional',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('pap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Password Authentication Protocol (PAP)
                ''',
                'pap',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ppp.Ipcp.Dns' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ppp.Ipcp.Dns',
            False, 
            [
            _MetaInfoClassMember('primary', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'dns',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ppp.Ipcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ppp.Ipcp',
            False, 
            [
            _MetaInfoClassMember('dns', REFERENCE_CLASS, 'Dns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp.Ipcp.Dns', 
                [], [], 
                '''                Specify DNS negotiation options
                ''',
                'dns',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'ipcp',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ppp.Multilink.Links.Minimum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ppp.Multilink.Links.Minimum',
            False, 
            [
            _MetaInfoClassMember('mandatory', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable network layer until minimum number of links is reach
                ''',
                'mandatory',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('minimum-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'minimum_value',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'minimum',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ppp.Multilink.Links' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ppp.Multilink.Links',
            False, 
            [
            _MetaInfoClassMember('minimum', REFERENCE_CLASS, 'Minimum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp.Multilink.Links.Minimum', 
                [], [], 
                '''                Minimum number of links desired in the bundle
                ''',
                'minimum',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'links',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ppp.Multilink.Endpoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ppp.Multilink.Endpoint',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use specified string
                ''',
                'string',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'endpoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ppp.Multilink.Fragment.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ppp.Multilink.Fragment.Delay',
            False, 
            [
            _MetaInfoClassMember('additional-delay-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '999')], [], 
                '''                ''',
                'additional_delay_value',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('delay-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                ''',
                'delay_value',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ppp.Multilink.Fragment' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ppp.Multilink.Fragment',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp.Multilink.Fragment.Delay', 
                [], [], 
                '''                Specify the maximum delay for each fragment
                ''',
                'delay',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'fragment',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ppp.Multilink' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ppp.Multilink',
            False, 
            [
            _MetaInfoClassMember('endpoint', REFERENCE_CLASS, 'Endpoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp.Multilink.Endpoint', 
                [], [], 
                '''                Configure the local Endpoint Discriminator
                ''',
                'endpoint',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('fragment', REFERENCE_CLASS, 'Fragment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp.Multilink.Fragment', 
                [], [], 
                '''                Specify fragmentation parameters
                ''',
                'fragment',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Put interface in a multilink bundle
                ''',
                'group',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('links', REFERENCE_CLASS, 'Links' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp.Multilink.Links', 
                [], [], 
                '''                Specify the limits on the number of links in a bundle
                ''',
                'links',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'multilink',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.Ppp.AccountingEnum' : _MetaInfoEnum('AccountingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-ppp', _yang_ns._namespaces['Cisco-IOS-XE-ppp']),
    'Native.Interface.Serial.Ppp.AuthorizationEnum' : _MetaInfoEnum('AuthorizationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-ppp', _yang_ns._namespaces['Cisco-IOS-XE-ppp']),
    'Native.Interface.Serial.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial.Ppp',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set PPP network accounting method
                ''',
                'accounting',
                'Cisco-IOS-XE-ppp', False, [
                    _MetaInfoClassMember('accounting', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Set PPP network accounting method
                        ''',
                        'accounting',
                        'Cisco-IOS-XE-ppp', False),
                    _MetaInfoClassMember('accounting', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Ppp.AccountingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.AccountingEnum', 
                        [], [], 
                        '''                        Set PPP network accounting method
                        ''',
                        'accounting',
                        'Cisco-IOS-XE-ppp', False),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp.Authentication', 
                [], [], 
                '''                Set PPP link authentication method
                ''',
                'authentication',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('authorization', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set PPP network authorization method
                ''',
                'authorization',
                'Cisco-IOS-XE-ppp', False, [
                    _MetaInfoClassMember('authorization', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Set PPP network authorization method
                        ''',
                        'authorization',
                        'Cisco-IOS-XE-ppp', False),
                    _MetaInfoClassMember('authorization', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Ppp.AuthorizationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.AuthorizationEnum', 
                        [], [], 
                        '''                        Set PPP network authorization method
                        ''',
                        'authorization',
                        'Cisco-IOS-XE-ppp', False),
                ]),
            _MetaInfoClassMember('chap', REFERENCE_CLASS, 'Chap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp.Chap', 
                [], [], 
                '''                Set CHAP authentication parameters
                ''',
                'chap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('ipcp', REFERENCE_CLASS, 'Ipcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp.Ipcp', 
                [], [], 
                '''                Set IPCP negotiation options
                ''',
                'ipcp',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('multilink', REFERENCE_CLASS, 'Multilink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp.Multilink', 
                [], [], 
                '''                Make interface multilink capable
                ''',
                'multilink',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Serial.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Serial' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Serial',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9])+/([0-9])+/([0-9])+\\.([0-9])+/([0-9])+/([0-9])+/([0-9])+:([0-9])'], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Ppp', 
                [], [], 
                '''                Point-to-Point Protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Serial',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.AdjacencyFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.AdjacencyFilter',
            False, 
            [
            _MetaInfoClassMember('match-all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match all area addresses
                ''',
                'match_all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'adjacency-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Advertise',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interface IP address
                ''',
                'prefix',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Authentication.Mode.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Authentication.Mode.Md5',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Authentication.Mode.Text' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Authentication.Mode.Text',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'text',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Authentication.Mode.Md5', 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('text', REFERENCE_CLASS, 'Text' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Authentication.Mode.Text', 
                [], [], 
                '''                Clear text password
                ''',
                'text',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Authentication.KeyChain.KeyChainList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Authentication.KeyChain.KeyChainList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('key-chain-list', REFERENCE_LIST, 'KeyChainList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Authentication.KeyChain.KeyChainList', 
                [], [], 
                '''                ''',
                'key_chain_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Authentication.SendOnly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Authentication.SendOnly',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'send-only',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Authentication.KeyChain', 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Authentication.Mode', 
                [], [], 
                '''                Authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('send-only', REFERENCE_CLASS, 'SendOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Authentication.SendOnly', 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.CircuitType.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2-only':'level_2_only',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.CircuitType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.CircuitType',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.CircuitType.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'circuit-type',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.CsnpInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.CsnpInterval',
            False, 
            [
            _MetaInfoClassMember('csnp-interval-list', REFERENCE_LIST, 'CsnpIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList', 
                [], [], 
                '''                ''',
                'csnp_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never pad hello packets if no prefix present
                ''',
                'always',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello packets
                ''',
                'padding',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.HelloInterval.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-list', REFERENCE_LIST, 'HelloIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList', 
                [], [], 
                '''                ''',
                'hello_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.HelloMultiplier' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.HelloMultiplier',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier-list', REFERENCE_LIST, 'HelloMultiplierList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList', 
                [], [], 
                '''                ''',
                'hello_multiplier_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Ipv6.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.Ipv6.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Ipv6.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Ipv6',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Ipv6.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IPv6 route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Password.PasswordList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.Password.PasswordList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Password.PasswordList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Password.PasswordList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Password' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Password',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password-list', REFERENCE_LIST, 'PasswordList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Password.PasswordList', 
                [], [], 
                '''                ''',
                'password_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Priority.PriorityList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.Priority.PriorityList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Priority.PriorityList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Priority.PriorityList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-list', REFERENCE_LIST, 'PriorityList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Priority.PriorityList', 
                [], [], 
                '''                ''',
                'priority_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.ThreeWayHandshake.ImplementorEnum' : _MetaInfoEnum('ImplementorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco':'cisco',
            'ietf':'ietf',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.ThreeWayHandshake' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis.ThreeWayHandshake',
            False, 
            [
            _MetaInfoClassMember('implementor', REFERENCE_ENUM_CLASS, 'ImplementorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.ThreeWayHandshake.ImplementorEnum', 
                [], [], 
                '''                ''',
                'implementor',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'three-way-handshake',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Isis.MeshGroupEnum' : _MetaInfoEnum('MeshGroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'blocked':'blocked',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.Tunnel.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Isis',
            False, 
            [
            _MetaInfoClassMember('adjacency-filter', REFERENCE_CLASS, 'AdjacencyFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.AdjacencyFilter', 
                [], [], 
                '''                Filter IS-IS adjacencies
                ''',
                'adjacency_filter',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Advertise', 
                [], [], 
                '''                Control addresses advertisements in LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('circuit-type', REFERENCE_CLASS, 'CircuitType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.CircuitType', 
                [], [], 
                '''                Configure circuit type for interface
                ''',
                'circuit_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('csnp-interval', REFERENCE_CLASS, 'CsnpInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.CsnpInterval', 
                [], [], 
                '''                Set CSNP interval in seconds
                ''',
                'csnp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Hello', 
                [], [], 
                '''                Add padding to IS-IS hello packets
                ''',
                'hello',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.HelloInterval', 
                [], [], 
                '''                Set Hello interval in seconds
                ''',
                'hello_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-multiplier', REFERENCE_CLASS, 'HelloMultiplier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.HelloMultiplier', 
                [], [], 
                '''                Set multiplier for Hello holding time
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Ipv6', 
                [], [], 
                '''                IPv6 interface configuration
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set LSP transmission interval
                ''',
                'lsp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mesh-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set ISIS mesh group
                ''',
                'mesh_group',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('mesh-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('mesh-group', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum', 
                        [], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Password', 
                [], [], 
                '''                Configure the authentication password for interface
                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.Priority', 
                [], [], 
                '''                Set priority for Designated Router election
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.ProtocolEnum', 
                [], [], 
                '''                Set ISIS protocol's state under current interface
                ''',
                'protocol',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set per-LSP retransmission interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-throttle-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set interface LSP retransmission interval
                ''',
                'retransmit_throttle_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IP route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('three-way-handshake', REFERENCE_CLASS, 'ThreeWayHandshake' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis.ThreeWayHandshake', 
                [], [], 
                '''                Select Cisco or IETF three-way handshake
                ''',
                'three_way_handshake',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Bfd.Interval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Bfd.Interval',
            False, 
            [
            _MetaInfoClassMember('min_rx', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                Minimum receive interval capability
                ''',
                'min_rx',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('msecs', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                ''',
                'msecs',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('3', '50')], [], 
                '''                Multiplier value used to compute holddown
                ''',
                'multiplier',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'interval',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Bfd',
            False, 
            [
            _MetaInfoClassMember('echo', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use echo adjunct as bfd detection mechanism
                ''',
                'echo',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('interval', REFERENCE_CLASS, 'Interval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Bfd.Interval', 
                [], [], 
                '''                Transmit interval between BFD packets
                ''',
                'interval',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD template
                ''',
                'template',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mpls.Accounting.Experimental' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mpls.Accounting.Experimental',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                received packets
                ''',
                'input',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                transmitted packets
                ''',
                'output',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'experimental',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mpls.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mpls.Accounting',
            False, 
            [
            _MetaInfoClassMember('experimental', REFERENCE_CLASS, 'Experimental' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mpls.Accounting.Experimental', 
                [], [], 
                '''                Count packets by MPLS experimental value on this interface
                ''',
                'experimental',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mpls.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mpls.Bgp',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure MPLS forwarding for directly connected BGP peers
                ''',
                'forwarding',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mpls.Label.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'ldp':'ldp',
            'tdp':'tdp',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Interface.Tunnel.Mpls.Label' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mpls.Label',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mpls.Label.ProtocolEnum', 
                [], [], 
                '''                Configure label/tag distribution protocol (LDP/TDP)
                ''',
                'protocol',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mpls.Ldp.Discovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mpls.Ldp.Discovery',
            False, 
            [
            _MetaInfoClassMember('transport-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify interface LDP transport address
                ''',
                'transport_address',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('transport-address', REFERENCE_ENUM_CLASS, 'LdpDiscoveryAddressTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls', 'LdpDiscoveryAddressTypeEnum', 
                        [], [], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('transport-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Specify interface LDP transport address
                        ''',
                        'transport_address',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mpls.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mpls.Ldp',
            False, 
            [
            _MetaInfoClassMember('discovery', REFERENCE_CLASS, 'Discovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mpls.Ldp.Discovery', 
                [], [], 
                '''                Configure interface LDP Discovery parameters
                ''',
                'discovery',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for decreased resource availability
                ''',
                'down',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('up', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the thresholds for increased resource availability
                ''',
                'up',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'thresholds',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mpls.TrafficEng.Flooding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mpls.TrafficEng.Flooding',
            False, 
            [
            _MetaInfoClassMember('thresholds', REFERENCE_CLASS, 'Thresholds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds', 
                [], [], 
                '''                Set flooding thresholds
                ''',
                'thresholds',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'flooding',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('administrative-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set the administrative weight for the interface
                ''',
                'administrative_weight',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('attribute-flags', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set user-defined interface attibute flags
                ''',
                'attribute_flags',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('backup-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure an MPLS TE backup for this interface
                ''',
                'backup_path',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('flooding', REFERENCE_CLASS, 'Flooding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mpls.TrafficEng.Flooding', 
                [], [], 
                '''                Set flooding parameters
                ''',
                'flooding',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tunnels', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable MPLS Traffic Engineering tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mpls',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mpls.Accounting', 
                [], [], 
                '''                Enable MPLS accounting on this interface
                ''',
                'accounting',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mpls.Bgp', 
                [], [], 
                '''                MPLS BGP
                ''',
                'bgp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic MPLS forwarding for IP
                ''',
                'ip',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mpls.Label', 
                [], [], 
                '''                Label properties
                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mpls.Ldp', 
                [], [], 
                '''                Configure Label Distribution Protocol (LDP) parameters
                ''',
                'ldp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('mtu', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set MPLS Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('1501', '1524')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '1500')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '9216')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mpls.TrafficEng', 
                [], [], 
                '''                Configure Traffic Engineering parameters
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Pim.AcceptRegister' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Pim.AcceptRegister',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'accept-register',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Pim.QueryInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Pim.QueryInterval',
            False, 
            [
            _MetaInfoClassMember('milliseconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '65535')], [], 
                '''                ''',
                'milliseconds_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Query interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('seconds-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '18725')], [], 
                '''                ''',
                'seconds_interval',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'query-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Pim.SparseModeEnum' : _MetaInfoEnum('SparseModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sparse-dense-mode':'sparse_dense_mode',
            'sparse-mode':'sparse_mode',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Tunnel.Ip.Pim.SptThresholdEnum' : _MetaInfoEnum('SptThresholdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'infinity':'infinity',
        }, 'Cisco-IOS-XE-multicast', _yang_ns._namespaces['Cisco-IOS-XE-multicast']),
    'Native.Interface.Tunnel.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Pim',
            False, 
            [
            _MetaInfoClassMember('accept-register', REFERENCE_CLASS, 'AcceptRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Pim.AcceptRegister', 
                [], [], 
                '''                ''',
                'accept_register',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM router DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('nbma-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable PIM nbma-mode operation
                ''',
                'nbma_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('query-interval', REFERENCE_CLASS, 'QueryInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Pim.QueryInterval', 
                [], [], 
                '''                PIM router query interval
                ''',
                'query_interval',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('sparse-mode', REFERENCE_ENUM_CLASS, 'SparseModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Pim.SparseModeEnum', 
                [], [], 
                '''                ''',
                'sparse_mode',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('spt-threshold', REFERENCE_ENUM_CLASS, 'SptThresholdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Pim.SptThresholdEnum', 
                [], [], 
                '''                ''',
                'spt_threshold',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Client' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Client',
            False, 
            [
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify hostname to use
                ''',
                'hostname',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.CheckReply' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.CheckReply',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'check-reply',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Subscriber identifier sub option
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.OptionInsert' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.OptionInsert',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option-insert',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.PolicyActionEnum' : _MetaInfoEnum('PolicyActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
            'encapsulate':'encapsulate',
            'keep':'keep',
            'replace':'replace',
        }, 'Cisco-IOS-XE-dhcp', _yang_ns._namespaces['Cisco-IOS-XE-dhcp']),
    'Native.Interface.Tunnel.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('check-reply', REFERENCE_CLASS, 'CheckReply' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.CheckReply', 
                [], [], 
                '''                Validate relay information in BOOTREPLY
                ''',
                'check_reply',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option-insert', REFERENCE_CLASS, 'OptionInsert' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.OptionInsert', 
                [], [], 
                '''                Insert relay information in BOOTREQUEST
                ''',
                'option_insert',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('policy-action', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.PolicyActionEnum', 
                [], [], 
                '''                Define reforwarding policy
                ''',
                'policy_action',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Received DHCP packet may contain relay info option with zero giaddr
                ''',
                'trusted',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set source interface for relayed messages
                ''',
                'source_interface',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP Snooping limit
                ''',
                'rate',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [(3, 63)], [], 
                '''                User defined string for circuit id
                ''',
                'string',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType',
            False, 
            [
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId', 
                [], [], 
                '''                Circuit id option 82 format
                ''',
                'circuit_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'format-type',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option',
            False, 
            [
            _MetaInfoClassMember('format-type', REFERENCE_CLASS, 'FormatType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType', 
                [], [], 
                '''                Option 82 information format
                ''',
                'format_type',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option', 
                [], [], 
                '''                DHCP Snooping information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information', 
                [], [], 
                '''                DHCP Snooping information
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP Snooping trust config
                ''',
                'trust',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan', 
                [], [], 
                '''                DHCP Snooping vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-dhcp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-dhcp',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Client', 
                [], [], 
                '''                DHCP client configuration
                ''',
                'client',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay configuration parameters
                ''',
                'relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '*':'Y__STAR__',
        }, 'Cisco-IOS-XE-igmp', _yang_ns._namespaces['Cisco-IOS-XE-igmp']),
    'Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-igmp', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum', 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                ]),
            ],
            'Cisco-IOS-XE-igmp',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Igmp.StaticGroup.ClassMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Igmp.StaticGroup.ClassMap',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-igmp', True),
            ],
            'Cisco-IOS-XE-igmp',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Igmp.StaticGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Igmp.StaticGroup',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Igmp.StaticGroup.ClassMap', 
                [], [], 
                '''                Class map of type multicast-flows
                ''',
                'class_map',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('groups', REFERENCE_LIST, 'Groups' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups', 
                [], [], 
                '''                ''',
                'groups',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'static-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Igmp.JoinGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Igmp.JoinGroup',
            False, 
            [
            _MetaInfoClassMember('ip-group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP group address
                ''',
                'ip_group_address',
                'Cisco-IOS-XE-igmp', True),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP source address
                ''',
                'source',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'join-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Igmp',
            False, 
            [
            _MetaInfoClassMember('join-group', REFERENCE_LIST, 'JoinGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Igmp.JoinGroup', 
                [], [], 
                '''                IGMP join multicast group
                ''',
                'join_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('static-group', REFERENCE_CLASS, 'StaticGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Igmp.StaticGroup', 
                [], [], 
                '''                IGMP static multicast group
                ''',
                'static_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Lisp',
            False, 
            [
            _MetaInfoClassMember('source-locator', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Choose IP source address for LISP packets egressing this interface
                ''',
                'source_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum' : _MetaInfoEnum('Ipv4Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XE-nbar', _yang_ns._namespaces['Cisco-IOS-XE-nbar']),
    'Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery',
            False, 
            [
            _MetaInfoClassMember('ipv4-ipv6', REFERENCE_ENUM_CLASS, 'Ipv4Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum', 
                [], [], 
                '''                ''',
                'ipv4_ipv6',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'protocol-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nbar' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nbar',
            False, 
            [
            _MetaInfoClassMember('protocol-discovery', REFERENCE_CLASS, 'ProtocolDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery', 
                [], [], 
                '''                Enable protocol discovery for both ipv4 and ipv6
                ''',
                'protocol_discovery',
                'Cisco-IOS-XE-nbar', False),
            ],
            'Cisco-IOS-XE-nbar',
            'nbar',
            _yang_ns._namespaces['Cisco-IOS-XE-nbar'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set.AttrType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set.AttrType',
            False, 
            [
            _MetaInfoClassMember('attr-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                attribute type
                ''',
                'attr_type',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('attr-val', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                attribute value
                ''',
                'attr_val',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'attr-type',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set',
            False, 
            [
            _MetaInfoClassMember('attr-type', REFERENCE_LIST, 'AttrType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set.AttrType', 
                [], [], 
                '''                ''',
                'attr_type',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Attribute' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Attribute',
            False, 
            [
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set', 
                [], [], 
                '''                attribute set
                ''',
                'set',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Cache',
            False, 
            [
            _MetaInfoClassMember('non-authoritative', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mark cache entries non-authoritative
                ''',
                'non_authoritative',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Interest' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Interest',
            False, 
            [
            _MetaInfoClassMember('acl-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '199')], [], 
                '''                IP access list
                ''',
                'acl_range',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No traffic is interesting.
                ''',
                'none',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'interest',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.NbmaIpv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.NbmaIpv4',
            False, 
            [
            _MetaInfoClassMember('nbma-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP NBMA address
                ''',
                'nbma_ipv4',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'nbma-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.DestMask' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.DestMask',
            False, 
            [
            _MetaInfoClassMember('dest-mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP mask of destination
                ''',
                'dest_mask',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'dest-mask',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4',
            False, 
            [
            _MetaInfoClassMember('dest-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of destination
                ''',
                'dest_ipv4',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('dest-mask', REFERENCE_LIST, 'DestMask' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.DestMask', 
                [], [], 
                '''                ''',
                'dest_mask',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('nbma-ipv4', REFERENCE_LIST, 'NbmaIpv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.NbmaIpv4', 
                [], [], 
                '''                ''',
                'nbma_ipv4',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('nbma-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'nbma_ipv6',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'dest-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Dynamically learn destinations from client registrations on hub
                ''',
                'dynamic',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('nbma_ipv4', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'nbma_ipv4',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('nbma_ipv6', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'nbma_ipv6',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy
                ''',
                'output',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Map.Group' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Map.Group',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy', 
                [], [], 
                '''                ''',
                'service_policy',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Map',
            False, 
            [
            _MetaInfoClassMember('dest-ipv4', REFERENCE_LIST, 'DestIpv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4', 
                [], [], 
                '''                ''',
                'dest_ipv4',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Map.Group', 
                [], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast', 
                [], [], 
                '''                Use this NBMA mapping for broadcasts/multicasts
                ''',
                'multicast',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.MaxSend.PktCount' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.MaxSend.PktCount',
            False, 
            [
            _MetaInfoClassMember('pkt-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Packet count
                ''',
                'pkt_count',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('every', ATTRIBUTE, 'int' , None, None, 
                [('10', '65535')], [], 
                '''                Interval in seconds
                ''',
                'every',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'pkt-count',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.MaxSend' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.MaxSend',
            False, 
            [
            _MetaInfoClassMember('pkt-count', REFERENCE_LIST, 'PktCount' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.MaxSend.PktCount', 
                [], [], 
                '''                ''',
                'pkt_count',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'max-send',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority.Prior' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority.Prior',
            False, 
            [
            _MetaInfoClassMember('prior', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'prior',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'prior',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority',
            False, 
            [
            _MetaInfoClassMember('prior', REFERENCE_LIST, 'Prior' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority.Prior', 
                [], [], 
                '''                ''',
                'prior',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast',
            False, 
            [
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority.Pri' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority.Pri',
            False, 
            [
            _MetaInfoClassMember('pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'pri',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'pri',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority',
            False, 
            [
            _MetaInfoClassMember('pri', REFERENCE_LIST, 'Pri' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority.Pri', 
                [], [], 
                '''                ''',
                'pri',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast', 
                [], [], 
                '''                Use this NBMA mapping for broadcasts/multicasts
                ''',
                'multicast',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority.McPri' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority.McPri',
            False, 
            [
            _MetaInfoClassMember('mc-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'mc_pri',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'mc-pri',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority',
            False, 
            [
            _MetaInfoClassMember('mc-pri', REFERENCE_LIST, 'McPri' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority.McPri', 
                [], [], 
                '''                ''',
                'mc_pri',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast',
            False, 
            [
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority.NhsPri' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority.NhsPri',
            False, 
            [
            _MetaInfoClassMember('nhs-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'nhs_pri',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'nhs-pri',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority',
            False, 
            [
            _MetaInfoClassMember('nhs-pri', REFERENCE_LIST, 'NhsPri' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority.NhsPri', 
                [], [], 
                '''                ''',
                'nhs_pri',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn',
            False, 
            [
            _MetaInfoClassMember('nhs-fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NHS FQDN string
                ''',
                'nhs_fqdn',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast', 
                [], [], 
                '''                Use this NBMA mapping for broadcasts/multicasts
                ''',
                'multicast',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'nhs-fqdn',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority.McPri' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority.McPri',
            False, 
            [
            _MetaInfoClassMember('mc-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'mc_pri',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'mc-pri',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority',
            False, 
            [
            _MetaInfoClassMember('mc-pri', REFERENCE_LIST, 'McPri' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority.McPri', 
                [], [], 
                '''                ''',
                'mc_pri',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast',
            False, 
            [
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority.McPrior' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority.McPrior',
            False, 
            [
            _MetaInfoClassMember('mc-prior', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'mc_prior',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'mc-prior',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority',
            False, 
            [
            _MetaInfoClassMember('mc-prior', REFERENCE_LIST, 'McPrior' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority.McPrior', 
                [], [], 
                '''                ''',
                'mc_prior',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast', 
                [], [], 
                '''                Use this NBMA mapping for broadcasts/multicasts
                ''',
                'multicast',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_LIST, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('nhs-fqdn', REFERENCE_LIST, 'NhsFqdn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn', 
                [], [], 
                '''                ''',
                'nhs_fqdn',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'nbma',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority.PriRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority.PriRange',
            False, 
            [
            _MetaInfoClassMember('pri-range', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'pri_range',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'pri-range',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority',
            False, 
            [
            _MetaInfoClassMember('pri-range', REFERENCE_LIST, 'PriRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority.PriRange', 
                [], [], 
                '''                ''',
                'pri_range',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Protocol IP address of NHS
                ''',
                'ipv4',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('nbma', REFERENCE_CLASS, 'Nbma' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma', 
                [], [], 
                '''                NBMA of NHS
                ''',
                'nbma',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster.ClusNum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster.ClusNum',
            False, 
            [
            _MetaInfoClassMember('clus-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'clus_num',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('max-connections', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Max-connections value
                ''',
                'max_connections',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'clus-num',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster',
            False, 
            [
            _MetaInfoClassMember('clus-num', REFERENCE_LIST, 'ClusNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster.ClusNum', 
                [], [], 
                '''                ''',
                'clus_num',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority.DynPri' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority.DynPri',
            False, 
            [
            _MetaInfoClassMember('dyn-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'dyn_pri',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'dyn-pri',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority',
            False, 
            [
            _MetaInfoClassMember('dyn-pri', REFERENCE_LIST, 'DynPri' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority.DynPri', 
                [], [], 
                '''                ''',
                'dyn_pri',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast',
            False, 
            [
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority.NPrior' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority.NPrior',
            False, 
            [
            _MetaInfoClassMember('n-prior', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'n_prior',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'n-prior',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority',
            False, 
            [
            _MetaInfoClassMember('n-prior', REFERENCE_LIST, 'NPrior' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority.NPrior', 
                [], [], 
                '''                ''',
                'n_prior',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast', 
                [], [], 
                '''                Use this NBMA mapping for broadcasts/multicasts
                ''',
                'multicast',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority.DynMcPri' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority.DynMcPri',
            False, 
            [
            _MetaInfoClassMember('dyn-mc-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'dyn_mc_pri',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'dyn-mc-pri',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority',
            False, 
            [
            _MetaInfoClassMember('dyn-mc-pri', REFERENCE_LIST, 'DynMcPri' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority.DynMcPri', 
                [], [], 
                '''                ''',
                'dyn_mc_pri',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast',
            False, 
            [
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority.Dp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority.Dp',
            False, 
            [
            _MetaInfoClassMember('dp', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'dp',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'dp',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority',
            False, 
            [
            _MetaInfoClassMember('dp', REFERENCE_LIST, 'Dp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority.Dp', 
                [], [], 
                '''                ''',
                'dp',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn',
            False, 
            [
            _MetaInfoClassMember('dyn-fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NHS FQDN string
                ''',
                'dyn_fqdn',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast', 
                [], [], 
                '''                Use this NBMA mapping for broadcasts/multicasts
                ''',
                'multicast',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'dyn-fqdn',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority.V6Pri' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority.V6Pri',
            False, 
            [
            _MetaInfoClassMember('v6-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'v6_pri',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'v6-pri',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority',
            False, 
            [
            _MetaInfoClassMember('v6-pri', REFERENCE_LIST, 'V6Pri' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority.V6Pri', 
                [], [], 
                '''                ''',
                'v6_pri',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast',
            False, 
            [
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority.V6Pri2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority.V6Pri2',
            False, 
            [
            _MetaInfoClassMember('v6-pri2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NHS priority, range = 0 to 255, 0 is the highest
                ''',
                'v6_pri2',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'v6-pri2',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority',
            False, 
            [
            _MetaInfoClassMember('v6-pri2', REFERENCE_LIST, 'V6Pri2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority.V6Pri2', 
                [], [], 
                '''                ''',
                'v6_pri2',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '10')], [], 
                '''                NHS cluster number
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast', 
                [], [], 
                '''                Use this NBMA mapping for broadcasts/multicasts
                ''',
                'multicast',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority', 
                [], [], 
                '''                NHS priority, don't specify for default priority
                ''',
                'priority',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma',
            False, 
            [
            _MetaInfoClassMember('dyn-fqdn', REFERENCE_LIST, 'DynFqdn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn', 
                [], [], 
                '''                ''',
                'dyn_fqdn',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4', 
                [], [], 
                '''                NBMA of NHS
                ''',
                'ipv4',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_LIST, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'nbma',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic',
            False, 
            [
            _MetaInfoClassMember('nbma', REFERENCE_CLASS, 'Nbma' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma', 
                [], [], 
                '''                NBMA of NHS
                ''',
                'nbma',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Nhs' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Nhs',
            False, 
            [
            _MetaInfoClassMember('cluster', REFERENCE_CLASS, 'Cluster' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster', 
                [], [], 
                '''                NHS Redundancy cluster configurations
                ''',
                'cluster',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic', 
                [], [], 
                '''                NHS protocol address dynamically learnt
                ''',
                'dynamic',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('fallback', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                NHS Redundancy Fallback time, 0 -60 seconds
                ''',
                'fallback',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'nhs',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Redirect',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('2', '30')], [], 
                '''                Interval in seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Registration' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Registration',
            False, 
            [
            _MetaInfoClassMember('no-unique', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not set the 'Unique' flag in registration requests.
                ''',
                'no_unique',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Number of seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'registration',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Reject.Reqid' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Reject.Reqid',
            False, 
            [
            _MetaInfoClassMember('reqid', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                reqid value
                ''',
                'reqid',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('rej-secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of seconds
                ''',
                'rej_secs',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'reqid',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Reject' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Reject',
            False, 
            [
            _MetaInfoClassMember('reqid', REFERENCE_LIST, 'Reqid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Reject.Reqid', 
                [], [], 
                '''                ''',
                'reqid',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'reject',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Responder' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Responder',
            False, 
            [
            _MetaInfoClassMember('Analysis-Module', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Analysis-Module interface number
                ''',
                'analysis_module',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('Fcpa', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fcpa interface number
                ''',
                'fcpa',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('res-int', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual ACR interface
                ''',
                'res_int',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('SBC', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                SBC interface number
                ''',
                'sbc',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('Service-Engine', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Service-Engine interface number
                ''',
                'service_engine',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('SONET_ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SONET_ACR interface number
                ''',
                'sonet_acr',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('TB-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Telecom-Bus Clock Controller
                ''',
                'tb_controller',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Tunnel interface number
                ''',
                'tunnel',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('Tunnel-tp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel-tp interface number
                ''',
                'tunnel_tp',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('ucse', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ucse interface number
                ''',
                'ucse',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                vasileft interface number
                ''',
                'vasileft',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                vasiright interface number
                ''',
                'vasiright',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('Virtual-TokenRing', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Virtual-TokenRing interface number
                ''',
                'virtual_tokenring',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '31')], [], 
                '''                VirtualPortGroup interface number
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                Vlan interface number
                ''',
                'vlan',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('VPN', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                VPN interface number
                ''',
                'vpn',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'responder',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.ServerOnly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.ServerOnly',
            False, 
            [
            _MetaInfoClassMember('non-caching', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not create NHRP cache entries
                ''',
                'non_caching',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'server-only',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.Shortcut' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.Shortcut',
            False, 
            [
            _MetaInfoClassMember('virtual-template', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                Virtual template number
                ''',
                'virtual_template',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'shortcut',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc.Kbps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc.Kbps',
            False, 
            [
            _MetaInfoClassMember('kbps', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Trigger rate in kbps
                ''',
                'kbps',
                'Cisco-IOS-XE-nhrp', True),
            _MetaInfoClassMember('tear-kbps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Teardown rate in kbps
                ''',
                'tear_kbps',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'kbps',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc',
            False, 
            [
            _MetaInfoClassMember('kbps', REFERENCE_LIST, 'Kbps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc.Kbps', 
                [], [], 
                '''                ''',
                'kbps',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'trigger-svc',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Nhrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Nhrp',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_CLASS, 'Attribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Attribute', 
                [], [], 
                '''                NHRP attribute set
                ''',
                'attribute',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('authentication', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authentication string
                ''',
                'authentication',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Cache', 
                [], [], 
                '''                NHRP Cache related commands.
                ''',
                'cache',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('connect', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                NHRP event request id
                ''',
                'connect',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Number of seconds
                ''',
                'holdtime',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('interest', REFERENCE_CLASS, 'Interest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Interest', 
                [], [], 
                '''                Specify an access list
                ''',
                'interest',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Map', 
                [], [], 
                '''                Map dest IP addresses to NBMA addresses
                ''',
                'map',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('max-send', REFERENCE_CLASS, 'MaxSend' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.MaxSend', 
                [], [], 
                '''                Rate limit NHRP traffic
                ''',
                'max_send',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('network-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Network identifier
                ''',
                'network_id',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('nhs', REFERENCE_CLASS, 'Nhs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Nhs', 
                [], [], 
                '''                Specify a next hop server
                ''',
                'nhs',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('record', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow NHRP record option
                ''',
                'record',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Redirect', 
                [], [], 
                '''                Enable NHRP redirect traffic indication
                ''',
                'redirect',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('registration', REFERENCE_CLASS, 'Registration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Registration', 
                [], [], 
                '''                Settings for registration packets.
                ''',
                'registration',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('reject', REFERENCE_CLASS, 'Reject' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Reject', 
                [], [], 
                '''                NHRP resolution reject request
                ''',
                'reject',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('responder', REFERENCE_CLASS, 'Responder' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Responder', 
                [], [], 
                '''                Responder interface
                ''',
                'responder',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('server-only', REFERENCE_CLASS, 'ServerOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.ServerOnly', 
                [], [], 
                '''                Disable NHRP requests
                ''',
                'server_only',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('shortcut', REFERENCE_CLASS, 'Shortcut' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.Shortcut', 
                [], [], 
                '''                Enable shortcut switching
                ''',
                'shortcut',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('trigger-svc', REFERENCE_CLASS, 'TriggerSvc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc', 
                [], [], 
                '''                Create NHRP cut-through based on traffic load
                ''',
                'trigger_svc',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('use', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Number of packets to cause NHRP request
                ''',
                'use',
                'Cisco-IOS-XE-nhrp', False),
            ],
            'Cisco-IOS-XE-nhrp',
            'nhrp',
            _yang_ns._namespaces['Cisco-IOS-XE-nhrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not include secondary IP addresses
                ''',
                'none',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('secondaries', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include or exclude secondary IP addresses
                ''',
                'secondaries',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outgoing LSA
                ''',
                'out',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set multiplier for Hellos
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'minimal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('minimal', REFERENCE_CLASS, 'Minimal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal', 
                [], [], 
                '''                Set to 1 second
                ''',
                'minimal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Candidate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Candidate',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'candidate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Protection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LFA FRR interface protection
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix',
            False, 
            [
            _MetaInfoClassMember('candidate', REFERENCE_CLASS, 'Candidate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Candidate', 
                [], [], 
                '''                If interface can be protecting
                ''',
                'candidate',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Protection', 
                [], [], 
                '''                If interface can be protected
                ''',
                'protection',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'per-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.FastReroute',
            False, 
            [
            _MetaInfoClassMember('per-prefix', REFERENCE_CLASS, 'PerPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix', 
                [], [], 
                '''                Per-prefix LFA FRR parameters
                ''',
                'per_prefix',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.Lls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.Lls',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable LLS
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lls',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('diable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable TTL security check
                ''',
                'diable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Ospf.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'broadcast':'broadcast',
            'non-broadcast':'non_broadcast',
            'point-to-multipoint':'point_to_multipoint',
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ip.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.DeadInterval', 
                [], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.FastReroute', 
                [], [], 
                '''                LFA FastReroute parameters
                ''',
                'fast_reroute',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('lls', REFERENCE_CLASS, 'Lls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.Lls', 
                [], [], 
                '''                Link-local Signaling (LLS) support
                ''',
                'lls',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('resync-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which adjacency is reset if oob-resync is not started
                ''',
                'resync_timeout',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set OSPF protocol's state to disable under current interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude inbound packets from outbound redirection
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'exclude',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp.Redirect',
            False, 
            [
            _MetaInfoClassMember('exclude', REFERENCE_CLASS, 'Exclude' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude', 
                [], [], 
                '''                Exclude packets from redirection
                ''',
                'exclude',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip.Wccp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip.Wccp',
            False, 
            [
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp.Redirect', 
                [], [], 
                '''                Set packet redirection options
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp.Vrf', 
                [], [], 
                '''                Configure WCCP for a VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Igmp', 
                [], [], 
                '''                IGMP interface commands
                ''',
                'igmp',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nbar', REFERENCE_CLASS, 'Nbar' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nbar', 
                [], [], 
                '''                Network-Based Application Recognition
                ''',
                'nbar',
                'Cisco-IOS-XE-nbar', False),
            _MetaInfoClassMember('nhrp', REFERENCE_CLASS, 'Nhrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Nhrp', 
                [], [], 
                '''                NHRP interface subcommands
                ''',
                'nhrp',
                'Cisco-IOS-XE-nhrp', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unreachables', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Unreachable messages
                ''',
                'unreachables',
                'Cisco-IOS-XE-icmp', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wccp', REFERENCE_CLASS, 'Wccp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip.Wccp', 
                [], [], 
                '''                WCCP IPv4 interface commands
                ''',
                'wccp',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Dhcp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Dhcp.Server',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Preference
                ''',
                'preference',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Dhcp.Guard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Dhcp.Guard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature DHCP Guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'guard',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Dhcp',
            False, 
            [
            _MetaInfoClassMember('guard', REFERENCE_CLASS, 'Guard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Dhcp.Guard', 
                [], [], 
                '''                Configure IPv6 DHCP guard on the interface
                ''',
                'guard',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Dhcp.Server', 
                [], [], 
                '''                Act as an IPv6 DHCP server
                ''',
                'server',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Nd.Raguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Nd.Raguard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature RA guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'raguard',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Nd.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Nd.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default_route',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert auto-configured prefix
                ''',
                'prefix',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Nd.Ra.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Nd.Ra.Suppress',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress all IPv6 RA
                ''',
                'all',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Nd.Ra' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Nd.Ra',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Nd.Ra.Suppress', 
                [], [], 
                '''                Suppress IPv6 router-alert configuration
                ''',
                'suppress',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'ra',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Nd',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Nd.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('managed-config-flag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP for IPv6 address configuration
                ''',
                'managed_config_flag',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('ra', REFERENCE_CLASS, 'Ra' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Nd.Ra', 
                [], [], 
                '''                IPv6 nd router alert configuration
                ''',
                'ra',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('raguard', REFERENCE_CLASS, 'Raguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Nd.Raguard', 
                [], [], 
                '''                Configure RA guard on the interface
                ''',
                'raguard',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-flow', _yang_ns._namespaces['Cisco-IOS-XE-flow']),
    'Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler.DirectionEnum', 
                [], [], 
                '''                Apply Flow Monitor on input/output traffic
                ''',
                'direction',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'sampler',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Flow.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Flow.Monitor',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User defined
                ''',
                'name',
                'Cisco-IOS-XE-flow', True),
            _MetaInfoClassMember('input', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'input',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply Flow Monitor on input traffic
                ''',
                'output',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler', 
                [], [], 
                '''                Optional Sampler to apply to this Flow Monitor
                ''',
                'sampler',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Flow',
            False, 
            [
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable outbound NetFlow
                ''',
                'egress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable inbound NetFlow
                ''',
                'ingress',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('monitor', REFERENCE_LIST, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Flow.Monitor', 
                [], [], 
                '''                Apply a Flow Monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-flow', False),
            ],
            'Cisco-IOS-XE-flow',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-flow'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.NoPim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.NoPim',
            False, 
            [
            _MetaInfoClassMember('pim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'no-pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Pim.Bsr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Pim.Bsr',
            False, 
            [
            _MetaInfoClassMember('border', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Border of PIM BSR domain
                ''',
                'border',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Pim',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Pim.Bsr', 
                [], [], 
                '''                Configure BSR
                ''',
                'bsr',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Hello DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XE-multicast', False),
            ],
            'Cisco-IOS-XE-multicast',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-multicast'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Process' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Process',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('instance', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('0', '31')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                        [('32', '255')], [], 
                        '''                        Set the OSPF instance
                        ''',
                        'instance',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Flood Reduction on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Ospf',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process', REFERENCE_LIST, 'Process' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Process', 
                [], [], 
                '''                ''',
                'process',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation.RouteEnum' : _MetaInfoEnum('RouteEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'only':'only',
            'originate':'originate',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '15')], [], 
                '''                Default route metric
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route', REFERENCE_ENUM_CLASS, 'RouteEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation.RouteEnum', 
                [], [], 
                '''                ''',
                'route',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation', 
                [], [], 
                '''                Configure handling of default route
                ''',
                'default_information',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/disable RIP routing
                ''',
                'enable',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Flow', 
                [], [], 
                '''                NetFlow related commands
                ''',
                'flow',
                'Cisco-IOS-XE-flow', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-pim', REFERENCE_CLASS, 'NoPim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.NoPim', 
                [], [], 
                '''                ''',
                'no_pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Ospf', 
                [], [], 
                '''                OSPF interface commands
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-multicast', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.Rip', 
                [], [], 
                '''                Configure RIP routing protocol
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unreachables', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Unreachable messages
                ''',
                'unreachables',
                'Cisco-IOS-XE-icmp', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Qos',
            False, 
            [
            _MetaInfoClassMember('pre-classify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable QOS classification before packets are tunnel encapsulated
                ''',
                'pre_classify',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cdp.Tlv.App' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cdp.Tlv.App',
            False, 
            [
            _MetaInfoClassMember('tlvtype', ATTRIBUTE, 'int' , None, None, 
                [('1001', '65535')], [], 
                '''                Configure APP TLV
                ''',
                'tlvtype',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure App TLV Value information
                ''',
                'value',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'app',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cdp.Tlv' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cdp.Tlv',
            False, 
            [
            _MetaInfoClassMember('app', REFERENCE_CLASS, 'App' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cdp.Tlv.App', 
                [], [], 
                '''                Enable/Configure Application TLV
                ''',
                'app',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exchange location information
                ''',
                'location',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('server-location', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable CDP location server on interface
                ''',
                'server_location',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cdp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cdp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable CDP on interface
                ''',
                'enable',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('tlv', REFERENCE_CLASS, 'Tlv' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cdp.Tlv', 
                [], [], 
                '''                Enable exchange of specific tlv information
                ''',
                'tlv',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'cdp',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Nhrp.EventPublisher' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Nhrp.EventPublisher',
            False, 
            [
            _MetaInfoClassMember('max-event-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '22')], [], 
                '''                Number of seconds
                ''',
                'max_event_timeout',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'event-publisher',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                QoS policy-map name
                ''',
                'output',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName',
            False, 
            [
            _MetaInfoClassMember('nhrp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NHRP group name
                ''',
                'nhrp_name',
                'Cisco-IOS-XE-tunnel', True),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy', 
                [], [], 
                '''                QoS service-policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'nhrp-name',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Nhrp.Map.Group' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Nhrp.Map.Group',
            False, 
            [
            _MetaInfoClassMember('nhrp-name', REFERENCE_LIST, 'NhrpName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName', 
                [], [], 
                '''                ''',
                'nhrp_name',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Nhrp.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Nhrp.Map',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Nhrp.Map.Group', 
                [], [], 
                '''                NHRP group mapping
                ''',
                'group',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Nhrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Nhrp',
            False, 
            [
            _MetaInfoClassMember('event-publisher', REFERENCE_CLASS, 'EventPublisher' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Nhrp.EventPublisher', 
                [], [], 
                '''                Enable NHRP smart spoke feature
                ''',
                'event_publisher',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                group name string
                ''',
                'group',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Nhrp.Map', 
                [], [], 
                '''                Map group name to QoS service policy
                ''',
                'map',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('route-watch', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable NHRP route watch
                ''',
                'route_watch',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'nhrp',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Tun6Rd.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Tun6Rd.Ipv4',
            False, 
            [
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Common IPv4 transport source prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('suffix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Common IPv4 transport source suffix length
                ''',
                'suffix_len',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Tun6Rd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Tun6Rd',
            False, 
            [
            _MetaInfoClassMember('br', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Border Relay parameters
                ''',
                'br',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Tun6Rd.Ipv4', 
                [], [], 
                '''                Common IPv4 transport source parameters
                ''',
                'ipv4',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                Provider selected common IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('reverse-map-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable source IP address and port verification
                ''',
                'reverse_map_check',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'tun-6rd',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Receive bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmit bandwidth
                ''',
                'transmit',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.DstPort' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.DstPort',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set Destination Port Dynamically
                ''',
                'dynamic',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('port-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'port_num',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Endpoint.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Endpoint.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                apply QoS service policy in the output direction
                ''',
                'output',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Endpoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Endpoint',
            False, 
            [
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Endpoint.ServicePolicy', 
                [], [], 
                '''                Set service-policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'endpoint',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Fixup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Fixup',
            False, 
            [
            _MetaInfoClassMember('nat', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable post nat fixup 
                ''',
                'nat',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'fixup',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Flow',
            False, 
            [
            _MetaInfoClassMember('egress-records', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable egress flow records 
                ''',
                'egress_records',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv4',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv6',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mode.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mode.Ipsec',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv4', 
                [], [], 
                '''                over IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv6', 
                [], [], 
                '''                over IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mode.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mode.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('gre-ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'gre_ip',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mode.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mode.Mpls',
            False, 
            [
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.Mpls.TrafficEng', 
                [], [], 
                '''                Traffic engineering tunnels
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mode.Ethernet.GreEnum' : _MetaInfoEnum('GreEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XE-tunnel', _yang_ns._namespaces['Cisco-IOS-XE-tunnel']),
    'Native.Interface.Tunnel.Tunnel_.Mode.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mode.Ethernet',
            False, 
            [
            _MetaInfoClassMember('gre', REFERENCE_ENUM_CLASS, 'GreEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.Ethernet.GreEnum', 
                [], [], 
                '''                Ethernet over gre
                ''',
                'gre',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mode.Gre.Multipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mode.Gre.Multipoint',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                over IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mode.Gre' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mode.Gre',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                over IP
                ''',
                'ip',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                over IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('multipoint', REFERENCE_CLASS, 'Multipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.Gre.Multipoint', 
                [], [], 
                '''                over IPv4 (multipoint)
                ''',
                'multipoint',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mode.Ipip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mode.Ipip',
            False, 
            [
            _MetaInfoClassMember('decapsulate-any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Incoming traffic only
                ''',
                'decapsulate_any',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'ipip',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mode.Ipv6Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mode.Ipv6Ip',
            False, 
            [
            _MetaInfoClassMember('auto-6rd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 automatic tunnelling using 6rd
                ''',
                'auto_6rd',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('auto-6to4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 automatic tunnelling using 6to4
                ''',
                'auto_6to4',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('isatap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 automatic tunnelling using ISATAP
                ''',
                'isatap',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'ipv6ip',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mode.UdpEnum' : _MetaInfoEnum('UdpEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ip':'ip',
            'multipoint':'multipoint',
        }, 'Cisco-IOS-XE-tunnel', _yang_ns._namespaces['Cisco-IOS-XE-tunnel']),
    'Native.Interface.Tunnel.Tunnel_.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mode',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.Ethernet', 
                [], [], 
                '''                Ethernet over gre
                ''',
                'ethernet',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.Gre', 
                [], [], 
                '''                generic route encapsulation protocol
                ''',
                'gre',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipip', REFERENCE_CLASS, 'Ipip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.Ipip', 
                [], [], 
                '''                IP over IP encapsulation
                ''',
                'ipip',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.Ipsec', 
                [], [], 
                '''                IPSec tunnel encapsulation
                ''',
                'ipsec',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generic packet tunneling in IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipv6ip', REFERENCE_CLASS, 'Ipv6Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.Ipv6Ip', 
                [], [], 
                '''                IPv6 over IP encapsulation
                ''',
                'ipv6ip',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.Mpls', 
                [], [], 
                '''                MPLS encapsulations
                ''',
                'mpls',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('udp', REFERENCE_ENUM_CLASS, 'UdpEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode.UdpEnum', 
                [], [], 
                '''                UDP encapsulation protocol
                ''',
                'udp',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.NetworkId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.NetworkId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('nexthop', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('qos', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                QoS profile
                ''',
                'qos',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                weight
                ''',
                'weight',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'network-id',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.PathMtuDiscovery',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Protection.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Protection.Ipsec',
            False, 
            [
            _MetaInfoClassMember('ikev2-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ikev2 policy profile
                ''',
                'ikev2_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Determine the ipsec policy profile to use.
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Protection',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Protection.Ipsec', 
                [], [], 
                '''                Use ipsec to protect this tunnel interface
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Affinity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Affinity',
            False, 
            [
            _MetaInfoClassMember('attributes', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'attributes',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.AutoBw' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.AutoBw',
            False, 
            [
            _MetaInfoClassMember('max-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set the Maximum Bandwidth for auto-bw on this tunnel
                ''',
                'max_bw',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'auto-bw',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute.Metric',
            False, 
            [
            _MetaInfoClassMember('absolute', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Absolute metric value
                ''',
                'absolute',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('relative', ATTRIBUTE, 'int' , None, None, 
                [('-10', '10')], [], 
                '''                ''',
                'relative',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute',
            False, 
            [
            _MetaInfoClassMember('announce', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'announce',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('destination', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'destination',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute.Metric', 
                [], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'autoroute',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Priority',
            False, 
            [
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'hold_priority',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'setup_priority',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 PCE address
                ''',
                'address',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('segment-routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify segment-routing for this pathoption
                ''',
                'segment_routing',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'pce',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE IPv4 address
                ''',
                'address',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'pce',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting',
            False, 
            [
            _MetaInfoClassMember('pce', REFERENCE_CLASS, 'Pce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce', 
                [], [], 
                '''                Use PCE for path computation
                ''',
                'pce',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'segment-routing',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic',
            False, 
            [
            _MetaInfoClassMember('pce', REFERENCE_CLASS, 'Pce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce', 
                [], [], 
                '''                Use PCE for path computation
                ''',
                'pce',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('segment-routing', REFERENCE_CLASS, 'SegmentRouting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting', 
                [], [], 
                '''                specify segment-routing for this pathoption
                ''',
                'segment_routing',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit.Name' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit.Name',
            False, 
            [
            _MetaInfoClassMember('exp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'exp_name',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('segment-routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'segment_routing',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('name', REFERENCE_CLASS, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'explicit',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Lockdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Lockdown',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'lockdown',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-tunnel', True),
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic', 
                [], [], 
                '''                setup based on dynamically calculcated path
                ''',
                'dynamic',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('explicit', REFERENCE_CLASS, 'Explicit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit', 
                [], [], 
                '''                ''',
                'explicit',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('lockdown', REFERENCE_CLASS, 'Lockdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Lockdown', 
                [], [], 
                '''                ''',
                'lockdown',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'working',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Explicit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Explicit',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'explicit',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Lockdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Lockdown',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'lockdown',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-tunnel', True),
            _MetaInfoClassMember('explicit', REFERENCE_CLASS, 'Explicit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Explicit', 
                [], [], 
                '''                ''',
                'explicit',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('lockdown', REFERENCE_CLASS, 'Lockdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Lockdown', 
                [], [], 
                '''                ''',
                'lockdown',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'protect',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption',
            False, 
            [
            _MetaInfoClassMember('protect', REFERENCE_LIST, 'Protect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect', 
                [], [], 
                '''                ''',
                'protect',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('working', REFERENCE_LIST, 'Working' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working', 
                [], [], 
                '''                ''',
                'working',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'path-option',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.FastReroute',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.Invalidation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.Invalidation',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop Tunnel Traffic
                ''',
                'drop',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '60000')], [], 
                '''                Enter path invalidation timer value in milliseconds
                ''',
                'value',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'invalidation',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency',
            False, 
            [
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use only protected adjacencies
                ''',
                'protected',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('unprotected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use only unprotected adjacencies
                ''',
                'unprotected',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'adjacency',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting',
            False, 
            [
            _MetaInfoClassMember('adjacency', REFERENCE_CLASS, 'Adjacency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency', 
                [], [], 
                '''                Segment-routing adjacency path-selection type
                ''',
                'adjacency',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'segment-routing',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.MetricEnum' : _MetaInfoEnum('MetricEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'igp':'igp',
            'te':'te',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection',
            False, 
            [
            _MetaInfoClassMember('invalidation', REFERENCE_CLASS, 'Invalidation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.Invalidation', 
                [], [], 
                '''                Path invalidation configuration
                ''',
                'invalidation',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('metric', REFERENCE_ENUM_CLASS, 'MetricEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.MetricEnum', 
                [], [], 
                '''                Metric Type Configuration
                ''',
                'metric',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('segment-routing', REFERENCE_CLASS, 'SegmentRouting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting', 
                [], [], 
                '''                Segment-routing path-selection options
                ''',
                'segment_routing',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'path-selection',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Affinity', 
                [], [], 
                '''                ''',
                'affinity',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('auto-bw', REFERENCE_CLASS, 'AutoBw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.AutoBw', 
                [], [], 
                '''                Specify mpls tunnel should automatically change bw
                ''',
                'auto_bw',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('autoroute', REFERENCE_CLASS, 'Autoroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute', 
                [], [], 
                '''                ''',
                'autoroute',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'bandwidth',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.FastReroute', 
                [], [], 
                '''                ''',
                'fast_reroute',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('path-option', REFERENCE_CLASS, 'PathOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption', 
                [], [], 
                '''                ''',
                'path_option',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('path-selection', REFERENCE_CLASS, 'PathSelection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection', 
                [], [], 
                '''                Path Selection Configuration
                ''',
                'path_selection',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Mpls',
            False, 
            [
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng', 
                [], [], 
                '''                ''',
                'traffic_eng',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Rbscp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Rbscp',
            False, 
            [
            _MetaInfoClassMember('ack-split', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ACK splitting
                ''',
                'ack_split',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable delay
                ''',
                'delay',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('input-drop', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                max tunnel queue size (number of bw*delay)
                ''',
                'input_drop',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('long-drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop non-transmitted packets w/excessive delay
                ''',
                'long_drop',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('report', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable SCTP report chunk
                ''',
                'report',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('window-stuff', ATTRIBUTE, 'int' , None, None, 
                [('1', '20')], [], 
                '''                Window stuffing
                ''',
                'window_stuff',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'rbscp',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.SrcPort' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.SrcPort',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set Source Port Dynamically
                ''',
                'dynamic',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('port-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'port_num',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Udlr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Udlr',
            False, 
            [
            _MetaInfoClassMember('address-resolution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ARP and NHRP over a UDLR Tunnel
                ''',
                'address_resolution',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('receive-only', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel is receive-only capable
                ''',
                'receive_only',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('send-only', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel is send-only capable
                ''',
                'send_only',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'udlr',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_.Vlan',
            False, 
            [
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'hyphen',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('id1', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id1',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('id2', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id2',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Tunnel_.SnoopingEnum' : _MetaInfoEnum('SnoopingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'enable':'enable',
        }, 'Cisco-IOS-XE-tunnel', _yang_ns._namespaces['Cisco-IOS-XE-tunnel']),
    'Native.Interface.Tunnel.Tunnel_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Tunnel_',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Bandwidth', 
                [], [], 
                '''                Set tunnel bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable end to end checksumming of packets
                ''',
                'checksum',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('destination', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                destination of tunnel
                ''',
                'destination',
                'Cisco-IOS-XE-tunnel', False, [
                    _MetaInfoClassMember('destination', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        destination of tunnel
                        ''',
                        'destination',
                        'Cisco-IOS-XE-tunnel', False, [
                            _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                destination of tunnel
                                ''',
                                'destination',
                                'Cisco-IOS-XE-tunnel', False),
                            _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                destination of tunnel
                                ''',
                                'destination',
                                'Cisco-IOS-XE-tunnel', False),
                        ]),
                    _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        destination of tunnel
                        ''',
                        'destination',
                        'Cisco-IOS-XE-tunnel', False),
                ]),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.DstPort', 
                [], [], 
                '''                tunnel destination port
                ''',
                'dst_port',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('endpoint', REFERENCE_CLASS, 'Endpoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Endpoint', 
                [], [], 
                '''                Set endpoint parameter
                ''',
                'endpoint',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('entropy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compute hash (entropy) on payload and propagate to tunnel header
                ''',
                'entropy',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('fixup', REFERENCE_CLASS, 'Fixup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Fixup', 
                [], [], 
                '''                fixup on tunnel interface
                ''',
                'fixup',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Flow', 
                [], [], 
                '''                flow options
                ''',
                'flow',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                security or selector key
                ''',
                'key',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mode', 
                [], [], 
                '''                tunnel encapsulation method
                ''',
                'mode',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('network-id', REFERENCE_CLASS, 'NetworkId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.NetworkId', 
                [], [], 
                '''                Set network-id
                ''',
                'network_id',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.PathMtuDiscovery', 
                [], [], 
                '''                Enable Path MTU Discovery on tunnel
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Protection', 
                [], [], 
                '''                Enable tunnel protection
                ''',
                'protection',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('raw-packet-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                physical interface for all packets entering itto be tunneled and for all packets entering the tunnel to exit
                ''',
                'raw_packet_interface',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('rbscp', REFERENCE_CLASS, 'Rbscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Rbscp', 
                [], [], 
                '''                Set tunnel RBSCP parameters
                ''',
                'rbscp',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('snooping', REFERENCE_ENUM_CLASS, 'SnoopingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.SnoopingEnum', 
                [], [], 
                '''                Snooping on tunnel
                ''',
                'snooping',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                source of tunnel packets
                ''',
                'source',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.SrcPort', 
                [], [], 
                '''                tunnel source port
                ''',
                'src_port',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                set type of sevice byte
                ''',
                'tos',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                set time to live
                ''',
                'ttl',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('tun-6rd', REFERENCE_CLASS, 'Tun6Rd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Tun6Rd', 
                [], [], 
                '''                set tunnel 6rd parameters
                ''',
                'tun_6rd',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('udlr', REFERENCE_CLASS, 'Udlr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Udlr', 
                [], [], 
                '''                associate tunnel with unidirectional interface
                ''',
                'udlr',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_.Vlan', 
                [], [], 
                '''                Set vlan-id for ethernet over gre mode
                ''',
                'vlan',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                set tunnel vrf membership
                ''',
                'vrf',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Crypto.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Crypto.Map',
            False, 
            [
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                enable redundancy
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('stateful', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable stateful failover
                ''',
                'stateful',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Crypto.Ipsec.DfBitEnum' : _MetaInfoEnum('DfBitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Tunnel.Crypto.Ipsec.FragmentationEnum' : _MetaInfoEnum('FragmentationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'after-encryption':'after_encryption',
            'before-encryption':'before_encryption',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.Tunnel.Crypto.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Crypto.Ipsec',
            False, 
            [
            _MetaInfoClassMember('df-bit', REFERENCE_ENUM_CLASS, 'DfBitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Crypto.Ipsec.DfBitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'df_bit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_ENUM_CLASS, 'FragmentationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Crypto.Ipsec.FragmentationEnum', 
                [], [], 
                '''                Handling of fragmentation of near-MTU sized packets
                ''',
                'fragmentation',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Crypto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Crypto',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Crypto.Ipsec', 
                [], [], 
                '''                Set IPSec parameters
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Crypto.Map', 
                [], [], 
                '''                Assign a Crypto Map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crypto',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts.Manual.Policy.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts.Manual.Policy.Static',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('2', '65519')], [], 
                '''                Source Security Group Tag to apply to untagged or non-trusted incoming traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Source Group Tags (SGT) that the peer uses for sending
                ''',
                'trusted',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts.Manual.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts.Manual.Policy',
            False, 
            [
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts.Manual.Policy.Static', 
                [], [], 
                '''                Configure policy to be applied on the link
                ''',
                'static',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac',
            False, 
            [
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encapsulation present, no authentication, 
                     no encryption
                ''',
                'null',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gcm-encrypt',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'no-encap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', REFERENCE_CLASS, 'GcmEncrypt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt', 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('no-encap', REFERENCE_CLASS, 'NoEncap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap', 
                [], [], 
                '''                No encapsulation
                ''',
                'no_encap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'mode-list',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts.Manual.Sap.Pmk',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('mode-list', REFERENCE_CLASS, 'ModeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList', 
                [], [], 
                '''                List of advertised modes (prioritized from highest to lowest)
                ''',
                'mode_list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'pmk',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts.Manual.Sap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts.Manual.Sap',
            False, 
            [
            _MetaInfoClassMember('pmk', REFERENCE_LIST, 'Pmk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts.Manual.Sap.Pmk', 
                [], [], 
                '''                Pre-Master Key (PMK) to use for CTS SAP
                ''',
                'pmk',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts.Manual.Propagate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts.Manual.Propagate',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CTS SGT Propagation configuration
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'propagate',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts.Manual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts.Manual',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts.Manual.Policy', 
                [], [], 
                '''                CTS policy for manual mode
                ''',
                'policy',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('propagate', REFERENCE_CLASS, 'Propagate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts.Manual.Propagate', 
                [], [], 
                '''                CTS SGT Propagation configuration for manual mode
                ''',
                'propagate',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sap', REFERENCE_CLASS, 'Sap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts.Manual.Sap', 
                [], [], 
                '''                CTS SAP configuration for manual mode
                ''',
                'sap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'manual',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Cts',
            False, 
            [
            _MetaInfoClassMember('manual', REFERENCE_CLASS, 'Manual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts.Manual', 
                [], [], 
                '''                Supply local configuration for CTS parameters
                ''',
                'manual',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Performance.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Performance.Monitor',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Select ezPM context
                ''',
                'context',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Performance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Performance',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Performance.Monitor', 
                [], [], 
                '''                monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'performance',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Clear Enable/Disable ifIndex persistence
                ''',
                'clear',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence 
                ''',
                'persist',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit',
            False, 
            [
            _MetaInfoClassMember('duplicates', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Permit duplicate SNMP LINKUP and LINKDOWN traps
                ''',
                'duplicates',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit', 
                [], [], 
                '''                Permit the following capability
                ''',
                'permit',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas',
            False, 
            [
            _MetaInfoClassMember('link-status', REFERENCE_CLASS, 'LinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus', 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status-capas',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('link-status-capas', REFERENCE_CLASS, 'LinkStatusCapas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas', 
                [], [], 
                '''                ''',
                'link_status_capas',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the interface
                ''',
                'ifindex',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Lisp.Mobility.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Lisp.Mobility.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('dynamic-eid-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dynamic_eid_name',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nbr-proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Neighbor proxy reply behavior for dynamic EID group
                ''',
                'nbr_proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '5')], [], 
                '''                Send neighbor proxy reply after reaching request threshold
                ''',
                'requests',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Lisp.Mobility.Discover' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Lisp.Mobility.Discover',
            False, 
            [
            _MetaInfoClassMember('arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic EID discover through ARP events on this interface
                ''',
                'arp',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'discover',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Lisp.Mobility.Liveness' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Lisp.Mobility.Liveness',
            False, 
            [
            _MetaInfoClassMember('test', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform liveness test on dynamic-EID discovered on this interface
                ''',
                'test',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('2', '255')], [], 
                '''                Configures the TTL in the liveness test packet
                ''',
                'ttl',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'liveness',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Lisp.Mobility' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Lisp.Mobility',
            False, 
            [
            _MetaInfoClassMember('discover', REFERENCE_CLASS, 'Discover' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Lisp.Mobility.Discover', 
                [], [], 
                '''                Configure mobility dynamic EID discover settings
                ''',
                'discover',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_CLASS, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Lisp.Mobility.DynamicEid', 
                [], [], 
                '''                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('liveness', REFERENCE_CLASS, 'Liveness' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Lisp.Mobility.Liveness', 
                [], [], 
                '''                Configure mobility liveness settings
                ''',
                'liveness',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mobility',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Lisp',
            False, 
            [
            _MetaInfoClassMember('extended-subnet-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures to enable extended subnet mode on the interface
                ''',
                'extended_subnet_mode',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mobility', REFERENCE_CLASS, 'Mobility' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Lisp.Mobility', 
                [], [], 
                '''                Configures to allow EID mobility on interface
                ''',
                'mobility',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('64', '95')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Area' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '31')], [], 
                '''                Set the OSPF instance
                ''',
                'instance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable LSA Filter on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable demand circuit on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.FloodReduction' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.FloodReduction',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'flood-reduction',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MtuIgnore' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MtuIgnore',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Ingore MTU on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mtu-ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable OSPF multi-area
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Shutdown',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable inherited shutdown
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Area', 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.ProcessId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.ProcessId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.DemandCircuit', 
                [], [], 
                '''                OSPF demand circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', REFERENCE_CLASS, 'FloodReduction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.FloodReduction', 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4', 
                [], [], 
                '''                Specify parameters for IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6', 
                [], [], 
                '''                Specify parameters for IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', REFERENCE_CLASS, 'MtuIgnore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.MtuIgnore', 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId.Shutdown', 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'process-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'sha1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('sha1', REFERENCE_CLASS, 'Sha1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1', 
                [], [], 
                '''                Use SHA-1 authentication
                ''',
                'sha1',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('256', '4294967295')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Authentication',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec', 
                [], [], 
                '''                Use IPsec authentication
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use no authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Bfd',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable BFD on this interface
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Hysteresis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Hysteresis',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify hysteresis percent changed
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify hysteresis threshold value
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hysteresis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.L2Factor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.L2Factor',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'L2-factor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Latency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Latency',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Resources' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Resources',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'resources',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Throughput' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Throughput',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throughput',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight',
            False, 
            [
            _MetaInfoClassMember('L2-factor', REFERENCE_CLASS, 'L2Factor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.L2Factor', 
                [], [], 
                '''                Specify weight to be given to L2-factor metric
                ''',
                'l2_factor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('latency', REFERENCE_CLASS, 'Latency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Latency', 
                [], [], 
                '''                Specify weight to be given to latency metric
                ''',
                'latency',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('resources', REFERENCE_CLASS, 'Resources' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Resources', 
                [], [], 
                '''                Specify weight to be given to resources metric
                ''',
                'resources',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throughput', REFERENCE_CLASS, 'Throughput' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Throughput', 
                [], [], 
                '''                Specify weight to be given to throughput metric
                ''',
                'throughput',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'weight',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Cost.Dynamic',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify default link metric value
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hysteresis', REFERENCE_CLASS, 'Hysteresis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Hysteresis', 
                [], [], 
                '''                Specify hysteresis value for LSA dampening
                ''',
                'hysteresis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('weight', REFERENCE_CLASS, 'Weight' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight', 
                [], [], 
                '''                Specify weight to be placed on individual metrics
                ''',
                'weight',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Cost',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Cost.Dynamic', 
                [], [], 
                '''                Specify dynamic cost options
                ''',
                'dynamic',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Interface.Tunnel.Ospfv3.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.DemandCircuit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.DemandCircuit',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore demand circuit auto-negotiation requests
                ''',
                'ignore',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'demand-circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec_3des',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc-128',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-192',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256',
            False, 
            [
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString', 
                [], [], 
                '''                ''',
                'key_string',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-256',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc',
            False, 
            [
            _MetaInfoClassMember('aes-192', REFERENCE_CLASS, 'Aes192' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192', 
                [], [], 
                '''                Use 192 bit key
                ''',
                'aes_192',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-256', REFERENCE_CLASS, 'Aes256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256', 
                [], [], 
                '''                Use 256 bit key
                ''',
                'aes_256',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('aes-cbc-128', REFERENCE_CLASS, 'AesCbc128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128', 
                [], [], 
                '''                Use 128 bit key
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'aes-cbc',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec',
            False, 
            [
            _MetaInfoClassMember('aes-cbc', REFERENCE_CLASS, 'AesCbc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc', 
                [], [], 
                '''                Use AES-CBC encryption
                ''',
                'aes_cbc',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use ESP encapsulation
                ''',
                'esp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipsec_3des', REFERENCE_CLASS, 'Ipsec_3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des', 
                [], [], 
                '''                Use 3DES encryption
                ''',
                'ipsec_3des',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the SPI (Security Parameters Index)
                ''',
                'spi',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Encryption',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec', 
                [], [], 
                '''                Use IPsec encryption
                ''',
                'ipsec',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No IPsec encryption on this interface
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Relative incremental path cost
                ''',
                'percent',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Absolute incremental path cost
                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost', 
                [], [], 
                '''                Redundant path cost improvement required to peer
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('link-metrics', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Require link metrics
                ''',
                'link_metrics',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Manet',
            False, 
            [
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Manet.Peering', 
                [], [], 
                '''                MANET Peering options
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.MultiArea' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.MultiArea',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interface cost
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'multi-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter.AllEnum' : _MetaInfoEnum('AllEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_ENUM_CLASS, 'AllEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter.AllEnum', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Network.PointToMultipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Network.PointToMultipoint',
            False, 
            [
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify non-broadcast point-to-mpoint network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'point-to-multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.Network' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.Network',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF broadcast multi-access network
                ''',
                'broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify MANET OSPF interface type
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF NBMA network
                ''',
                'non_broadcast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-multipoint', REFERENCE_CLASS, 'PointToMultipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Network.PointToMultipoint', 
                [], [], 
                '''                Specify OSPF point-to-multipoint network
                ''',
                'point_to_multipoint',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('point-to-point', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OSPF point-to-point network
                ''',
                'point_to_point',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3.PrefixSuppression' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3.PrefixSuppression',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix suppression
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'prefix-suppression',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Bfd', 
                [], [], 
                '''                Enable BFD on this interface
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Cost', 
                [], [], 
                '''                Route cost of this interface
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Interval after which a neighbor is declared dead
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('demand-circuit', REFERENCE_CLASS, 'DemandCircuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.DemandCircuit', 
                [], [], 
                '''                OSPF Demand Circuit
                ''',
                'demand_circuit',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Encryption', 
                [], [], 
                '''                Enable encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('flood-reduction', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF Flood Reduction
                ''',
                'flood_reduction',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between HELLO packets
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Manet', 
                [], [], 
                '''                Mobile Adhoc Networking options
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mtu-ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignores the MTU in DBD packets
                ''',
                'mtu_ignore',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('multi-area', REFERENCE_CLASS, 'MultiArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.MultiArea', 
                [], [], 
                '''                Set the OSPF multi-area ID
                ''',
                'multi_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Neighbor', 
                [], [], 
                '''                OSPF neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('network', REFERENCE_CLASS, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.Network', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('prefix-suppression', REFERENCE_CLASS, 'PrefixSuppression' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.PrefixSuppression', 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('process-id', REFERENCE_LIST, 'ProcessId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3.ProcessId', 
                [], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Time between retransmitting lost link state advertisements
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shut down the interface in OSPFv3
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Link state transmit delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Udld.Port' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Udld.Port',
            False, 
            [
            _MetaInfoClassMember('aggressive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                ''',
                'aggressive',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable UDLD protocol on this interface despite global UDLD setting
                ''',
                'disable',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.Udld' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.Udld',
            False, 
            [
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Udld.Port', 
                [], [], 
                '''                Enable UDLD protocol on this interface despite global UDLD setting
                ''',
                'port',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'udld',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.ZoneMember' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel.ZoneMember',
            False, 
            [
            _MetaInfoClassMember('security', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Security zone
                ''',
                'security',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-zone',
            'zone-member',
            _yang_ns._namespaces['Cisco-IOS-XE-zone'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Tunnel.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Tunnel',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cdp', REFERENCE_CLASS, 'Cdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cdp', 
                [], [], 
                '''                CDP interface subcommands
                ''',
                'cdp',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('crypto', REFERENCE_CLASS, 'Crypto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Crypto', 
                [], [], 
                '''                Encryption/Decryption commands
                ''',
                'crypto',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Cts', 
                [], [], 
                '''                Configure Cisco Trusted Security
                ''',
                'cts',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nhrp', REFERENCE_CLASS, 'Nhrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Nhrp', 
                [], [], 
                '''                NHRP Interface commands
                ''',
                'nhrp',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Ospfv3', 
                [], [], 
                '''                OSPFv3 interface commands
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('performance', REFERENCE_CLASS, 'Performance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Performance', 
                [], [], 
                '''                Global performance monitor configuration
                ''',
                'performance',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Qos', 
                [], [], 
                '''                Quality of Service related commands
                ''',
                'qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Snmp', 
                [], [], 
                '''                Modify SNMP interface parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Tunnel_', 
                [], [], 
                '''                protocol-over-protocol tunneling
                ''',
                'tunnel',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('udld', REFERENCE_CLASS, 'Udld' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Udld', 
                [], [], 
                '''                Configure UDLD enabled or disabled and ignore global UDLD setting
                ''',
                'udld',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zone-member', REFERENCE_CLASS, 'ZoneMember' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel.ZoneMember', 
                [], [], 
                '''                Apply zone name
                ''',
                'zone_member',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-native',
            'Tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.AdjacencyFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.AdjacencyFilter',
            False, 
            [
            _MetaInfoClassMember('match-all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match all area addresses
                ''',
                'match_all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'adjacency-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Advertise',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interface IP address
                ''',
                'prefix',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Md5',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Text' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Text',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'text',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Md5', 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('text', REFERENCE_CLASS, 'Text' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Text', 
                [], [], 
                '''                Clear text password
                ''',
                'text',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain.KeyChainList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain.KeyChainList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('key-chain-list', REFERENCE_LIST, 'KeyChainList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain.KeyChainList', 
                [], [], 
                '''                ''',
                'key_chain_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Authentication.SendOnly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Authentication.SendOnly',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'send-only',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain', 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Authentication.Mode', 
                [], [], 
                '''                Authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('send-only', REFERENCE_CLASS, 'SendOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Authentication.SendOnly', 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.CircuitType.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2-only':'level_2_only',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.CircuitType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.CircuitType',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.CircuitType.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'circuit-type',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.CsnpInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.CsnpInterval',
            False, 
            [
            _MetaInfoClassMember('csnp-interval-list', REFERENCE_LIST, 'CsnpIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList', 
                [], [], 
                '''                ''',
                'csnp_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'csnp-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never pad hello packets if no prefix present
                ''',
                'always',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello packets
                ''',
                'padding',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-list', REFERENCE_LIST, 'HelloIntervalList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList', 
                [], [], 
                '''                ''',
                'hello_interval_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.HelloMultiplier' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.HelloMultiplier',
            False, 
            [
            _MetaInfoClassMember('hello-multiplier-list', REFERENCE_LIST, 'HelloMultiplierList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList', 
                [], [], 
                '''                ''',
                'hello_multiplier_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello-multiplier',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.Ipv6.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Ipv6.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Ipv6',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Ipv6.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IPv6 route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.Metric.MetricList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Metric.MetricList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' : _MetaInfoEnum('ValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'maximum':'maximum',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-list', REFERENCE_LIST, 'MetricList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.MetricList', 
                [], [], 
                '''                ''',
                'metric_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                        [('1', '16777214')], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('value', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum', 
                        [], [], 
                        '''                        ''',
                        'value',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Password.PasswordList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.Password.PasswordList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Password.PasswordList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Password.PasswordList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Password' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Password',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password-list', REFERENCE_LIST, 'PasswordList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Password.PasswordList', 
                [], [], 
                '''                ''',
                'password_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Priority.PriorityList.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.Priority.PriorityList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Priority.PriorityList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Priority.PriorityList.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-list', REFERENCE_LIST, 'PriorityList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Priority.PriorityList', 
                [], [], 
                '''                ''',
                'priority_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake.ImplementorEnum' : _MetaInfoEnum('ImplementorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco':'cisco',
            'ietf':'ietf',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake',
            False, 
            [
            _MetaInfoClassMember('implementor', REFERENCE_ENUM_CLASS, 'ImplementorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake.ImplementorEnum', 
                [], [], 
                '''                ''',
                'implementor',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'three-way-handshake',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum' : _MetaInfoEnum('MeshGroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'blocked':'blocked',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.NetworkEnum' : _MetaInfoEnum('NetworkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Interface.VirtualTemplate.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Isis',
            False, 
            [
            _MetaInfoClassMember('adjacency-filter', REFERENCE_CLASS, 'AdjacencyFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.AdjacencyFilter', 
                [], [], 
                '''                Filter IS-IS adjacencies
                ''',
                'adjacency_filter',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Advertise', 
                [], [], 
                '''                Control addresses advertisements in LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('circuit-type', REFERENCE_CLASS, 'CircuitType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.CircuitType', 
                [], [], 
                '''                Configure circuit type for interface
                ''',
                'circuit_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('csnp-interval', REFERENCE_CLASS, 'CsnpInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.CsnpInterval', 
                [], [], 
                '''                Set CSNP interval in seconds
                ''',
                'csnp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Hello', 
                [], [], 
                '''                Add padding to IS-IS hello packets
                ''',
                'hello',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloInterval', 
                [], [], 
                '''                Set Hello interval in seconds
                ''',
                'hello_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello-multiplier', REFERENCE_CLASS, 'HelloMultiplier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.HelloMultiplier', 
                [], [], 
                '''                Set multiplier for Hello holding time
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Ipv6', 
                [], [], 
                '''                IPv6 interface configuration
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set LSP transmission interval
                ''',
                'lsp_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mesh-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set ISIS mesh group
                ''',
                'mesh_group',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('mesh-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('mesh-group', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.MeshGroupEnum', 
                        [], [], 
                        '''                        Set ISIS mesh group
                        ''',
                        'mesh_group',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Metric', 
                [], [], 
                '''                Configure the metric for interface
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('network', REFERENCE_ENUM_CLASS, 'NetworkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.NetworkEnum', 
                [], [], 
                '''                Network type
                ''',
                'network',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Password', 
                [], [], 
                '''                Configure the authentication password for interface
                ''',
                'password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.Priority', 
                [], [], 
                '''                Set priority for Designated Router election
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.ProtocolEnum', 
                [], [], 
                '''                Set ISIS protocol's state under current interface
                ''',
                'protocol',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set per-LSP retransmission interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('retransmit-throttle-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set interface LSP retransmission interval
                ''',
                'retransmit_throttle_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign an admin tag to an ISIS interface IP route
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('three-way-handshake', REFERENCE_CLASS, 'ThreeWayHandshake' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake', 
                [], [], 
                '''                Select Cisco or IETF three-way handshake
                ''',
                'three_way_handshake',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '*':'Y__STAR__',
        }, 'Cisco-IOS-XE-igmp', _yang_ns._namespaces['Cisco-IOS-XE-igmp']),
    'Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-igmp', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum', 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                ]),
            ],
            'Cisco-IOS-XE-igmp',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.ClassMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.ClassMap',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-igmp', True),
            ],
            'Cisco-IOS-XE-igmp',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.ClassMap', 
                [], [], 
                '''                Class map of type multicast-flows
                ''',
                'class_map',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('groups', REFERENCE_LIST, 'Groups' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups', 
                [], [], 
                '''                ''',
                'groups',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'static-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Igmp.JoinGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Igmp.JoinGroup',
            False, 
            [
            _MetaInfoClassMember('ip-group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP group address
                ''',
                'ip_group_address',
                'Cisco-IOS-XE-igmp', True),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP source address
                ''',
                'source',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'join-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip.Igmp',
            False, 
            [
            _MetaInfoClassMember('join-group', REFERENCE_LIST, 'JoinGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Igmp.JoinGroup', 
                [], [], 
                '''                IGMP join multicast group
                ''',
                'join_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('static-group', REFERENCE_CLASS, 'StaticGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup', 
                [], [], 
                '''                IGMP static multicast group
                ''',
                'static_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Igmp', 
                [], [], 
                '''                IGMP interface commands
                ''',
                'igmp',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.CarrierDelay.Down' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.CarrierDelay.Down',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'down',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.CarrierDelay.Up' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.CarrierDelay.Up',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'up',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.CarrierDelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.CarrierDelay',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_CLASS, 'Down' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.CarrierDelay.Down', 
                [], [], 
                '''                Carrier Down Transitions
                ''',
                'down',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('up', REFERENCE_CLASS, 'Up' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.CarrierDelay.Up', 
                [], [], 
                '''                Carrier Up Transitions
                ''',
                'up',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'carrier-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.ChannelGroup.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'auto':'auto',
            'desirable':'desirable',
            'on':'on',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.ChannelGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.ChannelGroup',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                LACP auto
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('1', '4')], [], 
                '''                Assign a link identifier used for load-balancing
                ''',
                'link',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ChannelGroup.ModeEnum', 
                [], [], 
                '''                Etherchannel Mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('non-silent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start negotiation only after data packets received
                ''',
                'non_silent',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'channel-group',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame threshold in number of frames
                ''',
                'thresh',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold', 
                [], [], 
                '''                Errored frame threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '600')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('f-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame-period threshold in number of frames
                ''',
                'f_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame-period threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold', 
                [], [], 
                '''                Errored frame-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 10000 frames
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('e-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the high errored frame-seconds threshold in number of seconds
                ''',
                'e_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the low errored frame-seconds threshold in number of seconds
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('100', '9000')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-seconds',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action', 
                [], [], 
                '''                Specifiy an action when the high threshold is crossed
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('crc-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high received crc error threshold in number of frames
                ''',
                'crc_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low received crc error threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'receive-crc',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('err-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high error symbol-period threshold in number of symbols
                ''',
                'err_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low error symbol-period threshold in number of symbols
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold', 
                [], [], 
                '''                Error symbol-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 1048576 symbols
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'symbol-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor',
            False, 
            [
            _MetaInfoClassMember('frame', REFERENCE_CLASS, 'Frame' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame', 
                [], [], 
                '''                Errored frames in a period measured by time
                ''',
                'frame',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-period', REFERENCE_CLASS, 'FramePeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod', 
                [], [], 
                '''                Errored frames in a period measured by number of frames
                ''',
                'frame_period',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-seconds', REFERENCE_CLASS, 'FrameSeconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds', 
                [], [], 
                '''                Errored frame seconds in a period
                ''',
                'frame_seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('high-threshold', REFERENCE_CLASS, 'HighThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold', 
                [], [], 
                '''                Additional high threshold configuration
                ''',
                'high_threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable link monitoring on the interface
                ''',
                'on',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('receive-crc', REFERENCE_CLASS, 'ReceiveCrc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc', 
                [], [], 
                '''                Received frames with CRC errors in a period
                ''',
                'receive_crc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support link monitoring on the interface
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('symbol-period', REFERENCE_CLASS, 'SymbolPeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod', 
                [], [], 
                '''                Errored symbols in a period
                ''',
                'symbol_period',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'critical-event',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dying-gasp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-fault',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure',
            False, 
            [
            _MetaInfoClassMember('critical-event', REFERENCE_CLASS, 'CriticalEvent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent', 
                [], [], 
                '''                Critical event
                ''',
                'critical_event',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dying-gasp', REFERENCE_CLASS, 'DyingGasp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp', 
                [], [], 
                '''                Dying gasp
                ''',
                'dying_gasp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link-fault', REFERENCE_CLASS, 'LinkFault' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault', 
                [], [], 
                '''                Link fault
                ''',
                'link_fault',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-failure',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support remote loopback functionality
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set timeout value in number of seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet.Oam.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Ethernet.Oam' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet.Oam',
            False, 
            [
            _MetaInfoClassMember('link-monitor', REFERENCE_CLASS, 'LinkMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor', 
                [], [], 
                '''                Ethernet OAM Link Monitor
                ''',
                'link_monitor',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'max_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('min-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'min_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-failure', REFERENCE_CLASS, 'RemoteFailure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure', 
                [], [], 
                '''                Ethernet OAM remote failure indication
                ''',
                'remote_failure',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-loopback', REFERENCE_CLASS, 'RemoteLoopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback', 
                [], [], 
                '''                Ethernet OAM Remote Loopback
                ''',
                'remote_loopback',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('2', '30')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'oam',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ethernet',
            False, 
            [
            _MetaInfoClassMember('oam', REFERENCE_CLASS, 'Oam' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet.Oam', 
                [], [], 
                '''                To enable Ethernet Link OAM
                ''',
                'oam',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Negotiation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Negotiation',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable link autonegotiation
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'negotiation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Synchronous',
            False, 
            [
            _MetaInfoClassMember('mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mode
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Speed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Speed',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable AUTO speed configuration
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'nonegotiate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10 Mbps operation
                ''',
                'value_10',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-100', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                100 Mbps operation
                ''',
                'value_100',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-1000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                1000 Mbps operation
                ''',
                'value_1000',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10000 Mbps operation
                ''',
                'value_10000',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'speed',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the interface to accept all VLAN traffic
                ''',
                'disable',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter', 
                [], [], 
                '''                Configure VLAN filtering
                ''',
                'filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Plim.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Plim.Ethernet',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan', 
                [], [], 
                '''                vlan specific features
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'zero',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'strict-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue',
            False, 
            [
            _MetaInfoClassMember('strict-priority', REFERENCE_CLASS, 'StrictPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority', 
                [], [], 
                '''                High priority queue
                ''',
                'strict_priority',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('zero', REFERENCE_CLASS, 'Zero' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero', 
                [], [], 
                '''                Low priority queue
                ''',
                'zero',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Plim.Qos.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Plim.Qos.Input',
            False, 
            [
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue', 
                [], [], 
                '''                Queue number
                ''',
                'queue',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Plim.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Plim.Qos',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Plim.Qos.Input', 
                [], [], 
                '''                Configure PLIM QoS at the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Plim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Plim',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Plim.Ethernet', 
                [], [], 
                '''                Configure features on the ethernet interface
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Plim.Qos', 
                [], [], 
                '''                QoS on the PLIM
                ''',
                'qos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'plim',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Pppoe.Enable.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Pppoe.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Pppoe.Enable',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                attach a BBA group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum', 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Pppoe' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Pppoe',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Pppoe.Enable', 
                [], [], 
                '''                Enable pppoe
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-sessions', ATTRIBUTE, 'int' , None, None, 
                [('1', '4085')], [], 
                '''                Maximum PPPOE sessions
                ''',
                'max_sessions',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pppoe',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' : _MetaInfoEnum('Dot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum', 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' : _MetaInfoEnum('SecondDot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum' : _MetaInfoEnum('VlanTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0x88A8':'Y_0x88A8',
            '0x9100':'Y_0x9100',
            '0x9200':'Y_0x9200',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('second-dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum', 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('vlan-type', REFERENCE_ENUM_CLASS, 'VlanTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum', 
                [], [], 
                '''                Vlan Protocol Type
                ''',
                'vlan_type',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged',
            False, 
            [
            _MetaInfoClassMember('cos-container', REFERENCE_CLASS, 'CosContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer', 
                [], [], 
                '''                ''',
                'cos_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'priority-tagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Untagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Untagged',
            False, 
            [
            ],
            'Cisco-IOS-XE-ethernet',
            'untagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                catch-all unconfigured encapsulation
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-tagged', REFERENCE_CLASS, 'PriorityTagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged', 
                [], [], 
                '''                Priority tagged EFP
                ''',
                'priority_tagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', REFERENCE_CLASS, 'Untagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Untagged', 
                [], [], 
                '''                Untagged encapsulation
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP relay information option subscriber-id
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information
                ''',
                'information',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay
                ''',
                'relay',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source address
                ''',
                'source',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Ip',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp', 
                [], [], 
                '''                DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify', 
                [], [], 
                '''                verify
                ''',
                'verify',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Ipv6',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('traffic-filter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pop',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Push dot1q tag
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'push',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate',
            False, 
            [
            _MetaInfoClassMember('t1-to-1', REFERENCE_CLASS, 'T1To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1', 
                [], [], 
                '''                Translate 1-to-1
                ''',
                't1_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t1-to-2', REFERENCE_CLASS, 'T1To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2', 
                [], [], 
                '''                Translate 1-to-2
                ''',
                't1_to_2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-1', REFERENCE_CLASS, 'T2To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1', 
                [], [], 
                '''                Translate 2-to-1
                ''',
                't2_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-2', REFERENCE_CLASS, 'T2To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2', 
                [], [], 
                '''                Translate 2-to-2
                ''',
                't2_to_2',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag',
            False, 
            [
            _MetaInfoClassMember('pop', REFERENCE_CLASS, 'Pop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop', 
                [], [], 
                '''                Pop the tag
                ''',
                'pop',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('push', REFERENCE_CLASS, 'Push' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push', 
                [], [], 
                '''                Rewrite Operation of push
                ''',
                'push',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate', 
                [], [], 
                '''                Translate Tag
                ''',
                'translate',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress',
            False, 
            [
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag', 
                [], [], 
                '''                Configure Rewrite Tag
                ''',
                'tag',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ingress',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Rewrite' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Rewrite',
            False, 
            [
            _MetaInfoClassMember('ingress', REFERENCE_CLASS, 'Ingress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress', 
                [], [], 
                '''                Ingress Rewrite
                ''',
                'ingress',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'rewrite',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause',
            False, 
            [
            _MetaInfoClassMember('mac-security', ATTRIBUTE, 'int' , None, None, 
                [('30', '86400')], [], 
                '''                mac-security violation
                ''',
                'mac_security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause', 
                [], [], 
                '''                error disable cause
                ''',
                'cause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Errdisable',
            False, 
            [
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery', 
                [], [], 
                '''                enable auto recovery
                ''',
                'recovery',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange',
            False, 
            [
            _MetaInfoClassMember('comma', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                comma
                ''',
                'comma',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                hyphen
                ''',
                'hyphen',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For all VLANS [untagged,1-4094]
                ''',
                'any',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default EFP
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Untagged frames
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_CLASS, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map', 
                [], [], 
                '''                Configure ether lmi ce-vlan/evc map
                ''',
                'map',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ce-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi',
            False, 
            [
            _MetaInfoClassMember('ce-vlan', REFERENCE_CLASS, 'CeVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan', 
                [], [], 
                '''                Configure ether lmi customer vlans
                ''',
                'ce_vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'lmi',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the wire
                ''',
                'external',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the relay
                ''',
                'internal',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit', 
                [], [], 
                '''                Allow data plane loopback to be activated
                ''',
                'permit',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet',
            False, 
            [
            _MetaInfoClassMember('lmi', REFERENCE_CLASS, 'Lmi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi', 
                [], [], 
                '''                Configure ether lmi parameters
                ''',
                'lmi',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('loopback', REFERENCE_CLASS, 'Loopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback', 
                [], [], 
                '''                Ethernet Dataplane Loopback
                ''',
                'loopback',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet', 
                [], [], 
                '''                ethernet
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence
                ''',
                'persist',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the service instance
                ''',
                'ifindex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '13')], [], 
                '''                Split-horizon group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'split-horizon',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'bridge_id',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('from-encapsulation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from-encapsulation
                ''',
                'from_encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('split-horizon', REFERENCE_CLASS, 'SplitHorizon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon', 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'bridge-domain',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum',
            False, 
            [
            _MetaInfoClassMember('addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum addresses that can be learnt on this service instance
                ''',
                'addresses',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.Mac.Security' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Mac.Security',
            False, 
            [
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum', 
                [], [], 
                '''                Configure an upper bound
                ''',
                'maximum',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.ViolationEnum', 
                [], [], 
                '''                Configure the response when a MAC security policy is violated
                ''',
                'violation',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Mac',
            False, 
            [
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Mac.Security', 
                [], [], 
                '''                MAC Security commands
                ''',
                'security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LIST, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Input', 
                [], [], 
                '''                service policy input
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('output', REFERENCE_LIST, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Output', 
                [], [], 
                '''                service policy output
                ''',
                'output',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure a domain for this mep
                ''',
                'domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mpid', ATTRIBUTE, 'int' , None, None, 
                [('1', '8191')], [], 
                '''                Maintenance End Point Identifier
                ''',
                'mpid',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mep',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.Cfm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.Cfm',
            False, 
            [
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation', 
                [], [], 
                '''                Configure CFM ethernet frame encapsulation
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mep', REFERENCE_CLASS, 'Mep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep', 
                [], [], 
                '''                Maintenance End Point
                ''',
                'mep',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mip', REFERENCE_CLASS, 'Mip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip', 
                [], [], 
                '''                Maintenance Intermediate Point
                ''',
                'mip',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'forward',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance.L2Protocol',
            False, 
            [
            _MetaInfoClassMember('forward', REFERENCE_CLASS, 'Forward' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward', 
                [], [], 
                '''                forward L2 control protocol packets as data
                ''',
                'forward',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer', 
                [], [], 
                '''                peer L2 control protocol packets as data
                ''',
                'peer',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel', 
                [], [], 
                '''                tunnel L2 control protocol packets as data
                ''',
                'tunnel',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'l2protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service.Instance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service.Instance',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4000')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', True),
            _MetaInfoClassMember('bridge-domain', REFERENCE_CLASS, 'BridgeDomain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain', 
                [], [], 
                '''                Bridge-domain
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cfm', REFERENCE_CLASS, 'Cfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Cfm', 
                [], [], 
                '''                Ethernet CFM EFP subcommands
                ''',
                'cfm',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Service instance specific description
                ''',
                'description',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Encapsulation', 
                [], [], 
                '''                Configure ethernet frame match criteria
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Errdisable', 
                [], [], 
                '''                Configure error disable
                ''',
                'errdisable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an Ethernet Instance
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-container', REFERENCE_CLASS, 'EthernetContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer', 
                [], [], 
                '''                ''',
                'ethernet_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-evc-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ethernet_evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('evc-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                ''',
                'evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an GigabitEthernet Instance
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('l2protocol', REFERENCE_CLASS, 'L2Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.L2Protocol', 
                [], [], 
                '''                Configure l2 control protocol processing
                ''',
                'l2protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Mac', 
                [], [], 
                '''                Commands for MAC Address-based features
                ''',
                'mac',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('rewrite', REFERENCE_CLASS, 'Rewrite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Rewrite', 
                [], [], 
                '''                Configure ethernet rewrite criteria
                ''',
                'rewrite',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy', 
                [], [], 
                '''                Attach a policy-map to an EFP
                ''',
                'service_policy',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Take the Service Instance out of Service
                ''',
                'shutdown',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance.Snmp', 
                [], [], 
                '''                Modify SNMP service instance parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trunk Service Instance
                ''',
                'trunk',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Service' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Service',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service.Instance', 
                [], [], 
                '''                Configure Ether Service Instance
                ''',
                'instance',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cdp.Tlv.App' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cdp.Tlv.App',
            False, 
            [
            _MetaInfoClassMember('tlvtype', ATTRIBUTE, 'int' , None, None, 
                [('1001', '65535')], [], 
                '''                Configure APP TLV
                ''',
                'tlvtype',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure App TLV Value information
                ''',
                'value',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'app',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cdp.Tlv' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cdp.Tlv',
            False, 
            [
            _MetaInfoClassMember('app', REFERENCE_CLASS, 'App' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cdp.Tlv.App', 
                [], [], 
                '''                Enable/Configure Application TLV
                ''',
                'app',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exchange location information
                ''',
                'location',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('server-location', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable CDP location server on interface
                ''',
                'server_location',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cdp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cdp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable CDP on interface
                ''',
                'enable',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('tlv', REFERENCE_CLASS, 'Tlv' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cdp.Tlv', 
                [], [], 
                '''                Enable exchange of specific tlv information
                ''',
                'tlv',
                'Cisco-IOS-XE-cdp', False),
            ],
            'Cisco-IOS-XE-cdp',
            'cdp',
            _yang_ns._namespaces['Cisco-IOS-XE-cdp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Nhrp.EventPublisher' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Nhrp.EventPublisher',
            False, 
            [
            _MetaInfoClassMember('max-event-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '22')], [], 
                '''                Number of seconds
                ''',
                'max_event_timeout',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'event-publisher',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                QoS policy-map name
                ''',
                'output',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName',
            False, 
            [
            _MetaInfoClassMember('nhrp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NHRP group name
                ''',
                'nhrp_name',
                'Cisco-IOS-XE-tunnel', True),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy', 
                [], [], 
                '''                QoS service-policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'nhrp-name',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Nhrp.Map.Group' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Nhrp.Map.Group',
            False, 
            [
            _MetaInfoClassMember('nhrp-name', REFERENCE_LIST, 'NhrpName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName', 
                [], [], 
                '''                ''',
                'nhrp_name',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Nhrp.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Nhrp.Map',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Nhrp.Map.Group', 
                [], [], 
                '''                NHRP group mapping
                ''',
                'group',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Nhrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Nhrp',
            False, 
            [
            _MetaInfoClassMember('event-publisher', REFERENCE_CLASS, 'EventPublisher' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Nhrp.EventPublisher', 
                [], [], 
                '''                Enable NHRP smart spoke feature
                ''',
                'event_publisher',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                group name string
                ''',
                'group',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Nhrp.Map', 
                [], [], 
                '''                Map group name to QoS service policy
                ''',
                'map',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('route-watch', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable NHRP route watch
                ''',
                'route_watch',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'nhrp',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Tun6Rd.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Tun6Rd.Ipv4',
            False, 
            [
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Common IPv4 transport source prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('suffix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Common IPv4 transport source suffix length
                ''',
                'suffix_len',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Tun6Rd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Tun6Rd',
            False, 
            [
            _MetaInfoClassMember('br', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Border Relay parameters
                ''',
                'br',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Tun6Rd.Ipv4', 
                [], [], 
                '''                Common IPv4 transport source parameters
                ''',
                'ipv4',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                Provider selected common IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('reverse-map-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable source IP address and port verification
                ''',
                'reverse_map_check',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'tun-6rd',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Receive bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmit bandwidth
                ''',
                'transmit',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.DstPort' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.DstPort',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set Destination Port Dynamically
                ''',
                'dynamic',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('port-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'port_num',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                apply QoS service policy in the output direction
                ''',
                'output',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Endpoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Endpoint',
            False, 
            [
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy', 
                [], [], 
                '''                Set service-policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'endpoint',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Fixup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Fixup',
            False, 
            [
            _MetaInfoClassMember('nat', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable post nat fixup 
                ''',
                'nat',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'fixup',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Flow',
            False, 
            [
            _MetaInfoClassMember('egress-records', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable egress flow records 
                ''',
                'egress_records',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv4',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv6',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv4', 
                [], [], 
                '''                over IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv6', 
                [], [], 
                '''                over IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('gre-ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'gre_ip',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls',
            False, 
            [
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls.TrafficEng', 
                [], [], 
                '''                Traffic engineering tunnels
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet.GreEnum' : _MetaInfoEnum('GreEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XE-tunnel', _yang_ns._namespaces['Cisco-IOS-XE-tunnel']),
    'Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet',
            False, 
            [
            _MetaInfoClassMember('gre', REFERENCE_ENUM_CLASS, 'GreEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet.GreEnum', 
                [], [], 
                '''                Ethernet over gre
                ''',
                'gre',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mode.Gre.Multipoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mode.Gre.Multipoint',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                over IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'multipoint',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mode.Gre' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mode.Gre',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                over IP
                ''',
                'ip',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                over IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('multipoint', REFERENCE_CLASS, 'Multipoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.Gre.Multipoint', 
                [], [], 
                '''                over IPv4 (multipoint)
                ''',
                'multipoint',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mode.Ipip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mode.Ipip',
            False, 
            [
            _MetaInfoClassMember('decapsulate-any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Incoming traffic only
                ''',
                'decapsulate_any',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'ipip',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mode.Ipv6Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mode.Ipv6Ip',
            False, 
            [
            _MetaInfoClassMember('auto-6rd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 automatic tunnelling using 6rd
                ''',
                'auto_6rd',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('auto-6to4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 automatic tunnelling using 6to4
                ''',
                'auto_6to4',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('isatap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 automatic tunnelling using ISATAP
                ''',
                'isatap',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'ipv6ip',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mode.UdpEnum' : _MetaInfoEnum('UdpEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ip':'ip',
            'multipoint':'multipoint',
        }, 'Cisco-IOS-XE-tunnel', _yang_ns._namespaces['Cisco-IOS-XE-tunnel']),
    'Native.Interface.VirtualTemplate.Tunnel.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mode',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet', 
                [], [], 
                '''                Ethernet over gre
                ''',
                'ethernet',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.Gre', 
                [], [], 
                '''                generic route encapsulation protocol
                ''',
                'gre',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipip', REFERENCE_CLASS, 'Ipip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.Ipip', 
                [], [], 
                '''                IP over IP encapsulation
                ''',
                'ipip',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec', 
                [], [], 
                '''                IPSec tunnel encapsulation
                ''',
                'ipsec',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generic packet tunneling in IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ipv6ip', REFERENCE_CLASS, 'Ipv6Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.Ipv6Ip', 
                [], [], 
                '''                IPv6 over IP encapsulation
                ''',
                'ipv6ip',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls', 
                [], [], 
                '''                MPLS encapsulations
                ''',
                'mpls',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('udp', REFERENCE_ENUM_CLASS, 'UdpEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode.UdpEnum', 
                [], [], 
                '''                UDP encapsulation protocol
                ''',
                'udp',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.NetworkId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.NetworkId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('nexthop', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('qos', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                QoS profile
                ''',
                'qos',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                weight
                ''',
                'weight',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'network-id',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.PathMtuDiscovery',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Protection',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Affinity' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Affinity',
            False, 
            [
            _MetaInfoClassMember('attributes', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'attributes',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw',
            False, 
            [
            _MetaInfoClassMember('max-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set the Maximum Bandwidth for auto-bw on this tunnel
                ''',
                'max_bw',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'auto-bw',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric',
            False, 
            [
            _MetaInfoClassMember('absolute', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Absolute metric value
                ''',
                'absolute',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('relative', ATTRIBUTE, 'int' , None, None, 
                [('-10', '10')], [], 
                '''                ''',
                'relative',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute',
            False, 
            [
            _MetaInfoClassMember('announce', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'announce',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('destination', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'destination',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric', 
                [], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'autoroute',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Priority',
            False, 
            [
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'hold_priority',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'setup_priority',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 PCE address
                ''',
                'address',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('segment-routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify segment-routing for this pathoption
                ''',
                'segment_routing',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'pce',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE IPv4 address
                ''',
                'address',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'pce',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting',
            False, 
            [
            _MetaInfoClassMember('pce', REFERENCE_CLASS, 'Pce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce', 
                [], [], 
                '''                Use PCE for path computation
                ''',
                'pce',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'segment-routing',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic',
            False, 
            [
            _MetaInfoClassMember('pce', REFERENCE_CLASS, 'Pce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce', 
                [], [], 
                '''                Use PCE for path computation
                ''',
                'pce',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('segment-routing', REFERENCE_CLASS, 'SegmentRouting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting', 
                [], [], 
                '''                specify segment-routing for this pathoption
                ''',
                'segment_routing',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Name' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Name',
            False, 
            [
            _MetaInfoClassMember('exp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'exp_name',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('segment-routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'segment_routing',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('name', REFERENCE_CLASS, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'explicit',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Lockdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Lockdown',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'lockdown',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-tunnel', True),
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic', 
                [], [], 
                '''                setup based on dynamically calculcated path
                ''',
                'dynamic',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('explicit', REFERENCE_CLASS, 'Explicit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit', 
                [], [], 
                '''                ''',
                'explicit',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('lockdown', REFERENCE_CLASS, 'Lockdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Lockdown', 
                [], [], 
                '''                ''',
                'lockdown',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'working',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'explicit',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Lockdown' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Lockdown',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'lockdown',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-tunnel', True),
            _MetaInfoClassMember('explicit', REFERENCE_CLASS, 'Explicit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit', 
                [], [], 
                '''                ''',
                'explicit',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('lockdown', REFERENCE_CLASS, 'Lockdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Lockdown', 
                [], [], 
                '''                ''',
                'lockdown',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'protect',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption',
            False, 
            [
            _MetaInfoClassMember('protect', REFERENCE_LIST, 'Protect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect', 
                [], [], 
                '''                ''',
                'protect',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('working', REFERENCE_LIST, 'Working' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working', 
                [], [], 
                '''                ''',
                'working',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'path-option',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.FastReroute',
            False, 
            [
            ],
            'Cisco-IOS-XE-tunnel',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop Tunnel Traffic
                ''',
                'drop',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '60000')], [], 
                '''                Enter path invalidation timer value in milliseconds
                ''',
                'value',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'invalidation',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency',
            False, 
            [
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use only protected adjacencies
                ''',
                'protected',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('unprotected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use only unprotected adjacencies
                ''',
                'unprotected',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'adjacency',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting',
            False, 
            [
            _MetaInfoClassMember('adjacency', REFERENCE_CLASS, 'Adjacency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency', 
                [], [], 
                '''                Segment-routing adjacency path-selection type
                ''',
                'adjacency',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'segment-routing',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.MetricEnum' : _MetaInfoEnum('MetricEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'igp':'igp',
            'te':'te',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection',
            False, 
            [
            _MetaInfoClassMember('invalidation', REFERENCE_CLASS, 'Invalidation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation', 
                [], [], 
                '''                Path invalidation configuration
                ''',
                'invalidation',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('metric', REFERENCE_ENUM_CLASS, 'MetricEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.MetricEnum', 
                [], [], 
                '''                Metric Type Configuration
                ''',
                'metric',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('segment-routing', REFERENCE_CLASS, 'SegmentRouting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting', 
                [], [], 
                '''                Segment-routing path-selection options
                ''',
                'segment_routing',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'path-selection',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Affinity', 
                [], [], 
                '''                ''',
                'affinity',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('auto-bw', REFERENCE_CLASS, 'AutoBw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw', 
                [], [], 
                '''                Specify mpls tunnel should automatically change bw
                ''',
                'auto_bw',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('autoroute', REFERENCE_CLASS, 'Autoroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute', 
                [], [], 
                '''                ''',
                'autoroute',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'bandwidth',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.FastReroute', 
                [], [], 
                '''                ''',
                'fast_reroute',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('path-option', REFERENCE_CLASS, 'PathOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption', 
                [], [], 
                '''                ''',
                'path_option',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('path-selection', REFERENCE_CLASS, 'PathSelection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection', 
                [], [], 
                '''                Path Selection Configuration
                ''',
                'path_selection',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Mpls',
            False, 
            [
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng', 
                [], [], 
                '''                ''',
                'traffic_eng',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Rbscp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Rbscp',
            False, 
            [
            _MetaInfoClassMember('ack-split', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ACK splitting
                ''',
                'ack_split',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable delay
                ''',
                'delay',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('input-drop', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                max tunnel queue size (number of bw*delay)
                ''',
                'input_drop',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('long-drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop non-transmitted packets w/excessive delay
                ''',
                'long_drop',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('report', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable SCTP report chunk
                ''',
                'report',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('window-stuff', ATTRIBUTE, 'int' , None, None, 
                [('1', '20')], [], 
                '''                Window stuffing
                ''',
                'window_stuff',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'rbscp',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.SrcPort' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.SrcPort',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set Source Port Dynamically
                ''',
                'dynamic',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('port-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'port_num',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Udlr' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Udlr',
            False, 
            [
            _MetaInfoClassMember('address-resolution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ARP and NHRP over a UDLR Tunnel
                ''',
                'address_resolution',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('receive-only', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel is receive-only capable
                ''',
                'receive_only',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('send-only', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel is send-only capable
                ''',
                'send_only',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'udlr',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel.Vlan',
            False, 
            [
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'hyphen',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('id1', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id1',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('id2', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id2',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Tunnel.SnoopingEnum' : _MetaInfoEnum('SnoopingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'enable':'enable',
        }, 'Cisco-IOS-XE-tunnel', _yang_ns._namespaces['Cisco-IOS-XE-tunnel']),
    'Native.Interface.VirtualTemplate.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Tunnel',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Bandwidth', 
                [], [], 
                '''                Set tunnel bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable end to end checksumming of packets
                ''',
                'checksum',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('destination', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                destination of tunnel
                ''',
                'destination',
                'Cisco-IOS-XE-tunnel', False, [
                    _MetaInfoClassMember('destination', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        destination of tunnel
                        ''',
                        'destination',
                        'Cisco-IOS-XE-tunnel', False, [
                            _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                destination of tunnel
                                ''',
                                'destination',
                                'Cisco-IOS-XE-tunnel', False),
                            _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                destination of tunnel
                                ''',
                                'destination',
                                'Cisco-IOS-XE-tunnel', False),
                        ]),
                    _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        destination of tunnel
                        ''',
                        'destination',
                        'Cisco-IOS-XE-tunnel', False),
                ]),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.DstPort', 
                [], [], 
                '''                tunnel destination port
                ''',
                'dst_port',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('endpoint', REFERENCE_CLASS, 'Endpoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Endpoint', 
                [], [], 
                '''                Set endpoint parameter
                ''',
                'endpoint',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('entropy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compute hash (entropy) on payload and propagate to tunnel header
                ''',
                'entropy',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('fixup', REFERENCE_CLASS, 'Fixup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Fixup', 
                [], [], 
                '''                fixup on tunnel interface
                ''',
                'fixup',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Flow', 
                [], [], 
                '''                flow options
                ''',
                'flow',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                security or selector key
                ''',
                'key',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mode', 
                [], [], 
                '''                tunnel encapsulation method
                ''',
                'mode',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('network-id', REFERENCE_CLASS, 'NetworkId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.NetworkId', 
                [], [], 
                '''                Set network-id
                ''',
                'network_id',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.PathMtuDiscovery', 
                [], [], 
                '''                Enable Path MTU Discovery on tunnel
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Protection', 
                [], [], 
                '''                Enable tunnel protection
                ''',
                'protection',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('raw-packet-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                physical interface for all packets entering itto be tunneled and for all packets entering the tunnel to exit
                ''',
                'raw_packet_interface',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('rbscp', REFERENCE_CLASS, 'Rbscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Rbscp', 
                [], [], 
                '''                Set tunnel RBSCP parameters
                ''',
                'rbscp',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('snooping', REFERENCE_ENUM_CLASS, 'SnoopingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.SnoopingEnum', 
                [], [], 
                '''                Snooping on tunnel
                ''',
                'snooping',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                source of tunnel packets
                ''',
                'source',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.SrcPort', 
                [], [], 
                '''                tunnel source port
                ''',
                'src_port',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                set type of sevice byte
                ''',
                'tos',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                set time to live
                ''',
                'ttl',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('tun-6rd', REFERENCE_CLASS, 'Tun6Rd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Tun6Rd', 
                [], [], 
                '''                set tunnel 6rd parameters
                ''',
                'tun_6rd',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('udlr', REFERENCE_CLASS, 'Udlr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Udlr', 
                [], [], 
                '''                associate tunnel with unidirectional interface
                ''',
                'udlr',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel.Vlan', 
                [], [], 
                '''                Set vlan-id for ethernet over gre mode
                ''',
                'vlan',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                set tunnel vrf membership
                ''',
                'vrf',
                'Cisco-IOS-XE-tunnel', False),
            ],
            'Cisco-IOS-XE-tunnel',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-tunnel'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Crypto.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Crypto.Map',
            False, 
            [
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                enable redundancy
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('stateful', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable stateful failover
                ''',
                'stateful',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Crypto.Ipsec.DfBitEnum' : _MetaInfoEnum('DfBitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.VirtualTemplate.Crypto.Ipsec.FragmentationEnum' : _MetaInfoEnum('FragmentationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'after-encryption':'after_encryption',
            'before-encryption':'before_encryption',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Interface.VirtualTemplate.Crypto.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Crypto.Ipsec',
            False, 
            [
            _MetaInfoClassMember('df-bit', REFERENCE_ENUM_CLASS, 'DfBitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Crypto.Ipsec.DfBitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'df_bit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_ENUM_CLASS, 'FragmentationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Crypto.Ipsec.FragmentationEnum', 
                [], [], 
                '''                Handling of fragmentation of near-MTU sized packets
                ''',
                'fragmentation',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Crypto' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Crypto',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Crypto.Ipsec', 
                [], [], 
                '''                Set IPSec parameters
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Crypto.Map', 
                [], [], 
                '''                Assign a Crypto Map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crypto',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('2', '65519')], [], 
                '''                Source Security Group Tag to apply to untagged or non-trusted incoming traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Source Group Tags (SGT) that the peer uses for sending
                ''',
                'trusted',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts.Manual.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts.Manual.Policy',
            False, 
            [
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static', 
                [], [], 
                '''                Configure policy to be applied on the link
                ''',
                'static',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac',
            False, 
            [
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encapsulation present, no authentication, 
                     no encryption
                ''',
                'null',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gcm-encrypt',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'no-encap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', REFERENCE_CLASS, 'GcmEncrypt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt', 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('no-encap', REFERENCE_CLASS, 'NoEncap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap', 
                [], [], 
                '''                No encapsulation
                ''',
                'no_encap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'mode-list',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('mode-list', REFERENCE_CLASS, 'ModeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList', 
                [], [], 
                '''                List of advertised modes (prioritized from highest to lowest)
                ''',
                'mode_list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'pmk',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts.Manual.Sap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts.Manual.Sap',
            False, 
            [
            _MetaInfoClassMember('pmk', REFERENCE_LIST, 'Pmk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk', 
                [], [], 
                '''                Pre-Master Key (PMK) to use for CTS SAP
                ''',
                'pmk',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts.Manual.Propagate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts.Manual.Propagate',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CTS SGT Propagation configuration
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'propagate',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts.Manual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts.Manual',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts.Manual.Policy', 
                [], [], 
                '''                CTS policy for manual mode
                ''',
                'policy',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('propagate', REFERENCE_CLASS, 'Propagate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts.Manual.Propagate', 
                [], [], 
                '''                CTS SGT Propagation configuration for manual mode
                ''',
                'propagate',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sap', REFERENCE_CLASS, 'Sap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts.Manual.Sap', 
                [], [], 
                '''                CTS SAP configuration for manual mode
                ''',
                'sap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'manual',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Cts',
            False, 
            [
            _MetaInfoClassMember('manual', REFERENCE_CLASS, 'Manual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts.Manual', 
                [], [], 
                '''                Supply local configuration for CTS parameters
                ''',
                'manual',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Clear Enable/Disable ifIndex persistence
                ''',
                'clear',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence 
                ''',
                'persist',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit',
            False, 
            [
            _MetaInfoClassMember('duplicates', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Permit duplicate SNMP LINKUP and LINKDOWN traps
                ''',
                'duplicates',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit', 
                [], [], 
                '''                Permit the following capability
                ''',
                'permit',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas',
            False, 
            [
            _MetaInfoClassMember('link-status', REFERENCE_CLASS, 'LinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus', 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status-capas',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('link-status-capas', REFERENCE_CLASS, 'LinkStatusCapas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas', 
                [], [], 
                '''                ''',
                'link_status_capas',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the interface
                ''',
                'ifindex',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ppp.Chap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ppp.Chap',
            False, 
            [
            _MetaInfoClassMember('challenge-length', ATTRIBUTE, 'int' , None, None, 
                [('16', '63')], [], 
                '''                Challenge Length for CHAP
                ''',
                'challenge_length',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set alternate CHAP hostname
                ''',
                'hostname',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'chap',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ppp.Authentication.MethodEnum' : _MetaInfoEnum('MethodEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'chap':'chap',
            'eap':'eap',
            'ms-chap':'ms_chap',
            'ms-chap-v2':'ms_chap_v2',
            'pap':'pap',
        }, 'Cisco-IOS-XE-ppp', _yang_ns._namespaces['Cisco-IOS-XE-ppp']),
    'Native.Interface.VirtualTemplate.Ppp.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ppp.Authentication',
            False, 
            [
            _MetaInfoClassMember('callback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authenticate remote on callback only
                ''',
                'callback',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('callin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authenticate remote on incoming call only
                ''',
                'callin',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('callout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authenticate remote on outgoing call only
                ''',
                'callout',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('chap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'chap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use the default authentication list
                ''',
                'default',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('eap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Extensible Authentication Protocol (EAP)
                ''',
                'eap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list_name',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('method', REFERENCE_ENUM_CLASS, 'MethodEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.Authentication.MethodEnum', 
                [], [], 
                '''                ''',
                'method',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('ms-chap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microsoft Challenge Handshake Authentication Protocol (MS-CHAP)
                ''',
                'ms_chap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('ms-chap-v2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microsoft CHAP Version 2 (MS-CHAP-V2)
                ''',
                'ms_chap_v2',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('one-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow use of username*OTP for one-time passwords
                ''',
                'one_time',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('optional', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow peer to refuse to authenticate
                ''',
                'optional',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('pap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Password Authentication Protocol (PAP)
                ''',
                'pap',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns',
            False, 
            [
            _MetaInfoClassMember('primary', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'dns',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ppp.Ipcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ppp.Ipcp',
            False, 
            [
            _MetaInfoClassMember('dns', REFERENCE_CLASS, 'Dns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns', 
                [], [], 
                '''                Specify DNS negotiation options
                ''',
                'dns',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'ipcp',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum',
            False, 
            [
            _MetaInfoClassMember('mandatory', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable network layer until minimum number of links is reach
                ''',
                'mandatory',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('minimum-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'minimum_value',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'minimum',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ppp.Multilink.Links' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ppp.Multilink.Links',
            False, 
            [
            _MetaInfoClassMember('minimum', REFERENCE_CLASS, 'Minimum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum', 
                [], [], 
                '''                Minimum number of links desired in the bundle
                ''',
                'minimum',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'links',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use specified string
                ''',
                'string',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'endpoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay',
            False, 
            [
            _MetaInfoClassMember('additional-delay-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '999')], [], 
                '''                ''',
                'additional_delay_value',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('delay-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                ''',
                'delay_value',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay', 
                [], [], 
                '''                Specify the maximum delay for each fragment
                ''',
                'delay',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'fragment',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ppp.Multilink' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ppp.Multilink',
            False, 
            [
            _MetaInfoClassMember('endpoint', REFERENCE_CLASS, 'Endpoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint', 
                [], [], 
                '''                Configure the local Endpoint Discriminator
                ''',
                'endpoint',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('fragment', REFERENCE_CLASS, 'Fragment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment', 
                [], [], 
                '''                Specify fragmentation parameters
                ''',
                'fragment',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Put interface in a multilink bundle
                ''',
                'group',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('links', REFERENCE_CLASS, 'Links' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.Multilink.Links', 
                [], [], 
                '''                Specify the limits on the number of links in a bundle
                ''',
                'links',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'multilink',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Ppp.AccountingEnum' : _MetaInfoEnum('AccountingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-ppp', _yang_ns._namespaces['Cisco-IOS-XE-ppp']),
    'Native.Interface.VirtualTemplate.Ppp.AuthorizationEnum' : _MetaInfoEnum('AuthorizationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-ppp', _yang_ns._namespaces['Cisco-IOS-XE-ppp']),
    'Native.Interface.VirtualTemplate.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Ppp',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set PPP network accounting method
                ''',
                'accounting',
                'Cisco-IOS-XE-ppp', False, [
                    _MetaInfoClassMember('accounting', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Set PPP network accounting method
                        ''',
                        'accounting',
                        'Cisco-IOS-XE-ppp', False),
                    _MetaInfoClassMember('accounting', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Ppp.AccountingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.AccountingEnum', 
                        [], [], 
                        '''                        Set PPP network accounting method
                        ''',
                        'accounting',
                        'Cisco-IOS-XE-ppp', False),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.Authentication', 
                [], [], 
                '''                Set PPP link authentication method
                ''',
                'authentication',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('authorization', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set PPP network authorization method
                ''',
                'authorization',
                'Cisco-IOS-XE-ppp', False, [
                    _MetaInfoClassMember('authorization', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Set PPP network authorization method
                        ''',
                        'authorization',
                        'Cisco-IOS-XE-ppp', False),
                    _MetaInfoClassMember('authorization', REFERENCE_ENUM_CLASS, 'Native.Interface.VirtualTemplate.Ppp.AuthorizationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.AuthorizationEnum', 
                        [], [], 
                        '''                        Set PPP network authorization method
                        ''',
                        'authorization',
                        'Cisco-IOS-XE-ppp', False),
                ]),
            _MetaInfoClassMember('chap', REFERENCE_CLASS, 'Chap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.Chap', 
                [], [], 
                '''                Set CHAP authentication parameters
                ''',
                'chap',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('ipcp', REFERENCE_CLASS, 'Ipcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.Ipcp', 
                [], [], 
                '''                Set IPCP negotiation options
                ''',
                'ipcp',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('multilink', REFERENCE_CLASS, 'Multilink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp.Multilink', 
                [], [], 
                '''                Make interface multilink capable
                ''',
                'multilink',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.Mab' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.Mab',
            False, 
            [
            _MetaInfoClassMember('eap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'eap',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'mab',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.ZoneMember' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate.ZoneMember',
            False, 
            [
            _MetaInfoClassMember('security', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Security zone
                ''',
                'security',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-zone',
            'zone-member',
            _yang_ns._namespaces['Cisco-IOS-XE-zone'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.VirtualTemplate.ChannelProtocolEnum' : _MetaInfoEnum('ChannelProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lacp':'lacp',
            'pagp':'pagp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.DuplexEnum' : _MetaInfoEnum('DuplexEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'full':'full',
            'half':'half',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.VirtualTemplate.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ethernet':'ethernet',
            'serial':'serial',
            'tunnel':'tunnel',
            'vpn':'vpn',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.VirtualTemplate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.VirtualTemplate',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('carrier-delay', REFERENCE_CLASS, 'CarrierDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.CarrierDelay', 
                [], [], 
                '''                Specify delay for interface transitions
                ''',
                'carrier_delay',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cdp', REFERENCE_CLASS, 'Cdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cdp', 
                [], [], 
                '''                CDP interface subcommands
                ''',
                'cdp',
                'Cisco-IOS-XE-cdp', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('channel-group', REFERENCE_CLASS, 'ChannelGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ChannelGroup', 
                [], [], 
                '''                Add this interface to an Etherchannel group
                ''',
                'channel_group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('channel-protocol', REFERENCE_ENUM_CLASS, 'ChannelProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ChannelProtocolEnum', 
                [], [], 
                '''                Select the channel protocol (LACP, PAgP)
                ''',
                'channel_protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('crypto', REFERENCE_CLASS, 'Crypto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Crypto', 
                [], [], 
                '''                Encryption/Decryption commands
                ''',
                'crypto',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Cts', 
                [], [], 
                '''                Configure Cisco Trusted Security
                ''',
                'cts',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'DuplexEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.DuplexEnum', 
                [], [], 
                '''                Configure duplex operation.
                ''',
                'duplex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ethernet', 
                [], [], 
                '''                Ethernet interface parameters
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mab', REFERENCE_CLASS, 'Mab' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Mab', 
                [], [], 
                '''                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiation', REFERENCE_CLASS, 'Negotiation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Negotiation', 
                [], [], 
                '''                Select autonegotiation mode
                ''',
                'negotiation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('nhrp', REFERENCE_CLASS, 'Nhrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Nhrp', 
                [], [], 
                '''                NHRP Interface commands
                ''',
                'nhrp',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('plim', REFERENCE_CLASS, 'Plim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Plim', 
                [], [], 
                '''                Configure features on the PLIM
                ''',
                'plim',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Ppp', 
                [], [], 
                '''                Point-to-Point Protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('pppoe', REFERENCE_CLASS, 'Pppoe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Pppoe', 
                [], [], 
                '''                pppoe interface subcommands
                ''',
                'pppoe',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Service', 
                [], [], 
                '''                Configure Ether Service
                ''',
                'service',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Snmp', 
                [], [], 
                '''                Modify SNMP interface parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('speed', REFERENCE_CLASS, 'Speed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Speed', 
                [], [], 
                '''                Configure speed operation
                ''',
                'speed',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Synchronous', 
                [], [], 
                '''                Synchronous
                ''',
                'synchronous',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Tunnel', 
                [], [], 
                '''                protocol-over-protocol tunneling
                ''',
                'tunnel',
                'Cisco-IOS-XE-tunnel', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.TypeEnum', 
                [], [], 
                '''                type of the virtual-template
                ''',
                'type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zone-member', REFERENCE_CLASS, 'ZoneMember' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate.ZoneMember', 
                [], [], 
                '''                Apply zone name
                ''',
                'zone_member',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-native',
            'Virtual-Template',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Bfd.Interval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Bfd.Interval',
            False, 
            [
            _MetaInfoClassMember('min_rx', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                Minimum receive interval capability
                ''',
                'min_rx',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('msecs', ATTRIBUTE, 'int' , None, None, 
                [('100', '999')], [], 
                '''                ''',
                'msecs',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('3', '50')], [], 
                '''                Multiplier value used to compute holddown
                ''',
                'multiplier',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'interval',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Bfd',
            False, 
            [
            _MetaInfoClassMember('echo', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use echo adjunct as bfd detection mechanism
                ''',
                'echo',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('interval', REFERENCE_CLASS, 'Interval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Bfd.Interval', 
                [], [], 
                '''                Transmit interval between BFD packets
                ''',
                'interval',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD template
                ''',
                'template',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '*':'Y__STAR__',
        }, 'Cisco-IOS-XE-igmp', _yang_ns._namespaces['Cisco-IOS-XE-igmp']),
    'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-igmp', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum', 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-igmp', True),
                ]),
            ],
            'Cisco-IOS-XE-igmp',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.ClassMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.ClassMap',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-igmp', True),
            ],
            'Cisco-IOS-XE-igmp',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.ClassMap', 
                [], [], 
                '''                Class map of type multicast-flows
                ''',
                'class_map',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('groups', REFERENCE_LIST, 'Groups' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups', 
                [], [], 
                '''                ''',
                'groups',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'static-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Igmp.JoinGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Igmp.JoinGroup',
            False, 
            [
            _MetaInfoClassMember('ip-group-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP group address
                ''',
                'ip_group_address',
                'Cisco-IOS-XE-igmp', True),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP source address
                ''',
                'source',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'join-group',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip.Igmp',
            False, 
            [
            _MetaInfoClassMember('join-group', REFERENCE_LIST, 'JoinGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.JoinGroup', 
                [], [], 
                '''                IGMP join multicast group
                ''',
                'join_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('static-group', REFERENCE_CLASS, 'StaticGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup', 
                [], [], 
                '''                IGMP static multicast group
                ''',
                'static_group',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-igmp', False),
            ],
            'Cisco-IOS-XE-igmp',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-igmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Igmp', 
                [], [], 
                '''                IGMP interface commands
                ''',
                'igmp',
                'Cisco-IOS-XE-igmp', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ipv6.Dhcp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ipv6.Nd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.CarrierDelay.Down' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.CarrierDelay.Down',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'down',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.CarrierDelay.Up' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.CarrierDelay.Up',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'up',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.CarrierDelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.CarrierDelay',
            False, 
            [
            _MetaInfoClassMember('down', REFERENCE_CLASS, 'Down' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.CarrierDelay.Down', 
                [], [], 
                '''                Carrier Down Transitions
                ''',
                'down',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                delay specified in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('up', REFERENCE_CLASS, 'Up' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.CarrierDelay.Up', 
                [], [], 
                '''                Carrier Up Transitions
                ''',
                'up',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'carrier-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.ChannelGroup.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'auto':'auto',
            'desirable':'desirable',
            'on':'on',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.ChannelGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.ChannelGroup',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                LACP auto
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link', ATTRIBUTE, 'int' , None, None, 
                [('1', '4')], [], 
                '''                Assign a link identifier used for load-balancing
                ''',
                'link',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ChannelGroup.ModeEnum', 
                [], [], 
                '''                Etherchannel Mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('non-silent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start negotiation only after data packets received
                ''',
                'non_silent',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '512')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'channel-group',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame threshold in number of frames
                ''',
                'thresh',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold', 
                [], [], 
                '''                Errored frame threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '600')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('f-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high errored frame-period threshold in number of frames
                ''',
                'f_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low errored frame-period threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold', 
                [], [], 
                '''                Errored frame-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 10000 frames
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('e-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the high errored frame-seconds threshold in number of seconds
                ''',
                'e_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '900')], [], 
                '''                Set the low errored frame-seconds threshold in number of seconds
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('100', '9000')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'frame-seconds',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action', 
                [], [], 
                '''                Specifiy an action when the high threshold is crossed
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('crc-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high received crc error threshold in number of frames
                ''',
                'crc_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low received crc error threshold in number of frames
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold', 
                [], [], 
                '''                Errored frame-seconds threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                Set window size in multiple of 100 milliseconds (will be rounded off to second)
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'receive-crc',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High',
            False, 
            [
            _MetaInfoClassMember('err-thresh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set the high error symbol-period threshold in number of symbols
                ''',
                'err_thresh',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable high threshold
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High', 
                [], [], 
                '''                High Threshold
                ''',
                'high',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set the low error symbol-period threshold in number of symbols
                ''',
                'low',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold', 
                [], [], 
                '''                Error symbol-period threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set window size in number of 1048576 symbols
                ''',
                'window',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'symbol-period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor',
            False, 
            [
            _MetaInfoClassMember('frame', REFERENCE_CLASS, 'Frame' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame', 
                [], [], 
                '''                Errored frames in a period measured by time
                ''',
                'frame',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-period', REFERENCE_CLASS, 'FramePeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod', 
                [], [], 
                '''                Errored frames in a period measured by number of frames
                ''',
                'frame_period',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('frame-seconds', REFERENCE_CLASS, 'FrameSeconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds', 
                [], [], 
                '''                Errored frame seconds in a period
                ''',
                'frame_seconds',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('high-threshold', REFERENCE_CLASS, 'HighThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold', 
                [], [], 
                '''                Additional high threshold configuration
                ''',
                'high_threshold',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable link monitoring on the interface
                ''',
                'on',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('receive-crc', REFERENCE_CLASS, 'ReceiveCrc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc', 
                [], [], 
                '''                Received frames with CRC errors in a period
                ''',
                'receive_crc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support link monitoring on the interface
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('symbol-period', REFERENCE_CLASS, 'SymbolPeriod' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod', 
                [], [], 
                '''                Errored symbols in a period
                ''',
                'symbol_period',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'critical-event',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dying-gasp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault.Action',
            False, 
            [
            _MetaInfoClassMember('error-disable-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error-disable the interface
                ''',
                'error_disable_interface',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault.Action', 
                [], [], 
                '''                Specifiy an action when a remote failure is detected
                ''',
                'action',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-fault',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure',
            False, 
            [
            _MetaInfoClassMember('critical-event', REFERENCE_CLASS, 'CriticalEvent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent', 
                [], [], 
                '''                Critical event
                ''',
                'critical_event',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dying-gasp', REFERENCE_CLASS, 'DyingGasp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp', 
                [], [], 
                '''                Dying gasp
                ''',
                'dying_gasp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('link-fault', REFERENCE_CLASS, 'LinkFault' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault', 
                [], [], 
                '''                Link fault
                ''',
                'link_fault',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-failure',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteLoopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteLoopback',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Support remote loopback functionality
                ''',
                'supported',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set timeout value in number of seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'remote-loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet.Oam.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Ethernet.Oam' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet.Oam',
            False, 
            [
            _MetaInfoClassMember('link-monitor', REFERENCE_CLASS, 'LinkMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor', 
                [], [], 
                '''                Ethernet OAM Link Monitor
                ''',
                'link_monitor',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'max_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('min-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'min_rate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-failure', REFERENCE_CLASS, 'RemoteFailure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure', 
                [], [], 
                '''                Ethernet OAM remote failure indication
                ''',
                'remote_failure',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-loopback', REFERENCE_CLASS, 'RemoteLoopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteLoopback', 
                [], [], 
                '''                Ethernet OAM Remote Loopback
                ''',
                'remote_loopback',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('2', '30')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'oam',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Ethernet',
            False, 
            [
            _MetaInfoClassMember('oam', REFERENCE_CLASS, 'Oam' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet.Oam', 
                [], [], 
                '''                To enable Ethernet Link OAM
                ''',
                'oam',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Negotiation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Negotiation',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable link autonegotiation
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'negotiation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Synchronous',
            False, 
            [
            _MetaInfoClassMember('mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mode
                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Speed' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Speed',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable AUTO speed configuration
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'nonegotiate',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10 Mbps operation
                ''',
                'value_10',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-100', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                100 Mbps operation
                ''',
                'value_100',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-1000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                1000 Mbps operation
                ''',
                'value_1000',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('value-10000', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                10000 Mbps operation
                ''',
                'value_10000',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'speed',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan.Filter',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the interface to accept all VLAN traffic
                ''',
                'disable',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan.Filter', 
                [], [], 
                '''                Configure VLAN filtering
                ''',
                'filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Plim.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Plim.Ethernet',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan', 
                [], [], 
                '''                vlan specific features
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'zero',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority.Pause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority.Pause',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable pause-frame generation
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Threshold as a percent of queue limit for pause frame generation
                ''',
                'threshold',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority',
            False, 
            [
            _MetaInfoClassMember('pause', REFERENCE_CLASS, 'Pause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority.Pause', 
                [], [], 
                '''                Pause Frame generation and threshold
                ''',
                'pause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'strict-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue',
            False, 
            [
            _MetaInfoClassMember('strict-priority', REFERENCE_CLASS, 'StrictPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority', 
                [], [], 
                '''                High priority queue
                ''',
                'strict_priority',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('zero', REFERENCE_CLASS, 'Zero' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero', 
                [], [], 
                '''                Low priority queue
                ''',
                'zero',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Plim.Qos.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Plim.Qos.Input',
            False, 
            [
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue', 
                [], [], 
                '''                Queue number
                ''',
                'queue',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Plim.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Plim.Qos',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Plim.Qos.Input', 
                [], [], 
                '''                Configure PLIM QoS at the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Plim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Plim',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Plim.Ethernet', 
                [], [], 
                '''                Configure features on the ethernet interface
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Plim.Qos', 
                [], [], 
                '''                QoS on the PLIM
                ''',
                'qos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'plim',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Pppoe.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Pppoe.Enable',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                attach a BBA group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum', 
                        [], [], 
                        '''                        attach a BBA group
                        ''',
                        'group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Pppoe' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Pppoe',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Pppoe.Enable', 
                [], [], 
                '''                Enable pppoe
                ''',
                'enable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('max-sessions', ATTRIBUTE, 'int' , None, None, 
                [('1', '4085')], [], 
                '''                Maximum PPPOE sessions
                ''',
                'max_sessions',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pppoe',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' : _MetaInfoEnum('Dot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum', 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Second tag (dot1q)
                        ''',
                        'dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.Cos2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.Cos2',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' : _MetaInfoEnum('SecondDot1QEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum' : _MetaInfoEnum('VlanTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0x88A8':'Y_0x88A8',
            '0x9100':'Y_0x9100',
            '0x9200':'Y_0x9200',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cos2', REFERENCE_CLASS, 'Cos2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.Cos2', 
                [], [], 
                '''                ''',
                'cos2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('exact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                payload Ethertype does not include 802.1q/802.1ad Tags.
                ''',
                'exact',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('id', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('second-dot1q', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4094')], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum', 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('second-dot1q', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        inner 802.1Q Virtual LAN or C-VLAN
                        ''',
                        'second_dot1q',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('vlan-type', REFERENCE_ENUM_CLASS, 'VlanTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum', 
                [], [], 
                '''                Vlan Protocol Type
                ''',
                'vlan_type',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer',
            False, 
            [
            _MetaInfoClassMember('cos', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                cos Vlan
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cos-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum' : _MetaInfoEnum('EtypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'pppoe-all':'pppoe_all',
            'pppoe-discovery':'pppoe_discovery',
            'pppoe-session':'pppoe_session',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged',
            False, 
            [
            _MetaInfoClassMember('cos-container', REFERENCE_CLASS, 'CosContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer', 
                [], [], 
                '''                ''',
                'cos_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('etype', REFERENCE_LEAFLIST, 'EtypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum', 
                [], [], 
                '''                payload ethertype after Vlan Field
                ''',
                'etype',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'priority-tagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Untagged' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Untagged',
            False, 
            [
            ],
            'Cisco-IOS-XE-ethernet',
            'untagged',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                catch-all unconfigured encapsulation
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-tagged', REFERENCE_CLASS, 'PriorityTagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged', 
                [], [], 
                '''                Priority tagged EFP
                ''',
                'priority_tagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', REFERENCE_CLASS, 'Untagged' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Untagged', 
                [], [], 
                '''                Untagged encapsulation
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Ip.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Ip.Acl',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-ethernet', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-ethernet', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DHCP relay information option subscriber-id
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information
                ''',
                'information',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay
                ''',
                'relay',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                source address
                ''',
                'source',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Ip',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Ip.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp', 
                [], [], 
                '''                DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Ip.Verify', 
                [], [], 
                '''                verify
                ''',
                'verify',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Ipv6',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('traffic-filter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'pop',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Push' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Push',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Push dot1q tag
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'push',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't1-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Ethertype dot1q of the translation
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-1',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'symmetric':'symmetric',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2',
            False, 
            [
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Translate ethertype of dot1q
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second dot1q tag
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            't2-to-2',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate',
            False, 
            [
            _MetaInfoClassMember('t1-to-1', REFERENCE_CLASS, 'T1To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1', 
                [], [], 
                '''                Translate 1-to-1
                ''',
                't1_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t1-to-2', REFERENCE_CLASS, 'T1To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2', 
                [], [], 
                '''                Translate 1-to-2
                ''',
                't1_to_2',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-1', REFERENCE_CLASS, 'T2To1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1', 
                [], [], 
                '''                Translate 2-to-1
                ''',
                't2_to_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('t2-to-2', REFERENCE_CLASS, 'T2To2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2', 
                [], [], 
                '''                Translate 2-to-2
                ''',
                't2_to_2',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag',
            False, 
            [
            _MetaInfoClassMember('pop', REFERENCE_CLASS, 'Pop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop', 
                [], [], 
                '''                Pop the tag
                ''',
                'pop',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('push', REFERENCE_CLASS, 'Push' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Push', 
                [], [], 
                '''                Rewrite Operation of push
                ''',
                'push',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate', 
                [], [], 
                '''                Translate Tag
                ''',
                'translate',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress',
            False, 
            [
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag', 
                [], [], 
                '''                Configure Rewrite Tag
                ''',
                'tag',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ingress',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Rewrite' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Rewrite',
            False, 
            [
            _MetaInfoClassMember('ingress', REFERENCE_CLASS, 'Ingress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress', 
                [], [], 
                '''                Ingress Rewrite
                ''',
                'ingress',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'rewrite',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery.Cause',
            False, 
            [
            _MetaInfoClassMember('mac-security', ATTRIBUTE, 'int' , None, None, 
                [('30', '86400')], [], 
                '''                mac-security violation
                ''',
                'mac_security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery.Cause', 
                [], [], 
                '''                error disable cause
                ''',
                'cause',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Errdisable',
            False, 
            [
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery', 
                [], [], 
                '''                enable auto recovery
                ''',
                'recovery',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange',
            False, 
            [
            _MetaInfoClassMember('comma', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                comma
                ''',
                'comma',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                hyphen
                ''',
                'hyphen',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'vlan-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For all VLANS [untagged,1-4094]
                ''',
                'any',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default EFP
                ''',
                'default',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('untagged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Untagged frames
                ''',
                'untagged',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-range', REFERENCE_CLASS, 'VlanRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange', 
                [], [], 
                '''                ''',
                'vlan_range',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_CLASS, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map', 
                [], [], 
                '''                Configure ether lmi ce-vlan/evc map
                ''',
                'map',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ce-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi',
            False, 
            [
            _MetaInfoClassMember('ce-vlan', REFERENCE_CLASS, 'CeVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan', 
                [], [], 
                '''                Configure ether lmi customer vlans
                ''',
                'ce_vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'lmi',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the wire
                ''',
                'external',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow to loopback the traffic from the relay
                ''',
                'internal',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit', 
                [], [], 
                '''                Allow data plane loopback to be activated
                ''',
                'permit',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'loopback',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet',
            False, 
            [
            _MetaInfoClassMember('lmi', REFERENCE_CLASS, 'Lmi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi', 
                [], [], 
                '''                Configure ether lmi parameters
                ''',
                'lmi',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('loopback', REFERENCE_CLASS, 'Loopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback', 
                [], [], 
                '''                Ethernet Dataplane Loopback
                ''',
                'loopback',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet', 
                [], [], 
                '''                ethernet
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ethernet-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence
                ''',
                'persist',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the service instance
                ''',
                'ifindex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain.SplitHorizon' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain.SplitHorizon',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '13')], [], 
                '''                Split-horizon group
                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'split-horizon',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'bridge_id',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('from-encapsulation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from-encapsulation
                ''',
                'from_encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('split-horizon', REFERENCE_CLASS, 'SplitHorizon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain.SplitHorizon', 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'bridge-domain',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Mac.Security.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Mac.Security.Maximum',
            False, 
            [
            _MetaInfoClassMember('addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum addresses that can be learnt on this service instance
                ''',
                'addresses',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Mac.Security.ViolationEnum' : _MetaInfoEnum('ViolationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'protect':'protect',
            'restrict':'restrict',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.Mac.Security' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Mac.Security',
            False, 
            [
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Mac.Security.Maximum', 
                [], [], 
                '''                Configure an upper bound
                ''',
                'maximum',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('violation', REFERENCE_ENUM_CLASS, 'ViolationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Mac.Security.ViolationEnum', 
                [], [], 
                '''                Configure the response when a MAC security policy is violated
                ''',
                'violation',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Mac',
            False, 
            [
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Mac.Security', 
                [], [], 
                '''                MAC Security commands
                ''',
                'security',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LIST, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Input', 
                [], [], 
                '''                service policy input
                ''',
                'input',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('output', REFERENCE_LIST, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Output', 
                [], [], 
                '''                service policy output
                ''',
                'output',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Ad' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Ad',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Second tag (dot1q)
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1ad',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                CoS value to use for CFM packets
                ''',
                'cos',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('second-dot1q', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                inner 802.1Q Virtual LAN or C-VLAN
                ''',
                'second_dot1q',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'dot1q',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1ad', REFERENCE_CLASS, 'Dot1Ad' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Ad', 
                [], [], 
                '''                802.1ad - Provider Bridges
                ''',
                'dot1ad',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('dot1q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN or S-VLAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mep' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mep',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure a domain for this mep
                ''',
                'domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mpid', ATTRIBUTE, 'int' , None, None, 
                [('1', '8191')], [], 
                '''                Maintenance End Point Identifier
                ''',
                'mpid',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mep',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mip',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.Cfm' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.Cfm',
            False, 
            [
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation', 
                [], [], 
                '''                Configure CFM ethernet frame encapsulation
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mep', REFERENCE_CLASS, 'Mep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mep', 
                [], [], 
                '''                Maintenance End Point
                ''',
                'mep',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mip', REFERENCE_CLASS, 'Mip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mip', 
                [], [], 
                '''                Maintenance Intermediate Point
                ''',
                'mip',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Peer.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Peer',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Peer.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Forward.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Forward' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Forward',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Forward.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'forward',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Tunnel.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'R4':'R4',
            'R5':'R5',
            'R6':'R6',
            'R8':'R8',
            'R9':'R9',
            'RA':'RA',
            'RB':'RB',
            'RC':'RC',
            'RD':'RD',
            'RF':'RF',
            'cdp':'cdp',
            'dtp':'dtp',
            'elmi':'elmi',
            'esmc':'esmc',
            'lacp':'lacp',
            'lldp':'lldp',
            'loam':'loam',
            'pagp':'pagp',
            'ptppd':'ptppd',
            'stp':'stp',
            'udld':'udld',
            'vtp':'vtp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Tunnel',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LEAFLIST, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Tunnel.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance.L2Protocol',
            False, 
            [
            _MetaInfoClassMember('forward', REFERENCE_CLASS, 'Forward' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Forward', 
                [], [], 
                '''                forward L2 control protocol packets as data
                ''',
                'forward',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Peer', 
                [], [], 
                '''                peer L2 control protocol packets as data
                ''',
                'peer',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Tunnel', 
                [], [], 
                '''                tunnel L2 control protocol packets as data
                ''',
                'tunnel',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'l2protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service.Instance' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service.Instance',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4000')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ethernet', True),
            _MetaInfoClassMember('bridge-domain', REFERENCE_CLASS, 'BridgeDomain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain', 
                [], [], 
                '''                Bridge-domain
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cfm', REFERENCE_CLASS, 'Cfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Cfm', 
                [], [], 
                '''                Ethernet CFM EFP subcommands
                ''',
                'cfm',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Service instance specific description
                ''',
                'description',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Encapsulation', 
                [], [], 
                '''                Configure ethernet frame match criteria
                ''',
                'encapsulation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Errdisable', 
                [], [], 
                '''                Configure error disable
                ''',
                'errdisable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an Ethernet Instance
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-container', REFERENCE_CLASS, 'EthernetContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer', 
                [], [], 
                '''                ''',
                'ethernet_container',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet-evc-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ethernet_evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('evc-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                ''',
                'evc_name',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an GigabitEthernet Instance
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('l2protocol', REFERENCE_CLASS, 'L2Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.L2Protocol', 
                [], [], 
                '''                Configure l2 control protocol processing
                ''',
                'l2protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Mac', 
                [], [], 
                '''                Commands for MAC Address-based features
                ''',
                'mac',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('rewrite', REFERENCE_CLASS, 'Rewrite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Rewrite', 
                [], [], 
                '''                Configure ethernet rewrite criteria
                ''',
                'rewrite',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy', 
                [], [], 
                '''                Attach a policy-map to an EFP
                ''',
                'service_policy',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Take the Service Instance out of Service
                ''',
                'shutdown',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance.Snmp', 
                [], [], 
                '''                Modify SNMP service instance parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trunk Service Instance
                ''',
                'trunk',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Service' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Service',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service.Instance', 
                [], [], 
                '''                Configure Ether Service Instance
                ''',
                'instance',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts.Manual.Policy.Static' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts.Manual.Policy.Static',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('2', '65519')], [], 
                '''                Source Security Group Tag to apply to untagged or non-trusted incoming traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Source Group Tags (SGT) that the peer uses for sending
                ''',
                'trusted',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts.Manual.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts.Manual.Policy',
            False, 
            [
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts.Manual.Policy.Static', 
                [], [], 
                '''                Configure policy to be applied on the link
                ''',
                'static',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac',
            False, 
            [
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encapsulation present, no authentication, 
                     no encryption
                ''',
                'null',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gcm-encrypt',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'gmac',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap',
            False, 
            [
            _MetaInfoClassMember('gmac', REFERENCE_CLASS, 'Gmac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac', 
                [], [], 
                '''                GCM authentication, no encryption
                ''',
                'gmac',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'no-encap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList',
            False, 
            [
            _MetaInfoClassMember('gcm-encrypt', REFERENCE_CLASS, 'GcmEncrypt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt', 
                [], [], 
                '''                GCM authentication, GCM encryption
                ''',
                'gcm_encrypt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('no-encap', REFERENCE_CLASS, 'NoEncap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap', 
                [], [], 
                '''                No encapsulation
                ''',
                'no_encap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'mode-list',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('mode-list', REFERENCE_CLASS, 'ModeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList', 
                [], [], 
                '''                List of advertised modes (prioritized from highest to lowest)
                ''',
                'mode_list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'pmk',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts.Manual.Sap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts.Manual.Sap',
            False, 
            [
            _MetaInfoClassMember('pmk', REFERENCE_LIST, 'Pmk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk', 
                [], [], 
                '''                Pre-Master Key (PMK) to use for CTS SAP
                ''',
                'pmk',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts.Manual.Propagate' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts.Manual.Propagate',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CTS SGT Propagation configuration
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'propagate',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts.Manual' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts.Manual',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts.Manual.Policy', 
                [], [], 
                '''                CTS policy for manual mode
                ''',
                'policy',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('propagate', REFERENCE_CLASS, 'Propagate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts.Manual.Propagate', 
                [], [], 
                '''                CTS SGT Propagation configuration for manual mode
                ''',
                'propagate',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sap', REFERENCE_CLASS, 'Sap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts.Manual.Sap', 
                [], [], 
                '''                CTS SAP configuration for manual mode
                ''',
                'sap',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'manual',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Cts',
            False, 
            [
            _MetaInfoClassMember('manual', REFERENCE_CLASS, 'Manual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts.Manual', 
                [], [], 
                '''                Supply local configuration for CTS parameters
                ''',
                'manual',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.Virtualportgroup.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Snmp.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Snmp.Ifindex',
            False, 
            [
            _MetaInfoClassMember('clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Clear Enable/Disable ifIndex persistence
                ''',
                'clear',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable ifIndex persistence 
                ''',
                'persist',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit',
            False, 
            [
            _MetaInfoClassMember('duplicates', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Permit duplicate SNMP LINKUP and LINKDOWN traps
                ''',
                'duplicates',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus',
            False, 
            [
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit', 
                [], [], 
                '''                Permit the following capability
                ''',
                'permit',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas',
            False, 
            [
            _MetaInfoClassMember('link-status', REFERENCE_CLASS, 'LinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus', 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link-status-capas',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow SNMP LINKUP and LINKDOWN traps
                ''',
                'link_status',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('link-status-capas', REFERENCE_CLASS, 'LinkStatusCapas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas', 
                [], [], 
                '''                ''',
                'link_status_capas',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Snmp.Ifindex', 
                [], [], 
                '''                Persist ifindex for the interface
                ''',
                'ifindex',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Snmp.Trap', 
                [], [], 
                '''                Allow a specific SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.Mab' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup.Mab',
            False, 
            [
            _MetaInfoClassMember('eap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'eap',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'mab',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Virtualportgroup.ChannelProtocolEnum' : _MetaInfoEnum('ChannelProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lacp':'lacp',
            'pagp':'pagp',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.DuplexEnum' : _MetaInfoEnum('DuplexEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
            'full':'full',
            'half':'half',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.Interface.Virtualportgroup.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Virtualportgroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Virtualportgroup',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('0', '31')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('carrier-delay', REFERENCE_CLASS, 'CarrierDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.CarrierDelay', 
                [], [], 
                '''                Specify delay for interface transitions
                ''',
                'carrier_delay',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('channel-group', REFERENCE_CLASS, 'ChannelGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ChannelGroup', 
                [], [], 
                '''                Add this interface to an Etherchannel group
                ''',
                'channel_group',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('channel-protocol', REFERENCE_ENUM_CLASS, 'ChannelProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ChannelProtocolEnum', 
                [], [], 
                '''                Select the channel protocol (LACP, PAgP)
                ''',
                'channel_protocol',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Cts', 
                [], [], 
                '''                Configure Cisco Trusted Security
                ''',
                'cts',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'DuplexEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.DuplexEnum', 
                [], [], 
                '''                Configure duplex operation.
                ''',
                'duplex',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ethernet', 
                [], [], 
                '''                Ethernet interface parameters
                ''',
                'ethernet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mab', REFERENCE_CLASS, 'Mab' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Mab', 
                [], [], 
                '''                ''',
                'mab',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiation', REFERENCE_CLASS, 'Negotiation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Negotiation', 
                [], [], 
                '''                Select autonegotiation mode
                ''',
                'negotiation',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('plim', REFERENCE_CLASS, 'Plim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Plim', 
                [], [], 
                '''                Configure features on the PLIM
                ''',
                'plim',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pppoe', REFERENCE_CLASS, 'Pppoe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Pppoe', 
                [], [], 
                '''                pppoe interface subcommands
                ''',
                'pppoe',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Service', 
                [], [], 
                '''                Configure Ether Service
                ''',
                'service',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Snmp', 
                [], [], 
                '''                Modify SNMP interface parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('speed', REFERENCE_CLASS, 'Speed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Speed', 
                [], [], 
                '''                Configure speed operation
                ''',
                'speed',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Synchronous', 
                [], [], 
                '''                Synchronous
                ''',
                'synchronous',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'VirtualPortGroup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Client' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Client',
            False, 
            [
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify hostname to use
                ''',
                'hostname',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.CheckReply' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.CheckReply',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'check-reply',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Subscriber identifier sub option
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.OptionInsert' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.OptionInsert',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option-insert',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.PolicyActionEnum' : _MetaInfoEnum('PolicyActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
            'encapsulate':'encapsulate',
            'keep':'keep',
            'replace':'replace',
        }, 'Cisco-IOS-XE-dhcp', _yang_ns._namespaces['Cisco-IOS-XE-dhcp']),
    'Native.Interface.Vasileft.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('check-reply', REFERENCE_CLASS, 'CheckReply' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.CheckReply', 
                [], [], 
                '''                Validate relay information in BOOTREPLY
                ''',
                'check_reply',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option-insert', REFERENCE_CLASS, 'OptionInsert' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.OptionInsert', 
                [], [], 
                '''                Insert relay information in BOOTREQUEST
                ''',
                'option_insert',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('policy-action', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.PolicyActionEnum', 
                [], [], 
                '''                Define reforwarding policy
                ''',
                'policy_action',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Received DHCP packet may contain relay info option with zero giaddr
                ''',
                'trusted',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set source interface for relayed messages
                ''',
                'source_interface',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP Snooping limit
                ''',
                'rate',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [(3, 63)], [], 
                '''                User defined string for circuit id
                ''',
                'string',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType',
            False, 
            [
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId', 
                [], [], 
                '''                Circuit id option 82 format
                ''',
                'circuit_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'format-type',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option',
            False, 
            [
            _MetaInfoClassMember('format-type', REFERENCE_CLASS, 'FormatType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType', 
                [], [], 
                '''                Option 82 information format
                ''',
                'format_type',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option', 
                [], [], 
                '''                DHCP Snooping information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information', 
                [], [], 
                '''                DHCP Snooping information
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP Snooping trust config
                ''',
                'trust',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan', 
                [], [], 
                '''                DHCP Snooping vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-dhcp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-dhcp',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Client', 
                [], [], 
                '''                DHCP client configuration
                ''',
                'client',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay configuration parameters
                ''',
                'relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude inbound packets from outbound redirection
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'exclude',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp.Redirect',
            False, 
            [
            _MetaInfoClassMember('exclude', REFERENCE_CLASS, 'Exclude' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude', 
                [], [], 
                '''                Exclude packets from redirection
                ''',
                'exclude',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip.Wccp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip.Wccp',
            False, 
            [
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp.Redirect', 
                [], [], 
                '''                Set packet redirection options
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp.Vrf', 
                [], [], 
                '''                Configure WCCP for a VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wccp', REFERENCE_CLASS, 'Wccp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip.Wccp', 
                [], [], 
                '''                WCCP IPv4 interface commands
                ''',
                'wccp',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Dhcp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Dhcp.Server',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Preference
                ''',
                'preference',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Dhcp.Guard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Dhcp.Guard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature DHCP Guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'guard',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Dhcp',
            False, 
            [
            _MetaInfoClassMember('guard', REFERENCE_CLASS, 'Guard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Dhcp.Guard', 
                [], [], 
                '''                Configure IPv6 DHCP guard on the interface
                ''',
                'guard',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Dhcp.Server', 
                [], [], 
                '''                Act as an IPv6 DHCP server
                ''',
                'server',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Nd.Raguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Nd.Raguard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature RA guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'raguard',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Nd.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Nd.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default_route',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert auto-configured prefix
                ''',
                'prefix',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Nd.Ra.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Nd.Ra.Suppress',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress all IPv6 RA
                ''',
                'all',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Nd.Ra' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Nd.Ra',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Nd.Ra.Suppress', 
                [], [], 
                '''                Suppress IPv6 router-alert configuration
                ''',
                'suppress',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'ra',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.Nd',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Nd.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('managed-config-flag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP for IPv6 address configuration
                ''',
                'managed_config_flag',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('ra', REFERENCE_CLASS, 'Ra' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Nd.Ra', 
                [], [], 
                '''                IPv6 nd router alert configuration
                ''',
                'ra',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('raguard', REFERENCE_CLASS, 'Raguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Nd.Raguard', 
                [], [], 
                '''                Configure RA guard on the interface
                ''',
                'raguard',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasileft.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasileft' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasileft',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vasileft',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.SwitchportConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.SwitchportConf',
            False, 
            [
            _MetaInfoClassMember('switchport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switchport-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Switchport',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Arp',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                Set ARP cache timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Backup.Delay.FailureEnum' : _MetaInfoEnum('FailureEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' : _MetaInfoEnum('SecondaryDisableEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Backup.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Backup.Delay',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'failure',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('failure', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('failure', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.FailureEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.FailureEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'failure',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('secondary-disable', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'secondary_disable',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('secondary-disable', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967294')], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('secondary-disable', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum', 
                        [], [], 
                        '''                        Seconds
                        ''',
                        'secondary_disable',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Backup.Interface_.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Backup.Interface_.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Backup.Interface_.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Backup.Interface_.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Backup.Interface_.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Backup.Interface_.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Backup.Interface_.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Backup.Interface_.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Backup.Interface_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Backup.Interface_',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Interface_.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Interface_.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Interface_.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Interface_.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Backup.Load.KickinEnum' : _MetaInfoEnum('KickinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Backup.Load.KickoutEnum' : _MetaInfoEnum('KickoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'never':'never',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Backup.Load' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Backup.Load',
            False, 
            [
            _MetaInfoClassMember('kickin', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickin',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickin', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickin', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickinEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickin',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('kickout', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Percentage
                ''',
                'kickout',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('kickout', ATTRIBUTE, 'int' , None, None, 
                        [('0', '100')], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('kickout', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Backup.Load.KickoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load.KickoutEnum', 
                        [], [], 
                        '''                        Percentage
                        ''',
                        'kickout',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'load',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Backup',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Delay', 
                [], [], 
                '''                Delays before backup line up or down transitions
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Interface_', 
                [], [], 
                '''                Configure an interface as a backup
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load', REFERENCE_CLASS, 'Load' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup.Load', 
                [], [], 
                '''                Load thresholds for line up or down transitions
                ''',
                'load',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Cemoudp.Reserve' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Cemoudp.Reserve',
            False, 
            [
            _MetaInfoClassMember('acr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'reserve',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Cemoudp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Cemoudp',
            False, 
            [
            _MetaInfoClassMember('reserve', REFERENCE_CLASS, 'Reserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Cemoudp.Reserve', 
                [], [], 
                '''                ''',
                'reserve',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cemoudp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.CwsTunnel.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.CwsTunnel.Out',
            False, 
            [
            _MetaInfoClassMember('tunnel-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65534')], [], 
                '''                Outboud traffic tunnel identifier
                ''',
                'tunnel_number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.CwsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.CwsTunnel',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inbound traffic
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.CwsTunnel.Out', 
                [], [], 
                '''                Outbound traffic
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cws-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'drop-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                ''',
                'packet_rate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'int' , None, None, 
                [('1', '4096')], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco Discovery Protocol
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('drop-threshold', REFERENCE_CLASS, 'DropThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold', 
                [], [], 
                '''                Set drop threshold for protocol packets
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown-threshold', REFERENCE_CLASS, 'ShutdownThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold', 
                [], [], 
                '''                Set shutdown threshold for protocol packets
                ''',
                'shutdown_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning Tree Protocol
                ''',
                'stp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Vlan Trunking Protocol
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Encapsulation.Dot1Q' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Encapsulation.Dot1Q',
            False, 
            [
            _MetaInfoClassMember('native', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this as native vlan
                ''',
                'native',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1Q',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Encapsulation.Isl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Encapsulation.Isl',
            False, 
            [
            _MetaInfoClassMember('vlan-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'vlan_id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Encapsulation.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Encapsulation.Ppp',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Encapsulation.Slip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Encapsulation.Slip',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'slip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Encapsulation.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Encapsulation.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use RFC1490/RFC2427 encapsulation
                ''',
                'ietf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('dot1Q', REFERENCE_CLASS, 'Dot1Q' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Encapsulation.Dot1Q', 
                [], [], 
                '''                IEEE 802.1Q Virtual LAN
                ''',
                'dot1q',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Encapsulation.FrameRelay', 
                [], [], 
                '''                Frame Relay networks
                ''',
                'frame_relay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isl', REFERENCE_CLASS, 'Isl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Encapsulation.Isl', 
                [], [], 
                '''                Inter Switch Link - Virtual LAN encapsulation
                ''',
                'isl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Encapsulation.Ppp', 
                [], [], 
                '''                Point-to-Point protocol
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('slip', REFERENCE_CLASS, 'Slip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Encapsulation.Slip', 
                [], [], 
                '''                Serial Line IP
                ''',
                'slip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.FairQueueConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.FairQueueConf',
            False, 
            [
            _MetaInfoClassMember('fair-queue', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.FairQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.FairQueue',
            False, 
            [
            _MetaInfoClassMember('incomplete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'incomplete',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fair-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Flowcontrol.ReceiveEnum' : _MetaInfoEnum('ReceiveEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Flowcontrol.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'desired':'desired',
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_ENUM_CLASS, 'ReceiveEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Flowcontrol.ReceiveEnum', 
                [], [], 
                '''                Configure receiving flow operation
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Flowcontrol.SendEnum', 
                [], [], 
                '''                Configure sending flow operation
                ''',
                'send',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Isis',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.KeepaliveSettings.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.KeepaliveSettings.Keepalive',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                ''',
                'period',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'retries',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.KeepaliveSettings' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.KeepaliveSettings',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.KeepaliveSettings.Keepalive', 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'keepalive-settings',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Bandwidth.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Bandwidth.Receive',
            False, 
            [
            _MetaInfoClassMember('inherit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Bandwidth.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Bandwidth.Inherit',
            False, 
            [
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Bandwidth.Inherit', 
                [], [], 
                '''                Specify how bandwidth is inherited
                ''',
                'inherit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('kilobits', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                ''',
                'kilobits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos-reference', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000000')], [], 
                '''                Reference bandwidth for QOS
                ''',
                'qos_reference',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Bandwidth.Receive', 
                [], [], 
                '''                Specify receive-side bandwidth
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Dampening.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Dampening.Restart',
            False, 
            [
            _MetaInfoClassMember('restart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Penalty applied at restart
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                <1-30>;;Half-life time for penalty
                ''',
                'dampening_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255>;;Maximum duration to suppress an interface
                ''',
                'maximum_supressing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Dampening.Restart', 
                [], [], 
                '''                Enable restart penalty
                ''',
                'restart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-reusing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start reusing an interface
                ''',
                'start_reusing_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-supressing-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                <1-20000>;;Value to start supressing an interface
                ''',
                'start_supressing_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Domain',
            False, 
            [
            _MetaInfoClassMember('internet-bound', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Internet-bound interface
                ''',
                'internet_bound',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service provider for this interface
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify service provider path-id for this interface
                ''',
                'path_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path-last-resort', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a path of last resort
                ''',
                'path_last_resort',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zero-sla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify if you want this interface to be a 0-sla interface
                ''',
                'zero_sla',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.HoldQueue.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.HoldQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.HoldQueue',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.HoldQueue.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4096')], [], 
                '''                ''',
                'queue_length',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Mpls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.IpVrf.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.IpVrf.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.IpVrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.IpVrf.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.IpVrf.Ip.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.IpVrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.IpVrf',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.IpVrf.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.AccessGroup.In_' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.AccessGroup.In_',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify ipv4 common ACL for packet filtering
                ''',
                'common',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('common', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('common', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        specify ipv4 common ACL for packet filtering
                        ''',
                        'common',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'common-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.AccessGroup.Out' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.AccessGroup.Out',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl', 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('common-acl', REFERENCE_CLASS, 'CommonAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl', 
                [], [], 
                '''                ''',
                'common_acl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.AccessGroup.In_', 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.AccessGroup.Out', 
                [], [], 
                '''                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Arp.Inspection.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Arp.Inspection.Limit',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No limit
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rate Limit
                ''',
                'rate',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Arp.Inspection' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Arp.Inspection',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Arp.Inspection.Limit', 
                [], [], 
                '''                Configure Rate limit of incoming ARP packets
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure Trust state
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'inspection',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Arp',
            False, 
            [
            _MetaInfoClassMember('inspection', REFERENCE_CLASS, 'Inspection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Arp.Inspection', 
                [], [], 
                '''                Arp Inspection configuration
                ''',
                'inspection',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Vrf.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Vrf.Forwarding',
            False, 
            [
            _MetaInfoClassMember('Liin-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'liin_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mgmtVrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mgmtvrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Vrf.Forwarding', 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add Interface Address into VRF Table
                ''',
                'receive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sitemap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure route-map for routesreceived from this site
                ''',
                'sitemap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.NoAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.NoAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Address.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Address.Primary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Address.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Address.Secondary',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'client-id',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client-id', REFERENCE_CLASS, 'ClientId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId', 
                [], [], 
                '''                Specify client-id to use
                ''',
                'client_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify value for hostname option
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Address.Dhcp', 
                [], [], 
                '''                IP Address negotiated via DHCP
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('negotiated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Address negotiated via IKEv2 Modeconfig
                ''',
                'negotiated',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Address.Primary', 
                [], [], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', REFERENCE_LIST, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Address.Secondary', 
                [], [], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds between hello transmissions
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Authentication.KeyChain', 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Authentication.Mode', 
                [], [], 
                '''                mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.HoldTime',
            False, 
            [
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Seconds before neighbor is considered down
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.HelperAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.HelperAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Helper-address is global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for helper-address (if different from interface VRF)
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'helper-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Pim' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Pim',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Policy',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.RouteCacheConf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.RouteCacheConf',
            False, 
            [
            _MetaInfoClassMember('route-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.RouteCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.RouteCache',
            False, 
            [
            _MetaInfoClassMember('cef', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Flow fast-switching cache
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching policy cache for outgoing packets
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('same-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable fast-switching on the same interface
                ''',
                'same_interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'route-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Router' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Router',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Router.Isis', 
                [], [], 
                '''                IS-IS Routing for IP
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Tcp',
            False, 
            [
            _MetaInfoClassMember('adjust-mss', ATTRIBUTE, 'int' , None, None, 
                [('500', '1460')], [], 
                '''                Adjust the mss of transit packets
                ''',
                'adjust_mss',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.VirtualReassembly' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.VirtualReassembly',
            False, 
            [
            _MetaInfoClassMember('drop-fragments', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'drop_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'in_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_fragments',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reassemblies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_reassemblies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-reassembly',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Client' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Client',
            False, 
            [
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify hostname to use
                ''',
                'hostname',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.CheckReply' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.CheckReply',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'check-reply',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option',
            False, 
            [
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Subscriber identifier sub option
                ''',
                'subscriber_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.OptionInsert' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.OptionInsert',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set to none
                ''',
                'none',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option-insert',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.PolicyActionEnum' : _MetaInfoEnum('PolicyActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
            'encapsulate':'encapsulate',
            'keep':'keep',
            'replace':'replace',
        }, 'Cisco-IOS-XE-dhcp', _yang_ns._namespaces['Cisco-IOS-XE-dhcp']),
    'Native.Interface.Vasiright.Ip.Dhcp.Relay.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Relay.Information',
            False, 
            [
            _MetaInfoClassMember('check-reply', REFERENCE_CLASS, 'CheckReply' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.CheckReply', 
                [], [], 
                '''                Validate relay information in BOOTREPLY
                ''',
                'check_reply',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('option-insert', REFERENCE_CLASS, 'OptionInsert' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.OptionInsert', 
                [], [], 
                '''                Insert relay information in BOOTREQUEST
                ''',
                'option_insert',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('policy-action', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.PolicyActionEnum', 
                [], [], 
                '''                Define reforwarding policy
                ''',
                'policy_action',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Received DHCP packet may contain relay info option with zero giaddr
                ''',
                'trusted',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Relay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Relay',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Relay.Information', 
                [], [], 
                '''                DHCP relay information option
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set source interface for relayed messages
                ''',
                'source_interface',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'relay',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP Snooping limit
                ''',
                'rate',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [(3, 63)], [], 
                '''                User defined string for circuit id
                ''',
                'string',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType',
            False, 
            [
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId', 
                [], [], 
                '''                Circuit id option 82 format
                ''',
                'circuit_id',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'format-type',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option',
            False, 
            [
            _MetaInfoClassMember('format-type', REFERENCE_CLASS, 'FormatType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType', 
                [], [], 
                '''                Option 82 information format
                ''',
                'format_type',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information',
            False, 
            [
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option', 
                [], [], 
                '''                DHCP Snooping information option
                ''',
                'option',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information', 
                [], [], 
                '''                DHCP Snooping information
                ''',
                'information',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('trust', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP Snooping trust config
                ''',
                'trust',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan', 
                [], [], 
                '''                DHCP Snooping vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-dhcp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-dhcp',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Client', 
                [], [], 
                '''                DHCP client configuration
                ''',
                'client',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('relay', REFERENCE_CLASS, 'Relay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Relay', 
                [], [], 
                '''                DHCP relay configuration parameters
                ''',
                'relay',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.SummaryAddress.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.SummaryAddress.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.SummaryAddress.Eigrp', 
                [], [], 
                '''                ''',
                'eigrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Verify.Source.Vlan.DhcpSnooping' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Verify.Source.Vlan.DhcpSnooping',
            False, 
            [
            _MetaInfoClassMember('port-security', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                port security
                ''',
                'port_security',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Verify.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Verify.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('dhcp-snooping', REFERENCE_CLASS, 'DhcpSnooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Verify.Source.Vlan.DhcpSnooping', 
                [], [], 
                '''                snooping enable vlan
                ''',
                'dhcp_snooping',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Verify.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Verify.Source',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Verify.Source.Vlan', 
                [], [], 
                '''                vlan specification
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Verify.Unicast.ReversePath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Verify.Unicast.ReversePath',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Verify.Unicast.Source.ReachableViaEnum' : _MetaInfoEnum('ReachableViaEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'rx':'rx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Ip.Verify.Unicast.Source' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Verify.Unicast.Source',
            False, 
            [
            _MetaInfoClassMember('allow-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow default route to match when checking source address
                ''',
                'allow_default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('allow-self-ping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow router to ping itself (opens vulnerability in verification)
                ''',
                'allow_self_ping',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reachable-via', REFERENCE_ENUM_CLASS, 'ReachableViaEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Verify.Unicast.Source.ReachableViaEnum', 
                [], [], 
                '''                Specify reachability check to apply to the source address
                ''',
                'reachable_via',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Verify.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Verify.Unicast',
            False, 
            [
            _MetaInfoClassMember('reverse-path', REFERENCE_CLASS, 'ReversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Verify.Unicast.ReversePath', 
                [], [], 
                '''                Reverse path validation of source address (old command format)
                ''',
                'reverse_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Verify.Unicast.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Verify',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Verify.Source', 
                [], [], 
                '''                Validation of source address
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Verify.Unicast', 
                [], [], 
                '''                Enable per packet validation for unicast
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exclude inbound packets from outbound redirection
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'exclude',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp.Redirect',
            False, 
            [
            _MetaInfoClassMember('exclude', REFERENCE_CLASS, 'Exclude' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude', 
                [], [], 
                '''                Exclude packets from redirection
                ''',
                'exclude',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '254')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to a Cache Engine appropriate outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache',
            False, 
            [
            _MetaInfoClassMember('group-listen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Listen for multicasted WCCP protocol packets
                ''',
                'group_listen',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect', 
                [], [], 
                '''                Set packet redirection options for the service
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'web-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-wccp', True),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip.Wccp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip.Wccp',
            False, 
            [
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp.Redirect', 
                [], [], 
                '''                Set packet redirection options
                ''',
                'redirect',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp.Vrf', 
                [], [], 
                '''                Configure WCCP for a VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('wccp-list', REFERENCE_LIST, 'WccpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp.WccpList', 
                [], [], 
                '''                ''',
                'wccp_list',
                'Cisco-IOS-XE-wccp', False),
            _MetaInfoClassMember('web-cache', REFERENCE_CLASS, 'WebCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp.WebCache', 
                [], [], 
                '''                Standard web caching service
                ''',
                'web_cache',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-wccp',
            'wccp',
            _yang_ns._namespaces['Cisco-IOS-XE-wccp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Address', 
                [], [], 
                '''                Set the IP address of an interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply Network Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Arp', 
                [], [], 
                '''                Configure ARP features
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters for this interface
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('directed-broadcast', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable forwarding of directed broadcasts
                ''',
                'directed_broadcast',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('directed-broadcast', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Enable forwarding of directed broadcasts
                        ''',
                        'directed_broadcast',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.HelloInterval', 
                [], [], 
                '''                Configures EIGRP-IPv4 hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('helper-address', REFERENCE_LIST, 'HelperAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.HelperAddress', 
                [], [], 
                '''                Specify a destination address for UDP broadcasts
                ''',
                'helper_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.HoldTime', 
                [], [], 
                '''                Configures EIGRP-IPv4 hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local-proxy-arp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable local-proxy ARP
                ''',
                'local_proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mroute-cache', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable switching cache for incoming multicast packets
                ''',
                'mroute_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '9198')], [], 
                '''                Set IP Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-address', REFERENCE_CLASS, 'NoAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.NoAddress', 
                [], [], 
                '''                ''',
                'no_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Pim', 
                [], [], 
                '''                PIM interface commands
                ''',
                'pim',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Policy', 
                [], [], 
                '''                Enable policy routing
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('proxy-arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable proxy ARP
                ''',
                'proxy_arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache', REFERENCE_CLASS, 'RouteCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.RouteCache', 
                [], [], 
                '''                Enable fast-switching cache for outgoing packets
                ''',
                'route_cache',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-cache-conf', REFERENCE_CLASS, 'RouteCacheConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.RouteCacheConf', 
                [], [], 
                '''                ''',
                'route_cache_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Router', 
                [], [], 
                '''                IP router interface commands
                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Tcp', 
                [], [], 
                '''                TCP header compression and other parameters
                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unnumbered', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable IP processing without an explicit address
                ''',
                'unnumbered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Verify', 
                [], [], 
                '''                Enable per packet validation
                ''',
                'verify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-reassembly', REFERENCE_CLASS, 'VirtualReassembly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.VirtualReassembly', 
                [], [], 
                '''                ''',
                'virtual_reassembly',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wccp', REFERENCE_CLASS, 'Wccp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip.Wccp', 
                [], [], 
                '''                WCCP IPv4 interface commands
                ''',
                'wccp',
                'Cisco-IOS-XE-wccp', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.DestinationGuard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.DestinationGuard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature ipv6 destguard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination-guard',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Dhcp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Dhcp.Server',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-dhcp', True),
            _MetaInfoClassMember('preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Preference
                ''',
                'preference',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Dhcp.Guard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Dhcp.Guard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature DHCP Guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-dhcp',
            'guard',
            _yang_ns._namespaces['Cisco-IOS-XE-dhcp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Dhcp',
            False, 
            [
            _MetaInfoClassMember('guard', REFERENCE_CLASS, 'Guard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Dhcp.Guard', 
                [], [], 
                '''                Configure IPv6 DHCP guard on the interface
                ''',
                'guard',
                'Cisco-IOS-XE-dhcp', False),
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Dhcp.Server', 
                [], [], 
                '''                Act as an IPv6 DHCP server
                ''',
                'server',
                'Cisco-IOS-XE-dhcp', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Address.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Address.Dhcp',
            False, 
            [
            _MetaInfoClassMember('rapid-commit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rapid-commit for prefix delegation
                ''',
                'rapid_commit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Address.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Address.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Address.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Address.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('anycast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure as an anycast
                ''',
                'anycast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eui-64', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use eui-64 interface identifier
                ''',
                'eui_64',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Address.LinkLocalAddress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Address.LinkLocalAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('link-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use link-local address
                ''',
                'link_local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-local-address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Address.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Address.Dhcp', 
                [], [], 
                '''                Obtain IPv6 address from DHCP server
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-local-address', REFERENCE_LIST, 'LinkLocalAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Address.LinkLocalAddress', 
                [], [], 
                '''                ''',
                'link_local_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Address.PrefixList', 
                [], [], 
                '''                ''',
                'prefix_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Nd.Raguard' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Nd.Raguard',
            False, 
            [
            _MetaInfoClassMember('attach-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Apply a policy for feature RA guard
                ''',
                'attach_policy',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'raguard',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Nd.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Nd.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('default-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert default route
                ''',
                'default_route',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Insert auto-configured prefix
                ''',
                'prefix',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Nd.Ra.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Nd.Ra.Suppress',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress all IPv6 RA
                ''',
                'all',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Nd.Ra' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Nd.Ra',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Nd.Ra.Suppress', 
                [], [], 
                '''                Suppress IPv6 router-alert configuration
                ''',
                'suppress',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-nd',
            'ra',
            _yang_ns._namespaces['Cisco-IOS-XE-nd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.Nd',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Nd.Autoconfig', 
                [], [], 
                '''                Obtain address using autoconfiguration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('managed-config-flag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP for IPv6 address configuration
                ''',
                'managed_config_flag',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('ra', REFERENCE_CLASS, 'Ra' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Nd.Ra', 
                [], [], 
                '''                IPv6 nd router alert configuration
                ''',
                'ra',
                'Cisco-IOS-XE-nd', False),
            _MetaInfoClassMember('raguard', REFERENCE_CLASS, 'Raguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Nd.Raguard', 
                [], [], 
                '''                Configure RA guard on the interface
                ''',
                'raguard',
                'Cisco-IOS-XE-nd', False),
            ],
            'Cisco-IOS-XE-native',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6.TrafficFilter.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Ipv6.TrafficFilter' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6.TrafficFilter',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.TrafficFilter.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'traffic-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Address', 
                [], [], 
                '''                Configure IPv6 address on interface
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('destination-guard', REFERENCE_CLASS, 'DestinationGuard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.DestinationGuard', 
                [], [], 
                '''                Configure ipv6 destination guard on the interface
                ''',
                'destination_guard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Dhcp', 
                [], [], 
                '''                IPv6 DHCP interface subcommands
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPv6 on interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1280', '9198')], [], 
                '''                Set IPv6 Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.Nd', 
                [], [], 
                '''                IPv6 interface Neighbor Discovery subcommands
                ''',
                'nd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirects', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable sending ICMP Redirect messages
                ''',
                'redirects',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('traffic-filter', REFERENCE_LIST, 'TrafficFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6.TrafficFilter', 
                [], [], 
                '''                Access control list for packets
                ''',
                'traffic_filter',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Logging.Event.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Logging.Event.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Logging.Event.SubifLinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Logging.Event.SubifLinkStatus',
            False, 
            [
            _MetaInfoClassMember('ignore-bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not log messages when the main interface is transitioning
                ''',
                'ignore_bulk',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subif-link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('bundle-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BUNDLE/UNBUNDLE messages
                ''',
                'bundle_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                UPDOWN and CHANGE messages
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nfas-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NFAS D-channel status messages
                ''',
                'nfas_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power-inline-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inline power messages
                ''',
                'power_inline_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Logging.Event.SpanningTree', 
                [], [], 
                '''                Spanning-tree Interface events
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Spanning-tree state change messages
                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('subif-link-status', REFERENCE_CLASS, 'SubifLinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Logging.Event.SubifLinkStatus', 
                [], [], 
                '''                Sub-interface UPDOWN and CHANGE messages
                ''',
                'subif_link_status',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trunk-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TRUNK status messages
                ''',
                'trunk_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Logging',
            False, 
            [
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Logging.Event', 
                [], [], 
                '''                Interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Mdix' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Mdix',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mdix',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Mop' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Mop',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'enabled',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mop',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Interface_Qos.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Interface_Qos.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Interface_Qos.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Interface_Qos.Trust.DeviceEnum', 
                [], [], 
                '''                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Interface_Qos' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Interface_Qos',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Interface_Qos.Trust', 
                [], [], 
                '''                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface_qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Minimum delay
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.UseBia.Scope' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.UseBia.Scope',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use-bia applies to all groups on this interface or sub-interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scope',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.UseBia' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.UseBia',
            False, 
            [
            _MetaInfoClassMember('scope', REFERENCE_CLASS, 'Scope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.UseBia.Scope', 
                [], [], 
                '''                Specify the scope of use-bia
                ''',
                'scope',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'use-bia',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Plain text authentication
                ''',
                'text',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Make this IP address a secondary virtual IP address
                ''',
                'secondary',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay',
            False, 
            [
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay at least this long
                ''',
                'minimum',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('reload', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay after reload
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Wait for IP redundancy client
                ''',
                'sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Preempt' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Preempt',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay', 
                [], [], 
                '''                Wait before preempting
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '32767')], [], 
                '''                Set timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set key chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5', 
                [], [], 
                '''                Use MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'advertisement',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers',
            False, 
            [
            _MetaInfoClassMember('advertisement', ATTRIBUTE, 'int' , None, None, 
                [('10', '180')], [], 
                '''                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Redirect',
            False, 
            [
            _MetaInfoClassMember('advertisement', REFERENCE_CLASS, 'Advertisement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement', 
                [], [], 
                '''                Redirect advertisement messages
                ''',
                'advertisement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers', 
                [], [], 
                '''                Adjust redirect timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect to non-HSRP routers
                ''',
                'unknown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('15', '999')], [], 
                '''                Specify hello interval in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('50', '3000')], [], 
                '''                Specify hold time in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Timers',
            False, 
            [
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval', 
                [], [], 
                '''                ''',
                'hello_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime', 
                [], [], 
                '''                ''',
                'hold_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Track' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList.Track',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('decrement', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority decrement
                ''',
                'decrement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown group
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' : _MetaInfoEnum('Ipv6Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autoconfig':'autoconfig',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Standby.StandbyList' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby.StandbyList',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Authentication', 
                [], [], 
                '''                Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('follow', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of HSRP group to follow
                ''',
                'follow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ip', 
                [], [], 
                '''                Enable HSRP and set the virtual IP address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable HSRP IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('ipv6', REFERENCE_ENUM_CLASS, 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum', 
                        [], [], 
                        '''                        Enable HSRP IPv6
                        ''',
                        'ipv6',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Redundancy name string
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preempt', REFERENCE_CLASS, 'Preempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Preempt', 
                [], [], 
                '''                Overthrow lower priority Active routers
                ''',
                'preempt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority level
                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Redirect', 
                [], [], 
                '''                Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                ''',
                'redirect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Timers', 
                [], [], 
                '''                Hello and hold timers
                ''',
                'timers',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_LIST, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList.Track', 
                [], [], 
                '''                Priority tracking
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Standby.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Standby',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable HSRP BFD
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.Delay', 
                [], [], 
                '''                HSRP initialisation delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Refresh MAC cache on switch by periodically sending packet from virtual mac address
                ''',
                'mac_refresh',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby-list', REFERENCE_LIST, 'StandbyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.StandbyList', 
                [], [], 
                '''                ''',
                'standby_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('use-bia', REFERENCE_CLASS, 'UseBia' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.UseBia', 
                [], [], 
                '''                HSRP uses interface's burned in address
                ''',
                'use_bia',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby.VersionEnum', 
                [], [], 
                '''                HSRP version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.AccessSession.PortControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.AccessSession.PortControl',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PortState set to automatic
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.AccessSession.HostModeEnum' : _MetaInfoEnum('HostModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-auth':'multi_auth',
            'multi-domain':'multi_domain',
            'multi-host':'multi_host',
            'single-host':'single_host',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.AccessSession',
            False, 
            [
            _MetaInfoClassMember('closed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable closed access on port (disabled by default, i.e. open access)
                ''',
                'closed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host-mode', REFERENCE_ENUM_CLASS, 'HostModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.AccessSession.HostModeEnum', 
                [], [], 
                '''                Set the Host mode for authentication on this interface
                ''',
                'host_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-control', REFERENCE_CLASS, 'PortControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.AccessSession.PortControl', 
                [], [], 
                '''                Set the port-control value
                ''',
                'port_control',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Broadcast.Include' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Broadcast.Include',
            False, 
            [
            _MetaInfoClassMember('multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'include',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]> 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]>
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('include', REFERENCE_CLASS, 'Include' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Broadcast.Include', 
                [], [], 
                '''                ''',
                'include',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Multicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Multicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g] 
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Multicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Multicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Multicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Multicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Multicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Multicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Multicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Multicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter falling threshold
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0', '100')], [], 
                '''                Enter rising threshold
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Unicast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Unicast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Unicast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Unicast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('falling-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter falling threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'falling_threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rising-threshold', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]+.?[0-9]*[k|m|g]?'], 
                '''                Enter rising threshold - <0.0 - 10000000000.0>[k|m|g]
                ''',
                'rising_threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Unicast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Unicast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Unicast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Unicast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl.Unicast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Unicast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Action', 
                [], [], 
                '''                Action to take for storm..control;
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Multicast', 
                [], [], 
                '''                Multicast address storm control
                ''',
                'multicast',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl.Unicast', 
                [], [], 
                '''                Unicast address storm control
                ''',
                'unicast',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Trust.DeviceEnum' : _MetaInfoEnum('DeviceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-phone':'cisco_phone',
            'cts':'cts',
            'ip-camera':'ip_camera',
            'media-player':'media_player',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.Trust' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Trust',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_ENUM_CLASS, 'DeviceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Trust.DeviceEnum', 
                [], [], 
                '''                trusted device class
                ''',
                'device',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Utd',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable threat defense on this interface
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.PriorityQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.PriorityQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.PriorityQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.PriorityQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_CLASS, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.PriorityQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                egress priority queue
                ''',
                'out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'priority-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.RcvQueue.CosMap' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.RcvQueue.CosMap',
            False, 
            [
            _MetaInfoClassMember('queue-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'queue_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('threshold-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'threshold_id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('cos-values', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'cos_values',
                'Cisco-IOS-XE-native', False, max_elements=8),
            ],
            'Cisco-IOS-XE-native',
            'cos-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.RcvQueue' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.RcvQueue',
            False, 
            [
            _MetaInfoClassMember('cos-map', REFERENCE_LIST, 'CosMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.RcvQueue.CosMap', 
                [], [], 
                '''                Configure cos-map for a queue threshold
                ''',
                'cos_map',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rcv-queue',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Peer.Default.Ip.Address.DhcpPool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Peer.Default.Ip.Address.DhcpPool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dhcp-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Peer.Default.Ip.Address.Pool' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Peer.Default.Ip.Address.Pool',
            False, 
            [
            _MetaInfoClassMember('pools', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pools',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pool',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Peer.Default.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Peer.Default.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DHCP proxy client mechanism to allocate a peer IP address
                ''',
                'dhcp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-pool', REFERENCE_CLASS, 'DhcpPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Peer.Default.Ip.Address.DhcpPool', 
                [], [], 
                '''                Use local DHCP pools to allocate a peer IP address
                ''',
                'dhcp_pool',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pool', REFERENCE_CLASS, 'Pool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Peer.Default.Ip.Address.Pool', 
                [], [], 
                '''                Use IP pool mechanism to allocate a peer IP address
                ''',
                'pool',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Peer.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Peer.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Peer.Default.Ip.Address', 
                [], [], 
                '''                Specify default IP address
                ''',
                'address',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Peer.Default' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Peer.Default',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Peer.Default.Ip', 
                [], [], 
                '''                Specify default IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.Peer',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Peer.Default', 
                [], [], 
                '''                Specify default parameters
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.PmPath' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.PmPath',
            False, 
            [
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                <1-255> Specify the interface-id value
                ''',
                'interface_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD Path name
                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pm-path',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.ServicePolicy.Type.Control' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.ServicePolicy.Type.Control',
            False, 
            [
            _MetaInfoClassMember('subscriber', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'subscriber',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'input':'input',
            'output':'output',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'performance-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.ServicePolicy.Type.Control', 
                [], [], 
                '''                ''',
                'control',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('performance-monitor', REFERENCE_CLASS, 'PerformanceMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor', 
                [], [], 
                '''                Configure media monitor service-policy type
                ''',
                'performance_monitor',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain', 
                [], [], 
                '''                Configure Service-chain Service Policy
                ''',
                'service_chain',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('history', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep history of QoS metrics
                ''',
                'history',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.ServicePolicy.Type', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'type',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface.Vasiright.IfStateEnum' : _MetaInfoEnum('IfStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'nhrp':'nhrp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright.ServiceInsertionEnum' : _MetaInfoEnum('ServiceInsertionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'waas':'waas',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Interface.Vasiright' : {
        'meta_info' : _MetaInfoClass('Native.Interface.Vasiright',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.AccessSession', 
                [], [], 
                '''                Access Session specific Interface Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Arp', 
                [], [], 
                '''                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                ''',
                'arp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Backup', 
                [], [], 
                '''                Modify backup parameters
                ''',
                'backup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Bandwidth', 
                [], [], 
                '''                Set bandwidth informational parameter
                ''',
                'bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Bfd', 
                [], [], 
                '''                BFD interface configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cemoudp', REFERENCE_CLASS, 'Cemoudp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Cemoudp', 
                [], [], 
                '''                cemoudp
                ''',
                'cemoudp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cws-tunnel', REFERENCE_CLASS, 'CwsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.CwsTunnel', 
                [], [], 
                '''                Configure Cloud Web Security Tunnel
                ''',
                'cws_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Dampening', 
                [], [], 
                '''                Enable event dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                Specify interface throughput delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 240)], [], 
                '''                Interface specific description
                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Domain', 
                [], [], 
                '''                Specify a domain
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Encapsulation', 
                [], [], 
                '''                Set encapsulation type for an interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue', REFERENCE_CLASS, 'FairQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.FairQueue', 
                [], [], 
                '''                Enable Fair Queuing on an Interface
                ''',
                'fair_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fair-queue-conf', REFERENCE_CLASS, 'FairQueueConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.FairQueueConf', 
                [], [], 
                '''                ''',
                'fair_queue_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Flowcontrol', 
                [], [], 
                '''                Configure flow operation.
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hold-queue', REFERENCE_CLASS, 'HoldQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.HoldQueue', 
                [], [], 
                '''                Set hold queue depth
                ''',
                'hold_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('if-state', REFERENCE_ENUM_CLASS, 'IfStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.IfStateEnum', 
                [], [], 
                '''                ''',
                'if_state',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface_qos', REFERENCE_CLASS, 'Interface_Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Interface_Qos', 
                [], [], 
                '''                ''',
                'interface_qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip-vrf', REFERENCE_CLASS, 'IpVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.IpVrf', 
                [], [], 
                '''                ''',
                'ip_vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Ipv6', 
                [], [], 
                '''                IPv6 interface subcommands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Isis', 
                [], [], 
                '''                IS-IS commands
                ''',
                'isis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('keepalive-settings', REFERENCE_CLASS, 'KeepaliveSettings' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.KeepaliveSettings', 
                [], [], 
                '''                ''',
                'keepalive_settings',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Specify interval for load calculation for an interface
                ''',
                'load_interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Logging', 
                [], [], 
                '''                Configure logging for interface
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('max-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum Reservable Bandwidth on an Interface
                ''',
                'max_reserved_bandwidth',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mdix', REFERENCE_CLASS, 'Mdix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Mdix', 
                [], [], 
                '''                Set Media Dependent Interface with Crossover
                ''',
                'mdix',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mop', REFERENCE_CLASS, 'Mop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Mop', 
                [], [], 
                '''                ''',
                'mop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Mpls', 
                [], [], 
                '''                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('64', '18000')], [], 
                '''                Set the interface Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Peer', 
                [], [], 
                '''                Peer parameters for point to point interfaces
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-path', REFERENCE_CLASS, 'PmPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.PmPath', 
                [], [], 
                '''                Global pm-path configuration
                ''',
                'pm_path',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority-queue', REFERENCE_CLASS, 'PriorityQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.PriorityQueue', 
                [], [], 
                '''                Configure priority scheduling
                ''',
                'priority_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rcv-queue', REFERENCE_CLASS, 'RcvQueue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.RcvQueue', 
                [], [], 
                '''                Configure receive queue(s)
                ''',
                'rcv_queue',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_ENUM_CLASS, 'ServiceInsertionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.ServiceInsertionEnum', 
                [], [], 
                '''                Service-insertion AppNav Controller
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.ServicePolicy', 
                [], [], 
                '''                Configure QoS Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the selected interface
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Standby', 
                [], [], 
                '''                HSRP interface configuration commands
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switchport-conf', REFERENCE_CLASS, 'SwitchportConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.SwitchportConf', 
                [], [], 
                '''                ''',
                'switchport_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Trust', 
                [], [], 
                '''                Set trust value for the interface
                ''',
                'trust',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Utd', 
                [], [], 
                '''                UTD support on this interface
                ''',
                'utd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding parameters on the interface
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vasiright',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', REFERENCE_LIST, 'AppnavCompress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavCompress', 
                [], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', REFERENCE_LIST, 'AppnavUncompress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AppnavUncompress', 
                [], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', REFERENCE_LIST, 'Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Atm', 
                [], [], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', REFERENCE_LIST, 'AtmAcr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcr', 
                [], [], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', REFERENCE_LIST, 'Bdi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Bdi', 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', REFERENCE_LIST, 'Cellular' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cellular', 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', REFERENCE_LIST, 'Cem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Cem', 
                [], [], 
                '''                Circuit Emulation interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', REFERENCE_LIST, 'CemAcr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.CemAcr', 
                [], [], 
                '''                Circuit Emulation interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', REFERENCE_LIST, 'EmbeddedServiceEngine' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.EmbeddedServiceEngine', 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', REFERENCE_LIST, 'Fastethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fastethernet', 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FortyGigabitEthernet', REFERENCE_LIST, 'Fortygigabitethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Fortygigabitethernet', 
                [], [], 
                '''                Forty Gigabit Ethernet
                ''',
                'fortygigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', REFERENCE_LIST, 'Gigabitethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Gigabitethernet', 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Group-Async', REFERENCE_LIST, 'GroupAsync' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.GroupAsync', 
                [], [], 
                '''                Async Group interface
                ''',
                'group_async',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', REFERENCE_LIST, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', REFERENCE_LIST, 'Loopback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Loopback', 
                [], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', REFERENCE_LIST, 'Multilink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Multilink', 
                [], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', REFERENCE_LIST, 'Nve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Nve', 
                [], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', REFERENCE_LIST, 'Overlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Overlay', 
                [], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', REFERENCE_LIST, 'PortChannel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannel', 
                [], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', REFERENCE_LIST, 'Pseudowire' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Pseudowire', 
                [], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', REFERENCE_LIST, 'Serial' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Serial', 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', REFERENCE_LIST, 'Sm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Sm', 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', REFERENCE_LIST, 'Tengigabitethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tengigabitethernet', 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Tunnel', 
                [], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', REFERENCE_LIST, 'Vasileft' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasileft', 
                [], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', REFERENCE_LIST, 'Vasiright' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vasiright', 
                [], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', REFERENCE_LIST, 'VirtualTemplate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.VirtualTemplate', 
                [], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', REFERENCE_LIST, 'Virtualportgroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Virtualportgroup', 
                [], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface.Vlan', 
                [], [], 
                '''                Catalyst Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.AigpMetric' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.AigpMetric',
            False, 
            [
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                metric value from rib
                ''',
                'igp_metric',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                manual value
                ''',
                'value',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'aigp-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                <1-65535>;;AS number
                ''',
                'as_number',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'as-container',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont',
            False, 
            [
            _MetaInfoClassMember('last-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'last_as',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'last-as-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend',
            False, 
            [
            _MetaInfoClassMember('as-container', REFERENCE_CLASS, 'AsContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer', 
                [], [], 
                '''                ''',
                'as_container',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('last-as-cont', REFERENCE_CLASS, 'LastAsCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont', 
                [], [], 
                '''                ''',
                'last_as_cont',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'prepend',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.AsPath.Tag' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.AsPath.Tag',
            False, 
            [
            ],
            'Cisco-IOS-XE-route-map',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.AsPath' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.AsPath',
            False, 
            [
            _MetaInfoClassMember('prepend', REFERENCE_CLASS, 'Prepend' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend', 
                [], [], 
                '''                Prepend to the as-path
                ''',
                'prepend',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.AsPath.Tag', 
                [], [], 
                '''                Set the tag as an AS-path attribute
                ''',
                'tag',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'as-path',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Clns.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Clns.NextHop',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Clns' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Clns',
            False, 
            [
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Clns.NextHop', 
                [], [], 
                '''                Next hop along path
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown',
            False, 
            [
            _MetaInfoClassMember('additive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add to the existing community
                ''',
                'additive',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('community-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_list',
                'Cisco-IOS-XE-route-map', False, [
                    _MetaInfoClassMember('community-list', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'community_list',
                        'Cisco-IOS-XE-route-map', False, [
                            _MetaInfoClassMember('community-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                                [('1', '4294967295')], [], 
                                '''                                ''',
                                'community_list',
                                'Cisco-IOS-XE-route-map', False),
                            _MetaInfoClassMember('community-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                                [], [b'(\\d+:\\d+)'], 
                                '''                                ''',
                                'community_list',
                                'Cisco-IOS-XE-route-map', False),
                        ]),
                    _MetaInfoClassMember('community-list', REFERENCE_LEAFLIST, 'CommunityWellKnownTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'CommunityWellKnownTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'community_list',
                        'Cisco-IOS-XE-route-map', False),
                ]),
            ],
            'Cisco-IOS-XE-route-map',
            'community-well-known',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Community' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Community',
            False, 
            [
            _MetaInfoClassMember('community-well-known', REFERENCE_CLASS, 'CommunityWellKnown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown', 
                [], [], 
                '''                ''',
                'community_well_known',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No community attribute
                ''',
                'none',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.CommList' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.CommList',
            False, 
            [
            _MetaInfoClassMember('comm-list-expanded', ATTRIBUTE, 'int' , None, None, 
                [('100', '500')], [], 
                '''                ''',
                'comm_list_expanded',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('comm-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'comm_list_name',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('comm-list-standard', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'comm_list_standard',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('delete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delete matching communities
                ''',
                'delete',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'comm-list',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Dampening.DampeningList' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Dampening.DampeningList',
            False, 
            [
            _MetaInfoClassMember('half-life-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '45')], [], 
                '''                half-life time for the penalty
                ''',
                'half_life_penalty',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('restart-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                penalty to start reusing a route
                ''',
                'restart_penalty',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                penalty to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('max-suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'max_suppress_penalty',
                'Cisco-IOS-XE-route-map', True),
            ],
            'Cisco-IOS-XE-route-map',
            'dampening-list',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampening-list', REFERENCE_LIST, 'DampeningList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Dampening.DampeningList', 
                [], [], 
                '''                ''',
                'dampening_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Default.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Default.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Default.Interface' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Default.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Default.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Default' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Default',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Default.Interface', 
                [], [], 
                '''                SPAN source interface
                ''',
                'interface',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExtRange' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExtRange',
            False, 
            [
            _MetaInfoClassMember('comm-list-num', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                Extended community-list number (expanded)
                ''',
                'comm_list_num',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('delete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delete matching extended communities
                ''',
                'delete',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'ext-range',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExcommListName' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExcommListName',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                extcommunity-list name
                ''',
                'name',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('delete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'delete',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'excomm-list-name',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.ExtcommList' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.ExtcommList',
            False, 
            [
            _MetaInfoClassMember('excomm-list-name', REFERENCE_LIST, 'ExcommListName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExcommListName', 
                [], [], 
                '''                ''',
                'excomm_list_name',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ext-range', REFERENCE_LIST, 'ExtRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExtRange', 
                [], [], 
                '''                ''',
                'ext_range',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'extcomm-list',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.CommunityId' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.CommunityId',
            False, 
            [
            _MetaInfoClassMember('community-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'community_id',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('cost-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost Value (No-preference Cost = 2147483647)
                ''',
                'cost_value',
                'Cisco-IOS-XE-route-map', True),
            ],
            'Cisco-IOS-XE-route-map',
            'community-id',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp.CommunityId' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp.CommunityId',
            False, 
            [
            _MetaInfoClassMember('community-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'community_id',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('cost-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost Value (No-preference Cost = 2147483647)
                ''',
                'cost_value',
                'Cisco-IOS-XE-route-map', True),
            ],
            'Cisco-IOS-XE-route-map',
            'community-id',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp',
            False, 
            [
            _MetaInfoClassMember('community-id', REFERENCE_LIST, 'CommunityId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp.CommunityId', 
                [], [], 
                '''                ''',
                'community_id',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'igp',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath.CommunityId' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath.CommunityId',
            False, 
            [
            _MetaInfoClassMember('community-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'community_id',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('cost-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost Value (No-preference Cost = 2147483647)
                ''',
                'cost_value',
                'Cisco-IOS-XE-route-map', True),
            ],
            'Cisco-IOS-XE-route-map',
            'community-id',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath',
            False, 
            [
            _MetaInfoClassMember('community-id', REFERENCE_LIST, 'CommunityId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath.CommunityId', 
                [], [], 
                '''                ''',
                'community_id',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'pre-bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost',
            False, 
            [
            _MetaInfoClassMember('community-id', REFERENCE_LIST, 'CommunityId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.CommunityId', 
                [], [], 
                '''                ''',
                'community_id',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('igp', REFERENCE_CLASS, 'Igp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp', 
                [], [], 
                '''                Compare following IGP cost comparison
                ''',
                'igp',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('pre-bestpath', REFERENCE_CLASS, 'PreBestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath', 
                [], [], 
                '''                Compare before all other steps in bestpath calculation
                ''',
                'pre_bestpath',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'cost',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range',
            False, 
            [
            _MetaInfoClassMember('additive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add to the existing extcommunity
                ''',
                'additive',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('high-limit', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                VPN extended community high limit
                ''',
                'high_limit',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('lower-limit', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                VPN extended community lower limit
                ''',
                'lower_limit',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt',
            False, 
            [
            _MetaInfoClassMember('additive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'additive',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('asn-nn', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                ''',
                'asn_nn',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range', 
                [], [], 
                '''                Specify a range of extended community
                ''',
                'range',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'rt',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo',
            False, 
            [
            _MetaInfoClassMember('asn-nn', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                ''',
                'asn_nn',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'soo',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range',
            False, 
            [
            _MetaInfoClassMember('additive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Add to the existing extcommunity
                ''',
                'additive',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('high-limit', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                VPN extended community high limit
                ''',
                'high_limit',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('lower-limit', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                VPN extended community lower limit
                ''',
                'lower_limit',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher',
            False, 
            [
            _MetaInfoClassMember('asn-nn', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]+)|((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))):[0-9]+'], 
                '''                ''',
                'asn_nn',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range', 
                [], [], 
                '''                Specify a range of extended community
                ''',
                'range',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'vpn-distinguisher',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Extcommunity' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Extcommunity',
            False, 
            [
            _MetaInfoClassMember('cost', REFERENCE_CLASS, 'Cost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost', 
                [], [], 
                '''                Cost extended community
                ''',
                'cost',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('rt', REFERENCE_CLASS, 'Rt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt', 
                [], [], 
                '''                Route Target extended community
                ''',
                'rt',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('soo', REFERENCE_CLASS, 'Soo' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo', 
                [], [], 
                '''                Site-of-Origin extended community
                ''',
                'soo',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('vpn-distinguisher', REFERENCE_CLASS, 'VpnDistinguisher' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher', 
                [], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'extcommunity',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Interface' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_',
            False, 
            [
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop', 
                [], [], 
                '''                Next hop along path
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop', 
                [], [], 
                '''                Next hop along path
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrfs', REFERENCE_LIST, 'Vrfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs', 
                [], [], 
                '''                ''',
                'vrfs',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Default' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Default',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_', 
                [], [], 
                '''                global routing table
                ''',
                'global_',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop', 
                [], [], 
                '''                Next hop along path
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf', 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Global_' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Global_',
            False, 
            [
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop', 
                [], [], 
                '''                Next hop along path
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic',
            False, 
            [
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DHCP learned next hop
                ''',
                'dhcp',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate',
            False, 
            [
            _MetaInfoClassMember('l3vpn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                L3VPN
                ''',
                'l3vpn',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'encapsulate',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf.Vrfs' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of recursive next hop
                ''',
                'ipv4',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrfs', REFERENCE_LIST, 'Vrfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf.Vrfs', 
                [], [], 
                '''                ''',
                'vrfs',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive',
            False, 
            [
            _MetaInfoClassMember('global', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of recursive next hop
                ''',
                'global_',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of recursive next hop
                ''',
                'ipv4',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf', 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'recursive',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of next hop
                ''',
                'ipv4',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'verify-availability',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.NextHop',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic', 
                [], [], 
                '''                application dynamically sets next hop
                ''',
                'dynamic',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('encapsulate', REFERENCE_CLASS, 'Encapsulate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate', 
                [], [], 
                '''                Encapsulation profile for VPN nexthop
                ''',
                'encapsulate',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('peer-address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use peer address (for BGP only)
                ''',
                'peer_address',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('recursive', REFERENCE_CLASS, 'Recursive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive', 
                [], [], 
                '''                Recursive next-hop
                ''',
                'recursive',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('self', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use self address (for BGP only)
                ''',
                'self',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('verify-availability', REFERENCE_CLASS, 'VerifyAvailability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability', 
                [], [], 
                '''                Verify if nexthop is reachable
                ''',
                'verify_availability',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Precedence.PrecedenceFieldsEnum' : _MetaInfoEnum('PrecedenceFieldsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'critical':'critical',
            'flash':'flash',
            'flash-override':'flash_override',
            'immediate':'immediate',
            'internet':'internet',
            'network':'network',
            'priority':'priority',
            'routine':'routine',
        }, 'Cisco-IOS-XE-route-map', _yang_ns._namespaces['Cisco-IOS-XE-route-map']),
    'Native.RouteMap.RouteMapSeq.Set.Ip.Precedence' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Precedence',
            False, 
            [
            _MetaInfoClassMember('precedence-fields', REFERENCE_ENUM_CLASS, 'PrecedenceFieldsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Precedence.PrecedenceFieldsEnum', 
                [], [], 
                '''                ''',
                'precedence_fields',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('precedence-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'precedence_value',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'precedence',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.QosGroup' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.QosGroup',
            False, 
            [
            _MetaInfoClassMember('qos-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                ''',
                'qos_id',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Tos.TosFieldsEnum' : _MetaInfoEnum('TosFieldsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'max-reliability':'max_reliability',
            'max-throughput':'max_throughput',
            'min-delay':'min_delay',
            'min-monetary-cost':'min_monetary_cost',
            'normal':'normal',
        }, 'Cisco-IOS-XE-route-map', _yang_ns._namespaces['Cisco-IOS-XE-route-map']),
    'Native.RouteMap.RouteMapSeq.Set.Ip.Tos' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Tos',
            False, 
            [
            _MetaInfoClassMember('service-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                ''',
                'service_value',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('tos-fields', REFERENCE_ENUM_CLASS, 'TosFieldsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Tos.TosFieldsEnum', 
                [], [], 
                '''                ''',
                'tos_fields',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'tos',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop', 
                [], [], 
                '''                Next hop along path
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrfs', REFERENCE_LIST, 'Vrfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs', 
                [], [], 
                '''                ''',
                'vrfs',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ip' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Address', 
                [], [], 
                '''                Specify IP address
                ''',
                'address',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Default', 
                [], [], 
                '''                Set default information
                ''',
                'default',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('df', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                ''',
                'df',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Global_', 
                [], [], 
                '''                global routing table
                ''',
                'global_',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.NextHop', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('precedence', REFERENCE_CLASS, 'Precedence' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Precedence', 
                [], [], 
                '''                Set precedence field
                ''',
                'precedence',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.QosGroup', 
                [], [], 
                '''                Set QOS Group ID
                ''',
                'qos_group',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('tos', REFERENCE_CLASS, 'Tos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Tos', 
                [], [], 
                '''                Set type of service field
                ''',
                'tos',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip.Vrf', 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_',
            False, 
            [
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop along path
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop.Ipv6S' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop.Ipv6S',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Default next hop IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-route-map', True),
            ],
            'Cisco-IOS-XE-route-map',
            'ipv6s',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop',
            False, 
            [
            _MetaInfoClassMember('ipv6s', REFERENCE_LIST, 'Ipv6S' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop.Ipv6S', 
                [], [], 
                '''                ''',
                'ipv6s',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'next_hop_address',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf.Dvrf0' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf.Dvrf0',
            False, 
            [
            _MetaInfoClassMember('dvrf0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'dvrf0',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Next hop along path
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'dvrf0',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf',
            False, 
            [
            _MetaInfoClassMember('dvrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'dvrf',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('dvrf0', REFERENCE_LIST, 'Dvrf0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf.Dvrf0', 
                [], [], 
                '''                ''',
                'dvrf0',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'dvrf',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Default',
            False, 
            [
            _MetaInfoClassMember('dvrf', REFERENCE_LIST, 'Dvrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf', 
                [], [], 
                '''                ''',
                'dvrf',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_', 
                [], [], 
                '''                global routing table
                ''',
                'global_',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop', 
                [], [], 
                '''                Next hop along path
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop.NhIpv6' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop.NhIpv6',
            False, 
            [
            _MetaInfoClassMember('nh-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'nh_ipv6',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('nh-ipv60', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'nh_ipv60',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'nh-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop',
            False, 
            [
            _MetaInfoClassMember('nh-ipv6', REFERENCE_LIST, 'NhIpv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop.NhIpv6', 
                [], [], 
                '''                ''',
                'nh_ipv6',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('verify-availability', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'verify_availability',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_',
            False, 
            [
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop', 
                [], [], 
                '''                IPv6 Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6.NhaIpv60' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6.NhaIpv60',
            False, 
            [
            _MetaInfoClassMember('nha-ipv60', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'nha_ipv60',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('nh-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'nh_ipv6',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'nha-ipv60',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6',
            False, 
            [
            _MetaInfoClassMember('nha-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'nha_ipv6',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('nha-ipv60', REFERENCE_LIST, 'NhaIpv60' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6.NhaIpv60', 
                [], [], 
                '''                ''',
                'nha_ipv60',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'nha-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate',
            False, 
            [
            _MetaInfoClassMember('l3vpn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Encapsulation profile name
                ''',
                'l3vpn',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'encapsulate',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability.VaIpv6' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability.VaIpv6',
            False, 
            [
            _MetaInfoClassMember('va-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'va_ipv6',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('seq-nh', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Sequence to insert into next-hop list
                ''',
                'seq_nh',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'va-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability',
            False, 
            [
            _MetaInfoClassMember('va-ipv6', REFERENCE_LIST, 'VaIpv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability.VaIpv6', 
                [], [], 
                '''                ''',
                'va_ipv6',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'verify-availability',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop',
            False, 
            [
            _MetaInfoClassMember('encapsulate', REFERENCE_CLASS, 'Encapsulate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate', 
                [], [], 
                '''                Encapsulation profile for VPN nexthop
                ''',
                'encapsulate',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('nha-ipv6', REFERENCE_LIST, 'NhaIpv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6', 
                [], [], 
                '''                ''',
                'nha_ipv6',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('peer-address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use peer address (for BGP only)
                ''',
                'peer_address',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('recursive', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address of recursive next-hop
                ''',
                'recursive',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('verify-availability', REFERENCE_CLASS, 'VerifyAvailability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability', 
                [], [], 
                '''                Verify if nexthop is reachable
                ''',
                'verify_availability',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop',
            False, 
            [
            _MetaInfoClassMember('bipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'bipv6',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('verify-availability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Verify if nexthop is reachable
                ''',
                'verify_availability',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0',
            False, 
            [
            _MetaInfoClassMember('bvrf0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'bvrf0',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop', 
                [], [], 
                '''                IPv6 Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'bvrf0',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf',
            False, 
            [
            _MetaInfoClassMember('bvrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'bvrf',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('bvrf0', REFERENCE_LIST, 'Bvrf0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0', 
                [], [], 
                '''                ''',
                'bvrf0',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'bvrf',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Address', 
                [], [], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('bvrf', REFERENCE_LIST, 'Bvrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf', 
                [], [], 
                '''                ''',
                'bvrf',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Default', 
                [], [], 
                '''                Set default information
                ''',
                'default',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_', 
                [], [], 
                '''                global routing table
                ''',
                'global_',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop', 
                [], [], 
                '''                IPv6 Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Precedence value
                ''',
                'precedence',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Level' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Level',
            False, 
            [
            _MetaInfoClassMember('level-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Import into a level-1 area
                ''',
                'level_1',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('level-1-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Import into level-1 and level-2
                ''',
                'level_1_2',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('level-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Import into level-2 sub-domain
                ''',
                'level_2',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Import only into OSPF NSSA areas and don't propagate
                ''',
                'nssa_only',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Lisp',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The name of the locator set
                ''',
                'locator_set',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Origin.OriginValueEnum' : _MetaInfoEnum('OriginValueEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'igp':'igp',
            'incomplete':'incomplete',
        }, 'Cisco-IOS-XE-route-map', _yang_ns._namespaces['Cisco-IOS-XE-route-map']),
    'Native.RouteMap.RouteMapSeq.Set.Origin' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Origin',
            False, 
            [
            _MetaInfoClassMember('egp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                remote EGP
                ''',
                'egp',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('origin-value', REFERENCE_ENUM_CLASS, 'OriginValueEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Origin.OriginValueEnum', 
                [], [], 
                '''                ''',
                'origin_value',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'origin',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.Tag' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set.Tag',
            False, 
            [
            _MetaInfoClassMember('tag-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tag value(dotted decimal format)
                ''',
                'tag_ipv4',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('tag-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag value
                ''',
                'tag_val',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Set.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'type-1':'type_1',
            'type-2':'type_2',
        }, 'Cisco-IOS-XE-route-map', _yang_ns._namespaces['Cisco-IOS-XE-route-map']),
    'Native.RouteMap.RouteMapSeq.Set' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Set',
            False, 
            [
            _MetaInfoClassMember('aigp-metric', REFERENCE_CLASS, 'AigpMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.AigpMetric', 
                [], [], 
                '''                accumulated metric value
                ''',
                'aigp_metric',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('as-path', REFERENCE_CLASS, 'AsPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.AsPath', 
                [], [], 
                '''                Prepend string for a BGP AS-path attribute
                ''',
                'as_path',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('automatic-tag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Automatically compute TAG value
                ''',
                'automatic_tag',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Clns', 
                [], [], 
                '''                OSI summary address
                ''',
                'clns',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('comm-list', REFERENCE_CLASS, 'CommList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.CommList', 
                [], [], 
                '''                set BGP community list (for deletion)
                ''',
                'comm_list',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Community', 
                [], [], 
                '''                BGP community attribute
                ''',
                'community',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Dampening', 
                [], [], 
                '''                Set BGP route flap dampening parameters
                ''',
                'dampening',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('extcomm-list', REFERENCE_CLASS, 'ExtcommList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.ExtcommList', 
                [], [], 
                '''                Set BGP/VPN extended community list (for deletion)
                ''',
                'extcomm_list',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('extcommunity', REFERENCE_CLASS, 'Extcommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Extcommunity', 
                [], [], 
                '''                BGP extended community attribute
                ''',
                'extcommunity',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'global_',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ip', 
                [], [], 
                '''                IP specific information
                ''',
                'ip',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Ipv6', 
                [], [], 
                '''                IPv6 specific information
                ''',
                'ipv6',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Level', 
                [], [], 
                '''                Where to import route
                ''',
                'level',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol specific information
                ''',
                'lisp',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Preference value
                ''',
                'local_preference',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Metric value for destination routing protocol
                ''',
                'metric',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.MetricTypeEnum', 
                [], [], 
                '''                Type of metric for destination routing protocol
                ''',
                'metric_type',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set MPLS label for prefix
                ''',
                'mpls_label',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('origin', REFERENCE_CLASS, 'Origin' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Origin', 
                [], [], 
                '''                BGP origin code
                ''',
                'origin',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set.Tag', 
                [], [], 
                '''                Tag value for destination routing protocol
                ''',
                'tag',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('1', '64')], [], 
                '''                Bucket number
                ''',
                'traffic_index',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding instance name
                ''',
                'vrf',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BGP weight for routing table
                ''',
                'weight',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP Add-Path advertise best n paths
                ''',
                'best',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('best-range', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP Add-Path advertise best paths (range m to n)
                ''',
                'best_range',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                BGP Add-Path best n paths to advertise
                ''',
                'best',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('best-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                BGP Add-Path best paths to advertise (lower limit)
                ''',
                'best_range',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All.GroupBest', 
                [], [], 
                '''                BGP Add-Path advertise group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('best-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                BGP Add-Path best n paths to advertise
                ''',
                'best_range',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP Add-Path advertise all paths
                ''',
                'all',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP Add-Path advertise group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange.AdvPath' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange.AdvPath',
            False, 
            [
            _MetaInfoClassMember('adv-path', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                BGP Add-Path best paths to advertise (lower limit)
                ''',
                'adv_path',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('adv-path0', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                BGP Add-Path best paths to advertise (upper limit)
                ''',
                'adv_path0',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'adv-path',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange',
            False, 
            [
            _MetaInfoClassMember('adv-path', REFERENCE_LIST, 'AdvPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange.AdvPath', 
                [], [], 
                '''                ''',
                'adv_path',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BGP Add-Path advertise all paths
                ''',
                'all',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                BGP Add-Path best n paths to advertise
                ''',
                'best',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('best-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                BGP Add-Path best paths to advertise (lower limit)
                ''',
                'best_range',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All', 
                [], [], 
                '''                BGP Add-Path advertise all paths
                ''',
                'all',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best', 
                [], [], 
                '''                BGP Add-Path advertise best n paths
                ''',
                'best',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('best-range', REFERENCE_CLASS, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange', 
                [], [], 
                '''                BGP Add-Path advertise best paths (range m to n)
                ''',
                'best_range',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.GroupBest', 
                [], [], 
                '''                BGP Add-Path advertise group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'advertise-set',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('advertise-set', REFERENCE_CLASS, 'AdvertiseSet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet', 
                [], [], 
                '''                BGP Add-Path advertise-set policy
                ''',
                'advertise_set',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.AsPath' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.AsPath',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('1', '500')], [], 
                '''                AS path access-list
                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'as-path',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Clns' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Clns',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Named clna list
                ''',
                'name',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Community' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Community',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Named Access List
                ''',
                'name',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Extcommunity' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Extcommunity',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Named Access List
                ''',
                'name',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'extcommunity',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Interface' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Interface',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ip.Address' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ip.Address',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False, [
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                ]),
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Match entries of prefix-lists
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False, [
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                ]),
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Match entries of prefix-lists
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'dest-pfx',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False, [
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                ]),
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Match entries of prefix-lists
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'src-pfx',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec',
            False, 
            [
            _MetaInfoClassMember('dest-pfx', REFERENCE_CLASS, 'DestPfx' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx', 
                [], [], 
                '''                Match dest prefix component of flowspec prefix
                ''',
                'dest_pfx',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('src-pfx', REFERENCE_CLASS, 'SrcPfx' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx', 
                [], [], 
                '''                Match source prefix component of flowspec prefix
                ''',
                'src_pfx',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'flowspec',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ip.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ip.NextHop',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False, [
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                ]),
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Match entries of prefix-lists
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False, [
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                ]),
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Match entries of prefix-lists
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'redistribution-source',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False, [
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                    _MetaInfoClassMember('access-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-route-map', False),
                ]),
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Match entries of prefix-lists
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'route-source',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ip' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ip',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ip.Address', 
                [], [], 
                '''                Match address of route or match packet
                ''',
                'address',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('flowspec', REFERENCE_CLASS, 'Flowspec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec', 
                [], [], 
                '''                Match address of route
                ''',
                'flowspec',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ip.NextHop', 
                [], [], 
                '''                Match next-hop address of route
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('redistribution-source', REFERENCE_CLASS, 'RedistributionSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource', 
                [], [], 
                '''                route redistribution source (EIGRP only)
                ''',
                'redistribution_source',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('route-source', REFERENCE_CLASS, 'RouteSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource', 
                [], [], 
                '''                Match advertising source address of route
                ''',
                'route_source',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ipv6.Address' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ipv6.Address',
            False, 
            [
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [b'[a-zA-Z].*'], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx',
            False, 
            [
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [b'[a-zA-Z].*'], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'dest-pfx',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx',
            False, 
            [
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [b'[a-zA-Z].*'], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'src-pfx',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec',
            False, 
            [
            _MetaInfoClassMember('dest-pfx', REFERENCE_CLASS, 'DestPfx' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx', 
                [], [], 
                '''                Match dest prefix component of flowspec prefix
                ''',
                'dest_pfx',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('src-pfx', REFERENCE_CLASS, 'SrcPfx' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx', 
                [], [], 
                '''                Match source prefix component of flowspec prefix
                ''',
                'src_pfx',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'flowspec',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop',
            False, 
            [
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [b'[a-zA-Z].*'], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource',
            False, 
            [
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [b'[a-zA-Z].*'], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'route-source',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ipv6.Address', 
                [], [], 
                '''                Match address of route
                ''',
                'address',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('flowspec', REFERENCE_CLASS, 'Flowspec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec', 
                [], [], 
                '''                Match address of route
                ''',
                'flowspec',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop', 
                [], [], 
                '''                Match next-hop address of route
                ''',
                'next_hop',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('route-source', REFERENCE_CLASS, 'RouteSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource', 
                [], [], 
                '''                Match advertising source address of route
                ''',
                'route_source',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Length.Lengths' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Length.Lengths',
            False, 
            [
            _MetaInfoClassMember('min-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Minimum packet length
                ''',
                'min_len',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('max-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Maximum packet length
                ''',
                'max_len',
                'Cisco-IOS-XE-route-map', True),
            ],
            'Cisco-IOS-XE-route-map',
            'lengths',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Length' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Length',
            False, 
            [
            _MetaInfoClassMember('lengths', REFERENCE_LIST, 'Lengths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Length.Lengths', 
                [], [], 
                '''                ''',
                'lengths',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.LocalPreference' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.LocalPreference',
            False, 
            [
            _MetaInfoClassMember('values', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'values',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'local-preference',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.MdtGroup' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.MdtGroup',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                IP Access List
                ''',
                'name',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'mdt-group',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Metric' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Metric',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                match route using external protocol metric
                ''',
                'external',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'metric_value',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.PolicyList' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.PolicyList',
            False, 
            [
            _MetaInfoClassMember('policy-map-names', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                IP Policy map name
                ''',
                'policy_map_names',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'policy-list',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.RouteType.External' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.RouteType.External',
            False, 
            [
            _MetaInfoClassMember('type-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF external type 1 route
                ''',
                'type_1',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('type-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF external type 2 route
                ''',
                'type_2',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.RouteType.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.RouteType.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('type-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF external type 1 route
                ''',
                'type_1',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('type-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF external type 2 route
                ''',
                'type_2',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.RouteType' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.RouteType',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.RouteType.External', 
                [], [], 
                '''                external route (BGP, EIGRP and OSPF type 1/2)
                ''',
                'external',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                internal route (including OSPF intra/inter area)
                ''',
                'internal',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('level-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IS-IS level-1 route
                ''',
                'level_1',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('level-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IS-IS level-2 route
                ''',
                'level_2',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                locally generated route
                ''',
                'local',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.RouteType.NssaExternal', 
                [], [], 
                '''                nssa-external route (OSPF type 1/2)
                ''',
                'nssa_external',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'route-type',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Rpki' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Rpki',
            False, 
            [
            _MetaInfoClassMember('invalid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RPKI Invalid State
                ''',
                'invalid',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('not-found', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RPKI Not Found State
                ''',
                'not_found',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RPKI Valid State
                ''',
                'valid',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'rpki',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.SourceProtocol' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.SourceProtocol',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-route-map', False, [
                    _MetaInfoClassMember('bgp', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Border Gateway Protocol (BGP)
                        ''',
                        'bgp',
                        'Cisco-IOS-XE-route-map', False),
                    _MetaInfoClassMember('bgp', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Border Gateway Protocol (BGP)
                        ''',
                        'bgp',
                        'Cisco-IOS-XE-route-map', False),
                ]),
            _MetaInfoClassMember('connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('isis', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('lisp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('mobile', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ospf', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('rip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'source-protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Tag.List' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Tag.List',
            False, 
            [
            _MetaInfoClassMember('tag-names', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Tag list name
                ''',
                'tag_names',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match.Tag' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match.Tag',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                <A.B.C.D>;;Tag value(dotted decimal format)
                ''',
                'ipv4_address',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Tag.List', 
                [], [], 
                '''                Route Tag List
                ''',
                'list',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('tag_value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag value
                ''',
                'tag_value',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.Match' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq.Match',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.AdditionalPaths', 
                [], [], 
                '''                BGP Add-Path match policies
                ''',
                'additional_paths',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('as-path', REFERENCE_CLASS, 'AsPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.AsPath', 
                [], [], 
                '''                Match BGP AS path list
                ''',
                'as_path',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Clns', 
                [], [], 
                '''                CLNS information
                ''',
                'clns',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Community', 
                [], [], 
                '''                Match BGP community list
                ''',
                'community',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('extcommunity', REFERENCE_CLASS, 'Extcommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Extcommunity', 
                [], [], 
                '''                Match BGP/VPN extended community list
                ''',
                'extcommunity',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Interface', 
                [], [], 
                '''                SPAN source interface
                ''',
                'interface',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ip', 
                [], [], 
                '''                IP specific information
                ''',
                'ip',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Ipv6', 
                [], [], 
                '''                IPv6 specific information
                ''',
                'ipv6',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Length', 
                [], [], 
                '''                Packet length
                ''',
                'length',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('local-preference', REFERENCE_CLASS, 'LocalPreference' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.LocalPreference', 
                [], [], 
                '''                Local preference for route
                ''',
                'local_preference',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('mdt-group', REFERENCE_CLASS, 'MdtGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.MdtGroup', 
                [], [], 
                '''                Match routes corresponding to MDT group
                ''',
                'mdt_group',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Metric', 
                [], [], 
                '''                Match metric of route
                ''',
                'metric',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match routes which have MPLS labels
                ''',
                'mpls_label',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('policy-list', REFERENCE_CLASS, 'PolicyList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.PolicyList', 
                [], [], 
                '''                Match IP policy list
                ''',
                'policy_list',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('route-type', REFERENCE_CLASS, 'RouteType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.RouteType', 
                [], [], 
                '''                Match route-type of route
                ''',
                'route_type',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('rpki', REFERENCE_CLASS, 'Rpki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Rpki', 
                [], [], 
                '''                Match RPKI state of route
                ''',
                'rpki',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('source-protocol', REFERENCE_CLASS, 'SourceProtocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.SourceProtocol', 
                [], [], 
                '''                Match source-protocol of route
                ''',
                'source_protocol',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match.Tag', 
                [], [], 
                '''                Match tag of route
                ''',
                'tag',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('track', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                tracking object
                ''',
                'track',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap.RouteMapSeq.OperationEnum' : _MetaInfoEnum('OperationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deny':'deny',
            'permit':'permit',
        }, 'Cisco-IOS-XE-route-map', _yang_ns._namespaces['Cisco-IOS-XE-route-map']),
    'Native.RouteMap.RouteMapSeq' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap.RouteMapSeq',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-route-map', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map comment
                ''',
                'description',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Match', 
                [], [], 
                '''                Match values from routing table
                ''',
                'match',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('operation', REFERENCE_ENUM_CLASS, 'OperationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.OperationEnum', 
                [], [], 
                '''                ''',
                'operation',
                'Cisco-IOS-XE-route-map', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq.Set', 
                [], [], 
                '''                Set values in destination routing protocol
                ''',
                'set',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-route-map',
            'route-map-seq',
            _yang_ns._namespaces['Cisco-IOS-XE-route-map'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.RouteMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route map tag
                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('route-map-seq', REFERENCE_LIST, 'RouteMapSeq' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap.RouteMapSeq', 
                [], [], 
                '''                ''',
                'route_map_seq',
                'Cisco-IOS-XE-route-map', False),
            ],
            'Cisco-IOS-XE-native',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag.List.RtName.Deny.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag.List.RtName.Deny.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag.List.RtName.Deny' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag.List.RtName.Deny',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag.List.RtName.Deny.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag.List.RtName.Permit.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag.List.RtName.Permit.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag.List.RtName.Permit' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag.List.RtName.Permit',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag.List.RtName.Permit.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag.List.RtName.Seq.SeqNum.Deny' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag.List.RtName.Seq.SeqNum.Deny',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag.List.RtName.Seq.SeqNum.Permit' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag.List.RtName.Seq.SeqNum.Permit',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag.List.RtName.Seq.SeqNum' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag.List.RtName.Seq.SeqNum',
            False, 
            [
            _MetaInfoClassMember('seq-num', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                ''',
                'seq_num',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag.List.RtName.Seq.SeqNum.Deny', 
                [], [], 
                '''                ''',
                'deny',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag.List.RtName.Seq.SeqNum.Permit', 
                [], [], 
                '''                ''',
                'permit',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'seq-num',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag.List.RtName.Seq' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag.List.RtName.Seq',
            False, 
            [
            _MetaInfoClassMember('seq-num', REFERENCE_LIST, 'SeqNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag.List.RtName.Seq.SeqNum', 
                [], [], 
                '''                ''',
                'seq_num',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'seq',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag.List.RtName' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag.List.RtName',
            False, 
            [
            _MetaInfoClassMember('rt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'rt_name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag.List.RtName.Deny', 
                [], [], 
                '''                ''',
                'deny',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag.List.RtName.Permit', 
                [], [], 
                '''                ''',
                'permit',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('seq', REFERENCE_CLASS, 'Seq' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag.List.RtName.Seq', 
                [], [], 
                '''                ''',
                'seq',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'rt-name',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag.List' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag.List',
            False, 
            [
            _MetaInfoClassMember('rt-name', REFERENCE_LIST, 'RtName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag.List.RtName', 
                [], [], 
                '''                ''',
                'rt_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag.Notation' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag.Notation',
            False, 
            [
            _MetaInfoClassMember('dotted-decimal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'dotted_decimal',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'notation',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RouteTag' : {
        'meta_info' : _MetaInfoClass('Native.RouteTag',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag.List', 
                [], [], 
                '''                ''',
                'list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('notation', REFERENCE_CLASS, 'Notation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag.Notation', 
                [], [], 
                '''                ''',
                'notation',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-native',
            'route-tag',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Banner.Exec_' : {
        'meta_info' : _MetaInfoClass('Native.Banner.Exec_',
            False, 
            [
            _MetaInfoClassMember('end-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'end_marker',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'start_marker',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Banner.Login' : {
        'meta_info' : _MetaInfoClass('Native.Banner.Login',
            False, 
            [
            _MetaInfoClassMember('end-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'end_marker',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'start_marker',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'login',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Banner.PromptTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Banner.PromptTimeout',
            False, 
            [
            _MetaInfoClassMember('end-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'end_marker',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'start_marker',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prompt-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Banner.Motd' : {
        'meta_info' : _MetaInfoClass('Native.Banner.Motd',
            False, 
            [
            _MetaInfoClassMember('end-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'end_marker',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'start_marker',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'motd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Banner' : {
        'meta_info' : _MetaInfoClass('Native.Banner',
            False, 
            [
            _MetaInfoClassMember('exec', REFERENCE_CLASS, 'Exec_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Banner.Exec_', 
                [], [], 
                '''                Set EXEC process creation banner
                ''',
                'exec_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('login', REFERENCE_CLASS, 'Login' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Banner.Login', 
                [], [], 
                '''                Set login banner
                ''',
                'login',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('motd', REFERENCE_CLASS, 'Motd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Banner.Motd', 
                [], [], 
                '''                Set Message of the Day banner
                ''',
                'motd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prompt-timeout', REFERENCE_CLASS, 'PromptTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Banner.PromptTimeout', 
                [], [], 
                '''                Set Message for login authentication timeout
                ''',
                'prompt_timeout',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'banner',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TableMap.Map' : {
        'meta_info' : _MetaInfoClass('Native.TableMap.Map',
            False, 
            [
            _MetaInfoClassMember('from', ATTRIBUTE, 'int' , None, None, 
                [('0', '63')], [], 
                '''                map from value
                ''',
                'from_',
                'Cisco-IOS-XE-qos', True),
            _MetaInfoClassMember('to', ATTRIBUTE, 'int' , None, None, 
                [('0', '63')], [], 
                '''                map to value
                ''',
                'to',
                'Cisco-IOS-XE-qos', True),
            ],
            'Cisco-IOS-XE-qos',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TableMap.DefaultEnum' : _MetaInfoEnum('DefaultEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'copy':'copy',
            'ignore':'ignore',
        }, 'Cisco-IOS-XE-qos', _yang_ns._namespaces['Cisco-IOS-XE-qos']),
    'Native.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.TableMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('default', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                the default behavior for setting value not found in the table map
                ''',
                'default',
                'Cisco-IOS-XE-qos', False, [
                    _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        the default behavior for setting value not found in the table map
                        ''',
                        'default',
                        'Cisco-IOS-XE-qos', False),
                    _MetaInfoClassMember('default', REFERENCE_ENUM_CLASS, 'Native.TableMap.DefaultEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TableMap.DefaultEnum', 
                        [], [], 
                        '''                        the default behavior for setting value not found in the table map
                        ''',
                        'default',
                        'Cisco-IOS-XE-qos', False),
                ]),
            _MetaInfoClassMember('map', REFERENCE_LIST, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TableMap.Map', 
                [], [], 
                '''                map to_value from from_value
                ''',
                'map',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-native',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Sdm.Prefer' : {
        'meta_info' : _MetaInfoClass('Native.Sdm.Prefer',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('qos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'qos',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'prefer',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Sdm' : {
        'meta_info' : _MetaInfoClass('Native.Sdm',
            False, 
            [
            _MetaInfoClassMember('prefer', REFERENCE_CLASS, 'Prefer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Sdm.Prefer', 
                [], [], 
                '''                Config TCAM and ASIC RAM size. Warning: need to reset switch for configuration to take effect
                ''',
                'prefer',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-native',
            'sdm',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mls' : {
        'meta_info' : _MetaInfoClass('Native.Mls',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'mls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Network_Address' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Network_Address',
            False, 
            [
            _MetaInfoClassMember('ipv4_addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                A.B.C.D;;Network address of the group members
                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-object-group', True),
            _MetaInfoClassMember('ipv4_mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                A.B.C.D;;Network mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XE-object-group', True),
            ],
            'Cisco-IOS-XE-object-group',
            'network_address',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range',
            False, 
            [
            _MetaInfoClassMember('ip-addr-max', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Ending IPv4 Address
                ''',
                'ip_addr_max',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('ip-addr-min', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Starting IPv4 Address
                ''',
                'ip_addr_min',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Network.ObjModeConfigNetworkGroup' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Network.ObjModeConfigNetworkGroup',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 200)], [], 
                '''                Network object group description
                ''',
                'description',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('group-object', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Nested object group
                ''',
                'group_object',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Host address of the object-group member
                ''',
                'host',
                'Cisco-IOS-XE-object-group', False, [
                    _MetaInfoClassMember('host', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Host address of the object-group member
                        ''',
                        'host',
                        'Cisco-IOS-XE-object-group', False, [
                            _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Host address of the object-group member
                                ''',
                                'host',
                                'Cisco-IOS-XE-object-group', False),
                            _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Host address of the object-group member
                                ''',
                                'host',
                                'Cisco-IOS-XE-object-group', False),
                        ]),
                    _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        Host address of the object-group member
                        ''',
                        'host',
                        'Cisco-IOS-XE-object-group', False),
                ]),
            _MetaInfoClassMember('network_address', REFERENCE_LIST, 'Network_Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Network_Address', 
                [], [], 
                '''                ''',
                'network_address',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'obj-Mode-config-network-group',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Network' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Network',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;object-group name
                ''',
                'name',
                'Cisco-IOS-XE-object-group', True),
            _MetaInfoClassMember('obj-Mode-config-network-group', REFERENCE_CLASS, 'ObjModeConfigNetworkGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Network.ObjModeConfigNetworkGroup', 
                [], [], 
                '''                ''',
                'obj_mode_config_network_group',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Security.SecurityGroup.SecurityGroup_' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Security.SecurityGroup.SecurityGroup_',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'security-group',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Security.SecurityGroup' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Security.SecurityGroup',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 200)], [], 
                '''                Network object group description
                ''',
                'description',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('group-object', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Nested object group
                ''',
                'group_object',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('security-group', REFERENCE_CLASS, 'SecurityGroup_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Security.SecurityGroup.SecurityGroup_', 
                [], [], 
                '''                Security Group Tag
                ''',
                'security_group',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'security-group',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Security' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Security',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-object-group', True),
            _MetaInfoClassMember('security-group', REFERENCE_CLASS, 'SecurityGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Security.SecurityGroup', 
                [], [], 
                '''                ''',
                'security_group',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Service.Icmp' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Service.Icmp',
            False, 
            [
            _MetaInfoClassMember('alternate-address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Alternate address
                ''',
                'alternate_address',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('conversion-error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Datagram conversion
                ''',
                'conversion_error',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('echo', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Echo (ping)
                ''',
                'echo',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('echo-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Echo reply
                ''',
                'echo_reply',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('information-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Information replies
                ''',
                'information_reply',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('information-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Information requests
                ''',
                'information_request',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('mask-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mask replies
                ''',
                'mask_reply',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('mask-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mask requests
                ''',
                'mask_request',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('mobile-redirect', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mobile host redirect
                ''',
                'mobile_redirect',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('parameter-problem', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All parameter problems
                ''',
                'parameter_problem',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('port-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'port_number',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('redirect', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All redirects
                ''',
                'redirect',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('router-advertisement', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Router discovery advertisements
                ''',
                'router_advertisement',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('router-solicitation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Router discovery solicitations
                ''',
                'router_solicitation',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('source-quench', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Source quenches
                ''',
                'source_quench',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('time-exceeded', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All time exceededs
                ''',
                'time_exceeded',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('timestamp-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Timestamp replies
                ''',
                'timestamp_reply',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('timestamp-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Timestamp requests
                ''',
                'timestamp_request',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('traceroute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Traceroute
                ''',
                'traceroute',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('unreachable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All unreachables
                ''',
                'unreachable',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'icmp',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Service.Tcp.TcpPortList.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'eq':'eq',
            'gt':'gt',
            'lt':'lt',
            'range':'range',
        }, 'Cisco-IOS-XE-object-group', _yang_ns._namespaces['Cisco-IOS-XE-object-group']),
    'Native.ObjectGroup.Service.Tcp.TcpPortList' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Service.Tcp.TcpPortList',
            False, 
            [
            _MetaInfoClassMember('tcp-port', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tcp_port',
                'Cisco-IOS-XE-object-group', True, [
                    _MetaInfoClassMember('tcp-port', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'tcp_port',
                        'Cisco-IOS-XE-object-group', True),
                    _MetaInfoClassMember('tcp-port', REFERENCE_ENUM_CLASS, 'AclTcpPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AclTcpPortTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'tcp_port',
                        'Cisco-IOS-XE-object-group', True),
                ]),
            _MetaInfoClassMember('max-tcp-port', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'max_tcp_port',
                'Cisco-IOS-XE-object-group', False, [
                    _MetaInfoClassMember('max-tcp-port', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'max_tcp_port',
                        'Cisco-IOS-XE-object-group', False),
                    _MetaInfoClassMember('max-tcp-port', REFERENCE_ENUM_CLASS, 'AclTcpPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AclTcpPortTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'max_tcp_port',
                        'Cisco-IOS-XE-object-group', False),
                ]),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Service.Tcp.TcpPortList.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'tcp-port-list',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Service.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Service.Tcp',
            False, 
            [
            _MetaInfoClassMember('tcp-port-list', REFERENCE_LIST, 'TcpPortList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Service.Tcp.TcpPortList', 
                [], [], 
                '''                ''',
                'tcp_port_list',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Service.TcpUdp.UdpPortList.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'eq':'eq',
            'gt':'gt',
            'lt':'lt',
            'range':'range',
        }, 'Cisco-IOS-XE-object-group', _yang_ns._namespaces['Cisco-IOS-XE-object-group']),
    'Native.ObjectGroup.Service.TcpUdp.UdpPortList' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Service.TcpUdp.UdpPortList',
            False, 
            [
            _MetaInfoClassMember('udp-port', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'udp_port',
                'Cisco-IOS-XE-object-group', True, [
                    _MetaInfoClassMember('udp-port', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'udp_port',
                        'Cisco-IOS-XE-object-group', True),
                    _MetaInfoClassMember('udp-port', REFERENCE_ENUM_CLASS, 'AclUdpPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AclUdpPortTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'udp_port',
                        'Cisco-IOS-XE-object-group', True),
                ]),
            _MetaInfoClassMember('max-udp-port', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'max_udp_port',
                'Cisco-IOS-XE-object-group', False, [
                    _MetaInfoClassMember('max-udp-port', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'max_udp_port',
                        'Cisco-IOS-XE-object-group', False),
                    _MetaInfoClassMember('max-udp-port', REFERENCE_ENUM_CLASS, 'AclUdpPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AclUdpPortTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'max_udp_port',
                        'Cisco-IOS-XE-object-group', False),
                ]),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Service.TcpUdp.UdpPortList.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'udp-port-list',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Service.TcpUdp' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Service.TcpUdp',
            False, 
            [
            _MetaInfoClassMember('udp-port-list', REFERENCE_LIST, 'UdpPortList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Service.TcpUdp.UdpPortList', 
                [], [], 
                '''                ''',
                'udp_port_list',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'tcp-udp',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Service.Udp.UdpPortList.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'eq':'eq',
            'gt':'gt',
            'lt':'lt',
            'range':'range',
        }, 'Cisco-IOS-XE-object-group', _yang_ns._namespaces['Cisco-IOS-XE-object-group']),
    'Native.ObjectGroup.Service.Udp.UdpPortList' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Service.Udp.UdpPortList',
            False, 
            [
            _MetaInfoClassMember('udp-port', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'udp_port',
                'Cisco-IOS-XE-object-group', True, [
                    _MetaInfoClassMember('udp-port', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'udp_port',
                        'Cisco-IOS-XE-object-group', True),
                    _MetaInfoClassMember('udp-port', REFERENCE_ENUM_CLASS, 'AclUdpPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AclUdpPortTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'udp_port',
                        'Cisco-IOS-XE-object-group', True),
                ]),
            _MetaInfoClassMember('max-udp-port', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'max_udp_port',
                'Cisco-IOS-XE-object-group', False, [
                    _MetaInfoClassMember('max-udp-port', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'max_udp_port',
                        'Cisco-IOS-XE-object-group', False),
                    _MetaInfoClassMember('max-udp-port', REFERENCE_ENUM_CLASS, 'AclUdpPortTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AclUdpPortTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'max_udp_port',
                        'Cisco-IOS-XE-object-group', False),
                ]),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Service.Udp.UdpPortList.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'udp-port-list',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Service.Udp' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Service.Udp',
            False, 
            [
            _MetaInfoClassMember('udp-port-list', REFERENCE_LIST, 'UdpPortList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Service.Udp.UdpPortList', 
                [], [], 
                '''                ''',
                'udp_port_list',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup.Service' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup.Service',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-object-group', True),
            _MetaInfoClassMember('ahp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication Header Protocol
                ''',
                'ahp',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service object group description
                ''',
                'description',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco's EIGRP routing protocol
                ''',
                'eigrp',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('esp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encapsulation Security Payload
                ''',
                'esp',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('gre', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco's GRE tunneling
                ''',
                'gre',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('group-object', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Nested object group
                ''',
                'group_object',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('icmp', REFERENCE_CLASS, 'Icmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Service.Icmp', 
                [], [], 
                '''                Internet Control Message Protocol
                ''',
                'icmp',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('igmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Internet Gateway Message Protocol
                ''',
                'igmp',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any Internet Protocol
                ''',
                'ip',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('ipinip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP in IP tunneling
                ''',
                'ipinip',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('nos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                KA9Q NOS compatible IP over IP tunneling
                ''',
                'nos',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF routing protocol
                ''',
                'ospf',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('pcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Payload Compression Protocol
                ''',
                'pcp',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('pim', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Protocol Independent Multicast
                ''',
                'pim',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('protocal-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'protocal_number',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Service.Tcp', 
                [], [], 
                '''                Transmission Control Protocol
                ''',
                'tcp',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('tcp-udp', REFERENCE_CLASS, 'TcpUdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Service.TcpUdp', 
                [], [], 
                '''                TCP or UDP protocol
                ''',
                'tcp_udp',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Service.Udp', 
                [], [], 
                '''                User Datagram Protocol
                ''',
                'udp',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-object-group',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-object-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ObjectGroup' : {
        'meta_info' : _MetaInfoClass('Native.ObjectGroup',
            False, 
            [
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Network', 
                [], [], 
                '''                network group
                ''',
                'network',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('security', REFERENCE_LIST, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Security', 
                [], [], 
                '''                security group
                ''',
                'security',
                'Cisco-IOS-XE-object-group', False),
            _MetaInfoClassMember('service', REFERENCE_LIST, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup.Service', 
                [], [], 
                '''                service group
                ''',
                'service',
                'Cisco-IOS-XE-object-group', False),
            ],
            'Cisco-IOS-XE-native',
            'object-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Ip.Dfbit' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Ip.Dfbit',
            False, 
            [
            _MetaInfoClassMember('set', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the DF bit in the tunnel header
                ''',
                'set',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'dfbit',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Ip.Local.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Ip.Local.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Ip.Local.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Ip.Local.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Ip.Local.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Ip.Local.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Ip.Local.Interface' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Ip.Local.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Ip.Local.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Ip.Local.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Ip.Local.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Ip.Local' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Ip.Local',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Ip.Local.Interface', 
                [], [], 
                '''                Source interface for pseudowire
                ''',
                'interface',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Ip.Pmtu' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Ip.Pmtu',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Maximum Path MTU for session
                ''',
                'max',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'pmtu',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Ip.Tos' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Ip.Tos',
            False, 
            [
            _MetaInfoClassMember('reflect', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reflect IP payload ToS on tunnel
                ''',
                'reflect',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP ToS value
                ''',
                'value',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'tos',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Ip.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'l2tp':'l2tp',
            'uti':'uti',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.PseudowireClass.Ip' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Ip',
            False, 
            [
            _MetaInfoClassMember('dfbit', REFERENCE_CLASS, 'Dfbit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Ip.Dfbit', 
                [], [], 
                '''                DF bit options for tunnel
                ''',
                'dfbit',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Ip.Local', 
                [], [], 
                '''                Specify local information
                ''',
                'local',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pmtu', REFERENCE_CLASS, 'Pmtu' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Ip.Pmtu', 
                [], [], 
                '''                Enable Path MTU for tunnel
                ''',
                'pmtu',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Ip.ProtocolEnum', 
                [], [], 
                '''                Specific IP protocol number to use
                ''',
                'protocol',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('tos', REFERENCE_CLASS, 'Tos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Ip.Tos', 
                [], [], 
                '''                Specify ToS options for IP tunnel header
                ''',
                'tos',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify TTL value for IP tunnel header
                ''',
                'ttl',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.LoadBalance.Flow.EthernetEnum' : _MetaInfoEnum('EthernetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dst-mac':'dst_mac',
            'src-dst-mac':'src_dst_mac',
            'src-mac':'src_mac',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.PseudowireClass.LoadBalance.Flow' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.LoadBalance.Flow',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_ENUM_CLASS, 'EthernetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.LoadBalance.Flow.EthernetEnum', 
                [], [], 
                '''                Ethernet pseudowire flow classification
                ''',
                'ethernet',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.LoadBalance' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.LoadBalance',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.LoadBalance.Flow', 
                [], [], 
                '''                Enable flow based load balancing for pseudowire
                ''',
                'flow',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'load-balance',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Monitor.Peer.Bfd.Local' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Monitor.Peer.Bfd.Local',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface', 
                [], [], 
                '''                Source interface for pseudowire
                ''',
                'interface',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Monitor.Peer.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Monitor.Peer.Bfd',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Monitor.Peer.Bfd.Local', 
                [], [], 
                '''                Specify local endpoint information to map to a BFD session
                ''',
                'local',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Monitor.Peer' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Monitor.Peer',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Monitor.Peer.Bfd', 
                [], [], 
                '''                BFD active monitoring for the xconnect peer
                ''',
                'bfd',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Monitor',
            False, 
            [
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Monitor.Peer', 
                [], [], 
                '''                Active monitoring of xconnect peer
                ''',
                'peer',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.PreferredPath.Interface' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.PreferredPath.Interface',
            False, 
            [
            _MetaInfoClassMember('disable-fallback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable fall back to alternative route
                ''',
                'disable_fallback',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Tunnel-tp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MPLS Transport Profile interface
                ''',
                'tunnel_tp',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.PreferredPath.PeerContainer' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.PreferredPath.PeerContainer',
            False, 
            [
            _MetaInfoClassMember('disable-fallback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable fall back to alternative route
                ''',
                'disable_fallback',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer Address
                ''',
                'peer',
                'Cisco-IOS-XE-l2vpn', False, [
                    _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Peer Address
                        ''',
                        'peer',
                        'Cisco-IOS-XE-l2vpn', False),
                    _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer Address
                        ''',
                        'peer',
                        'Cisco-IOS-XE-l2vpn', False),
                ]),
            ],
            'Cisco-IOS-XE-l2vpn',
            'peer-container',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.PreferredPath' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.PreferredPath',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.PreferredPath.Interface', 
                [], [], 
                '''                Output Interface
                ''',
                'interface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('peer-container', REFERENCE_CLASS, 'PeerContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.PreferredPath.PeerContainer', 
                [], [], 
                '''                ''',
                'peer_container',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'preferred-path',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.ProtocolMpls.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldp':'ldp',
            'none':'none',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.PseudowireClass.ProtocolMpls' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.ProtocolMpls',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.ProtocolMpls.ProtocolEnum', 
                [], [], 
                '''                Signaling protocol to use
                ''',
                'protocol',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'protocol-mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.ProtocolL2Tpv2.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'l2tpv2':'l2tpv2',
            'none':'none',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.PseudowireClass.ProtocolL2Tpv2' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.ProtocolL2Tpv2',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.ProtocolL2Tpv2.ProtocolEnum', 
                [], [], 
                '''                Signaling protocol to use
                ''',
                'protocol',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'protocol-l2tpv2',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.ProtocolL2Tpv3.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'l2tpv3':'l2tpv3',
            'l2tpv3ietf':'l2tpv3ietf',
            'none':'none',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.PseudowireClass.ProtocolL2Tpv3' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.ProtocolL2Tpv3',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.ProtocolL2Tpv3.ProtocolEnum', 
                [], [], 
                '''                Signaling protocol to use
                ''',
                'protocol',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'protocol-l2tpv3',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Status.AdminDown' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Status.AdminDown',
            False, 
            [
            _MetaInfoClassMember('disconnect', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disconnect the session
                ''',
                'disconnect',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'admin-down',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Status.ControlPlane' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Status.ControlPlane',
            False, 
            [
            _MetaInfoClassMember('route-watch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                listen on the control plane to route-watch events
                ''',
                'route_watch',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'control-plane',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Status.Peer.Topology' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Status.Peer.Topology',
            False, 
            [
            _MetaInfoClassMember('dual-homed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Our peer(s) are participating in a redundant solution with some form of redundancyprotocol running between the peer routers, Only one of the remote peers will advertise astatus of UP at a time. The other will advertise standby. Change our configuration so wecan send a status of UP on both active and redundant pseudowires
                ''',
                'dual_homed',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Status.Peer' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Status.Peer',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Status.Peer.Topology', 
                [], [], 
                '''                change status behaviour based on peer topology
                ''',
                'topology',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Status.Redundancy' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Status.Redundancy',
            False, 
            [
            _MetaInfoClassMember('master', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Put the xconnect redundancy group on this node in master mode
                ''',
                'master',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'redundancy',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Status' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Status',
            False, 
            [
            _MetaInfoClassMember('admin-down', REFERENCE_CLASS, 'AdminDown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Status.AdminDown', 
                [], [], 
                '''                Admin down of Attachment Circuit
                ''',
                'admin_down',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('control-plane', REFERENCE_CLASS, 'ControlPlane' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Status.ControlPlane', 
                [], [], 
                '''                control plane status events
                ''',
                'control_plane',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('decoupled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reflect standby status of the attachment circuit as up on the pseudowire
                ''',
                'decoupled',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Status.Peer', 
                [], [], 
                '''                peer status configuration
                ''',
                'peer',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('redundancy', REFERENCE_CLASS, 'Redundancy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Status.Redundancy', 
                [], [], 
                '''                Xconnect redundancy configuration
                ''',
                'redundancy',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.Switching' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass.Switching',
            False, 
            [
            _MetaInfoClassMember('tlv', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switching TLV on/off for pseudowire
                ''',
                'tlv',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'switching',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PseudowireClass.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'l2tpv2':'l2tpv2',
            'l2tpv3':'l2tpv3',
            'mpls':'mpls',
            'udp':'udp',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.PseudowireClass.InterworkingEnum' : _MetaInfoEnum('InterworkingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ethernet':'ethernet',
            'ip':'ip',
            'vlan':'vlan',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.PseudowireClass.SequencingEnum' : _MetaInfoEnum('SequencingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'resync':'resync',
            'transmit':'transmit',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.PseudowireClass' : {
        'meta_info' : _MetaInfoClass('Native.PseudowireClass',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('control-word', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include control-word in pseudowire packets
                ''',
                'control_word',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.EncapsulationEnum', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('interworking', REFERENCE_ENUM_CLASS, 'InterworkingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.InterworkingEnum', 
                [], [], 
                '''                Interworking options for pseudowire
                ''',
                'interworking',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Ip', 
                [], [], 
                '''                Specify IP parameters
                ''',
                'ip',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('load-balance', REFERENCE_CLASS, 'LoadBalance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.LoadBalance', 
                [], [], 
                '''                Loadbalancing for pseudowire
                ''',
                'load_balance',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Monitor', 
                [], [], 
                '''                Active monitoring of xconnect peer
                ''',
                'monitor',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('preferred-path', REFERENCE_CLASS, 'PreferredPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.PreferredPath', 
                [], [], 
                '''                Preferred path
                ''',
                'preferred_path',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('protocol-l2tpv2', REFERENCE_CLASS, 'ProtocolL2Tpv2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.ProtocolL2Tpv2', 
                [], [], 
                '''                ''',
                'protocol_l2tpv2',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('protocol-l2tpv3', REFERENCE_CLASS, 'ProtocolL2Tpv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.ProtocolL2Tpv3', 
                [], [], 
                '''                ''',
                'protocol_l2tpv3',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('protocol-mpls', REFERENCE_CLASS, 'ProtocolMpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.ProtocolMpls', 
                [], [], 
                '''                ''',
                'protocol_mpls',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('sequencing', REFERENCE_ENUM_CLASS, 'SequencingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.SequencingEnum', 
                [], [], 
                '''                Sequencing options for pseudowire
                ''',
                'sequencing',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Status', 
                [], [], 
                '''                Pseudowire status capabilities
                ''',
                'status',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('switching', REFERENCE_CLASS, 'Switching' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass.Switching', 
                [], [], 
                '''                Switching TLV on/off for pseudowire
                ''',
                'switching',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-native',
            'pseudowire-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ControlPlane.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.ControlPlane.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('output', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ControlPlane' : {
        'meta_info' : _MetaInfoClass('Native.ControlPlane',
            False, 
            [
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ControlPlane.ServicePolicy', 
                [], [], 
                '''                ''',
                'service_policy',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-native',
            'control-plane',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Clock.CalendarValid' : {
        'meta_info' : _MetaInfoClass('Native.Clock.CalendarValid',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'calendar-valid',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Clock.SummerTime.RecurringEndEnum' : _MetaInfoEnum('RecurringEndEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'first':'first',
            'last':'last',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Clock.SummerTime.RecurringStartEnum' : _MetaInfoEnum('RecurringStartEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'first':'first',
            'last':'last',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Clock.SummerTime' : {
        'meta_info' : _MetaInfoClass('Native.Clock.SummerTime',
            False, 
            [
            _MetaInfoClassMember('date', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure absolute summer time
                ''',
                'date',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('date-end-day', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date_end_day',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('date-end-month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                ''',
                'date_end_month',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('date-end-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                ''',
                'date_end_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('date-end-year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                ''',
                'date_end_year',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                ''',
                'offset',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('recurring', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure recurring summer time
                ''',
                'recurring',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('recurring-end', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'recurring_end',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('recurring-end', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4')], [], 
                        '''                        ''',
                        'recurring_end',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('recurring-end', REFERENCE_ENUM_CLASS, 'Native.Clock.SummerTime.RecurringEndEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Clock.SummerTime.RecurringEndEnum', 
                        [], [], 
                        '''                        ''',
                        'recurring_end',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('recurring-end-day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                ''',
                'recurring_end_day',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('recurring-end-month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                ''',
                'recurring_end_month',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('recurring-end-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                ''',
                'recurring_end_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('recurring-offset', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                ''',
                'recurring_offset',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('recurring-start', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'recurring_start',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('recurring-start', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4')], [], 
                        '''                        ''',
                        'recurring_start',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('recurring-start', REFERENCE_ENUM_CLASS, 'Native.Clock.SummerTime.RecurringStartEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Clock.SummerTime.RecurringStartEnum', 
                        [], [], 
                        '''                        ''',
                        'recurring_start',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('recurring-start-day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                ''',
                'recurring_start_day',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('recurring-start-month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                ''',
                'recurring_start_month',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('recurring-start-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                ''',
                'recurring_start_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-day', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'start_day',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                ''',
                'start_month',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                ''',
                'start_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                ''',
                'start_year',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zone', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'zone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'summer-time',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Clock.Timezone.OffsetEnum' : _MetaInfoEnum('OffsetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '+':'Y__PLUS__',
            '-':'Y_',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Clock.Timezone' : {
        'meta_info' : _MetaInfoClass('Native.Clock.Timezone',
            False, 
            [
            _MetaInfoClassMember('hours', ATTRIBUTE, 'int' , None, None, 
                [('-23', '23')], [], 
                '''                ''',
                'hours',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('minutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '59')], [], 
                '''                ''',
                'minutes',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('offset', REFERENCE_ENUM_CLASS, 'OffsetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Clock.Timezone.OffsetEnum', 
                [], [], 
                '''                ''',
                'offset',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zone', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'zone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timezone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Clock' : {
        'meta_info' : _MetaInfoClass('Native.Clock',
            False, 
            [
            _MetaInfoClassMember('calendar-valid', REFERENCE_CLASS, 'CalendarValid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Clock.CalendarValid', 
                [], [], 
                '''                Calendar time is authoritative
                ''',
                'calendar_valid',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('summer-time', REFERENCE_CLASS, 'SummerTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Clock.SummerTime', 
                [], [], 
                '''                Configure summer (daylight savings) time
                ''',
                'summer_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timezone', REFERENCE_CLASS, 'Timezone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Clock.Timezone', 
                [], [], 
                '''                Configure time zone
                ''',
                'timezone',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'clock',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Discriminator.MsgBody' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Discriminator.MsgBody',
            False, 
            [
            _MetaInfoClassMember('includes', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                To deliver messages including the specified regular expression string
                ''',
                'includes',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'msg-body',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Discriminator' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Discriminator',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('msg-body', REFERENCE_CLASS, 'MsgBody' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Discriminator.MsgBody', 
                [], [], 
                '''                Msg-body pattern for messsage filtering
                ''',
                'msg_body',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'discriminator',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Persistent.File' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Persistent.File',
            False, 
            [
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Eliminates manipulation on logging-persistent files
                ''',
                'protected',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set disk space for writing log messages
                ''',
                'size',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set threshold for logging persistent
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                URL to store logging messages
                ''',
                'url',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'file',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Persistent' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Persistent',
            False, 
            [
            _MetaInfoClassMember('file', REFERENCE_CLASS, 'File' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Persistent.File', 
                [], [], 
                '''                ''',
                'file',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.MonitorConf' : {
        'meta_info' : _MetaInfoClass('Native.Logging.MonitorConf',
            False, 
            [
            _MetaInfoClassMember('monitor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'monitor',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'monitor-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Monitor.Discriminator' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Monitor.Discriminator',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('severity', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'severity',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('severity', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'LoggingLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'LoggingLevelTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'discriminator',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Monitor',
            False, 
            [
            _MetaInfoClassMember('discriminator', REFERENCE_LIST, 'Discriminator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Monitor.Discriminator', 
                [], [], 
                '''                Establish MD-Console association
                ''',
                'discriminator',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('severity', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'severity',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('severity', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'LoggingLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'LoggingLevelTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Buffered.Discriminator' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Buffered.Discriminator',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('severity', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'severity',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('severity', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'LoggingLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'LoggingLevelTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'discriminator',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Buffered' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Buffered',
            False, 
            [
            _MetaInfoClassMember('discriminator', REFERENCE_LIST, 'Discriminator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Buffered.Discriminator', 
                [], [], 
                '''                ''',
                'discriminator',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('severity', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'severity',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('severity', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'LoggingLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'LoggingLevelTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('4096', '2147483647')], [], 
                '''                ''',
                'size',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('xxml', ATTRIBUTE, 'int' , None, None, 
                [('4096', '2147483647')], [], 
                '''                Enable logging in XML to XML logging buffer
                ''',
                'xxml',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'buffered',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.ConsoleConf' : {
        'meta_info' : _MetaInfoClass('Native.Logging.ConsoleConf',
            False, 
            [
            _MetaInfoClassMember('console', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Set console logging parameters
                ''',
                'console',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'console-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Console.Discriminator' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Console.Discriminator',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('severity', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'severity',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('severity', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'LoggingLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'LoggingLevelTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'discriminator',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Console' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Console',
            False, 
            [
            _MetaInfoClassMember('discriminator', REFERENCE_LIST, 'Discriminator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Console.Discriminator', 
                [], [], 
                '''                Establish MD-Console association
                ''',
                'discriminator',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('filtered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable filtered logging
                ''',
                'filtered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('guaranteed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Guarantee console messages
                ''',
                'guaranteed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('severity', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'severity',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('severity', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'LoggingLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'LoggingLevelTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('xxml', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Enable logging in XML
                ''',
                'xxml',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('xxml', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        Enable logging in XML
                        ''',
                        'xxml',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('xxml', REFERENCE_ENUM_CLASS, 'LoggingLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'LoggingLevelTypeEnum', 
                        [], [], 
                        '''                        Enable logging in XML
                        ''',
                        'xxml',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'console',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Event.LinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Event.LinkStatus',
            False, 
            [
            _MetaInfoClassMember('boot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Supress/Allow link UPDOWN messages during boot
                ''',
                'boot',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Link UPDOWN messages for all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Event' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Event',
            False, 
            [
            _MetaInfoClassMember('link-status', REFERENCE_CLASS, 'LinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Event.LinkStatus', 
                [], [], 
                '''                Globally enable/disable link UPDOWN message
                ''',
                'link_status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Esm' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Esm',
            False, 
            [
            _MetaInfoClassMember('config', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Permit/Deny configuration changes from ESM filters
                ''',
                'config',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'esm',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.History.SeverityLevelEnum' : _MetaInfoEnum('SeverityLevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'alerts':'alerts',
            'critical':'critical',
            'debugging':'debugging',
            'emergencies':'emergencies',
            'errors':'errors',
            'informational':'informational',
            'notifications':'notifications',
            'warnings':'warnings',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Logging.History' : {
        'meta_info' : _MetaInfoClass('Native.Logging.History',
            False, 
            [
            _MetaInfoClassMember('severity-level', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'severity_level',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('severity-level', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'severity_level',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('severity-level', REFERENCE_ENUM_CLASS, 'Native.Logging.History.SeverityLevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.History.SeverityLevelEnum', 
                        [], [], 
                        '''                        ''',
                        'severity_level',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set history table size
                ''',
                'size',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Host.Ipv4HostList' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Host.Ipv4HostList',
            False, 
            [
            _MetaInfoClassMember('ipv4-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv4_host',
                'Cisco-IOS-XE-native', True, [
                    _MetaInfoClassMember('ipv4-host', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'ipv4_host',
                        'Cisco-IOS-XE-native', True, [
                            _MetaInfoClassMember('ipv4-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'ipv4_host',
                                'Cisco-IOS-XE-native', True),
                            _MetaInfoClassMember('ipv4-host', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'ipv4_host',
                                'Cisco-IOS-XE-native', True),
                        ]),
                    _MetaInfoClassMember('ipv4-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'ipv4_host',
                        'Cisco-IOS-XE-native', True),
                ]),
            _MetaInfoClassMember('discriminator', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a message discriminator identifier for this logging session
                ''',
                'discriminator',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set VRF option
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv4-host-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Host.Ipv6.Ipv6HostList' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Host.Ipv6.Ipv6HostList',
            False, 
            [
            _MetaInfoClassMember('ipv6-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv6_host',
                'Cisco-IOS-XE-native', True, [
                    _MetaInfoClassMember('ipv6-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ipv6_host',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('ipv6-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'ipv6_host',
                        'Cisco-IOS-XE-native', True),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'ipv6-host-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Host.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Host.Ipv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-host-list', REFERENCE_LIST, 'Ipv6HostList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Host.Ipv6.Ipv6HostList', 
                [], [], 
                '''                ''',
                'ipv6_host_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Host' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Host',
            False, 
            [
            _MetaInfoClassMember('ipv4-host-list', REFERENCE_LIST, 'Ipv4HostList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Host.Ipv4HostList', 
                [], [], 
                '''                ''',
                'ipv4_host_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Host.Ipv6', 
                [], [], 
                '''                Set syslog server IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.RateLimitConf' : {
        'meta_info' : _MetaInfoClass('Native.Logging.RateLimitConf',
            False, 
            [
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'rate_limit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rate-limit-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.RateLimit.Console.Range.Except_' : {
        'meta_info' : _MetaInfoClass('Native.Logging.RateLimit.Console.Range.Except_',
            False, 
            [
            _MetaInfoClassMember('alerts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Immediate action needed           (severity=1)
                ''',
                'alerts',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('critical', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Critical conditions               (severity=2)
                ''',
                'critical',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('debugging', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Debugging messages                (severity=7)
                ''',
                'debugging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('emergencies', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                System is unusable                (severity=0)
                ''',
                'emergencies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('errors', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error conditions                  (severity=3)
                ''',
                'errors',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('informational', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Informational messages            (severity=6)
                ''',
                'informational',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('notifications', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Normal but significant conditions (severity=5)
                ''',
                'notifications',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Logging severity level
                ''',
                'range',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('warnings', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Warning conditions (severity=4)
                ''',
                'warnings',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'except',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.RateLimit.Console.Range' : {
        'meta_info' : _MetaInfoClass('Native.Logging.RateLimit.Console.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000')], [], 
                '''                Messages per second
                ''',
                'range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('except', REFERENCE_CLASS, 'Except_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.RateLimit.Console.Range.Except_', 
                [], [], 
                '''                Messages of this severity or higher
                ''',
                'except_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.RateLimit.Console.All.Range.Except_' : {
        'meta_info' : _MetaInfoClass('Native.Logging.RateLimit.Console.All.Range.Except_',
            False, 
            [
            _MetaInfoClassMember('alerts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Immediate action needed (severity=1)
                ''',
                'alerts',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('critical', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Critical conditions  (severity=2)
                ''',
                'critical',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('debugging', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Debugging messages (severity=7)
                ''',
                'debugging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('emergencies', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                System is unusable (severity=0)
                ''',
                'emergencies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('errors', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Error conditions (severity=3)
                ''',
                'errors',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('informational', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Informational messages (severity=6)
                ''',
                'informational',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('notifications', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Normal but significant conditions (severity=5)
                ''',
                'notifications',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Logging severity level
                ''',
                'range',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('warnings', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Warning conditions (severity=4)
                ''',
                'warnings',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'except',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.RateLimit.Console.All.Range' : {
        'meta_info' : _MetaInfoClass('Native.Logging.RateLimit.Console.All.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000')], [], 
                '''                Messages per second
                ''',
                'range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('except', REFERENCE_CLASS, 'Except_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.RateLimit.Console.All.Range.Except_', 
                [], [], 
                '''                Messages of this severity or higher
                ''',
                'except_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.RateLimit.Console.All' : {
        'meta_info' : _MetaInfoClass('Native.Logging.RateLimit.Console.All',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.RateLimit.Console.All.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.RateLimit.Console' : {
        'meta_info' : _MetaInfoClass('Native.Logging.RateLimit.Console',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.RateLimit.Console.All', 
                [], [], 
                '''                Rate limit all messages, including debug messages
                ''',
                'all',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.RateLimit.Console.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'console',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.RateLimit' : {
        'meta_info' : _MetaInfoClass('Native.Logging.RateLimit',
            False, 
            [
            _MetaInfoClassMember('console', REFERENCE_CLASS, 'Console' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.RateLimit.Console', 
                [], [], 
                '''                Rate limit only console messages
                ''',
                'console',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rate-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.SourceInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Logging.SourceInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.SourceInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Logging.SourceInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.SourceInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Logging.SourceInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.SourceInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Logging.SourceInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.Logging.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.SourceInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.SourceInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.SourceInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.SourceInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the vrf of source interface for logging transactions
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.SnmpTrap' : {
        'meta_info' : _MetaInfoClass('Native.Logging.SnmpTrap',
            False, 
            [
            _MetaInfoClassMember('alerts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Immediate action needed           (severity=1)
                ''',
                'alerts',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('critical', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Critical conditions               (severity=2)
                ''',
                'critical',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('debugging', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Debugging messages                (severity=7)
                ''',
                'debugging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('emergencies', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                System is unusable                (severity=0)
                ''',
                'emergencies',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('errors', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error conditions                  (severity=3)
                ''',
                'errors',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('informational', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Informational messages            (severity=6)
                ''',
                'informational',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('notifications', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Normal but significant conditions (severity=5)
                ''',
                'notifications',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('warnings', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Warning conditions                (severity=4)
                ''',
                'warnings',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'snmp-trap',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.Trap.SeverityEnum' : _MetaInfoEnum('SeverityEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'alerts':'alerts',
            'critical':'critical',
            'debugging':'debugging',
            'emergencies':'emergencies',
            'errors':'errors',
            'informational':'informational',
            'notifications':'notifications',
            'warnings':'warnings',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Logging.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Logging.Trap',
            False, 
            [
            _MetaInfoClassMember('severity', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'severity',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('severity', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'Native.Logging.Trap.SeverityEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Trap.SeverityEnum', 
                        [], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('trap-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'trap_default',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.File' : {
        'meta_info' : _MetaInfoClass('Native.Logging.File',
            False, 
            [
            _MetaInfoClassMember('max-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max_size',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('min-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min_size',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('severity', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'severity',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('severity', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'LoggingLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'LoggingLevelTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'severity',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'file',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Logging.AlarmEnum' : _MetaInfoEnum('AlarmEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'critical':'critical',
            'informational':'informational',
            'major':'major',
            'minor':'minor',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Logging.FacilityEnum' : _MetaInfoEnum('FacilityEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auth':'auth',
            'cron':'cron',
            'daemon':'daemon',
            'kern':'kern',
            'local0':'local0',
            'local1':'local1',
            'local2':'local2',
            'local3':'local3',
            'local4':'local4',
            'local5':'local5',
            'local6':'local6',
            'local7':'local7',
            'lpr':'lpr',
            'mail':'mail',
            'news':'news',
            'sys10':'sys10',
            'sys11':'sys11',
            'sys12':'sys12',
            'sys13':'sys13',
            'sys14':'sys14',
            'sys9':'sys9',
            'syslog':'syslog',
            'user':'user',
            'uucp':'uucp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Logging',
            False, 
            [
            _MetaInfoClassMember('alarm', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configure syslog for alarms
                ''',
                'alarm',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('alarm', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4')], [], 
                        '''                        Configure syslog for alarms
                        ''',
                        'alarm',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('alarm', REFERENCE_ENUM_CLASS, 'Native.Logging.AlarmEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.AlarmEnum', 
                        [], [], 
                        '''                        Configure syslog for alarms
                        ''',
                        'alarm',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('buffered', REFERENCE_CLASS, 'Buffered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Buffered', 
                [], [], 
                '''                Set buffered logging parameters
                ''',
                'buffered',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('buginf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable buginf logging for debugging
                ''',
                'buginf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('console', REFERENCE_CLASS, 'Console' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Console', 
                [], [], 
                '''                Set console logging parameters
                ''',
                'console',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('console-conf', REFERENCE_CLASS, 'ConsoleConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.ConsoleConf', 
                [], [], 
                '''                ''',
                'console_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('discriminator', REFERENCE_LIST, 'Discriminator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Discriminator', 
                [], [], 
                '''                Create or modify a message discriminator
                ''',
                'discriminator',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('esm', REFERENCE_CLASS, 'Esm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Esm', 
                [], [], 
                '''                Set ESM filter restrictions
                ''',
                'esm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Event', 
                [], [], 
                '''                Global interface events
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('facility', REFERENCE_ENUM_CLASS, 'FacilityEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.FacilityEnum', 
                [], [], 
                '''                Facility parameter for syslog messages
                ''',
                'facility',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('file', REFERENCE_CLASS, 'File' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.File', 
                [], [], 
                '''                Set logging file parameters
                ''',
                'file',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.History', 
                [], [], 
                '''                Configure syslog history table
                ''',
                'history',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Host', 
                [], [], 
                '''                Set syslog server IP address and parameters
                ''',
                'host',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'hostip',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('hostip', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'hostip',
                        'Cisco-IOS-XE-native', False, [
                            _MetaInfoClassMember('hostip', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'hostip',
                                'Cisco-IOS-XE-native', False),
                            _MetaInfoClassMember('hostip', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'hostip',
                                'Cisco-IOS-XE-native', False),
                        ]),
                    _MetaInfoClassMember('hostip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'hostip',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Monitor', 
                [], [], 
                '''                Set terminal line (monitor) logging parameters
                ''',
                'monitor',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('monitor-conf', REFERENCE_CLASS, 'MonitorConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.MonitorConf', 
                [], [], 
                '''                ''',
                'monitor_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('persistent', REFERENCE_CLASS, 'Persistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Persistent', 
                [], [], 
                '''                Set persistent logging parameters
                ''',
                'persistent',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate-limit', REFERENCE_CLASS, 'RateLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.RateLimit', 
                [], [], 
                '''                Set messages per second limit
                ''',
                'rate_limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rate-limit-conf', REFERENCE_CLASS, 'RateLimitConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.RateLimitConf', 
                [], [], 
                '''                ''',
                'rate_limit_conf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp-authfail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'snmp_authfail',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp-trap', REFERENCE_CLASS, 'SnmpTrap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.SnmpTrap', 
                [], [], 
                '''                Set SNMP trap logging level
                ''',
                'snmp_trap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.SourceInterface', 
                [], [], 
                '''                Specify interface for source address in logging transactions
                ''',
                'source_interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging.Trap', 
                [], [], 
                '''                Set trap server logging level
                ''',
                'trap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('userinfo', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable logging of user info on privileged mode enabling
                ''',
                'userinfo',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus.Server_' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus.Server_',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of tacacs server
                ''',
                'name',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus.ServerPrivate' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus.ServerPrivate',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True, [
                    _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-aaa', True, [
                            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'name',
                                'Cisco-IOS-XE-aaa', True),
                            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'name',
                                'Cisco-IOS-XE-aaa', True),
                        ]),
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-aaa', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key', 
                [], [], 
                '''                per-server encryption key (overrides default)
                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Time to wait for this TACACS server to reply (overrides default)
                ''',
                'timeout',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'server-private',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs',
            False, 
            [
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface', 
                [], [], 
                '''                Specify interface for source address in TACACS packets
                ''',
                'source_interface',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'tacacs',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus.Ip',
            False, 
            [
            _MetaInfoClassMember('tacacs', REFERENCE_CLASS, 'Tacacs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs', 
                [], [], 
                '''                TACACS configuration commands
                ''',
                'tacacs',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf', 
                [], [], 
                '''                Set VPN Routing Forwarding to use with the servers
                ''',
                'vrf',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacsplus' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacsplus',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.Ip', 
                [], [], 
                '''                Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.Server_', 
                [], [], 
                '''                Specify a TACACS server
                ''',
                'server',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('server-private', REFERENCE_LIST, 'ServerPrivate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus.ServerPrivate', 
                [], [], 
                '''                Define a private TACACS server (per group)
                ''',
                'server_private',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'tacacsplus',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Tacacs' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Tacacs',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            ],
            'Cisco-IOS-XE-aaa',
            'tacacs',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Radius.Server_.Name' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Radius.Server_.Name',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            ],
            'Cisco-IOS-XE-aaa',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Radius.Server_.Direct' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Radius.Server_.Direct',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True, [
                    _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-aaa', True, [
                            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'name',
                                'Cisco-IOS-XE-aaa', True),
                            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'name',
                                'Cisco-IOS-XE-aaa', True),
                        ]),
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-aaa', True),
                ]),
            _MetaInfoClassMember('acct-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                UDP port for RADIUS accounting server (default is 1646)
                ''',
                'acct_port',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('auth-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                UDP port for RADIUS authentication server (default is 1645)
                ''',
                'auth_port',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'direct',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Radius.Server_' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Radius.Server_',
            False, 
            [
            _MetaInfoClassMember('direct', REFERENCE_LIST, 'Direct' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Radius.Server_.Direct', 
                [], [], 
                '''                ''',
                'direct',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Radius.Server_.Name', 
                [], [], 
                '''                Name of radius server
                ''',
                'name',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Radius.Ip.Radius_' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Radius.Ip.Radius_',
            False, 
            [
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source_interface',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'radius',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Radius.Ip.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Radius.Ip.Vrf',
            False, 
            [
            _MetaInfoClassMember('forwarding', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure forwarding table
                ''',
                'forwarding',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Radius.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Radius.Ip',
            False, 
            [
            _MetaInfoClassMember('radius', REFERENCE_CLASS, 'Radius_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Radius.Ip.Radius_', 
                [], [], 
                '''                RADIUS configuration commands
                ''',
                'radius',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Radius.Ip.Vrf', 
                [], [], 
                '''                Set VPN Routing Forwarding to use with the servers
                ''',
                'vrf',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding',
            False, 
            [
            _MetaInfoClassMember('batch-size', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Size of the transaction batch that should be load-balanced.
                ''',
                'batch_size',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ignore-preferred-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Should the preferred-server be ignored.
                ''',
                'ignore_preferred_server',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'least-outstanding',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Radius.LoadBalance.Method' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Radius.LoadBalance.Method',
            False, 
            [
            _MetaInfoClassMember('least-outstanding', REFERENCE_CLASS, 'LeastOutstanding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding', 
                [], [], 
                '''                Pick the server with the least transactions outstanding.
                ''',
                'least_outstanding',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'method',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Radius.LoadBalance' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Radius.LoadBalance',
            False, 
            [
            _MetaInfoClassMember('method', REFERENCE_CLASS, 'Method' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Radius.LoadBalance.Method', 
                [], [], 
                '''                Method by which the next host will be picked.
                ''',
                'method',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'load-balance',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server.Radius' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server.Radius',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Radius.Ip', 
                [], [], 
                '''                Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('load-balance', REFERENCE_CLASS, 'LoadBalance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Radius.LoadBalance', 
                [], [], 
                '''                Server group load-balancing options.
                ''',
                'load_balance',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Radius.Server_', 
                [], [], 
                '''                Specify a RADIUS server
                ''',
                'server',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'radius',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group.Server' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group.Server',
            False, 
            [
            _MetaInfoClassMember('radius', REFERENCE_LIST, 'Radius' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Radius', 
                [], [], 
                '''                Radius server-group definition
                ''',
                'radius',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('tacacs', REFERENCE_LIST, 'Tacacs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacs', 
                [], [], 
                '''                Tacacs+ server-group definition
                ''',
                'tacacs',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('tacacsplus', REFERENCE_LIST, 'Tacacsplus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server.Tacacsplus', 
                [], [], 
                '''                Tacacs+ server-group definition
                ''',
                'tacacsplus',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Group' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Group',
            False, 
            [
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group.Server', 
                [], [], 
                '''                AAA Server group definitions
                ''',
                'server',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Attempts' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Attempts',
            False, 
            [
            _MetaInfoClassMember('login', ATTRIBUTE, 'int' , None, None, 
                [('1', '25')], [], 
                '''                Set the max. number of attempts for login service
                ''',
                'login',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'attempts',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Banner' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Banner',
            False, 
            [
            _MetaInfoClassMember('end-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'end_marker',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'message',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('start-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'start_marker',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'banner',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Dot1X.Dot1XList.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Dot1X.Dot1XList' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Dot1X.Dot1XList',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Dot1X.Default.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Dot1X.Default.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'dot1x-list',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Dot1X.Default.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Dot1X.Default' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Dot1X.Default',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Dot1X.Default.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Dot1X.Default.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Dot1X' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Dot1X',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Dot1X.Default', 
                [], [], 
                '''                The default authentication list.
                ''',
                'default',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('dot1x-list', REFERENCE_LIST, 'Dot1XList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Dot1X.Dot1XList', 
                [], [], 
                '''                ''',
                'dot1x_list',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'dot1x',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Enable.Default.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Enable.Default' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Enable.Default',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use enable password for authentication.
                ''',
                'enable',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Enable.Default.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Enable.Default.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('line', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use line password for authentication.
                ''',
                'line',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Enable',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Enable.Default', 
                [], [], 
                '''                The default authentication list.
                ''',
                'default',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Eou.Default.Group' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Eou.Default.Group',
            False, 
            [
            _MetaInfoClassMember('radius', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use list of all Radius hosts.
                ''',
                'radius',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Eou.Default' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Eou.Default',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Eou.Default.Group', 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Eou' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Eou',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Eou.Default', 
                [], [], 
                '''                The default authentication list
                ''',
                'default',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'eou',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.FailMessage' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.FailMessage',
            False, 
            [
            _MetaInfoClassMember('end-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'end_marker',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'message',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('start-marker', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'start_marker',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'fail-message',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Login.A1.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Login.A1.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Login.A1' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Login.A1',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Login.A1.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A1.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use enable password for authentication.
                ''',
                'enable',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Login.A1.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A1.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('krb5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Kerberos 5 authentication.
                ''',
                'krb5',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('krb5-telnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow logins only if already authenticated via Kerbero
                ''',
                'krb5_telnet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('line', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use line password for authentication.
                ''',
                'line',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local username authentication.
                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local-case', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use case-sensitive local username authentication.
                ''',
                'local_case',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a1',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Login.A2.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Login.A2.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Login.A2' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Login.A2',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Login.A2.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A2.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use enable password for authentication.
                ''',
                'enable',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Login.A2.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A2.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('krb5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('krb5-telnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5_telnet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('line', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use line password for authentication.
                ''',
                'line',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local-case', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local_case',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a2',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Login.A3.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Login.A3.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Login.A3' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Login.A3',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Login.A3.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A3.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use enable password for authentication.
                ''',
                'enable',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Login.A3.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A3.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('krb5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('krb5-telnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5_telnet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('line', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use line password for authentication.
                ''',
                'line',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local-case', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local_case',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a3',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Login.A4.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Login.A4.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Login.A4' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Login.A4',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Login.A4.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A4.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use enable password for authentication.
                ''',
                'enable',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Login.A4.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A4.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('krb5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('krb5-telnet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5_telnet',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('line', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use line password for authentication.
                ''',
                'line',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local-case', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local_case',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a4',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Login.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Login' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Login',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True, [
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Login.NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.NameEnum', 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-aaa', True),
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [(1, 31)], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-aaa', True),
                ]),
            _MetaInfoClassMember('a1', REFERENCE_CLASS, 'A1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A1', 
                [], [], 
                '''                ''',
                'a1',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a2', REFERENCE_CLASS, 'A2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A2', 
                [], [], 
                '''                ''',
                'a2',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a3', REFERENCE_CLASS, 'A3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A3', 
                [], [], 
                '''                ''',
                'a3',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a4', REFERENCE_CLASS, 'A4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login.A4', 
                [], [], 
                '''                ''',
                'a4',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'login',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Onep.Default.Local' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Onep.Default.Local',
            False, 
            [
            ],
            'Cisco-IOS-XE-aaa',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Onep.Default' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Onep.Default',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Onep.Default.Local', 
                [], [], 
                '''                Use local username authentication.
                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Onep' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Onep',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Onep.Default', 
                [], [], 
                '''                The default authentication list.
                ''',
                'default',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'onep',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Ppp.A1.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Ppp.A1.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Ppp.A1' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Ppp.A1',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Ppp.A1.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A1.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Ppp.A1.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A1.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('if-needed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only authenticate if needed.
                ''',
                'if_needed',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('krb5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Kerberos 5 authentication.
                ''',
                'krb5',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local username authentication.
                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local-case', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use case-sensitive local username authentication.
                ''',
                'local_case',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a1',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Ppp.A2.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Ppp.A2.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Ppp.A2' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Ppp.A2',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Ppp.A2.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A2.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Ppp.A2.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A2.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('krb5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local-case', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local_case',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a2',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Ppp.A3.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Ppp.A3.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Ppp.A3' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Ppp.A3',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Ppp.A3.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A3.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Ppp.A3.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A3.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('krb5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local-case', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local_case',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a3',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Ppp.A4.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Ppp.A4.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authentication.Ppp.A4' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Ppp.A4',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Ppp.A4.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A4.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authentication.Ppp.A4.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A4.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('krb5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local-case', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local_case',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a4',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication.Ppp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [(1, 31)], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('a1', REFERENCE_CLASS, 'A1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A1', 
                [], [], 
                '''                ''',
                'a1',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a2', REFERENCE_CLASS, 'A2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A2', 
                [], [], 
                '''                ''',
                'a2',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a3', REFERENCE_CLASS, 'A3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A3', 
                [], [], 
                '''                ''',
                'a3',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a4', REFERENCE_CLASS, 'A4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp.A4', 
                [], [], 
                '''                ''',
                'a4',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authentication',
            False, 
            [
            _MetaInfoClassMember('attempts', REFERENCE_CLASS, 'Attempts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Attempts', 
                [], [], 
                '''                Set the maximum number of authentication attempts
                ''',
                'attempts',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('banner', REFERENCE_CLASS, 'Banner' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Banner', 
                [], [], 
                '''                Message to use when starting login/authentication.
                ''',
                'banner',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('dot1x', REFERENCE_CLASS, 'Dot1X' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Dot1X', 
                [], [], 
                '''                Set authentication lists for IEEE 802.1x.
                ''',
                'dot1x',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Enable', 
                [], [], 
                '''                Set authentication list for enable.
                ''',
                'enable',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('eou', REFERENCE_CLASS, 'Eou' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Eou', 
                [], [], 
                '''                Set authentication lists for EAPoUDP
                ''',
                'eou',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('fail-message', REFERENCE_CLASS, 'FailMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.FailMessage', 
                [], [], 
                '''                Message to use for failed login/authentication.
                ''',
                'fail_message',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('login', REFERENCE_LIST, 'Login' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Login', 
                [], [], 
                '''                Set authentication lists for logins.
                ''',
                'login',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('onep', REFERENCE_CLASS, 'Onep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Onep', 
                [], [], 
                '''                Set authentication lists for ONEP
                ''',
                'onep',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('ppp', REFERENCE_LIST, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication.Ppp', 
                [], [], 
                '''                Set authentication lists for ppp.
                ''',
                'ppp',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.AuthType.Default.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.AuthType.Default' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.AuthType.Default',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.AuthType.Default.GroupEnum', 
                [], [], 
                '''                Use server-group.
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.AuthType' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.AuthType',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.AuthType.Default', 
                [], [], 
                '''                The default authorization list.
                ''',
                'default',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'auth-type',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Commands.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Commands.ListNameEnum' : _MetaInfoEnum('ListNameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Commands' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Commands',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                Enable level
                ''',
                'level',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('list-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list_name',
                'Cisco-IOS-XE-aaa', True, [
                    _MetaInfoClassMember('list-name', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Commands.ListNameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Commands.ListNameEnum', 
                        [], [], 
                        '''                        ''',
                        'list_name',
                        'Cisco-IOS-XE-aaa', True),
                    _MetaInfoClassMember('list-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'list_name',
                        'Cisco-IOS-XE-aaa', True),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use server-group.
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Commands.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Commands.GroupEnum', 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('if-authenticated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Succeed if user has authenticated.
                ''',
                'if_authenticated',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local database.
                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authorization (always succeeds).
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'commands',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Exec_.A1.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Exec_.A1.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Exec_.A1' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Exec_.A1',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Exec_.A1.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A1.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Exec_.A1.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A1.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('if-authenticated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Succeed if user has authenticated.
                ''',
                'if_authenticated',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('krb5-instance', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Kerberos instance privilege maps
                ''',
                'krb5_instance',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local database
                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authorization (always succeeds)
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a1',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Exec_.A2.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Exec_.A2.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Exec_.A2' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Exec_.A2',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Exec_.A2.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A2.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Exec_.A2.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A2.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('if-authenticated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Succeed if user has authenticated.
                ''',
                'if_authenticated',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('krb5-instance', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5_instance',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authorization (always succeeds).
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a2',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Exec_.A3.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Exec_.A3.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Exec_.A3' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Exec_.A3',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Exec_.A3.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A3.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Exec_.A3.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A3.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('if-authenticated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Succeed if user has authenticated.
                ''',
                'if_authenticated',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('krb5-instance', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5_instance',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authorization (always succeeds).
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a3',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Exec_.A4.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Exec_.A4.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Exec_.A4' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Exec_.A4',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Exec_.A4.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A4.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Exec_.A4.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A4.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('if-authenticated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Succeed if user has authenticated.
                ''',
                'if_authenticated',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('krb5-instance', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'krb5_instance',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authorization (always succeeds).
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a4',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Exec_' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Exec_',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('a1', REFERENCE_CLASS, 'A1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A1', 
                [], [], 
                '''                ''',
                'a1',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a2', REFERENCE_CLASS, 'A2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A2', 
                [], [], 
                '''                ''',
                'a2',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a3', REFERENCE_CLASS, 'A3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A3', 
                [], [], 
                '''                ''',
                'a3',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a4', REFERENCE_CLASS, 'A4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_.A4', 
                [], [], 
                '''                ''',
                'a4',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'exec',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Eventmanager.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs':'tacacs',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Eventmanager' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Eventmanager',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use server-group.
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Eventmanager.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Eventmanager.GroupEnum', 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local database.
                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authorization (always succeeds).
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'eventmanager',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Network.A1.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Network.A1.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Network.A1' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Network.A1',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Network.A1.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A1.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Network.A1.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A1.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('if-authenticated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Succeed if user has authenticated.
                ''',
                'if_authenticated',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use local username authentication.
                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a1',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Network.A2.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Network.A2.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Network.A2' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Network.A2',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Network.A2.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A2.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Network.A2.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A2.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('if-authenticated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Succeed if user has authenticated.
                ''',
                'if_authenticated',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a2',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Network.A3.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Network.A3.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Network.A3' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Network.A3',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Network.A3.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A3.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Network.A3.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A3.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('if-authenticated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Succeed if user has authenticated.
                ''',
                'if_authenticated',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a3',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Network.A4.CacheEnum' : _MetaInfoEnum('CacheEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Network.A4.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Network.A4' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Network.A4',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Cached-group
                ''',
                'cache',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('cache', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('cache', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Network.A4.CacheEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A4.CacheEnum', 
                        [], [], 
                        '''                        Use Cached-group
                        ''',
                        'cache',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Network.A4.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A4.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('if-authenticated', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Succeed if user has authenticated.
                ''',
                'if_authenticated',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NO authentication.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'a4',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Network.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Authorization.Network' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Network',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-aaa', True, [
                    _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'Native.Aaa.Authorization.Network.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-aaa', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [(1, 31)], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-aaa', True),
                ]),
            _MetaInfoClassMember('a1', REFERENCE_CLASS, 'A1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A1', 
                [], [], 
                '''                ''',
                'a1',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a2', REFERENCE_CLASS, 'A2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A2', 
                [], [], 
                '''                ''',
                'a2',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a3', REFERENCE_CLASS, 'A3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A3', 
                [], [], 
                '''                ''',
                'a3',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a4', REFERENCE_CLASS, 'A4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network.A4', 
                [], [], 
                '''                ''',
                'a4',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.AuthProxy.Default.Group' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.AuthProxy.Default.Group',
            False, 
            [
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'group_name',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('radius', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use list of all Radius hosts.
                ''',
                'radius',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.AuthProxy.Default' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.AuthProxy.Default',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.AuthProxy.Default.Group', 
                [], [], 
                '''                Use server-group.
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.AuthProxy' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.AuthProxy',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.AuthProxy.Default', 
                [], [], 
                '''                The default authorization list.
                ''',
                'default',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'auth-proxy',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Onep.Default.Group.GroupWord' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Onep.Default.Group.GroupWord',
            False, 
            [
            _MetaInfoClassMember('group-word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Server-group name
                ''',
                'group_word',
                'Cisco-IOS-XE-aaa', True),
            ],
            'Cisco-IOS-XE-aaa',
            'group-word',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Onep.Default.Group' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Onep.Default.Group',
            False, 
            [
            _MetaInfoClassMember('group-word', REFERENCE_LIST, 'GroupWord' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Onep.Default.Group.GroupWord', 
                [], [], 
                '''                ''',
                'group_word',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Onep.Default' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Onep.Default',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Onep.Default.Group', 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization.Onep' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization.Onep',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Onep.Default', 
                [], [], 
                '''                The default authorization list.
                ''',
                'default',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'onep',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Authorization',
            False, 
            [
            _MetaInfoClassMember('auth-proxy', REFERENCE_CLASS, 'AuthProxy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.AuthProxy', 
                [], [], 
                '''                For Authentication Proxy Services
                ''',
                'auth_proxy',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('auth-type', REFERENCE_CLASS, 'AuthType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.AuthType', 
                [], [], 
                '''                For Authentication Proxy Services
                ''',
                'auth_type',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('commands', REFERENCE_LIST, 'Commands' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Commands', 
                [], [], 
                '''                For exec (shell) commands.
                ''',
                'commands',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('config-commands', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For configuration mode commands.
                ''',
                'config_commands',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('console', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'console',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('eventmanager', REFERENCE_LIST, 'Eventmanager' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Eventmanager', 
                [], [], 
                '''                For starting an exec (shell).
                ''',
                'eventmanager',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('exec', REFERENCE_LIST, 'Exec_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Exec_', 
                [], [], 
                '''                For starting an exec (shell).
                ''',
                'exec_',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Network', 
                [], [], 
                '''                For network services. (PPP, SLIP, ARAP)
                ''',
                'network',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('onep', REFERENCE_CLASS, 'Onep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization.Onep', 
                [], [], 
                '''                Set authorization lists for ONEP
                ''',
                'onep',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Commands.ActionTypeEnum' : _MetaInfoEnum('ActionTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'none':'none',
            'start-stop':'start_stop',
            'stop-only':'stop_only',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Commands.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Commands.ListNameEnum' : _MetaInfoEnum('ListNameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Commands' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Commands',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                Enable level
                ''',
                'level',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('list-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'list_name',
                'Cisco-IOS-XE-aaa', True, [
                    _MetaInfoClassMember('list-name', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.Commands.ListNameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Commands.ListNameEnum', 
                        [], [], 
                        '''                        ''',
                        'list_name',
                        'Cisco-IOS-XE-aaa', True),
                    _MetaInfoClassMember('list-name', ATTRIBUTE, 'str' , None, None, 
                        [(1, 31)], [], 
                        '''                        ''',
                        'list_name',
                        'Cisco-IOS-XE-aaa', True),
                ]),
            _MetaInfoClassMember('action-type', REFERENCE_ENUM_CLASS, 'ActionTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Commands.ActionTypeEnum', 
                [], [], 
                '''                ''',
                'action_type',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Broadcast for Accounting
                ''',
                'broadcast',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.Commands.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Commands.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'commands',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Connection.StartStop.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Connection.StartStop' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Connection.StartStop',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Broadcast for Accounting
                ''',
                'broadcast',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'start-stop',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Connection.StopOnly.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Connection.StopOnly' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Connection.StopOnly',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Broadcast for Accounting
                ''',
                'broadcast',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'stop-only',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Connection' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Connection',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No accounting.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('start-stop', REFERENCE_CLASS, 'StartStop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Connection.StartStop', 
                [], [], 
                '''                Record start and stop without waiting
                ''',
                'start_stop',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('stop-only', REFERENCE_CLASS, 'StopOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Connection.StopOnly', 
                [], [], 
                '''                Record stop when service terminates.
                ''',
                'stop_only',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'connection',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.DelayStart' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.DelayStart',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delay start records for all vrf and non-vrf users.
                ''',
                'all',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('extended-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                
                ''',
                'extended_delay',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'delay-start',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Dot1X.StartStop.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Dot1X.StartStop' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Dot1X.StartStop',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Broadcast for Accounting
                ''',
                'broadcast',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.Dot1X.StartStop.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Dot1X.StartStop.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'start-stop',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Dot1X' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Dot1X',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('start-stop', REFERENCE_CLASS, 'StartStop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Dot1X.StartStop', 
                [], [], 
                '''                Record start and stop without waiting
                ''',
                'start_stop',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'dot1x',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Exec_.StartStop.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Exec_.StartStop' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Exec_.StartStop',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Broadcast for Accounting
                ''',
                'broadcast',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'start-stop',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Exec_.StopOnly.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Exec_.StopOnly' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Exec_.StopOnly',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Broadcast for Accounting
                ''',
                'broadcast',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'stop-only',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Exec_' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Exec_',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No accounting.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('start-stop', REFERENCE_CLASS, 'StartStop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Exec_.StartStop', 
                [], [], 
                '''                Record start and stop without waiting
                ''',
                'start_stop',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('stop-only', REFERENCE_CLASS, 'StopOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Exec_.StopOnly', 
                [], [], 
                '''                Record stop when service terminates.
                ''',
                'stop_only',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'exec',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Broadcast for Accounting
                ''',
                'broadcast',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'start-stop',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Broadcast for Accounting
                ''',
                'broadcast',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'stop-only',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No accounting.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('start-stop', REFERENCE_CLASS, 'StartStop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop', 
                [], [], 
                '''                Record start and stop without waiting
                ''',
                'start_stop',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('stop-only', REFERENCE_CLASS, 'StopOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly', 
                [], [], 
                '''                Record stop when service terminates.
                ''',
                'stop_only',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'action-type',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.ExecSubmode.Exec_' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.ExecSubmode.Exec_',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('action-type', REFERENCE_CLASS, 'ActionType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType', 
                [], [], 
                '''                Type of action to be performed on accounting records
                ''',
                'action_type',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'exec',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.ExecSubmode' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.ExecSubmode',
            False, 
            [
            _MetaInfoClassMember('exec', REFERENCE_LIST, 'Exec_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.ExecSubmode.Exec_', 
                [], [], 
                '''                For starting an exec (shell).
                ''',
                'exec_',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'exec-submode',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Network.StartStop.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Network.StartStop' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Network.StartStop',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.Network.StartStop.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.StartStop.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'start-stop',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Network.A1.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs':'tacacs',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Network.A1' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Network.A1',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use server-group.
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.Network.A1.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.A1.GroupEnum', 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'a1',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Network.A2.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs':'tacacs',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Network.A2' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Network.A2',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use server-group.
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.Network.A2.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.A2.GroupEnum', 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'a2',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Network.A3.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs':'tacacs',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Network.A3' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Network.A3',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use server-group.
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.Network.A3.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.A3.GroupEnum', 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'a3',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Network.A4.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldap':'ldap',
            'radius':'radius',
            'tacacs':'tacacs',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Network.A4' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Network.A4',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use server-group.
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.Network.A4.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.A4.GroupEnum', 
                        [], [], 
                        '''                        Use server-group.
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'a4',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Network.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Network.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'start-stop':'start_stop',
            'stop-only':'stop_only',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.Network' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Network',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-aaa', True, [
                    _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.Network.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-aaa', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [(1, 31)], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-aaa', True),
                ]),
            _MetaInfoClassMember('a1', REFERENCE_CLASS, 'A1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.A1', 
                [], [], 
                '''                ''',
                'a1',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a2', REFERENCE_CLASS, 'A2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.A2', 
                [], [], 
                '''                ''',
                'a2',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a3', REFERENCE_CLASS, 'A3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.A3', 
                [], [], 
                '''                ''',
                'a3',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('a4', REFERENCE_CLASS, 'A4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.A4', 
                [], [], 
                '''                ''',
                'a4',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Broadcast for Accounting
                ''',
                'broadcast',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No accounting.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('start-stop', REFERENCE_CLASS, 'StartStop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network.StartStop', 
                [], [], 
                '''                Record start and stop without waiting
                ''',
                'start_stop',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Send.Counters' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Send.Counters',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send IPv6 counters in the Stop Record
                ''',
                'ipv6',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'counters',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Send.StopRecord.Authentication.Failure' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Send.StopRecord.Authentication.Failure',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding parameters
                ''',
                'vrf',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'failure',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Send.StopRecord.Authentication.Success.RemoteServer' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Send.StopRecord.Authentication.Success.RemoteServer',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding parameters
                ''',
                'vrf',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'remote-server',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Send.StopRecord.Authentication.Success' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Send.StopRecord.Authentication.Success',
            False, 
            [
            _MetaInfoClassMember('remote-server', REFERENCE_CLASS, 'RemoteServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Send.StopRecord.Authentication.Success.RemoteServer', 
                [], [], 
                '''                Successfully authenticated, through access-accept, by a remote AAA server
                ''',
                'remote_server',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'success',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Send.StopRecord.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Send.StopRecord.Authentication',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_CLASS, 'Failure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Send.StopRecord.Authentication.Failure', 
                [], [], 
                '''                Generate STOP records for authentication failures
                ''',
                'failure',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('success', REFERENCE_CLASS, 'Success' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Send.StopRecord.Authentication.Success', 
                [], [], 
                '''                Generate STOP records for authenticated users
                ''',
                'success',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Send.StopRecord' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Send.StopRecord',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate STOP records always, even if the START record is not sent
                ''',
                'always',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Send.StopRecord.Authentication', 
                [], [], 
                '''                Generate STOP records for authentication failures
                ''',
                'authentication',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'stop-record',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Send' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Send',
            False, 
            [
            _MetaInfoClassMember('counters', REFERENCE_CLASS, 'Counters' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Send.Counters', 
                [], [], 
                '''                Enable specific counters in the Stop record
                ''',
                'counters',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('stop-record', REFERENCE_CLASS, 'StopRecord' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Send.StopRecord', 
                [], [], 
                '''                Generate STOP records for a specified event
                ''',
                'stop_record',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.System.Default.StartStop.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'radius':'radius',
            'tacacs+':'tacacs__PLUS__',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Accounting.System.Default.StartStop' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.System.Default.StartStop',
            False, 
            [
            _MetaInfoClassMember('broadcast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Broadcast for Accounting
                ''',
                'broadcast',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Use Server-group
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'Native.Aaa.Accounting.System.Default.StartStop.GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.System.Default.StartStop.GroupEnum', 
                        [], [], 
                        '''                        Use Server-group
                        ''',
                        'group',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'start-stop',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.System.Default' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.System.Default',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No accounting.
                ''',
                'none',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('start-stop', REFERENCE_CLASS, 'StartStop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.System.Default.StartStop', 
                [], [], 
                '''                Record start and stop without waiting
                ''',
                'start_stop',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding parameters
                ''',
                'vrf',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.System' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.System',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.System.Default', 
                [], [], 
                '''                The default accounting list.
                ''',
                'default',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('guarantee-first', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Guarantee system accounting as first record.
                ''',
                'guarantee_first',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'system',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.Update' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.Update',
            False, 
            [
            _MetaInfoClassMember('periodic', ATTRIBUTE, 'int' , None, None, 
                [('1', '71582')], [], 
                '''                Periodic intervals to send accounting update records(in minutes)
                ''',
                'periodic',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.AuthProxy.Default.StartStop' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.AuthProxy.Default.StartStop',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use server-group.
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'start-stop',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.AuthProxy.Default' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.AuthProxy.Default',
            False, 
            [
            _MetaInfoClassMember('start-stop', REFERENCE_CLASS, 'StartStop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.AuthProxy.Default.StartStop', 
                [], [], 
                '''                Record start and stop without waiting
                ''',
                'start_stop',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting.AuthProxy' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting.AuthProxy',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.AuthProxy.Default', 
                [], [], 
                '''                The default authorization list.
                ''',
                'default',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'auth-proxy',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Accounting',
            False, 
            [
            _MetaInfoClassMember('auth-proxy', REFERENCE_CLASS, 'AuthProxy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.AuthProxy', 
                [], [], 
                '''                For Authentication Proxy Services
                ''',
                'auth_proxy',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('commands', REFERENCE_LIST, 'Commands' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Commands', 
                [], [], 
                '''                For exec (shell) commands.
                ''',
                'commands',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('connection', REFERENCE_LIST, 'Connection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Connection', 
                [], [], 
                '''                For outbound connections. (telnet, rlogin)
                ''',
                'connection',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('delay-start', REFERENCE_CLASS, 'DelayStart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.DelayStart', 
                [], [], 
                '''                Delay PPP Network start record until peer IP address is known.
                ''',
                'delay_start',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('dot1x', REFERENCE_LIST, 'Dot1X' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Dot1X', 
                [], [], 
                '''                For dot1x sessions.
                ''',
                'dot1x',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('exec', REFERENCE_LIST, 'Exec_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Exec_', 
                [], [], 
                '''                For starting an exec (shell).
                ''',
                'exec_',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('exec-submode', REFERENCE_CLASS, 'ExecSubmode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.ExecSubmode', 
                [], [], 
                '''                ''',
                'exec_submode',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Network', 
                [], [], 
                '''                For network services. (PPP, SLIP, ARAP)
                ''',
                'network',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Send', 
                [], [], 
                '''                Send records to accounting server
                ''',
                'send',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('system', REFERENCE_CLASS, 'System' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.System', 
                [], [], 
                '''                For system events.
                ''',
                'system',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting.Update', 
                [], [], 
                '''                Enable accounting update records
                ''',
                'update',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            ],
            'Cisco-IOS-XE-aaa',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey.KeyEnum' : _MetaInfoEnum('KeyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey',
            False, 
            [
            _MetaInfoClassMember('key', REFERENCE_ENUM_CLASS, 'KeyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey.KeyEnum', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'server-key',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Server.Radius.DynamicAuthor.Client' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Server.Radius.DynamicAuthor.Client',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-aaa', True, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-aaa', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-aaa', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-aaa', True),
                ]),
            _MetaInfoClassMember('server-key', REFERENCE_CLASS, 'ServerKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey', 
                [], [], 
                '''                Specify a RADIUS client server-key
                ''',
                'server_key',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf', 
                [], [], 
                '''                 Virtual Routing/Forwarding parameters
                ''',
                'vrf',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Server.Radius.DynamicAuthor.ServerKey.KeyEnum' : _MetaInfoEnum('KeyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Server.Radius.DynamicAuthor.ServerKey' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Server.Radius.DynamicAuthor.ServerKey',
            False, 
            [
            _MetaInfoClassMember('key', REFERENCE_ENUM_CLASS, 'KeyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server.Radius.DynamicAuthor.ServerKey.KeyEnum', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'server-key',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Server.Radius.DynamicAuthor.Domain.Stripping' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Server.Radius.DynamicAuthor.Domain.Stripping',
            False, 
            [
            _MetaInfoClassMember('right-to-left', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Terminate the string at the first delimiter going from right to left
                ''',
                'right_to_left',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'stripping',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Server.Radius.DynamicAuthor.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Server.Radius.DynamicAuthor.Domain',
            False, 
            [
            _MetaInfoClassMember('delimiter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Domain delimiter, Choose from {@, /, $, %, \, #, -}
                ''',
                'delimiter',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('stripping', REFERENCE_CLASS, 'Stripping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server.Radius.DynamicAuthor.Domain.Stripping', 
                [], [], 
                '''                Match incoming username left oriented of the @ domain delimiter
                ''',
                'stripping',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Server.Radius.DynamicAuthor.AuthTypeEnum' : _MetaInfoEnum('AuthTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'all':'all',
            'any':'any',
            'session-key':'session_key',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa.Server.Radius.DynamicAuthor' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Server.Radius.DynamicAuthor',
            False, 
            [
            _MetaInfoClassMember('auth-type', REFERENCE_ENUM_CLASS, 'AuthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server.Radius.DynamicAuthor.AuthTypeEnum', 
                [], [], 
                '''                Specify the server authorization type
                ''',
                'auth_type',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('client', REFERENCE_LIST, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server.Radius.DynamicAuthor.Client', 
                [], [], 
                '''                Specify a RADIUS client
                ''',
                'client',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server.Radius.DynamicAuthor.Domain', 
                [], [], 
                '''                Username domain options
                ''',
                'domain',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('server-key', REFERENCE_CLASS, 'ServerKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server.Radius.DynamicAuthor.ServerKey', 
                [], [], 
                '''                Specify a RADIUS client server-key
                ''',
                'server_key',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'dynamic-author',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Server.Radius' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Server.Radius',
            False, 
            [
            _MetaInfoClassMember('dynamic-author', REFERENCE_CLASS, 'DynamicAuthor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server.Radius.DynamicAuthor', 
                [], [], 
                '''                Local server profile for RFC 3576 support
                ''',
                'dynamic_author',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'radius',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.Server' : {
        'meta_info' : _MetaInfoClass('Native.Aaa.Server',
            False, 
            [
            _MetaInfoClassMember('radius', REFERENCE_CLASS, 'Radius' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server.Radius', 
                [], [], 
                '''                Profile for local radius server
                ''',
                'radius',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Aaa.SessionIdEnum' : _MetaInfoEnum('SessionIdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'common':'common',
            'unique':'unique',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Aaa' : {
        'meta_info' : _MetaInfoClass('Native.Aaa',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Accounting', 
                [], [], 
                '''                Accounting configurations parameters.
                ''',
                'accounting',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authentication', 
                [], [], 
                '''                Authentication configurations parameters.
                ''',
                'authentication',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Authorization', 
                [], [], 
                '''                Authorization configurations parameters.
                ''',
                'authorization',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Group', 
                [], [], 
                '''                AAA group definitions
                ''',
                'group',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('new-model', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable NEW access control commands and functions.(Disables OLD commands.)
                ''',
                'new_model',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.Server', 
                [], [], 
                '''                Local AAA server
                ''',
                'server',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('session-id', REFERENCE_ENUM_CLASS, 'SessionIdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa.SessionIdEnum', 
                [], [], 
                '''                AAA Session ID
                ''',
                'session_id',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-native',
            'aaa',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Privilege.Exec_.Level.CommandList' : {
        'meta_info' : _MetaInfoClass('Native.Privilege.Exec_.Level.CommandList',
            False, 
            [
            _MetaInfoClassMember('command', ATTRIBUTE, 'str' , None, None, 
                [], [b'(show.*)|(write.*)'], 
                '''                ''',
                'command',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'command-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Privilege.Exec_.Level' : {
        'meta_info' : _MetaInfoClass('Native.Privilege.Exec_.Level',
            False, 
            [
            _MetaInfoClassMember('privilege', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'privilege',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('command-list', REFERENCE_LIST, 'CommandList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Privilege.Exec_.Level.CommandList', 
                [], [], 
                '''                ''',
                'command_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Privilege.Exec_' : {
        'meta_info' : _MetaInfoClass('Native.Privilege.Exec_',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_LIST, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Privilege.Exec_.Level', 
                [], [], 
                '''                Set privilege level of command
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Privilege' : {
        'meta_info' : _MetaInfoClass('Native.Privilege',
            False, 
            [
            _MetaInfoClassMember('exec', REFERENCE_CLASS, 'Exec_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Privilege.Exec_', 
                [], [], 
                '''                Exec mode
                ''',
                'exec_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'privilege',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Login.OnFailure.Log' : {
        'meta_info' : _MetaInfoClass('Native.Login.OnFailure.Log',
            False, 
            [
            _MetaInfoClassMember('every', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Periodicity for logs generated
                ''',
                'every',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'log',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Login.OnFailure' : {
        'meta_info' : _MetaInfoClass('Native.Login.OnFailure',
            False, 
            [
            _MetaInfoClassMember('log', REFERENCE_CLASS, 'Log' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Login.OnFailure.Log', 
                [], [], 
                '''                Generate syslogs on failure logins
                ''',
                'log',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'on-failure',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Login.OnSuccess.Log' : {
        'meta_info' : _MetaInfoClass('Native.Login.OnSuccess.Log',
            False, 
            [
            _MetaInfoClassMember('every', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Periodicity for logs generated
                ''',
                'every',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'log',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Login.OnSuccess' : {
        'meta_info' : _MetaInfoClass('Native.Login.OnSuccess',
            False, 
            [
            _MetaInfoClassMember('log', REFERENCE_CLASS, 'Log' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Login.OnSuccess.Log', 
                [], [], 
                '''                Generate syslogs on successful logins
                ''',
                'log',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'on-success',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Login' : {
        'meta_info' : _MetaInfoClass('Native.Login',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set delay between successive fail login
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('on-failure', REFERENCE_CLASS, 'OnFailure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Login.OnFailure', 
                [], [], 
                '''                Set options for failed login attempt
                ''',
                'on_failure',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('on-success', REFERENCE_CLASS, 'OnSuccess' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Login.OnSuccess', 
                [], [], 
                '''                Set options for successful login attempt
                ''',
                'on_success',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'login',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Multilink.BundleNameEnum' : _MetaInfoEnum('BundleNameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'authenticated':'authenticated',
            'both':'both',
            'endpoint':'endpoint',
            'rfc':'rfc',
        }, 'Cisco-IOS-XE-ppp', _yang_ns._namespaces['Cisco-IOS-XE-ppp']),
    'Native.Multilink' : {
        'meta_info' : _MetaInfoClass('Native.Multilink',
            False, 
            [
            _MetaInfoClassMember('bundle-name', REFERENCE_ENUM_CLASS, 'BundleNameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Multilink.BundleNameEnum', 
                [], [], 
                '''                Select method for naming multilink bundles
                ''',
                'bundle_name',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('virtual-template', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                virtual-template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-native',
            'multilink',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.MacAddressTable.EvcXconnect' : {
        'meta_info' : _MetaInfoClass('Native.MacAddressTable.EvcXconnect',
            False, 
            [
            _MetaInfoClassMember('l2pt-forward-all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Layer 2 Protocol Forward All
                ''',
                'l2pt_forward_all',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'evc-xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.MacAddressTable.Limit.Bdomain.ActionEnum' : _MetaInfoEnum('ActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'warning':'warning',
            'limit':'limit',
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.MacAddressTable.Limit.Bdomain' : {
        'meta_info' : _MetaInfoClass('Native.MacAddressTable.Limit.Bdomain',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'ActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.MacAddressTable.Limit.Bdomain.ActionEnum', 
                [], [], 
                '''                Enter action
                ''',
                'action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('0', '16000')], [], 
                '''                Enter max allowed entries
                ''',
                'maximum',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bdomain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.MacAddressTable.Limit' : {
        'meta_info' : _MetaInfoClass('Native.MacAddressTable.Limit',
            False, 
            [
            _MetaInfoClassMember('bdomain', REFERENCE_LIST, 'Bdomain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.MacAddressTable.Limit.Bdomain', 
                [], [], 
                '''                bdomain number for  mac limit feature
                ''',
                'bdomain',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.MacAddressTable.Learning.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.MacAddressTable.Learning.Vlan',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('module', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Layer 2 table learning per VLAN per module
                ''',
                'module',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.MacAddressTable.Learning' : {
        'meta_info' : _MetaInfoClass('Native.MacAddressTable.Learning',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.MacAddressTable.Learning.Vlan', 
                [], [], 
                '''                Layer 2 table learning per VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'learning',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.MacAddressTable' : {
        'meta_info' : _MetaInfoClass('Native.MacAddressTable',
            False, 
            [
            _MetaInfoClassMember('evc-xconnect', REFERENCE_CLASS, 'EvcXconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.MacAddressTable.EvcXconnect', 
                [], [], 
                '''                All ethernet virtual connections xconnect
                ''',
                'evc_xconnect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('learning', REFERENCE_CLASS, 'Learning' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.MacAddressTable.Learning', 
                [], [], 
                '''                Enable a MAC table learning feature
                ''',
                'learning',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.MacAddressTable.Limit', 
                [], [], 
                '''                Enter parameters for mac limit feature
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mac-address-table',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.MainCpu.AutoSync' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.MainCpu.AutoSync',
            False, 
            [
            _MetaInfoClassMember('bootvar', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'bootvar',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('config-register', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'config_register',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('running-config', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'running_config',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standard', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'standard',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'auto-sync',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.MainCpu.Standby.Console' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.MainCpu.Standby.Console',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'console',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.MainCpu.Standby.Initialization.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.MainCpu.Standby.Initialization.Delay',
            False, 
            [
            _MetaInfoClassMember('boot-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delay effective only on system boot
                ''',
                'boot_only',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('30', '1800')], [], 
                '''                Delay value in seconds
                ''',
                'second',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.MainCpu.Standby.Initialization' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.MainCpu.Standby.Initialization',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.MainCpu.Standby.Initialization.Delay', 
                [], [], 
                '''                Delay
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'initialization',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.MainCpu.Standby' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.MainCpu.Standby',
            False, 
            [
            _MetaInfoClassMember('console', REFERENCE_CLASS, 'Console' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.MainCpu.Standby.Console', 
                [], [], 
                '''                Console
                ''',
                'console',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('initialization', REFERENCE_CLASS, 'Initialization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.MainCpu.Standby.Initialization', 
                [], [], 
                '''                Initialization
                ''',
                'initialization',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.MainCpu' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.MainCpu',
            False, 
            [
            _MetaInfoClassMember('auto-sync', REFERENCE_CLASS, 'AutoSync' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.MainCpu.AutoSync', 
                [], [], 
                '''                ''',
                'auto_sync',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.MainCpu.Standby', 
                [], [], 
                '''                Standby
                ''',
                'standby',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'main-cpu',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Policy.ConfigSync.Bulk.Prc' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Policy.ConfigSync.Bulk.Prc',
            False, 
            [
            _MetaInfoClassMember('reload', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                reload standby
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prc',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Policy.ConfigSync.Bulk' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Policy.ConfigSync.Bulk',
            False, 
            [
            _MetaInfoClassMember('prc', REFERENCE_CLASS, 'Prc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Policy.ConfigSync.Bulk.Prc', 
                [], [], 
                '''                prc policy enforcement
                ''',
                'prc',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'bulk',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Policy.ConfigSync.Lbl.Prc' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Policy.ConfigSync.Lbl.Prc',
            False, 
            [
            _MetaInfoClassMember('reload', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                reload standby
                ''',
                'reload',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prc',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Policy.ConfigSync.Lbl' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Policy.ConfigSync.Lbl',
            False, 
            [
            _MetaInfoClassMember('prc', REFERENCE_CLASS, 'Prc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Policy.ConfigSync.Lbl.Prc', 
                [], [], 
                '''                prc policy enforcement
                ''',
                'prc',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'lbl',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Policy.ConfigSync' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Policy.ConfigSync',
            False, 
            [
            _MetaInfoClassMember('bulk', REFERENCE_CLASS, 'Bulk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Policy.ConfigSync.Bulk', 
                [], [], 
                '''                bulk configuration mode
                ''',
                'bulk',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lbl', REFERENCE_CLASS, 'Lbl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Policy.ConfigSync.Lbl', 
                [], [], 
                '''                line-by-line configuration mode
                ''',
                'lbl',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'config-sync',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Policy',
            False, 
            [
            _MetaInfoClassMember('config-sync', REFERENCE_CLASS, 'ConfigSync' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Policy.ConfigSync', 
                [], [], 
                '''                config sync parameters
                ''',
                'config_sync',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Timer' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Timer',
            False, 
            [
            _MetaInfoClassMember('rpso', ATTRIBUTE, 'int' , None, None, 
                [('120', '1200')], [], 
                '''                Delay value in seconds
                ''',
                'rpso',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Interchassis.Group.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Interchassis.Group.Monitor',
            False, 
            [
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set peer monitoring method to bfd
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('peer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                the peer method
                ''',
                'peer',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Interchassis.Group.Member' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Interchassis.Group.Member',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                specify the redundancy group member using an ip address
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'member',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Interchassis.Group.Backbone.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Interchassis.Group.Backbone.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Interchassis.Group.Backbone.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Interchassis.Group.Backbone.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Interchassis.Group.Backbone.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Interchassis.Group.Backbone' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Interchassis.Group.Backbone',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Interchassis.Group.Backbone.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'backbone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Interchassis.Group' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Interchassis.Group',
            False, 
            [
            _MetaInfoClassMember('group-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'group_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('backbone', REFERENCE_CLASS, 'Backbone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Interchassis.Group.Backbone', 
                [], [], 
                '''                specify a redundancy group member
                ''',
                'backbone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('member', REFERENCE_CLASS, 'Member' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Interchassis.Group.Member', 
                [], [], 
                '''                specify a redundancy group member
                ''',
                'member',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Interchassis.Group.Monitor', 
                [], [], 
                '''                define the peer monitoring method
                ''',
                'monitor',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.Interchassis' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy.Interchassis',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Interchassis.Group', 
                [], [], 
                '''                Enter the redundancy group number
                ''',
                'group',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interchassis',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Redundancy.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'rpr':'rpr',
            'rpr-plus':'rpr_plus',
            'sso':'sso',
            'none':'none',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Redundancy' : {
        'meta_info' : _MetaInfoClass('Native.Redundancy',
            False, 
            [
            _MetaInfoClassMember('interchassis', REFERENCE_CLASS, 'Interchassis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Interchassis', 
                [], [], 
                '''                Enter interchassis mode
                ''',
                'interchassis',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('main-cpu', REFERENCE_CLASS, 'MainCpu' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.MainCpu', 
                [], [], 
                '''                Enter main-cpu mode
                ''',
                'main_cpu',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('maintenance-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable maintenance mode 
                ''',
                'maintenance_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.ModeEnum', 
                [], [], 
                '''                redundancy mode for this chassis
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Policy', 
                [], [], 
                '''                redundancy policy enforcement
                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy.Timer', 
                [], [], 
                '''                Select a timer to configure
                ''',
                'timer',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'redundancy',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Scheduler.Runtime' : {
        'meta_info' : _MetaInfoClass('Native.Scheduler.Runtime',
            False, 
            [
            _MetaInfoClassMember('netinput', ATTRIBUTE, 'int' , None, None, 
                [('100', '40000')], [], 
                '''                Process-switching run time (in milliseconds)
                ''',
                'netinput',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'runtime',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Scheduler.Allocate' : {
        'meta_info' : _MetaInfoClass('Native.Scheduler.Allocate',
            False, 
            [
            _MetaInfoClassMember('interrupt-time', ATTRIBUTE, 'int' , None, None, 
                [('400', '60000')], [], 
                '''                ''',
                'interrupt_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('process-time', ATTRIBUTE, 'int' , None, None, 
                [('100', '4000')], [], 
                '''                ''',
                'process_time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'allocate',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Scheduler' : {
        'meta_info' : _MetaInfoClass('Native.Scheduler',
            False, 
            [
            _MetaInfoClassMember('allocate', REFERENCE_CLASS, 'Allocate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Scheduler.Allocate', 
                [], [], 
                '''                Guarantee CPU time for processes
                ''',
                'allocate',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('runtime', REFERENCE_CLASS, 'Runtime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Scheduler.Runtime', 
                [], [], 
                '''                Process runtime controls
                ''',
                'runtime',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'scheduler',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Epm' : {
        'meta_info' : _MetaInfoClass('Native.Epm',
            False, 
            [
            _MetaInfoClassMember('logging', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable EPM logging
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'epm',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Bridge' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Bridge',
            False, 
            [
            _MetaInfoClassMember('ID', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'bridge',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Etherchannel.Guard' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Etherchannel.Guard',
            False, 
            [
            _MetaInfoClassMember('misconfig', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable guard to protect against etherchannel misconfiguration
                ''',
                'misconfig',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'guard',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Etherchannel' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Etherchannel',
            False, 
            [
            _MetaInfoClassMember('guard', REFERENCE_CLASS, 'Guard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Etherchannel.Guard', 
                [], [], 
                '''                Configure guard features for etherchannel
                ''',
                'guard',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'etherchannel',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Extend' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Extend',
            False, 
            [
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Extend system-id into priority portion of the bridge id (PVST & Rapid PVST only)
                ''',
                'system_id',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'extend',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Loopguard' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Loopguard',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable loopguard by default on all ports
                ''',
                'default',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'loopguard',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Mst.InstanceRange.RootEnum' : _MetaInfoEnum('RootEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'primary':'primary',
            'secondary':'secondary',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.SpanningTree.Mst.InstanceRange' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Mst.InstanceRange',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-spanning-tree', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-spanning-tree', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-spanning-tree', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '61440')], [], 
                '''                Set the bridge priority for the spanning tree
                ''',
                'priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('root', REFERENCE_ENUM_CLASS, 'RootEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Mst.InstanceRange.RootEnum', 
                [], [], 
                '''                Configure switch as root
                ''',
                'root',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'instance-range',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Mst.Configuration.Instance' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Mst.Configuration.Instance',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4094')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-spanning-tree', True),
            _MetaInfoClassMember('vlan', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Range of vlans to add to the instance mapping
                ''',
                'vlan',
                'Cisco-IOS-XE-spanning-tree', False, [
                    _MetaInfoClassMember('vlan', REFERENCE_LEAFLIST, 'int' , None, None, 
                        [('0', '65535')], [], 
                        '''                        Range of vlans to add to the instance mapping
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-spanning-tree', False),
                    _MetaInfoClassMember('vlan', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [], 
                        '''                        Range of vlans to add to the instance mapping
                        ''',
                        'vlan',
                        'Cisco-IOS-XE-spanning-tree', False),
                ]),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Mst.Configuration.PrivateVlan' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Mst.Configuration.PrivateVlan',
            False, 
            [
            _MetaInfoClassMember('synchronize', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Synchronize vlans
                ''',
                'synchronize',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'private-vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Mst.Configuration' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Mst.Configuration',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Mst.Configuration.Instance', 
                [], [], 
                '''                Map vlans to an MST instance
                ''',
                'instance',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set configuration name
                ''',
                'name',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('private-vlan', REFERENCE_CLASS, 'PrivateVlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Mst.Configuration.PrivateVlan', 
                [], [], 
                '''                Set private-vlan synchronization
                ''',
                'private_vlan',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set configuration revision number
                ''',
                'revision',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'configuration',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Mst' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Mst',
            False, 
            [
            _MetaInfoClassMember('configuration', REFERENCE_CLASS, 'Configuration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Mst.Configuration', 
                [], [], 
                '''                Enter MST configuration submode
                ''',
                'configuration',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('forward-time', ATTRIBUTE, 'int' , None, None, 
                [('4', '30')], [], 
                '''                number of seconds for the forward delay timer
                ''',
                'forward_time',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('hello-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                number of seconds between generation of config BPDUs
                ''',
                'hello_time',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('instance-range', REFERENCE_LIST, 'InstanceRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Mst.InstanceRange', 
                [], [], 
                '''                ''',
                'instance_range',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('max-age', ATTRIBUTE, 'int' , None, None, 
                [('6', '40')], [], 
                '''                maximum number of seconds the information in a BPDU is valid
                ''',
                'max_age',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('max-hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                maximum number of hops a BPDU is valid
                ''',
                'max_hops',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'mst',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Optimize.Bpdu' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Optimize.Bpdu',
            False, 
            [
            _MetaInfoClassMember('transmission', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'transmission',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'bpdu',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Optimize' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Optimize',
            False, 
            [
            _MetaInfoClassMember('bpdu', REFERENCE_CLASS, 'Bpdu' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Optimize.Bpdu', 
                [], [], 
                '''                ''',
                'bpdu',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'optimize',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Pathcost.Method' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Pathcost.Method',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use 32 bit based values for default port path costs
                ''',
                'long',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('short', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'short',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'method',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Pathcost' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Pathcost',
            False, 
            [
            _MetaInfoClassMember('method', REFERENCE_CLASS, 'Method' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Pathcost.Method', 
                [], [], 
                '''                Method to calculate default port path cost
                ''',
                'method',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'pathcost',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Portfast.BdpuEnum' : _MetaInfoEnum('BdpuEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bpdufilter':'bpdufilter',
            'bpduguard':'bpduguard',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('bdpu', REFERENCE_ENUM_CLASS, 'BdpuEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Portfast.BdpuEnum', 
                [], [], 
                '''                ''',
                'bdpu',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast by default on all access ports
                ''',
                'default',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Transmit' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Transmit',
            False, 
            [
            _MetaInfoClassMember('hold-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '20')], [], 
                '''                Value for txholdcount parameter
                ''',
                'hold_count',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'transmit',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Uplinkfast' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Uplinkfast',
            False, 
            [
            _MetaInfoClassMember('max-update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '32000')], [], 
                '''                Rate at which station address updates are sent
                ''',
                'max_update_rate',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'uplinkfast',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Vlan.Root.Primary' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Vlan.Root.Primary',
            False, 
            [
            _MetaInfoClassMember('diameter', ATTRIBUTE, 'int' , None, None, 
                [('2', '7')], [], 
                '''                Network diameter of this spanning tree
                ''',
                'diameter',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('hello-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Hello interval for this spanning tree
                ''',
                'hello_time',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Vlan.Root.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Vlan.Root.Secondary',
            False, 
            [
            _MetaInfoClassMember('diameter', ATTRIBUTE, 'int' , None, None, 
                [('2', '7')], [], 
                '''                Network diameter of this spanning tree
                ''',
                'diameter',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('hello-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Hello interval for this spanning tree
                ''',
                'hello_time',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Vlan.Root' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Vlan.Root',
            False, 
            [
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Vlan.Root.Primary', 
                [], [], 
                '''                Configure this switch as primary root for this spanning tree
                ''',
                'primary',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('secondary', REFERENCE_CLASS, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Vlan.Root.Secondary', 
                [], [], 
                '''                Configure switch as secondary root
                ''',
                'secondary',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'root',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree.Vlan',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-spanning-tree', True),
            _MetaInfoClassMember('forward-time', ATTRIBUTE, 'int' , None, None, 
                [('4', '30')], [], 
                '''                Set the forward delay for the spanning tree
                ''',
                'forward_time',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('hello-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set the hello interval for the spanning tree
                ''',
                'hello_time',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('max-age', ATTRIBUTE, 'int' , None, None, 
                [('6', '40')], [], 
                '''                Set the max age interval for the spanning tree
                ''',
                'max_age',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '61440')], [], 
                '''                Set the bridge priority for the spanning tree
                ''',
                'priority',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('root', REFERENCE_CLASS, 'Root' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Vlan.Root', 
                [], [], 
                '''                Configure switch as root
                ''',
                'root',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-spanning-tree',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SpanningTree.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mst':'mst',
            'pvst':'pvst',
            'rapid-pvst':'rapid_pvst',
        }, 'Cisco-IOS-XE-spanning-tree', _yang_ns._namespaces['Cisco-IOS-XE-spanning-tree']),
    'Native.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('backbonefast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BackboneFast Feature
                ''',
                'backbonefast',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('bridge', REFERENCE_CLASS, 'Bridge' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Bridge', 
                [], [], 
                '''                ''',
                'bridge',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('etherchannel', REFERENCE_CLASS, 'Etherchannel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Etherchannel', 
                [], [], 
                '''                Spanning tree etherchannel specific configuration
                ''',
                'etherchannel',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('extend', REFERENCE_CLASS, 'Extend' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Extend', 
                [], [], 
                '''                Spanning Tree 802.1t extensions
                ''',
                'extend',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('logging', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Spanning tree logging
                ''',
                'logging',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('loopguard', REFERENCE_CLASS, 'Loopguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Loopguard', 
                [], [], 
                '''                Spanning tree loopguard options
                ''',
                'loopguard',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.ModeEnum', 
                [], [], 
                '''                Spanning tree operating mode
                ''',
                'mode',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('mst', REFERENCE_CLASS, 'Mst' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Mst', 
                [], [], 
                '''                Multiple spanning tree configuration
                ''',
                'mst',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('optimize', REFERENCE_CLASS, 'Optimize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Optimize', 
                [], [], 
                '''                ''',
                'optimize',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('pathcost', REFERENCE_CLASS, 'Pathcost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Pathcost', 
                [], [], 
                '''                Spanning tree pathcost options
                ''',
                'pathcost',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Portfast', 
                [], [], 
                '''                Spanning tree portfast options
                ''',
                'portfast',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('transmit', REFERENCE_CLASS, 'Transmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Transmit', 
                [], [], 
                '''                STP transmit parameters
                ''',
                'transmit',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('uplinkfast', REFERENCE_CLASS, 'Uplinkfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Uplinkfast', 
                [], [], 
                '''                Enable UplinkFast Feature
                ''',
                'uplinkfast',
                'Cisco-IOS-XE-spanning-tree', False),
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree.Vlan', 
                [], [], 
                '''                VLAN Switch Spanning Tree
                ''',
                'vlan',
                'Cisco-IOS-XE-spanning-tree', False),
            ],
            'Cisco-IOS-XE-native',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Subscriber' : {
        'meta_info' : _MetaInfoClass('Native.Subscriber',
            False, 
            [
            _MetaInfoClassMember('templating', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure subscriber templating
                ''',
                'templating',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'subscriber',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Interface.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ip':'ip',
            'ipv6':'ipv6',
            'line-protocol':'line_protocol',
        }, 'Cisco-IOS-XE-track', _yang_ns._namespaces['Cisco-IOS-XE-track']),
    'Native.Track.TrackedObject.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Interface.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Track interface IPv6 routing capability
                ''',
                'routing',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Ip.Route.MetricEnum' : _MetaInfoEnum('MetricEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'threshold':'threshold',
        }, 'Cisco-IOS-XE-track', _yang_ns._namespaces['Cisco-IOS-XE-track']),
    'Native.Track.TrackedObject.Ip.Route' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Ip.Route',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('metric', REFERENCE_ENUM_CLASS, 'MetricEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Ip.Route.MetricEnum', 
                [], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('reachability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route reachability state
                ''',
                'reachability',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Ip.Sla' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Ip.Sla',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Entry number
                ''',
                'number',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('reachability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Return code state
                ''',
                'state',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'sla',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Ip',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Ip.Route', 
                [], [], 
                '''                ''',
                'route',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('sla', REFERENCE_CLASS, 'Sla' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Ip.Sla', 
                [], [], 
                '''                IP Service Level Agreement
                ''',
                'sla',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Ipv6.Route.MetricEnum' : _MetaInfoEnum('MetricEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'threshold':'threshold',
        }, 'Cisco-IOS-XE-track', _yang_ns._namespaces['Cisco-IOS-XE-track']),
    'Native.Track.TrackedObject.Ipv6.Route' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Ipv6.Route',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('metric', REFERENCE_ENUM_CLASS, 'MetricEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Ipv6.Route.MetricEnum', 
                [], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('reachability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route reachability state
                ''',
                'reachability',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Ipv6',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Ipv6.Route', 
                [], [], 
                '''                IPv6 route
                ''',
                'route',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.List.BooleanEnum' : _MetaInfoEnum('BooleanEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'and':'and_',
            'or':'or_',
        }, 'Cisco-IOS-XE-track', _yang_ns._namespaces['Cisco-IOS-XE-track']),
    'Native.Track.TrackedObject.List.ThresholdEnum' : _MetaInfoEnum('ThresholdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'percentage':'percentage',
            'weight':'weight',
        }, 'Cisco-IOS-XE-track', _yang_ns._namespaces['Cisco-IOS-XE-track']),
    'Native.Track.TrackedObject.List' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.List',
            False, 
            [
            _MetaInfoClassMember('boolean', REFERENCE_ENUM_CLASS, 'BooleanEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.List.BooleanEnum', 
                [], [], 
                '''                List state based on a boolean calculation on objects
                ''',
                'boolean',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('threshold', REFERENCE_ENUM_CLASS, 'ThresholdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.List.ThresholdEnum', 
                [], [], 
                '''                List state based on a threshold of UP and DOWN objects
                ''',
                'threshold',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Default.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Default.Delay',
            False, 
            [
            ],
            'Cisco-IOS-XE-track',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Default.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Default.Ip',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding table
                ''',
                'vrf',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Default.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Default.Ipv6',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding table
                ''',
                'vrf',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Default.DefaultStateEnum' : _MetaInfoEnum('DefaultStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'down':'down',
            'up':'up',
        }, 'Cisco-IOS-XE-track', _yang_ns._namespaces['Cisco-IOS-XE-track']),
    'Native.Track.TrackedObject.Default' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Default',
            False, 
            [
            _MetaInfoClassMember('default-state', REFERENCE_ENUM_CLASS, 'DefaultStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Default.DefaultStateEnum', 
                [], [], 
                '''                default object state
                ''',
                'default_state',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Default.Delay', 
                [], [], 
                '''                Tracking delay
                ''',
                'delay',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Default.Ip', 
                [], [], 
                '''                Tracking IP object configuration
                ''',
                'ip',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Default.Ipv6', 
                [], [], 
                '''                Tracking IPv6 object configuration
                ''',
                'ipv6',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Delay',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'int' , None, None, 
                [('0', '180')], [], 
                '''                Delay down change notification
                ''',
                'down',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('up', ATTRIBUTE, 'int' , None, None, 
                [('0', '180')], [], 
                '''                Delay up change notification
                ''',
                'up',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Object' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Object',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-track', True),
            _MetaInfoClassMember('not', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Negate the state of object
                ''',
                'not_',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.Ipv6Object' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.Ipv6Object',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding table name
                ''',
                'vrf',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'ipv6-object',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.IpObject' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject.IpObject',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding table name
                ''',
                'vrf',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'ip-object',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.TrackedObject.DefaultStateEnum' : _MetaInfoEnum('DefaultStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'down':'down',
            'up':'up',
        }, 'Cisco-IOS-XE-track', _yang_ns._namespaces['Cisco-IOS-XE-track']),
    'Native.Track.TrackedObject' : {
        'meta_info' : _MetaInfoClass('Native.Track.TrackedObject',
            False, 
            [
            _MetaInfoClassMember('object-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'object_number',
                'Cisco-IOS-XE-track', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('default-state', REFERENCE_ENUM_CLASS, 'DefaultStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.DefaultStateEnum', 
                [], [], 
                '''                default object state
                ''',
                'default_state',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Delay', 
                [], [], 
                '''                Tracking delay
                ''',
                'delay',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Interface', 
                [], [], 
                '''                Select an interface to track
                ''',
                'interface',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Ip', 
                [], [], 
                '''                IP protocol
                ''',
                'ip',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('ip-object', REFERENCE_CLASS, 'IpObject' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.IpObject', 
                [], [], 
                '''                Tracking IP object configuration
                ''',
                'ip_object',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Ipv6', 
                [], [], 
                '''                IPv6 protocol
                ''',
                'ipv6',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('ipv6-object', REFERENCE_CLASS, 'Ipv6Object' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Ipv6Object', 
                [], [], 
                '''                Tracking IPv6 object configuration
                ''',
                'ipv6_object',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.List', 
                [], [], 
                '''                Group objects in a list
                ''',
                'list',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject.Object', 
                [], [], 
                '''                Add a tracked object to list
                ''',
                'object',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('stub-object', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Stub tracking object
                ''',
                'stub_object',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'tracked-object',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Resolution.Ip.Route' : {
        'meta_info' : _MetaInfoClass('Native.Track.Resolution.Ip.Route',
            False, 
            [
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'int' , None, None, 
                [('256', '40000000')], [], 
                '''                BGP route metric resolution
                ''',
                'bgp',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('256', '40000000')], [], 
                '''                EIGRP route metric resolution
                ''',
                'eigrp',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('isis', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ISIS route metric resolution
                ''',
                'isis',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '1562')], [], 
                '''                OSPF route metric resolution
                ''',
                'ospf',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('static', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                Static route metric resolution
                ''',
                'static',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Resolution.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Track.Resolution.Ip',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Resolution.Ip.Route', 
                [], [], 
                '''                Route metric resolution
                ''',
                'route',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Resolution' : {
        'meta_info' : _MetaInfoClass('Native.Track.Resolution',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Resolution.Ip', 
                [], [], 
                '''                IP protocol
                ''',
                'ip',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'resolution',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Timer.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Track.Timer.Interface',
            False, 
            [
            _MetaInfoClassMember('ms', ATTRIBUTE, 'int' , None, None, 
                [('500', '5000')], [], 
                '''                Specify polling interval in milliseconds
                ''',
                'ms',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '3000')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Timer.Ip.Route' : {
        'meta_info' : _MetaInfoClass('Native.Track.Timer.Ip.Route',
            False, 
            [
            _MetaInfoClassMember('ms', ATTRIBUTE, 'int' , None, None, 
                [('500', '5000')], [], 
                '''                Specify polling interval in milliseconds
                ''',
                'ms',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '3000')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Timer.Ip.Sla' : {
        'meta_info' : _MetaInfoClass('Native.Track.Timer.Ip.Sla',
            False, 
            [
            _MetaInfoClassMember('ms', ATTRIBUTE, 'int' , None, None, 
                [('500', '5000')], [], 
                '''                Specify polling interval in milliseconds
                ''',
                'ms',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '3000')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'sla',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Timer.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Track.Timer.Ip',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Timer.Ip.Route', 
                [], [], 
                '''                IP route polling timer
                ''',
                'route',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('sla', REFERENCE_CLASS, 'Sla' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Timer.Ip.Sla', 
                [], [], 
                '''                IP SLA polling timer
                ''',
                'sla',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Timer.Ipv6.Route' : {
        'meta_info' : _MetaInfoClass('Native.Track.Timer.Ipv6.Route',
            False, 
            [
            _MetaInfoClassMember('ms', ATTRIBUTE, 'int' , None, None, 
                [('500', '5000')], [], 
                '''                Specify polling interval in milliseconds
                ''',
                'ms',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '3000')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Timer.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Track.Timer.Ipv6',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Timer.Ipv6.Route', 
                [], [], 
                '''                IPv6 route polling timer
                ''',
                'route',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Timer.List' : {
        'meta_info' : _MetaInfoClass('Native.Track.Timer.List',
            False, 
            [
            _MetaInfoClassMember('ms', ATTRIBUTE, 'int' , None, None, 
                [('500', '5000')], [], 
                '''                Specify polling interval in milliseconds
                ''',
                'ms',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '3000')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Timer.StubObject' : {
        'meta_info' : _MetaInfoClass('Native.Track.Timer.StubObject',
            False, 
            [
            _MetaInfoClassMember('ms', ATTRIBUTE, 'int' , None, None, 
                [('500', '5000')], [], 
                '''                Specify polling interval in milliseconds
                ''',
                'ms',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '3000')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'stub-object',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track.Timer' : {
        'meta_info' : _MetaInfoClass('Native.Track.Timer',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Timer.Interface', 
                [], [], 
                '''                Interface polling timer
                ''',
                'interface',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Timer.Ip', 
                [], [], 
                '''                IP protocol
                ''',
                'ip',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Timer.Ipv6', 
                [], [], 
                '''                IPv6 protocol
                ''',
                'ipv6',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Timer.List', 
                [], [], 
                '''                Boolean list polling timer
                ''',
                'list',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('stub-object', REFERENCE_CLASS, 'StubObject' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Timer.StubObject', 
                [], [], 
                '''                EEM stub polling timer
                ''',
                'stub_object',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-track',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XE-track'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Track' : {
        'meta_info' : _MetaInfoClass('Native.Track',
            False, 
            [
            _MetaInfoClassMember('resolution', REFERENCE_CLASS, 'Resolution' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Resolution', 
                [], [], 
                '''                Tracking resolution parameters
                ''',
                'resolution',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.Timer', 
                [], [], 
                '''                Polling interval timers
                ''',
                'timer',
                'Cisco-IOS-XE-track', False),
            _MetaInfoClassMember('tracked-object', REFERENCE_LIST, 'TrackedObject' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track.TrackedObject', 
                [], [], 
                '''                ''',
                'tracked_object',
                'Cisco-IOS-XE-track', False),
            ],
            'Cisco-IOS-XE-native',
            'track',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Dot1X.Credentials.Password.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-dot1x', _yang_ns._namespaces['Cisco-IOS-XE-dot1x']),
    'Native.Dot1X.Credentials.Password' : {
        'meta_info' : _MetaInfoClass('Native.Dot1X.Credentials.Password',
            False, 
            [
            _MetaInfoClassMember('secret', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'secret',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Dot1X.Credentials.Password.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Dot1X.Credentials' : {
        'meta_info' : _MetaInfoClass('Native.Dot1X.Credentials',
            False, 
            [
            _MetaInfoClassMember('profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a profile name
                ''',
                'profile_name',
                'Cisco-IOS-XE-dot1x', True),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Dot1X.Credentials.Password', 
                [], [], 
                '''                Set the authentication password
                ''',
                'password',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('pki-trustpoint', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the default pki trustpoint
                ''',
                'pki_trustpoint',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the authentication userid
                ''',
                'username',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'credentials',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Dot1X.Critical.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Dot1X.Critical.Recovery',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000')], [], 
                '''                Set 802.1x Critical Authentication Recovery Delay period
                ''',
                'delay',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Dot1X.Critical' : {
        'meta_info' : _MetaInfoClass('Native.Dot1X.Critical',
            False, 
            [
            _MetaInfoClassMember('eapol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send EAPOL-Success on successful Critical Authentication
                ''',
                'eapol',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Dot1X.Critical.Recovery', 
                [], [], 
                '''                Set 802.1x Critical Authentication Recovery parameters
                ''',
                'recovery',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'critical',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Dot1X.Test' : {
        'meta_info' : _MetaInfoClass('Native.Dot1X.Test',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'test',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Dot1X.Supplicant' : {
        'meta_info' : _MetaInfoClass('Native.Dot1X.Supplicant',
            False, 
            [
            _MetaInfoClassMember('force-multicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force 802.1X supplicant to send multicast packets
                ''',
                'force_multicast',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'supplicant',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Dot1X' : {
        'meta_info' : _MetaInfoClass('Native.Dot1X',
            False, 
            [
            _MetaInfoClassMember('credentials', REFERENCE_LIST, 'Credentials' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Dot1X.Credentials', 
                [], [], 
                '''                Configure 802.1X credentials profiles
                ''',
                'credentials',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('critical', REFERENCE_CLASS, 'Critical' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Dot1X.Critical', 
                [], [], 
                '''                Set 802.1x Critical Authentication parameters
                ''',
                'critical',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('supplicant', REFERENCE_CLASS, 'Supplicant' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Dot1X.Supplicant', 
                [], [], 
                '''                802.1X supplicant configuration
                ''',
                'supplicant',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('system-auth-control', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable or Disable SysAuthControl
                ''',
                'system_auth_control',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('test', REFERENCE_CLASS, 'Test' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Dot1X.Test', 
                [], [], 
                '''                Configure dot1x test related parameters
                ''',
                'test',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-native',
            'dot1x',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fallback.Profile.FallbackList.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Fallback.Profile.FallbackList.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP expanded access list (standard or extended)
                ''',
                'name',
                'Cisco-IOS-XE-dot1x', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        IP expanded access list (standard or extended)
                        ''',
                        'name',
                        'Cisco-IOS-XE-dot1x', True),
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        IP expanded access list (standard or extended)
                        ''',
                        'name',
                        'Cisco-IOS-XE-dot1x', True),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fallback.Profile.FallbackList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Fallback.Profile.FallbackList.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_LIST, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fallback.Profile.FallbackList.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('admission', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of IP admission rule
                ''',
                'admission',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fallback.Profile.FallbackList' : {
        'meta_info' : _MetaInfoClass('Native.Fallback.Profile.FallbackList',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-dot1x', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Any textual description
                ''',
                'description',
                'Cisco-IOS-XE-dot1x', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fallback.Profile.FallbackList.Ip', 
                [], [], 
                '''                Internet Protocol configuration commands
                ''',
                'ip',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'fallback-list',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fallback.Profile' : {
        'meta_info' : _MetaInfoClass('Native.Fallback.Profile',
            False, 
            [
            _MetaInfoClassMember('fallback-list', REFERENCE_LIST, 'FallbackList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fallback.Profile.FallbackList', 
                [], [], 
                '''                Specify a policy name
                ''',
                'fallback_list',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-dot1x',
            'profile',
            _yang_ns._namespaces['Cisco-IOS-XE-dot1x'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fallback' : {
        'meta_info' : _MetaInfoClass('Native.Fallback',
            False, 
            [
            _MetaInfoClassMember('profile', REFERENCE_CLASS, 'Profile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fallback.Profile', 
                [], [], 
                '''                Create a Fallback profile
                ''',
                'profile',
                'Cisco-IOS-XE-dot1x', False),
            ],
            'Cisco-IOS-XE-native',
            'fallback',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Timeout.InitState' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Timeout.InitState',
            False, 
            [
            _MetaInfoClassMember('sec', ATTRIBUTE, 'int' , None, None, 
                [('60', '3932100')], [], 
                '''                WEBAUTH Timeout in Seconds
                ''',
                'sec',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'init-state',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Timeout.FinWait' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Timeout.FinWait',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                WEBAUTH Timeout in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'fin-wait',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Timeout',
            False, 
            [
            _MetaInfoClassMember('fin-wait', REFERENCE_CLASS, 'FinWait' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Timeout.FinWait', 
                [], [], 
                '''                fin-wait timeout
                ''',
                'fin_wait',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('init-state', REFERENCE_CLASS, 'InitState' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Timeout.InitState', 
                [], [], 
                '''                init-state timeout
                ''',
                'init_state',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.WatchList.AddItem' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.WatchList.AddItem',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Watch List Entry
                ''',
                'ipv4',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Watch List Entry
                ''',
                'ipv6',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'add-item',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.WatchList' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.WatchList',
            False, 
            [
            _MetaInfoClassMember('add-item', REFERENCE_CLASS, 'AddItem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.WatchList.AddItem', 
                [], [], 
                '''                Add item to Watch-list
                ''',
                'add_item',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dynamic-expiry-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483')], [], 
                '''                dynamic_expiry_timeout
                ''',
                'dynamic_expiry_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Watchlist
                ''',
                'enabled',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'watch-list',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.AggressiveAging.High.Absolute' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.AggressiveAging.High.Absolute',
            False, 
            [
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Specify the low watermark for aggressive-aging
                ''',
                'low',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'absolute',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.AggressiveAging.High.Percent' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.AggressiveAging.High.Percent',
            False, 
            [
            _MetaInfoClassMember('low_percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify the low watermark for aggressive-aging in percents
                ''',
                'low_percent',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'percent',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.AggressiveAging.High' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.AggressiveAging.High',
            False, 
            [
            _MetaInfoClassMember('absolute', REFERENCE_CLASS, 'Absolute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.AggressiveAging.High.Absolute', 
                [], [], 
                '''                ''',
                'absolute',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('percent', REFERENCE_CLASS, 'Percent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.AggressiveAging.High.Percent', 
                [], [], 
                '''                high watermark in percentage of max-incomplete value
                ''',
                'percent',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.AggressiveAging' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.AggressiveAging',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.AggressiveAging.High', 
                [], [], 
                '''                Specify the high watermark for aggressive-aging
                ''',
                'high',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'aggressive-aging',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_.License.Unencypted' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_.License.Unencypted',
            False, 
            [
            _MetaInfoClassMember('Hex-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                32 char non encrypted hex key
                ''',
                'hex_string',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'Unencypted',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_.License.Encrypted' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_.License.Encrypted',
            False, 
            [
            _MetaInfoClassMember('Hex-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                66 char encrypted hex key
                ''',
                'hex_string',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'Encrypted',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_.License' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_.License',
            False, 
            [
            _MetaInfoClassMember('Encrypted', REFERENCE_CLASS, 'Encrypted' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_.License.Encrypted', 
                [], [], 
                '''                Encrypted License
                ''',
                'encrypted',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('Unencypted', REFERENCE_CLASS, 'Unencypted' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_.License.Unencypted', 
                [], [], 
                '''                Unencrypted License
                ''',
                'unencypted',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'license',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_.Primary.Tower' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_.Primary.Tower',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address of the tower
                ''',
                'ipv4',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Fully Qualified Domain Name of tower
                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'tower',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_.Primary' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_.Primary',
            False, 
            [
            _MetaInfoClassMember('tower', REFERENCE_CLASS, 'Tower' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_.Primary.Tower', 
                [], [], 
                '''                Tower configuration for CWS
                ''',
                'tower',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_.Secondary.Tower' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_.Secondary.Tower',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address of the tower
                ''',
                'ipv4',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Fully Qualified Domain Name of tower
                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'tower',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_.Secondary' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_.Secondary',
            False, 
            [
            _MetaInfoClassMember('tower', REFERENCE_CLASS, 'Tower' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_.Secondary.Tower', 
                [], [], 
                '''                Tower configuration for CWS
                ''',
                'tower',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_.Whitelist.Acl' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_.Whitelist.Acl',
            False, 
            [
            _MetaInfoClassMember('acl-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_number',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('acl-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'acl_number',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('acl-number', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'acl_number',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access list name
                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'acl',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_.Whitelist.DomainName' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_.Whitelist.DomainName',
            False, 
            [
            _MetaInfoClassMember('regex', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Domain name regex parameter map
                ''',
                'regex',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'domain-name',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_.Whitelist.Download' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_.Whitelist.Download',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '10080')], [], 
                '''                Download interval in minutes
                ''',
                'interval',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'download',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_.Whitelist' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_.Whitelist',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_CLASS, 'Acl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_.Whitelist.Acl', 
                [], [], 
                '''                Access list
                ''',
                'acl',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('domain-name', REFERENCE_CLASS, 'DomainName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_.Whitelist.DomainName', 
                [], [], 
                '''                Domain name based Whitelist
                ''',
                'domain_name',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('download', REFERENCE_CLASS, 'Download' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_.Whitelist.Download', 
                [], [], 
                '''                whitelist download command
                ''',
                'download',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'whitelist',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Global_' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Global_',
            False, 
            [
            _MetaInfoClassMember('fail-open', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow traffic to go in clear if CWS Towers are unreachable
                ''',
                'fail_open',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('license', REFERENCE_CLASS, 'License' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_.License', 
                [], [], 
                '''                License Key
                ''',
                'license',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('logging', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                CWS syslogs
                ''',
                'logging',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_.Primary', 
                [], [], 
                '''                Primary tower
                ''',
                'primary',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('redirect-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set access-list for reverse route from CWS Tower
                Standard IP access-list number <1-199>
                Standard IP access-list number (expanded range) <1300-2699>
                ''',
                'redirect_list',
                'Cisco-IOS-XE-policy', False, [
                    _MetaInfoClassMember('redirect-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        Set access-list for reverse route from CWS Tower
                        Standard IP access-list number <1-199>
                        Standard IP access-list number (expanded range) <1300-2699>
                        ''',
                        'redirect_list',
                        'Cisco-IOS-XE-policy', False),
                    _MetaInfoClassMember('redirect-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        Set access-list for reverse route from CWS Tower
                        Standard IP access-list number <1-199>
                        Standard IP access-list number (expanded range) <1300-2699>
                        ''',
                        'redirect_list',
                        'Cisco-IOS-XE-policy', False),
                ]),
            _MetaInfoClassMember('secondary', REFERENCE_CLASS, 'Secondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_.Secondary', 
                [], [], 
                '''                Secondary tower
                ''',
                'secondary',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('whitelist', REFERENCE_CLASS, 'Whitelist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_.Whitelist', 
                [], [], 
                '''                Disable redirection to CWS
                Access list (standard) <1-199>
                Access list (extended) <1300-2699>
                Access list name
                ''',
                'whitelist',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Icmp' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Icmp',
            False, 
            [
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483')], [], 
                '''                Specify timeout for icmp
                ''',
                'idle_time',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'icmp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Lisp',
            False, 
            [
            _MetaInfoClassMember('inner-packet-inspection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inner-packet-inspection
                ''',
                'inner_packet_inspection',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Log.FlowExport.Template' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Log.FlowExport.Template',
            False, 
            [
            _MetaInfoClassMember('timeout-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Rate to resend the template in seconds
                ''',
                'timeout_rate',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Log.FlowExport.V9.Udp.Destination' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Log.FlowExport.V9.Udp.Destination',
            False, 
            [
            _MetaInfoClassMember('dst-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'dst_ip',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dst-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'dst_port',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Log.FlowExport.V9.Udp' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Log.FlowExport.V9.Udp',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Log.FlowExport.V9.Udp.Destination', 
                [], [], 
                '''                Specify the flow-export destination
                ''',
                'destination',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Log.FlowExport.V9' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Log.FlowExport.V9',
            False, 
            [
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Log.FlowExport.V9.Udp', 
                [], [], 
                '''                Use UDP to export records
                ''',
                'udp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'v9',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Log.FlowExport' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Log.FlowExport',
            False, 
            [
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Log.FlowExport.Template', 
                [], [], 
                '''                Configure record template parameters
                ''',
                'template',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('v9', REFERENCE_CLASS, 'V9' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Log.FlowExport.V9', 
                [], [], 
                '''                Netflow version 9
                ''',
                'v9',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'flow-export',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Log' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Log',
            False, 
            [
            _MetaInfoClassMember('dropped-packets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log dropped packets
                ''',
                'dropped_packets',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('flow-export', REFERENCE_CLASS, 'FlowExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Log.FlowExport', 
                [], [], 
                '''                Configure inspect external logging parameters
                ''',
                'flow_export',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'log',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.MaxIncomplete' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.MaxIncomplete',
            False, 
            [
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Specify high-watermark for clamping
                ''',
                'high',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Specify low-watermark for clamping
                ''',
                'low',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'max-incomplete',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.OneMinute' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.OneMinute',
            False, 
            [
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Specify high-watermark for clamping
                ''',
                'high',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Specify low-watermark for clamping
                ''',
                'low',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'one-minute',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Sessions.Queue' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Sessions.Queue',
            False, 
            [
            _MetaInfoClassMember('max-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'max_threshold',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('min-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'min_threshold',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'queue',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Sessions' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Sessions',
            False, 
            [
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Maximum sessions
                ''',
                'maximum',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('queue', REFERENCE_CLASS, 'Queue' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Sessions.Queue', 
                [], [], 
                '''                queue
                ''',
                'queue',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'sessions',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Specify max half-open connection per host
                ''',
                'host',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'max-incomplete',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.TcpInspect.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.TcpInspect.Tcp',
            False, 
            [
            _MetaInfoClassMember('finwait-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483')], [], 
                '''                Specify timeout for TCP connections after a FIN
                ''',
                'finwait_time',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483')], [], 
                '''                Specify idle timeout for tcp connections
                ''',
                'idle_time',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('max-incomplete', REFERENCE_CLASS, 'MaxIncomplete' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete', 
                [], [], 
                '''                Specify max half-open connection per host
                ''',
                'max_incomplete',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('synwait-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483')], [], 
                '''                Specify timeout for TCP connections after a SYN and no
                ''',
                'synwait_time',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.TcpInspect' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.TcpInspect',
            False, 
            [
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.TcpInspect.Tcp', 
                [], [], 
                '''                Config timeout values for tcp connections
                ''',
                'tcp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'tcp-inspect',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate',
            False, 
            [
            _MetaInfoClassMember('per-destination', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000000')], [], 
                '''                per destination
                maximum rate of TCP SYN packets
                ''',
                'per_destination',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.TcpInspectZone.Tcp.SynFlood' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.TcpInspectZone.Tcp.SynFlood',
            False, 
            [
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate', 
                [], [], 
                '''                maximum syn packet rate
                ''',
                'rate',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'syn-flood',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.TcpInspectZone.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.TcpInspectZone.Tcp',
            False, 
            [
            _MetaInfoClassMember('syn-flood', REFERENCE_CLASS, 'SynFlood' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.TcpInspectZone.Tcp.SynFlood', 
                [], [], 
                '''                maximum syn packet
                ''',
                'syn_flood',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.TcpInspectZone' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.TcpInspectZone',
            False, 
            [
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.TcpInspectZone.Tcp', 
                [], [], 
                '''                Configure tcp syn-flood per-destination rate
                ''',
                'tcp',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'tcp-inspect-zone',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.ThreatDetection.Rate.FwDrop' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.ThreatDetection.Rate.FwDrop',
            False, 
            [
            _MetaInfoClassMember('average-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Configure Threat Detection average threshold
                ''',
                'average_threshold',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('average-time-frame', ATTRIBUTE, 'int' , None, None, 
                [('600', '3600')], [], 
                '''                Configure Threat Detection average time frame
                ''',
                'average_time_frame',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('burst-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000000')], [], 
                '''                 Configure Threat Detection burst threshold
                ''',
                'burst_threshold',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'fw-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.ThreatDetection.Rate.InspectDrop' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.ThreatDetection.Rate.InspectDrop',
            False, 
            [
            _MetaInfoClassMember('average-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Configure Threat Detection average threshold
                ''',
                'average_threshold',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('average-time-frame', ATTRIBUTE, 'int' , None, None, 
                [('600', '3600')], [], 
                '''                Configure Threat Detection average time frame
                ''',
                'average_time_frame',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('burst-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000000')], [], 
                '''                 Configure Threat Detection burst threshold
                ''',
                'burst_threshold',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'inspect-drop',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.ThreatDetection.Rate.SynAttack' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.ThreatDetection.Rate.SynAttack',
            False, 
            [
            _MetaInfoClassMember('average-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Configure Threat Detection average threshold
                ''',
                'average_threshold',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('average-time-frame', ATTRIBUTE, 'int' , None, None, 
                [('600', '3600')], [], 
                '''                Configure Threat Detection average time frame
                ''',
                'average_time_frame',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('burst-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000000')], [], 
                '''                 Configure Threat Detection burst threshold
                ''',
                'burst_threshold',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'syn-attack',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.ThreatDetection.Rate' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.ThreatDetection.Rate',
            False, 
            [
            _MetaInfoClassMember('fw-drop', REFERENCE_CLASS, 'FwDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.ThreatDetection.Rate.FwDrop', 
                [], [], 
                '''                Configure Threat Detection rate for firewall drop events
                ''',
                'fw_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('inspect-drop', REFERENCE_CLASS, 'InspectDrop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.ThreatDetection.Rate.InspectDrop', 
                [], [], 
                '''                Configure Threat Detection rate for firewall inspection based drop events
                ''',
                'inspect_drop',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('syn-attack', REFERENCE_CLASS, 'SynAttack' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.ThreatDetection.Rate.SynAttack', 
                [], [], 
                '''                Configure Threat Detection rate for syn attack events
                ''',
                'syn_attack',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.ThreatDetection' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.ThreatDetection',
            False, 
            [
            _MetaInfoClassMember('basic-threat', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Threat Detection
                ''',
                'basic_threat',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.ThreatDetection.Rate', 
                [], [], 
                '''                Configure Threat Detection rate
                ''',
                'rate',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'threat-detection',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Udp' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Udp',
            False, 
            [
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483')], [], 
                '''                Specify idle timeout for udp
                ''',
                'idle_time',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap.Vrf',
            False, 
            [
            _MetaInfoClassMember('inspect', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf binding with parameter map
                ''',
                'inspect',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-policy',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-policy'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ParameterMap.AlertEnum' : _MetaInfoEnum('AlertEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.ParameterMap.ApplicationInspectEnum' : _MetaInfoEnum('ApplicationInspectEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'all':'all',
            'dns':'dns',
            'exec':'exec_',
            'ftp':'ftp',
            'gtp':'gtp',
            'h323':'h323',
            'http':'http',
            'imap':'imap',
            'login':'login',
            'msrpc':'msrpc',
            'netbios':'netbios',
            'pop3':'pop3',
            'rtsp':'rtsp',
            'shell':'shell',
            'sip':'sip',
            'skinny':'skinny',
            'smtp':'smtp',
            'sunrpc':'sunrpc',
            'tftp':'tftp',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.ParameterMap.AuditTrailEnum' : _MetaInfoEnum('AuditTrailEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'off':'off',
            'on':'on',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.ParameterMap.NameEnum' : _MetaInfoEnum('NameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
            'gtp':'gtp',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.ParameterMap.ParameterMapTypeEnum' : _MetaInfoEnum('ParameterMapTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'webauth':'webauth',
            'authbypass':'authbypass',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.ParameterMap.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cws-tunnel':'cws_tunnel',
            'inspect':'inspect',
            'inspect-global':'inspect_global',
            'webauth':'webauth',
            'inspect-vrf':'inspect_vrf',
            'inspect-zone':'inspect_zone',
            'regex':'regex',
            'authbypass':'authbypass',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.ParameterMap.ZoneMismatchEnum' : _MetaInfoEnum('ZoneMismatchEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'drop':'drop',
        }, 'Cisco-IOS-XE-policy', _yang_ns._namespaces['Cisco-IOS-XE-policy']),
    'Native.ParameterMap' : {
        'meta_info' : _MetaInfoClass('Native.ParameterMap',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                cws_tunnel global parameter-map
                ''',
                'name',
                'Cisco-IOS-XE-native', True, [
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        cws_tunnel global parameter-map
                        ''',
                        'name',
                        'Cisco-IOS-XE-native', True),
                    _MetaInfoClassMember('name', REFERENCE_ENUM_CLASS, 'Native.ParameterMap.NameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.NameEnum', 
                        [], [], 
                        '''                        cws_tunnel global parameter-map
                        ''',
                        'name',
                        'Cisco-IOS-XE-native', True),
                ]),
            _MetaInfoClassMember('aggressive-aging', REFERENCE_CLASS, 'AggressiveAging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.AggressiveAging', 
                [], [], 
                '''                Aggressive Aging parameters
                ''',
                'aggressive_aging',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('alert', REFERENCE_ENUM_CLASS, 'AlertEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.AlertEnum', 
                [], [], 
                '''                Turn on/off alert
                ''',
                'alert',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('application-inspect', REFERENCE_ENUM_CLASS, 'ApplicationInspectEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.ApplicationInspectEnum', 
                [], [], 
                '''                Turn on application inspection
                ''',
                'application_inspect',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('audit-trail', REFERENCE_ENUM_CLASS, 'AuditTrailEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.AuditTrailEnum', 
                [], [], 
                '''                Turn on/off audit trail
                ''',
                'audit_trail',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('dns-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483')], [], 
                '''                Specify timeout for DNS
                ''',
                'dns_timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Global_', 
                [], [], 
                '''                cws_tunnel global parameter-map
                ''',
                'global_',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('icmp', REFERENCE_CLASS, 'Icmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Icmp', 
                [], [], 
                '''                Config timeout values for icmp
                ''',
                'icmp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Lisp', 
                [], [], 
                '''                Turn on LISP options
                ''',
                'lisp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('log', REFERENCE_CLASS, 'Log' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Log', 
                [], [], 
                '''                Configure inspect logging parameters
                ''',
                'log',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('max-destination', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                config maximum destination
                ''',
                'max_destination',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('max-incomplete', REFERENCE_CLASS, 'MaxIncomplete' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.MaxIncomplete', 
                [], [], 
                '''                Specify maximum number of incomplete connections before clamping
                ''',
                'max_incomplete',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('one-minute', REFERENCE_CLASS, 'OneMinute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.OneMinute', 
                [], [], 
                '''                Specify one-minute-sample watermarks for clamping
                ''',
                'one_minute',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('parameter-map-type', REFERENCE_ENUM_CLASS, 'ParameterMapTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.ParameterMapTypeEnum', 
                [], [], 
                '''                type - web-auth, consent or both
                ''',
                'parameter_map_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sessions', REFERENCE_CLASS, 'Sessions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Sessions', 
                [], [], 
                '''                Maximum number of inspect sessions
                ''',
                'sessions',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('tcp-inspect', REFERENCE_CLASS, 'TcpInspect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.TcpInspect', 
                [], [], 
                '''                ''',
                'tcp_inspect',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('tcp-inspect-zone', REFERENCE_CLASS, 'TcpInspectZone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.TcpInspectZone', 
                [], [], 
                '''                ''',
                'tcp_inspect_zone',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('threat-detection', REFERENCE_CLASS, 'ThreatDetection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.ThreatDetection', 
                [], [], 
                '''                Configure Threat Detection
                ''',
                'threat_detection',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Timeout', 
                [], [], 
                '''                timeout for the webauth session
                ''',
                'timeout',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.TypeEnum', 
                [], [], 
                '''                parameter map type
                ''',
                'type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Udp', 
                [], [], 
                '''                Config timeout values for udp flows
                ''',
                'udp',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.Vrf', 
                [], [], 
                '''                vrf binding with parameter map
                ''',
                'vrf',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('watch-list', REFERENCE_CLASS, 'WatchList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.WatchList', 
                [], [], 
                '''                Watch List of webauth clients
                ''',
                'watch_list',
                'Cisco-IOS-XE-policy', False),
            _MetaInfoClassMember('zone-mismatch', REFERENCE_ENUM_CLASS, 'ZoneMismatchEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap.ZoneMismatchEnum', 
                [], [], 
                '''                Config zone-mismatch option
                ''',
                'zone_mismatch',
                'Cisco-IOS-XE-policy', False),
            ],
            'Cisco-IOS-XE-native',
            'parameter-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ppp.Packet' : {
        'meta_info' : _MetaInfoClass('Native.Ppp.Packet',
            False, 
            [
            _MetaInfoClassMember('allow_time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                ''',
                'allow_time',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('block_time', ATTRIBUTE, 'int' , None, None, 
                [('2', '3600')], [], 
                '''                ''',
                'block_time',
                'Cisco-IOS-XE-ppp', False),
            _MetaInfoClassMember('throttle', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                Configure control packet rate throttling
                ''',
                'throttle',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-ppp',
            'packet',
            _yang_ns._namespaces['Cisco-IOS-XE-ppp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ppp' : {
        'meta_info' : _MetaInfoClass('Native.Ppp',
            False, 
            [
            _MetaInfoClassMember('packet', REFERENCE_CLASS, 'Packet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ppp.Packet', 
                [], [], 
                '''                Configure control packet rate throttling
                ''',
                'packet',
                'Cisco-IOS-XE-ppp', False),
            ],
            'Cisco-IOS-XE-native',
            'ppp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AddressTable.Learning' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AddressTable.Learning',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                <1-4094>;;VLAN id to enable MAC Address learning
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'learning',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AddressTable.Notification.Change' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AddressTable.Notification.Change',
            False, 
            [
            _MetaInfoClassMember('history-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '500')], [], 
                '''                Number of entries in history table (0-500)
                ''',
                'history_size',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Notification interval in seconds (0-2147483647)
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'change',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AddressTable.Notification.Threshold.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AddressTable.Notification.Threshold.Limit',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('120', '1000000')], [], 
                '''                <120-1000000> Interval time in seconds
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Percentage (0-100)
                ''',
                'percentage',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AddressTable.Notification.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AddressTable.Notification.Threshold',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('120', '1000000')], [], 
                '''                <120-1000000> Interval time in seconds
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AddressTable.Notification.Threshold.Limit', 
                [], [], 
                '''                Limit percentage
                ''',
                'limit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AddressTable.Notification' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AddressTable.Notification',
            False, 
            [
            _MetaInfoClassMember('change', REFERENCE_CLASS, 'Change' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AddressTable.Notification.Change', 
                [], [], 
                '''                Enable/Disable MAC Notification feature on the switch
                ''',
                'change',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-move', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Mac Move Notification
                ''',
                'mac_move',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AddressTable.Notification.Threshold', 
                [], [], 
                '''                Configure L2 Table monitoring
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'notification',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AddressTable.Static' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AddressTable.Static',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                drop frames
                ''',
                'drop',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface exact long name
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'mac_address',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                <1-4094> VLAN id of mac address table (1-4094)
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AddressTable' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AddressTable',
            False, 
            [
            _MetaInfoClassMember('aging-time', ATTRIBUTE, 'int' , None, None, 
                [('0', 'None'), ('10', '1000000')], [], 
                '''                Set MAC address table entry maximum age
                ''',
                'aging_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('control-packet-learn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable learning from Control Packets
                ''',
                'control_packet_learn',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('learning', REFERENCE_CLASS, 'Learning' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AddressTable.Learning', 
                [], [], 
                '''                Enable MAC table learning feature
                ''',
                'learning',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('notification', REFERENCE_CLASS, 'Notification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AddressTable.Notification', 
                [], [], 
                '''                Enable/Disable MAC Notification on the switch
                ''',
                'notification',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('routed-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set RM Aging interval
                ''',
                'routed_mac',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AddressTable.Static', 
                [], [], 
                '''                Static MAC entry
                ''',
                'static',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN Keyword
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'address-table',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AccessList.Extended.Deny.Source' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AccessList.Extended.Deny.Source',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                any source MAC address
                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                A single source host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                48-bit source MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AccessList.Extended.Deny.Dest' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AccessList.Extended.Deny.Dest',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                any destination MAC address
                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                A single destination host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                48-bit destination MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'dest',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AccessList.Extended.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AccessList.Extended.Deny',
            False, 
            [
            _MetaInfoClassMember('dest', REFERENCE_CLASS, 'Dest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AccessList.Extended.Deny.Dest', 
                [], [], 
                '''                ''',
                'dest',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('ethertype', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ethertype',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AccessList.Extended.Deny.Source', 
                [], [], 
                '''                ''',
                'source',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AccessList.Extended.Permit.Source' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AccessList.Extended.Permit.Source',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                any source MAC address
                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                A single source host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                48-bit source MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AccessList.Extended.Permit.Dest' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AccessList.Extended.Permit.Dest',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                any destination MAC address
                ''',
                'any',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                A single destination host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                48-bit destination MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'dest',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AccessList.Extended.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AccessList.Extended.Permit',
            False, 
            [
            _MetaInfoClassMember('dest', REFERENCE_CLASS, 'Dest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AccessList.Extended.Permit.Dest', 
                [], [], 
                '''                ''',
                'dest',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('ethertype', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ethertype',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AccessList.Extended.Permit.Source', 
                [], [], 
                '''                ''',
                'source',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AccessList.Extended' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AccessList.Extended',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AccessList.Extended.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AccessList.Extended.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'extended',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac.AccessList' : {
        'meta_info' : _MetaInfoClass('Native.Mac.AccessList',
            False, 
            [
            _MetaInfoClassMember('extended', REFERENCE_LIST, 'Extended' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AccessList.Extended', 
                [], [], 
                '''                Extended Access List
                ''',
                'extended',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Mac',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_CLASS, 'AccessList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AccessList', 
                [], [], 
                '''                Named access-list
                ''',
                'access_list',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('address-table', REFERENCE_CLASS, 'AddressTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac.AddressTable', 
                [], [], 
                '''                Configure the MAC address table
                ''',
                'address_table',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Tacacs.Server.Address' : {
        'meta_info' : _MetaInfoClass('Native.Tacacs.Server.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configure ipv4 address for tacacs server
                ''',
                'ipv4',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Configure ipv4 address for tacacs server
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configure ipv4 address for tacacs server
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            ],
            'Cisco-IOS-XE-aaa',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Tacacs.Server.Key.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Tacacs.Server.Key' : {
        'meta_info' : _MetaInfoClass('Native.Tacacs.Server.Key',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Tacacs.Server.Key.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Tacacs.Server' : {
        'meta_info' : _MetaInfoClass('Native.Tacacs.Server',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Tacacs.Server.Address', 
                [], [], 
                '''                Specify ip address for tacacs server
                ''',
                'address',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Tacacs.Server.Key', 
                [], [], 
                '''                per-server encryption key (overrides default)
                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Tacacs' : {
        'meta_info' : _MetaInfoClass('Native.Tacacs',
            False, 
            [
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Tacacs.Server', 
                [], [], 
                '''                Server configuration
                ''',
                'server',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-native',
            'tacacs',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TacacsServer.Host.KeyEnum' : _MetaInfoEnum('KeyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.TacacsServer.Host' : {
        'meta_info' : _MetaInfoClass('Native.TacacsServer.Host',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True, [
                    _MetaInfoClassMember('name', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-aaa', True, [
                            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'name',
                                'Cisco-IOS-XE-aaa', True),
                            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'name',
                                'Cisco-IOS-XE-aaa', True),
                        ]),
                    _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'name',
                        'Cisco-IOS-XE-aaa', True),
                ]),
            _MetaInfoClassMember('encryption-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'encryption_key',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('key', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set TACACS+ encryption key.
                ''',
                'key',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('key', REFERENCE_ENUM_CLASS, 'Native.TacacsServer.Host.KeyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TacacsServer.Host.KeyEnum', 
                        [], [], 
                        '''                        Set TACACS+ encryption key.
                        ''',
                        'key',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Set TACACS+ encryption key.
                        ''',
                        'key',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                TCP port for TACACS+ server (default is 49)
                ''',
                'port',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Time to wait for this TACACS server to reply (overrides default)
                ''',
                'timeout',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TacacsServer.DirectedRequest' : {
        'meta_info' : _MetaInfoClass('Native.TacacsServer.DirectedRequest',
            False, 
            [
            _MetaInfoClassMember('no-truncate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not truncate the @hostname from username.
                ''',
                'no_truncate',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('restricted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                restrict queries to directed request servers only
                ''',
                'restricted',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'directed-request',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TacacsServer.Key.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.TacacsServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.TacacsServer.Key',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TacacsServer.Key.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TacacsServer' : {
        'meta_info' : _MetaInfoClass('Native.TacacsServer',
            False, 
            [
            _MetaInfoClassMember('directed-request', REFERENCE_CLASS, 'DirectedRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TacacsServer.DirectedRequest', 
                [], [], 
                '''                Allow user to specify tacacs server to use with `@server'
                ''',
                'directed_request',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TacacsServer.Host', 
                [], [], 
                '''                Specify a TACACS server
                ''',
                'host',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TacacsServer.Key', 
                [], [], 
                '''                Set TACACS+ encryption key.
                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Time to wait for a TACACS server to reply
                ''',
                'timeout',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-native',
            'tacacs-server',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Upgrade.Fpd' : {
        'meta_info' : _MetaInfoClass('Native.Upgrade.Fpd',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Auto upgrade all FPD images
                ''',
                'auto',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set path to locate the FPD image package file for auto upgrade
                ''',
                'path',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fpd',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Upgrade' : {
        'meta_info' : _MetaInfoClass('Native.Upgrade',
            False, 
            [
            _MetaInfoClassMember('fpd', REFERENCE_CLASS, 'Fpd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Upgrade.Fpd', 
                [], [], 
                '''                Configure field programmable devices upgrade options
                ''',
                'fpd',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'upgrade',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vtp.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Vtp.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The name of the interface providing the VTP updater ID for this device
                ''',
                'interface_name',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use only this interface's IP address as the VTP IP updater address
                ''',
                'only',
                'Cisco-IOS-XE-vtp', False),
            ],
            'Cisco-IOS-XE-vtp',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-vtp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vtp.Password' : {
        'meta_info' : _MetaInfoClass('Native.Vtp.Password',
            False, 
            [
            _MetaInfoClassMember('hidden', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the VTP password hidden option
                ''',
                'hidden',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ascii password for the VTP administrative domain
                ''',
                'password',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('secret', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify the vtp password in encrypted form
                ''',
                'secret',
                'Cisco-IOS-XE-vtp', False),
            ],
            'Cisco-IOS-XE-vtp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-vtp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vtp.Mode.Client' : {
        'meta_info' : _MetaInfoClass('Native.Vtp.Mode.Client',
            False, 
            [
            _MetaInfoClassMember('mst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for MST VTP instance
                ''',
                'mst',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for unknown VTP instances
                ''',
                'unknown',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for VLAN VTP instance
                ''',
                'vlan',
                'Cisco-IOS-XE-vtp', False),
            ],
            'Cisco-IOS-XE-vtp',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-vtp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vtp.Mode.Off' : {
        'meta_info' : _MetaInfoClass('Native.Vtp.Mode.Off',
            False, 
            [
            _MetaInfoClassMember('mst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for MST VTP instance
                ''',
                'mst',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for unknown VTP instances
                ''',
                'unknown',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for VLAN VTP instance
                ''',
                'vlan',
                'Cisco-IOS-XE-vtp', False),
            ],
            'Cisco-IOS-XE-vtp',
            'off',
            _yang_ns._namespaces['Cisco-IOS-XE-vtp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vtp.Mode.Server' : {
        'meta_info' : _MetaInfoClass('Native.Vtp.Mode.Server',
            False, 
            [
            _MetaInfoClassMember('mst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for MST VTP instance
                ''',
                'mst',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for unknown VTP instances
                ''',
                'unknown',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for VLAN VTP instance
                ''',
                'vlan',
                'Cisco-IOS-XE-vtp', False),
            ],
            'Cisco-IOS-XE-vtp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-vtp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vtp.Mode.Transparent' : {
        'meta_info' : _MetaInfoClass('Native.Vtp.Mode.Transparent',
            False, 
            [
            _MetaInfoClassMember('mst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for MST VTP instance
                ''',
                'mst',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for unknown VTP instances
                ''',
                'unknown',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the mode for VLAN VTP instance
                ''',
                'vlan',
                'Cisco-IOS-XE-vtp', False),
            ],
            'Cisco-IOS-XE-vtp',
            'transparent',
            _yang_ns._namespaces['Cisco-IOS-XE-vtp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vtp.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Vtp.Mode',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vtp.Mode.Client', 
                [], [], 
                '''                Set the device to client mode
                ''',
                'client',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('off', REFERENCE_CLASS, 'Off' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vtp.Mode.Off', 
                [], [], 
                '''                Set the device to off mode
                ''',
                'off',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vtp.Mode.Server', 
                [], [], 
                '''                Set the device to server mode
                ''',
                'server',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('transparent', REFERENCE_CLASS, 'Transparent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vtp.Mode.Transparent', 
                [], [], 
                '''                Set the device to transparent mode
                ''',
                'transparent',
                'Cisco-IOS-XE-vtp', False),
            ],
            'Cisco-IOS-XE-vtp',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-vtp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vtp' : {
        'meta_info' : _MetaInfoClass('Native.Vtp',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the name of the VTP administrative domain.
                ''',
                'domain',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('file', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure IFS filesystem file where VTP configuration is stored.
                ''',
                'file',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vtp.Interface', 
                [], [], 
                '''                Configure Interface as the preferred source for the VTP IP updater address
                ''',
                'interface',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vtp.Mode', 
                [], [], 
                '''                Configure VTP device mode
                ''',
                'mode',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vtp.Password', 
                [], [], 
                '''                Set the password for the VTP administrative domain
                ''',
                'password',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('pruning', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the adminstrative domain to permit pruning
                ''',
                'pruning',
                'Cisco-IOS-XE-vtp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                Set the adminstrative domain to VTP version
                ''',
                'version',
                'Cisco-IOS-XE-vtp', False),
            ],
            'Cisco-IOS-XE-native',
            'vtp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Xconnect.Logging.Pseudowire' : {
        'meta_info' : _MetaInfoClass('Native.Xconnect.Logging.Pseudowire',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'status',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'pseudowire',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Xconnect.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Xconnect.Logging',
            False, 
            [
            _MetaInfoClassMember('pseudowire', REFERENCE_CLASS, 'Pseudowire' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Xconnect.Logging.Pseudowire', 
                [], [], 
                '''                ''',
                'pseudowire',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'redundancy',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.Xconnect',
            False, 
            [
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Xconnect.Logging', 
                [], [], 
                '''                ''',
                'logging',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-native',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fabric.SwitchingMode.Allow.Truncated' : {
        'meta_info' : _MetaInfoClass('Native.Fabric.SwitchingMode.Allow.Truncated',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Number of SFM-capable modules for truncated switching mode. Switch applies the threshold only when the mode is disallowed. Switch ignores the threshold when the truncated mode is allowed
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'truncated',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fabric.SwitchingMode.Allow' : {
        'meta_info' : _MetaInfoClass('Native.Fabric.SwitchingMode.Allow',
            False, 
            [
            _MetaInfoClassMember('bus-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow switching in bus mode for modules
                ''',
                'bus_mode',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('truncated', REFERENCE_CLASS, 'Truncated' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fabric.SwitchingMode.Allow.Truncated', 
                [], [], 
                '''                Truncated switching mode
                ''',
                'truncated',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'allow',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fabric.SwitchingMode.Force' : {
        'meta_info' : _MetaInfoClass('Native.Fabric.SwitchingMode.Force',
            False, 
            [
            _MetaInfoClassMember('bus-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switching mode of service modules will be forced to bus-mode by powercycling it.
                ''',
                'bus_mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'force',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fabric.SwitchingMode' : {
        'meta_info' : _MetaInfoClass('Native.Fabric.SwitchingMode',
            False, 
            [
            _MetaInfoClassMember('allow', REFERENCE_CLASS, 'Allow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fabric.SwitchingMode.Allow', 
                [], [], 
                '''                Allow settings
                ''',
                'allow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('force', REFERENCE_CLASS, 'Force' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fabric.SwitchingMode.Force', 
                [], [], 
                '''                Force modules to different switching modes
                ''',
                'force',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'switching-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fabric' : {
        'meta_info' : _MetaInfoClass('Native.Fabric',
            False, 
            [
            _MetaInfoClassMember('switching-mode', REFERENCE_CLASS, 'SwitchingMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fabric.SwitchingMode', 
                [], [], 
                '''                Switching mode settings
                ''',
                'switching_mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fabric',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PortChannel.LoadBalance.Extended.ExtendedEnum' : _MetaInfoEnum('ExtendedEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dst-ip':'dst_ip',
            'dst-mac':'dst_mac',
            'dst-port':'dst_port',
            'ipv6-label':'ipv6_label',
            'l3-proto':'l3_proto',
            'src-ip':'src_ip',
            'src-mac':'src_mac',
            'src-port':'src_port',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.PortChannel.LoadBalance.Extended' : {
        'meta_info' : _MetaInfoClass('Native.PortChannel.LoadBalance.Extended',
            False, 
            [
            _MetaInfoClassMember('extended', REFERENCE_LEAFLIST, 'ExtendedEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PortChannel.LoadBalance.Extended.ExtendedEnum', 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'extended',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PortChannel.LoadBalance.LoadBalanceEnum' : _MetaInfoEnum('LoadBalanceEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dst-ip':'dst_ip',
            'dst-mac':'dst_mac',
            'dst-mixed-ip-port':'dst_mixed_ip_port',
            'dst-port':'dst_port',
            'mpls':'mpls',
            'src-dst-ip':'src_dst_ip',
            'src-dst-mac':'src_dst_mac',
            'src-dst-mixed-ip-port':'src_dst_mixed_ip_port',
            'src-dst-port':'src_dst_port',
            'src-ip':'src_ip',
            'src-mac':'src_mac',
            'src-mixed-ip-port':'src_mixed_ip_port',
            'src-port':'src_port',
        }, 'Cisco-IOS-XE-ethernet', _yang_ns._namespaces['Cisco-IOS-XE-ethernet']),
    'Native.PortChannel.LoadBalance' : {
        'meta_info' : _MetaInfoClass('Native.PortChannel.LoadBalance',
            False, 
            [
            _MetaInfoClassMember('extended', REFERENCE_CLASS, 'Extended' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PortChannel.LoadBalance.Extended', 
                [], [], 
                '''                Extended Load Balance Methods
                ''',
                'extended',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('load-balance', REFERENCE_ENUM_CLASS, 'LoadBalanceEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PortChannel.LoadBalance.LoadBalanceEnum', 
                [], [], 
                '''                ''',
                'load_balance',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'load-balance',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PortChannel.LoadBalancing' : {
        'meta_info' : _MetaInfoClass('Native.PortChannel.LoadBalancing',
            False, 
            [
            _MetaInfoClassMember('vlan-manual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Manual Traffic Distribution based on VLAN id
                ''',
                'vlan_manual',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'load-balancing',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PortChannel' : {
        'meta_info' : _MetaInfoClass('Native.PortChannel',
            False, 
            [
            _MetaInfoClassMember('auto', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                LACP auto for the system
                ''',
                'auto',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('load-balance', REFERENCE_CLASS, 'LoadBalance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PortChannel.LoadBalance', 
                [], [], 
                '''                Load Balancing method
                ''',
                'load_balance',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('load-balancing', REFERENCE_CLASS, 'LoadBalancing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PortChannel.LoadBalancing', 
                [], [], 
                '''                Load Balance method
                ''',
                'load_balancing',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-native',
            'port-channel',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Key.Chain.Key_.KeyString.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Key.Chain.Key_.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Key.Chain.Key_.KeyString',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Key.Chain.Key_.KeyString.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [(0, 80)], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Key.Chain.Key_.CryptographicAlgorithmEnum' : _MetaInfoEnum('CryptographicAlgorithmEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'aes-128-cmac':'aes_128_cmac',
            'aes-256-cmac':'aes_256_cmac',
            'hmac-sha-1':'hmac_sha_1',
            'hmac-sha-256':'hmac_sha_256',
            'hmac-sha-384':'hmac_sha_384',
            'hmac-sha-512':'hmac_sha_512',
            'md5':'md5',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Key.Chain.Key_' : {
        'meta_info' : _MetaInfoClass('Native.Key.Chain.Key_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('cryptographic-algorithm', REFERENCE_ENUM_CLASS, 'CryptographicAlgorithmEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Key.Chain.Key_.CryptographicAlgorithmEnum', 
                [], [], 
                '''                Set cryptographic authentication algorithm
                ''',
                'cryptographic_algorithm',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Key.Chain.Key_.KeyString', 
                [], [], 
                '''                Set key string
                ''',
                'key_string',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Key.Chain' : {
        'meta_info' : _MetaInfoClass('Native.Key.Chain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('key', REFERENCE_LIST, 'Key_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Key.Chain.Key_', 
                [], [], 
                '''                Configure a key
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('macsec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'macsec',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'chain',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Key' : {
        'meta_info' : _MetaInfoClass('Native.Key',
            False, 
            [
            _MetaInfoClassMember('chain', REFERENCE_LIST, 'Chain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Key.Chain', 
                [], [], 
                '''                Key-chain management
                ''',
                'chain',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-native',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2.Vfi.Vpn' : {
        'meta_info' : _MetaInfoClass('Native.L2.Vfi.Vpn',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                VPN id
                ''',
                'id',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'vpn',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2.Vfi.Neighbor.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'l2tpv3':'l2tpv3',
            'mpls':'mpls',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.L2.Vfi.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.L2.Vfi.Neighbor',
            False, 
            [
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'router_id',
                'Cisco-IOS-XE-l2vpn', True),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2.Vfi.Neighbor.EncapsulationEnum', 
                [], [], 
                '''                Connection encapsulation type
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('pw-class', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pseudowire-class configuration
                ''',
                'pw_class',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vc-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'vc_id',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2.Vfi.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'autodiscovery':'autodiscovery',
            'manual':'manual',
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-l2vpn', _yang_ns._namespaces['Cisco-IOS-XE-l2vpn']),
    'Native.L2.Vfi' : {
        'meta_info' : _MetaInfoClass('Native.L2.Vfi',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-l2vpn', True),
            _MetaInfoClassMember('bridge-domain', ATTRIBUTE, 'int' , None, None, 
                [('1', '16384')], [], 
                '''                bridge-domain
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('evc', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'evc',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2.Vfi.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2.Vfi.Neighbor', 
                [], [], 
                '''                VFI neighbor configuration
                ''',
                'neighbor',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vpn', REFERENCE_CLASS, 'Vpn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2.Vfi.Vpn', 
                [], [], 
                '''                VPN configuration
                ''',
                'vpn',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'vfi',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2' : {
        'meta_info' : _MetaInfoClass('Native.L2',
            False, 
            [
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configure a layer 2 identifier
                ''',
                'router_id',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vfi', REFERENCE_LIST, 'Vfi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2.Vfi', 
                [], [], 
                '''                Configure a virtual forwarding instance
                ''',
                'vfi',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-native',
            'l2',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Debug.Shell.Switch' : {
        'meta_info' : _MetaInfoClass('Native.System.Debug.Shell.Switch',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set config for all switches in stack
                ''',
                'all',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switch-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Switch number
                ''',
                'switch_number',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Debug.Shell' : {
        'meta_info' : _MetaInfoClass('Native.System.Debug.Shell',
            False, 
            [
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Debug.Shell.Switch', 
                [], [], 
                '''                Set config on switches in stack
                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'shell',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Debug' : {
        'meta_info' : _MetaInfoClass('Native.System.Debug',
            False, 
            [
            _MetaInfoClassMember('shell', REFERENCE_CLASS, 'Shell' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Debug.Shell', 
                [], [], 
                '''                Debug Shell
                ''',
                'shell',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'debug',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Disable.Password.Recovery.Switch' : {
        'meta_info' : _MetaInfoClass('Native.System.Disable.Password.Recovery.Switch',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set config for all switches in stack
                ''',
                'all',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Switch number
                ''',
                'number',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Disable.Password.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.System.Disable.Password.Recovery',
            False, 
            [
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Disable.Password.Recovery.Switch', 
                [], [], 
                '''                Set config on switches in stack
                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Disable.Password' : {
        'meta_info' : _MetaInfoClass('Native.System.Disable.Password',
            False, 
            [
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Disable.Password.Recovery', 
                [], [], 
                '''                Disable password recovery
                ''',
                'recovery',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Disable' : {
        'meta_info' : _MetaInfoClass('Native.System.Disable',
            False, 
            [
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Disable.Password', 
                [], [], 
                '''                Disable password recovery
                ''',
                'password',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Environment.FanFailAction' : {
        'meta_info' : _MetaInfoClass('Native.System.Environment.FanFailAction',
            False, 
            [
            _MetaInfoClassMember('shut', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown the system when multiple fan fails
                ''',
                'shut',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'fan-fail-action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Environment.Temperature.Threshold.Yellow' : {
        'meta_info' : _MetaInfoClass('Native.System.Environment.Temperature.Threshold.Yellow',
            False, 
            [
            _MetaInfoClassMember('delta-value', ATTRIBUTE, 'int' , None, None, 
                [('5', '25')], [], 
                '''                Delta value from Red threshold in Degree Celcius
                ''',
                'delta_value',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('detail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                print yellow temperature threshold
                ''',
                'detail',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'yellow',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Environment.Temperature.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.System.Environment.Temperature.Threshold',
            False, 
            [
            _MetaInfoClassMember('yellow', REFERENCE_CLASS, 'Yellow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Environment.Temperature.Threshold.Yellow', 
                [], [], 
                '''                Set the yellow thresholds. 
                ''',
                'yellow',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Environment.Temperature' : {
        'meta_info' : _MetaInfoClass('Native.System.Environment.Temperature',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Environment.Temperature.Threshold', 
                [], [], 
                '''                Set the system temperature thresholds
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'temperature',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Environment' : {
        'meta_info' : _MetaInfoClass('Native.System.Environment',
            False, 
            [
            _MetaInfoClassMember('fan-fail-action', REFERENCE_CLASS, 'FanFailAction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Environment.FanFailAction', 
                [], [], 
                '''                Set the FRU/PS fan fail action. 
                ''',
                'fan_fail_action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('temperature', REFERENCE_CLASS, 'Temperature' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Environment.Temperature', 
                [], [], 
                '''                Set the system temperature settings
                ''',
                'temperature',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'environment',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Fnf.BytesCount' : {
        'meta_info' : _MetaInfoClass('Native.System.Fnf.BytesCount',
            False, 
            [
            _MetaInfoClassMember('layer2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Show L2 bytes in byte count collect field
                ''',
                'layer2',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bytes-count',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Fnf' : {
        'meta_info' : _MetaInfoClass('Native.System.Fnf',
            False, 
            [
            _MetaInfoClassMember('bytes-count', REFERENCE_CLASS, 'BytesCount' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Fnf.BytesCount', 
                [], [], 
                '''                Bytes Count
                ''',
                'bytes_count',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'fnf',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Ignore.Startupconfig.Switch' : {
        'meta_info' : _MetaInfoClass('Native.System.Ignore.Startupconfig.Switch',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set config for all switches in stack
                ''',
                'all',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Switch number
                ''',
                'number',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Ignore.Startupconfig' : {
        'meta_info' : _MetaInfoClass('Native.System.Ignore.Startupconfig',
            False, 
            [
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Ignore.Startupconfig.Switch', 
                [], [], 
                '''                Set config on switches in stack
                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'startupconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Ignore' : {
        'meta_info' : _MetaInfoClass('Native.System.Ignore',
            False, 
            [
            _MetaInfoClassMember('startupconfig', REFERENCE_CLASS, 'Startupconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Ignore.Startupconfig', 
                [], [], 
                '''                Ignore Startup Config
                ''',
                'startupconfig',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.ModeButton' : {
        'meta_info' : _MetaInfoClass('Native.System.ModeButton',
            False, 
            [
            _MetaInfoClassMember('reset', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable reset
                ''',
                'reset',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode-button',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System.Mtu' : {
        'meta_info' : _MetaInfoClass('Native.System.Mtu',
            False, 
            [
            _MetaInfoClassMember('jumbo', ATTRIBUTE, 'int' , None, None, 
                [('1500', '9000')], [], 
                '''                Set Jumbo MTU value for GigabitEthernet or TenGigabitEthernet interfaces
                ''',
                'jumbo',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('routing', ATTRIBUTE, 'int' , None, None, 
                [('1500', 'None')], [], 
                '''                Set the Routing MTU for the system
                ''',
                'routing',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1500', '9198')], [], 
                '''                ''',
                'size',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mtu',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.System' : {
        'meta_info' : _MetaInfoClass('Native.System',
            False, 
            [
            _MetaInfoClassMember('debug', REFERENCE_CLASS, 'Debug' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Debug', 
                [], [], 
                '''                Debug Shell
                ''',
                'debug',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Disable', 
                [], [], 
                '''                Disable password recovery
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('environment', REFERENCE_CLASS, 'Environment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Environment', 
                [], [], 
                '''                Set the system environment settings
                ''',
                'environment',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('fnf', REFERENCE_CLASS, 'Fnf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Fnf', 
                [], [], 
                '''                Flexible Netflow
                ''',
                'fnf',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ignore', REFERENCE_CLASS, 'Ignore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Ignore', 
                [], [], 
                '''                Ignore Startup Config
                ''',
                'ignore',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode-button', REFERENCE_CLASS, 'ModeButton' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.ModeButton', 
                [], [], 
                '''                Enable Mode button for reset
                ''',
                'mode_button',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mtu', REFERENCE_CLASS, 'Mtu' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System.Mtu', 
                [], [], 
                '''                Set the system Maximum Transmission Unit (MTU)
                ''',
                'mtu',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-native',
            'system',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown vlan on 802.1x-guard violation
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'shutdown',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.Detect.Cause.SecurityViolation' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.Detect.Cause.SecurityViolation',
            False, 
            [
            _MetaInfoClassMember('shutdown', REFERENCE_CLASS, 'Shutdown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown', 
                [], [], 
                '''                Specify error disable shutdown mode for 802.1x-guard
                ''',
                'shutdown',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'security-violation',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.Detect.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.Detect.Cause',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection on all cases
                ''',
                'all',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp-inspection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection for arp inspection
                ''',
                'arp_inspection',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bpduguard', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection on bpdu-guard
                ''',
                'bpduguard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-rate-limit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection on dhcp-rate-limit
                ''',
                'dhcp_rate_limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dtp-flap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection on dtp-flapping
                ''',
                'dtp_flap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('gbic-invalid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection on gbic-invalid
                ''',
                'gbic_invalid',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('inline-power', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection for inline-power
                ''',
                'inline_power',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2ptguard', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from l2protocol-tunnel error disable state
                ''',
                'l2ptguard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-flap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection on linkstate-flapping
                ''',
                'link_flap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('loopback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection on loopback
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mlacp-minlink', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mlacp_minlink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pagp-flap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection on pagp-flapping
                ''',
                'pagp_flap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pppoe-ia-rate-limit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection on PPPoE IA rate-limit
                ''',
                'pppoe_ia_rate_limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('security-violation', REFERENCE_CLASS, 'SecurityViolation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.Detect.Cause.SecurityViolation', 
                [], [], 
                '''                Enable error detection on 802.1x-guard
                ''',
                'security_violation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sfp-config-mismatch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection on SFP config mismatch
                ''',
                'sfp_config_mismatch',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('small-frame', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable error detection on small_frame
                ''',
                'small_frame',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.Detect' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.Detect',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.Detect.Cause', 
                [], [], 
                '''                Enable error disable detection for application
                ''',
                'cause',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'detect',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.FlapSetting.Cause.DtpFlap' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.FlapSetting.Cause.DtpFlap',
            False, 
            [
            _MetaInfoClassMember('max-flaps', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                maximum flaps allowed before setting to errdisable
                ''',
                'max_flaps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                time period the flaps are counted
                ''',
                'time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'dtp-flap',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.FlapSetting.Cause.LinkFlap' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.FlapSetting.Cause.LinkFlap',
            False, 
            [
            _MetaInfoClassMember('max-flaps', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                maximum flaps allowed before setting to errdisable
                ''',
                'max_flaps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                time period the flaps are counted
                ''',
                'time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'link-flap',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.FlapSetting.Cause.PagpFlap' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.FlapSetting.Cause.PagpFlap',
            False, 
            [
            _MetaInfoClassMember('max-flaps', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                maximum flaps allowed before setting to errdisable
                ''',
                'max_flaps',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                time period the flaps are counted
                ''',
                'time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'pagp-flap',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.FlapSetting.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.FlapSetting.Cause',
            False, 
            [
            _MetaInfoClassMember('dtp-flap', REFERENCE_CLASS, 'DtpFlap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.FlapSetting.Cause.DtpFlap', 
                [], [], 
                '''                Set the variables related to detection of dtp flaps
                ''',
                'dtp_flap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-flap', REFERENCE_CLASS, 'LinkFlap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.FlapSetting.Cause.LinkFlap', 
                [], [], 
                '''                Set the variables related to detection of link flaps
                ''',
                'link_flap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pagp-flap', REFERENCE_CLASS, 'PagpFlap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.FlapSetting.Cause.PagpFlap', 
                [], [], 
                '''                Set the variables related to detection of pagp flaps
                ''',
                'pagp_flap',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.FlapSetting' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.FlapSetting',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.FlapSetting.Cause', 
                [], [], 
                '''                Set error disable flap parameters for application
                ''',
                'cause',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flap-setting',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.Recovery.Cause.OamRemoteFailure' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.Recovery.Cause.OamRemoteFailure',
            False, 
            [
            _MetaInfoClassMember('critical-event', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'critical_event',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dying-gasp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'dying_gasp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-fault', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'link_fault',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'oam-remote-failure',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.Recovery.Cause' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.Recovery.Cause',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from all error causes
                ''',
                'all',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp-inspection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from arp inspection error disable state
                ''',
                'arp_inspection',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bpduguard', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from BPDU Guard error
                ''',
                'bpduguard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('channel-misconfig', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                (STP)  Enable timer to recover from channel misconfig error
                ''',
                'channel_misconfig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dhcp-rate-limit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from dhcp-rate-limit error
                ''',
                'dhcp_rate_limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dtp-flap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from dtp-flap error
                ''',
                'dtp_flap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('gbic-invalid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from invalid GBIC error
                ''',
                'gbic_invalid',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('inline-power', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from inline-power error
                ''',
                'inline_power',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2ptguard', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from l2protocol-tunnel error disable state
                ''',
                'l2ptguard',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-flap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from link-flap error
                ''',
                'link_flap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('link-monitor-failure', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'link_monitor_failure',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('loopback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from loopback error
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-limit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from mac limit disable state
                ''',
                'mac_limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mlacp-minlink', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mlacp_minlink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('oam-remote-failure', REFERENCE_CLASS, 'OamRemoteFailure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.Recovery.Cause.OamRemoteFailure', 
                [], [], 
                '''                ''',
                'oam_remote_failure',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pagp-flap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from pagp-flap error
                ''',
                'pagp_flap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-mode-failure', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from port mode change failure
                ''',
                'port_mode_failure',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pppoe-ia-rate-limit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from PPPoE IA rate-limit error
                ''',
                'pppoe_ia_rate_limit',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('psecure-violation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from psecure violation error
                ''',
                'psecure_violation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('psp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'psp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('security-violation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from 802.1x violation error
                ''',
                'security_violation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sfp-config-mismatch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from SFP config mismatch error
                ''',
                'sfp_config_mismatch',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('small-frame', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from small frame error
                ''',
                'small_frame',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('storm-control', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from storm-control error
                ''',
                'storm_control',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('udld', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from udld error
                ''',
                'udld',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('unicast-flood', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast_flood',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vmps', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable timer to recover from vmps shutdown error
                ''',
                'vmps',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cause',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable.Recovery',
            False, 
            [
            _MetaInfoClassMember('cause', REFERENCE_CLASS, 'Cause' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.Recovery.Cause', 
                [], [], 
                '''                Enable error disable recovery for application
                ''',
                'cause',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '86400')], [], 
                '''                Error disable recovery timer value
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.Errdisable',
            False, 
            [
            _MetaInfoClassMember('detect', REFERENCE_CLASS, 'Detect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.Detect', 
                [], [], 
                '''                Error disable detection
                ''',
                'detect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flap-setting', REFERENCE_CLASS, 'FlapSetting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.FlapSetting', 
                [], [], 
                '''                Error disable flap detection setting
                ''',
                'flap_setting',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable.Recovery', 
                [], [], 
                '''                Error disable recovery
                ''',
                'recovery',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Identity.Profile' : {
        'meta_info' : _MetaInfoClass('Native.Identity.Profile',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Service type default
                ''',
                'default',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dot1x', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Service type for 802.1x
                ''',
                'dot1x',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'profile',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Identity' : {
        'meta_info' : _MetaInfoClass('Native.Identity',
            False, 
            [
            _MetaInfoClassMember('profile', REFERENCE_CLASS, 'Profile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Identity.Profile', 
                [], [], 
                '''                Create an Identity profile
                ''',
                'profile',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'identity',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.EventTrace' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.EventTrace',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'event-trace',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session.Destination.Interface.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1q':'dot1q',
            'isl':'isl',
            'replicate':'replicate',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Monitor.Session.Destination.Interface.IngressEncapEnum' : _MetaInfoEnum('IngressEncapEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dot1q':'dot1q',
            'isl':'isl',
            'untagged':'untagged',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Monitor.Session.Destination.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session.Destination.Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Destination.Interface.EncapsulationEnum', 
                [], [], 
                '''                Set encapsulation for destination interface
                ''',
                'encapsulation',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ingress traffic forwarding
                ''',
                'ingress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ingress-encap', REFERENCE_ENUM_CLASS, 'IngressEncapEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Destination.Interface.IngressEncapEnum', 
                [], [], 
                '''                ''',
                'ingress_encap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Set default VLAN for untagged ingress traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session.Destination.Remote' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session.Destination.Remote',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1006', '4094')], [], 
                '''                Remote SPAN destination RSPAN VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'remote',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session.Destination' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session.Destination',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Destination.Interface', 
                [], [], 
                '''                SPAN destination interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('remote', REFERENCE_CLASS, 'Remote' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Destination.Remote', 
                [], [], 
                '''                SPAN destination Remote
                ''',
                'remote',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session.Filter.PacketType.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'rx':'rx',
            'tx':'tx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Monitor.Session.Filter.PacketType.StatusEnum' : _MetaInfoEnum('StatusEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'good':'good',
            'bad':'bad',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Monitor.Session.Filter.PacketType' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session.Filter.PacketType',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Filter.PacketType.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'StatusEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Filter.PacketType.StatusEnum', 
                [], [], 
                '''                ''',
                'status',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'packet-type',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session.Filter.Ip.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session.Filter.Ip.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access-list name
                ''',
                'acl_name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session.Filter.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session.Filter.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Filter.Ip.AccessGroup', 
                [], [], 
                '''                Specify access control group
                ''',
                'access_group',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session.Filter',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Filter.Ip', 
                [], [], 
                '''                Specify IP Access control rules
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('packet-type', REFERENCE_CLASS, 'PacketType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Filter.PacketType', 
                [], [], 
                '''                ''',
                'packet_type',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session.Source.Interface.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'rx':'rx',
            'tx':'tx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Monitor.Session.Source.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session.Source.Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Source.Interface.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session.Source.Vlan.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'rx':'rx',
            'tx':'tx',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Monitor.Session.Source.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session.Source.Vlan',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Source.Vlan.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session.Source.Remote' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session.Source.Remote',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '1001'), ('1006', '4094')], [], 
                '''                Remote SPAN source RSPAN VLAN <1-1001>|<1006-4094>
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'remote',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session.Source' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session.Source',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Source.Interface', 
                [], [], 
                '''                SPAN source interface
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('remote', REFERENCE_CLASS, 'Remote' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Source.Remote', 
                [], [], 
                '''                SPAN source Remote
                ''',
                'remote',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Source.Vlan', 
                [], [], 
                '''                SPAN source VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor.Session' : {
        'meta_info' : _MetaInfoClass('Native.Monitor.Session',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '66')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('destination', REFERENCE_CLASS, 'Destination' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Destination', 
                [], [], 
                '''                SPAN destination interface or VLAN
                ''',
                'destination',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Filter', 
                [], [], 
                '''                SPAN filter VLAN
                ''',
                'filter',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session.Source', 
                [], [], 
                '''                SPAN source interface, VLAN 
                ''',
                'source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Monitor',
            False, 
            [
            _MetaInfoClassMember('event-trace', REFERENCE_CLASS, 'EventTrace' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.EventTrace', 
                [], [], 
                '''                Tracing of system events
                ''',
                'event_trace',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('session', REFERENCE_LIST, 'Session' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor.Session', 
                [], [], 
                '''                Configure a SPAN session
                ''',
                'session',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TftpServer' : {
        'meta_info' : _MetaInfoClass('Native.TftpServer',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            ],
            'Cisco-IOS-XE-native',
            'tftp-server',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Attribute.AccessRequest' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Attribute.AccessRequest',
            False, 
            [
            _MetaInfoClassMember('include', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include attribute
                ''',
                'include',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'access-request',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Attribute.SendAttributeEnum' : _MetaInfoEnum('SendAttributeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'on-for-login-auth':'on_for_login_auth',
            'include-in-access-req':'include_in_access_req',
            'support-multiple':'support_multiple',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.RadiusServer.Attribute' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Attribute',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('access-request', REFERENCE_CLASS, 'AccessRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Attribute.AccessRequest', 
                [], [], 
                '''                Access-Request packet
                ''',
                'access_request',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('send-attribute', REFERENCE_LEAFLIST, 'SendAttributeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Attribute.SendAttributeEnum', 
                [], [], 
                '''                ''',
                'send_attribute',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.DeadCriteria' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.DeadCriteria',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                The time during which no properly formed response must be recievedfrom the RADIUS server
                ''',
                'time',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('tries', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                The number of times the router must fail to recieve a response fromthe radius server to mark it as dead
                ''',
                'tries',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'dead-criteria',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Host.Test.Username.Key.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.RadiusServer.Host.Test.Username.Key' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Host.Test.Username.Key',
            False, 
            [
            _MetaInfoClassMember('clear-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clear_key',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Host.Test.Username.Key.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Host.Test.Username' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Host.Test.Username',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Host.Test.Username.Key', 
                [], [], 
                '''                per-server encryption key (overrides default)
                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'username',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Host.Test' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Host.Test',
            False, 
            [
            _MetaInfoClassMember('username', REFERENCE_LIST, 'Username' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Host.Test.Username', 
                [], [], 
                '''                A name (from local database) that should be used to send requests.
                ''',
                'username',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'test',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Host.KeyEnum' : _MetaInfoEnum('KeyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.RadiusServer.Host' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Host',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-aaa', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-aaa', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-aaa', True),
                ]),
            _MetaInfoClassMember('acct-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                UDP port for RADIUS accounting server (default is 1646)
                ''',
                'acct_port',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('auth-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                UDP port for RADIUS authentication server (default is 1645)
                ''',
                'auth_port',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('clear-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clear_key',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('key', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                per-server encryption key (overrides default)
                ''',
                'key',
                'Cisco-IOS-XE-aaa', False, [
                    _MetaInfoClassMember('key', REFERENCE_ENUM_CLASS, 'Native.RadiusServer.Host.KeyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Host.KeyEnum', 
                        [], [], 
                        '''                        per-server encryption key (overrides default)
                        ''',
                        'key',
                        'Cisco-IOS-XE-aaa', False),
                    _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        per-server encryption key (overrides default)
                        ''',
                        'key',
                        'Cisco-IOS-XE-aaa', False),
                ]),
            _MetaInfoClassMember('retransmit', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify the number of retries to active server
                ''',
                'retransmit',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('test', REFERENCE_CLASS, 'Test' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Host.Test', 
                [], [], 
                '''                Configure server automated testing
                ''',
                'test',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Time to wait for a RADIUS server to reply (overrides default)
                ''',
                'timeout',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Key.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.RadiusServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Key',
            False, 
            [
            _MetaInfoClassMember('clear-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clear_key',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Key.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.SourcePorts' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.SourcePorts',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use 200 source-ports between 21645-21844
                ''',
                'extended',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'source-ports',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Vsa.Disallow' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Vsa.Disallow',
            False, 
            [
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Forbid unknown VSAs
                ''',
                'unknown',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'disallow',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Vsa.Send.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Vsa.Send.Accounting',
            False, 
            [
            _MetaInfoClassMember('threegpp2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send 3GPP2 VSAs in accounting requests
                ''',
                'threegpp2',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Vsa.Send.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Vsa.Send.Authentication',
            False, 
            [
            _MetaInfoClassMember('threegpp2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send 3GPP2 VSAs in accounting requests
                ''',
                'threegpp2',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Vsa.Send.CiscoNasPort' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Vsa.Send.CiscoNasPort',
            False, 
            [
            _MetaInfoClassMember('threegpp2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send 3GPP2 VSAs in accounting requests
                ''',
                'threegpp2',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'cisco-nas-port',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Vsa.Send' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Vsa.Send',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Vsa.Send.Accounting', 
                [], [], 
                '''                Send in accounting requests
                ''',
                'accounting',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Vsa.Send.Authentication', 
                [], [], 
                '''                Send in access requests
                ''',
                'authentication',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('cisco-nas-port', REFERENCE_CLASS, 'CiscoNasPort' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Vsa.Send.CiscoNasPort', 
                [], [], 
                '''                Send cisco-nas-port VSA(2)
                ''',
                'cisco_nas_port',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer.Vsa' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer.Vsa',
            False, 
            [
            _MetaInfoClassMember('disallow', REFERENCE_CLASS, 'Disallow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Vsa.Disallow', 
                [], [], 
                '''                Forbid certain VSA behaviour
                ''',
                'disallow',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Vsa.Send', 
                [], [], 
                '''                Send vendor-specific attributes in requests
                ''',
                'send',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'vsa',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RadiusServer' : {
        'meta_info' : _MetaInfoClass('Native.RadiusServer',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_LIST, 'Attribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Attribute', 
                [], [], 
                '''                Customize selected radius attributes
                ''',
                'attribute',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('dead-criteria', REFERENCE_CLASS, 'DeadCriteria' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.DeadCriteria', 
                [], [], 
                '''                Set the criteria used to decide when a radius server ismarked dead
                ''',
                'dead_criteria',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('deadtime', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Time to stop using a server that doesn't respond
                ''',
                'deadtime',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Host', 
                [], [], 
                '''                Specify a RADIUS server
                ''',
                'host',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Key', 
                [], [], 
                '''                encryption key shared with the radius servers
                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('retransmit', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify the number of retries to active server
                ''',
                'retransmit',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('source-ports', REFERENCE_CLASS, 'SourcePorts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.SourcePorts', 
                [], [], 
                '''                source ports used for sending out RADIUS requests
                ''',
                'source_ports',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Time to wait for a RADIUS server to reply
                ''',
                'timeout',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('vsa', REFERENCE_CLASS, 'Vsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer.Vsa', 
                [], [], 
                '''                Vendor specific attribute configuration
                ''',
                'vsa',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-native',
            'radius-server',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Radius.Filter.MatchEnum' : _MetaInfoEnum('MatchEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'match-all':'match_all',
            'match-any':'match_any',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Radius.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Radius.Filter',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('match', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Filter.MatchEnum', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Radius.Server.Address.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Radius.Server.Address.Ipv4',
            False, 
            [
            _MetaInfoClassMember('acct-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                UDP port for RADIUS accounting server (default is 1646)
                ''',
                'acct_port',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('auth-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                UDP port for RADIUS authentication server (default is 1645)
                ''',
                'auth_port',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('host', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'host',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Radius.Server.Address' : {
        'meta_info' : _MetaInfoClass('Native.Radius.Server.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Server.Address.Ipv4', 
                [], [], 
                '''                IPv4 Address
                ''',
                'ipv4',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Radius.Server.Backoff.Exponential' : {
        'meta_info' : _MetaInfoClass('Native.Radius.Server.Backoff.Exponential',
            False, 
            [
            _MetaInfoClassMember('backoff-retry', ATTRIBUTE, 'int' , None, None, 
                [('1', '50')], [], 
                '''                Exponential backoff retry number(default is 8)
                ''',
                'backoff_retry',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                Max delay between retransmits(default is 3 min)
                ''',
                'max_delay',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'exponential',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Radius.Server.Backoff' : {
        'meta_info' : _MetaInfoClass('Native.Radius.Server.Backoff',
            False, 
            [
            _MetaInfoClassMember('exponential', REFERENCE_CLASS, 'Exponential' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Server.Backoff.Exponential', 
                [], [], 
                '''                Exponential retransmit backoff
                ''',
                'exponential',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'backoff',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Radius.Server.Key.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '5':'Y_5',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Radius.Server.Key' : {
        'meta_info' : _MetaInfoClass('Native.Radius.Server.Key',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Server.Key.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Radius.Server.Pac.Key.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-aaa', _yang_ns._namespaces['Cisco-IOS-XE-aaa']),
    'Native.Radius.Server.Pac.Key' : {
        'meta_info' : _MetaInfoClass('Native.Radius.Server.Pac.Key',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Server.Pac.Key.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Radius.Server.Pac' : {
        'meta_info' : _MetaInfoClass('Native.Radius.Server.Pac',
            False, 
            [
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Server.Pac.Key', 
                [], [], 
                '''                Per-server encryption key
                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'pac',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Radius.Server' : {
        'meta_info' : _MetaInfoClass('Native.Radius.Server',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-aaa', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Server.Address', 
                [], [], 
                '''                Specify the radius server address
                ''',
                'address',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('backoff', REFERENCE_CLASS, 'Backoff' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Server.Backoff', 
                [], [], 
                '''                Retry backoff pattern(Default is retransmits with constant delay)
                ''',
                'backoff',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Server.Key', 
                [], [], 
                '''                Per-server encryption key
                ''',
                'key',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('pac', REFERENCE_CLASS, 'Pac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Server.Pac', 
                [], [], 
                '''                Protected Access Credential key
                ''',
                'pac',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-aaa',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-aaa'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Radius' : {
        'meta_info' : _MetaInfoClass('Native.Radius',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_LIST, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Filter', 
                [], [], 
                '''                Packet filter configuration
                ''',
                'filter',
                'Cisco-IOS-XE-aaa', False),
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius.Server', 
                [], [], 
                '''                Server configuration
                ''',
                'server',
                'Cisco-IOS-XE-aaa', False),
            ],
            'Cisco-IOS-XE-native',
            'radius',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Zone.Security' : {
        'meta_info' : _MetaInfoClass('Native.Zone.Security',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-zone', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Zone description
                ''',
                'description',
                'Cisco-IOS-XE-zone', False),
            _MetaInfoClassMember('protection', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                config sync cookie protection against sync flood
                ''',
                'protection',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-zone',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-zone'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Zone' : {
        'meta_info' : _MetaInfoClass('Native.Zone',
            False, 
            [
            _MetaInfoClassMember('security', REFERENCE_LIST, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Zone.Security', 
                [], [], 
                '''                Security zone
                ''',
                'security',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-native',
            'zone',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ZonePair.Security.ServicePolicy.Type' : {
        'meta_info' : _MetaInfoClass('Native.ZonePair.Security.ServicePolicy.Type',
            False, 
            [
            _MetaInfoClassMember('inspect', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure CBAC Service Policy type inspect
                ''',
                'inspect',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-zone',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-zone'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ZonePair.Security.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.ZonePair.Security.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ZonePair.Security.ServicePolicy.Type', 
                [], [], 
                '''                Service Policy type
                ''',
                'type',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-zone',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-zone'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ZonePair.Security' : {
        'meta_info' : _MetaInfoClass('Native.ZonePair.Security',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-zone', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 200)], [], 
                '''                Zone description
                ''',
                'description',
                'Cisco-IOS-XE-zone', False),
            _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Destination zone
                ''',
                'destination',
                'Cisco-IOS-XE-zone', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ZonePair.Security.ServicePolicy', 
                [], [], 
                '''                Configure CBAC Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-zone', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source zone
                ''',
                'source',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-zone',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-zone'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ZonePair' : {
        'meta_info' : _MetaInfoClass('Native.ZonePair',
            False, 
            [
            _MetaInfoClassMember('security', REFERENCE_LIST, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ZonePair.Security', 
                [], [], 
                '''                Zone-pair name
                ''',
                'security',
                'Cisco-IOS-XE-zone', False),
            ],
            'Cisco-IOS-XE-native',
            'zone-pair',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AlarmContact.SeverityEnum' : _MetaInfoEnum('SeverityEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'critical':'critical',
            'major':'major',
            'minor':'minor',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.AlarmContact.TriggerEnum' : _MetaInfoEnum('TriggerEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'open':'open',
            'closed':'closed',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.AlarmContact' : {
        'meta_info' : _MetaInfoClass('Native.AlarmContact',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('1', '4')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 80)], [], 
                '''                ''',
                'description',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'SeverityEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AlarmContact.SeverityEnum', 
                [], [], 
                '''                ''',
                'severity',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('trigger', REFERENCE_ENUM_CLASS, 'TriggerEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AlarmContact.TriggerEnum', 
                [], [], 
                '''                ''',
                'trigger',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'alarm-contact',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Evc' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Evc',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(1, 100)], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            ],
            'Cisco-IOS-XE-ethernet',
            'evc',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Lmi' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Lmi',
            False, 
            [
            _MetaInfoClassMember('ce', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ethernet LMI Customer Edge
                ''',
                'ce',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ethernet LMI is enabled on all supported Interfaces
                ''',
                'global_',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'lmi',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm.Period' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm.Period',
            False, 
            [
            _MetaInfoClassMember('tp-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'tp_1',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('tp-60', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Seconds
                ''',
                'tp_60',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'period',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable AIS transmission
                ''',
                'disable',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('period', REFERENCE_CLASS, 'Period' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm.Period', 
                [], [], 
                '''                AIS Transmission period
                ''',
                'period',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cfm-Mode__config-ais-link-cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Ais.LinkStatus.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Ais.LinkStatus.Global_',
            False, 
            [
            _MetaInfoClassMember('cfm-Mode__config-ais-link-cfm', REFERENCE_CLASS, 'CfmMode__ConfigAisLinkCfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm', 
                [], [], 
                '''                ''',
                'cfm_mode__config_ais_link_cfm',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Ais.LinkStatus' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Ais.LinkStatus',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Ais.LinkStatus.Global_', 
                [], [], 
                '''                8023ah SMEP or link state state up/down AIS global configuration
                ''',
                'global_',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'link-status',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Ais' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Ais',
            False, 
            [
            _MetaInfoClassMember('link-status', REFERENCE_CLASS, 'LinkStatus' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Ais.LinkStatus', 
                [], [], 
                '''                8023ah SMEP or link state up/down
                ''',
                'link_status',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'ais',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Alarm.Notification' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Alarm.Notification',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Report all defects: DefRDI, DefMACStatus, DefRemote, DefError, DefXcon
                ''',
                'all',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('error-xcon', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Report only: DefError and DefXcon
                ''',
                'error_xcon',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mac-remote-error-xcon', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Report only: DefMACStatus, DefRemote, DefError and DefXcon (default)
                ''',
                'mac_remote_error_xcon',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No defects to be reported
                ''',
                'none',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('remote-error-xcon', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Report only: DefRemote, DefError and DefXcon
                ''',
                'remote_error_xcon',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('xcon', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Report only: DefXcon
                ''',
                'xcon',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'notification',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Alarm' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Alarm',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('2500', '10000')], [], 
                '''                msec (default 2500 msec)
                ''',
                'delay',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('notification', REFERENCE_CLASS, 'Notification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Alarm.Notification', 
                [], [], 
                '''                CFM alarm notification
                ''',
                'notification',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('packet', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                max DefError and DefXcon packets
                ''',
                'packet',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('reset', ATTRIBUTE, 'int' , None, None, 
                [('2500', '10000')], [], 
                '''                msec (default 10000 msec)
                ''',
                'reset',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'alarm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Domain.Service.ContinuityCheck' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Domain.Service.ContinuityCheck',
            False, 
            [
            ],
            'Cisco-IOS-XE-ethernet',
            'continuity-check',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Domain.Service' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Domain.Service',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            _MetaInfoClassMember('continuity-check', REFERENCE_CLASS, 'ContinuityCheck' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Domain.Service.ContinuityCheck', 
                [], [], 
                '''                Enable Continuity Check for Maintenance Association
                ''',
                'continuity_check',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('evc', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify EVC
                ''',
                'evc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN id
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Domain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ethernet', True),
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('service', REFERENCE_LIST, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Domain.Service', 
                [], [], 
                '''                Maintenance Association within Domain
                ''',
                'service',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Logging.Alarm' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Logging.Alarm',
            False, 
            [
            _MetaInfoClassMember('cisco', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cisco MIB syslogs
                ''',
                'cisco',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ieee', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IEEE MIB syslogs
                ''',
                'ieee',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'alarm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Logging',
            False, 
            [
            _MetaInfoClassMember('ais', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                AIS logging
                ''',
                'ais',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('alarm', REFERENCE_CLASS, 'Alarm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Logging.Alarm', 
                [], [], 
                '''                Alarm logging
                ''',
                'alarm',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Mep.Crosscheck' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Mep.Crosscheck',
            False, 
            [
            _MetaInfoClassMember('start-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                seconds (30 seconds default)
                ''',
                'start_delay',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'crosscheck',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Mep' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Mep',
            False, 
            [
            _MetaInfoClassMember('crosscheck', REFERENCE_CLASS, 'Crosscheck' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Mep.Crosscheck', 
                [], [], 
                '''                Cross Check remote MEPs
                ''',
                'crosscheck',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mep',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Mip.AutoCreate.Level.MefNum' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Mip.AutoCreate.Level.MefNum',
            False, 
            [
            _MetaInfoClassMember('mef-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                maintenance level number
                ''',
                'mef_num',
                'Cisco-IOS-XE-ethernet', True),
            _MetaInfoClassMember('evc', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EVC name
                ''',
                'evc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN id
                ''',
                'vlan',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mef-num',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Mip.AutoCreate.Level' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Mip.AutoCreate.Level',
            False, 
            [
            _MetaInfoClassMember('mef-num', REFERENCE_LIST, 'MefNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Mip.AutoCreate.Level.MefNum', 
                [], [], 
                '''                ''',
                'mef_num',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Mip.AutoCreate' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Mip.AutoCreate',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Mip.AutoCreate.Level', 
                [], [], 
                '''                Maintenance Level
                ''',
                'level',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'auto-create',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Mip' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Mip',
            False, 
            [
            _MetaInfoClassMember('auto-create', REFERENCE_CLASS, 'AutoCreate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Mip.AutoCreate', 
                [], [], 
                '''                CFM MIP auto creation
                ''',
                'auto_create',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                CFM MIP filter
                ''',
                'filter',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'mip',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Traceroute.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Traceroute.Cache',
            False, 
            [
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                minutes (default 100)
                ''',
                'hold_time',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                Number of cached lines (default 100)
                ''',
                'size',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm.Traceroute' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm.Traceroute',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Traceroute.Cache', 
                [], [], 
                '''                CFM Traceroute Cache
                ''',
                'cache',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'traceroute',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet.Cfm' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet.Cfm',
            False, 
            [
            _MetaInfoClassMember('ais', REFERENCE_CLASS, 'Ais' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Ais', 
                [], [], 
                '''                AIS Maintenance Condition
                ''',
                'ais',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('alarm', REFERENCE_CLASS, 'Alarm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Alarm', 
                [], [], 
                '''                CFM Alarm
                ''',
                'alarm',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('domain', REFERENCE_LIST, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Domain', 
                [], [], 
                '''                Configure a domain
                ''',
                'domain',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                CFM global enable
                ''',
                'global_',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ieee', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                CFM IEEE enable
                ''',
                'ieee',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Logging', 
                [], [], 
                '''                Enable CFM syslog messages
                ''',
                'logging',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mep', REFERENCE_CLASS, 'Mep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Mep', 
                [], [], 
                '''                Maintenance End Point
                ''',
                'mep',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('mip', REFERENCE_CLASS, 'Mip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Mip', 
                [], [], 
                '''                CFM MIP commands
                ''',
                'mip',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('traceroute', REFERENCE_CLASS, 'Traceroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm.Traceroute', 
                [], [], 
                '''                CFM Traceroute
                ''',
                'traceroute',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Ethernet',
            False, 
            [
            _MetaInfoClassMember('cfm', REFERENCE_CLASS, 'Cfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Cfm', 
                [], [], 
                '''                Connectivity Fault Management
                ''',
                'cfm',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('evc', REFERENCE_LIST, 'Evc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Evc', 
                [], [], 
                '''                define an Ethernet virtual connection (EVC)
                ''',
                'evc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('lmi', REFERENCE_CLASS, 'Lmi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet.Lmi', 
                [], [], 
                '''                Local Management Interface
                ''',
                'lmi',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-native',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListStandardRange.StdAccessListRule' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListStandardRange.StdAccessListRule',
            False, 
            [
            _MetaInfoClassMember('rule', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'rule',
                'Cisco-IOS-XE-acl', True),
            ],
            'Cisco-IOS-XE-acl',
            'std-access-list-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListStandardRange.Permit.Ipv4OrHostname' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListStandardRange.Permit.Ipv4OrHostname',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Address to match
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-acl', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Address to match
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-acl', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Address to match
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-acl', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Address to match
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-acl', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        Address to match
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-acl', True),
                ]),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log matches against this entry
                ''',
                'log',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Wildcard bits
                ''',
                'wildcard',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListStandardRange.Permit' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListStandardRange.Permit',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListStandardRange.Permit.Ipv4OrHostname', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListStandardRange' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListStandardRange',
            False, 
            [
            _MetaInfoClassMember('listnumber', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'listnumber',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListStandardRange.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('std-access-list-rule', REFERENCE_LIST, 'StdAccessListRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListStandardRange.StdAccessListRule', 
                [], [], 
                '''                ''',
                'std_access_list_rule',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-standard-range',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExtendedRange.ExtAccessListRule' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExtendedRange.ExtAccessListRule',
            False, 
            [
            _MetaInfoClassMember('rule', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'rule',
                'Cisco-IOS-XE-acl', True),
            ],
            'Cisco-IOS-XE-acl',
            'ext-access-list-rule',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExtendedRange' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExtendedRange',
            False, 
            [
            _MetaInfoClassMember('listnumber', ATTRIBUTE, 'int' , None, None, 
                [('100', '199')], [], 
                '''                ''',
                'listnumber',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('ext-access-list-rule', REFERENCE_LIST, 'ExtAccessListRule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExtendedRange.ExtAccessListRule', 
                [], [], 
                '''                ''',
                'ext_access_list_rule',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-extended-range',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.Hardware.Capture.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'vlan':'vlan',
        }, 'Cisco-IOS-XE-acl', _yang_ns._namespaces['Cisco-IOS-XE-acl']),
    'Native.AccessList.Hardware.Capture' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.Hardware.Capture',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.Hardware.Capture.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'capture',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.Hardware' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.Hardware',
            False, 
            [
            _MetaInfoClassMember('capture', REFERENCE_CLASS, 'Capture' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.Hardware.Capture', 
                [], [], 
                '''                ''',
                'capture',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'hardware',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp',
            False, 
            [
            _MetaInfoClassMember('dscp-val', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp_val',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dscp-val', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-acl', False),
                ]),
            ],
            'Cisco-IOS-XE-acl',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos',
            False, 
            [
            _MetaInfoClassMember('max-reliability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match packets with max reliable TOS (2)
                ''',
                'max_reliability',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('max-throughput', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match packets with max throughput TOS (4)
                ''',
                'max_throughput',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match packets with min delay TOS (8)
                ''',
                'min_delay',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('min-monetary-cost', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match packets with min monetary cost TOS (1)
                ''',
                'min_monetary_cost',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('normal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match packets with normal TOS (0)
                ''',
                'normal',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                Type of service value
                ''',
                'range',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'tos',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination address
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-acl', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Destination address
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-acl', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Destination address
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-acl', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Destination address
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-acl', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        Destination address
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-acl', True),
                ]),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp', 
                [], [], 
                '''                Match packets with given dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('time-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Time-range entry name
                ''',
                'time_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('tos', REFERENCE_CLASS, 'Tos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos', 
                [], [], 
                '''                Match packets with given TOS value
                ''',
                'tos',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-acl', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Source address
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-acl', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Source address
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-acl', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Source address
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-acl', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        Source address
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-acl', True),
                ]),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_', 
                [], [], 
                '''                A single destination host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Permit.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Permit.Ip' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Permit.Ip',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Permit.Ip.Host', 
                [], [], 
                '''                A single source host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Permit' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Permit',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Permit.Ip', 
                [], [], 
                '''                Any Internet Protocol
                ''',
                'ip',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp',
            False, 
            [
            _MetaInfoClassMember('dscp-val', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dscp_val',
                'Cisco-IOS-XE-acl', False, [
                    _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                        [('0', '63')], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-acl', False),
                    _MetaInfoClassMember('dscp-val', REFERENCE_ENUM_CLASS, 'DscpTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'DscpTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'dscp_val',
                        'Cisco-IOS-XE-acl', False),
                ]),
            ],
            'Cisco-IOS-XE-acl',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos',
            False, 
            [
            _MetaInfoClassMember('max-reliability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match packets with max reliable TOS (2)
                ''',
                'max_reliability',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('max-throughput', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match packets with max throughput TOS (4)
                ''',
                'max_throughput',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match packets with min delay TOS (8)
                ''',
                'min_delay',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('min-monetary-cost', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match packets with min monetary cost TOS (1)
                ''',
                'min_monetary_cost',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('normal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match packets with normal TOS (0)
                ''',
                'normal',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                Type of service value
                ''',
                'range',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'tos',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination address
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-acl', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Destination address
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-acl', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Destination address
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-acl', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Destination address
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-acl', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        Destination address
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-acl', True),
                ]),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp', 
                [], [], 
                '''                Match packets with given dscp value
                ''',
                'dscp',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('time-range', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Time-range entry name
                ''',
                'time_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('tos', REFERENCE_CLASS, 'Tos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos', 
                [], [], 
                '''                Match packets with given TOS value
                ''',
                'tos',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-acl', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Source address
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-acl', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Source address
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-acl', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Source address
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-acl', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        Source address
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-acl', True),
                ]),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_', 
                [], [], 
                '''                A single destination host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Deny.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Deny.Ip' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Deny.Ip',
            False, 
            [
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Deny.Ip.Host', 
                [], [], 
                '''                A single source host
                ''',
                'host',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange.Deny' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange.Deny',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Deny.Ip', 
                [], [], 
                '''                Any Internet Protocol
                ''',
                'ip',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList.AccessListExpandedRange' : {
        'meta_info' : _MetaInfoClass('Native.AccessList.AccessListExpandedRange',
            False, 
            [
            _MetaInfoClassMember('IP-extended-range', ATTRIBUTE, 'int' , None, None, 
                [('2000', '2699')], [], 
                '''                IP extended access list (expanded range)
                ''',
                'ip_extended_range',
                'Cisco-IOS-XE-acl', True),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-acl',
            'access-list-expanded-range',
            _yang_ns._namespaces['Cisco-IOS-XE-acl'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessList' : {
        'meta_info' : _MetaInfoClass('Native.AccessList',
            False, 
            [
            _MetaInfoClassMember('access-list-expanded-range', REFERENCE_LIST, 'AccessListExpandedRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExpandedRange', 
                [], [], 
                '''                ''',
                'access_list_expanded_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('access-list-extended-range', REFERENCE_LIST, 'AccessListExtendedRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListExtendedRange', 
                [], [], 
                '''                ''',
                'access_list_extended_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('access-list-standard-range', REFERENCE_LIST, 'AccessListStandardRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.AccessListStandardRange', 
                [], [], 
                '''                ''',
                'access_list_standard_range',
                'Cisco-IOS-XE-acl', False),
            _MetaInfoClassMember('hardware', REFERENCE_CLASS, 'Hardware' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList.Hardware', 
                [], [], 
                '''                ''',
                'hardware',
                'Cisco-IOS-XE-acl', False),
            ],
            'Cisco-IOS-XE-native',
            'access-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check',
            False, 
            [
            _MetaInfoClassMember('rtr-alert-option', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only accept IGMP packets with router-alert option
                ''',
                'rtr_alert_option',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only accept IGMP packets with TTL=1
                ''',
                'ttl',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'check',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Explicit Host Tracking DB limit
                ''',
                'limit',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'explicit-tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                next-hop interface to mrouter
                ''',
                'interface',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'mrouter',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Querier' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Querier',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP querier source IP address
                ''',
                'address',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('max-response-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP querier maximum response time (sec)
                ''',
                'max_response_time',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP querier query interval (sec)
                ''',
                'query_interval',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('tcn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP querier TCN related parameters
                ''',
                'tcn',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('timer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP other querier timer
                ''',
                'timer',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'querier',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Ip.Igmp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Ip.Igmp.Snooping',
            False, 
            [
            _MetaInfoClassMember('check', REFERENCE_CLASS, 'Check' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check', 
                [], [], 
                '''                enforce TTL or Rtr-Alert Option checking
                ''',
                'check',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('explicit-tracking', REFERENCE_CLASS, 'ExplicitTracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking', 
                [], [], 
                '''                IGMP explicit host tracking configuration
                ''',
                'explicit_tracking',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('immediate-leave', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IGMPv2 immediate leave processing
                ''',
                'immediate_leave',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('last-member-query-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                Last member query count
                ''',
                'last_member_query_count',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '32767')], [], 
                '''                Last member query interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('mrouter', REFERENCE_CLASS, 'Mrouter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter', 
                [], [], 
                '''                Configure an L2 port as a multicast router port
                ''',
                'mrouter',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('querier', REFERENCE_CLASS, 'Querier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Querier', 
                [], [], 
                '''                Enable IGMP querier for this Bdomain
                ''',
                'querier',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('report-suppression', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IGMP report suppression
                ''',
                'report_suppression',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('robustness-variable', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'robustness_variable',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('static', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configure an L2 port as a member of a group
                ''',
                'static',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Ip.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Ip.Igmp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Ip.Igmp.Snooping', 
                [], [], 
                '''                IP igmp snooping commands
                ''',
                'snooping',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Ip' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Ip',
            False, 
            [
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Ip.Igmp', 
                [], [], 
                '''                IP igmp commands
                ''',
                'igmp',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'flooding',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Mac.Limit.Action' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Mac.Limit.Action',
            False, 
            [
            _MetaInfoClassMember('flooding', REFERENCE_CLASS, 'Flooding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding', 
                [], [], 
                '''                Mac flooding
                ''',
                'flooding',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Mac.Limit.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Mac.Limit.Maximum',
            False, 
            [
            _MetaInfoClassMember('addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '65536')], [], 
                '''                Addresses
                ''',
                'addresses',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Mac.Limit' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Mac.Limit',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Mac.Limit.Action', 
                [], [], 
                '''                action when exceeding the limit
                ''',
                'action',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Mac.Limit.Maximum', 
                [], [], 
                '''                Maximum
                ''',
                'maximum',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Mac' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Mac',
            False, 
            [
            _MetaInfoClassMember('aging-time', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                Set age time of mac addresses per bridge domain
                ''',
                'aging_time',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('learning', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable mac learning on bridge domain
                ''',
                'learning',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Mac.Limit', 
                [], [], 
                '''                Limit the MAC Addresses learnt
                ''',
                'limit',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('mpls', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use MPLS encapsulation
                ''',
                'mpls',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Template' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Template',
            False, 
            [
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                <WORD>;;template name (Max size 32)
                ''',
                'template',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid',
            False, 
            [
            _MetaInfoClassMember('mem-vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                <1..4294967295>;;Enter VC ID value
                ''',
                'mem_vcid',
                'Cisco-IOS-XE-bridge-domain', True),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Encapsulation', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Template', 
                [], [], 
                '''                Template to use for encapsulation and protocol configuration
                ''',
                'template',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'mem-vcid',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('mpls', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use MPLS encapsulation
                ''',
                'mpls',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Member.MemIpv4' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Member.MemIpv4',
            False, 
            [
            _MetaInfoClassMember('mem-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the peer
                ''',
                'mem_ipv4',
                'Cisco-IOS-XE-bridge-domain', True),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('mem-vcid', REFERENCE_LIST, 'MemVcid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid', 
                [], [], 
                '''                ''',
                'mem_vcid',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Template to use for encapsulation and protocol configuration
                ''',
                'template',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'mem-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance.Id' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance.Id',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8000')], [], 
                '''                <1..8000>;;Service Instance Identifier
                ''',
                'id',
                'Cisco-IOS-XE-bridge-domain', True),
            _MetaInfoClassMember('split-horizon', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_LIST, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance.Id', 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'service-instance',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Member.Acr' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Member.Acr',
            False, 
            [
            _MetaInfoClassMember('acr-int', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                <WORD>;;Virtual ACR interface
                ''',
                'acr_int',
                'Cisco-IOS-XE-bridge-domain', True),
            _MetaInfoClassMember('service-instance', REFERENCE_CLASS, 'ServiceInstance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance', 
                [], [], 
                '''                ethernt serivce instance
                ''',
                'service_instance',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'ACR',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Split-horizon group
                ''',
                'group',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'split-horizon',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Member.MemberInterface' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Member.MemberInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bridge-domain', True),
            _MetaInfoClassMember('interface-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface_id',
                'Cisco-IOS-XE-bridge-domain', False, [
                    _MetaInfoClassMember('interface-id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'interface_id',
                        'Cisco-IOS-XE-bridge-domain', False),
                    _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'interface_id',
                        'Cisco-IOS-XE-bridge-domain', False),
                ]),
            _MetaInfoClassMember('service-instance', ATTRIBUTE, 'int' , None, None, 
                [('1', '8000')], [], 
                '''                ethernt serivce instance
                ''',
                'service_instance',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('split-horizon', REFERENCE_CLASS, 'SplitHorizon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon', 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'member-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId.Member' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId.Member',
            False, 
            [
            _MetaInfoClassMember('ACR', REFERENCE_LIST, 'Acr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Member.Acr', 
                [], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('Analysis-Module', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cisco network analysis service module
                ''',
                'analysis_module',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('Fcpa', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fiber Channel
                ''',
                'fcpa',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('mem-ipv4', REFERENCE_LIST, 'MemIpv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Member.MemIpv4', 
                [], [], 
                '''                ''',
                'mem_ipv4',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('member-interface', REFERENCE_LIST, 'MemberInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Member.MemberInterface', 
                [], [], 
                '''                ''',
                'member_interface',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('SBC', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Session Border Controller
                ''',
                'sbc',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('Service-Engine', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cisco service engine module
                ''',
                'service_engine',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('SONET_ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Virtual SONET-ACR controller
                ''',
                'sonet_acr',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('Tunnel-tp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MPLS Transport Profile interface
                ''',
                'tunnel_tp',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('ucse', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cisco ucse server
                ''',
                'ucse',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                VasiLeft interface
                ''',
                'vasileft',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                VasiRight interface
                ''',
                'vasiright',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('vfi', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter VFI name
                ''',
                'vfi',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('Virtual-TokenRing', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Virtual TokenRing
                ''',
                'virtual_tokenring',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('vni', ATTRIBUTE, 'int' , None, None, 
                [('4096', '16777215')], [], 
                '''                ''',
                'vni',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('VPN', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                VPN interface
                ''',
                'vpn',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('_controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'y_controller',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'member',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.BrdId' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.BrdId',
            False, 
            [
            _MetaInfoClassMember('bridge-domain-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                <1..8192>;;bridge-domain ID
                ''',
                'bridge_domain_id',
                'Cisco-IOS-XE-bridge-domain', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Ip', 
                [], [], 
                '''                IP related commands
                ''',
                'ip',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Mac', 
                [], [], 
                '''                MAC Address related commands
                ''',
                'mac',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('member', REFERENCE_CLASS, 'Member' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId.Member', 
                [], [], 
                '''                bridge-domain member
                ''',
                'member',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Take the bridge domain admin down
                ''',
                'shutdown',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'brd-id',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.CMac' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.CMac',
            False, 
            [
            _MetaInfoClassMember('aging-time', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                Configure aging time for c-mac bridge domains
                ''',
                'aging_time',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'c-mac',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Otv.Default' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Otv.Default',
            False, 
            [
            _MetaInfoClassMember('age-time', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                Configure default mac aging time of overlay bridge domains
                ''',
                'age_time',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Otv' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Otv',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Otv.Default', 
                [], [], 
                '''                Change default setting of overlay bridge domains
                ''',
                'default',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'otv',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check',
            False, 
            [
            _MetaInfoClassMember('rtr-alert-option', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only accept IGMP packets with router-alert option
                ''',
                'rtr_alert_option',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only accept IGMP packets with TTL=1
                ''',
                'ttl',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'check',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Explicit Host Tracking DB limit
                ''',
                'limit',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'explicit-tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                next-hop interface to mrouter
                ''',
                'interface',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'mrouter',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Querier' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Querier',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP querier source IP address
                ''',
                'address',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('max-response-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP querier maximum response time (sec)
                ''',
                'max_response_time',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP querier query interval (sec)
                ''',
                'query_interval',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('tcn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP querier TCN related parameters
                ''',
                'tcn',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('timer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP other querier timer
                ''',
                'timer',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IGMP version
                ''',
                'version',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'querier',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping',
            False, 
            [
            _MetaInfoClassMember('check', REFERENCE_CLASS, 'Check' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check', 
                [], [], 
                '''                enforce TTL or Rtr-Alert Option checking
                ''',
                'check',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('explicit-tracking', REFERENCE_CLASS, 'ExplicitTracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking', 
                [], [], 
                '''                IGMP explicit host tracking configuration
                ''',
                'explicit_tracking',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('immediate-leave', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IGMPv2 immediate leave processing
                ''',
                'immediate_leave',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('last-member-query-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '7')], [], 
                '''                Last member query count
                ''',
                'last_member_query_count',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '32767')], [], 
                '''                Last member query interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('mrouter', REFERENCE_CLASS, 'Mrouter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter', 
                [], [], 
                '''                Configure an L2 port as a multicast router port
                ''',
                'mrouter',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('querier', REFERENCE_CLASS, 'Querier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Querier', 
                [], [], 
                '''                Enable IGMP querier for this Bdomain
                ''',
                'querier',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('report-suppression', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IGMP report suppression
                ''',
                'report_suppression',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('robustness-variable', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                ''',
                'robustness_variable',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('static', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configure an L2 port as a member of a group
                ''',
                'static',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping', 
                [], [], 
                '''                IP igmp snooping commands
                ''',
                'snooping',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Ip' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Ip',
            False, 
            [
            _MetaInfoClassMember('igmp', REFERENCE_CLASS, 'Igmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp', 
                [], [], 
                '''                IP igmp commands
                ''',
                'igmp',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'flooding',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action',
            False, 
            [
            _MetaInfoClassMember('flooding', REFERENCE_CLASS, 'Flooding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding', 
                [], [], 
                '''                Mac flooding
                ''',
                'flooding',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum',
            False, 
            [
            _MetaInfoClassMember('addresses', ATTRIBUTE, 'int' , None, None, 
                [('1', '65536')], [], 
                '''                Addresses
                ''',
                'addresses',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Mac.Limit' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Mac.Limit',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action', 
                [], [], 
                '''                action when exceeding the limit
                ''',
                'action',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum', 
                [], [], 
                '''                Maximum
                ''',
                'maximum',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Mac' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Mac',
            False, 
            [
            _MetaInfoClassMember('aging-time', ATTRIBUTE, 'int' , None, None, 
                [('30', '3600')], [], 
                '''                Set age time of mac addresses per bridge domain
                ''',
                'aging_time',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('learning', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable mac learning on bridge domain
                ''',
                'learning',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Mac.Limit', 
                [], [], 
                '''                Limit the MAC Addresses learnt
                ''',
                'limit',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('mpls', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use MPLS encapsulation
                ''',
                'mpls',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Template' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Template',
            False, 
            [
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                <WORD>;;template name (Max size 32)
                ''',
                'template',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid',
            False, 
            [
            _MetaInfoClassMember('mem-vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                <1..4294967295>;;Enter VC ID value
                ''',
                'mem_vcid',
                'Cisco-IOS-XE-bridge-domain', True),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Encapsulation', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Template', 
                [], [], 
                '''                Template to use for encapsulation and protocol configuration
                ''',
                'template',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'mem-vcid',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('mpls', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use MPLS encapsulation
                ''',
                'mpls',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4',
            False, 
            [
            _MetaInfoClassMember('mem-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the peer
                ''',
                'mem_ipv4',
                'Cisco-IOS-XE-bridge-domain', True),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation', 
                [], [], 
                '''                Data encapsulation method
                ''',
                'encapsulation',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('mem-vcid', REFERENCE_LIST, 'MemVcid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid', 
                [], [], 
                '''                ''',
                'mem_vcid',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Template to use for encapsulation and protocol configuration
                ''',
                'template',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'mem-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance.Id' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance.Id',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8000')], [], 
                '''                <1..8000>;;Service Instance Identifier
                ''',
                'id',
                'Cisco-IOS-XE-bridge-domain', True),
            _MetaInfoClassMember('split-horizon', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_LIST, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance.Id', 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'service-instance',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Member.Acr' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Member.Acr',
            False, 
            [
            _MetaInfoClassMember('acr-int', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                <WORD>;;Virtual ACR interface
                ''',
                'acr_int',
                'Cisco-IOS-XE-bridge-domain', True),
            _MetaInfoClassMember('service-instance', REFERENCE_CLASS, 'ServiceInstance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance', 
                [], [], 
                '''                ethernt serivce instance
                ''',
                'service_instance',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'ACR',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Split-horizon group
                ''',
                'group',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'split-horizon',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bridge-domain', True),
            _MetaInfoClassMember('interface-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface_id',
                'Cisco-IOS-XE-bridge-domain', False, [
                    _MetaInfoClassMember('interface-id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'interface_id',
                        'Cisco-IOS-XE-bridge-domain', False),
                    _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'interface_id',
                        'Cisco-IOS-XE-bridge-domain', False),
                ]),
            _MetaInfoClassMember('service-instance', ATTRIBUTE, 'int' , None, None, 
                [('1', '8000')], [], 
                '''                ethernt serivce instance
                ''',
                'service_instance',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('split-horizon', REFERENCE_CLASS, 'SplitHorizon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon', 
                [], [], 
                '''                Configure this port as a member of a split horizon group
                ''',
                'split_horizon',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'member-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan.Member' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan.Member',
            False, 
            [
            _MetaInfoClassMember('ACR', REFERENCE_LIST, 'Acr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Member.Acr', 
                [], [], 
                '''                ''',
                'acr',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('Analysis-Module', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cisco network analysis service module
                ''',
                'analysis_module',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('Fcpa', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fiber Channel
                ''',
                'fcpa',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('mem-ipv4', REFERENCE_LIST, 'MemIpv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4', 
                [], [], 
                '''                ''',
                'mem_ipv4',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('member-interface', REFERENCE_LIST, 'MemberInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface', 
                [], [], 
                '''                ''',
                'member_interface',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('SBC', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Session Border Controller
                ''',
                'sbc',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('Service-Engine', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cisco service engine module
                ''',
                'service_engine',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('SONET_ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Virtual SONET-ACR controller
                ''',
                'sonet_acr',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('Tunnel-tp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MPLS Transport Profile interface
                ''',
                'tunnel_tp',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('ucse', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cisco ucse server
                ''',
                'ucse',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                VasiLeft interface
                ''',
                'vasileft',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                VasiRight interface
                ''',
                'vasiright',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('vfi', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter VFI name
                ''',
                'vfi',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('Virtual-TokenRing', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Virtual TokenRing
                ''',
                'virtual_tokenring',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('vni', ATTRIBUTE, 'int' , None, None, 
                [('4096', '16777215')], [], 
                '''                ''',
                'vni',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('VPN', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                VPN interface
                ''',
                'vpn',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('_controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'y_controller',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'member',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized.Vlan',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Ip', 
                [], [], 
                '''                IP related commands
                ''',
                'ip',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Mac', 
                [], [], 
                '''                MAC Address related commands
                ''',
                'mac',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('member', REFERENCE_CLASS, 'Member' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan.Member', 
                [], [], 
                '''                bridge-domain member
                ''',
                'member',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Take the bridge domain admin down
                ''',
                'shutdown',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain.Parameterized' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain.Parameterized',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized.Vlan', 
                [], [], 
                '''                bridge-domain from service instance vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-bridge-domain',
            'parameterized',
            _yang_ns._namespaces['Cisco-IOS-XE-bridge-domain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BridgeDomain' : {
        'meta_info' : _MetaInfoClass('Native.BridgeDomain',
            False, 
            [
            _MetaInfoClassMember('brd-id', REFERENCE_LIST, 'BrdId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.BrdId', 
                [], [], 
                '''                ''',
                'brd_id',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('c-mac', REFERENCE_CLASS, 'CMac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.CMac', 
                [], [], 
                '''                Configure c-mac global commands
                ''',
                'c_mac',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('otv', REFERENCE_CLASS, 'Otv' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Otv', 
                [], [], 
                '''                Configure overlay bridge domains
                ''',
                'otv',
                'Cisco-IOS-XE-bridge-domain', False),
            _MetaInfoClassMember('parameterized', REFERENCE_CLASS, 'Parameterized' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain.Parameterized', 
                [], [], 
                '''                bridge-domain is derived from parameters
                ''',
                'parameterized',
                'Cisco-IOS-XE-bridge-domain', False),
            ],
            'Cisco-IOS-XE-native',
            'bridge-domain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Call.Admission.Limit.All' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Call.Admission.Limit.All',
            False, 
            [
            _MetaInfoClassMember('in-negotiation-sa', ATTRIBUTE, 'int' , None, None, 
                [('10', '99999')], [], 
                '''                Maximum number of in-negotiation SAs allowed
                ''',
                'in_negotiation_sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Call.Admission.Limit.Ike' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Call.Admission.Limit.Ike',
            False, 
            [
            _MetaInfoClassMember('in-negotiation-sa', ATTRIBUTE, 'int' , None, None, 
                [('10', '99999')], [], 
                '''                Maximum number of in-negotiation IKE SAs allowed
                ''',
                'in_negotiation_sa',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sa', ATTRIBUTE, 'int' , None, None, 
                [('0', '99999')], [], 
                '''                Maximum active IKE SAs allowed
                ''',
                'sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ike',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Call.Admission.Limit.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Call.Admission.Limit.Ipsec',
            False, 
            [
            _MetaInfoClassMember('sa', ATTRIBUTE, 'int' , None, None, 
                [('0', '99999')], [], 
                '''                Maximum active IPSec SAs allowed
                ''',
                'sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Call.Admission.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Call.Admission.Limit',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Call.Admission.Limit.All', 
                [], [], 
                '''                onfigure Crypto Call Admission Control total in-negotiation SA limit
                ''',
                'all',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ike', REFERENCE_CLASS, 'Ike' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Call.Admission.Limit.Ike', 
                [], [], 
                '''                Configure Crypto Call Admission Control active IKE SA limit
                ''',
                'ike',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Call.Admission.Limit.Ipsec', 
                [], [], 
                '''                Configure Crypto Call Admission Control active IPSec SA limit
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Call.Admission' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Call.Admission',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Call.Admission.Limit', 
                [], [], 
                '''                Configure Crypto Call Admission Control limits
                ''',
                'limit',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'admission',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Call' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Call',
            False, 
            [
            _MetaInfoClassMember('admission', REFERENCE_CLASS, 'Admission' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Call.Admission', 
                [], [], 
                '''                Configure Crypto Call Admission Control
                ''',
                'admission',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'call',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Dialer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Dialer',
            False, 
            [
            _MetaInfoClassMember('pre-classify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable dialer list classification before initiating IKE
                ''',
                'pre_classify',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dialer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Match',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match address of packets to encrypt
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Qos',
            False, 
            [
            _MetaInfoClassMember('pre-classify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable QOS classification before packets are tunnel encapsulated
                ''',
                'pre_classify',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.ReverseRoute' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.ReverseRoute',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'reverse-route',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Set.Ip.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.DynamicMap.Default.Set.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Set.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set.Ip.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Set.Nat' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Set.Nat',
            False, 
            [
            _MetaInfoClassMember('demux', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set NAT demultiplexing
                ''',
                'demux',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'nat',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Set.PeerContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Set.PeerContainer',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reset to default peer in list in the event of a failure
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Allowed Encryption/Decryption peer.
                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('peer', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Allowed Encryption/Decryption peer.
                        ''',
                        'peer',
                        'Cisco-IOS-XE-crypto', False, [
                            _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Allowed Encryption/Decryption peer.
                                ''',
                                'peer',
                                'Cisco-IOS-XE-crypto', False),
                            _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Allowed Encryption/Decryption peer.
                                ''',
                                'peer',
                                'Cisco-IOS-XE-crypto', False),
                        ]),
                    _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        Allowed Encryption/Decryption peer.
                        ''',
                        'peer',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            ],
            'Cisco-IOS-XE-crypto',
            'peer-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Set.Pfs' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Set.Pfs',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'pfs',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Set.ReverseRoute' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Set.ReverseRoute',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'reverse-route',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Dummy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Dummy',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'dummy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All SAs idle-out reset to default peer
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Automatically delete IPSec SAs after a given idle period.
                ''',
                'idle_time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'idle-time-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time-based key duration in days
                ''',
                'days',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('kilobytes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Volume-based key duration
                ''',
                'kilobytes',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time-based key duration in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable replay checking
                ''',
                'disable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('window-size', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set replay window size.
                ''',
                'window_size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'replay',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Set.SecurityAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Set.SecurityAssociation',
            False, 
            [
            _MetaInfoClassMember('dfbit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'dfbit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dummy', REFERENCE_CLASS, 'Dummy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Dummy', 
                [], [], 
                '''                Enable transmitting dummy packets
                ''',
                'dummy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ecn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Handling of ECN bit
                ''',
                'ecn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time-container', REFERENCE_CLASS, 'IdleTimeContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer', 
                [], [], 
                '''                ''',
                'idle_time_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime', 
                [], [], 
                '''                security association lifetime
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('replay', REFERENCE_CLASS, 'Replay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay', 
                [], [], 
                '''                Set replay checking.
                ''',
                'replay',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'security-association',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default.Set' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default.Set',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the san group parameters
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Identity restriction
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ikev2-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify ikev2 Profile
                ''',
                'ikev2_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('isakmp-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify isakmp Profile
                ''',
                'isakmp_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nat', REFERENCE_CLASS, 'Nat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set.Nat', 
                [], [], 
                '''                Set NAT translation
                ''',
                'nat',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer-container', REFERENCE_CLASS, 'PeerContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set.PeerContainer', 
                [], [], 
                '''                ''',
                'peer_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pfs', REFERENCE_CLASS, 'Pfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set.Pfs', 
                [], [], 
                '''                Specify pfs settings
                ''',
                'pfs',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reverse-route', REFERENCE_CLASS, 'ReverseRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set.ReverseRoute', 
                [], [], 
                '''                Reverse Route Injection
                ''',
                'reverse_route',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('security-association', REFERENCE_CLASS, 'SecurityAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set.SecurityAssociation', 
                [], [], 
                '''                Security association parameters
                ''',
                'security_association',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transform-set', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify list of transform sets in priority order
                ''',
                'transform_set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Default',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the crypto map statement policy
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dialer', REFERENCE_CLASS, 'Dialer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Dialer', 
                [], [], 
                '''                Dialer related commands
                ''',
                'dialer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Match', 
                [], [], 
                '''                Match values
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Qos', 
                [], [], 
                '''                Quality of Service related commands
                ''',
                'qos',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reverse-route', REFERENCE_CLASS, 'ReverseRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.ReverseRoute', 
                [], [], 
                '''                Reverse Route Injection.
                ''',
                'reverse_route',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default.Set', 
                [], [], 
                '''                Set values for encryption/decryption
                ''',
                'set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Dialer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Dialer',
            False, 
            [
            _MetaInfoClassMember('pre-classify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable dialer list classification before initiating IKE
                ''',
                'pre_classify',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dialer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Match',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match address of packets to encrypt
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Match address of packets to encrypt
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Match address of packets to encrypt
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Match address of packets to encrypt
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Qos',
            False, 
            [
            _MetaInfoClassMember('pre-classify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable QOS classification before packets are tunnel encapsulated
                ''',
                'pre_classify',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner',
            False, 
            [
            _MetaInfoClassMember('gateway', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force encrypted traffic via this preferred gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('remote-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Create route in route table for remote tunnel endpoint
                ''',
                'remote_peer',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('remote-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Create route in route table for remote tunnel endpoint
                        ''',
                        'remote_peer',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('remote-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Create route in route table for remote tunnel endpoint
                        ''',
                        'remote_peer',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Create routes based on static ACLs permanently
                ''',
                'static',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'remote-peer-conatiner',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.ReverseRoute' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.ReverseRoute',
            False, 
            [
            _MetaInfoClassMember('remote-peer-conatiner', REFERENCE_CLASS, 'RemotePeerConatiner' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner', 
                [], [], 
                '''                ''',
                'remote_peer_conatiner',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Create routes based on static ACLs permanently
                ''',
                'static',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'reverse-route',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.Peer',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reset to default peer in list in the event of a failure
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Resolve the peer address at the time of negotiation
                ''',
                'dynamic',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.Pfs.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'group1':'group1',
            'group14':'group14',
            'group15':'group15',
            'group16':'group16',
            'group19':'group19',
            'group2':'group2',
            'group20':'group20',
            'group21':'group21',
            'group24':'group24',
            'group5':'group5',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.DynamicMap.Set.Pfs' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.Pfs',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.Pfs.GroupEnum', 
                [], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pfs',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.ReverseRoute' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.ReverseRoute',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Distance metric for this static route
                ''',
                'distance',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Create route and tag it
                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'reverse-route',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.IpIn.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.IpIn.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                inbound packets
                ''',
                'in_',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.IpIn' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.IpIn',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.IpIn.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ip-in',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.IpOut.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.IpOut.Ip',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify access control for packets
                ''',
                'access_group',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('access-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify access control for packets
                        ''',
                        'access_group',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                outbound packets
                ''',
                'out',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.IpOut' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.IpOut',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.IpOut.Ip', 
                [], [], 
                '''                Interface Internet Protocol config commands
                ''',
                'ip',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ip-out',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.Nat' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.Nat',
            False, 
            [
            _MetaInfoClassMember('demux', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set NAT demultiplexing
                ''',
                'demux',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'nat',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.PeerContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.PeerContainer',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reset to default peer in list in the event of a failure
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Allowed Encryption/Decryption peer.
                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('peer', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        Allowed Encryption/Decryption peer.
                        ''',
                        'peer',
                        'Cisco-IOS-XE-crypto', False, [
                            _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Allowed Encryption/Decryption peer.
                                ''',
                                'peer',
                                'Cisco-IOS-XE-crypto', False),
                            _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                Allowed Encryption/Decryption peer.
                                ''',
                                'peer',
                                'Cisco-IOS-XE-crypto', False),
                        ]),
                    _MetaInfoClassMember('peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        Allowed Encryption/Decryption peer.
                        ''',
                        'peer',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            ],
            'Cisco-IOS-XE-crypto',
            'peer-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy',
            False, 
            [
            _MetaInfoClassMember('pps', ATTRIBUTE, 'int' , None, None, 
                [('0', '25')], [], 
                '''                Simulated traffic rate (in pps)
                ''',
                'pps',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Simulated traffic rate (in seconds)
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dummy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All SAs idle-out reset to default peer
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'int' , None, None, 
                [('60', '86400')], [], 
                '''                Automatically delete IPSec SAs after a given idle period.
                ''',
                'idle_time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'idle-time-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime.KilobytesEnum' : _MetaInfoEnum('KilobytesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'disable':'disable',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                Time-based key duration in days
                ''',
                'days',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('kilobytes', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Volume-based key duration
                ''',
                'kilobytes',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('kilobytes', ATTRIBUTE, 'int' , None, None, 
                        [('2560', '4294967295')], [], 
                        '''                        Volume-based key duration
                        ''',
                        'kilobytes',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('kilobytes', REFERENCE_ENUM_CLASS, 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime.KilobytesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime.KilobytesEnum', 
                        [], [], 
                        '''                        Volume-based key duration
                        ''',
                        'kilobytes',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('120', '2592000')], [], 
                '''                Time-based key duration in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay.WindowSizeEnum' : _MetaInfoEnum('WindowSizeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1024':'Y_1024',
            '128':'Y_128',
            '256':'Y_256',
            '512':'Y_512',
            '64':'Y_64',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable replay checking
                ''',
                'disable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('window-size', REFERENCE_ENUM_CLASS, 'WindowSizeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay.WindowSizeEnum', 
                [], [], 
                '''                Set replay window size.
                ''',
                'window_size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'replay',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set.SecurityAssociation.DfbitEnum' : _MetaInfoEnum('DfbitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.DynamicMap.Set.SecurityAssociation.EcnEnum' : _MetaInfoEnum('EcnEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'discard':'discard',
            'propagate':'propagate',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.DynamicMap.Set.SecurityAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set.SecurityAssociation',
            False, 
            [
            _MetaInfoClassMember('dfbit', REFERENCE_ENUM_CLASS, 'DfbitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.SecurityAssociation.DfbitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'dfbit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dummy', REFERENCE_CLASS, 'Dummy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy', 
                [], [], 
                '''                Enable transmitting dummy packets
                ''',
                'dummy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ecn', REFERENCE_ENUM_CLASS, 'EcnEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.SecurityAssociation.EcnEnum', 
                [], [], 
                '''                Handling of ECN bit
                ''',
                'ecn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time-container', REFERENCE_CLASS, 'IdleTimeContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer', 
                [], [], 
                '''                ''',
                'idle_time_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime', 
                [], [], 
                '''                security association lifetime
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('replay', REFERENCE_CLASS, 'Replay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay', 
                [], [], 
                '''                Set replay checking.
                ''',
                'replay',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'security-association',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap.Set' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap.Set',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the san group parameters
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Identity restriction
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ikev2-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify ikev2 Profile
                ''',
                'ikev2_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ip-in', REFERENCE_CLASS, 'IpIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.IpIn', 
                [], [], 
                '''                ''',
                'ip_in',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ip-out', REFERENCE_CLASS, 'IpOut' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.IpOut', 
                [], [], 
                '''                ''',
                'ip_out',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('isakmp-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify isakmp Profile
                ''',
                'isakmp_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nat', REFERENCE_CLASS, 'Nat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.Nat', 
                [], [], 
                '''                Set NAT translation
                ''',
                'nat',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.Peer', 
                [], [], 
                '''                Allowed Encryption/Decryption peer.
                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer-container', REFERENCE_CLASS, 'PeerContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.PeerContainer', 
                [], [], 
                '''                ''',
                'peer_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pfs', REFERENCE_CLASS, 'Pfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.Pfs', 
                [], [], 
                '''                Specify pfs settings
                ''',
                'pfs',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reverse-route', REFERENCE_CLASS, 'ReverseRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.ReverseRoute', 
                [], [], 
                '''                Reverse Route Injection
                ''',
                'reverse_route',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('security-association', REFERENCE_CLASS, 'SecurityAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set.SecurityAssociation', 
                [], [], 
                '''                Security association parameters
                ''',
                'security_association',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transform-set', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Specify list of transform sets in priority order
                ''',
                'transform_set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.DynamicMap' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.DynamicMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description of the crypto map statement policy
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dialer', REFERENCE_CLASS, 'Dialer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Dialer', 
                [], [], 
                '''                Dialer related commands
                ''',
                'dialer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Match', 
                [], [], 
                '''                Match values
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Qos', 
                [], [], 
                '''                Quality of Service related commands
                ''',
                'qos',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reverse-route', REFERENCE_CLASS, 'ReverseRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.ReverseRoute', 
                [], [], 
                '''                Reverse Route Injection.
                ''',
                'reverse_route',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap.Set', 
                [], [], 
                '''                Set values for encryption/decryption
                ''',
                'set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dynamic-map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Engine.SoftwareEnum' : _MetaInfoEnum('SoftwareEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipsec':'ipsec',
            'isakmp':'isakmp',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Engine' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Engine',
            False, 
            [
            _MetaInfoClassMember('software', REFERENCE_ENUM_CLASS, 'SoftwareEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Engine.SoftwareEnum', 
                [], [], 
                '''                Software crypto engine
                ''',
                'software',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'engine',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Client.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Client.Protocol',
            False, 
            [
            _MetaInfoClassMember('gdoi', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use GDOI (ISAKMP) Protocol for Registration & Rekey
                ''',
                'gdoi',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gikev2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use G-IKEv2 Protocol for Registration & Rekey
                ''',
                'gikev2',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Client.RecoveryCheck' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Client.RecoveryCheck',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '1000')], [], 
                '''                Waiting period(sec) between consecutive recovery registrations
                ''',
                'interval',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'recovery-check',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Client.Registration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Client.Registration',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the group client management/register interface
                ''',
                'interface',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'registration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Client.Rekey.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Client.Rekey.Encryption',
            False, 
            [
            _MetaInfoClassMember('aes-128', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                128 bit AES
                ''',
                'aes_128',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-192', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                192 bit AES
                ''',
                'aes_192',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-256', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                256 bit AES
                ''',
                'aes_256',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('des-cbc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DES in CBC mode
                ''',
                'des_cbc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rekey-3des-cbc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'rekey_3des_cbc',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Client.Rekey.Hash' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Client.Rekey.Hash',
            False, 
            [
            _MetaInfoClassMember('sha', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard
                ''',
                'sha',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha256', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (256 bit)
                ''',
                'sha256',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha384', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (384 bit)
                ''',
                'sha384',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha512', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (512 bit)
                ''',
                'sha512',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'hash',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Client.Rekey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Client.Rekey',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Client.Rekey.Encryption', 
                [], [], 
                '''                Set the group client acceptable rekey ciphers
                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hash', REFERENCE_CLASS, 'Hash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Client.Rekey.Hash', 
                [], [], 
                '''                Set the group client acceptable rekey hash
                ''',
                'hash',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rekey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Client.Status.ActiveSa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Client.Status.ActiveSa',
            False, 
            [
            _MetaInfoClassMember('track', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                enable stub tracking object
                ''',
                'track',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'active-sa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Client.Status' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Client.Status',
            False, 
            [
            _MetaInfoClassMember('active-sa', REFERENCE_CLASS, 'ActiveSa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Client.Status.ActiveSa', 
                [], [], 
                '''                TEK SA with positive remaining lifetime
                ''',
                'active_sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Client.TransportEncryptKeyEnum' : _MetaInfoEnum('TransportEncryptKeyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'group-key':'group_key',
            'pair-wise-key':'pair_wise_key',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gdoi.Group.Client' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Client',
            False, 
            [
            _MetaInfoClassMember('bypass-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow group-key management traffic sent to this GM only
                ''',
                'bypass_policy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Client.Protocol', 
                [], [], 
                '''                Group Member Registration & Rekey Protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('recovery-check', REFERENCE_CLASS, 'RecoveryCheck' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Client.RecoveryCheck', 
                [], [], 
                '''                Specify GM recovery check parameters
                ''',
                'recovery_check',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('registration', REFERENCE_CLASS, 'Registration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Client.Registration', 
                [], [], 
                '''                Set the group client management/register interface
                ''',
                'registration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rekey', REFERENCE_CLASS, 'Rekey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Client.Rekey', 
                [], [], 
                '''                Set the group client acceptable rekey ciphers and hashs
                ''',
                'rekey',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Client.Status', 
                [], [], 
                '''                group-member status
                ''',
                'status',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transform-sets', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Specify list of group client acceptable transform sets
                ''',
                'transform_sets',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transport-encrypt-key', REFERENCE_ENUM_CLASS, 'TransportEncryptKeyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Client.TransportEncryptKeyEnum', 
                [], [], 
                '''                Enforce group or pair-wise keying
                ''',
                'transport_encrypt_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Identity.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Identity.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the identity of the group as an IPv4 address
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Identity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Identity',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Identity.Address', 
                [], [], 
                '''                Set the identity of the group as an address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the identity of the group as a number
                ''',
                'number',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the IPv4 address of the group server
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the IPv6 address of the group server
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Hostname',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the IPv4 hostname of the group server
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set ipv4 address of local server
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set authorization by address
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Set authorization by address
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Set authorization by address
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Authorization',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address', 
                [], [], 
                '''                Set authorization by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set authorization by identity
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Group_.Size.SmallEnum' : _MetaInfoEnum('SmallEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '12':'Y_12',
            '16':'Y_16',
            '8':'Y_8',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gdoi.Group.Server.Local.Group_.Size' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Group_.Size',
            False, 
            [
            _MetaInfoClassMember('large', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                32-bit Sender ID (FIPS 140-2 Operating Mode)
                ''',
                'large',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                24-bit Sender ID (Default)
                ''',
                'medium',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('small', REFERENCE_ENUM_CLASS, 'SmallEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Group_.Size.SmallEnum', 
                [], [], 
                '''                Interoperable with GDOI / G-IKEv2 Standard
                ''',
                'small',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'size',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Group_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Group_',
            False, 
            [
            _MetaInfoClassMember('size', REFERENCE_CLASS, 'Size' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Group_.Size', 
                [], [], 
                '''                Set Group Size for Suite-B counter transforms (SID length)
                ''',
                'size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range',
            False, 
            [
            _MetaInfoClassMember('highest', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                ''',
                'highest',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'hyphen',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lowest', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                ''',
                'lowest',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range', 
                [], [], 
                '''                Assign range of Key Server Sender IDs (unique in entire group)
                ''',
                'range',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                Assign Key Server Sender ID (unique in entire group)
                ''',
                'value',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range',
            False, 
            [
            _MetaInfoClassMember('highest', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                ''',
                'highest',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'hyphen',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lowest', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                ''',
                'lowest',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Identifier' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Identifier',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range', 
                [], [], 
                '''                Assign range of Key Server Sender IDs (unique in entire group)
                ''',
                'range',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                Assign Key Server Sender ID (unique in entire group)
                ''',
                'value',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'identifier',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Local_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Local_',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set local server priority
                ''',
                'priority',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set peer server ipv4 address
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address', 
                [], [], 
                '''                Peer server address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'base':'base',
            'optimize':'optimize',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol',
            False, 
            [
            _MetaInfoClassMember('pdu', ATTRIBUTE, 'int' , None, None, 
                [('1', '65000')], [], 
                '''                Maximum size of COOP messages
                ''',
                'pdu',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol.VersionEnum', 
                [], [], 
                '''                Set COOP ANN version
                ''',
                'version',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Local_', 
                [], [], 
                '''                Local key server configurations
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer', 
                [], [], 
                '''                Peer server configurations
                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol', 
                [], [], 
                '''                Specify various protocol operational values
                ''',
                'protocol',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Local_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Local_',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set local server priority
                ''',
                'priority',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set peer server ipv4 address
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address', 
                [], [], 
                '''                Peer server address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'base':'base',
            'optimize':'optimize',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol',
            False, 
            [
            _MetaInfoClassMember('pdu', ATTRIBUTE, 'int' , None, None, 
                [('1', '65000')], [], 
                '''                Maximum size of COOP messages
                ''',
                'pdu',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol.VersionEnum', 
                [], [], 
                '''                Set COOP ANN version
                ''',
                'version',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Redundancy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Redundancy',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Local_', 
                [], [], 
                '''                Local key server configurations
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer', 
                [], [], 
                '''                Peer server configurations
                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol', 
                [], [], 
                '''                Specify various protocol operational values
                ''',
                'protocol',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'redundancy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl',
            False, 
            [
            _MetaInfoClassMember('trustpoint', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                For a PKI trustpoint
                ''',
                'trustpoint',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crl',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic',
            False, 
            [
            _MetaInfoClassMember('crl', REFERENCE_CLASS, 'Crl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl', 
                [], [], 
                '''                On every new CRL
                ''',
                'crl',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'periodic',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Registration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Registration',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Identify an interface on which to respond to GKM registrations
                ''',
                'interface',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('periodic', REFERENCE_CLASS, 'Periodic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic', 
                [], [], 
                '''                Define periodic registrations for the group
                ''',
                'periodic',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'registration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match ipv4 packets
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm',
            False, 
            [
            _MetaInfoClassMember('a3des-cbc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Triple DES in CBC mode
                ''',
                'a3des_cbc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-128', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                128 bit AES
                ''',
                'aes_128',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-192', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                192 bit AES
                ''',
                'aes_192',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-256', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                256 bit AES
                ''',
                'aes_256',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('des-cbc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DES in CBC mode
                ''',
                'des_cbc',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey',
            False, 
            [
            _MetaInfoClassMember('rsa', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Identify an RSA keypair
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'mypubkey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication',
            False, 
            [
            _MetaInfoClassMember('mypubkey', REFERENCE_CLASS, 'Mypubkey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey', 
                [], [], 
                '''                Identify a keypair associated with this device
                ''',
                'mypubkey',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                Time-based key duration in days
                ''',
                'days',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('300', '2592000')], [], 
                '''                Time-based key duration in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Retransmit this many times
                ''',
                'number',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('periodic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Periodically send retransmit rekeys
                ''',
                'periodic',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('10', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'retransmit',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash.AlgorithmEnum' : _MetaInfoEnum('AlgorithmEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha':'sha',
            'sha256':'sha256',
            'sha384':'sha384',
            'sha512':'sha512',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash',
            False, 
            [
            _MetaInfoClassMember('algorithm', REFERENCE_ENUM_CLASS, 'AlgorithmEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash.AlgorithmEnum', 
                [], [], 
                '''                Set the rekey signature-hash algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'sig-hash',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify unicast rekey distribution
                ''',
                'unicast',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Rekey.AcknowledgementEnum' : _MetaInfoEnum('AcknowledgementEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'cisco':'cisco',
            'interoperable':'interoperable',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gdoi.Group.Server.Local.Rekey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Rekey',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', REFERENCE_ENUM_CLASS, 'AcknowledgementEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Rekey.AcknowledgementEnum', 
                [], [], 
                '''                Request group members to acknowledge rekeys
                ''',
                'acknowledgement',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address', 
                [], [], 
                '''                Define the rekey packet format
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('algorithm', REFERENCE_CLASS, 'Algorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm', 
                [], [], 
                '''                Set the rekey encryption algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication', 
                [], [], 
                '''                Identify the rekey authentication keypair
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime', 
                [], [], 
                '''                Define the rekey lifetime
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('retransmit', REFERENCE_CLASS, 'Retransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit', 
                [], [], 
                '''                Define the rekey retransmission parameters
                ''',
                'retransmit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sig-hash', REFERENCE_CLASS, 'SigHash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash', 
                [], [], 
                '''                Set rekey signature-hash parameters
                ''',
                'sig_hash',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport', 
                [], [], 
                '''                Specify the rekey distribution method
                ''',
                'transport',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rekey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('1000', '100000')], [], 
                '''                IP-D3P window size in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP-D3P window size in seconds
                ''',
                'sec',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'window',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P',
            False, 
            [
            _MetaInfoClassMember('window', REFERENCE_CLASS, 'Window' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window', 
                [], [], 
                '''                IP-D3P window size
                ''',
                'window',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'd3p',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match.Address',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match.Address', 
                [], [], 
                '''                Match addresses of packets to encrypt
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Replay' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Replay',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'replay',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Tag',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match', 
                [], [], 
                '''                Match characteristics of packets to encrypt
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an ipsec profile for the SA
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('replay', REFERENCE_CLASS, 'Replay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Replay', 
                [], [], 
                '''                Set replay method
                ''',
                'replay',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Tag', 
                [], [], 
                '''                Set inline tagging method
                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match ipv4 packets
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Match ipv6 packets
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address', 
                [], [], 
                '''                Match addresses of packets to encrypt
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter.WindowSizeEnum' : _MetaInfoEnum('WindowSizeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1024':'Y_1024',
            '128':'Y_128',
            '256':'Y_256',
            '512':'Y_512',
            '64':'Y_64',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter',
            False, 
            [
            _MetaInfoClassMember('window-size', REFERENCE_ENUM_CLASS, 'WindowSizeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter.WindowSizeEnum', 
                [], [], 
                '''                Set replay window size.
                ''',
                'window_size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Time' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Time',
            False, 
            [
            _MetaInfoClassMember('window-size', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Time based replay window size
                ''',
                'window_size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay',
            False, 
            [
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter', 
                [], [], 
                '''                Enable anti-replay check for single source traffic by using sequence number
                ''',
                'counter',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Time', 
                [], [], 
                '''                Enable anti-replay check for any traffic by using time
                ''',
                'time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'replay',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security Group Tag
                ''',
                'sgt',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag',
            False, 
            [
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts', 
                [], [], 
                '''                Cisco Trust Security
                ''',
                'cts',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match', 
                [], [], 
                '''                Match characteristics of packets to encrypt
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure an ipsec profile for the SA
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('replay', REFERENCE_CLASS, 'Replay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay', 
                [], [], 
                '''                Set replay method
                ''',
                'replay',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag', 
                [], [], 
                '''                Set inline tagging method
                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying',
            False, 
            [
            _MetaInfoClassMember('safety-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                KGS safety limit
                ''',
                'safety_limit',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pair-wise-keying',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Sa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Sa',
            False, 
            [
            _MetaInfoClassMember('d3p', REFERENCE_CLASS, 'D3P' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P', 
                [], [], 
                '''                Enable IP delivery delay detection protocol for all SAs within the group
                ''',
                'd3p',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipsec', REFERENCE_LIST, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec', 
                [], [], 
                '''                Configure an IPsec SA
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pair-wise-keying', REFERENCE_CLASS, 'PairWiseKeying' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying', 
                [], [], 
                '''                Enable KGS pair-wise-keying
                ''',
                'pair_wise_keying',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('receive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure SA to work only in inbound direction
                ''',
                'receive_only',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'sa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Address',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set authorization by address
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address', 
                [], [], 
                '''                Set authorization by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set authorization by identity
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Group_.Size' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Group_.Size',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'size',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Group_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Group_',
            False, 
            [
            _MetaInfoClassMember('size', REFERENCE_CLASS, 'Size' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Group_.Size', 
                [], [], 
                '''                Set Group Size for Suite-B counter transforms (SID length)
                ''',
                'size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Identifier' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Identifier',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'identifier',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Redundancy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Redundancy',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'redundancy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl',
            False, 
            [
            _MetaInfoClassMember('trustpoint', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For a PKI trustpoint
                ''',
                'trustpoint',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crl',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic',
            False, 
            [
            _MetaInfoClassMember('crl', REFERENCE_CLASS, 'Crl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl', 
                [], [], 
                '''                On every new CRL
                ''',
                'crl',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'periodic',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Registration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Registration',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Identify an interface on which to respond to GKM registrations
                ''',
                'interface',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('periodic', REFERENCE_CLASS, 'Periodic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic', 
                [], [], 
                '''                Define periodic registrations for the group
                ''',
                'periodic',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'registration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Address',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Algorithm' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Algorithm',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Authentication',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time-based key duration in days
                ''',
                'days',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time-based key duration in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Retransmit' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Retransmit',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'retransmit',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the rekey signature-hash algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'sig-hash',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify unicast rekey distribution
                ''',
                'unicast',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request group members to acknowledge rekeys
                ''',
                'acknowledgement',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Address', 
                [], [], 
                '''                Define the rekey packet format
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('algorithm', REFERENCE_CLASS, 'Algorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Algorithm', 
                [], [], 
                '''                Set the rekey encryption algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Authentication', 
                [], [], 
                '''                Identify the rekey authentication keypair
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime', 
                [], [], 
                '''                Define the rekey lifetime
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('retransmit', REFERENCE_CLASS, 'Retransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Retransmit', 
                [], [], 
                '''                Define the rekey retransmission parameters
                ''',
                'retransmit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sig-hash', REFERENCE_CLASS, 'SigHash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash', 
                [], [], 
                '''                Set rekey signature-hash parameters
                ''',
                'sig_hash',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport', 
                [], [], 
                '''                Specify the rekey distribution method
                ''',
                'transport',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rekey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.D3P' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.D3P',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'd3p',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.Ipsec',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-crypto', True),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.PairWiseKeying' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.PairWiseKeying',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'pair-wise-keying',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default.Sa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default.Sa',
            False, 
            [
            _MetaInfoClassMember('d3p', REFERENCE_CLASS, 'D3P' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.D3P', 
                [], [], 
                '''                Enable IP delivery delay detection protocol for all SAs within the group
                ''',
                'd3p',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipsec', REFERENCE_LIST, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.Ipsec', 
                [], [], 
                '''                Configure an IPsec SA
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pair-wise-keying', REFERENCE_CLASS, 'PairWiseKeying' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.PairWiseKeying', 
                [], [], 
                '''                Enable KGS pair-wise-keying
                ''',
                'pair_wise_keying',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('receive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure SA to work only in inbound direction
                ''',
                'receive_only',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'sa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local.Default',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Address', 
                [], [], 
                '''                Configure server source address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization', 
                [], [], 
                '''                Configure authorization for the group
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gdoi', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                ''',
                'gdoi',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gikev2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable G-IKEv2 (IKEv2) Protocol for Registration & Rekey
                ''',
                'gikev2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Group_', 
                [], [], 
                '''                Configure parameters for the group (e.g. Suite-B)
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identifier', REFERENCE_CLASS, 'Identifier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Identifier', 
                [], [], 
                '''                Enter Suite-B KSSID (Key Server Sender ID) config mode
                ''',
                'identifier',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redundancy', REFERENCE_CLASS, 'Redundancy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Redundancy', 
                [], [], 
                '''                Enter cooperative key server configuration mode
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('registration', REFERENCE_CLASS, 'Registration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Registration', 
                [], [], 
                '''                Configure registration for the group
                ''',
                'registration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rekey', REFERENCE_CLASS, 'Rekey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey', 
                [], [], 
                '''                Configure rekey policy for the group
                ''',
                'rekey',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sa', REFERENCE_CLASS, 'Sa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default.Sa', 
                [], [], 
                '''                Configure a security association
                ''',
                'sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server.Local' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server.Local',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Address', 
                [], [], 
                '''                Configure server source address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Authorization', 
                [], [], 
                '''                Configure authorization for the group
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gdoi', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                ''',
                'gdoi',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gikev2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable G-IKEv2 (IKEv2) Protocol for Registration & Rekey
                ''',
                'gikev2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Group_', 
                [], [], 
                '''                Configure parameters for the group (e.g. Suite-B)
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identifier', REFERENCE_CLASS, 'Identifier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Identifier', 
                [], [], 
                '''                Enter Suite-B KSSID (Key Server Sender ID) config mode
                ''',
                'identifier',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redundancy', REFERENCE_CLASS, 'Redundancy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Redundancy', 
                [], [], 
                '''                Enter cooperative key server configuration mode
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('registration', REFERENCE_CLASS, 'Registration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Registration', 
                [], [], 
                '''                Configure registration for the group
                ''',
                'registration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rekey', REFERENCE_CLASS, 'Rekey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Rekey', 
                [], [], 
                '''                Configure rekey policy for the group
                ''',
                'rekey',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sa', REFERENCE_CLASS, 'Sa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local.Sa', 
                [], [], 
                '''                Configure a security association
                ''',
                'sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Server' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Server',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Address', 
                [], [], 
                '''                Identify the group server by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Hostname', 
                [], [], 
                '''                Identify the group server by hostname
                ''',
                'hostname',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server.Local', 
                [], [], 
                '''                Configure GKM group server defined locally
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Client.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Client.Protocol',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Client.RecoveryCheck' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Client.RecoveryCheck',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'recovery-check',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Client.Registration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Client.Registration',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the group client management/register interface
                ''',
                'interface',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'registration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Client.Rekey.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Client.Rekey.Encryption',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Client.Rekey.Hash' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Client.Rekey.Hash',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'hash',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Client.Rekey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Client.Rekey',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Client.Rekey.Encryption', 
                [], [], 
                '''                Set the group client acceptable rekey ciphers
                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hash', REFERENCE_CLASS, 'Hash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Client.Rekey.Hash', 
                [], [], 
                '''                Set the group client acceptable rekey hash
                ''',
                'hash',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rekey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Client.Status.ActiveSa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Client.Status.ActiveSa',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'active-sa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Client.Status' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Client.Status',
            False, 
            [
            _MetaInfoClassMember('active-sa', REFERENCE_CLASS, 'ActiveSa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Client.Status.ActiveSa', 
                [], [], 
                '''                TEK SA with positive remaining lifetime
                ''',
                'active_sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Client.TransportEncryptKeyEnum' : _MetaInfoEnum('TransportEncryptKeyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'group-key':'group_key',
            'pair-wise-key':'pair_wise_key',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gdoi.Group.Default.Client' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Client',
            False, 
            [
            _MetaInfoClassMember('bypass-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow group-key management traffic sent to this GM only
                ''',
                'bypass_policy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Client.Protocol', 
                [], [], 
                '''                Group Member Registration & Rekey Protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('recovery-check', REFERENCE_CLASS, 'RecoveryCheck' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Client.RecoveryCheck', 
                [], [], 
                '''                Specify GM recovery check parameters
                ''',
                'recovery_check',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('registration', REFERENCE_CLASS, 'Registration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Client.Registration', 
                [], [], 
                '''                Set the group client management/register interface
                ''',
                'registration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rekey', REFERENCE_CLASS, 'Rekey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Client.Rekey', 
                [], [], 
                '''                Set the group client acceptable rekey ciphers and hashs
                ''',
                'rekey',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Client.Status', 
                [], [], 
                '''                group-member status
                ''',
                'status',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transform-sets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify list of group client acceptable transform sets
                ''',
                'transform_sets',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transport-encrypt-key', REFERENCE_ENUM_CLASS, 'TransportEncryptKeyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Client.TransportEncryptKeyEnum', 
                [], [], 
                '''                Enforce group or pair-wise keying
                ''',
                'transport_encrypt_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Identity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Identity',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Server.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Server.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the IPv4 address of the group server
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Server.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Server.Hostname',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the IPv4 hostname of the group server
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default.Server' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default.Server',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Server.Address', 
                [], [], 
                '''                Identify the group server by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Server.Hostname', 
                [], [], 
                '''                Identify the group server by hostname
                ''',
                'hostname',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure GKM group server defined locally
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group.Default',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Client', 
                [], [], 
                '''                Set the group client parameters
                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', REFERENCE_CLASS, 'Identity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Identity', 
                [], [], 
                '''                Set the identity of the group
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the group in passive mode
                ''',
                'passive',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default.Server', 
                [], [], 
                '''                Set the group server for of the group
                ''',
                'server',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi.Group' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi.Group',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Client', 
                [], [], 
                '''                Set the group client parameters
                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', REFERENCE_CLASS, 'Identity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Identity', 
                [], [], 
                '''                Set the identity of the group
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 GKM (Group Key Management) Group
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the group in passive mode
                ''',
                'passive',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group.Server', 
                [], [], 
                '''                Set the group server for of the group
                ''',
                'server',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gdoi' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gdoi',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi.Group', 
                [], [], 
                '''                Configure a GKM (Group Key Management, GDOI or G-IKEv2) Group
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'gdoi',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface.InterfaceList' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface.InterfaceList',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface_name',
                'Cisco-IOS-XE-crypto', True),
            ],
            'Cisco-IOS-XE-crypto',
            'interface-list',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'interface_default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('interface-list', REFERENCE_LIST, 'InterfaceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface.InterfaceList', 
                [], [], 
                '''                ''',
                'interface_list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Authorization.Policy.Route.Set' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Authorization.Policy.Route.Set',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Authorization.Policy.Route' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Authorization.Policy.Route',
            False, 
            [
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Authorization.Policy.Route.Set', 
                [], [], 
                '''                ''',
                'set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Authorization.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Authorization.Policy',
            False, 
            [
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'policy_name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Authorization.Policy.Route', 
                [], [], 
                '''                ''',
                'route',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Authorization',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Authorization.Policy', 
                [], [], 
                '''                IKEv2 authorization policy
                ''',
                'policy',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer.UpDownEnum' : _MetaInfoEnum('UpDownEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'up':'up',
            'down':'down',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer',
            False, 
            [
            _MetaInfoClassMember('peer-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'peer_address',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('peer-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'peer_address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('peer-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'peer_address',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('track', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                ''',
                'track',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('up-down', REFERENCE_ENUM_CLASS, 'UpDownEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer.UpDownEnum', 
                [], [], 
                '''                ''',
                'up_down',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'peer-id-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Client.Flexvpn.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Client.Flexvpn.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'peer_id',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('peer-id-container', REFERENCE_CLASS, 'PeerIdContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer', 
                [], [], 
                '''                ''',
                'peer_id_container',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Client.Flexvpn.Connect.UpDownEnum' : _MetaInfoEnum('UpDownEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'up':'up',
            'down':'down',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Client.Flexvpn.Connect' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Client.Flexvpn.Connect',
            False, 
            [
            _MetaInfoClassMember('track', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                ''',
                'track',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('up-down', REFERENCE_ENUM_CLASS, 'UpDownEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Client.Flexvpn.Connect.UpDownEnum', 
                [], [], 
                '''                ''',
                'up_down',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'connect',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface_name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('track', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                ''',
                'track',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'source-id-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Client.Flexvpn.Source' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Client.Flexvpn.Source',
            False, 
            [
            _MetaInfoClassMember('source-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'source_id',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('source-id-container', REFERENCE_CLASS, 'SourceIdContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer', 
                [], [], 
                '''                ''',
                'source_id_container',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Client.Flexvpn.Client_.Connect' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Client.Flexvpn.Client_.Connect',
            False, 
            [
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                ''',
                'tunnel',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'connect',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Client.Flexvpn.Client_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Client.Flexvpn.Client_',
            False, 
            [
            _MetaInfoClassMember('connect', REFERENCE_CLASS, 'Connect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Client.Flexvpn.Client_.Connect', 
                [], [], 
                '''                ''',
                'connect',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Client.Flexvpn' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Client.Flexvpn',
            False, 
            [
            _MetaInfoClassMember('flexvpn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure an IKEv2 FlexVPN client
                ''',
                'flexvpn_name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Client.Flexvpn.Client_', 
                [], [], 
                '''                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('connect', REFERENCE_CLASS, 'Connect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Client.Flexvpn.Connect', 
                [], [], 
                '''                ''',
                'connect',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer', REFERENCE_LIST, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Client.Flexvpn.Peer', 
                [], [], 
                '''                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Client.Flexvpn.Source', 
                [], [], 
                '''                ''',
                'source',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'flexvpn',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Client' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Client',
            False, 
            [
            _MetaInfoClassMember('flexvpn', REFERENCE_LIST, 'Flexvpn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Client.Flexvpn', 
                [], [], 
                '''                ''',
                'flexvpn',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Cts',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security Group Tag
                ''',
                'sgt',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Diagnose' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Diagnose',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Start IKEv2 error trace debug
                ''',
                'error',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'diagnose',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.DpdContainer.DpdQueryEnum' : _MetaInfoEnum('DpdQueryEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'on-demand':'on_demand',
            'periodic':'periodic',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.DpdContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.DpdContainer',
            False, 
            [
            _MetaInfoClassMember('dpd', ATTRIBUTE, 'int' , None, None, 
                [('10', '3600')], [], 
                '''                Enable IKE liveness check for peers
                ''',
                'dpd',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dpd-query', REFERENCE_ENUM_CLASS, 'DpdQueryEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.DpdContainer.DpdQueryEnum', 
                [], [], 
                '''                ''',
                'dpd_query',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('retry-interval', ATTRIBUTE, 'int' , None, None, 
                [('2', '60')], [], 
                '''                ''',
                'retry_interval',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dpd-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Fragmentation' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Fragmentation',
            False, 
            [
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('68', '1500')], [], 
                '''                MTU size for fragmentation
                ''',
                'mtu',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'fragmentation',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.HttpUrl' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.HttpUrl',
            False, 
            [
            _MetaInfoClassMember('cert', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable certificate lookup based on HTTP-based URL
                ''',
                'cert',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'http-url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_mask',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Keyring.Peer.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Keyring.Peer.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ipv6_prefix',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Keyring.Peer.Identity.Email' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Keyring.Peer.Identity.Email',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                email Domain Name
                ''',
                'domain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'email',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                email Domain Name
                ''',
                'domain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'fqdn',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Keyring.Peer.Identity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Keyring.Peer.Identity',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('email', REFERENCE_CLASS, 'Email' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Keyring.Peer.Identity.Email', 
                [], [], 
                '''                Use email address
                ''',
                'email',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fqdn', REFERENCE_CLASS, 'Fqdn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn', 
                [], [], 
                '''                Use FQDN
                ''',
                'fqdn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                proprietary types of identification (ID KEY ID)
                ''',
                'key_id',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hex', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Key entered in hex string
                ''',
                'hex',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify signing key
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('remote', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify verifying key
                ''',
                'remote',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pre-shared-key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Keyring.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Keyring.Peer',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Keyring.Peer.Address', 
                [], [], 
                '''                Specify IPv4/IPv6 address of peer
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a description of this peer
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Hostname of peer
                ''',
                'hostname',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', REFERENCE_CLASS, 'Identity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Keyring.Peer.Identity', 
                [], [], 
                '''                Specify IKE identity to use
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pre-shared-key', REFERENCE_CLASS, 'PreSharedKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey', 
                [], [], 
                '''                specify the pre-shared key
                ''',
                'pre_shared_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Keyring' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Keyring',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('peer', REFERENCE_LIST, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Keyring.Peer', 
                [], [], 
                '''                Configure a Peer and associated keys
                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'keyring',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Limit.MaxNegSa.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'incoming':'incoming',
            'outgoing':'outgoing',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Limit.MaxNegSa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Limit.MaxNegSa',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Limit.MaxNegSa.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('max-in-negotation-sa', ATTRIBUTE, 'int' , None, None, 
                [('1', '9999')], [], 
                '''                Limit the maximum number of negotiating SA
                ''',
                'max_in_negotation_sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'max-neg-sa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Limit',
            False, 
            [
            _MetaInfoClassMember('max-neg-sa', REFERENCE_CLASS, 'MaxNegSa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Limit.MaxNegSa', 
                [], [], 
                '''                ''',
                'max_neg_sa',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('max-sa', ATTRIBUTE, 'int' , None, None, 
                [('1', '9999')], [], 
                '''                Limit the maximum number of SA allowed
                ''',
                'max_sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Nat' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Nat',
            False, 
            [
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'int' , None, None, 
                [('5', '3600')], [], 
                '''                Set NAT keepalive interval
                ''',
                'keepalive',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'nat',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Policy.Match.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Policy.Match.Address',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Local address
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('local', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Local address
                        ''',
                        'local',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('local', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Local address
                        ''',
                        'local',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Policy.Match.Fvrf' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Policy.Match.Fvrf',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any fvrf
                ''',
                'any',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'fvrf',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Policy.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Policy.Match',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Policy.Match.Address', 
                [], [], 
                '''                Specify the address to match
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fvrf', REFERENCE_CLASS, 'Fvrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Policy.Match.Fvrf', 
                [], [], 
                '''                Specify fvrf
                ''',
                'fvrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Policy',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Policy.Match', 
                [], [], 
                '''                Match values of local fields
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('proposal', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify Proposal
                ''',
                'proposal',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Accounting',
            False, 
            [
            _MetaInfoClassMember('anyconnect-eap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is AnyConnect EAP
                ''',
                'anyconnect_eap',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cert', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is certificate based
                ''',
                'cert',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('eap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is EAP
                ''',
                'eap',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('psk', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is PSK
                ''',
                'psk',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authentication',
            False, 
            [
            _MetaInfoClassMember('anyconnect-eap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA AnyConnect EAP authentication
                ''',
                'anyconnect_eap',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('eap', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA EAP authentication
                ''',
                'eap',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Local AAA Authorization
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name-mangler', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the name-mangler to derive AAA username
                ''',
                'name_mangler',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password', 
                [], [], 
                '''                Specify the AAA password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'username',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List', 
                [], [], 
                '''                AAA method list
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'anyconnect-eap',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Local AAA Authorization
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name-mangler', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the name-mangler to derive AAA username
                ''',
                'name_mangler',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password', 
                [], [], 
                '''                Specify the AAA password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'username',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List', 
                [], [], 
                '''                AAA method list
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'cert',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Local AAA Authorization
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name-mangler', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the name-mangler to derive AAA username
                ''',
                'name_mangler',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password', 
                [], [], 
                '''                Specify the AAA password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'username',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List', 
                [], [], 
                '''                AAA method list
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Local AAA Authorization
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name-mangler', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the name-mangler to derive AAA username
                ''',
                'name_mangler',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password', 
                [], [], 
                '''                Specify the AAA password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'username',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List', 
                [], [], 
                '''                AAA method list
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'psk',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group',
            False, 
            [
            _MetaInfoClassMember('anyconnect-eap', REFERENCE_CLASS, 'AnyconnectEap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap', 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is anyconnect eap based
                ''',
                'anyconnect_eap',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cert', REFERENCE_CLASS, 'Cert' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert', 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is certificate based
                ''',
                'cert',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap', 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is EAP
                ''',
                'eap',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Override user authorization with group authorization.By default, group authorization isoverridden with user authorization
                ''',
                'override',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('psk', REFERENCE_CLASS, 'Psk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk', 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is PSK
                ''',
                'psk',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Local AAA Authorization
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name-mangler', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the name-mangler to derive AAA username
                ''',
                'name_mangler',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password', 
                [], [], 
                '''                Specify the AAA password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'username',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap',
            False, 
            [
            _MetaInfoClassMember('cached', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use cached attributes from EAP authentication or AAA pre-shared key fetch
                ''',
                'cached',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List', 
                [], [], 
                '''                AAA method list
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'anyconnect-eap',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Local AAA Authorization
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name-mangler', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the name-mangler to derive AAA username
                ''',
                'name_mangler',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password', 
                [], [], 
                '''                Specify the AAA password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'username',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List', 
                [], [], 
                '''                AAA method list
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'cert',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Local AAA Authorization
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name-mangler', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the name-mangler to derive AAA username
                ''',
                'name_mangler',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password', 
                [], [], 
                '''                Specify the AAA password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'username',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap',
            False, 
            [
            _MetaInfoClassMember('cached', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use cached attributes from EAP authentication or AAA pre-shared key fetch
                ''',
                'cached',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List', 
                [], [], 
                '''                AAA method list
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Local AAA Authorization
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name-mangler', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the name-mangler to derive AAA username
                ''',
                'name_mangler',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password', 
                [], [], 
                '''                Specify the AAA password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'username',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk',
            False, 
            [
            _MetaInfoClassMember('cached', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use cached attributes from EAP authentication or AAA pre-shared key fetch
                ''',
                'cached',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List', 
                [], [], 
                '''                AAA method list
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'psk',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization.User',
            False, 
            [
            _MetaInfoClassMember('anyconnect-eap', REFERENCE_CLASS, 'AnyconnectEap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap', 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is anyconnect eap based
                ''',
                'anyconnect_eap',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cert', REFERENCE_CLASS, 'Cert' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert', 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is certificate based
                ''',
                'cert',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap', 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is EAP
                ''',
                'eap',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('psk', REFERENCE_CLASS, 'Psk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk', 
                [], [], 
                '''                AAA list to use when IKEv2 remote auth method is PSK
                ''',
                'psk',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa.Authorization',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group', 
                [], [], 
                '''                AAA group authorization
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization.User', 
                [], [], 
                '''                AAA user authorization
                ''',
                'user',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Aaa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Aaa',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Accounting', 
                [], [], 
                '''                AAA accounting
                ''',
                'accounting',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authentication', 
                [], [], 
                '''                AAA authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa.Authorization', 
                [], [], 
                '''                AAA authorization
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'aaa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc',
            False, 
            [
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password', 
                [], [], 
                '''                EAP password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EAP username
                ''',
                'username',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'gtc',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5',
            False, 
            [
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password', 
                [], [], 
                '''                EAP password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EAP username
                ''',
                'username',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2',
            False, 
            [
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password', 
                [], [], 
                '''                EAP password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EAP username
                ''',
                'username',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'mschapv2',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Local.Eap',
            False, 
            [
            _MetaInfoClassMember('gtc', REFERENCE_CLASS, 'Gtc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc', 
                [], [], 
                '''                eap method gtc credentials
                ''',
                'gtc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5', 
                [], [], 
                '''                eap method md5 credentials
                ''',
                'md5',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('mschapv2', REFERENCE_CLASS, 'Mschapv2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2', 
                [], [], 
                '''                eap method mschapv2 credentials
                ''',
                'mschapv2',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare',
            False, 
            [
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key', 
                [], [], 
                '''                specify key
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pre-share',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Local' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Local',
            False, 
            [
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.Eap', 
                [], [], 
                '''                Extended Authentication Protocol
                ''',
                'eap',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ecdsa-sig', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ECDSA Signature
                ''',
                'ecdsa_sig',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pre-share', REFERENCE_CLASS, 'PreShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare', 
                [], [], 
                '''                Pre-Shared Key
                ''',
                'pre_share',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa-sig', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Rivest-Shamir-Adleman Signature
                ''',
                'rsa_sig',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap.Aggregate' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap.Aggregate',
            False, 
            [
            _MetaInfoClassMember('cert-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                use double authentication during anyconnect eap
                ''',
                'cert_request',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'aggregate',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap',
            False, 
            [
            _MetaInfoClassMember('aggregate', REFERENCE_CLASS, 'Aggregate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap.Aggregate', 
                [], [], 
                '''                use aggregate auth for anyconnect eap
                ''',
                'aggregate',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'anyconnect-eap',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Remote.Eap' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Remote.Eap',
            False, 
            [
            _MetaInfoClassMember('query-identity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                query EAP identity from peer
                ''',
                'query_identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('45', '180')], [], 
                '''                timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'eap',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare',
            False, 
            [
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key', 
                [], [], 
                '''                specify key
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pre-share',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication.Remote' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication.Remote',
            False, 
            [
            _MetaInfoClassMember('anyconnect-eap', REFERENCE_CLASS, 'AnyconnectEap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap', 
                [], [], 
                '''                AnyConnect EAP
                ''',
                'anyconnect_eap',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Remote.Eap', 
                [], [], 
                '''                Extended Authentication Protocol
                ''',
                'eap',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ecdsa-sig', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ECDSA Signature
                ''',
                'ecdsa_sig',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pre-share', REFERENCE_CLASS, 'PreShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare', 
                [], [], 
                '''                Pre-Shared Key
                ''',
                'pre_share',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa-sig', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Rivest-Shamir-Adleman Signature
                ''',
                'rsa_sig',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'remote',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Authentication',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Local', 
                [], [], 
                '''                Set local authentication method
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('remote', REFERENCE_CLASS, 'Remote' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication.Remote', 
                [], [], 
                '''                Set remote authentication method
                ''',
                'remote',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.ConfigExchange.SetEnum' : _MetaInfoEnum('SetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'accept':'accept',
            'send':'send',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.ConfigExchange' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.ConfigExchange',
            False, 
            [
            _MetaInfoClassMember('request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable config-exchange request
                ''',
                'request',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('set', REFERENCE_ENUM_CLASS, 'SetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.ConfigExchange.SetEnum', 
                [], [], 
                '''                config-exchange set options
                ''',
                'set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'config-exchange',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Dpd.QueryEnum' : _MetaInfoEnum('QueryEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'on-demand':'on_demand',
            'periodic':'periodic',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Dpd' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Dpd',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('10', '3600')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('query', REFERENCE_ENUM_CLASS, 'QueryEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Dpd.QueryEnum', 
                [], [], 
                '''                ''',
                'query',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('retry', ATTRIBUTE, 'int' , None, None, 
                [('2', '60')], [], 
                '''                ''',
                'retry',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dpd',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Identity.Local' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Identity.Local',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        address
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        address
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('dn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distinguished Name
                ''',
                'dn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('email', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Fully qualified email string
                email <user@domain>
                ''',
                'email',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Fully qualified domain name string
                FQDN <host.domain>
                ''',
                'fqdn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                key-id opaque string - proprietary types of identification
                key-id string
                ''',
                'key_id',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Identity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Identity',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Identity.Local', 
                [], [], 
                '''                Specify the local IKE identity to use for the negotiation
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.InitialContact' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.InitialContact',
            False, 
            [
            _MetaInfoClassMember('force', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforces initial-contact based clean-up
                ''',
                'force',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'initial-contact',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Keyring.Aaa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Keyring.Aaa',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('name-mangler', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the name-mangler to derive username
                ''',
                'name_mangler',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password', 
                [], [], 
                '''                Specify the AAA password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'aaa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Keyring' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Keyring',
            False, 
            [
            _MetaInfoClassMember('aaa', REFERENCE_LIST, 'Aaa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Keyring.Aaa', 
                [], [], 
                '''                AAA based keyring
                ''',
                'aaa',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Local keyring
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'keyring',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Lifetime',
            False, 
            [
            _MetaInfoClassMember('certificate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable certificate based lifetime
                ''',
                'certificate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('120', '86400')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Match.Address.Local' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Match.Address.Local',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify an interface
                ''',
                'interface',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            ],
            'Cisco-IOS-XE-crypto',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Match.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Match.Address',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Match.Address.Local', 
                [], [], 
                '''                Local address
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Match.Fvrf' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Match.Fvrf',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Any fvrf
                ''',
                'any',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'fvrf',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_mask',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ipv6_prefix',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                match domain instead of exact
                ''',
                'domain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'email',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                match domain instead of exact
                ''',
                'domain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'fqdn',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Match.Identity.Remote' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Match.Identity.Remote',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address', 
                [], [], 
                '''                IP address(es)
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                match any peer identity
                ''',
                'any',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('email', REFERENCE_CLASS, 'Email' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email', 
                [], [], 
                '''                Fully qualified email string [Max. 255 char(s)]
                ''',
                'email',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fqdn', REFERENCE_CLASS, 'Fqdn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn', 
                [], [], 
                '''                Fully qualified domain name string [Max. 255 char(s)]
                ''',
                'fqdn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                key-id opaque string
                ''',
                'key_id',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'remote',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Match.Identity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Match.Identity',
            False, 
            [
            _MetaInfoClassMember('remote', REFERENCE_CLASS, 'Remote' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Match.Identity.Remote', 
                [], [], 
                '''                Remote identity
                ''',
                'remote',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Match',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Match.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('certificate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Peer certificate attributes
                ''',
                'certificate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fvrf', REFERENCE_CLASS, 'Fvrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Match.Fvrf', 
                [], [], 
                '''                fvrf of the profile
                ''',
                'fvrf',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', REFERENCE_CLASS, 'Identity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Match.Identity', 
                [], [], 
                '''                IKE identity
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Nat' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Nat',
            False, 
            [
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'int' , None, None, 
                [('5', '3600')], [], 
                '''                NAT keepalive interval
                ''',
                'keepalive',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'nat',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Pki.UseEnum' : _MetaInfoEnum('UseEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sign':'sign',
            'verify':'verify',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.Pki' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Pki',
            False, 
            [
            _MetaInfoClassMember('trustpoint', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cert authority trustpoint for RSA sig
                ''',
                'trustpoint',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('use', REFERENCE_ENUM_CLASS, 'UseEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Pki.UseEnum', 
                [], [], 
                '''                ''',
                'use',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pki',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Reconnect' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Reconnect',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('600', '86400')], [], 
                '''                timeout value for session in reconnect state
                ''',
                'timeout',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'reconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Redirect.Gateway' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Redirect.Gateway',
            False, 
            [
            _MetaInfoClassMember('auth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redirect at SA authentication
                ''',
                'auth',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'gateway',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.Redirect',
            False, 
            [
            _MetaInfoClassMember('gateway', REFERENCE_CLASS, 'Gateway' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Redirect.Gateway', 
                [], [], 
                '''                Enables Redirect Mechanism on Gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile.VirtualTemplate.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auto':'auto',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Profile.VirtualTemplate' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile.VirtualTemplate',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.VirtualTemplate.ModeEnum', 
                [], [], 
                '''                Enabling Tunnel Auto Mode
                ''',
                'mode',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'virtual-template',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Profile' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Profile',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('aaa', REFERENCE_CLASS, 'Aaa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Aaa', 
                [], [], 
                '''                Specify AAA related configs
                ''',
                'aaa',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Authentication', 
                [], [], 
                '''                Set authentication method
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('config-exchange', REFERENCE_CLASS, 'ConfigExchange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.ConfigExchange', 
                [], [], 
                '''                config-exchange options
                ''',
                'config_exchange',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a description of this profile
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dpd', REFERENCE_CLASS, 'Dpd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Dpd', 
                [], [], 
                '''                Enable IKE liveness check for peers
                ''',
                'dpd',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', REFERENCE_CLASS, 'Identity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Identity', 
                [], [], 
                '''                Specify IKE identity to use
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('initial-contact', REFERENCE_CLASS, 'InitialContact' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.InitialContact', 
                [], [], 
                '''                initial-contact processing options
                ''',
                'initial_contact',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ivrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                I-VRF of the profile
                ''',
                'ivrf',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('keyring', REFERENCE_CLASS, 'Keyring' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Keyring', 
                [], [], 
                '''                Specify keyring to use
                ''',
                'keyring',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Lifetime', 
                [], [], 
                '''                Set lifetime for ISAKMP security association
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Match', 
                [], [], 
                '''                Match values of peer
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nat', REFERENCE_CLASS, 'Nat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Nat', 
                [], [], 
                '''                NAT-transparency
                ''',
                'nat',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pki', REFERENCE_CLASS, 'Pki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Pki', 
                [], [], 
                '''                Specify certificate authorities to trust
                ''',
                'pki',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reconnect', REFERENCE_CLASS, 'Reconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Reconnect', 
                [], [], 
                '''                Enable profile for auto re-connect
                ''',
                'reconnect',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.Redirect', 
                [], [], 
                '''                IKEv2 Redirect Mechanism for load-balancing
                ''',
                'redirect',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                shutdown the IKEv2 profile
                ''',
                'shutdown',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('virtual-template', REFERENCE_CLASS, 'VirtualTemplate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile.VirtualTemplate', 
                [], [], 
                '''                Specify the virtual-template for dynamic interface creation.
                ''',
                'virtual_template',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'profile',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Proposal.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Proposal.Encryption',
            False, 
            [
            _MetaInfoClassMember('aes-cbc-128', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                AES-CBC-128
                ''',
                'aes_cbc_128',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-cbc-192', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                AES-CBC-192
                ''',
                'aes_cbc_192',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-cbc-256', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                AES-CBC-256
                ''',
                'aes_cbc_256',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-gcm-128', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Combined-mode,128 bit key,16 byte ICV(Authentication Tag)
                ''',
                'aes_gcm_128',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-gcm-256', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Combined-mode,256 bit key,16 byte ICV(Authentication Tag)
                ''',
                'aes_gcm_256',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('des', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DES
                ''',
                'des',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('en-3des', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                3DES
                ''',
                'en_3des',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Proposal.Group' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Proposal.Group',
            False, 
            [
            _MetaInfoClassMember('fifteen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DH 3072 MODP
                ''',
                'fifteen',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('five', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DH 1536 MODP
                ''',
                'five',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fourteen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DH 2048 MODP
                ''',
                'fourteen',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nineteen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DH 256 ECP
                ''',
                'nineteen',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('one', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DH 768 MODP
                ''',
                'one',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sixteen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DH 4096 MODP
                ''',
                'sixteen',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('twenty', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DH 384 ECP
                ''',
                'twenty',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('twenty-four', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DH 2048 (256 subgroup) MODP
                ''',
                'twenty_four',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('twenty-one', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DH 521 ECP
                ''',
                'twenty_one',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('two', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DH 1024 MODP
                ''',
                'two',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Proposal.Integrity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Proposal.Integrity',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Message Digest 5
                ''',
                'md5',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard
                ''',
                'sha1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha256', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (256 bit)
                ''',
                'sha256',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha384', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (384 bit)
                ''',
                'sha384',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha512', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (512 bit)
                ''',
                'sha512',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'integrity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Proposal.Prf' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Proposal.Prf',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Message Digest 5
                ''',
                'md5',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard
                ''',
                'sha1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha256', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (256 bit)
                ''',
                'sha256',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha384', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (384 bit)
                ''',
                'sha384',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha512', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (512 bit)
                ''',
                'sha512',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'prf',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Proposal' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Proposal',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Proposal.Encryption', 
                [], [], 
                '''                Set encryption algorithm(s) for proposal
                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Proposal.Group', 
                [], [], 
                '''                Set the Diffie-Hellman group(s)
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('integrity', REFERENCE_CLASS, 'Integrity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Proposal.Integrity', 
                [], [], 
                '''                Set integrity hash algorithm(s) for proposal
                ''',
                'integrity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('prf', REFERENCE_CLASS, 'Prf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Proposal.Prf', 
                [], [], 
                '''                Set prf algorithm(s) for proposal
                ''',
                'prf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'proposal',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Reconnect' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Reconnect',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'str' , None, None, 
                [(1, 128)], [], 
                '''                Current active cluster reconnect key
                ''',
                'active',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                Cluster Reconnect key
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(1, 128)], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'reconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Redirect.Client' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Redirect.Client',
            False, 
            [
            _MetaInfoClassMember('max-redirects', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Redirect loop detection
                ''',
                'max_redirects',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2.Redirect.GatewayEnum' : _MetaInfoEnum('GatewayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auth':'auth',
            'init':'init',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ikev2.Redirect' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2.Redirect',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Redirect.Client', 
                [], [], 
                '''                Enables Redirect Mechanism on Client
                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gateway', REFERENCE_ENUM_CLASS, 'GatewayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Redirect.GatewayEnum', 
                [], [], 
                '''                Enables Redirect Mechanism on Gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ikev2' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ikev2',
            False, 
            [
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Authorization', 
                [], [], 
                '''                IKEv2 authorization
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('certificate-cache', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cache for storing certs fetched from HTTP URLs
                ''',
                'certificate_cache',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Client', 
                [], [], 
                '''                IKEv2 client configuration
                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cluster load-balancer settings
                ''',
                'cluster',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cookie-challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set Cookie-challenge watermark
                ''',
                'cookie_challenge',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Cts', 
                [], [], 
                '''                Cisco Trust Security
                ''',
                'cts',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('diagnose', REFERENCE_CLASS, 'Diagnose' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Diagnose', 
                [], [], 
                '''                IKEV2 diagnose
                ''',
                'diagnose',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('disconnect-revoked-peers', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disconnect Crypto Session with Cert Revoked Peer
                ''',
                'disconnect_revoked_peers',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dpd-container', REFERENCE_CLASS, 'DpdContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.DpdContainer', 
                [], [], 
                '''                ''',
                'dpd_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_CLASS, 'Fragmentation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Fragmentation', 
                [], [], 
                '''                Enable fragmentation of ikev2 packets
                ''',
                'fragmentation',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('http-url', REFERENCE_CLASS, 'HttpUrl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.HttpUrl', 
                [], [], 
                '''                Enable http URL lookup
                ''',
                'http_url',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('keyring', REFERENCE_LIST, 'Keyring' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Keyring', 
                [], [], 
                '''                Define IKEv2 Keyring
                ''',
                'keyring',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Limit', 
                [], [], 
                '''                Limit the number of maximum and negotiating sa
                ''',
                'limit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name-mangler', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name mangler
                ''',
                'name_mangler',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nat', REFERENCE_CLASS, 'Nat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Nat', 
                [], [], 
                '''                NAT-transparency
                ''',
                'nat',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Policy', 
                [], [], 
                '''                Define IKEV2 policies
                ''',
                'policy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', REFERENCE_LIST, 'Profile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Profile', 
                [], [], 
                '''                Define IKEV2 profiles
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('proposal', REFERENCE_LIST, 'Proposal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Proposal', 
                [], [], 
                '''                Define IKEV2 proposals
                ''',
                'proposal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reconnect', REFERENCE_CLASS, 'Reconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Reconnect', 
                [], [], 
                '''                Cluster Reconnect
                ''',
                'reconnect',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2.Redirect', 
                [], [], 
                '''                IKEv2 Redirect Mechanism for load-balancing
                ''',
                'redirect',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('window', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IKEV2 window size
                ''',
                'window',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ikev2',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Client.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Client.Protocol',
            False, 
            [
            _MetaInfoClassMember('gdoi', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use GDOI (ISAKMP) Protocol for Registration & Rekey
                ''',
                'gdoi',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gikev2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use G-IKEv2 Protocol for Registration & Rekey
                ''',
                'gikev2',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Client.RecoveryCheck' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Client.RecoveryCheck',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('100', '1000')], [], 
                '''                Waiting period(sec) between consecutive recovery registrations
                ''',
                'interval',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'recovery-check',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Client.Registration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Client.Registration',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the group client management/register interface
                ''',
                'interface',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'registration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Client.Rekey.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Client.Rekey.Encryption',
            False, 
            [
            _MetaInfoClassMember('aes-128', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                128 bit AES
                ''',
                'aes_128',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-192', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                192 bit AES
                ''',
                'aes_192',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-256', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                256 bit AES
                ''',
                'aes_256',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('des-cbc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DES in CBC mode
                ''',
                'des_cbc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rekey-3des-cbc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'rekey_3des_cbc',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Client.Rekey.Hash' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Client.Rekey.Hash',
            False, 
            [
            _MetaInfoClassMember('sha', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard
                ''',
                'sha',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha256', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (256 bit)
                ''',
                'sha256',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha384', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (384 bit)
                ''',
                'sha384',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sha512', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secure Hash Standard 2 (512 bit)
                ''',
                'sha512',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'hash',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Client.Rekey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Client.Rekey',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Client.Rekey.Encryption', 
                [], [], 
                '''                Set the group client acceptable rekey ciphers
                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hash', REFERENCE_CLASS, 'Hash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Client.Rekey.Hash', 
                [], [], 
                '''                Set the group client acceptable rekey hash
                ''',
                'hash',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rekey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Client.Status.ActiveSa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Client.Status.ActiveSa',
            False, 
            [
            _MetaInfoClassMember('track', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                enable stub tracking object
                ''',
                'track',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'active-sa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Client.Status' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Client.Status',
            False, 
            [
            _MetaInfoClassMember('active-sa', REFERENCE_CLASS, 'ActiveSa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Client.Status.ActiveSa', 
                [], [], 
                '''                TEK SA with positive remaining lifetime
                ''',
                'active_sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Client.TransportEncryptKeyEnum' : _MetaInfoEnum('TransportEncryptKeyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'group-key':'group_key',
            'pair-wise-key':'pair_wise_key',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gkm.Group.Client' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Client',
            False, 
            [
            _MetaInfoClassMember('bypass-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow group-key management traffic sent to this GM only
                ''',
                'bypass_policy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Client.Protocol', 
                [], [], 
                '''                Group Member Registration & Rekey Protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('recovery-check', REFERENCE_CLASS, 'RecoveryCheck' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Client.RecoveryCheck', 
                [], [], 
                '''                Specify GM recovery check parameters
                ''',
                'recovery_check',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('registration', REFERENCE_CLASS, 'Registration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Client.Registration', 
                [], [], 
                '''                Set the group client management/register interface
                ''',
                'registration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rekey', REFERENCE_CLASS, 'Rekey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Client.Rekey', 
                [], [], 
                '''                Set the group client acceptable rekey ciphers and hashs
                ''',
                'rekey',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Client.Status', 
                [], [], 
                '''                group-member status
                ''',
                'status',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transform-sets', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Specify list of group client acceptable transform sets
                ''',
                'transform_sets',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transport-encrypt-key', REFERENCE_ENUM_CLASS, 'TransportEncryptKeyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Client.TransportEncryptKeyEnum', 
                [], [], 
                '''                Enforce group or pair-wise keying
                ''',
                'transport_encrypt_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Identity.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Identity.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the identity of the group as an IPv4 address
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Identity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Identity',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Identity.Address', 
                [], [], 
                '''                Set the identity of the group as an address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Set the identity of the group as a number
                ''',
                'number',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the IPv4 address of the group server
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the IPv6 address of the group server
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Hostname',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the IPv4 hostname of the group server
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set ipv4 address of local server
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Authorization.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Authorization.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set authorization by address
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Set authorization by address
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Set authorization by address
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Authorization',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Authorization.Address', 
                [], [], 
                '''                Set authorization by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set authorization by identity
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Group_.Size.SmallEnum' : _MetaInfoEnum('SmallEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '12':'Y_12',
            '16':'Y_16',
            '8':'Y_8',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gkm.Group.Server.Local.Group_.Size' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Group_.Size',
            False, 
            [
            _MetaInfoClassMember('large', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                32-bit Sender ID (FIPS 140-2 Operating Mode)
                ''',
                'large',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                24-bit Sender ID (Default)
                ''',
                'medium',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('small', REFERENCE_ENUM_CLASS, 'SmallEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Group_.Size.SmallEnum', 
                [], [], 
                '''                Interoperable with GDOI / G-IKEv2 Standard
                ''',
                'small',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'size',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Group_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Group_',
            False, 
            [
            _MetaInfoClassMember('size', REFERENCE_CLASS, 'Size' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Group_.Size', 
                [], [], 
                '''                Set Group Size for Suite-B counter transforms (SID length)
                ''',
                'size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range',
            False, 
            [
            _MetaInfoClassMember('highest', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                ''',
                'highest',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'hyphen',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lowest', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                ''',
                'lowest',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Identifier.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Identifier.Default',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range', 
                [], [], 
                '''                Assign range of Key Server Sender IDs (unique in entire group)
                ''',
                'range',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                Assign Key Server Sender ID (unique in entire group)
                ''',
                'value',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Identifier.Range' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Identifier.Range',
            False, 
            [
            _MetaInfoClassMember('highest', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                ''',
                'highest',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hyphen', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'hyphen',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lowest', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                ''',
                'lowest',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Identifier' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Identifier',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Identifier.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Identifier.Range', 
                [], [], 
                '''                Assign range of Key Server Sender IDs (unique in entire group)
                ''',
                'range',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                Assign Key Server Sender ID (unique in entire group)
                ''',
                'value',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'identifier',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Local_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Local_',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set local server priority
                ''',
                'priority',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set peer server ipv4 address
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address', 
                [], [], 
                '''                Peer server address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'base':'base',
            'optimize':'optimize',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol',
            False, 
            [
            _MetaInfoClassMember('pdu', ATTRIBUTE, 'int' , None, None, 
                [('1', '65000')], [], 
                '''                Maximum size of COOP messages
                ''',
                'pdu',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol.VersionEnum', 
                [], [], 
                '''                Set COOP ANN version
                ''',
                'version',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Local_', 
                [], [], 
                '''                Local key server configurations
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer', 
                [], [], 
                '''                Peer server configurations
                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol', 
                [], [], 
                '''                Specify various protocol operational values
                ''',
                'protocol',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Local_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Redundancy.Local_',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set local server priority
                ''',
                'priority',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set peer server ipv4 address
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address', 
                [], [], 
                '''                Peer server address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'base':'base',
            'optimize':'optimize',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol',
            False, 
            [
            _MetaInfoClassMember('pdu', ATTRIBUTE, 'int' , None, None, 
                [('1', '65000')], [], 
                '''                Maximum size of COOP messages
                ''',
                'pdu',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol.VersionEnum', 
                [], [], 
                '''                Set COOP ANN version
                ''',
                'version',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Redundancy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Redundancy',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Local_', 
                [], [], 
                '''                Local key server configurations
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer', 
                [], [], 
                '''                Peer server configurations
                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol', 
                [], [], 
                '''                Specify various protocol operational values
                ''',
                'protocol',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'redundancy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl',
            False, 
            [
            _MetaInfoClassMember('trustpoint', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                For a PKI trustpoint
                ''',
                'trustpoint',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crl',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic',
            False, 
            [
            _MetaInfoClassMember('crl', REFERENCE_CLASS, 'Crl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl', 
                [], [], 
                '''                On every new CRL
                ''',
                'crl',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'periodic',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Registration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Registration',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Identify an interface on which to respond to GKM registrations
                ''',
                'interface',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('periodic', REFERENCE_CLASS, 'Periodic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic', 
                [], [], 
                '''                Define periodic registrations for the group
                ''',
                'periodic',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'registration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Rekey.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Rekey.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match ipv4 packets
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm',
            False, 
            [
            _MetaInfoClassMember('a3des-cbc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Triple DES in CBC mode
                ''',
                'a3des_cbc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-128', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                128 bit AES
                ''',
                'aes_128',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-192', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                192 bit AES
                ''',
                'aes_192',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes-256', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                256 bit AES
                ''',
                'aes_256',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('des-cbc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DES in CBC mode
                ''',
                'des_cbc',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey',
            False, 
            [
            _MetaInfoClassMember('rsa', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Identify an RSA keypair
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'mypubkey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication',
            False, 
            [
            _MetaInfoClassMember('mypubkey', REFERENCE_CLASS, 'Mypubkey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey', 
                [], [], 
                '''                Identify a keypair associated with this device
                ''',
                'mypubkey',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                Time-based key duration in days
                ''',
                'days',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('300', '2592000')], [], 
                '''                Time-based key duration in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Retransmit this many times
                ''',
                'number',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('periodic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Periodically send retransmit rekeys
                ''',
                'periodic',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('10', '60')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'retransmit',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash.AlgorithmEnum' : _MetaInfoEnum('AlgorithmEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha':'sha',
            'sha256':'sha256',
            'sha384':'sha384',
            'sha512':'sha512',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash',
            False, 
            [
            _MetaInfoClassMember('algorithm', REFERENCE_ENUM_CLASS, 'AlgorithmEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash.AlgorithmEnum', 
                [], [], 
                '''                Set the rekey signature-hash algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'sig-hash',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify unicast rekey distribution
                ''',
                'unicast',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Rekey.AcknowledgementEnum' : _MetaInfoEnum('AcknowledgementEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'any':'any',
            'cisco':'cisco',
            'interoperable':'interoperable',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gkm.Group.Server.Local.Rekey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Rekey',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', REFERENCE_ENUM_CLASS, 'AcknowledgementEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Rekey.AcknowledgementEnum', 
                [], [], 
                '''                Request group members to acknowledge rekeys
                ''',
                'acknowledgement',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Rekey.Address', 
                [], [], 
                '''                Define the rekey packet format
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('algorithm', REFERENCE_CLASS, 'Algorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm', 
                [], [], 
                '''                Set the rekey encryption algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication', 
                [], [], 
                '''                Identify the rekey authentication keypair
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime', 
                [], [], 
                '''                Define the rekey lifetime
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('retransmit', REFERENCE_CLASS, 'Retransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit', 
                [], [], 
                '''                Define the rekey retransmission parameters
                ''',
                'retransmit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sig-hash', REFERENCE_CLASS, 'SigHash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash', 
                [], [], 
                '''                Set rekey signature-hash parameters
                ''',
                'sig_hash',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport', 
                [], [], 
                '''                Specify the rekey distribution method
                ''',
                'transport',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rekey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window',
            False, 
            [
            _MetaInfoClassMember('msec', ATTRIBUTE, 'int' , None, None, 
                [('1000', '100000')], [], 
                '''                IP-D3P window size in milliseconds
                ''',
                'msec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP-D3P window size in seconds
                ''',
                'sec',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'window',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.D3P' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.D3P',
            False, 
            [
            _MetaInfoClassMember('window', REFERENCE_CLASS, 'Window' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window', 
                [], [], 
                '''                IP-D3P window size
                ''',
                'window',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'd3p',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match.Address',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match.Address', 
                [], [], 
                '''                Match addresses of packets to encrypt
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Replay' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Replay',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'replay',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Tag',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match', 
                [], [], 
                '''                Match characteristics of packets to encrypt
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure an ipsec profile for the SA
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('replay', REFERENCE_CLASS, 'Replay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Replay', 
                [], [], 
                '''                Set replay method
                ''',
                'replay',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Tag', 
                [], [], 
                '''                Set inline tagging method
                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match ipv4 packets
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Match ipv4 packets
                        ''',
                        'ipv4',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Match ipv6 packets
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address', 
                [], [], 
                '''                Match addresses of packets to encrypt
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter.WindowSizeEnum' : _MetaInfoEnum('WindowSizeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1024':'Y_1024',
            '128':'Y_128',
            '256':'Y_256',
            '512':'Y_512',
            '64':'Y_64',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter',
            False, 
            [
            _MetaInfoClassMember('window-size', REFERENCE_ENUM_CLASS, 'WindowSizeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter.WindowSizeEnum', 
                [], [], 
                '''                Set replay window size.
                ''',
                'window_size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'counter',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Time' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Time',
            False, 
            [
            _MetaInfoClassMember('window-size', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Time based replay window size
                ''',
                'window_size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay',
            False, 
            [
            _MetaInfoClassMember('counter', REFERENCE_CLASS, 'Counter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter', 
                [], [], 
                '''                Enable anti-replay check for single source traffic by using sequence number
                ''',
                'counter',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Time', 
                [], [], 
                '''                Enable anti-replay check for any traffic by using time
                ''',
                'time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'replay',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts',
            False, 
            [
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security Group Tag
                ''',
                'sgt',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag',
            False, 
            [
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts', 
                [], [], 
                '''                Cisco Trust Security
                ''',
                'cts',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'tag',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match', 
                [], [], 
                '''                Match characteristics of packets to encrypt
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure an ipsec profile for the SA
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('replay', REFERENCE_CLASS, 'Replay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay', 
                [], [], 
                '''                Set replay method
                ''',
                'replay',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', REFERENCE_CLASS, 'Tag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag', 
                [], [], 
                '''                Set inline tagging method
                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying',
            False, 
            [
            _MetaInfoClassMember('safety-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                KGS safety limit
                ''',
                'safety_limit',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pair-wise-keying',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Sa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Sa',
            False, 
            [
            _MetaInfoClassMember('d3p', REFERENCE_CLASS, 'D3P' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.D3P', 
                [], [], 
                '''                Enable IP delivery delay detection protocol for all SAs within the group
                ''',
                'd3p',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipsec', REFERENCE_LIST, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec', 
                [], [], 
                '''                Configure an IPsec SA
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pair-wise-keying', REFERENCE_CLASS, 'PairWiseKeying' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying', 
                [], [], 
                '''                Enable KGS pair-wise-keying
                ''',
                'pair_wise_keying',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('receive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure SA to work only in inbound direction
                ''',
                'receive_only',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'sa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Address',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set authorization by address
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Authorization',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address', 
                [], [], 
                '''                Set authorization by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set authorization by identity
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Group_.Size' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Group_.Size',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'size',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Group_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Group_',
            False, 
            [
            _MetaInfoClassMember('size', REFERENCE_CLASS, 'Size' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Group_.Size', 
                [], [], 
                '''                Set Group Size for Suite-B counter transforms (SID length)
                ''',
                'size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Identifier' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Identifier',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'identifier',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Redundancy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Redundancy',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'redundancy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl',
            False, 
            [
            _MetaInfoClassMember('trustpoint', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                For a PKI trustpoint
                ''',
                'trustpoint',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crl',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic',
            False, 
            [
            _MetaInfoClassMember('crl', REFERENCE_CLASS, 'Crl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl', 
                [], [], 
                '''                On every new CRL
                ''',
                'crl',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'periodic',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Registration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Registration',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Identify an interface on which to respond to GKM registrations
                ''',
                'interface',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('periodic', REFERENCE_CLASS, 'Periodic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic', 
                [], [], 
                '''                Define periodic registrations for the group
                ''',
                'periodic',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'registration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Address',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Algorithm' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Algorithm',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Authentication',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time-based key duration in days
                ''',
                'days',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time-based key duration in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Retransmit' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Retransmit',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'retransmit',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the rekey signature-hash algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'sig-hash',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify unicast rekey distribution
                ''',
                'unicast',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Rekey',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request group members to acknowledge rekeys
                ''',
                'acknowledgement',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Address', 
                [], [], 
                '''                Define the rekey packet format
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('algorithm', REFERENCE_CLASS, 'Algorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Algorithm', 
                [], [], 
                '''                Set the rekey encryption algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Authentication', 
                [], [], 
                '''                Identify the rekey authentication keypair
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime', 
                [], [], 
                '''                Define the rekey lifetime
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('retransmit', REFERENCE_CLASS, 'Retransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Retransmit', 
                [], [], 
                '''                Define the rekey retransmission parameters
                ''',
                'retransmit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sig-hash', REFERENCE_CLASS, 'SigHash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash', 
                [], [], 
                '''                Set rekey signature-hash parameters
                ''',
                'sig_hash',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport', 
                [], [], 
                '''                Specify the rekey distribution method
                ''',
                'transport',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rekey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Sa.D3P' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Sa.D3P',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'd3p',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Sa.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Sa.Ipsec',
            False, 
            [
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-crypto', True),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Sa.PairWiseKeying' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Sa.PairWiseKeying',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'pair-wise-keying',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default.Sa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default.Sa',
            False, 
            [
            _MetaInfoClassMember('d3p', REFERENCE_CLASS, 'D3P' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Sa.D3P', 
                [], [], 
                '''                Enable IP delivery delay detection protocol for all SAs within the group
                ''',
                'd3p',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipsec', REFERENCE_LIST, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Sa.Ipsec', 
                [], [], 
                '''                Configure an IPsec SA
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pair-wise-keying', REFERENCE_CLASS, 'PairWiseKeying' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Sa.PairWiseKeying', 
                [], [], 
                '''                Enable KGS pair-wise-keying
                ''',
                'pair_wise_keying',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('receive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure SA to work only in inbound direction
                ''',
                'receive_only',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'sa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local.Default',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Address', 
                [], [], 
                '''                Configure server source address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Authorization', 
                [], [], 
                '''                Configure authorization for the group
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gdoi', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                ''',
                'gdoi',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gikev2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable G-IKEv2 (IKEv2) Protocol for Registration & Rekey
                ''',
                'gikev2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Group_', 
                [], [], 
                '''                Configure parameters for the group (e.g. Suite-B)
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identifier', REFERENCE_CLASS, 'Identifier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Identifier', 
                [], [], 
                '''                Enter Suite-B KSSID (Key Server Sender ID) config mode
                ''',
                'identifier',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redundancy', REFERENCE_CLASS, 'Redundancy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Redundancy', 
                [], [], 
                '''                Enter cooperative key server configuration mode
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('registration', REFERENCE_CLASS, 'Registration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Registration', 
                [], [], 
                '''                Configure registration for the group
                ''',
                'registration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rekey', REFERENCE_CLASS, 'Rekey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Rekey', 
                [], [], 
                '''                Configure rekey policy for the group
                ''',
                'rekey',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sa', REFERENCE_CLASS, 'Sa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default.Sa', 
                [], [], 
                '''                Configure a security association
                ''',
                'sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server.Local' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server.Local',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Address', 
                [], [], 
                '''                Configure server source address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Authorization', 
                [], [], 
                '''                Configure authorization for the group
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gdoi', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                ''',
                'gdoi',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gikev2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable G-IKEv2 (IKEv2) Protocol for Registration & Rekey
                ''',
                'gikev2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Group_', 
                [], [], 
                '''                Configure parameters for the group (e.g. Suite-B)
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identifier', REFERENCE_CLASS, 'Identifier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Identifier', 
                [], [], 
                '''                Enter Suite-B KSSID (Key Server Sender ID) config mode
                ''',
                'identifier',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redundancy', REFERENCE_CLASS, 'Redundancy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Redundancy', 
                [], [], 
                '''                Enter cooperative key server configuration mode
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('registration', REFERENCE_CLASS, 'Registration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Registration', 
                [], [], 
                '''                Configure registration for the group
                ''',
                'registration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rekey', REFERENCE_CLASS, 'Rekey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Rekey', 
                [], [], 
                '''                Configure rekey policy for the group
                ''',
                'rekey',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sa', REFERENCE_CLASS, 'Sa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local.Sa', 
                [], [], 
                '''                Configure a security association
                ''',
                'sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Server' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Server',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Address', 
                [], [], 
                '''                Identify the group server by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Hostname', 
                [], [], 
                '''                Identify the group server by hostname
                ''',
                'hostname',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server.Local', 
                [], [], 
                '''                Configure GKM group server defined locally
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Client.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Client.Protocol',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Client.RecoveryCheck' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Client.RecoveryCheck',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'recovery-check',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Client.Registration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Client.Registration',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the group client management/register interface
                ''',
                'interface',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'registration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Client.Rekey.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Client.Rekey.Encryption',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Client.Rekey.Hash' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Client.Rekey.Hash',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'hash',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Client.Rekey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Client.Rekey',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Client.Rekey.Encryption', 
                [], [], 
                '''                Set the group client acceptable rekey ciphers
                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hash', REFERENCE_CLASS, 'Hash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Client.Rekey.Hash', 
                [], [], 
                '''                Set the group client acceptable rekey hash
                ''',
                'hash',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rekey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Client.Status.ActiveSa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Client.Status.ActiveSa',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'active-sa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Client.Status' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Client.Status',
            False, 
            [
            _MetaInfoClassMember('active-sa', REFERENCE_CLASS, 'ActiveSa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Client.Status.ActiveSa', 
                [], [], 
                '''                TEK SA with positive remaining lifetime
                ''',
                'active_sa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Client.TransportEncryptKeyEnum' : _MetaInfoEnum('TransportEncryptKeyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'group-key':'group_key',
            'pair-wise-key':'pair_wise_key',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Gkm.Group.Default.Client' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Client',
            False, 
            [
            _MetaInfoClassMember('bypass-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow group-key management traffic sent to this GM only
                ''',
                'bypass_policy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Client.Protocol', 
                [], [], 
                '''                Group Member Registration & Rekey Protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('recovery-check', REFERENCE_CLASS, 'RecoveryCheck' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Client.RecoveryCheck', 
                [], [], 
                '''                Specify GM recovery check parameters
                ''',
                'recovery_check',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('registration', REFERENCE_CLASS, 'Registration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Client.Registration', 
                [], [], 
                '''                Set the group client management/register interface
                ''',
                'registration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rekey', REFERENCE_CLASS, 'Rekey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Client.Rekey', 
                [], [], 
                '''                Set the group client acceptable rekey ciphers and hashs
                ''',
                'rekey',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Client.Status', 
                [], [], 
                '''                group-member status
                ''',
                'status',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transform-sets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify list of group client acceptable transform sets
                ''',
                'transform_sets',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transport-encrypt-key', REFERENCE_ENUM_CLASS, 'TransportEncryptKeyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Client.TransportEncryptKeyEnum', 
                [], [], 
                '''                Enforce group or pair-wise keying
                ''',
                'transport_encrypt_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Identity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Identity',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Server.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Server.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the IPv4 address of the group server
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Server.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Server.Hostname',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the IPv4 hostname of the group server
                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default.Server' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default.Server',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Server.Address', 
                [], [], 
                '''                Identify the group server by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Server.Hostname', 
                [], [], 
                '''                Identify the group server by hostname
                ''',
                'hostname',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure GKM group server defined locally
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group.Default',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Client', 
                [], [], 
                '''                Set the group client parameters
                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', REFERENCE_CLASS, 'Identity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Identity', 
                [], [], 
                '''                Set the identity of the group
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the group in passive mode
                ''',
                'passive',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default.Server', 
                [], [], 
                '''                Set the group server for of the group
                ''',
                'server',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm.Group' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm.Group',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Client', 
                [], [], 
                '''                Set the group client parameters
                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', REFERENCE_CLASS, 'Identity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Identity', 
                [], [], 
                '''                Set the identity of the group
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 GKM (Group Key Management) Group
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the group in passive mode
                ''',
                'passive',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group.Server', 
                [], [], 
                '''                Set the group server for of the group
                ''',
                'server',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Gkm' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Gkm',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm.Group', 
                [], [], 
                '''                Configure a GKM (Group Key Management, GDOI or G-IKEv2) Group
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'gkm',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Identity.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Identity.Default',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the crypto identity
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distinguished name identifier
                ''',
                'dn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Fully qualified distinguished name identifier
                ''',
                'fqdn',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Identity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Identity',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Identity.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description of the crypto identity
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distinguished name identifier
                ''',
                'dn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Fully qualified distinguished name identifier
                ''',
                'fqdn',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Optional' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Optional',
            False, 
            [
            _MetaInfoClassMember('retry', ATTRIBUTE, 'int' , None, None, 
                [('60', '86400')], [], 
                '''                Configure length of IPSec retry interval
                ''',
                'retry',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'optional',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Default.Dialer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Default.Dialer',
            False, 
            [
            _MetaInfoClassMember('pre-classify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable dialer list classification before initiating IKE
                ''',
                'pre_classify',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dialer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Default.Set.Pfs' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Default.Set.Pfs',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'pfs',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Default.Set.ReverseRoute' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Default.Set.ReverseRoute',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'reverse-route',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Dummy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Dummy',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'dummy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All SAs idle-out reset to default peer
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Automatically delete IPSec SAs after a given idle period.
                ''',
                'idle_time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'idle-time-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time-based key duration in days
                ''',
                'days',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('kilobytes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Volume-based key duration
                ''',
                'kilobytes',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time-based key duration in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable replay checking
                ''',
                'disable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('window-size', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set replay window size.
                ''',
                'window_size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'replay',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'per-host':'per_host',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation',
            False, 
            [
            _MetaInfoClassMember('dfbit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'dfbit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dummy', REFERENCE_CLASS, 'Dummy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Dummy', 
                [], [], 
                '''                Enable transmitting dummy packets
                ''',
                'dummy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ecn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Handling of ECN bit
                ''',
                'ecn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time-container', REFERENCE_CLASS, 'IdleTimeContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer', 
                [], [], 
                '''                ''',
                'idle_time_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.LevelEnum', 
                [], [], 
                '''                specify a security association granularity level for identities
                ''',
                'level',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime', 
                [], [], 
                '''                security association lifetime
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('replay', REFERENCE_CLASS, 'Replay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay', 
                [], [], 
                '''                Set replay checking.
                ''',
                'replay',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'security-association',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '50000')], [], 
                '''                limit  0 - 50000
                ''',
                'limit',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'security-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Default.Set' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Default.Set',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the san group parameters
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Identity restriction
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ikev2-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify ikev2 Profile
                ''',
                'ikev2_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('isakmp-profile', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify isakmp Profile
                ''',
                'isakmp_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('mixed-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Turn on IPSec mixed-mode
                ''',
                'mixed_mode',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pfs', REFERENCE_CLASS, 'Pfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default.Set.Pfs', 
                [], [], 
                '''                Specify pfs settings
                ''',
                'pfs',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reverse-route', REFERENCE_CLASS, 'ReverseRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default.Set.ReverseRoute', 
                [], [], 
                '''                Reverse Route Injection
                ''',
                'reverse_route',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('security-association', REFERENCE_CLASS, 'SecurityAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation', 
                [], [], 
                '''                Security association parameters
                ''',
                'security_association',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('security-policy', REFERENCE_CLASS, 'SecurityPolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy', 
                [], [], 
                '''                Maximum number of Security Policy entries that can be negotiated with the peer
                ''',
                'security_policy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transform-set', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify list of transform sets in priority order
                ''',
                'transform_set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Default',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the crypto map statement policy
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dialer', REFERENCE_CLASS, 'Dialer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default.Dialer', 
                [], [], 
                '''                Dialer related commands
                ''',
                'dialer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure HA for this ipsec profile
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('responder-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not initiate SAs from this device
                ''',
                'responder_only',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default.Set', 
                [], [], 
                '''                Set values for encryption/decryption
                ''',
                'set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Dialer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Dialer',
            False, 
            [
            _MetaInfoClassMember('pre-classify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable dialer list classification before initiating IKE
                ''',
                'pre_classify',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dialer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Redundancy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Redundancy',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('stateful', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable stateful failover
                ''',
                'stateful',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'redundancy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Set.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Set.Peer',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reset to default peer in list in the event of a failure
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Resolve the peer address at the time of negotiation
                ''',
                'dynamic',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Set.Pfs.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'group1':'group1',
            'group14':'group14',
            'group15':'group15',
            'group16':'group16',
            'group19':'group19',
            'group2':'group2',
            'group20':'group20',
            'group21':'group21',
            'group24':'group24',
            'group5':'group5',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.Profile.Set.Pfs' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Set.Pfs',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.Pfs.GroupEnum', 
                [], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pfs',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Set.ReverseRoute' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Set.ReverseRoute',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Distance metric for this static route
                ''',
                'distance',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Create route and tag it
                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'reverse-route',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy',
            False, 
            [
            _MetaInfoClassMember('pps', ATTRIBUTE, 'int' , None, None, 
                [('0', '25')], [], 
                '''                Simulated traffic rate (in pps)
                ''',
                'pps',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Simulated traffic rate (in seconds)
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dummy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All SAs idle-out reset to default peer
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'int' , None, None, 
                [('60', '86400')], [], 
                '''                Automatically delete IPSec SAs after a given idle period.
                ''',
                'idle_time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'idle-time-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime.KilobytesEnum' : _MetaInfoEnum('KilobytesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'disable':'disable',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                Time-based key duration in days
                ''',
                'days',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('kilobytes', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Volume-based key duration
                ''',
                'kilobytes',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('kilobytes', ATTRIBUTE, 'int' , None, None, 
                        [('2560', '4294967295')], [], 
                        '''                        Volume-based key duration
                        ''',
                        'kilobytes',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('kilobytes', REFERENCE_ENUM_CLASS, 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime.KilobytesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime.KilobytesEnum', 
                        [], [], 
                        '''                        Volume-based key duration
                        ''',
                        'kilobytes',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('120', '2592000')], [], 
                '''                Time-based key duration in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay.WindowSizeEnum' : _MetaInfoEnum('WindowSizeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1024':'Y_1024',
            '128':'Y_128',
            '256':'Y_256',
            '512':'Y_512',
            '64':'Y_64',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable replay checking
                ''',
                'disable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('window-size', REFERENCE_ENUM_CLASS, 'WindowSizeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay.WindowSizeEnum', 
                [], [], 
                '''                Set replay window size.
                ''',
                'window_size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'replay',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.DfbitEnum' : _MetaInfoEnum('DfbitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.EcnEnum' : _MetaInfoEnum('EcnEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'discard':'discard',
            'propagate':'propagate',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'per-host':'per_host',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Set.SecurityAssociation',
            False, 
            [
            _MetaInfoClassMember('dfbit', REFERENCE_ENUM_CLASS, 'DfbitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.DfbitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'dfbit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dummy', REFERENCE_CLASS, 'Dummy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy', 
                [], [], 
                '''                Enable transmitting dummy packets
                ''',
                'dummy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ecn', REFERENCE_ENUM_CLASS, 'EcnEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.EcnEnum', 
                [], [], 
                '''                Handling of ECN bit
                ''',
                'ecn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time-container', REFERENCE_CLASS, 'IdleTimeContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer', 
                [], [], 
                '''                ''',
                'idle_time_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.LevelEnum', 
                [], [], 
                '''                specify a security association granularity level for identities
                ''',
                'level',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime', 
                [], [], 
                '''                security association lifetime
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('replay', REFERENCE_CLASS, 'Replay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay', 
                [], [], 
                '''                Set replay checking.
                ''',
                'replay',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'security-association',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Set.SecurityPolicy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Set.SecurityPolicy',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '50000')], [], 
                '''                limit  0 - 50000
                ''',
                'limit',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'security-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile.Set' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile.Set',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the san group parameters
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Identity restriction
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ikev2-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify ikev2 Profile
                ''',
                'ikev2_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('isakmp-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify isakmp Profile
                ''',
                'isakmp_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('mixed-mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Turn on IPSec mixed-mode
                ''',
                'mixed_mode',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.Peer', 
                [], [], 
                '''                Allowed Encryption/Decryption peer.
                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pfs', REFERENCE_CLASS, 'Pfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.Pfs', 
                [], [], 
                '''                Specify pfs settings
                ''',
                'pfs',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reverse-route', REFERENCE_CLASS, 'ReverseRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.ReverseRoute', 
                [], [], 
                '''                Reverse Route Injection
                ''',
                'reverse_route',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('security-association', REFERENCE_CLASS, 'SecurityAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.SecurityAssociation', 
                [], [], 
                '''                Security association parameters
                ''',
                'security_association',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('security-policy', REFERENCE_CLASS, 'SecurityPolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set.SecurityPolicy', 
                [], [], 
                '''                Maximum number of Security Policy entries that can be negotiated with the peer
                ''',
                'security_policy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transform-set', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Specify list of transform sets in priority order
                ''',
                'transform_set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.Profile' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.Profile',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description of the crypto map statement policy
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dialer', REFERENCE_CLASS, 'Dialer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Dialer', 
                [], [], 
                '''                Dialer related commands
                ''',
                'dialer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redundancy', REFERENCE_CLASS, 'Redundancy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Redundancy', 
                [], [], 
                '''                Configure HA for this ipsec profile
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('responder-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not initiate SAs from this device
                ''',
                'responder_only',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile.Set', 
                [], [], 
                '''                Set values for encryption/decryption
                ''',
                'set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'profile',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.SecurityAssociation.Dummy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.SecurityAssociation.Dummy',
            False, 
            [
            _MetaInfoClassMember('pps', ATTRIBUTE, 'int' , None, None, 
                [('0', '25')], [], 
                '''                Simulated traffic rate (in pps)
                ''',
                'pps',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Simulated traffic rate (in seconds)
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dummy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.SecurityAssociation.Lifetime.KilobytesEnum' : _MetaInfoEnum('KilobytesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'disable':'disable',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.SecurityAssociation.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.SecurityAssociation.Lifetime',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                Time-based key duration in days
                ''',
                'days',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('kilobytes', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Volume-based key duration
                ''',
                'kilobytes',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('kilobytes', ATTRIBUTE, 'int' , None, None, 
                        [('2560', '4294967295')], [], 
                        '''                        Volume-based key duration
                        ''',
                        'kilobytes',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('kilobytes', REFERENCE_ENUM_CLASS, 'Native.Crypto.Ipsec.SecurityAssociation.Lifetime.KilobytesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.SecurityAssociation.Lifetime.KilobytesEnum', 
                        [], [], 
                        '''                        Volume-based key duration
                        ''',
                        'kilobytes',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('120', '2592000')], [], 
                '''                Time-based key duration in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.SecurityAssociation.Replay.WindowSizeEnum' : _MetaInfoEnum('WindowSizeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1024':'Y_1024',
            '128':'Y_128',
            '256':'Y_256',
            '512':'Y_512',
            '64':'Y_64',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.SecurityAssociation.Replay' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.SecurityAssociation.Replay',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable replay checking
                ''',
                'disable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('window-size', REFERENCE_ENUM_CLASS, 'WindowSizeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.SecurityAssociation.Replay.WindowSizeEnum', 
                [], [], 
                '''                Set replay window size.
                ''',
                'window_size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'replay',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.SecurityAssociation.EcnEnum' : _MetaInfoEnum('EcnEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'discard':'discard',
            'propagate':'propagate',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.SecurityAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.SecurityAssociation',
            False, 
            [
            _MetaInfoClassMember('dummy', REFERENCE_CLASS, 'Dummy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.SecurityAssociation.Dummy', 
                [], [], 
                '''                Enable transmitting dummy packets
                ''',
                'dummy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ecn', REFERENCE_ENUM_CLASS, 'EcnEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.SecurityAssociation.EcnEnum', 
                [], [], 
                '''                Handling of ECN bit
                ''',
                'ecn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'int' , None, None, 
                [('60', '86400')], [], 
                '''                Automatically delete IPSec SAs after a given idle period.
                ''',
                'idle_time',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.SecurityAssociation.Lifetime', 
                [], [], 
                '''                security association lifetime
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('replay', REFERENCE_CLASS, 'Replay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.SecurityAssociation.Replay', 
                [], [], 
                '''                Set replay checking.
                ''',
                'replay',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'security-association',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.TransformSet.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.TransformSet.Default',
            False, 
            [
            _MetaInfoClassMember('mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                encapsulation mode (transport/tunnel)
                ''',
                'mode',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.TransformSet.Mode.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.TransformSet.Mode.Transport',
            False, 
            [
            _MetaInfoClassMember('require', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept only the configured encapsulation mode.
                ''',
                'require',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.TransformSet.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.TransformSet.Mode',
            False, 
            [
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.TransformSet.Mode.Transport', 
                [], [], 
                '''                transport (payload encapsulation) mode
                ''',
                'transport',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tunnel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                tunnel (datagram encapsulation) mode
                ''',
                'tunnel',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.TransformSet.AhHmacEnum' : _MetaInfoEnum('AhHmacEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ah-md5-hmac':'ah_md5_hmac',
            'ah-sha-hmac':'ah_sha_hmac',
            'ah-sha256-hmac':'ah_sha256_hmac',
            'ah-sha384-hmac':'ah_sha384_hmac',
            'ah-sha512-hmac':'ah_sha512_hmac',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.TransformSet.EspEnum' : _MetaInfoEnum('EspEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'esp-3des':'esp_3des',
            'esp-aes':'esp_aes',
            'esp-des':'esp_des',
            'esp-gcm':'esp_gcm',
            'esp-gmac':'esp_gmac',
            'esp-null':'esp_null',
            'esp-seal':'esp_seal',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.TransformSet.EspHmacEnum' : _MetaInfoEnum('EspHmacEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'esp-md5-hmac':'esp_md5_hmac',
            'esp-sha-hmac':'esp_sha_hmac',
            'esp-sha256-hmac':'esp_sha256_hmac',
            'esp-sha384-hmac':'esp_sha384_hmac',
            'esp-sha512-hmac':'esp_sha512_hmac',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.TransformSet.KeyBitEnum' : _MetaInfoEnum('KeyBitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '128':'Y_128',
            '192':'Y_192',
            '256':'Y_256',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.TransformSet' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec.TransformSet',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('ah-hmac', REFERENCE_ENUM_CLASS, 'AhHmacEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.TransformSet.AhHmacEnum', 
                [], [], 
                '''                ''',
                'ah_hmac',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('comp-lzs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP Compression using the LZS compression algorithm
                ''',
                'comp_lzs',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.TransformSet.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('esp', REFERENCE_ENUM_CLASS, 'EspEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.TransformSet.EspEnum', 
                [], [], 
                '''                ''',
                'esp',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('esp-hmac', REFERENCE_ENUM_CLASS, 'EspHmacEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.TransformSet.EspHmacEnum', 
                [], [], 
                '''                ''',
                'esp_hmac',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key-bit', REFERENCE_ENUM_CLASS, 'KeyBitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.TransformSet.KeyBitEnum', 
                [], [], 
                '''                ''',
                'key_bit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.TransformSet.Mode', 
                [], [], 
                '''                encapsulation mode (transport/tunnel)
                ''',
                'mode',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'transform-set',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ipsec.DfBitEnum' : _MetaInfoEnum('DfBitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.FragmentationEnum' : _MetaInfoEnum('FragmentationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'after-encryption':'after_encryption',
            'before-encryption':'before_encryption',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.Ipv4DenyEnum' : _MetaInfoEnum('Ipv4DenyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'drop':'drop',
            'jump':'jump',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec.NatTransparencyEnum' : _MetaInfoEnum('NatTransparencyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'spi-matching':'spi_matching',
            'udp-encapsulation':'udp_encapsulation',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ipsec',
            False, 
            [
            _MetaInfoClassMember('df-bit', REFERENCE_ENUM_CLASS, 'DfBitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.DfBitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'df_bit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fragmentation', REFERENCE_ENUM_CLASS, 'FragmentationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.FragmentationEnum', 
                [], [], 
                '''                Handling of fragmentation of near-MTU sized packets
                ''',
                'fragmentation',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv4-deny', REFERENCE_ENUM_CLASS, 'Ipv4DenyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Ipv4DenyEnum', 
                [], [], 
                '''                Configure global ipv4 deny policy.
                ''',
                'ipv4_deny',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nat-transparency', REFERENCE_ENUM_CLASS, 'NatTransparencyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.NatTransparencyEnum', 
                [], [], 
                '''                IPsec NAT transparency model
                ''',
                'nat_transparency',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('optional', REFERENCE_CLASS, 'Optional' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Optional', 
                [], [], 
                '''                Enable optional encryption for IPSec
                ''',
                'optional',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', REFERENCE_LIST, 'Profile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.Profile', 
                [], [], 
                '''                Configure an ipsec policy profile
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('security-association', REFERENCE_CLASS, 'SecurityAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.SecurityAssociation', 
                [], [], 
                '''                Security association parameters
                ''',
                'security_association',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transform-set', REFERENCE_LIST, 'TransformSet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec.TransformSet', 
                [], [], 
                '''                Define transform and settings
                ''',
                'transform_set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.AddressPool' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.AddressPool',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set a local address pool for clients
                ''',
                'local',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address-pool',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate',
            False, 
            [
            _MetaInfoClassMember('client', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure client
                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rev', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use comma delimited list of revision strings only
                ''',
                'rev',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure URL to download from
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'auto-update',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.Group.Configuration_.UrlEnum' : _MetaInfoEnum('UrlEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'cns:':'cns__COLON__',
            'flash:':'flash__COLON__',
            'ftp:':'ftp__COLON__',
            'http:':'http__COLON__',
            'https:':'https__COLON__',
            'null:':'null__COLON__',
            'nvram:':'nvram__COLON__',
            'pram:':'pram__COLON__',
            'rcp:':'rcp__COLON__',
            'scp:':'scp__COLON__',
            'system:':'system__COLON__',
            'tar:':'tar__COLON__',
            'tftp:':'tftp__COLON__',
            'tmpsys:':'tmpsys__COLON__',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Client.Configuration.Group.Configuration_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.Group.Configuration_',
            False, 
            [
            _MetaInfoClassMember('url', REFERENCE_ENUM_CLASS, 'UrlEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.Configuration_.UrlEnum', 
                [], [], 
                '''                URL for the client to fetch configuration
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '32767')], [], 
                '''                version of the configuration available at the URL
                ''',
                'version',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'configuration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa.Attribute' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa.Attribute',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA attribute list
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_CLASS, 'Attribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa.Attribute', 
                [], [], 
                '''                AAA attribute directive
                ''',
                'attribute',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'aaa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_',
            False, 
            [
            _MetaInfoClassMember('aaa', REFERENCE_CLASS, 'Aaa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa', 
                [], [], 
                '''                AAA directive
                ''',
                'aaa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crypto',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp',
            False, 
            [
            _MetaInfoClassMember('giaddr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Specify giaddr for dhcp scope
                ''',
                'giaddr',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('server', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify dhcp server
                ''',
                'server',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('server', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Specify dhcp server
                        ''',
                        'server',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('server', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Specify dhcp server
                        ''',
                        'server',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('4', '30')], [], 
                '''                Configure DHCP response timeout in seconds
                ''',
                'timeout',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.Group.Dns' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.Group.Dns',
            False, 
            [
            _MetaInfoClassMember('primary', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dns',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.Group.Firewall' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.Group.Firewall',
            False, 
            [
            _MetaInfoClassMember('are-u-there', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                firewall attribute, are-u-there
                ''',
                'are_u_there',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify firewall policy
                ''',
                'policy',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'firewall',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.Group.Key.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Client.Configuration.Group.Key' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.Group.Key',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.Key.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.Group.Wins' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.Group.Wins',
            False, 
            [
            _MetaInfoClassMember('primary', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'primary',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'secondary',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'wins',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration.Group' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration.Group',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('access-restrict', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Restrict clients in this group to an interface
                ''',
                'access_restrict',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify split tunneling inclusion access-list number
                ''',
                'acl',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Specify split tunneling inclusion access-list number
                        ''',
                        'acl',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Specify split tunneling inclusion access-list number
                        ''',
                        'acl',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('auto-update', REFERENCE_CLASS, 'AutoUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate', 
                [], [], 
                '''                Configure auto-upgrade
                ''',
                'auto_update',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('backup-gateway', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify backup gateway
                ''',
                'backup_gateway',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('banner', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify mode config banner
                ''',
                'banner',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('browser-proxy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure browser-proxy
                ''',
                'browser_proxy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('configuration', REFERENCE_CLASS, 'Configuration_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.Configuration_', 
                [], [], 
                '''                Push configuration to the client
                ''',
                'configuration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('crypto', REFERENCE_CLASS, 'Crypto_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_', 
                [], [], 
                '''                Client group crypto aaa attribute list
                ''',
                'crypto',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp', 
                [], [], 
                '''                Configure DHCP parameters
                ''',
                'dhcp',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dns', REFERENCE_CLASS, 'Dns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.Dns', 
                [], [], 
                '''                Specify DNS Addresses
                ''',
                'dns',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set default domain name to send to client
                ''',
                'domain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('firewall', REFERENCE_CLASS, 'Firewall' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.Firewall', 
                [], [], 
                '''                Enforce group firewall feature
                ''',
                'firewall',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group-lock', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforce group lock feature
                ''',
                'group_lock',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('include-local-lan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Local LAN Access with no split tunnel
                ''',
                'include_local_lan',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.Key', 
                [], [], 
                '''                pre-shared key/IKE password
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('max-logins', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Set maximum simultaneous logins for users in this group
                ''',
                'max_logins',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('max-users', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Set maximum number of users for this group
                ''',
                'max_users',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('netmask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                netmask used by the client for local connectivity
                ''',
                'netmask',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pfs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                The client should propose PFS
                ''',
                'pfs',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pool', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set name of address pool
                ''',
                'pool',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('save-password', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allows remote client to save XAUTH password
                ''',
                'save_password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('smartcard-removal-disconnect', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enables smartcard-removal-disconnect
                ''',
                'smartcard_removal_disconnect',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('split-dns', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DNS name to append for resolution
                ''',
                'split_dns',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('wins', REFERENCE_CLASS, 'Wins' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group.Wins', 
                [], [], 
                '''                Specify WINS Addresses
                ''',
                'wins',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Configuration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Configuration',
            False, 
            [
            _MetaInfoClassMember('address-pool', REFERENCE_CLASS, 'AddressPool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.AddressPool', 
                [], [], 
                '''                Set network address for client
                ''',
                'address_pool',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('browser-proxy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set browser proxy attributes for client
                ''',
                'browser_proxy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration.Group', 
                [], [], 
                '''                Set group profile attributes for client
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'configuration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'access-list',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_CLASS, 'AccessList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList', 
                [], [], 
                '''                Specify access list
                ''',
                'access_list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'central-policy-push',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Firewall.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Firewall.Policy',
            False, 
            [
            _MetaInfoClassMember('central-policy-push', REFERENCE_CLASS, 'CentralPolicyPush' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush', 
                [], [], 
                '''                Define Cisco Protection Policy
                ''',
                'central_policy_push',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('check-presence', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define firewall are-you-there policy
                ''',
                'check_presence',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client.Firewall.OptionalEnum' : _MetaInfoEnum('OptionalEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-integrated-client-firewall':'cisco_integrated_client_firewall',
            'cisco-security-agent':'cisco_security_agent',
            'zonelabs-zonealarm':'zonelabs_zonealarm',
            'zonelabs-zonealarmpro':'zonelabs_zonealarmpro',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Client.Firewall.RequiredEnum' : _MetaInfoEnum('RequiredEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco-integrated-client-firewall':'cisco_integrated_client_firewall',
            'cisco-security-agent':'cisco_security_agent',
            'zonelabs-zonealarm':'zonelabs_zonealarm',
            'zonelabs-zonealarmpro':'zonelabs_zonealarmpro',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Client.Firewall' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client.Firewall',
            False, 
            [
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'policy_name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('optional', REFERENCE_ENUM_CLASS, 'OptionalEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Firewall.OptionalEnum', 
                [], [], 
                '''                firewall policy is optional
                ''',
                'optional',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Firewall.Policy', 
                [], [], 
                '''                Define Cisco firewall Policy
                ''',
                'policy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('required', REFERENCE_ENUM_CLASS, 'RequiredEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Firewall.RequiredEnum', 
                [], [], 
                '''                firewall policy is mandatory
                ''',
                'required',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'firewall',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Client' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Client',
            False, 
            [
            _MetaInfoClassMember('configuration', REFERENCE_CLASS, 'Configuration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Configuration', 
                [], [], 
                '''                Set client configuration policy
                ''',
                'configuration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('firewall', REFERENCE_LIST, 'Firewall' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client.Firewall', 
                [], [], 
                '''                Define client firewall
                ''',
                'firewall',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Default',
            False, 
            [
            _MetaInfoClassMember('policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable default policies for ISAKMP protection suite
                ''',
                'policy',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Keepalive.SendEnum' : _MetaInfoEnum('SendEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'on-demand':'on_demand',
            'periodic':'periodic',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Keepalive',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('10', '3600')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('retry-number', ATTRIBUTE, 'int' , None, None, 
                [('2', '60')], [], 
                '''                ''',
                'retry_number',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('send', REFERENCE_ENUM_CLASS, 'SendEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Keepalive.SendEnum', 
                [], [], 
                '''                ''',
                'send',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                define shared key with IP address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('no-xauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bypasses XAuth for this peer
                ''',
                'no_xauth',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'addr4-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                define shared key with IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('no-xauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bypasses XAuth for this peer
                ''',
                'no_xauth',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address', 
                [], [], 
                '''                define shared key with IP address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'addr6-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Key.KeyAddress.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Key.KeyAddress' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Key.KeyAddress',
            False, 
            [
            _MetaInfoClassMember('addr4-container', REFERENCE_CLASS, 'Addr4Container' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container', 
                [], [], 
                '''                ''',
                'addr4_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('addr6-container', REFERENCE_CLASS, 'Addr6Container' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container', 
                [], [], 
                '''                ''',
                'addr6_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Key.KeyAddress.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key-address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Key.KeyHost.HostContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Key.KeyHost.HostContainer',
            False, 
            [
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                define shared key with hostname
                ''',
                'hostname',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('no-xauth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bypasses XAuth for this peer
                ''',
                'no_xauth',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'host-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Key.KeyHost.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Key.KeyHost' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Key.KeyHost',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Key.KeyHost.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('host-container', REFERENCE_CLASS, 'HostContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Key.KeyHost.HostContainer', 
                [], [], 
                '''                ''',
                'host_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key-host',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Key' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Key',
            False, 
            [
            _MetaInfoClassMember('key-address', REFERENCE_CLASS, 'KeyAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Key.KeyAddress', 
                [], [], 
                '''                ''',
                'key_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key-host', REFERENCE_CLASS, 'KeyHost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Key.KeyHost', 
                [], [], 
                '''                ''',
                'key_host',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Nat' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Nat',
            False, 
            [
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'int' , None, None, 
                [('5', '3600')], [], 
                '''                Set a nat keepalive interval for use with IOS peers
                ''',
                'keepalive',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'nat',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint',
            False, 
            [
            _MetaInfoClassMember('fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use the fqdn as tunnel-client-endpoint
                ''',
                'fqdn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Use the IP address as tunnel-client-endpoint
                ''',
                'ipv4_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Use the IPv6 address as tunnel-client-endpoint
                ''',
                'ipv6_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('user-fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use the user-fqdn as tunnel-client-endpoint
                ''',
                'user_fqdn',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client-endpoint',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode',
            False, 
            [
            _MetaInfoClassMember('client-endpoint', REFERENCE_CLASS, 'ClientEndpoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint', 
                [], [], 
                '''                specify a tunnel-client-endpoint attribute
                ''',
                'client_endpoint',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password', 
                [], [], 
                '''                specify a tunnel-password attribute
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'aggressive-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set',
            False, 
            [
            _MetaInfoClassMember('aggressive-mode', REFERENCE_CLASS, 'AggressiveMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode', 
                [], [], 
                '''                aggressive mode attributes
                ''',
                'aggressive_mode',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv4Addr.Address',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 80)], [], 
                '''                IKE peer specific description
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set', 
                [], [], 
                '''                set peer policy attributes
                ''',
                'set',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                specify front door vrf of the peer
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv4Addr' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv4Addr',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LIST, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv4Addr.Address', 
                [], [], 
                '''                define peer policy for IP address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint',
            False, 
            [
            _MetaInfoClassMember('fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use the fqdn as tunnel-client-endpoint
                ''',
                'fqdn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Use the IP address as tunnel-client-endpoint
                ''',
                'ipv4_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Use the IPv6 address as tunnel-client-endpoint
                ''',
                'ipv6_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('user-fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use the user-fqdn as tunnel-client-endpoint
                ''',
                'user_fqdn',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client-endpoint',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode',
            False, 
            [
            _MetaInfoClassMember('client-endpoint', REFERENCE_CLASS, 'ClientEndpoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint', 
                [], [], 
                '''                specify a tunnel-client-endpoint attribute
                ''',
                'client_endpoint',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password', 
                [], [], 
                '''                specify a tunnel-password attribute
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'aggressive-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set',
            False, 
            [
            _MetaInfoClassMember('aggressive-mode', REFERENCE_CLASS, 'AggressiveMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode', 
                [], [], 
                '''                aggressive mode attributes
                ''',
                'aggressive_mode',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv6Addr.Address',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                define peer policy for IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 80)], [], 
                '''                IKE peer specific description
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set', 
                [], [], 
                '''                set peer policy attributes
                ''',
                'set',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                specify front door vrf of the peer
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Ipv6Addr' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Ipv6Addr',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LIST, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv6Addr.Address', 
                [], [], 
                '''                define peer policy for IP address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint',
            False, 
            [
            _MetaInfoClassMember('fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use the fqdn as tunnel-client-endpoint
                ''',
                'fqdn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Use the IP address as tunnel-client-endpoint
                ''',
                'ipv4_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Use the IPv6 address as tunnel-client-endpoint
                ''',
                'ipv6_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('user-fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use the user-fqdn as tunnel-client-endpoint
                ''',
                'user_fqdn',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client-endpoint',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode',
            False, 
            [
            _MetaInfoClassMember('client-endpoint', REFERENCE_CLASS, 'ClientEndpoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint', 
                [], [], 
                '''                specify a tunnel-client-endpoint attribute
                ''',
                'client_endpoint',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password', 
                [], [], 
                '''                specify a tunnel-password attribute
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'aggressive-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Hostname.Set' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Hostname.Set',
            False, 
            [
            _MetaInfoClassMember('aggressive-mode', REFERENCE_CLASS, 'AggressiveMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode', 
                [], [], 
                '''                aggressive mode attributes
                ''',
                'aggressive_mode',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer.Hostname',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 80)], [], 
                '''                IKE peer specific description
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Hostname.Set', 
                [], [], 
                '''                set peer policy attributes
                ''',
                'set',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                specify front door vrf of the peer
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Peer',
            False, 
            [
            _MetaInfoClassMember('hostname', REFERENCE_LIST, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Hostname', 
                [], [], 
                '''                hostname  define peer policy for hostname
                ''',
                'hostname',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv4-addr', REFERENCE_CLASS, 'Ipv4Addr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv4Addr', 
                [], [], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6-addr', REFERENCE_CLASS, 'Ipv6Addr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer.Ipv6Addr', 
                [], [], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Policy.Default.Encryption.Aes.KeyEnum' : _MetaInfoEnum('KeyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '128':'Y_128',
            '192':'Y_192',
            '256':'Y_256',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Policy.Default.Encryption.Aes' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Policy.Default.Encryption.Aes',
            False, 
            [
            _MetaInfoClassMember('key', REFERENCE_ENUM_CLASS, 'KeyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.Default.Encryption.Aes.KeyEnum', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'aes',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Policy.Default.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Policy.Default.Encryption',
            False, 
            [
            _MetaInfoClassMember('a3des', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'a3des',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes', REFERENCE_CLASS, 'Aes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.Default.Encryption.Aes', 
                [], [], 
                '''                AES - Advanced Encryption Standard.
                ''',
                'aes',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('des', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DES - Data Encryption Standard (56 bit keys).
                ''',
                'des',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Policy.Default.AuthenticationEnum' : _MetaInfoEnum('AuthenticationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'pre-share':'pre_share',
            'rsa-encr':'rsa_encr',
            'rsa-sig':'rsa_sig',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Policy.Default.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '14':'Y_14',
            '15':'Y_15',
            '16':'Y_16',
            '19':'Y_19',
            '2':'Y_2',
            '20':'Y_20',
            '21':'Y_21',
            '24':'Y_24',
            '5':'Y_5',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Policy.Default.HashEnum' : _MetaInfoEnum('HashEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'md5':'md5',
            'sha':'sha',
            'sha256':'sha256',
            'sha384':'sha384',
            'sha512':'sha512',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Policy.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Policy.Default',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.Default.AuthenticationEnum', 
                [], [], 
                '''                Set authentication method for protection suite
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.Default.Encryption', 
                [], [], 
                '''                Set encryption algorithm for protection suite
                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.Default.GroupEnum', 
                [], [], 
                '''                Set the Diffie-Hellman group
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hash', REFERENCE_ENUM_CLASS, 'HashEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.Default.HashEnum', 
                [], [], 
                '''                Set hash algorithm for protection suite
                ''',
                'hash',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set lifetime for ISAKMP security association
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Policy.Encryption.Aes.KeyEnum' : _MetaInfoEnum('KeyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '128':'Y_128',
            '192':'Y_192',
            '256':'Y_256',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Policy.Encryption.Aes' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Policy.Encryption.Aes',
            False, 
            [
            _MetaInfoClassMember('key', REFERENCE_ENUM_CLASS, 'KeyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.Encryption.Aes.KeyEnum', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'aes',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Policy.Encryption' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Policy.Encryption',
            False, 
            [
            _MetaInfoClassMember('a3des', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'a3des',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('aes', REFERENCE_CLASS, 'Aes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.Encryption.Aes', 
                [], [], 
                '''                AES - Advanced Encryption Standard.
                ''',
                'aes',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('des', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DES - Data Encryption Standard (56 bit keys).
                ''',
                'des',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'encryption',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Policy.AuthenticationEnum' : _MetaInfoEnum('AuthenticationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'pre-share':'pre_share',
            'rsa-encr':'rsa_encr',
            'rsa-sig':'rsa_sig',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Policy.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '14':'Y_14',
            '15':'Y_15',
            '16':'Y_16',
            '19':'Y_19',
            '2':'Y_2',
            '20':'Y_20',
            '21':'Y_21',
            '24':'Y_24',
            '5':'Y_5',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Policy.HashEnum' : _MetaInfoEnum('HashEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'md5':'md5',
            'sha':'sha',
            'sha256':'sha256',
            'sha384':'sha384',
            'sha512':'sha512',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Policy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Policy',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('authentication', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.AuthenticationEnum', 
                [], [], 
                '''                Set authentication method for protection suite
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('encryption', REFERENCE_CLASS, 'Encryption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.Encryption', 
                [], [], 
                '''                Set encryption algorithm for protection suite
                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.GroupEnum', 
                [], [], 
                '''                Set the Diffie-Hellman group
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hash', REFERENCE_ENUM_CLASS, 'HashEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy.HashEnum', 
                [], [], 
                '''                Set hash algorithm for protection suite
                ''',
                'hash',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', ATTRIBUTE, 'int' , None, None, 
                [('60', '86400')], [], 
                '''                Set lifetime for ISAKMP security association
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Ca' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Ca',
            False, 
            [
            _MetaInfoClassMember('trust-point', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cert authority trustpoint for RSA sig
                ''',
                'trust_point',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ca',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Client.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Client.Authentication',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                AAA authentication list to use
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Client.Configuration.AddressEnum' : _MetaInfoEnum('AddressEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'initiate':'initiate',
            'respond':'respond',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Profile.Default.Client.Configuration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Client.Configuration',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_ENUM_CLASS, 'AddressEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Client.Configuration.AddressEnum', 
                [], [], 
                '''                Specify client network address configuration
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify group profile attributes for client
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'configuration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Client.Pki.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Client.Pki.Authorization',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Client.Pki' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Client.Pki',
            False, 
            [
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Client.Pki.Authorization', 
                [], [], 
                '''                User authorization parameters
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pki',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Client' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Client',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Client.Authentication', 
                [], [], 
                '''                Use Extended Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('configuration', REFERENCE_CLASS, 'Configuration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Client.Configuration', 
                [], [], 
                '''                Specify client configuration settings
                ''',
                'configuration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pki', REFERENCE_CLASS, 'Pki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Client.Pki', 
                [], [], 
                '''                Use username in the crypto certificate for authorization
                ''',
                'pki',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Initiate.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Initiate.Mode',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Initiate' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Initiate',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Initiate.Mode', 
                [], [], 
                '''                Phase 1 negotiation mode to use
                ''',
                'mode',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'initiate',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Isakmp_.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Isakmp_.Authorization',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                AAA authorization list to use
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Isakmp_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Isakmp_',
            False, 
            [
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Isakmp_.Authorization', 
                [], [], 
                '''                Authorization parameters.
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'isakmp',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Keepalive',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address(es)
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipv4-address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 Address(es)
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'domain-name',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                match domain instead of exact
                ''',
                'domain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'domain-match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host',
            False, 
            [
            _MetaInfoClassMember('domain-match', REFERENCE_CLASS, 'DomainMatch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch', 
                [], [], 
                '''                ''',
                'domain_match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('domain-name', REFERENCE_CLASS, 'DomainName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName', 
                [], [], 
                '''                ''',
                'domain_name',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'domain-name',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                match domain instead of exact
                ''',
                'domain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'domain-match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn',
            False, 
            [
            _MetaInfoClassMember('domain-match', REFERENCE_CLASS, 'DomainMatch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch', 
                [], [], 
                '''                ''',
                'domain_match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('domain-name', REFERENCE_CLASS, 'DomainName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName', 
                [], [], 
                '''                ''',
                'domain_name',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'user-fqdn',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Match.Identity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Match.Identity',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address', 
                [], [], 
                '''                IP Address(es)
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host', 
                [], [], 
                '''                match a hostname/domain
                ''',
                'host',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv4-address', REFERENCE_CLASS, 'Ipv4Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address', 
                [], [], 
                '''                ''',
                'ipv4_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('user-fqdn', REFERENCE_CLASS, 'UserFqdn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn', 
                [], [], 
                '''                match a hostname/domain
                ''',
                'user_fqdn',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.Match',
            False, 
            [
            _MetaInfoClassMember('certificate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Peer certificate attributes
                ''',
                'certificate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', REFERENCE_CLASS, 'Identity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Match.Identity', 
                [], [], 
                '''                Peer identity
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.SelfIdentity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default.SelfIdentity',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'self-identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Default.KeyringEnum' : _MetaInfoEnum('KeyringEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Profile.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Default',
            False, 
            [
            _MetaInfoClassMember('accounting', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable AAA Accounting for IPSec Sessions
                ''',
                'accounting',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ca', REFERENCE_CLASS, 'Ca' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Ca', 
                [], [], 
                '''                Specify certificate authorities to trust
                ''',
                'ca',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Client', 
                [], [], 
                '''                Specify client configuration settings
                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a description of this profile
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('initiate', REFERENCE_CLASS, 'Initiate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Initiate', 
                [], [], 
                '''                Initiator property
                ''',
                'initiate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('isakmp', REFERENCE_CLASS, 'Isakmp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Isakmp_', 
                [], [], 
                '''                ISAKMP Authorization command
                ''',
                'isakmp',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Keepalive', 
                [], [], 
                '''                Set a keepalive interval for use with IOS peers
                ''',
                'keepalive',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('keyring', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify keyring to use
                ''',
                'keyring',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('keyring', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Specify keyring to use
                        ''',
                        'keyring',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('keyring', REFERENCE_ENUM_CLASS, 'Native.Crypto.Isakmp.Profile.Default.KeyringEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.KeyringEnum', 
                        [], [], 
                        '''                        Specify keyring to use
                        ''',
                        'keyring',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interface to use for local address for this isakmp profile
                ''',
                'local_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.Match', 
                [], [], 
                '''                Match values of peer
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply a Qos policy class map for this profile
                ''',
                'qos_group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('self-identity', REFERENCE_CLASS, 'SelfIdentity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default.SelfIdentity', 
                [], [], 
                '''                Specify Identity to use
                ''',
                'self_identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('virtual-template', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify the virtual-template for dynamic interface creation.
                ''',
                'virtual_template',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify the VRF it is related to
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Ca' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Ca',
            False, 
            [
            _MetaInfoClassMember('trust-point', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cert authority trustpoint for RSA sig
                ''',
                'trust_point',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ca',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Client.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Client.Authentication',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA authentication list to use
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Client.Configuration.AddressEnum' : _MetaInfoEnum('AddressEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'initiate':'initiate',
            'respond':'respond',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Profile.Client.Configuration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Client.Configuration',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_ENUM_CLASS, 'AddressEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Client.Configuration.AddressEnum', 
                [], [], 
                '''                Specify client network address configuration
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify group profile attributes for client
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'configuration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Client.Pki.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Client.Pki.Authorization',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA user authorization list
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Client.Pki' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Client.Pki',
            False, 
            [
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Client.Pki.Authorization', 
                [], [], 
                '''                User authorization parameters
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pki',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Client' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Client',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Client.Authentication', 
                [], [], 
                '''                Use Extended Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('configuration', REFERENCE_CLASS, 'Configuration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Client.Configuration', 
                [], [], 
                '''                Specify client configuration settings
                ''',
                'configuration',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pki', REFERENCE_CLASS, 'Pki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Client.Pki', 
                [], [], 
                '''                Use username in the crypto certificate for authorization
                ''',
                'pki',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Initiate.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Initiate.Mode',
            False, 
            [
            _MetaInfoClassMember('aggressive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Start agressive mode negotiation
                ''',
                'aggressive',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Initiate' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Initiate',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Initiate.Mode', 
                [], [], 
                '''                Phase 1 negotiation mode to use
                ''',
                'mode',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'initiate',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Isakmp_.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Isakmp_.Authorization',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA authorization list to use
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Isakmp_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Isakmp_',
            False, 
            [
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Isakmp_.Authorization', 
                [], [], 
                '''                Authorization parameters.
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'isakmp',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Keepalive' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Keepalive',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('10', '3600')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('retry', ATTRIBUTE, 'int' , None, None, 
                [('2', '60')], [], 
                '''                Retry interval if keepalive fails
                ''',
                'retry',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address(es)
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipv4-address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Match.Identity.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Match.Identity.Address',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 Address(es)
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'domain-name',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                match domain instead of exact
                ''',
                'domain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'domain-match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Match.Identity.Host' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Match.Identity.Host',
            False, 
            [
            _MetaInfoClassMember('domain-match', REFERENCE_CLASS, 'DomainMatch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch', 
                [], [], 
                '''                ''',
                'domain_match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('domain-name', REFERENCE_CLASS, 'DomainName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName', 
                [], [], 
                '''                ''',
                'domain_name',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'domain-name',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                match domain instead of exact
                ''',
                'domain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'domain-match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn',
            False, 
            [
            _MetaInfoClassMember('domain-match', REFERENCE_CLASS, 'DomainMatch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch', 
                [], [], 
                '''                ''',
                'domain_match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('domain-name', REFERENCE_CLASS, 'DomainName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName', 
                [], [], 
                '''                ''',
                'domain_name',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'user-fqdn',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Match.Identity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Match.Identity',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Match.Identity.Address', 
                [], [], 
                '''                IP Address(es)
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Match.Identity.Host', 
                [], [], 
                '''                match a hostname/domain
                ''',
                'host',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv4-address', REFERENCE_CLASS, 'Ipv4Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address', 
                [], [], 
                '''                ''',
                'ipv4_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('user-fqdn', REFERENCE_CLASS, 'UserFqdn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn', 
                [], [], 
                '''                match a hostname/domain
                ''',
                'user_fqdn',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.Match',
            False, 
            [
            _MetaInfoClassMember('certificate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Peer certificate attributes
                ''',
                'certificate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', REFERENCE_CLASS, 'Identity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Match.Identity', 
                [], [], 
                '''                Peer identity
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.SelfIdentity.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.SelfIdentity.Address',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.SelfIdentity.Fqdn' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.SelfIdentity.Fqdn',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'fqdn',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.SelfIdentity' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile.SelfIdentity',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.SelfIdentity.Address', 
                [], [], 
                '''                Use IPv4 address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fqdn', REFERENCE_CLASS, 'Fqdn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.SelfIdentity.Fqdn', 
                [], [], 
                '''                Use FQDN
                ''',
                'fqdn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('user-fqdn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use user FQDN
                ''',
                'user_fqdn',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'self-identity',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Profile.KeyringEnum' : _MetaInfoEnum('KeyringEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.Profile' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Profile',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('accounting', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable AAA Accounting for IPSec Sessions
                ''',
                'accounting',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ca', REFERENCE_CLASS, 'Ca' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Ca', 
                [], [], 
                '''                Specify certificate authorities to trust
                ''',
                'ca',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Client', 
                [], [], 
                '''                Specify client configuration settings
                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a description of this profile
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('initiate', REFERENCE_CLASS, 'Initiate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Initiate', 
                [], [], 
                '''                Initiator property
                ''',
                'initiate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('isakmp', REFERENCE_CLASS, 'Isakmp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Isakmp_', 
                [], [], 
                '''                ISAKMP Authorization command
                ''',
                'isakmp',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Keepalive', 
                [], [], 
                '''                Set a keepalive interval for use with IOS peers
                ''',
                'keepalive',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('keyring', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify keyring to use
                ''',
                'keyring',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('keyring', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Specify keyring to use
                        ''',
                        'keyring',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('keyring', REFERENCE_ENUM_CLASS, 'Native.Crypto.Isakmp.Profile.KeyringEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.KeyringEnum', 
                        [], [], 
                        '''                        Specify keyring to use
                        ''',
                        'keyring',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to use for local address for this isakmp profile
                ''',
                'local_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.Match', 
                [], [], 
                '''                Match values of peer
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('1', '1023')], [], 
                '''                Apply a Qos policy class map for this profile
                ''',
                'qos_group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('self-identity', REFERENCE_CLASS, 'SelfIdentity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile.SelfIdentity', 
                [], [], 
                '''                Specify Identity to use
                ''',
                'self_identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('virtual-template', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                Specify the virtual-template for dynamic interface creation.
                ''',
                'virtual_template',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the VRF it is related to
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'profile',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.Xauth' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp.Xauth',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('5', '90')], [], 
                '''                Set Extended Authentication timeout
                ''',
                'timeout',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'xauth',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Isakmp.AggressiveModeEnum' : _MetaInfoEnum('AggressiveModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'disable':'disable',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp.IdentityEnum' : _MetaInfoEnum('IdentityEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'address':'address',
            'dn':'dn',
            'hostname':'hostname',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Isakmp' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Isakmp',
            False, 
            [
            _MetaInfoClassMember('aggressive-mode', REFERENCE_ENUM_CLASS, 'AggressiveModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.AggressiveModeEnum', 
                [], [], 
                '''                Disable ISAKMP aggressive mode
                ''',
                'aggressive_mode',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Client', 
                [], [], 
                '''                Set client configuration policy
                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Default', 
                [], [], 
                '''                ISAKMP default policy
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('disconnect-revoked-peers', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disconnect Crypto Session with Revoked Peer
                ''',
                'disconnect_revoked_peers',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ISAKMP
                ''',
                'enable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('fragmentation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IKE Fragmentation enabled if required
                ''',
                'fragmentation',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', REFERENCE_ENUM_CLASS, 'IdentityEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.IdentityEnum', 
                [], [], 
                '''                Set the identity which ISAKMP will use
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('invalid-spi-recovery', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Initiate IKE and send Invalid SPI Notify
                ''',
                'invalid_spi_recovery',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Keepalive', 
                [], [], 
                '''                Set a keepalive interval for use with IOS peers
                ''',
                'keepalive',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Key', 
                [], [], 
                '''                Set pre-shared key for remote peer
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nat', REFERENCE_CLASS, 'Nat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Nat', 
                [], [], 
                '''                Set a nat  keepalive interval for use with IOS peers
                ''',
                'nat',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Peer', 
                [], [], 
                '''                Set Peer Policy
                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Policy', 
                [], [], 
                '''                Set policy for an ISAKMP protection suite
                ''',
                'policy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', REFERENCE_LIST, 'Profile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Profile', 
                [], [], 
                '''                Define ISAKMP Profiles
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('xauth', REFERENCE_CLASS, 'Xauth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp.Xauth', 
                [], [], 
                '''                Set Extended Authentication values
                ''',
                'xauth',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'isakmp',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Decrypt.Ec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Decrypt.Ec',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of keypair to decrypt.
                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passphrase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                decryption key.
                ''',
                'passphrase',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Decrypt.Rsa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Decrypt.Rsa',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of keypair to decrypt.
                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passphrase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                decryption key.
                ''',
                'passphrase',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Decrypt.Write.Ec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Decrypt.Write.Ec',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of keypair to decrypt.
                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passphrase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                decryption key.
                ''',
                'passphrase',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Decrypt.Write.Rsa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Decrypt.Write.Rsa',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of keypair to decrypt.
                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passphrase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                decryption key.
                ''',
                'passphrase',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Decrypt.Write' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Decrypt.Write',
            False, 
            [
            _MetaInfoClassMember('ec', REFERENCE_CLASS, 'Ec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Decrypt.Write.Ec', 
                [], [], 
                '''                EC keys
                ''',
                'ec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa', REFERENCE_CLASS, 'Rsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Decrypt.Write.Rsa', 
                [], [], 
                '''                RSA keys
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'write',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Decrypt' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Decrypt',
            False, 
            [
            _MetaInfoClassMember('ec', REFERENCE_CLASS, 'Ec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Decrypt.Ec', 
                [], [], 
                '''                EC keys
                ''',
                'ec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa', REFERENCE_CLASS, 'Rsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Decrypt.Rsa', 
                [], [], 
                '''                RSA keys
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('write', REFERENCE_CLASS, 'Write' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Decrypt.Write', 
                [], [], 
                '''                Will write the configuration to startup-config.
                ''',
                'write',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'decrypt',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Encrypt.Ec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Encrypt.Ec',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of keypair to encrypt.
                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passphrase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                encryption key.
                ''',
                'passphrase',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Encrypt.Rsa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Encrypt.Rsa',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of keypair to encrypt.
                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passphrase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                encryption key.
                ''',
                'passphrase',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Encrypt.Write.Ec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Encrypt.Write.Ec',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of keypair to encrypt.
                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passphrase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                encryption key.
                ''',
                'passphrase',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Encrypt.Write.Rsa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Encrypt.Write.Rsa',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of keypair to encrypt.
                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('passphrase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                encryption key.
                ''',
                'passphrase',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Encrypt.Write' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Encrypt.Write',
            False, 
            [
            _MetaInfoClassMember('ec', REFERENCE_CLASS, 'Ec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Encrypt.Write.Ec', 
                [], [], 
                '''                EC keys
                ''',
                'ec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa', REFERENCE_CLASS, 'Rsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Encrypt.Write.Rsa', 
                [], [], 
                '''                RSA keys
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'write',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Encrypt' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Encrypt',
            False, 
            [
            _MetaInfoClassMember('ec', REFERENCE_CLASS, 'Ec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Encrypt.Ec', 
                [], [], 
                '''                EC keys
                ''',
                'ec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa', REFERENCE_CLASS, 'Rsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Encrypt.Rsa', 
                [], [], 
                '''                RSA keys
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('write', REFERENCE_CLASS, 'Write' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Encrypt.Write', 
                [], [], 
                '''                Will write the configuration to startup-config.
                ''',
                'write',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'encrypt',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Export.Ec.Pem.Terminal' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Export.Ec.Pem.Terminal',
            False, 
            [
            _MetaInfoClassMember('des', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Encrypt the private key with DES
                ''',
                'des',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pk-3des', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Encrypt the private key with 3DES
                ''',
                'pk_3des',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'terminal',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Export.Ec.Pem.Url.FileEnum' : _MetaInfoEnum('FileEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'flash:':'flash__COLON__',
            'ftp:':'ftp__COLON__',
            'http:':'http__COLON__',
            'https:':'https__COLON__',
            'null:':'null__COLON__',
            'nvram:':'nvram__COLON__',
            'pram:':'pram__COLON__',
            'rcp:':'rcp__COLON__',
            'scp:':'scp__COLON__',
            'system:':'system__COLON__',
            'tftp:':'tftp__COLON__',
            'tmpsys:':'tmpsys__COLON__',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Key.Export.Ec.Pem.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Export.Ec.Pem.Url',
            False, 
            [
            _MetaInfoClassMember('des', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Encrypt the private key with DES
                ''',
                'des',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('file', REFERENCE_ENUM_CLASS, 'FileEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Export.Ec.Pem.Url.FileEnum', 
                [], [], 
                '''                ''',
                'file',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url-3des', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Encrypt the private key with 3DES
                ''',
                'url_3des',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Export.Ec.Pem' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Export.Ec.Pem',
            False, 
            [
            _MetaInfoClassMember('terminal', REFERENCE_CLASS, 'Terminal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Export.Ec.Pem.Terminal', 
                [], [], 
                '''                Export via the terminal (cut-and-paste)
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Export.Ec.Pem.Url', 
                [], [], 
                '''                Export via the file systems
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pem',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Export.Ec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Export.Ec',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('pem', REFERENCE_CLASS, 'Pem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Export.Ec.Pem', 
                [], [], 
                '''                File type to export
                ''',
                'pem',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Export.Rsa.Pem.Terminal' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Export.Rsa.Pem.Terminal',
            False, 
            [
            _MetaInfoClassMember('des', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Encrypt the private key with DES
                ''',
                'des',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pk-3des', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Encrypt the private key with 3DES
                ''',
                'pk_3des',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'terminal',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Export.Rsa.Pem.Url.FileEnum' : _MetaInfoEnum('FileEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'flash:':'flash__COLON__',
            'ftp:':'ftp__COLON__',
            'http:':'http__COLON__',
            'https:':'https__COLON__',
            'null:':'null__COLON__',
            'nvram:':'nvram__COLON__',
            'pram:':'pram__COLON__',
            'rcp:':'rcp__COLON__',
            'scp:':'scp__COLON__',
            'system:':'system__COLON__',
            'tftp:':'tftp__COLON__',
            'tmpsys:':'tmpsys__COLON__',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Key.Export.Rsa.Pem.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Export.Rsa.Pem.Url',
            False, 
            [
            _MetaInfoClassMember('des', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Encrypt the private key with DES
                ''',
                'des',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('file', REFERENCE_ENUM_CLASS, 'FileEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Export.Rsa.Pem.Url.FileEnum', 
                [], [], 
                '''                ''',
                'file',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url-3des', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Encrypt the private key with 3DES
                ''',
                'url_3des',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Export.Rsa.Pem' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Export.Rsa.Pem',
            False, 
            [
            _MetaInfoClassMember('terminal', REFERENCE_CLASS, 'Terminal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Export.Rsa.Pem.Terminal', 
                [], [], 
                '''                Export via the terminal (cut-and-paste)
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Export.Rsa.Pem.Url', 
                [], [], 
                '''                Export via the file systems
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pem',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Export.Rsa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Export.Rsa',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('pem', REFERENCE_CLASS, 'Pem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Export.Rsa.Pem', 
                [], [], 
                '''                File type to export
                ''',
                'pem',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Export' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Export',
            False, 
            [
            _MetaInfoClassMember('ec', REFERENCE_LIST, 'Ec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Export.Ec', 
                [], [], 
                '''                Export EC keys
                ''',
                'ec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa', REFERENCE_LIST, 'Rsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Export.Rsa', 
                [], [], 
                '''                Export RSRA keys
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'export',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Generate.Ec.KeysizeEnum' : _MetaInfoEnum('KeysizeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '256':'Y_256',
            '384':'Y_384',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Key.Generate.Ec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Generate.Ec',
            False, 
            [
            _MetaInfoClassMember('exportable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow key to be exported
                ''',
                'exportable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('keysize', REFERENCE_ENUM_CLASS, 'KeysizeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Generate.Ec.KeysizeEnum', 
                [], [], 
                '''                Number of bits
                ''',
                'keysize',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide a label
                ''',
                'label',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Generate.Rsa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Generate.Rsa',
            False, 
            [
            _MetaInfoClassMember('encryption', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate a general purpose RSA key pair for signing and encryption
                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('exportable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow the key to be exported
                ''',
                'exportable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('general-keys', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate a general purpose RSA key pair for signing and encryption
                ''',
                'general_keys',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide a label
                ''',
                'label',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('modulus', ATTRIBUTE, 'int' , None, None, 
                [('360', '4096')], [], 
                '''                Provide number of modulus bits on the command line
                ''',
                'modulus',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                create key on specified device.
                ''',
                'on',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow the key to be synced to high-availability peer
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('signature', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate a general purpose RSA key pair for signing and encryption
                ''',
                'signature',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('storage', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Store key on specified device
                ''',
                'storage',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('usage-keys', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate separate RSA key pairs for signing and encryption
                ''',
                'usage_keys',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Generate' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Generate',
            False, 
            [
            _MetaInfoClassMember('ec', REFERENCE_CLASS, 'Ec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Generate.Ec', 
                [], [], 
                '''                Generate EC keys for ECDSA
                ''',
                'ec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa', REFERENCE_CLASS, 'Rsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Generate.Rsa', 
                [], [], 
                '''                Generate RSA keys
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'generate',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Import_.Ec.Url.FileEnum' : _MetaInfoEnum('FileEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'cns:':'cns__COLON__',
            'flash:':'flash__COLON__',
            'ftp:':'ftp__COLON__',
            'http:':'http__COLON__',
            'https:':'https__COLON__',
            'null:':'null__COLON__',
            'nvram:':'nvram__COLON__',
            'pram:':'pram__COLON__',
            'rcp:':'rcp__COLON__',
            'scp:':'scp__COLON__',
            'system:':'system__COLON__',
            'tar:':'tar__COLON__',
            'tftp:':'tftp__COLON__',
            'tmpsys:':'tmpsys__COLON__',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Key.Import_.Ec.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Import_.Ec.Url',
            False, 
            [
            _MetaInfoClassMember('file', REFERENCE_ENUM_CLASS, 'FileEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Import_.Ec.Url.FileEnum', 
                [], [], 
                '''                ''',
                'file',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Import_.Ec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Import_.Ec',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('exportable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow key to be exported
                ''',
                'exportable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('terminal', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Import via the terminal (cut-and-paste)
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Import_.Ec.Url', 
                [], [], 
                '''                Export via the file systems
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Import_.Rsa.Url.FileEnum' : _MetaInfoEnum('FileEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'cns:':'cns__COLON__',
            'flash:':'flash__COLON__',
            'ftp:':'ftp__COLON__',
            'http:':'http__COLON__',
            'https:':'https__COLON__',
            'null:':'null__COLON__',
            'nvram:':'nvram__COLON__',
            'pram:':'pram__COLON__',
            'rcp:':'rcp__COLON__',
            'scp:':'scp__COLON__',
            'system:':'system__COLON__',
            'tar:':'tar__COLON__',
            'tftp:':'tftp__COLON__',
            'tmpsys:':'tmpsys__COLON__',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Key.Import_.Rsa.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Import_.Rsa.Url',
            False, 
            [
            _MetaInfoClassMember('file', REFERENCE_ENUM_CLASS, 'FileEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Import_.Rsa.Url.FileEnum', 
                [], [], 
                '''                ''',
                'file',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Import_.Rsa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Import_.Rsa',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('encryption', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Encryption key
                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('exportable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow the key to be exported
                ''',
                'exportable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('general-purpose', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                General Purpose key
                ''',
                'general_purpose',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Make this an on-token key
                ''',
                'on',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pem', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                File type to import
                ''',
                'pem',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Sync this key to the standby
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('signature', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Signature key
                ''',
                'signature',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('storage', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Store key on specified device
                ''',
                'storage',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('terminal', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Import via the terminal (cut-and-paste)
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Import_.Rsa.Url', 
                [], [], 
                '''                Export via the file systems
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('usage-keys', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Usage key pairs
                ''',
                'usage_keys',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Import_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Import_',
            False, 
            [
            _MetaInfoClassMember('ec', REFERENCE_LIST, 'Ec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Import_.Ec', 
                [], [], 
                '''                Import EC keys
                ''',
                'ec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa', REFERENCE_LIST, 'Rsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Import_.Rsa', 
                [], [], 
                '''                Import RSA keys
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'import',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Move.Rsa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Move.Rsa',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('non-exportable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do Not allow the key to be exported
                ''',
                'non_exportable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('on', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Make this an on-token key
                ''',
                'on',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Sync this key to the standby
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('storage', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Store key on specified device
                ''',
                'storage',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Move' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Move',
            False, 
            [
            _MetaInfoClassMember('rsa', REFERENCE_CLASS, 'Rsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Move.Rsa', 
                [], [], 
                '''                Move RSA keys
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'move',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString',
            False, 
            [
            _MetaInfoClassMember('hex-data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'hex_data',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('quit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exit data entry mode
                ''',
                'quit',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default.KeyString',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Assign an address to the key
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default.KeyString', 
                [], [], 
                '''                Key data
                ''',
                'key_string',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Serial number of the device
                ''',
                'serial_number',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.UseEnum' : _MetaInfoEnum('UseEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'encryption':'encryption',
            'signature':'signature',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Assign an address to the key
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString', 
                [], [], 
                '''                Key data
                ''',
                'key_string',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial number of the device
                ''',
                'serial_number',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('use', REFERENCE_ENUM_CLASS, 'UseEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.UseEnum', 
                [], [], 
                '''                ''',
                'use',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'addressed-key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString',
            False, 
            [
            _MetaInfoClassMember('hex-data', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'hex_data',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('quit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Exit data entry mode
                ''',
                'quit',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default.KeyString' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default.KeyString',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'key-string',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Assign an address to the key
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default.KeyString', 
                [], [], 
                '''                Key data
                ''',
                'key_string',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Serial number of the device
                ''',
                'serial_number',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.UseEnum' : _MetaInfoEnum('UseEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'encryption':'encryption',
            'signature':'signature',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Key.PubkeyChain.Rsa.NamedKey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa.NamedKey',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Assign an address to the key
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key-string', REFERENCE_CLASS, 'KeyString' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString', 
                [], [], 
                '''                Key data
                ''',
                'key_string',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial number of the device
                ''',
                'serial_number',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('use', REFERENCE_ENUM_CLASS, 'UseEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.UseEnum', 
                [], [], 
                '''                ''',
                'use',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'named-key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey.UseEnum' : _MetaInfoEnum('UseEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'encryption':'encryption',
            'signature':'signature',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('use', REFERENCE_ENUM_CLASS, 'UseEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey.UseEnum', 
                [], [], 
                '''                ''',
                'use',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'addressed-key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey.UseEnum' : _MetaInfoEnum('UseEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'encryption':'encryption',
            'signature':'signature',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('use', REFERENCE_ENUM_CLASS, 'UseEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey.UseEnum', 
                [], [], 
                '''                ''',
                'use',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'named-key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa.Default',
            False, 
            [
            _MetaInfoClassMember('addressed-key', REFERENCE_LIST, 'AddressedKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey', 
                [], [], 
                '''                Public key associated with an address
                ''',
                'addressed_key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('named-key', REFERENCE_LIST, 'NamedKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey', 
                [], [], 
                '''                Public key associated with a name
                ''',
                'named_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain.Rsa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain.Rsa',
            False, 
            [
            _MetaInfoClassMember('addressed-key', REFERENCE_LIST, 'AddressedKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey', 
                [], [], 
                '''                Public key associated with an address
                ''',
                'addressed_key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('named-key', REFERENCE_LIST, 'NamedKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa.NamedKey', 
                [], [], 
                '''                Public key associated with a name
                ''',
                'named_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.PubkeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.PubkeyChain',
            False, 
            [
            _MetaInfoClassMember('rsa', REFERENCE_CLASS, 'Rsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain.Rsa', 
                [], [], 
                '''                Peer RSA public key chain management
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pubkey-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Zeroize.Ec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Zeroize.Ec',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Zeroize.PubkeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Zeroize.PubkeyChain',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'index',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pubkey-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Zeroize.Rsa' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Zeroize.Rsa',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key.Zeroize' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key.Zeroize',
            False, 
            [
            _MetaInfoClassMember('ec', REFERENCE_CLASS, 'Ec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Zeroize.Ec', 
                [], [], 
                '''                Remove EC keys
                ''',
                'ec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pubkey-chain', REFERENCE_CLASS, 'PubkeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Zeroize.PubkeyChain', 
                [], [], 
                '''                Remove peer's cached public key
                ''',
                'pubkey_chain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa', REFERENCE_CLASS, 'Rsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Zeroize.Rsa', 
                [], [], 
                '''                Remove RSA keys
                ''',
                'rsa',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'zeroize',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Key' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Key',
            False, 
            [
            _MetaInfoClassMember('decrypt', REFERENCE_CLASS, 'Decrypt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Decrypt', 
                [], [], 
                '''                Decrypt a keypair.
                ''',
                'decrypt',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('encrypt', REFERENCE_CLASS, 'Encrypt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Encrypt', 
                [], [], 
                '''                Encrypt a keypair.
                ''',
                'encrypt',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('export', REFERENCE_CLASS, 'Export' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Export', 
                [], [], 
                '''                Export keys
                ''',
                'export',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('generate', REFERENCE_CLASS, 'Generate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Generate', 
                [], [], 
                '''                Generate new keys
                ''',
                'generate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('import', REFERENCE_CLASS, 'Import_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Import_', 
                [], [], 
                '''                Import keys
                ''',
                'import_',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('move', REFERENCE_CLASS, 'Move' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Move', 
                [], [], 
                '''                Move keys
                ''',
                'move',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pubkey-chain', REFERENCE_CLASS, 'PubkeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.PubkeyChain', 
                [], [], 
                '''                Peer public key chain management
                ''',
                'pubkey_chain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('storage', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                default storage location for keypairs
                ''',
                'storage',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('zeroize', REFERENCE_CLASS, 'Zeroize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key.Zeroize', 
                [], [], 
                '''                Remove keys
                ''',
                'zeroize',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.Default.PreSharedKey.Ipv4Addr.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Keyring.Default.PreSharedKey.Ipv4Addr' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.Default.PreSharedKey.Ipv4Addr',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                pre shared key by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.PreSharedKey.Ipv4Addr.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify the key
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                pre shared key by address
                ''',
                'mask',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('unencryt-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'unencryt_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.Default.PreSharedKey.Address.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Keyring.Default.PreSharedKey.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.Default.PreSharedKey.Address',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.PreSharedKey.Address.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                define shared key with IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify the key
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('unencryt-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'unencryt_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.Default.PreSharedKey.Hostname.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Keyring.Default.PreSharedKey.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.Default.PreSharedKey.Hostname',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.PreSharedKey.Hostname.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify the key
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('unencryt-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'unencryt_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.Default.PreSharedKey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.Default.PreSharedKey',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.PreSharedKey.Address', 
                [], [], 
                '''                pre shared key by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.PreSharedKey.Hostname', 
                [], [], 
                '''                hostname  define peer policy for hostname
                ''',
                'hostname',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv4-addr', REFERENCE_CLASS, 'Ipv4Addr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.PreSharedKey.Ipv4Addr', 
                [], [], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pre-shared-key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.Default.RsaPubkey.Addr.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'encryption':'encryption',
            'signature':'signature',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Keyring.Default.RsaPubkey.Addr' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.Default.RsaPubkey.Addr',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Public key associated with an address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.RsaPubkey.Addr.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'addr',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.Default.RsaPubkey.Hostname.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'encryption':'encryption',
            'signature':'signature',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Keyring.Default.RsaPubkey.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.Default.RsaPubkey.Hostname',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Public key associated with a hostname
                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.RsaPubkey.Hostname.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.Default.RsaPubkey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.Default.RsaPubkey',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_CLASS, 'Addr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.RsaPubkey.Addr', 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.RsaPubkey.Hostname', 
                [], [], 
                '''                ''',
                'hostname',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa-pubkey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.Default',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a description about this keyring
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Limit the keyring usage to a local address
                ''',
                'local_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pre-shared-key', REFERENCE_CLASS, 'PreSharedKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.PreSharedKey', 
                [], [], 
                '''                Pre-Shared Key
                ''',
                'pre_shared_key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa-pubkey', REFERENCE_CLASS, 'RsaPubkey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default.RsaPubkey', 
                [], [], 
                '''                Peer RSA public key chain management
                ''',
                'rsa_pubkey',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.PreSharedKey.Ipv4Addr.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Keyring.PreSharedKey.Ipv4Addr' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.PreSharedKey.Ipv4Addr',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                pre shared key by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.PreSharedKey.Ipv4Addr.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify the key
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                pre shared key by address
                ''',
                'mask',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('unencryt-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'unencryt_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.PreSharedKey.Address.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Keyring.PreSharedKey.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.PreSharedKey.Address',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.PreSharedKey.Address.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                define shared key with IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify the key
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('unencryt-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'unencryt_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.PreSharedKey.Hostname.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Keyring.PreSharedKey.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.PreSharedKey.Hostname',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.PreSharedKey.Hostname.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify the key
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('unencryt-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'unencryt_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.PreSharedKey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.PreSharedKey',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.PreSharedKey.Address', 
                [], [], 
                '''                pre shared key by address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.PreSharedKey.Hostname', 
                [], [], 
                '''                hostname  define peer policy for hostname
                ''',
                'hostname',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv4-addr', REFERENCE_CLASS, 'Ipv4Addr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.PreSharedKey.Ipv4Addr', 
                [], [], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pre-shared-key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.RsaPubkey.Addr.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'encryption':'encryption',
            'signature':'signature',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Keyring.RsaPubkey.Addr' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.RsaPubkey.Addr',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Public key associated with an address
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.RsaPubkey.Addr.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'addr',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.RsaPubkey.Hostname.WayEnum' : _MetaInfoEnum('WayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'encryption':'encryption',
            'signature':'signature',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Keyring.RsaPubkey.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.RsaPubkey.Hostname',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Public key associated with a hostname
                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('way', REFERENCE_ENUM_CLASS, 'WayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.RsaPubkey.Hostname.WayEnum', 
                [], [], 
                '''                ''',
                'way',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring.RsaPubkey' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring.RsaPubkey',
            False, 
            [
            _MetaInfoClassMember('addr', REFERENCE_CLASS, 'Addr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.RsaPubkey.Addr', 
                [], [], 
                '''                ''',
                'addr',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.RsaPubkey.Hostname', 
                [], [], 
                '''                ''',
                'hostname',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsa-pubkey',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Keyring' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Keyring',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a description about this keyring
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Limit the keyring usage to a local address
                ''',
                'local_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pre-shared-key', REFERENCE_CLASS, 'PreSharedKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.PreSharedKey', 
                [], [], 
                '''                Pre-Shared Key
                ''',
                'pre_shared_key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa-pubkey', REFERENCE_CLASS, 'RsaPubkey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring.RsaPubkey', 
                [], [], 
                '''                Peer RSA public key chain management
                ''',
                'rsa_pubkey',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Mention a vrf it belongs to
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'keyring',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Logging.Ezvpn' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Logging.Ezvpn',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ezvpn group
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ezvpn',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Logging',
            False, 
            [
            _MetaInfoClassMember('ezvpn', REFERENCE_CLASS, 'Ezvpn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Logging.Ezvpn', 
                [], [], 
                '''                ezvpn logging enable/disable
                ''',
                'ezvpn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ikev2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                logging IKEv2 sessions
                ''',
                'ikev2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                logging up/down session
                ''',
                'session',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.Dialer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.Dialer',
            False, 
            [
            _MetaInfoClassMember('pre-classify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable dialer list classification before initiating IKE
                ''',
                'pre_classify',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dialer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.Match',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match address of packets to encrypt
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.Qos',
            False, 
            [
            _MetaInfoClassMember('pre-classify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable QOS classification before packets are tunnel encapsulated
                ''',
                'pre_classify',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.ReverseRoute' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.ReverseRoute',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'reverse-route',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.Set.Pfs' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.Set.Pfs',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'pfs',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.Set.ReverseRoute' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.Set.ReverseRoute',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'reverse-route',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Dummy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Dummy',
            False, 
            [
            ],
            'Cisco-IOS-XE-crypto',
            'dummy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.IdleTimeContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.IdleTimeContainer',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All SAs idle-out reset to default peer
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Automatically delete IPSec SAs after a given idle period.
                ''',
                'idle_time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'idle-time-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Lifetime',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time-based key duration in days
                ''',
                'days',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('kilobytes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Volume-based key duration
                ''',
                'kilobytes',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time-based key duration in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Replay' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Replay',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable replay checking
                ''',
                'disable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('window-size', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set replay window size.
                ''',
                'window_size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'replay',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'per-host':'per_host',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation',
            False, 
            [
            _MetaInfoClassMember('dfbit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'dfbit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dummy', REFERENCE_CLASS, 'Dummy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Dummy', 
                [], [], 
                '''                Enable transmitting dummy packets
                ''',
                'dummy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ecn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Handling of ECN bit
                ''',
                'ecn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time-container', REFERENCE_CLASS, 'IdleTimeContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.IdleTimeContainer', 
                [], [], 
                '''                ''',
                'idle_time_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.LevelEnum', 
                [], [], 
                '''                specify a security association granularity level for identities
                ''',
                'level',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Lifetime', 
                [], [], 
                '''                security association lifetime
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('replay', REFERENCE_CLASS, 'Replay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Replay', 
                [], [], 
                '''                Set replay checking.
                ''',
                'replay',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'security-association',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default.Set' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default.Set',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set the san group parameters
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Identity restriction
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ikev2-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify ikev2 Profile
                ''',
                'ikev2_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('isakmp-profile', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify isakmp Profile
                ''',
                'isakmp_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pfs', REFERENCE_CLASS, 'Pfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Set.Pfs', 
                [], [], 
                '''                Specify pfs settings
                ''',
                'pfs',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reverse-route', REFERENCE_CLASS, 'ReverseRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Set.ReverseRoute', 
                [], [], 
                '''                Reverse Route Injection
                ''',
                'reverse_route',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('security-association', REFERENCE_CLASS, 'SecurityAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation', 
                [], [], 
                '''                Security association parameters
                ''',
                'security_association',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transform-set', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify list of transform sets in priority order
                ''',
                'transform_set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Default',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the crypto map statement policy
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dialer', REFERENCE_CLASS, 'Dialer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Dialer', 
                [], [], 
                '''                Dialer related commands
                ''',
                'dialer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Match', 
                [], [], 
                '''                Match values
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Qos', 
                [], [], 
                '''                Quality of Service related commands
                ''',
                'qos',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reverse-route', REFERENCE_CLASS, 'ReverseRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.ReverseRoute', 
                [], [], 
                '''                Reverse Route Injection.
                ''',
                'reverse_route',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default.Set', 
                [], [], 
                '''                Set values for encryption/decryption
                ''',
                'set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Dialer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Dialer',
            False, 
            [
            _MetaInfoClassMember('pre-classify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable dialer list classification before initiating IKE
                ''',
                'pre_classify',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dialer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Match',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match address of packets to encrypt
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Match address of packets to encrypt
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Match address of packets to encrypt
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Match address of packets to encrypt
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Qos',
            False, 
            [
            _MetaInfoClassMember('pre-classify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable QOS classification before packets are tunnel encapsulated
                ''',
                'pre_classify',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.ReverseRoute.RemotePeerConatiner' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.ReverseRoute.RemotePeerConatiner',
            False, 
            [
            _MetaInfoClassMember('gateway', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force encrypted traffic via this preferred gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('remote-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Create route in route table for remote tunnel endpoint
                ''',
                'remote_peer',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('remote-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Create route in route table for remote tunnel endpoint
                        ''',
                        'remote_peer',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('remote-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Create route in route table for remote tunnel endpoint
                        ''',
                        'remote_peer',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Create routes based on static ACLs permanently
                ''',
                'static',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'remote-peer-conatiner',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.ReverseRoute' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.ReverseRoute',
            False, 
            [
            _MetaInfoClassMember('remote-peer-conatiner', REFERENCE_CLASS, 'RemotePeerConatiner' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.ReverseRoute.RemotePeerConatiner', 
                [], [], 
                '''                ''',
                'remote_peer_conatiner',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Create routes based on static ACLs permanently
                ''',
                'static',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'reverse-route',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Set.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Set.Peer',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reset to default peer in list in the event of a failure
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Resolve the peer address at the time of negotiation
                ''',
                'dynamic',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Set.Pfs.GroupEnum' : _MetaInfoEnum('GroupEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'group1':'group1',
            'group14':'group14',
            'group15':'group15',
            'group16':'group16',
            'group19':'group19',
            'group2':'group2',
            'group20':'group20',
            'group21':'group21',
            'group24':'group24',
            'group5':'group5',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.MapIpv6.Map.Set.Pfs' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Set.Pfs',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_ENUM_CLASS, 'GroupEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.Pfs.GroupEnum', 
                [], [], 
                '''                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pfs',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Set.ReverseRoute' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Set.ReverseRoute',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Distance metric for this static route
                ''',
                'distance',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Create route and tag it
                ''',
                'tag',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'reverse-route',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Dummy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Dummy',
            False, 
            [
            _MetaInfoClassMember('pps', ATTRIBUTE, 'int' , None, None, 
                [('0', '25')], [], 
                '''                Simulated traffic rate (in pps)
                ''',
                'pps',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Simulated traffic rate (in seconds)
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'dummy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.IdleTimeContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.IdleTimeContainer',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All SAs idle-out reset to default peer
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'int' , None, None, 
                [('60', '86400')], [], 
                '''                Automatically delete IPSec SAs after a given idle period.
                ''',
                'idle_time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'idle-time-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime.KilobytesEnum' : _MetaInfoEnum('KilobytesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'disable':'disable',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'int' , None, None, 
                [('1', '30')], [], 
                '''                Time-based key duration in days
                ''',
                'days',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('kilobytes', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Volume-based key duration
                ''',
                'kilobytes',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('kilobytes', ATTRIBUTE, 'int' , None, None, 
                        [('2560', '4294967295')], [], 
                        '''                        Volume-based key duration
                        ''',
                        'kilobytes',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('kilobytes', REFERENCE_ENUM_CLASS, 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime.KilobytesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime.KilobytesEnum', 
                        [], [], 
                        '''                        Volume-based key duration
                        ''',
                        'kilobytes',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('120', '2592000')], [], 
                '''                Time-based key duration in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lifetime',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Replay.WindowSizeEnum' : _MetaInfoEnum('WindowSizeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1024':'Y_1024',
            '128':'Y_128',
            '256':'Y_256',
            '512':'Y_512',
            '64':'Y_64',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Replay' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Replay',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable replay checking
                ''',
                'disable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('window-size', REFERENCE_ENUM_CLASS, 'WindowSizeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Replay.WindowSizeEnum', 
                [], [], 
                '''                Set replay window size.
                ''',
                'window_size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'replay',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.DfbitEnum' : _MetaInfoEnum('DfbitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'clear':'clear',
            'copy':'copy',
            'set':'set',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.EcnEnum' : _MetaInfoEnum('EcnEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'discard':'discard',
            'propagate':'propagate',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'per-host':'per_host',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Set.SecurityAssociation',
            False, 
            [
            _MetaInfoClassMember('dfbit', REFERENCE_ENUM_CLASS, 'DfbitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.DfbitEnum', 
                [], [], 
                '''                Handling of encapsulated DF bit.
                ''',
                'dfbit',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dummy', REFERENCE_CLASS, 'Dummy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Dummy', 
                [], [], 
                '''                Enable transmitting dummy packets
                ''',
                'dummy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ecn', REFERENCE_ENUM_CLASS, 'EcnEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.EcnEnum', 
                [], [], 
                '''                Handling of ECN bit
                ''',
                'ecn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('idle-time-container', REFERENCE_CLASS, 'IdleTimeContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.IdleTimeContainer', 
                [], [], 
                '''                ''',
                'idle_time_container',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.LevelEnum', 
                [], [], 
                '''                specify a security association granularity level for identities
                ''',
                'level',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lifetime', REFERENCE_CLASS, 'Lifetime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime', 
                [], [], 
                '''                security association lifetime
                ''',
                'lifetime',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('replay', REFERENCE_CLASS, 'Replay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Replay', 
                [], [], 
                '''                Set replay checking.
                ''',
                'replay',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'security-association',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.Set' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map.Set',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the san group parameters
                ''',
                'group',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Identity restriction
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ikev2-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify ikev2 Profile
                ''',
                'ikev2_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('isakmp-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify isakmp Profile
                ''',
                'isakmp_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.Peer', 
                [], [], 
                '''                Allowed Encryption/Decryption peer.
                ''',
                'peer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pfs', REFERENCE_CLASS, 'Pfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.Pfs', 
                [], [], 
                '''                Specify pfs settings
                ''',
                'pfs',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reverse-route', REFERENCE_CLASS, 'ReverseRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.ReverseRoute', 
                [], [], 
                '''                Reverse Route Injection
                ''',
                'reverse_route',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('security-association', REFERENCE_CLASS, 'SecurityAssociation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set.SecurityAssociation', 
                [], [], 
                '''                Security association parameters
                ''',
                'security_association',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('transform-set', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Specify list of transform sets in priority order
                ''',
                'transform_set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6.Map.KeyingEnum' : _MetaInfoEnum('KeyingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipsec-isakmp':'ipsec_isakmp',
            'ipsec-manual':'ipsec_manual',
            'gdoi':'gdoi',
            'ckm':'ckm',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.MapIpv6.Map' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6.Map',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description of the crypto map statement policy
                ''',
                'description',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dialer', REFERENCE_CLASS, 'Dialer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Dialer', 
                [], [], 
                '''                Dialer related commands
                ''',
                'dialer',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable dynamic crypto map support
                ''',
                'dynamic',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 crypto map
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('keying', REFERENCE_ENUM_CLASS, 'KeyingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.KeyingEnum', 
                [], [], 
                '''                ''',
                'keying',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Match', 
                [], [], 
                '''                Match values
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable crypto map as a crypto-profile
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Qos', 
                [], [], 
                '''                Quality of Service related commands
                ''',
                'qos',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reverse-route', REFERENCE_CLASS, 'ReverseRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.ReverseRoute', 
                [], [], 
                '''                Reverse Route Injection.
                ''',
                'reverse_route',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'sequence_number',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map.Set', 
                [], [], 
                '''                Set values for encryption/decryption
                ''',
                'set',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_LIST, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6.Map', 
                [], [], 
                '''                Enter a crypto map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6Gdoi.Map.Default.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6Gdoi.Map.Default.Match',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match address of packets for fail-close.
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6Gdoi.Map.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6Gdoi.Map.Default',
            False, 
            [
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate the crypto map to work in fail-close mode
                ''',
                'activate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6Gdoi.Map.Default.Match', 
                [], [], 
                '''                Match address of packets for fail-close
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6Gdoi.Map.Match' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6Gdoi.Map.Match',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Match address of packets for fail-close.
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        Match address of packets for fail-close.
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        Match address of packets for fail-close.
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Match address of packets for fail-close.
                        ''',
                        'address',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            ],
            'Cisco-IOS-XE-crypto',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6Gdoi.Map.GdoiEnum' : _MetaInfoEnum('GdoiEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'fail-close':'fail_close',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.MapIpv6Gdoi.Map' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6Gdoi.Map',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate the crypto map to work in fail-close mode
                ''',
                'activate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6Gdoi.Map.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gdoi', REFERENCE_ENUM_CLASS, 'GdoiEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6Gdoi.Map.GdoiEnum', 
                [], [], 
                '''                Configure crypto map gdoi features
                ''',
                'gdoi',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 crypto map
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6Gdoi.Map.Match', 
                [], [], 
                '''                Match address of packets for fail-close
                ''',
                'match',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapIpv6Gdoi' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapIpv6Gdoi',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_LIST, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6Gdoi.Map', 
                [], [], 
                '''                Enter a crypto map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map-ipv6-gdoi',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapClient.Map.Client.Accounting' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapClient.Map.Client.Accounting',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA accounting list to use
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'accounting',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapClient.Map.Client.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapClient.Map.Client.Authentication',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA authentication list to use
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapClient.Map.Client.Configuration.Address' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapClient.Map.Client.Configuration.Address',
            False, 
            [
            _MetaInfoClassMember('initiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Push the network address to the client
                ''',
                'initiate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('respond', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Respond to network address requests from the client
                ''',
                'respond',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapClient.Map.Client.Configuration' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapClient.Map.Client.Configuration',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapClient.Map.Client.Configuration.Address', 
                [], [], 
                '''                Specify client network address configuration
                ''',
                'address',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'configuration',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapClient.Map.Client' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapClient.Map.Client',
            False, 
            [
            _MetaInfoClassMember('accounting', REFERENCE_CLASS, 'Accounting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapClient.Map.Client.Accounting', 
                [], [], 
                '''                Accounting parameters.
                ''',
                'accounting',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapClient.Map.Client.Authentication', 
                [], [], 
                '''                Use Extended Authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('configuration', REFERENCE_CLASS, 'Configuration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapClient.Map.Client.Configuration', 
                [], [], 
                '''                Specify client configuration settings
                ''',
                'configuration',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapClient.Map.Isakmp' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapClient.Map.Isakmp',
            False, 
            [
            _MetaInfoClassMember('authorization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authorization parameters.
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AAA Authorization list to use
                ''',
                'list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'isakmp',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapClient.Map.Redundancy.ReplayInterval' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapClient.Map.Redundancy.ReplayInterval',
            False, 
            [
            _MetaInfoClassMember('inbound', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                HA inbound replay counter interval
                ''',
                'inbound',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('outbound', ATTRIBUTE, 'int' , None, None, 
                [('1000', '10000')], [], 
                '''                HA outbound replay counter interval
                ''',
                'outbound',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'replay-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapClient.Map.Redundancy' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapClient.Map.Redundancy',
            False, 
            [
            _MetaInfoClassMember('replay-interval', REFERENCE_CLASS, 'ReplayInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapClient.Map.Redundancy.ReplayInterval', 
                [], [], 
                '''                HA replay counter interval
                ''',
                'replay_interval',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'redundancy',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapClient.Map' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapClient.Map',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('client', REFERENCE_CLASS, 'Client' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapClient.Map.Client', 
                [], [], 
                '''                Specify client configuration settings
                ''',
                'client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPv6 crypto map
                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('isakmp', REFERENCE_CLASS, 'Isakmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapClient.Map.Isakmp', 
                [], [], 
                '''                Specify isakmp configuration settings
                ''',
                'isakmp',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('isakmp-profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify isakmp profile to use
                ''',
                'isakmp_profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to use for local address for this crypto map
                ''',
                'local_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('redundancy', REFERENCE_CLASS, 'Redundancy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapClient.Map.Redundancy', 
                [], [], 
                '''                High availability options for this map
                ''',
                'redundancy',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.MapClient' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.MapClient',
            False, 
            [
            _MetaInfoClassMember('map', REFERENCE_LIST, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapClient.Map', 
                [], [], 
                '''                Enter a crypto map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map-client',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Mib.Ipsec.Flowmib.History.Failure' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Mib.Ipsec.Flowmib.History.Failure',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configure IPSEC Flow MIB Tunnel Failure History Window Size
                ''',
                'size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'failure',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configure IPSEC Flow MIB Tunnel Failure History Window Size
                ''',
                'size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Mib.Ipsec.Flowmib.History' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Mib.Ipsec.Flowmib.History',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_CLASS, 'Failure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Mib.Ipsec.Flowmib.History.Failure', 
                [], [], 
                '''                Configure IPSEC Flow MIB Failure History Parameters
                ''',
                'failure',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel', 
                [], [], 
                '''                Configure IPSEC Flow MIB Tunnel History Parameters
                ''',
                'tunnel',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Mib.Ipsec.Flowmib' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Mib.Ipsec.Flowmib',
            False, 
            [
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Mib.Ipsec.Flowmib.History', 
                [], [], 
                '''                Configure IPSEC Flow MIB History Parameters
                ''',
                'history',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'flowmib',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Mib.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Mib.Ipsec',
            False, 
            [
            _MetaInfoClassMember('flowmib', REFERENCE_CLASS, 'Flowmib' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Mib.Ipsec.Flowmib', 
                [], [], 
                '''                Configure IPSec Flow-MIB Parameters
                ''',
                'flowmib',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Mib' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Mib',
            False, 
            [
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Mib.Ipsec', 
                [], [], 
                '''                onfigure MIB Parameters
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'mib',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Chain.Certificate_.CerttypeEnum' : _MetaInfoEnum('CerttypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ca':'ca',
            'ra-encrypt':'ra_encrypt',
            'ra-general':'ra_general',
            'ra-sign':'ra_sign',
            'rollover':'rollover',
            'self-signed':'self_signed',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Pki.Certificate.Chain.Certificate_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Chain.Certificate_',
            False, 
            [
            _MetaInfoClassMember('serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'serial',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('certtype', REFERENCE_ENUM_CLASS, 'CerttypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Chain.Certificate_.CerttypeEnum', 
                [], [], 
                '''                ''',
                'certtype',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'certificate',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Chain' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Chain',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('certificate', REFERENCE_LIST, 'Certificate_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Chain.Certificate_', 
                [], [], 
                '''                Certificate issued by the CA
                ''',
                'certificate',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'chain',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.AltSubjectName' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.AltSubjectName',
            False, 
            [
            _MetaInfoClassMember('co', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Contains
                ''',
                'co',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('eq', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Equal
                ''',
                'eq',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nc', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Does not contain
                ''',
                'nc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ne', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Not Equal
                ''',
                'ne',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'alt-subject-name',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time',
            False, 
            [
            _MetaInfoClassMember('clock', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clock',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date1', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date2', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('utc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time is in UTC (not local Time Zone)
                ''',
                'utc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                ''',
                'year',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'eq',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time',
            False, 
            [
            _MetaInfoClassMember('clock', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clock',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date1', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date2', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('utc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time is in UTC (not local Time Zone)
                ''',
                'utc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                ''',
                'year',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ge',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time',
            False, 
            [
            _MetaInfoClassMember('clock', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clock',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date1', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date2', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('utc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time is in UTC (not local Time Zone)
                ''',
                'utc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                ''',
                'year',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lt',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time',
            False, 
            [
            _MetaInfoClassMember('clock', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clock',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date1', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date2', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('utc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time is in UTC (not local Time Zone)
                ''',
                'utc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                ''',
                'year',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ne',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ExpiresOn' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ExpiresOn',
            False, 
            [
            _MetaInfoClassMember('eq', REFERENCE_CLASS, 'Eq' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq', 
                [], [], 
                '''                Equal
                ''',
                'eq',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ge', REFERENCE_CLASS, 'Ge' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge', 
                [], [], 
                '''                Greater than or equal
                ''',
                'ge',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lt', REFERENCE_CLASS, 'Lt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt', 
                [], [], 
                '''                Less Than
                ''',
                'lt',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ne', REFERENCE_CLASS, 'Ne' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne', 
                [], [], 
                '''                Not Equal
                ''',
                'ne',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'expires-on',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.IssuerName' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.IssuerName',
            False, 
            [
            _MetaInfoClassMember('co', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Contains
                ''',
                'co',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('eq', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Equal
                ''',
                'eq',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nc', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Does not contain
                ''',
                'nc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ne', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Not Equal
                ''',
                'ne',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'issuer-name',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.Name' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.Name',
            False, 
            [
            _MetaInfoClassMember('co', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Contains
                ''',
                'co',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('eq', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Equal
                ''',
                'eq',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nc', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Does not contain
                ''',
                'nc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ne', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Not Equal
                ''',
                'ne',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.SerialNumber' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.SerialNumber',
            False, 
            [
            _MetaInfoClassMember('co', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Contains
                ''',
                'co',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('eq', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Equal
                ''',
                'eq',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nc', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Does not contain
                ''',
                'nc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ne', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Not Equal
                ''',
                'ne',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'serial-number',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.SubjectName' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.SubjectName',
            False, 
            [
            _MetaInfoClassMember('co', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Contains
                ''',
                'co',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('eq', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Equal
                ''',
                'eq',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nc', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Does not contain
                ''',
                'nc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ne', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Not Equal
                ''',
                'ne',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'subject-name',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName',
            False, 
            [
            _MetaInfoClassMember('co', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Contains
                ''',
                'co',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('eq', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Equal
                ''',
                'eq',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nc', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Does not contain
                ''',
                'nc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ne', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Not Equal
                ''',
                'ne',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'unstructured-subject-name',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time',
            False, 
            [
            _MetaInfoClassMember('clock', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clock',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date1', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date2', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('utc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time is in UTC (not local Time Zone)
                ''',
                'utc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                ''',
                'year',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ValidStart.Eq' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ValidStart.Eq',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'eq',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time',
            False, 
            [
            _MetaInfoClassMember('clock', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clock',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date1', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date2', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('utc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time is in UTC (not local Time Zone)
                ''',
                'utc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                ''',
                'year',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ValidStart.Ge' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ValidStart.Ge',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ge',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time',
            False, 
            [
            _MetaInfoClassMember('clock', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clock',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date1', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date2', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('utc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time is in UTC (not local Time Zone)
                ''',
                'utc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                ''',
                'year',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ValidStart.Lt' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ValidStart.Lt',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'lt',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time',
            False, 
            [
            _MetaInfoClassMember('clock', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clock',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date1', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date2', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                ''',
                'date2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('month2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'month2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('utc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Time is in UTC (not local Time Zone)
                ''',
                'utc',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                ''',
                'year',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ValidStart.Ne' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ValidStart.Ne',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ne',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map.ValidStart' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map.ValidStart',
            False, 
            [
            _MetaInfoClassMember('eq', REFERENCE_CLASS, 'Eq' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ValidStart.Eq', 
                [], [], 
                '''                Equal
                ''',
                'eq',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ge', REFERENCE_CLASS, 'Ge' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ValidStart.Ge', 
                [], [], 
                '''                Greater than or equal
                ''',
                'ge',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('lt', REFERENCE_CLASS, 'Lt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ValidStart.Lt', 
                [], [], 
                '''                Less Than
                ''',
                'lt',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ne', REFERENCE_CLASS, 'Ne' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ValidStart.Ne', 
                [], [], 
                '''                Not Equal
                ''',
                'ne',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'valid-start',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Map' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Map',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('alt-subject-name', REFERENCE_CLASS, 'AltSubjectName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.AltSubjectName', 
                [], [], 
                '''                Alternate subject name
                ''',
                'alt_subject_name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('expires-on', REFERENCE_CLASS, 'ExpiresOn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ExpiresOn', 
                [], [], 
                '''                Expiration date/time
                ''',
                'expires_on',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('issuer-name', REFERENCE_CLASS, 'IssuerName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.IssuerName', 
                [], [], 
                '''                Certificate issuer name
                ''',
                'issuer_name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name', REFERENCE_CLASS, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.Name', 
                [], [], 
                '''                Any subject name field
                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'sequence',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('serial-number', REFERENCE_CLASS, 'SerialNumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.SerialNumber', 
                [], [], 
                '''                Certificate serial number (hexidecimal)
                ''',
                'serial_number',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('subject-name', REFERENCE_CLASS, 'SubjectName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.SubjectName', 
                [], [], 
                '''                Certificate subject name
                ''',
                'subject_name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('unstructured-subject-name', REFERENCE_CLASS, 'UnstructuredSubjectName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName', 
                [], [], 
                '''                Unstructured subject name
                ''',
                'unstructured_subject_name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('valid-start', REFERENCE_CLASS, 'ValidStart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map.ValidStart', 
                [], [], 
                '''                Valid after date/time
                ''',
                'valid_start',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'map',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate.Storage.PathEnum' : _MetaInfoEnum('PathEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'flash:':'flash__COLON__',
            'nvram:':'nvram__COLON__',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Pki.Certificate.Storage' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate.Storage',
            False, 
            [
            _MetaInfoClassMember('on', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Create keypairs on device
                ''',
                'on',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('path', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'path',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('path', REFERENCE_ENUM_CLASS, 'Native.Crypto.Pki.Certificate.Storage.PathEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Storage.PathEnum', 
                        [], [], 
                        '''                        ''',
                        'path',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('path', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'path',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('with-keypair', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Store certificates with keypair
                ''',
                'with_keypair',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'storage',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Certificate' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Certificate',
            False, 
            [
            _MetaInfoClassMember('chain', REFERENCE_LIST, 'Chain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Chain', 
                [], [], 
                '''                Identify certificates
                ''',
                'chain',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map', REFERENCE_LIST, 'Map' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Map', 
                [], [], 
                '''                Define certificate attributes map
                ''',
                'map',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pool', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Identify CA certificates in pool
                ''',
                'pool',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('query', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Get certificates from the CA after reboot
                ''',
                'query',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('storage', REFERENCE_CLASS, 'Storage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate.Storage', 
                [], [], 
                '''                specify where to store certificates
                ''',
                'storage',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('validate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Validate a certificate chain
                ''',
                'validate',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'certificate',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Crl.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Crl.Cache',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '131072')], [], 
                '''                Size of the recently parsed CRL cache
                ''',
                'size',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Crl.Download.Schedule.Retries' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Crl.Download.Schedule.Retries',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('15', '600')], [], 
                '''                retry time interval for each attempt
                ''',
                'interval',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '15')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'retries',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Crl.Download.Schedule.Time.DateEnum' : _MetaInfoEnum('DateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'Friday':'Friday',
            'Monday':'Monday',
            'Saturday':'Saturday',
            'Sunday':'Sunday',
            'Thursday':'Thursday',
            'Tuesday':'Tuesday',
            'Wednesday':'Wednesday',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Pki.Crl.Download.Schedule.Time' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Crl.Download.Schedule.Time',
            False, 
            [
            _MetaInfoClassMember('clock', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'clock',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('date', REFERENCE_ENUM_CLASS, 'DateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Crl.Download.Schedule.Time.DateEnum', 
                [], [], 
                '''                ''',
                'date',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Crl.Download.Schedule' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Crl.Download.Schedule',
            False, 
            [
            _MetaInfoClassMember('prepublish', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Requests CRL at prepublish time
                ''',
                'prepublish',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('retries', REFERENCE_CLASS, 'Retries' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Crl.Download.Schedule.Retries', 
                [], [], 
                '''                Retry request for failed CDP locations
                ''',
                'retries',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Crl.Download.Schedule.Time', 
                [], [], 
                '''                Request auto-download CRL at this time
                ''',
                'time',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'schedule',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Crl.Download.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Crl.Download.Url',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface used as source address
                ''',
                'source_interface',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF to use for CRL download
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Crl.Download' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Crl.Download',
            False, 
            [
            _MetaInfoClassMember('schedule', REFERENCE_CLASS, 'Schedule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Crl.Download.Schedule', 
                [], [], 
                '''                Schedule time to auto-download CRL
                ''',
                'schedule',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('trustpoint', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trustpoint to auto-download CRL
                ''',
                'trustpoint',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Crl.Download.Url', 
                [], [], 
                '''                URL to auto-download CRL
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'download',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Crl' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Crl',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Crl.Cache', 
                [], [], 
                '''                Cache which holds recently parsed CRLs
                ''',
                'cache',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('download', REFERENCE_CLASS, 'Download' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Crl.Download', 
                [], [], 
                '''                auto-download CRL
                ''',
                'download',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('request', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Requests a current CRL
                ''',
                'request',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'crl',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Export.Pem.Terminal.Pem3Des' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Export.Pem.Terminal.Pem3Des',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Passphrase
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pem-3des',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Export.Pem.Terminal.Des' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Export.Pem.Terminal.Des',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Passphrase
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'des',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Export.Pem.Terminal' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Export.Pem.Terminal',
            False, 
            [
            _MetaInfoClassMember('des', REFERENCE_CLASS, 'Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Export.Pem.Terminal.Des', 
                [], [], 
                '''                Encrypt the private key with DES
                ''',
                'des',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pem-3des', REFERENCE_CLASS, 'Pem3Des' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Export.Pem.Terminal.Pem3Des', 
                [], [], 
                '''                Encrypt the private key with 3DES
                ''',
                'pem_3des',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rollover', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export the rollover CA certificate
                ''',
                'rollover',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'terminal',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Export.Pem.Url.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '3des':'Y_3des',
            'des':'des',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Pki.Export.Pem.Url.FileEnum' : _MetaInfoEnum('FileEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'flash:':'flash__COLON__',
            'ftp:':'ftp__COLON__',
            'http:':'http__COLON__',
            'https:':'https__COLON__',
            'null:':'null__COLON__',
            'nvram:':'nvram__COLON__',
            'pram:':'pram__COLON__',
            'rcp:':'rcp__COLON__',
            'scp:':'scp__COLON__',
            'system:':'system__COLON__',
            'tftp:':'tftp__COLON__',
            'tmpsys:':'tmpsys__COLON__',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Pki.Export.Pem.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Export.Pem.Url',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Export.Pem.Url.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('file', REFERENCE_ENUM_CLASS, 'FileEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Export.Pem.Url.FileEnum', 
                [], [], 
                '''                ''',
                'file',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Passphrase
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Export.Pem' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Export.Pem',
            False, 
            [
            _MetaInfoClassMember('terminal', REFERENCE_CLASS, 'Terminal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Export.Pem.Terminal', 
                [], [], 
                '''                Export via the terminal (cut-and-paste)
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Export.Pem.Url', 
                [], [], 
                '''                Export via the file systems
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pem',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Export.Pkcs12.FileEnum' : _MetaInfoEnum('FileEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'flash:':'flash__COLON__',
            'ftp:':'ftp__COLON__',
            'http:':'http__COLON__',
            'https:':'https__COLON__',
            'null:':'null__COLON__',
            'nvram:':'nvram__COLON__',
            'pram:':'pram__COLON__',
            'rcp:':'rcp__COLON__',
            'scp:':'scp__COLON__',
            'system:':'system__COLON__',
            'tftp:':'tftp__COLON__',
            'tmpsys:':'tmpsys__COLON__',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Pki.Export.Pkcs12' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Export.Pkcs12',
            False, 
            [
            _MetaInfoClassMember('file', REFERENCE_ENUM_CLASS, 'FileEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Export.Pkcs12.FileEnum', 
                [], [], 
                '''                ''',
                'file',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Passphrase
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pkcs12',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Export' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Export',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('pem', REFERENCE_CLASS, 'Pem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Export.Pem', 
                [], [], 
                '''                Export to PEM files
                ''',
                'pem',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pkcs12', REFERENCE_CLASS, 'Pkcs12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Export.Pkcs12', 
                [], [], 
                '''                Export to PKCS12 file
                ''',
                'pkcs12',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'export',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Import_.Pem.Terminal' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Import_.Pem.Terminal',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Passphrase
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'terminal',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Import_.Pem.Url.FileEnum' : _MetaInfoEnum('FileEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'flash:':'flash__COLON__',
            'ftp:':'ftp__COLON__',
            'http:':'http__COLON__',
            'https:':'https__COLON__',
            'null:':'null__COLON__',
            'nvram:':'nvram__COLON__',
            'pram:':'pram__COLON__',
            'rcp:':'rcp__COLON__',
            'scp:':'scp__COLON__',
            'system:':'system__COLON__',
            'tftp:':'tftp__COLON__',
            'tmpsys:':'tmpsys__COLON__',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Pki.Import_.Pem.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Import_.Pem.Url',
            False, 
            [
            _MetaInfoClassMember('file', REFERENCE_ENUM_CLASS, 'FileEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Import_.Pem.Url.FileEnum', 
                [], [], 
                '''                ''',
                'file',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Passphrase
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Import_.Pem' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Import_.Pem',
            False, 
            [
            _MetaInfoClassMember('check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Validate certificate on input
                ''',
                'check',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('exportable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow the key as to be exported
                ''',
                'exportable',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('terminal', REFERENCE_CLASS, 'Terminal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Import_.Pem.Terminal', 
                [], [], 
                '''                Import via the terminal (cut-and-paste)
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Import_.Pem.Url', 
                [], [], 
                '''                Export via the file systems
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('usage-keys', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Usage key pairs
                ''',
                'usage_keys',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pem',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Import_.Pkcs12.FileEnum' : _MetaInfoEnum('FileEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'flash:':'flash__COLON__',
            'ftp:':'ftp__COLON__',
            'http:':'http__COLON__',
            'https:':'https__COLON__',
            'null:':'null__COLON__',
            'nvram:':'nvram__COLON__',
            'pram:':'pram__COLON__',
            'rcp:':'rcp__COLON__',
            'scp:':'scp__COLON__',
            'system:':'system__COLON__',
            'tftp:':'tftp__COLON__',
            'tmpsys:':'tmpsys__COLON__',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Pki.Import_.Pkcs12' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Import_.Pkcs12',
            False, 
            [
            _MetaInfoClassMember('file', REFERENCE_ENUM_CLASS, 'FileEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Import_.Pkcs12.FileEnum', 
                [], [], 
                '''                ''',
                'file',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Passphrase
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pkcs12',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Import_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Import_',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('certificate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Import a certificate from a TFTP server or the terminal
                ''',
                'certificate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pem', REFERENCE_CLASS, 'Pem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Import_.Pem', 
                [], [], 
                '''                Import from PEM files
                ''',
                'pem',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pkcs12', REFERENCE_CLASS, 'Pkcs12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Import_.Pkcs12', 
                [], [], 
                '''                Import from PKCS12 file
                ''',
                'pkcs12',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'import',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Authentication.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Authentication.Url',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF to use for certificate enrollment 
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Authentication',
            False, 
            [
            _MetaInfoClassMember('command', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                command to authenticate or enroll
                ''',
                'command',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('terminal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                authenticate or enroll using terminal
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Authentication.Url', 
                [], [], 
                '''                url to authenticate/enroll
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Enrollment_.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Enrollment_.Url',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF to use for certificate enrollment 
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Enrollment_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Enrollment_',
            False, 
            [
            _MetaInfoClassMember('command', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                command to authenticate or enroll
                ''',
                'command',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use existing router cert for new enrollment
                ''',
                'credential',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('terminal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                authenticate or enroll using terminal
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Enrollment_.Url', 
                [], [], 
                '''                url to authenticate/enroll
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'enrollment',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Parameter' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Parameter',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('prompt', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Define a parameter prompt
                ''',
                'prompt',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Define a parameter value
                ''',
                'value',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'parameter',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF to use for certificate enrollment 
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Reenrollment' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Reenrollment',
            False, 
            [
            _MetaInfoClassMember('command', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                command to authenticate or enroll
                ''',
                'command',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('terminal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                authenticate or enroll using terminal
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url', 
                [], [], 
                '''                url to authenticate/enroll
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'reenrollment',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF to use for certificate enrollment 
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Default.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Default.Authentication',
            False, 
            [
            _MetaInfoClassMember('command', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                command to authenticate or enroll
                ''',
                'command',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('terminal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                authenticate or enroll using terminal
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url', 
                [], [], 
                '''                url to authenticate/enroll
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_.Url',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF to use for certificate enrollment 
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_',
            False, 
            [
            _MetaInfoClassMember('command', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                command to authenticate or enroll
                ''',
                'command',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use existing router cert for new enrollment
                ''',
                'credential',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('terminal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                authenticate or enroll using terminal
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_.Url', 
                [], [], 
                '''                url to authenticate/enroll
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'enrollment',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Default.Parameter' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Default.Parameter',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('prompt', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Define a parameter prompt
                ''',
                'prompt',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Define a parameter value
                ''',
                'value',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'parameter',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF to use for certificate enrollment 
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment',
            False, 
            [
            _MetaInfoClassMember('command', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                command to authenticate or enroll
                ''',
                'command',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('terminal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                authenticate or enroll using terminal
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url', 
                [], [], 
                '''                url to authenticate/enroll
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'reenrollment',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment.Default',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Default.Authentication', 
                [], [], 
                '''                Retrieve CA certificate(s)
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('enrollment', REFERENCE_CLASS, 'Enrollment_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_', 
                [], [], 
                '''                Enroll router with a CA
                ''',
                'enrollment',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('method-est', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use EST for this profile
                ''',
                'method_est',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('parameter', REFERENCE_LIST, 'Parameter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Default.Parameter', 
                [], [], 
                '''                Define a parameter value or prompt
                ''',
                'parameter',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reenrollment', REFERENCE_CLASS, 'Reenrollment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment', 
                [], [], 
                '''                Re-enroll router with a CA
                ''',
                'reenrollment',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface used as source address
                ''',
                'source_interface',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile.Enrollment' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile.Enrollment',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Authentication', 
                [], [], 
                '''                Retrieve CA certificate(s)
                ''',
                'authentication',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('enrollment', REFERENCE_CLASS, 'Enrollment_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Enrollment_', 
                [], [], 
                '''                Enroll router with a CA
                ''',
                'enrollment',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('method-est', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use EST for this profile
                ''',
                'method_est',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('parameter', REFERENCE_LIST, 'Parameter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Parameter', 
                [], [], 
                '''                Define a parameter value or prompt
                ''',
                'parameter',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('reenrollment', REFERENCE_CLASS, 'Reenrollment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment.Reenrollment', 
                [], [], 
                '''                Re-enroll router with a CA
                ''',
                'reenrollment',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('source-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface used as source address
                ''',
                'source_interface',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'enrollment',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Profile' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Profile',
            False, 
            [
            _MetaInfoClassMember('enrollment', REFERENCE_LIST, 'Enrollment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile.Enrollment', 
                [], [], 
                '''                Define an enrollment profile
                ''',
                'enrollment',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'profile',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Server' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Server',
            False, 
            [
            _MetaInfoClassMember('cancel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cancel a pending rollover
                ''',
                'cancel',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rollover', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Rollover the server's key and certificate
                ''',
                'rollover',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpoint.Enrollment.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpoint.Enrollment.Mode',
            False, 
            [
            _MetaInfoClassMember('ra', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Registration Authority mode
                ''',
                'ra',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpoint.Enrollment.Retry' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpoint.Enrollment.Retry',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                How many times to poll CA for our certificate
                ''',
                'count',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                How long to wait between requests to CA for our certificate
                ''',
                'period',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'retry',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpoint.Enrollment.Terminal' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpoint.Enrollment.Terminal',
            False, 
            [
            _MetaInfoClassMember('pem', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include PEM encapsulation boundaries
                ''',
                'pem',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'terminal',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpoint.Enrollment' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpoint.Enrollment',
            False, 
            [
            _MetaInfoClassMember('http-proxy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                HTTP proxy server for enrollment
                ''',
                'http_proxy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpoint.Enrollment.Mode', 
                [], [], 
                '''                Mode supported by the Certificate Authority
                ''',
                'mode',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pkcs12', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'pkcs12',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify an profile for enrollment
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('retry', REFERENCE_CLASS, 'Retry' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpoint.Enrollment.Retry', 
                [], [], 
                '''                Polling parameters
                ''',
                'retry',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('selfsigned', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate a Self Signed Certificate
                ''',
                'selfsigned',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('terminal', REFERENCE_CLASS, 'Terminal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpoint.Enrollment.Terminal', 
                [], [], 
                '''                Enroll via the terminal (cut-and-paste)
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                CA server enrollment URL
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'enrollment',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpoint.Password' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpoint.Password',
            False, 
            [
            _MetaInfoClassMember('clear_password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                revocation password
                ''',
                'clear_password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('encryption_type', ATTRIBUTE, 'int' , None, None, 
                [('0', '9')], [], 
                '''                Encryption type
                ''',
                'encryption_type',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpoint.Rsakeypair' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpoint.Rsakeypair',
            False, 
            [
            _MetaInfoClassMember('encrypt-key', ATTRIBUTE, 'int' , None, None, 
                [('360', '4096')], [], 
                '''                Encryption Key length
                ''',
                'encrypt_key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gen-key', ATTRIBUTE, 'int' , None, None, 
                [('360', '4096')], [], 
                '''                General Purpose or Signature Key length
                ''',
                'gen_key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key-label', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RSA keypair label
                ''',
                'key_label',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'rsakeypair',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpoint.SerialNumber' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpoint.SerialNumber',
            False, 
            [
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                do not include serial number
                ''',
                'none',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'serial-number',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpoint.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpoint.IpAddress',
            False, 
            [
            _MetaInfoClassMember('address-line', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                interface name or ip address
                ''',
                'address_line',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                do not include ip address
                ''',
                'none',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpoint.RevocationCheckEnum' : _MetaInfoEnum('RevocationCheckEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'crl':'crl',
            'none':'none',
            'ocsp':'ocsp',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Pki.Trustpoint' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpoint',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('auto-enroll', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Automatically enroll this router identity
                ''',
                'auto_enroll',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('enrollment', REFERENCE_CLASS, 'Enrollment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpoint.Enrollment', 
                [], [], 
                '''                Enrollment parameters
                ''',
                'enrollment',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ip-address', REFERENCE_CLASS, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpoint.IpAddress', 
                [], [], 
                '''                include ip address
                ''',
                'ip_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpoint.Password', 
                [], [], 
                '''                revocation password
                ''',
                'password',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('revocation-check', REFERENCE_ENUM_CLASS, 'RevocationCheckEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpoint.RevocationCheckEnum', 
                [], [], 
                '''                Revocation checking options
                ''',
                'revocation_check',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsakeypair', REFERENCE_CLASS, 'Rsakeypair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpoint.Rsakeypair', 
                [], [], 
                '''                Specify rsakeypair for this identity
                ''',
                'rsakeypair',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('serial-number', REFERENCE_CLASS, 'SerialNumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpoint.SerialNumber', 
                [], [], 
                '''                help
                ''',
                'serial_number',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('subject-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Subject Name
                ''',
                'subject_name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of VRF to use with trustpoint
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'trustpoint',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Token.TokenName.Removal' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Token.TokenName.Removal',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '480')], [], 
                '''                seconds after token removal at which keys from the token are cleared
                ''',
                'timeout',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'removal',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Token.TokenName' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Token.TokenName',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('removal', REFERENCE_CLASS, 'Removal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Token.TokenName.Removal', 
                [], [], 
                '''                actions to take after token removal
                ''',
                'removal',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'token-name',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Token' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Token',
            False, 
            [
            _MetaInfoClassMember('token-name', REFERENCE_LIST, 'TokenName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Token.TokenName', 
                [], [], 
                '''                ''',
                'token_name',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'token',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpool.Import_.Url.FileEnum' : _MetaInfoEnum('FileEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'cns:':'cns__COLON__',
            'flash:':'flash__COLON__',
            'ftp:':'ftp__COLON__',
            'http:':'http__COLON__',
            'https:':'https__COLON__',
            'null:':'null__COLON__',
            'nvram:':'nvram__COLON__',
            'pram:':'pram__COLON__',
            'rcp:':'rcp__COLON__',
            'scp:':'scp__COLON__',
            'system:':'system__COLON__',
            'tar:':'tar__COLON__',
            'tftp:':'tftp__COLON__',
            'tmpsys:':'tmpsys__COLON__',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.Pki.Trustpool.Import_.Url' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpool.Import_.Url',
            False, 
            [
            _MetaInfoClassMember('file', REFERENCE_ENUM_CLASS, 'FileEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpool.Import_.Url.FileEnum', 
                [], [], 
                '''                ''',
                'file',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpool.Import_' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpool.Import_',
            False, 
            [
            _MetaInfoClassMember('clean', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remove all downloaded trustpool certificates prior to import
                ''',
                'clean',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('terminal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Import bundle via the terminal (cut-and-paste) in PEM format
                ''',
                'terminal',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpool.Import_.Url', 
                [], [], 
                '''                Import via the file systems
                ''',
                'url',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'import',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Trustpool' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Trustpool',
            False, 
            [
            _MetaInfoClassMember('import', REFERENCE_CLASS, 'Import_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpool.Import_', 
                [], [], 
                '''                Import a trustpool bundle
                ''',
                'import_',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'trustpool',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Default.Removal' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Default.Removal',
            False, 
            [
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '480')], [], 
                '''                seconds after token removal at which keys from the token are cleared
                ''',
                'timeout',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'removal',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki.Default' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki.Default',
            False, 
            [
            _MetaInfoClassMember('removal', REFERENCE_CLASS, 'Removal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Default.Removal', 
                [], [], 
                '''                actions to take after token removal
                ''',
                'removal',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Pki' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Pki',
            False, 
            [
            _MetaInfoClassMember('authenticate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Get the CA certificate
                ''',
                'authenticate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('certificate', REFERENCE_CLASS, 'Certificate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Certificate', 
                [], [], 
                '''                Actions on certificates
                ''',
                'certificate',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('crl', REFERENCE_CLASS, 'Crl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Crl', 
                [], [], 
                '''                Actions on certificate revocation lists
                ''',
                'crl',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Default', 
                [], [], 
                '''                set default values for tokens
                ''',
                'default',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('enroll', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Request a certificate from a CA
                ''',
                'enroll',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('export', REFERENCE_LIST, 'Export' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Export', 
                [], [], 
                '''                Export certificate or PKCS12 file
                ''',
                'export',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('import', REFERENCE_LIST, 'Import_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Import_', 
                [], [], 
                '''                Import certificate or PKCS12 file
                ''',
                'import_',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', REFERENCE_CLASS, 'Profile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Profile', 
                [], [], 
                '''                Define a certificate profile
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Server', 
                [], [], 
                '''                Enable IOS Certificate server
                ''',
                'server',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('token', REFERENCE_CLASS, 'Token' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Token', 
                [], [], 
                '''                Configure cryptographic token
                ''',
                'token',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('trustpoint', REFERENCE_LIST, 'Trustpoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpoint', 
                [], [], 
                '''                Define a CA trustpoint
                ''',
                'trustpoint',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('trustpool', REFERENCE_CLASS, 'Trustpool' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki.Trustpool', 
                [], [], 
                '''                Define CA trustpool
                ''',
                'trustpool',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'pki',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                priority level
                ''',
                'priority',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'local-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress',
            False, 
            [
            _MetaInfoClassMember('addresses', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'addresses',
                'Cisco-IOS-XE-crypto', False, [
                    _MetaInfoClassMember('addresses', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addresses',
                        'Cisco-IOS-XE-crypto', False),
                    _MetaInfoClassMember('addresses', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'addresses',
                        'Cisco-IOS-XE-crypto', False),
                ]),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'overlay-address',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.Protection.ProtectionEnum' : _MetaInfoEnum('ProtectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dhe-psk-aes128-cbc-sha1':'dhe_psk_aes128_cbc_sha1',
            'dhe-psk-aes256-cbc-sha1':'dhe_psk_aes256_cbc_sha1',
            'psk-aes128-cbc-sha1':'psk_aes128_cbc_sha1',
            'psk-aes256-cbc-sha1':'psk_aes256_cbc_sha1',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.TlsTunnel.TlsTunnelList.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.Protection',
            False, 
            [
            _MetaInfoClassMember('protection', REFERENCE_ENUM_CLASS, 'ProtectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.Protection.ProtectionEnum', 
                [], [], 
                '''                ''',
                'protection',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key.EncryptionEnum' : _MetaInfoEnum('EncryptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-crypto', _yang_ns._namespaces['Cisco-IOS-XE-crypto']),
    'Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key',
            False, 
            [
            _MetaInfoClassMember('encryption', REFERENCE_ENUM_CLASS, 'EncryptionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key.EncryptionEnum', 
                [], [], 
                '''                ''',
                'encryption',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specify the key
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('unencryt-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'unencryt_key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.Psk' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.Psk',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_LIST, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id', 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'psk',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'port',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv6',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'port',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList.Server' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList.Server',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipv6', REFERENCE_LIST, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel.TlsTunnelList' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel.TlsTunnelList',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of TLS-Tunnel
                ''',
                'tunnel_name',
                'Cisco-IOS-XE-crypto', True),
            _MetaInfoClassMember('local-interface', REFERENCE_CLASS, 'LocalInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface', 
                [], [], 
                '''                Specify the WAN interfaces
                ''',
                'local_interface',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('overlay-address', REFERENCE_CLASS, 'OverlayAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress', 
                [], [], 
                '''                Specify the Overlay Address
                ''',
                'overlay_address',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.Protection', 
                [], [], 
                '''                Cipher-Suite
                ''',
                'protection',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('psk', REFERENCE_CLASS, 'Psk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.Psk', 
                [], [], 
                '''                Specify the Pre-Shared Key
                ''',
                'psk',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList.Server', 
                [], [], 
                '''                Specify the Server Address
                ''',
                'server',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'tls-tunnel-list',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.TlsTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.TlsTunnel',
            False, 
            [
            _MetaInfoClassMember('tls-tunnel-list', REFERENCE_LIST, 'TlsTunnelList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel.TlsTunnelList', 
                [], [], 
                '''                Configure Crypto TLS-Tunnel Options
                ''',
                'tls_tunnel_list',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'tls-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ssl.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ssl.Authorization',
            False, 
            [
            _MetaInfoClassMember('policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Crypto SSL authorization policy
                ''',
                'policy',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ssl.Diagnose' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ssl.Diagnose',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Start error trace debug
                ''',
                'error',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'diagnose',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ssl.Proposal.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ssl.Proposal.Protection',
            False, 
            [
            _MetaInfoClassMember('rsa-3des-ede-sha1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RSA, 3DES and SHA1
                ''',
                'rsa_3des_ede_sha1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa-aes128-sha1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RSA, AES128 and SHA1
                ''',
                'rsa_aes128_sha1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa-aes256-sha1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RSA, AES256 and SHA1
                ''',
                'rsa_aes256_sha1',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('rsa-rc4128-md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RSA, RC4 and MD5
                ''',
                'rsa_rc4128_md5',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ssl.Proposal' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ssl.Proposal',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ssl.Proposal.Protection', 
                [], [], 
                '''                Specify the protection algorithms
                ''',
                'protection',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'proposal',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Ssl' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Ssl',
            False, 
            [
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ssl.Authorization', 
                [], [], 
                '''                ssl authorization
                ''',
                'authorization',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('diagnose', REFERENCE_CLASS, 'Diagnose' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ssl.Diagnose', 
                [], [], 
                '''                SSLVPN diagnose
                ''',
                'diagnose',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Define SSL policies
                ''',
                'policy',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Define SSL profiles
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('proposal', REFERENCE_CLASS, 'Proposal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ssl.Proposal', 
                [], [], 
                '''                Define ssl Proposal
                ''',
                'proposal',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'ssl',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Vpn.Anyconnect.File' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Vpn.Anyconnect.File',
            False, 
            [
            _MetaInfoClassMember('filename', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'filename',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                client-side download sequence num (priority) of this package
                ''',
                'sequence',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'file',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Vpn.Anyconnect.ProfileContainer' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Vpn.Anyconnect.ProfileContainer',
            False, 
            [
            _MetaInfoClassMember('filename', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'filename',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure anyconnect client profile
                ''',
                'profile',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'profile-container',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Vpn.Anyconnect' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Vpn.Anyconnect',
            False, 
            [
            _MetaInfoClassMember('file', REFERENCE_CLASS, 'File' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Vpn.Anyconnect.File', 
                [], [], 
                '''                ''',
                'file',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('profile-container', REFERENCE_CLASS, 'ProfileContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Vpn.Anyconnect.ProfileContainer', 
                [], [], 
                '''                ''',
                'profile_container',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'anyconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto.Vpn' : {
        'meta_info' : _MetaInfoClass('Native.Crypto.Vpn',
            False, 
            [
            _MetaInfoClassMember('anyconnect', REFERENCE_CLASS, 'Anyconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Vpn.Anyconnect', 
                [], [], 
                '''                Configure anyconnect client package
                ''',
                'anyconnect',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('csd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure Secure Desktop package
                ''',
                'csd',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-crypto',
            'vpn',
            _yang_ns._namespaces['Cisco-IOS-XE-crypto'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Crypto' : {
        'meta_info' : _MetaInfoClass('Native.Crypto',
            False, 
            [
            _MetaInfoClassMember('call', REFERENCE_CLASS, 'Call' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Call', 
                [], [], 
                '''                Configure Crypto Call Admission Control
                ''',
                'call',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('dynamic-map', REFERENCE_LIST, 'DynamicMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.DynamicMap', 
                [], [], 
                '''                Specify a dynamic crypto map template
                ''',
                'dynamic_map',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('engine', REFERENCE_CLASS, 'Engine' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Engine', 
                [], [], 
                '''                Enter a crypto engine configurable menu
                ''',
                'engine',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gdoi', REFERENCE_CLASS, 'Gdoi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gdoi', 
                [], [], 
                '''                Configure GKM (Group Key Management, GDOI or G-IKEv2) Policy
                ''',
                'gdoi',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('gkm', REFERENCE_CLASS, 'Gkm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Gkm', 
                [], [], 
                '''                Configure GKM (Group Key Management, GDOI or G-IKEv2) Policy
                ''',
                'gkm',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('identity', REFERENCE_LIST, 'Identity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Identity', 
                [], [], 
                '''                Enter a crypto identity list
                ''',
                'identity',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ikev2', REFERENCE_CLASS, 'Ikev2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ikev2', 
                [], [], 
                '''                Configure IKEv2 Options
                ''',
                'ikev2',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ipsec', 
                [], [], 
                '''                Configure IPSEC policy
                ''',
                'ipsec',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('isakmp', REFERENCE_CLASS, 'Isakmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Isakmp', 
                [], [], 
                '''                Configure ISAKMP policy
                ''',
                'isakmp',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Key', 
                [], [], 
                '''                Long term key operations
                ''',
                'key',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('keyring', REFERENCE_LIST, 'Keyring' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Keyring', 
                [], [], 
                '''                Key ring commands
                ''',
                'keyring',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Logging', 
                [], [], 
                '''                logging messages
                ''',
                'logging',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map-client', REFERENCE_CLASS, 'MapClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapClient', 
                [], [], 
                '''                ''',
                'map_client',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map-ipv6', REFERENCE_CLASS, 'MapIpv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6', 
                [], [], 
                '''                ''',
                'map_ipv6',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('map-ipv6-gdoi', REFERENCE_CLASS, 'MapIpv6Gdoi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.MapIpv6Gdoi', 
                [], [], 
                '''                ''',
                'map_ipv6_gdoi',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('mib', REFERENCE_CLASS, 'Mib' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Mib', 
                [], [], 
                '''                Configure Crypto-related MIB Parameters
                ''',
                'mib',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('pki', REFERENCE_CLASS, 'Pki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Pki', 
                [], [], 
                '''                Public Key components
                ''',
                'pki',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('ssl', REFERENCE_CLASS, 'Ssl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Ssl', 
                [], [], 
                '''                Configure Crypto SSL Options
                ''',
                'ssl',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('tls-tunnel', REFERENCE_CLASS, 'TlsTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.TlsTunnel', 
                [], [], 
                '''                ''',
                'tls_tunnel',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('vpn', REFERENCE_CLASS, 'Vpn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto.Vpn', 
                [], [], 
                '''                Configure crypto vpn commands
                ''',
                'vpn',
                'Cisco-IOS-XE-crypto', False),
            _MetaInfoClassMember('xauth', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                X-Auth parameters
                ''',
                'xauth',
                'Cisco-IOS-XE-crypto', False),
            ],
            'Cisco-IOS-XE-native',
            'crypto',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Cache.NvStorage.NvStorageEnum' : _MetaInfoEnum('NvStorageEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bootflash:':'bootflash__COLON__',
            'crashinfo:':'crashinfo__COLON__',
            'kinfo:':'kinfo__COLON__',
            'slot0:':'slot0__COLON__',
            'usb0:':'usb0__COLON__',
        }, 'Cisco-IOS-XE-cts', _yang_ns._namespaces['Cisco-IOS-XE-cts']),
    'Native.Cts.Cache.NvStorage' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Cache.NvStorage',
            False, 
            [
            _MetaInfoClassMember('nv-storage', REFERENCE_ENUM_CLASS, 'NvStorageEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Cache.NvStorage.NvStorageEnum', 
                [], [], 
                '''                ''',
                'nv_storage',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'nv-storage',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Cache',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable CTS cache support
                ''',
                'enable',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('nv-storage', REFERENCE_CLASS, 'NvStorage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Cache.NvStorage', 
                [], [], 
                '''                CTS nv-storage options
                ''',
                'nv_storage',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.CriticalAuthentication.Default.PeerSgt.Range' : {
        'meta_info' : _MetaInfoClass('Native.Cts.CriticalAuthentication.Default.PeerSgt.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '65519')], [], 
                '''                Enter default peer-sgt value
                ''',
                'range',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('trusted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trust the Source Group Tags that peer uses for sending
                ''',
                'trusted',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.CriticalAuthentication.Default.PeerSgt' : {
        'meta_info' : _MetaInfoClass('Native.Cts.CriticalAuthentication.Default.PeerSgt',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.CriticalAuthentication.Default.PeerSgt.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'peer-sgt',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.CriticalAuthentication.Default.Pmk.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
        }, 'Cisco-IOS-XE-cts', _yang_ns._namespaces['Cisco-IOS-XE-cts']),
    'Native.Cts.CriticalAuthentication.Default.Pmk' : {
        'meta_info' : _MetaInfoClass('Native.Cts.CriticalAuthentication.Default.Pmk',
            False, 
            [
            _MetaInfoClassMember('secret', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'secret',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.CriticalAuthentication.Default.Pmk.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'pmk',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.CriticalAuthentication.Default' : {
        'meta_info' : _MetaInfoClass('Native.Cts.CriticalAuthentication.Default',
            False, 
            [
            _MetaInfoClassMember('peer-sgt', REFERENCE_CLASS, 'PeerSgt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.CriticalAuthentication.Default.PeerSgt', 
                [], [], 
                '''                Default Peer SGT value
                ''',
                'peer_sgt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('pmk', REFERENCE_CLASS, 'Pmk' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.CriticalAuthentication.Default.Pmk', 
                [], [], 
                '''                Default PMK value to be used for all SAP
                ''',
                'pmk',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.CriticalAuthentication.Fallback' : {
        'meta_info' : _MetaInfoClass('Native.Cts.CriticalAuthentication.Fallback',
            False, 
            [
            _MetaInfoClassMember('Cached', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cached values to be used for existing sessions
                ''',
                'cached',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configured values to be applied for existing sessions
                ''',
                'default',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'fallback',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.CriticalAuthentication' : {
        'meta_info' : _MetaInfoClass('Native.Cts.CriticalAuthentication',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.CriticalAuthentication.Default', 
                [], [], 
                '''                Enter default value
                ''',
                'default',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('fallback', REFERENCE_CLASS, 'Fallback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.CriticalAuthentication.Fallback', 
                [], [], 
                '''                Access policy to be applied in Critical-Auth
                ''',
                'fallback',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'critical-authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Authorization',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Local authorization list to use for CTS
                ''',
                'list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased.Permissions.Default' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased.Permissions.Default',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Role-based Access-list name
                ''',
                'name',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased.Permissions.From_.Range.To.Range_' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased.Permissions.From_.Range.To.Range_',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '65519')], [], 
                '''                Security Group Tag
                ''',
                'range',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased.Permissions.From_.Range.To' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased.Permissions.From_.Range.To',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.Permissions.From_.Range.To.Range_', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'to',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased.Permissions.From_.Range' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased.Permissions.From_.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '65519')], [], 
                '''                Security Group Tag
                ''',
                'range',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('to', REFERENCE_CLASS, 'To' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.Permissions.From_.Range.To', 
                [], [], 
                '''                Destination Group Tag (DGT) of filtered traffic
                ''',
                'to',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased.Permissions.From_' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased.Permissions.From_',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.Permissions.From_.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'from',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased.Permissions' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased.Permissions',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.Permissions.Default', 
                [], [], 
                '''                Default Permission list
                ''',
                'default',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('from', REFERENCE_CLASS, 'From_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.Permissions.From_', 
                [], [], 
                '''                Source Group Tag (SGT) of filtered traffic
                ''',
                'from_',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'permissions',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased.Enforcement.VlanList.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'all':'all',
        }, 'Cisco-IOS-XE-cts', _yang_ns._namespaces['Cisco-IOS-XE-cts']),
    'Native.Cts.RoleBased.Enforcement.VlanList' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased.Enforcement.VlanList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLAN id
                ''',
                'id',
                'Cisco-IOS-XE-cts', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLAN id
                        ''',
                        'id',
                        'Cisco-IOS-XE-cts', True),
                    _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'Native.Cts.RoleBased.Enforcement.VlanList.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.Enforcement.VlanList.IdEnum', 
                        [], [], 
                        '''                        VLAN id
                        ''',
                        'id',
                        'Cisco-IOS-XE-cts', True),
                ]),
            ],
            'Cisco-IOS-XE-cts',
            'vlan-list',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased.Enforcement' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased.Enforcement',
            False, 
            [
            _MetaInfoClassMember('logging-interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                Configure sgacl logging interval
                ''',
                'logging_interval',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vlan-list', REFERENCE_LIST, 'VlanList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.Enforcement.VlanList', 
                [], [], 
                '''                VLANs on which Role-based ACLs are enforced
                ''',
                'vlan_list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'enforcement',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased.SgtMap' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased.SgtMap',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-cts', True, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-cts', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-cts', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-cts', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-cts', True),
                ]),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Security Group Tag (SGT)
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'host',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Select VPN Routing/Forwarding instance for the binding
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sgt-map',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased.SgtMapVlanList.SgtMap.VlanListEnum' : _MetaInfoEnum('VlanListEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'all':'all',
        }, 'Cisco-IOS-XE-cts', _yang_ns._namespaces['Cisco-IOS-XE-cts']),
    'Native.Cts.RoleBased.SgtMapVlanList.SgtMap' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased.SgtMapVlanList.SgtMap',
            False, 
            [
            _MetaInfoClassMember('vlan-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VLANs id
                ''',
                'vlan_list',
                'Cisco-IOS-XE-cts', True, [
                    _MetaInfoClassMember('vlan-list', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VLANs id
                        ''',
                        'vlan_list',
                        'Cisco-IOS-XE-cts', True),
                    _MetaInfoClassMember('vlan-list', REFERENCE_ENUM_CLASS, 'Native.Cts.RoleBased.SgtMapVlanList.SgtMap.VlanListEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.SgtMapVlanList.SgtMap.VlanListEnum', 
                        [], [], 
                        '''                        VLANs id
                        ''',
                        'vlan_list',
                        'Cisco-IOS-XE-cts', True),
                ]),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Security Group Tag value
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sgt-map',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased.SgtMapVlanList' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased.SgtMapVlanList',
            False, 
            [
            _MetaInfoClassMember('sgt-map', REFERENCE_LIST, 'SgtMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.SgtMapVlanList.SgtMap', 
                [], [], 
                '''                ''',
                'sgt_map',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sgt-map-vlan-list',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.RoleBased' : {
        'meta_info' : _MetaInfoClass('Native.Cts.RoleBased',
            False, 
            [
            _MetaInfoClassMember('enforcement', REFERENCE_CLASS, 'Enforcement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.Enforcement', 
                [], [], 
                '''                Enable Role-based Access Control enforcement
                ''',
                'enforcement',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('permissions', REFERENCE_CLASS, 'Permissions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.Permissions', 
                [], [], 
                '''                Permissions from a source group to a destination group
                ''',
                'permissions',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sgt-caching', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SGT caching
                ''',
                'sgt_caching',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sgt-map', REFERENCE_LIST, 'SgtMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.SgtMap', 
                [], [], 
                '''                Assign Security Group Tag (SGT) to IP host or network address
                ''',
                'sgt_map',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sgt-map-vlan-list', REFERENCE_CLASS, 'SgtMapVlanList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased.SgtMapVlanList', 
                [], [], 
                '''                VLANs on which Role-based ACLs are enforced
                ''',
                'sgt_map_vlan_list',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'role-based',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Server.KeyWrap' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Server.KeyWrap',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable CTS key-wrap for Private server-list
                ''',
                'enable',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'key-wrap',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Server.LoadBalance.Method.LeastOutstanding' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Server.LoadBalance.Method.LeastOutstanding',
            False, 
            [
            _MetaInfoClassMember('batch-size', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Size of the transaction batch that should be load-balanced
                ''',
                'batch_size',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('ignore-preferred-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not attempt to stick with the same server throughout a session
                ''',
                'ignore_preferred_server',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'least-outstanding',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Server.LoadBalance.Method' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Server.LoadBalance.Method',
            False, 
            [
            _MetaInfoClassMember('least-outstanding', REFERENCE_CLASS, 'LeastOutstanding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Server.LoadBalance.Method.LeastOutstanding', 
                [], [], 
                '''                Pick the server with the least transactions outstanding
                ''',
                'least_outstanding',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'method',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Server.LoadBalance' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Server.LoadBalance',
            False, 
            [
            _MetaInfoClassMember('method', REFERENCE_CLASS, 'Method' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Server.LoadBalance.Method', 
                [], [], 
                '''                Method by which the next server will be picked
                ''',
                'method',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'load-balance',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Server.Test.Server_' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Server.Test.Server_',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('deadtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '864000')], [], 
                '''                Configure how long a server marked as dead should not be used
                ''',
                'deadtime',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable server liveness automated test
                ''',
                'enable',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '14400')], [], 
                '''                Configure how often to send an automated test message
                ''',
                'idle_time',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Server.Test.All' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Server.Test.All',
            False, 
            [
            _MetaInfoClassMember('deadtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '864000')], [], 
                '''                Configure how long a server marked as dead should not be used
                ''',
                'deadtime',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable server liveness automated test
                ''',
                'enable',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('idle-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '14400')], [], 
                '''                Configure how often to send an automated test message
                ''',
                'idle_time',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Server.Test' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Server.Test',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Server.Test.All', 
                [], [], 
                '''                Configure for all servers
                ''',
                'all',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('server', REFERENCE_LIST, 'Server_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Server.Test.Server_', 
                [], [], 
                '''                ''',
                'server',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'test',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Server' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Server',
            False, 
            [
            _MetaInfoClassMember('deadtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '864000')], [], 
                '''                Configure server group deadtime to specify how long a servermarked as dead should not be used
                ''',
                'deadtime',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('key-wrap', REFERENCE_CLASS, 'KeyWrap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Server.KeyWrap', 
                [], [], 
                '''                CTS key-wrap configuration
                ''',
                'key_wrap',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('load-balance', REFERENCE_CLASS, 'LoadBalance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Server.LoadBalance', 
                [], [], 
                '''                CTS Server group load-balancing options
                ''',
                'load_balance',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('test', REFERENCE_CLASS, 'Test' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Server.Test', 
                [], [], 
                '''                Configure server automated test for liveness check
                ''',
                'test',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Default.Password.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '6':'Y_6',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-cts', _yang_ns._namespaces['Cisco-IOS-XE-cts']),
    'Native.Cts.Sxp.Default.Password' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Default.Password',
            False, 
            [
            _MetaInfoClassMember('secret', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'secret',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Default.Password.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Default',
            False, 
            [
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Default.Password', 
                [], [], 
                '''                ''',
                'password',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('source-ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Enter Source IPv4 Address
                ''',
                'source_ip',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Both' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Both',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'both',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener.HoldTime',
            False, 
            [
            _MetaInfoClassMember('max-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter maximum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'max_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('min-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter minimum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'min_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener',
            False, 
            [
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener.HoldTime', 
                [], [], 
                '''                Connection hold time period
                ''',
                'hold_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'listener',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker.HoldTime',
            False, 
            [
            _MetaInfoClassMember('min-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter minimum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'min_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker',
            False, 
            [
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker.HoldTime', 
                [], [], 
                '''                Connection hold time period
                ''',
                'hold_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'speaker',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local',
            False, 
            [
            _MetaInfoClassMember('both', REFERENCE_CLASS, 'Both' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Both', 
                [], [], 
                '''                Configure the mode as both
                ''',
                'both',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('listener', REFERENCE_CLASS, 'Listener' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener', 
                [], [], 
                '''                Receive SXP messages on the conn
                ''',
                'listener',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('speaker', REFERENCE_CLASS, 'Speaker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker', 
                [], [], 
                '''                Send SXP messages on the conn
                ''',
                'speaker',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Both' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Both',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'both',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener.HoldTime',
            False, 
            [
            _MetaInfoClassMember('min-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter minimum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'min_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener',
            False, 
            [
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener.HoldTime', 
                [], [], 
                '''                Connection hold time period
                ''',
                'hold_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'listener',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker.HoldTime',
            False, 
            [
            _MetaInfoClassMember('max-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter maximum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'max_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('min-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter minimum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'min_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker',
            False, 
            [
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker.HoldTime', 
                [], [], 
                '''                Connection hold time period
                ''',
                'hold_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'speaker',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_',
            False, 
            [
            _MetaInfoClassMember('both', REFERENCE_CLASS, 'Both' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Both', 
                [], [], 
                '''                Configure the mode as both
                ''',
                'both',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('listener', REFERENCE_CLASS, 'Listener' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener', 
                [], [], 
                '''                Receive SXP messages on the conn
                ''',
                'listener',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('speaker', REFERENCE_CLASS, 'Speaker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker', 
                [], [], 
                '''                Send SXP messages on the conn
                ''',
                'speaker',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local', 
                [], [], 
                '''                Configure the mode on the local device
                ''',
                'local',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_', 
                [], [], 
                '''                Configure the mode on the peer device
                ''',
                'peer',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.PasswordTypeEnum' : _MetaInfoEnum('PasswordTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
            'none':'none',
        }, 'Cisco-IOS-XE-cts', _yang_ns._namespaces['Cisco-IOS-XE-cts']),
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password',
            False, 
            [
            _MetaInfoClassMember('password-type', REFERENCE_ENUM_CLASS, 'PasswordTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.PasswordTypeEnum', 
                [], [], 
                '''                ''',
                'password_type',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode', 
                [], [], 
                '''                Specify SXP connection mode
                ''',
                'mode',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Enter SXP Source IP address (IPv4)
                ''',
                'ipv4',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('password', REFERENCE_LIST, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password', 
                [], [], 
                '''                password details
                ''',
                'password',
                'Cisco-IOS-XE-cts', False, max_elements=1),
            ],
            'Cisco-IOS-XE-cts',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Source' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Both' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Both',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'both',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime',
            False, 
            [
            _MetaInfoClassMember('max-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter maximum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'max_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('min-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter minimum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'min_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener',
            False, 
            [
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime', 
                [], [], 
                '''                Connection hold time period
                ''',
                'hold_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'listener',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime',
            False, 
            [
            _MetaInfoClassMember('min-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter minimum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'min_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker',
            False, 
            [
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime', 
                [], [], 
                '''                Connection hold time period
                ''',
                'hold_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'speaker',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local',
            False, 
            [
            _MetaInfoClassMember('both', REFERENCE_CLASS, 'Both' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Both', 
                [], [], 
                '''                Configure the mode as both
                ''',
                'both',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('listener', REFERENCE_CLASS, 'Listener' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener', 
                [], [], 
                '''                Receive SXP messages on the conn
                ''',
                'listener',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('speaker', REFERENCE_CLASS, 'Speaker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker', 
                [], [], 
                '''                Send SXP messages on the conn
                ''',
                'speaker',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Both' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Both',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'both',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener.HoldTime',
            False, 
            [
            _MetaInfoClassMember('min-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter minimum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'min_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener',
            False, 
            [
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener.HoldTime', 
                [], [], 
                '''                Connection hold time period
                ''',
                'hold_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'listener',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker.HoldTime' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker.HoldTime',
            False, 
            [
            _MetaInfoClassMember('max-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter maximum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'max_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('min-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Enter minimum allowed Hold Time in seconds (0: apply global, 65535: no keepalive)
                ''',
                'min_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'hold-time',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker',
            False, 
            [
            _MetaInfoClassMember('hold-time', REFERENCE_CLASS, 'HoldTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker.HoldTime', 
                [], [], 
                '''                Connection hold time period
                ''',
                'hold_time',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the vrf this connection is in
                ''',
                'vrf',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'speaker',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_',
            False, 
            [
            _MetaInfoClassMember('both', REFERENCE_CLASS, 'Both' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Both', 
                [], [], 
                '''                Configure the mode as both
                ''',
                'both',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('listener', REFERENCE_CLASS, 'Listener' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener', 
                [], [], 
                '''                Receive SXP messages on the conn
                ''',
                'listener',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('speaker', REFERENCE_CLASS, 'Speaker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker', 
                [], [], 
                '''                Send SXP messages on the conn
                ''',
                'speaker',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local', 
                [], [], 
                '''                Configure the mode on the local device
                ''',
                'local',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_', 
                [], [], 
                '''                Configure the mode on the peer device
                ''',
                'peer',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.PasswordTypeEnum' : _MetaInfoEnum('PasswordTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'default':'default',
            'none':'none',
        }, 'Cisco-IOS-XE-cts', _yang_ns._namespaces['Cisco-IOS-XE-cts']),
    'Native.Cts.Sxp.Connection.Peer.Ipv4.Password' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4.Password',
            False, 
            [
            _MetaInfoClassMember('password-type', REFERENCE_ENUM_CLASS, 'PasswordTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.PasswordTypeEnum', 
                [], [], 
                '''                ''',
                'password_type',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode', 
                [], [], 
                '''                Specify SXP connection mode
                ''',
                'mode',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Enter SXP Peer IP address (IPv4)
                ''',
                'ipv4',
                'Cisco-IOS-XE-cts', True),
            _MetaInfoClassMember('password', REFERENCE_LIST, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Password', 
                [], [], 
                '''                password details
                ''',
                'password',
                'Cisco-IOS-XE-cts', False, max_elements=1),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4.Source', 
                [], [], 
                '''                Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection.Peer',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp.Connection' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp.Connection',
            False, 
            [
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection.Peer', 
                [], [], 
                '''                SXP Peer IP address
                ''',
                'peer',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'connection',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.Sxp' : {
        'meta_info' : _MetaInfoClass('Native.Cts.Sxp',
            False, 
            [
            _MetaInfoClassMember('connection', REFERENCE_CLASS, 'Connection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Connection', 
                [], [], 
                '''                CTS SXP Connection Configuration
                ''',
                'connection',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp.Default', 
                [], [], 
                '''                Enter default value
                ''',
                'default',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable CTS SXP support
                ''',
                'enable',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-cts',
            'sxp',
            _yang_ns._namespaces['Cisco-IOS-XE-cts'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cts.LoggingEnum' : _MetaInfoEnum('LoggingEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'verbose':'verbose',
        }, 'Cisco-IOS-XE-cts', _yang_ns._namespaces['Cisco-IOS-XE-cts']),
    'Native.Cts' : {
        'meta_info' : _MetaInfoClass('Native.Cts',
            False, 
            [
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Authorization', 
                [], [], 
                '''                CTS global authorization configuration
                ''',
                'authorization',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Cache', 
                [], [], 
                '''                CTS cache configuration
                ''',
                'cache',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('critical-authentication', REFERENCE_CLASS, 'CriticalAuthentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.CriticalAuthentication', 
                [], [], 
                '''                Critical-Auth configuration commands
                ''',
                'critical_authentication',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('critical-authentication-conf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'critical_authentication_conf',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('dot1x-server-timeout', ATTRIBUTE, 'int' , None, None, 
                [('30', '65535')], [], 
                '''                Timeout for Radius Retries
                ''',
                'dot1x_server_timeout',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('dot1x-supp-timeout', ATTRIBUTE, 'int' , None, None, 
                [('30', '65535')], [], 
                '''                Timeout for supplicant reply
                ''',
                'dot1x_supp_timeout',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('logging', REFERENCE_ENUM_CLASS, 'LoggingEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.LoggingEnum', 
                [], [], 
                '''                Set logging parameters
                ''',
                'logging',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('role-based', REFERENCE_CLASS, 'RoleBased' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.RoleBased', 
                [], [], 
                '''                Role-based Access Control configuration commands
                ''',
                'role_based',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Server', 
                [], [], 
                '''                CTS server list configuration
                ''',
                'server',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'int' , None, None, 
                [('2', '65519')], [], 
                '''                Local device security group
                ''',
                'sgt',
                'Cisco-IOS-XE-cts', False),
            _MetaInfoClassMember('sxp', REFERENCE_CLASS, 'Sxp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts.Sxp', 
                [], [], 
                '''                CTS sxp configuration
                ''',
                'sxp',
                'Cisco-IOS-XE-cts', False),
            ],
            'Cisco-IOS-XE-native',
            'cts',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BfdTemplate.SingleHop.Interval.Microseconds' : {
        'meta_info' : _MetaInfoClass('Native.BfdTemplate.SingleHop.Interval.Microseconds',
            False, 
            [
            _MetaInfoClassMember('min-rx', ATTRIBUTE, 'int' , None, None, 
                [('3300', '999000')], [], 
                '''                Minimum receive interval capability
                ''',
                'min_rx',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('min-tx', ATTRIBUTE, 'int' , None, None, 
                [('3300', '999000')], [], 
                '''                Minimum transmit interval capability
                ''',
                'min_tx',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('3', '50')], [], 
                '''                Multiplier value used to compute holddown
                ''',
                'multiplier',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'microseconds',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BfdTemplate.SingleHop.Interval' : {
        'meta_info' : _MetaInfoClass('Native.BfdTemplate.SingleHop.Interval',
            False, 
            [
            _MetaInfoClassMember('microseconds', REFERENCE_CLASS, 'Microseconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BfdTemplate.SingleHop.Interval.Microseconds', 
                [], [], 
                '''                Specify BFD timers in microseconds
                ''',
                'microseconds',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'interval',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BfdTemplate.SingleHop' : {
        'meta_info' : _MetaInfoClass('Native.BfdTemplate.SingleHop',
            False, 
            [
            _MetaInfoClassMember('interval', REFERENCE_CLASS, 'Interval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BfdTemplate.SingleHop.Interval', 
                [], [], 
                '''                Transmit interval between BFD packets
                ''',
                'interval',
                'Cisco-IOS-XE-bfd', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-bfd',
            'single-hop',
            _yang_ns._namespaces['Cisco-IOS-XE-bfd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BfdTemplate' : {
        'meta_info' : _MetaInfoClass('Native.BfdTemplate',
            False, 
            [
            _MetaInfoClassMember('single-hop', REFERENCE_CLASS, 'SingleHop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BfdTemplate.SingleHop', 
                [], [], 
                '''                Single-hop template
                ''',
                'single_hop',
                'Cisco-IOS-XE-bfd', False),
            ],
            'Cisco-IOS-XE-native',
            'bfd-template',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface', 
                [], [], 
                '''                Identify probe source address from interface
                ''',
                'interface',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source', 
                [], [], 
                '''                Identify probe source address
                ''',
                'source',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address', 
                [], [], 
                '''                Identify probe address parameters
                ''',
                'address',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'active-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.Local',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.Master.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.Master.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address
                ''',
                'ipv4',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr.Master' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr.Master',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.Master.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'master',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border.PfrMode__ConfigPfrBr' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border.PfrMode__ConfigPfrBr',
            False, 
            [
            _MetaInfoClassMember('active-probe', REFERENCE_CLASS, 'ActiveProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe', 
                [], [], 
                '''                Specify active probe parameters
                ''',
                'active_probe',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.Local', 
                [], [], 
                '''                Specify the local interface for PfR connection
                ''',
                'local',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('logging', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Event logging
                ''',
                'logging',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('master', REFERENCE_CLASS, 'Master' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr.Master', 
                [], [], 
                '''                Specify the PfR master controller IP address
                ''',
                'master',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify PfR port number
                ''',
                'port',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable PfR border router functionality
                ''',
                'shutdown',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'pfr-Mode__config-pfr-br',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Border' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Border',
            False, 
            [
            _MetaInfoClassMember('pfr-Mode__config-pfr-br', REFERENCE_CLASS, 'PfrMode__ConfigPfrBr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border.PfrMode__ConfigPfrBr', 
                [], [], 
                '''                ''',
                'pfr_mode__config_pfr_br',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'border',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter.Ipv4OrHostname' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter.Ipv4OrHostname',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of probe target
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True),
                ]),
            _MetaInfoClassMember('target-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Target Port Number
                ''',
                'target_port',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter.Ipv4OrHostname', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'jitter',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn.Ipv4OrHostname' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn.Ipv4OrHostname',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of probe target
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True),
                ]),
            _MetaInfoClassMember('target-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Target Port Number
                ''',
                'target_port',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn.Ipv4OrHostname', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'tcp-conn',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho.Ipv4OrHostname' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho.Ipv4OrHostname',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of probe target
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True),
                ]),
            _MetaInfoClassMember('target-port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Target Port Number
                ''',
                'target_port',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho.Ipv4OrHostname', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'udp-echo',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe',
            False, 
            [
            _MetaInfoClassMember('echo', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of probe target
                ''',
                'echo',
                'Cisco-IOS-XE-pfr', False, [
                    _MetaInfoClassMember('echo', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        IP address of probe target
                        ''',
                        'echo',
                        'Cisco-IOS-XE-pfr', False, [
                            _MetaInfoClassMember('echo', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'echo',
                                'Cisco-IOS-XE-pfr', False),
                            _MetaInfoClassMember('echo', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'echo',
                                'Cisco-IOS-XE-pfr', False),
                        ]),
                    _MetaInfoClassMember('echo', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        IP address of probe target
                        ''',
                        'echo',
                        'Cisco-IOS-XE-pfr', False),
                ]),
            _MetaInfoClassMember('jitter', REFERENCE_CLASS, 'Jitter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter', 
                [], [], 
                '''                Perform jitter probe operations (requires a responder)
                ''',
                'jitter',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('tcp-conn', REFERENCE_CLASS, 'TcpConn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn', 
                [], [], 
                '''                Perform TCP Connection / Disconnect probe operations
                ''',
                'tcp_conn',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('udp-echo', REFERENCE_CLASS, 'UdpEcho' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho', 
                [], [], 
                '''                Perform UDP Echo probe operations (requires a responder)
                ''',
                'udp_echo',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'active-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define.AppDef' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define.AppDef',
            False, 
            [
            _MetaInfoClassMember('app-def', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application definition name
                ''',
                'app_def',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application definition access-list name
                ''',
                'access_list',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('nbar', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define nbar application
                ''',
                'nbar',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'app-def',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define',
            False, 
            [
            _MetaInfoClassMember('app-def', REFERENCE_LIST, 'AppDef' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define.AppDef', 
                [], [], 
                '''                ''',
                'app_def',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'define',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Application' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Application',
            False, 
            [
            _MetaInfoClassMember('define', REFERENCE_CLASS, 'Define' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define', 
                [], [], 
                '''                Define application
                ''',
                'define',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff.Boff0' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff.Boff0',
            False, 
            [
            _MetaInfoClassMember('boff0', ATTRIBUTE, 'int' , None, None, 
                [('90', '7200')], [], 
                '''                Specify maximum value of backoff timer (secs)
                ''',
                'boff0',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('bstep', ATTRIBUTE, 'int' , None, None, 
                [('90', '7110')], [], 
                '''                Specify optional backoff timer step (secs)
                ''',
                'bstep',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'boff0',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff',
            False, 
            [
            _MetaInfoClassMember('boff', ATTRIBUTE, 'int' , None, None, 
                [('90', '7200')], [], 
                '''                Specify minimum value of backoff timer (secs)
                ''',
                'boff',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('boff0', REFERENCE_LIST, 'Boff0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff.Boff0', 
                [], [], 
                '''                ''',
                'boff0',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'boff',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff',
            False, 
            [
            _MetaInfoClassMember('boff', REFERENCE_LIST, 'Boff' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff', 
                [], [], 
                '''                ''',
                'boff',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'backoff',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4.KeyChain',
            False, 
            [
            _MetaInfoClassMember('kc-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of key-chain
                ''',
                'kc_name',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify an PfR managed border router interface
                ''',
                'interface',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of border router
                ''',
                'ipv4',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify an PfR managed border router interface
                ''',
                'interface',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('key-chain', REFERENCE_LIST, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4.KeyChain', 
                [], [], 
                '''                Specify a key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Border' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Border',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'border',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Delay',
            False, 
            [
            _MetaInfoClassMember('relative', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                short/long term in percentage. e.g. 125 is short/long = 1.25
                ''',
                'relative',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000')], [], 
                '''                Maximum absolute delay threshold (msecs)
                ''',
                'threshold',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum absolute jitter threshold (ms)
                ''',
                'threshold',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'jitter',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.AggregationType' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.AggregationType',
            False, 
            [
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aggregate prefixes learned via BGP
                ''',
                'bgp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('non-bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aggregate prefixes not learned via BGP
                ''',
                'non_bgp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Specify the prefix mask
                ''',
                'prefix_length',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'aggregation-type',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire.After' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire.After',
            False, 
            [
            _MetaInfoClassMember('session', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify the value
                ''',
                'session',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify the value
                ''',
                'time',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'after',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire',
            False, 
            [
            _MetaInfoClassMember('after', REFERENCE_CLASS, 'After' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire.After', 
                [], [], 
                '''                Specify expiry criteria for learn prefixes
                ''',
                'after',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'expire',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Inside' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Inside',
            False, 
            [
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn inside prefixes advertised by BGP out PfR External Interfaces
                ''',
                'bgp',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'inside',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq.PfrTc' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq.PfrTc',
            False, 
            [
            _MetaInfoClassMember('pfr-tc', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                PfR Learn Traffic Class List sequence number
                ''',
                'pfr_tc',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('refname', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR Learn Traffic Class List reference name
                ''',
                'refname',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'pfr-tc',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq',
            False, 
            [
            _MetaInfoClassMember('pfr-tc', REFERENCE_LIST, 'PfrTc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq.PfrTc', 
                [], [], 
                '''                ''',
                'pfr_tc',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'seq',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List',
            False, 
            [
            _MetaInfoClassMember('seq', REFERENCE_CLASS, 'Seq' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq', 
                [], [], 
                '''                PfR Learn Traffic Class List sequence number
                ''',
                'seq',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes.Prnum' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes.Prnum',
            False, 
            [
            _MetaInfoClassMember('prnum', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                Specify the number of prefixes
                ''',
                'prnum',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '50000')], [], 
                '''                Specify the number of appl
                ''',
                'applications',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'prnum',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prnum', REFERENCE_LIST, 'Prnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes.Prnum', 
                [], [], 
                '''                ''',
                'prnum',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Aggregate' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Aggregate',
            False, 
            [
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IP access-list name
                ''',
                'access_list',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'aggregate',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Filter',
            False, 
            [
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IP access-list name
                ''',
                'access_list',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dport' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dport',
            False, 
            [
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on DSCP
                ''',
                'dscp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('sport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on source port
                ''',
                'sport',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'dport',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dscp' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dscp',
            False, 
            [
            _MetaInfoClassMember('dport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on destination port
                ''',
                'dport',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('sport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on source port
                ''',
                'sport',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol.Sport' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol.Sport',
            False, 
            [
            _MetaInfoClassMember('dport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on destination port
                ''',
                'dport',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on DSCP
                ''',
                'dscp',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'sport',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol',
            False, 
            [
            _MetaInfoClassMember('dport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on destination port
                ''',
                'dport',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on DSCP
                ''',
                'dscp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('sport', REFERENCE_CLASS, 'Sport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol.Sport', 
                [], [], 
                '''                Learn top appls based on source port
                ''',
                'sport',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Sport' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Sport',
            False, 
            [
            _MetaInfoClassMember('dport', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on destination port
                ''',
                'dport',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on DSCP
                ''',
                'dscp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top appls based on protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'sport',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys',
            False, 
            [
            _MetaInfoClassMember('dport', REFERENCE_CLASS, 'Dport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dport', 
                [], [], 
                '''                Learn top appls based on destination port
                ''',
                'dport',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dscp', 
                [], [], 
                '''                Learn top appls based on DSCP
                ''',
                'dscp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol', 
                [], [], 
                '''                Learn top appls based on protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('sport', REFERENCE_CLASS, 'Sport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Sport', 
                [], [], 
                '''                Learn top appls based on source port
                ''',
                'sport',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'keys',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('aggregate', REFERENCE_CLASS, 'Aggregate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Aggregate', 
                [], [], 
                '''                Traffic class aggregation specification
                ''',
                'aggregate',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Filter', 
                [], [], 
                '''                Traffic class filter specification
                ''',
                'filter',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('keys', REFERENCE_CLASS, 'Keys' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys', 
                [], [], 
                '''                Specify Learn keys for applications
                ''',
                'keys',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn',
            False, 
            [
            _MetaInfoClassMember('aggregation-type', REFERENCE_CLASS, 'AggregationType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.AggregationType', 
                [], [], 
                '''                Type of prefix to aggregate
                ''',
                'aggregation_type',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top prefixes based on delay
                ''',
                'delay',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('expire', REFERENCE_CLASS, 'Expire' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire', 
                [], [], 
                '''                Set expiry criteria for learn prefixes
                ''',
                'expire',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('inside', REFERENCE_CLASS, 'Inside' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Inside', 
                [], [], 
                '''                Learn prefixes inside the network
                ''',
                'inside',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List', 
                [], [], 
                '''                Create PfR Learn Traffic Class List and enter the sub-mode
                ''',
                'list',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('monitor-period', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Specify the period in minutes
                ''',
                'monitor_period',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('periodic-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '10080')], [], 
                '''                Specify the interval in minutes
                ''',
                'periodic_interval',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('prefixes', REFERENCE_CLASS, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes', 
                [], [], 
                '''                Number of prefixes to learn
                ''',
                'prefixes',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('throughput', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Learn top prefixes based on throughput
                ''',
                'throughput',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass', 
                [], [], 
                '''                Set traffic class filters
                ''',
                'traffic_class',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'lrn-Mode__config-pfr-mc-learn',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Learn',
            False, 
            [
            _MetaInfoClassMember('lrn-Mode__config-pfr-mc-learn', REFERENCE_CLASS, 'LrnMode__ConfigPfrMcLearn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn', 
                [], [], 
                '''                ''',
                'lrn_mode__config_pfr_mc_learn',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'learn',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Loss' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Loss',
            False, 
            [
            _MetaInfoClassMember('relative', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                short/long term in percentage. e.g. 125 is short/long = 1.25
                ''',
                'relative',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000')], [], 
                '''                Maximum absolute lost packet threshold in percentage e.g., 1 is 0.0001 percent
                ''',
                'threshold',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'loss',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total.Maxpr' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total.Maxpr',
            False, 
            [
            _MetaInfoClassMember('maxpr', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                Specify the max total prefix limit value
                ''',
                'maxpr',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('learn', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                Specify max learn prefix limit value
                ''',
                'learn',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'maxpr',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total',
            False, 
            [
            _MetaInfoClassMember('maxpr', REFERENCE_LIST, 'Maxpr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total.Maxpr', 
                [], [], 
                '''                ''',
                'maxpr',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix',
            False, 
            [
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total', 
                [], [], 
                '''                Specify max total prefix limit
                ''',
                'total',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Specify the percentage range
                ''',
                'percent',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range',
            False, 
            [
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive', 
                [], [], 
                '''                Specify receive range
                ''',
                'receive',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Max' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Max',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix', 
                [], [], 
                '''                Specify prefix upper limit
                ''',
                'prefix',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range', 
                [], [], 
                '''                Specify range value
                ''',
                'range',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'max',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify the percentage range
                ''',
                'percent',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'max-range-utilization',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4.Interface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Loopback interface
                ''',
                'interface',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MC site description (max 40 char)
                ''',
                'description',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('domain', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Domain value
                ''',
                'domain',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of head-end MC peer
                ''',
                'ipv4',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of head-end MC peer
                ''',
                'ipv4',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Loopback interface
                ''',
                'interface',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval',
            False, 
            [
            _MetaInfoClassMember('dmval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Domain value
                ''',
                'dmval',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MC site description (max 40 char)
                ''',
                'description',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Loopback interface
                ''',
                'eigrp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('head-end', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Loopback interface
                ''',
                'head_end',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'dmval',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain',
            False, 
            [
            _MetaInfoClassMember('dmval', REFERENCE_LIST, 'Dmval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval', 
                [], [], 
                '''                ''',
                'dmval',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp.Interface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Loopback interface
                ''',
                'interface',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MC site description (max 40 char)
                ''',
                'description',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('domain', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Domain value
                ''',
                'domain',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd.Interface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Loopback interface
                ''',
                'interface',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MC site description (max 40 char)
                ''',
                'description',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('domain', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Domain value
                ''',
                'domain',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'head-end',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MC site description (max 40 char)
                ''',
                'description',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain', 
                [], [], 
                '''                SAF domain ID to be used for MC-to-MC peering
                ''',
                'domain',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp', 
                [], [], 
                '''                Use explicit EIGRP configuration instead of auto-config
                ''',
                'eigrp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('head-end', REFERENCE_CLASS, 'HeadEnd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd', 
                [], [], 
                '''                Specify this router as head-end MC-peer
                ''',
                'head_end',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'mc-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor.Active' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor.Active',
            False, 
            [
            _MetaInfoClassMember('throughput', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable active monitoring with throughput from passive mode
                ''',
                'throughput',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'active',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor',
            False, 
            [
            _MetaInfoClassMember('active', REFERENCE_CLASS, 'Active' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor.Active', 
                [], [], 
                '''                Enable active monitoring mode
                ''',
                'active',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('both', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable active and passive monitoring modes
                ''',
                'both',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('fast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable fast monitoring mode
                ''',
                'fast',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('passive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable passive monitoring mode
                ''',
                'passive',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp',
            False, 
            [
            _MetaInfoClassMember('local-pref', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify the local preference for bgp controlled routes
                ''',
                'local_pref',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a tag value for PfR controlled eigrp routes
                ''',
                'tag',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a tag value for PfR controlled static routes
                ''',
                'tag',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp', 
                [], [], 
                '''                Specify PfR bgp protocol settings
                ''',
                'bgp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp', 
                [], [], 
                '''                Specify PfR eigrp routes related settings
                ''',
                'eigrp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static', 
                [], [], 
                '''                Specify PfR static routes related settings
                ''',
                'static',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol',
            False, 
            [
            _MetaInfoClassMember('pbr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify OER route control protocol Policy-Based-Routing
                ''',
                'pbr',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route',
            False, 
            [
            _MetaInfoClassMember('control', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable PfR to control routes automatically
                ''',
                'control',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric', 
                [], [], 
                '''                Specify PfR route protocol related settings
                ''',
                'metric',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('observe', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PfR offers route control advice, but does not take any action
                ''',
                'observe',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol', 
                [], [], 
                '''                Specify OER route control protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify',
            False, 
            [
            _MetaInfoClassMember('bidirectional', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Verify bidirectional traffic of applications
                ''',
                'bidirectional',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'verify',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mode',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor', 
                [], [], 
                '''                Specify PfR prefix monitoring policy settings
                ''',
                'monitor',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route', 
                [], [], 
                '''                Specify PfR route control policy settings
                ''',
                'route',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('verify', REFERENCE_CLASS, 'Verify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify', 
                [], [], 
                '''                Specify verification behavior
                ''',
                'verify',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold.MosThresh' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold.MosThresh',
            False, 
            [
            _MetaInfoClassMember('mos-thresh', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Minimum absolute MOS threshold 1.00 - 5.00
                ''',
                'mos_thresh',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum percentage probe with MOS below threshold
                ''',
                'percent',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'mos-thresh',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold',
            False, 
            [
            _MetaInfoClassMember('mos-thresh', REFERENCE_LIST, 'MosThresh' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold.MosThresh', 
                [], [], 
                '''                ''',
                'mos_thresh',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Mos' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Mos',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold', 
                [], [], 
                '''                Minimum MOS threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'mos',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Probe' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Probe',
            False, 
            [
            _MetaInfoClassMember('packets', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                probe packets <number>
                ''',
                'packets',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'probe',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority.DelPol' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority.DelPol',
            False, 
            [
            _MetaInfoClassMember('del-pol', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Specify this policy's priority; 1 being highest
                ''',
                'del_pol',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('variance', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                ''',
                'variance',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'del-pol',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority',
            False, 
            [
            _MetaInfoClassMember('del-pol', REFERENCE_LIST, 'DelPol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority.DelPol', 
                [], [], 
                '''                ''',
                'del_pol',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay',
            False, 
            [
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority', 
                [], [], 
                '''                Specify the order in which resolver will consider this policy
                ''',
                'priority',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority.JitPol' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority.JitPol',
            False, 
            [
            _MetaInfoClassMember('jit-pol', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Specify this policy's priority; 1 being highest
                ''',
                'jit_pol',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('variance', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                ''',
                'variance',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'jit-pol',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority',
            False, 
            [
            _MetaInfoClassMember('jit-pol', REFERENCE_LIST, 'JitPol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority.JitPol', 
                [], [], 
                '''                ''',
                'jit_pol',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter',
            False, 
            [
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority', 
                [], [], 
                '''                Specify the order in which resolver will consider this policy
                ''',
                'priority',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'jitter',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority.LossPol' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority.LossPol',
            False, 
            [
            _MetaInfoClassMember('loss-pol', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Specify this policy's priority; 1 being highest
                ''',
                'loss_pol',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('variance', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                ''',
                'variance',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'loss-pol',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority',
            False, 
            [
            _MetaInfoClassMember('loss-pol', REFERENCE_LIST, 'LossPol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority.LossPol', 
                [], [], 
                '''                ''',
                'loss_pol',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss',
            False, 
            [
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority', 
                [], [], 
                '''                Specify the order in which resolver will consider this policy
                ''',
                'priority',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'loss',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority.MosPol' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority.MosPol',
            False, 
            [
            _MetaInfoClassMember('mos-pol', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Specify this policy's priority; 1 being highest
                ''',
                'mos_pol',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('variance', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                ''',
                'variance',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'mos-pol',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority',
            False, 
            [
            _MetaInfoClassMember('mos-pol', REFERENCE_LIST, 'MosPol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority.MosPol', 
                [], [], 
                '''                ''',
                'mos_pol',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos',
            False, 
            [
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority', 
                [], [], 
                '''                Specify the order in which resolver will consider this policy
                ''',
                'priority',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'mos',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify PfR cost policy resolver settings
                ''',
                'cost',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay', 
                [], [], 
                '''                Specify PfR delay policy resolver settings
                ''',
                'delay',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('equivalent-path-round-robin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify equivalent-path round-robin resolver
                ''',
                'equivalent_path_round_robin',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('jitter', REFERENCE_CLASS, 'Jitter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter', 
                [], [], 
                '''                Specify PfR jitter policy resolver settings
                ''',
                'jitter',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('loss', REFERENCE_CLASS, 'Loss' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss', 
                [], [], 
                '''                Specify PfR loss policy resolver settings
                ''',
                'loss',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('mos', REFERENCE_CLASS, 'Mos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos', 
                [], [], 
                '''                Specify PfR MOS policy resolver settings
                ''',
                'mos',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'resolve',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp',
            False, 
            [
            _MetaInfoClassMember('post-dial-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '500')], [], 
                '''                RSVP post-dial-delay in msecs
                ''',
                'post_dial_delay',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('signaling-retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                Number of signaling-retries
                ''',
                'signaling_retries',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'rsvp',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList.TdNum' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList.TdNum',
            False, 
            [
            _MetaInfoClassMember('td-num', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix-list containing list of responders
                ''',
                'td_num',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('inside-prefixes', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix-list containing list of inside prefixes
                ''',
                'inside_prefixes',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'td-num',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList',
            False, 
            [
            _MetaInfoClassMember('td-num', REFERENCE_LIST, 'TdNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList.TdNum', 
                [], [], 
                '''                ''',
                'td_num',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'responder-list',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery',
            False, 
            [
            _MetaInfoClassMember('responder-list', REFERENCE_CLASS, 'ResponderList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList', 
                [], [], 
                '''                Specify static list of responders
                ''',
                'responder_list',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'target-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute',
            False, 
            [
            _MetaInfoClassMember('probe-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify the time between two probes in msec
                ''',
                'probe_delay',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'traceroute',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable',
            False, 
            [
            _MetaInfoClassMember('relative', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                short/long term in percentage. e.g. 125 is short/long = 1.25
                ''',
                'relative',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000')], [], 
                '''                Maximum absolute unreachable threshold (flows-per-million)
                ''',
                'threshold',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'unreachable',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master.IcmpModeConfigPfrMc' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master.IcmpModeConfigPfrMc',
            False, 
            [
            _MetaInfoClassMember('active-probe', REFERENCE_CLASS, 'ActiveProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe', 
                [], [], 
                '''                Manually create an active probe for a known target
                ''',
                'active_probe',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Application', 
                [], [], 
                '''                Define application
                ''',
                'application',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('backoff', REFERENCE_CLASS, 'Backoff' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff', 
                [], [], 
                '''                Specify backoff timer parameters
                ''',
                'backoff',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('bandwidth-resolution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/configure Bandwidth Resolution
                ''',
                'bandwidth_resolution',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('border', REFERENCE_CLASS, 'Border' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Border', 
                [], [], 
                '''                Enter PfR managed border router configuration submode
                ''',
                'border',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Delay', 
                [], [], 
                '''                Specify delay parameters
                ''',
                'delay',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('exporter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                name of flow exporter
                ''',
                'exporter',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('90', '65535')], [], 
                '''                Specify hold-down timer parameter (secs)
                ''',
                'holddown',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('jitter', REFERENCE_CLASS, 'Jitter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter', 
                [], [], 
                '''                Specify jitter parameters
                ''',
                'jitter',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                Specify keepalive interval in seconds
                ''',
                'keepalive',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('learn', REFERENCE_CLASS, 'Learn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Learn', 
                [], [], 
                '''                Enter prefix and traffic class learning submode
                ''',
                'learn',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('logging', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Event Logging
                ''',
                'logging',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('loss', REFERENCE_CLASS, 'Loss' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Loss', 
                [], [], 
                '''                Specify loss parameters
                ''',
                'loss',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('max', REFERENCE_CLASS, 'Max' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Max', 
                [], [], 
                '''                Specify the upper limit
                ''',
                'max',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('max-range-utilization', REFERENCE_CLASS, 'MaxRangeUtilization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization', 
                [], [], 
                '''                Configure the maximum range for utilization of all exits
                ''',
                'max_range_utilization',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('mc-peer', REFERENCE_CLASS, 'McPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer', 
                [], [], 
                '''                Enable MC-to-MC peering
                ''',
                'mc_peer',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mode', 
                [], [], 
                '''                Specify PfR operating mode settings
                ''',
                'mode',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('mos', REFERENCE_CLASS, 'Mos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Mos', 
                [], [], 
                '''                Specify mos parameters
                ''',
                'mos',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('periodic', ATTRIBUTE, 'int' , None, None, 
                [('90', '7200')], [], 
                '''                Specify periodic rotation timer value (secs)
                ''',
                'periodic',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('policy-rules', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                pfr-map name
                ''',
                'policy_rules',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify tcp port number for PfR communication
                ''',
                'port',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('probe', REFERENCE_CLASS, 'Probe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Probe', 
                [], [], 
                '''                Specify number of packets for jitter probe
                ''',
                'probe',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('resolve', REFERENCE_CLASS, 'Resolve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve', 
                [], [], 
                '''                Specify PfR policy resolver settings
                ''',
                'resolve',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('rsvp', REFERENCE_CLASS, 'Rsvp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp', 
                [], [], 
                '''                Specify rsvp parameters
                ''',
                'rsvp',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable PfR master controller functionality
                ''',
                'shutdown',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('target-discovery', REFERENCE_CLASS, 'TargetDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery', 
                [], [], 
                '''                Enable/configure Target Discovery
                ''',
                'target_discovery',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('traceroute', REFERENCE_CLASS, 'Traceroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute', 
                [], [], 
                '''                Configure Traceroute global parameters
                ''',
                'traceroute',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('trigger-log-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Specify the percentage of out-of-policy TCs that will trigger a syslog
                ''',
                'trigger_log_percentage',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('unreachable', REFERENCE_CLASS, 'Unreachable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable', 
                [], [], 
                '''                Specify unreachable parameters
                ''',
                'unreachable',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'icmp-Mode-config-pfr-mc',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr.Master' : {
        'meta_info' : _MetaInfoClass('Native.Pfr.Master',
            False, 
            [
            _MetaInfoClassMember('icmp-Mode-config-pfr-mc', REFERENCE_CLASS, 'IcmpModeConfigPfrMc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master.IcmpModeConfigPfrMc', 
                [], [], 
                '''                ''',
                'icmp_mode_config_pfr_mc',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'master',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Pfr' : {
        'meta_info' : _MetaInfoClass('Native.Pfr',
            False, 
            [
            _MetaInfoClassMember('border', REFERENCE_CLASS, 'Border' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Border', 
                [], [], 
                '''                Enter PfR border router configuration submode
                ''',
                'border',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('master', REFERENCE_CLASS, 'Master' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr.Master', 
                [], [], 
                '''                Enter PfR master controller configuration submode
                ''',
                'master',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-native',
            'pfr',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Match.Ip' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Match.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match address
                ''',
                'address',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Match.Pfr' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Match.Pfr',
            False, 
            [
            _MetaInfoClassMember('learn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match PfR learned prefixes
                ''',
                'learn',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'pfr',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Match.TrafficClass' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Match.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Traffic class(es) using access-list
                ''',
                'access_list',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('application', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify the application to learn
                ''',
                'application',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify Traffic class(es) using prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Match' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Match',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Match.Ip', 
                [], [], 
                '''                IP specific information
                ''',
                'ip',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('pfr', REFERENCE_CLASS, 'Pfr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Match.Pfr', 
                [], [], 
                '''                Match PfR prefixes
                ''',
                'pfr',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Match.TrafficClass', 
                [], [], 
                '''                Specify Traffic class
                ''',
                'traffic_class',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.ActiveProbe.Echo.Ipv4OrHostname' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.ActiveProbe.Echo.Ipv4OrHostname',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of probe target
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True),
                ]),
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify the DSCP value
                ''',
                'dscp',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.ActiveProbe.Echo' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.ActiveProbe.Echo',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.ActiveProbe.Echo.Ipv4OrHostname', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'echo',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.ActiveProbe.Jitter.Ipv4OrHostname' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.ActiveProbe.Jitter.Ipv4OrHostname',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of probe target
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True),
                ]),
            _MetaInfoClassMember('target-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Required Target Port for udp-echo or tcp-conn or jitter
                ''',
                'target_port',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.ActiveProbe.Jitter' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.ActiveProbe.Jitter',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.ActiveProbe.Jitter.Ipv4OrHostname', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'jitter',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.ActiveProbe.TcpConn.Ipv4OrHostname' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.ActiveProbe.TcpConn.Ipv4OrHostname',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of probe target
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True),
                ]),
            _MetaInfoClassMember('target-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Required Target Port for udp-echo or tcp-conn or jitter
                ''',
                'target_port',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.ActiveProbe.TcpConn' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.ActiveProbe.TcpConn',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.ActiveProbe.TcpConn.Ipv4OrHostname', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'tcp-conn',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.ActiveProbe.UdpEcho.Ipv4OrHostname' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.ActiveProbe.UdpEcho.Ipv4OrHostname',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of probe target
                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', True, [
                    _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True, [
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                            _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                IP address of probe target
                                ''',
                                'ipv4_or_hostname',
                                'Cisco-IOS-XE-pfr', True),
                        ]),
                    _MetaInfoClassMember('ipv4-or-hostname', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        IP address of probe target
                        ''',
                        'ipv4_or_hostname',
                        'Cisco-IOS-XE-pfr', True),
                ]),
            _MetaInfoClassMember('target-port', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Required Target Port for udp-echo or tcp-conn or jitter
                ''',
                'target_port',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'ipv4-or-hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.ActiveProbe.UdpEcho' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.ActiveProbe.UdpEcho',
            False, 
            [
            _MetaInfoClassMember('ipv4-or-hostname', REFERENCE_LIST, 'Ipv4OrHostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.ActiveProbe.UdpEcho.Ipv4OrHostname', 
                [], [], 
                '''                ''',
                'ipv4_or_hostname',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'udp-echo',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.ActiveProbe' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.ActiveProbe',
            False, 
            [
            _MetaInfoClassMember('echo', REFERENCE_CLASS, 'Echo' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.ActiveProbe.Echo', 
                [], [], 
                '''                Perform ICMP echo probe operations
                ''',
                'echo',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('jitter', REFERENCE_CLASS, 'Jitter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.ActiveProbe.Jitter', 
                [], [], 
                '''                Perform jitter probe operations (requires a responder)
                ''',
                'jitter',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('tcp-conn', REFERENCE_CLASS, 'TcpConn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.ActiveProbe.TcpConn', 
                [], [], 
                '''                Perform TCP Connection / Disconnect probe operations
                ''',
                'tcp_conn',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('udp-echo', REFERENCE_CLASS, 'UdpEcho' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.ActiveProbe.UdpEcho', 
                [], [], 
                '''                Perform UDP Echo probe operations (requires a responder)
                ''',
                'udp_echo',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'active-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.Backoff.BoffT.BoffT0' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.Backoff.BoffT.BoffT0',
            False, 
            [
            _MetaInfoClassMember('boff-t0', ATTRIBUTE, 'int' , None, None, 
                [('90', '7200')], [], 
                '''                Specify maximum value of backoff timer (secs)
                ''',
                'boff_t0',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('boff-rng', ATTRIBUTE, 'int' , None, None, 
                [('90', '7110')], [], 
                '''                Specify optional backoff timer step (secs)
                ''',
                'boff_rng',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'boff-t0',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.Backoff.BoffT' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.Backoff.BoffT',
            False, 
            [
            _MetaInfoClassMember('boff-t', ATTRIBUTE, 'int' , None, None, 
                [('90', '7200')], [], 
                '''                Specify minimum value of backoff timer (secs)
                ''',
                'boff_t',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('boff-t0', REFERENCE_LIST, 'BoffT0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.Backoff.BoffT.BoffT0', 
                [], [], 
                '''                ''',
                'boff_t0',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'boff-t',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.Backoff' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.Backoff',
            False, 
            [
            _MetaInfoClassMember('boff-t', REFERENCE_LIST, 'BoffT' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.Backoff.BoffT', 
                [], [], 
                '''                ''',
                'boff_t',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'backoff',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.Delay' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.Delay',
            False, 
            [
            _MetaInfoClassMember('relative', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum allowable relative change from short to long term
                ''',
                'relative',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Maximum allowable absolute delay
                ''',
                'threshold',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.LinkGroup.LgName.Fallback' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.LinkGroup.LgName.Fallback',
            False, 
            [
            _MetaInfoClassMember('fall-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify Fallback link group name
                ''',
                'fall_name',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'fallback',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.LinkGroup.LgName' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.LinkGroup.LgName',
            False, 
            [
            _MetaInfoClassMember('lg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify primary link group name
                ''',
                'lg_name',
                'Cisco-IOS-XE-pfr', True),
            _MetaInfoClassMember('fallback', REFERENCE_CLASS, 'Fallback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.LinkGroup.LgName.Fallback', 
                [], [], 
                '''                Specify the fallback link group
                ''',
                'fallback',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'lg-name',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.LinkGroup' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.LinkGroup',
            False, 
            [
            _MetaInfoClassMember('lg-name', REFERENCE_LIST, 'LgName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.LinkGroup.LgName', 
                [], [], 
                '''                ''',
                'lg_name',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'link-group',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set.Loss' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set.Loss',
            False, 
            [
            _MetaInfoClassMember('relative', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                short/long term in percentage. e.g. 125 is short/long = 1.25
                ''',
                'relative',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000')], [], 
                '''                Maximum absolute lost packet threshold in percentage e.g., 1 is 0.0001 percent
                ''',
                'threshold',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'loss',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap.Set' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap.Set',
            False, 
            [
            _MetaInfoClassMember('active-probe', REFERENCE_CLASS, 'ActiveProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.ActiveProbe', 
                [], [], 
                '''                Manually create an active probe for a known target
                ''',
                'active_probe',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('backoff', REFERENCE_CLASS, 'Backoff' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.Backoff', 
                [], [], 
                '''                Specify backoff timer parameters
                ''',
                'backoff',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.Delay', 
                [], [], 
                '''                Specify delay parameters
                ''',
                'delay',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('90', '65535')], [], 
                '''                Specify hold-down timer parameter (secs)
                ''',
                'holddown',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set the forwarding interface to Null0
                ''',
                'interface',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('jitter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify jitter parameters
                ''',
                'jitter',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('link-group', REFERENCE_CLASS, 'LinkGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.LinkGroup', 
                [], [], 
                '''                Specify the link group
                ''',
                'link_group',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('loss', REFERENCE_CLASS, 'Loss' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set.Loss', 
                [], [], 
                '''                Specify loss parameters
                ''',
                'loss',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('mode', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify PfR operating mode settings
                ''',
                'mode',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('mos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify mos parameters
                ''',
                'mos',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify the next-hop ip address
                ''',
                'next_hop',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('periodic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify periodic rotation timer value
                ''',
                'periodic',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('probe', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify active probe parameter
                ''',
                'probe',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('resolve', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify PfR policy resolver settings
                ''',
                'resolve',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('traceroute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable traceroute
                ''',
                'traceroute',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('trap-enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable PfR MIB Traps
                ''',
                'trap_enable',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('trigger-log-percentage', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify the percentage of out-of-policy TCs that will trigger a syslog
                ''',
                'trigger_log_percentage',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('unreachable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify unreachable parameters
                ''',
                'unreachable',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-pfr',
            'set',
            _yang_ns._namespaces['Cisco-IOS-XE-pfr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PfrMap' : {
        'meta_info' : _MetaInfoClass('Native.PfrMap',
            False, 
            [
            _MetaInfoClassMember('pfr-tg', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                pfr-map tag
                ''',
                'pfr_tg',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Match', 
                [], [], 
                '''                Match values for PfR policy
                ''',
                'match',
                'Cisco-IOS-XE-pfr', False),
            _MetaInfoClassMember('set', REFERENCE_CLASS, 'Set' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap.Set', 
                [], [], 
                '''                Set values for PfR policy
                ''',
                'set',
                'Cisco-IOS-XE-pfr', False),
            ],
            'Cisco-IOS-XE-native',
            'pfr-map',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.FacilityAlarm.ExceedActionEnum' : _MetaInfoEnum('ExceedActionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'shutdown':'shutdown',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.FacilityAlarm.SeverityEnum' : _MetaInfoEnum('SeverityEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'critical':'critical',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.FacilityAlarm' : {
        'meta_info' : _MetaInfoClass('Native.FacilityAlarm',
            False, 
            [
            _MetaInfoClassMember('exceed-action', REFERENCE_ENUM_CLASS, 'ExceedActionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.FacilityAlarm.ExceedActionEnum', 
                [], [], 
                '''                Behavior on critical threshold exceed
                ''',
                'exceed_action',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('severity', REFERENCE_ENUM_CLASS, 'SeverityEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.FacilityAlarm.SeverityEnum', 
                [], [], 
                '''                ''',
                'severity',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'facility-alarm',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Setup' : {
        'meta_info' : _MetaInfoClass('Native.Setup',
            False, 
            [
            _MetaInfoClassMember('express', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configure whether express setup mode is enabled
                ''',
                'express',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-native',
            'setup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TodClock.InputSource.Ptp' : {
        'meta_info' : _MetaInfoClass('Native.TodClock.InputSource.Ptp',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ptp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TodClock.InputSource' : {
        'meta_info' : _MetaInfoClass('Native.TodClock.InputSource',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '250')], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ptp', REFERENCE_CLASS, 'Ptp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TodClock.InputSource.Ptp', 
                [], [], 
                '''                ''',
                'ptp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'input-source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TodClock' : {
        'meta_info' : _MetaInfoClass('Native.TodClock',
            False, 
            [
            _MetaInfoClassMember('input-source', REFERENCE_CLASS, 'InputSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TodClock.InputSource', 
                [], [], 
                '''                Synchronization Input Source
                ''',
                'input_source',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'tod-clock',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.NetworkClock.Synchronization.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'QL-enabled':'QL_enabled',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.NetworkClock.Synchronization' : {
        'meta_info' : _MetaInfoClass('Native.NetworkClock.Synchronization',
            False, 
            [
            _MetaInfoClassMember('automatic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ITU-T G.781/Telcordia standard based
                ''',
                'automatic',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkClock.Synchronization.ModeEnum', 
                [], [], 
                '''                synchronization networking mode
                ''',
                'mode',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'synchronization',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.NetworkClock.WaitToRestore' : {
        'meta_info' : _MetaInfoClass('Native.NetworkClock.WaitToRestore',
            False, 
            [
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Global
                ''',
                'global_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('0', '86400')], [], 
                '''                Wait-to-Restore time
                ''',
                'time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'wait-to-restore',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.NetworkClock.InputSource.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.NetworkClock.InputSource.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.NetworkClock.InputSource.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.NetworkClock.InputSource.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.NetworkClock.InputSource.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.NetworkClock.InputSource.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.NetworkClock.InputSource.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.NetworkClock.InputSource.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.NetworkClock.InputSource.Interface' : {
        'meta_info' : _MetaInfoClass('Native.NetworkClock.InputSource.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkClock.InputSource.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkClock.InputSource.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkClock.InputSource.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkClock.InputSource.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.NetworkClock.InputSource.Ptp' : {
        'meta_info' : _MetaInfoClass('Native.NetworkClock.InputSource.Ptp',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ptp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.NetworkClock.InputSource' : {
        'meta_info' : _MetaInfoClass('Native.NetworkClock.InputSource',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkClock.InputSource.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('1', '250')], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ptp', REFERENCE_CLASS, 'Ptp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkClock.InputSource.Ptp', 
                [], [], 
                '''                ''',
                'ptp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'input-source',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.NetworkClock' : {
        'meta_info' : _MetaInfoClass('Native.NetworkClock',
            False, 
            [
            _MetaInfoClassMember('input-source', REFERENCE_CLASS, 'InputSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkClock.InputSource', 
                [], [], 
                '''                Synchronization Input Source
                ''',
                'input_source',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('synchronization', REFERENCE_CLASS, 'Synchronization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkClock.Synchronization', 
                [], [], 
                '''                Network clock synchronization selection process
                ''',
                'synchronization',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wait-to-restore', REFERENCE_CLASS, 'WaitToRestore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkClock.WaitToRestore', 
                [], [], 
                '''                Wait-to-Restore timer
                ''',
                'wait_to_restore',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'network-clock',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh',
            False, 
            [
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send', 
                [], [], 
                '''                refresh send timeout configuration
                ''',
                'send',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'refresh',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout',
            False, 
            [
            _MetaInfoClassMember('refresh', REFERENCE_CLASS, 'Refresh' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh', 
                [], [], 
                '''                refresh timeout configurations
                ''',
                'refresh',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire.StaticOam.Class_' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire.StaticOam.Class_',
            False, 
            [
            _MetaInfoClassMember('pw-nm', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pw_nm',
                'Cisco-IOS-XE-l2vpn', True),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout', 
                [], [], 
                '''                timeout configurations
                ''',
                'timeout',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'class',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire.StaticOam' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire.StaticOam',
            False, 
            [
            _MetaInfoClassMember('class', REFERENCE_LIST, 'Class_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire.StaticOam.Class_', 
                [], [], 
                '''                Static PW OAM class configuration
                ''',
                'class_',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'static-oam',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvType' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvType',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '40')], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'tlv-type',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvDescription' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvDescription',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'description',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'tlv-description',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_',
            False, 
            [
            _MetaInfoClassMember('tlv-description', REFERENCE_CLASS, 'TlvDescription' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvDescription', 
                [], [], 
                '''                ''',
                'tlv_description',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('tlv-type', REFERENCE_CLASS, 'TlvType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvType', 
                [], [], 
                '''                ''',
                'tlv_type',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire.Tlv.Template' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire.Tlv.Template',
            False, 
            [
            _MetaInfoClassMember('tlv-nm', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tlv_nm',
                'Cisco-IOS-XE-l2vpn', True),
            _MetaInfoClassMember('tlv', REFERENCE_CLASS, 'Tlv_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_', 
                [], [], 
                '''                TLV config command
                ''',
                'tlv',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire.Tlv' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire.Tlv',
            False, 
            [
            _MetaInfoClassMember('template', REFERENCE_LIST, 'Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire.Tlv.Template', 
                [], [], 
                '''                PW TLV Template Keyword
                ''',
                'template',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire.Group' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire.Group',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send pseudowire group status messages
                ''',
                'status',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Pseudowire' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Pseudowire',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire.Group', 
                [], [], 
                '''                Configure pseudowire group parameters
                ''',
                'group',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('routing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure l2vpn pseudowire routing
                ''',
                'routing',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('static-oam', REFERENCE_CLASS, 'StaticOam' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire.StaticOam', 
                [], [], 
                '''                Static PW OAM configuration
                ''',
                'static_oam',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('tlv', REFERENCE_CLASS, 'Tlv' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire.Tlv', 
                [], [], 
                '''                Global PW TLV configuration
                ''',
                'tlv',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'pseudowire',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Bgp_',
            False, 
            [
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Template to be used for autodiscovered pseudowires
                ''',
                'template',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Ldp',
            False, 
            [
            _MetaInfoClassMember('template', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Template to be used for autodiscovered pseudowires
                ''',
                'template',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Bgp_', 
                [], [], 
                '''                Use BGP signaling and discovery
                ''',
                'bgp',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Ldp', 
                [], [], 
                '''                Use LDP signaling
                ''',
                'ldp',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'signaling',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp',
            False, 
            [
            _MetaInfoClassMember('signaling', REFERENCE_CLASS, 'Signaling' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling', 
                [], [], 
                '''                Signaling protocol to use
                ''',
                'signaling',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Vfi.Context.Autodiscovery' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Vfi.Context.Autodiscovery',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp', 
                [], [], 
                '''                Use BGP for neighbor discovery
                ''',
                'bgp',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'autodiscovery',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Vfi.Context.Vpn' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Vfi.Context.Vpn',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                VPN id value
                ''',
                'id',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'vpn',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Vfi.Context' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Vfi.Context',
            False, 
            [
            _MetaInfoClassMember('vfi-nm', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual Forwarding Instance (VFI) name
                ''',
                'vfi_nm',
                'Cisco-IOS-XE-l2vpn', True),
            _MetaInfoClassMember('autodiscovery', REFERENCE_CLASS, 'Autodiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Vfi.Context.Autodiscovery', 
                [], [], 
                '''                Auto Discovery mode
                ''',
                'autodiscovery',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vpn', REFERENCE_CLASS, 'Vpn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Vfi.Context.Vpn', 
                [], [], 
                '''                VPN configuration
                ''',
                'vpn',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Vfi' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Vfi',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Vfi.Context', 
                [], [], 
                '''                Layer2 VPN Context
                ''',
                'context',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'vfi',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking',
            False, 
            [
            _MetaInfoClassMember('ethernet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ethernet interworking
                ''',
                'ethernet',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IP interworking
                ''',
                'ip',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                VLAN interworking
                ''',
                'vlan',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'interworking',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IPV6
                ''',
                'ipv6',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol', 
                [], [], 
                '''                Protocol matching criterion
                ''',
                'protocol',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the peer
                ''',
                'ipv4',
                'Cisco-IOS-XE-l2vpn', True),
            _MetaInfoClassMember('mem-vcid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Enter VC ID value
                ''',
                'mem_vcid',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Interface' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Interface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'interface',
                'Cisco-IOS-XE-l2vpn', True),
            _MetaInfoClassMember('group', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the cross connect member redundancy group
                ''',
                'group',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('service-instance', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ethernet Service Instance
                ''',
                'service_instance',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan interface number
                ''',
                'vlan',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'member',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive',
            False, 
            [
            _MetaInfoClassMember('disabled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable predictive switchover capability for this xconnect
                ''',
                'disabled',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable predictive switchover capability for this xconnect
                ''',
                'enabled',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'predictive',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '180')], [], 
                '''                Enable delay
                ''',
                'delay',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('predictive', REFERENCE_CLASS, 'Predictive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive', 
                [], [], 
                '''                Switch over to backup member without waiting for UP status
                ''',
                'predictive',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'redundancy',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remote peer circuit ID
                ''',
                'id',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'circuit',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link',
            False, 
            [
            _MetaInfoClassMember('failure', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Failure information
                ''',
                'failure',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote',
            False, 
            [
            _MetaInfoClassMember('circuit', REFERENCE_CLASS, 'Circuit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit', 
                [], [], 
                '''                Remote peer circuit configuration
                ''',
                'circuit',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('link', REFERENCE_CLASS, 'Link' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link', 
                [], [], 
                '''                Link information
                ''',
                'link',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'remote',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description string
                ''',
                'description',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('interworking', REFERENCE_CLASS, 'Interworking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking', 
                [], [], 
                '''                Interworking options for the cross connect
                ''',
                'interworking',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match', 
                [], [], 
                '''                Set Xconnect packet matching criteria
                ''',
                'match',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('member', REFERENCE_CLASS, 'Member' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member', 
                [], [], 
                '''                Configure the cross connect member
                ''',
                'member',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('redundancy', REFERENCE_CLASS, 'Redundancy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy', 
                [], [], 
                '''                Xconnect redundancy information
                ''',
                'redundancy',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('remote', REFERENCE_CLASS, 'Remote' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote', 
                [], [], 
                '''                L2VPN remote peer configuration commands
                ''',
                'remote',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown Xconnect
                ''',
                'shutdown',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xc-Mode-config-xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect.Context' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect.Context',
            False, 
            [
            _MetaInfoClassMember('xc-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure the cross connect name
                ''',
                'xc_name',
                'Cisco-IOS-XE-l2vpn', True),
            _MetaInfoClassMember('xc-Mode-config-xconnect', REFERENCE_CLASS, 'XcModeConfigXconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect', 
                [], [], 
                '''                ''',
                'xc_mode_config_xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn.Xconnect' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn.Xconnect',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect.Context', 
                [], [], 
                '''                Layer2 VPN Context
                ''',
                'context',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'xconnect',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2Vpn' : {
        'meta_info' : _MetaInfoClass('Native.L2Vpn',
            False, 
            [
            _MetaInfoClassMember('pseudowire', REFERENCE_CLASS, 'Pseudowire' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Pseudowire', 
                [], [], 
                '''                Global pseudowire parameters
                ''',
                'pseudowire',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('vfi', REFERENCE_CLASS, 'Vfi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Vfi', 
                [], [], 
                '''                Configure a Virtual Forwarding Instance (VFI)
                ''',
                'vfi',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn.Xconnect', 
                [], [], 
                '''                Configure a cross connect
                ''',
                'xconnect',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-native',
            'l2vpn',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2VpnConfig.L2Vpn.Logging.Pseudowire' : {
        'meta_info' : _MetaInfoClass('Native.L2VpnConfig.L2Vpn.Logging.Pseudowire',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                pseudowire status up/down logging
                ''',
                'status',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'pseudowire',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2VpnConfig.L2Vpn.Logging' : {
        'meta_info' : _MetaInfoClass('Native.L2VpnConfig.L2Vpn.Logging',
            False, 
            [
            _MetaInfoClassMember('pseudowire', REFERENCE_CLASS, 'Pseudowire' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2VpnConfig.L2Vpn.Logging.Pseudowire', 
                [], [], 
                '''                pseudowire status transition logging
                ''',
                'pseudowire',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                xconnect redundancy events
                ''',
                'redundancy',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2VpnConfig.L2Vpn.Redundancy.Predictive' : {
        'meta_info' : _MetaInfoClass('Native.L2VpnConfig.L2Vpn.Redundancy.Predictive',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable predictive switchover capability for all xconnects
                ''',
                'enabled',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'predictive',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2VpnConfig.L2Vpn.Redundancy' : {
        'meta_info' : _MetaInfoClass('Native.L2VpnConfig.L2Vpn.Redundancy',
            False, 
            [
            _MetaInfoClassMember('predictive', REFERENCE_CLASS, 'Predictive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2VpnConfig.L2Vpn.Redundancy.Predictive', 
                [], [], 
                '''                Switch over to backup member without waiting for UP status
                ''',
                'predictive',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'redundancy',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2VpnConfig.L2Vpn' : {
        'meta_info' : _MetaInfoClass('Native.L2VpnConfig.L2Vpn',
            False, 
            [
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2VpnConfig.L2Vpn.Logging', 
                [], [], 
                '''                Configure logging flags
                ''',
                'logging',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('redundancy', REFERENCE_CLASS, 'Redundancy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2VpnConfig.L2Vpn.Redundancy', 
                [], [], 
                '''                Configure L2VPN redundancy parameters
                ''',
                'redundancy',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Layer2 router-id value
                ''',
                'router_id',
                'Cisco-IOS-XE-l2vpn', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown Layer2 VPN
                ''',
                'shutdown',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-l2vpn',
            'l2vpn',
            _yang_ns._namespaces['Cisco-IOS-XE-l2vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2VpnConfig' : {
        'meta_info' : _MetaInfoClass('Native.L2VpnConfig',
            False, 
            [
            _MetaInfoClassMember('l2vpn', REFERENCE_CLASS, 'L2Vpn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2VpnConfig.L2Vpn', 
                [], [], 
                '''                Layer2 VPN commands
                ''',
                'l2vpn',
                'Cisco-IOS-XE-l2vpn', False),
            ],
            'Cisco-IOS-XE-native',
            'l2vpn-config',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L3Vpn.Encapsulation.Ip.Transport.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.L3Vpn.Encapsulation.Ip.Transport.Ipv4',
            False, 
            [
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                transport source
                ''',
                'source',
                'Cisco-IOS-XE-l3vpn', False),
            ],
            'Cisco-IOS-XE-l3vpn',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-l3vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L3Vpn.Encapsulation.Ip.Transport' : {
        'meta_info' : _MetaInfoClass('Native.L3Vpn.Encapsulation.Ip.Transport',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L3Vpn.Encapsulation.Ip.Transport.Ipv4', 
                [], [], 
                '''                transport ipv4 mode
                ''',
                'ipv4',
                'Cisco-IOS-XE-l3vpn', False),
            ],
            'Cisco-IOS-XE-l3vpn',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-l3vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L3Vpn.Encapsulation.Ip.Protocol.Gre' : {
        'meta_info' : _MetaInfoClass('Native.L3Vpn.Encapsulation.Ip.Protocol.Gre',
            False, 
            [
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                gre key
                ''',
                'key',
                'Cisco-IOS-XE-l3vpn', False),
            ],
            'Cisco-IOS-XE-l3vpn',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XE-l3vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L3Vpn.Encapsulation.Ip.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.L3Vpn.Encapsulation.Ip.Protocol',
            False, 
            [
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L3Vpn.Encapsulation.Ip.Protocol.Gre', 
                [], [], 
                '''                protocol gre
                ''',
                'gre',
                'Cisco-IOS-XE-l3vpn', False),
            ],
            'Cisco-IOS-XE-l3vpn',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-l3vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L3Vpn.Encapsulation.Ip.Mpls.MtuEnum' : _MetaInfoEnum('MtuEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'max':'max',
        }, 'Cisco-IOS-XE-l3vpn', _yang_ns._namespaces['Cisco-IOS-XE-l3vpn']),
    'Native.L3Vpn.Encapsulation.Ip.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.L3Vpn.Encapsulation.Ip.Mpls',
            False, 
            [
            _MetaInfoClassMember('mtu', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set MPLS Maximum Transmission Unit
                ''',
                'mtu',
                'Cisco-IOS-XE-l3vpn', False, [
                    _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                        [('64', '17916')], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-l3vpn', False),
                    _MetaInfoClassMember('mtu', REFERENCE_ENUM_CLASS, 'Native.L3Vpn.Encapsulation.Ip.Mpls.MtuEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L3Vpn.Encapsulation.Ip.Mpls.MtuEnum', 
                        [], [], 
                        '''                        Set MPLS Maximum Transmission Unit
                        ''',
                        'mtu',
                        'Cisco-IOS-XE-l3vpn', False),
                ]),
            ],
            'Cisco-IOS-XE-l3vpn',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-l3vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L3Vpn.Encapsulation.Ip' : {
        'meta_info' : _MetaInfoClass('Native.L3Vpn.Encapsulation.Ip',
            False, 
            [
            _MetaInfoClassMember('profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'profile_name',
                'Cisco-IOS-XE-l3vpn', True),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L3Vpn.Encapsulation.Ip.Mpls', 
                [], [], 
                '''                Configure MPLS interface parameters
                ''',
                'mpls',
                'Cisco-IOS-XE-l3vpn', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L3Vpn.Encapsulation.Ip.Protocol', 
                [], [], 
                '''                protocol mode
                ''',
                'protocol',
                'Cisco-IOS-XE-l3vpn', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L3Vpn.Encapsulation.Ip.Transport', 
                [], [], 
                '''                transport mode
                ''',
                'transport',
                'Cisco-IOS-XE-l3vpn', False),
            ],
            'Cisco-IOS-XE-l3vpn',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-l3vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L3Vpn.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.L3Vpn.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_LIST, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L3Vpn.Encapsulation.Ip', 
                [], [], 
                '''                l3vpn encapsulation ip
                ''',
                'ip',
                'Cisco-IOS-XE-l3vpn', False),
            ],
            'Cisco-IOS-XE-l3vpn',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-l3vpn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L3Vpn' : {
        'meta_info' : _MetaInfoClass('Native.L3Vpn',
            False, 
            [
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L3Vpn.Encapsulation', 
                [], [], 
                '''                l3vpn encapsulation ip
                ''',
                'encapsulation',
                'Cisco-IOS-XE-l3vpn', False),
            ],
            'Cisco-IOS-XE-native',
            'l3vpn',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Atm' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Atm',
            False, 
            [
            _MetaInfoClassMember('disable-headend-vc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Dedicated lsc capability: In this mode headend Tag VCs are disabled.
                ''',
                'disable_headend_vc',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'atm',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ip.Conf' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ip.Conf',
            False, 
            [
            _MetaInfoClassMember('propagate-ttl', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'propagate_ttl',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'conf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ip.ConfArg.PropagateTtl' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ip.ConfArg.PropagateTtl',
            False, 
            [
            _MetaInfoClassMember('forwarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'forwarded',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'propagate-ttl',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ip.ConfArg' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ip.ConfArg',
            False, 
            [
            _MetaInfoClassMember('propagate-ttl', REFERENCE_CLASS, 'PropagateTtl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ip.ConfArg.PropagateTtl', 
                [], [], 
                '''                ''',
                'propagate_ttl',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'conf-arg',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ip.TtlExpiration' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ip.TtlExpiration',
            False, 
            [
            _MetaInfoClassMember('pop', ATTRIBUTE, 'int' , None, None, 
                [('1', '6')], [], 
                '''                Popping labels on TTL expiration
                ''',
                'pop',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ttl-expiration',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ip',
            False, 
            [
            _MetaInfoClassMember('conf', REFERENCE_CLASS, 'Conf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ip.Conf', 
                [], [], 
                '''                ''',
                'conf',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('conf-arg', REFERENCE_CLASS, 'ConfArg' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ip.ConfArg', 
                [], [], 
                '''                ''',
                'conf_arg',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('default-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow MPLS forwarding for ip default route
                ''',
                'default_route',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ttl-expiration', REFERENCE_CLASS, 'TtlExpiration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ip.TtlExpiration', 
                [], [], 
                '''                Control MPLS TTL expiration behavior
                ''',
                'ttl_expiration',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Atm' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Atm',
            False, 
            [
            _MetaInfoClassMember('disable-headend-vc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Dedicated lsc capability: In this mode headend Tag VCs are disabled.
                ''',
                'disable_headend_vc',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'atm',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs',
            False, 
            [
            _MetaInfoClassMember('per-ce', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per CE label
                ''',
                'per_ce',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per prefix label (default)
                ''',
                'per_prefix',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for entire VRF
                ''',
                'per_vrf',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf-conn-aggr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for connected and BGP aggregates in VRF
                ''',
                'vrf_conn_aggr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'all-afs',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4',
            False, 
            [
            _MetaInfoClassMember('per-ce', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per CE label
                ''',
                'per_ce',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per prefix label (default)
                ''',
                'per_prefix',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for entire VRF
                ''',
                'per_vrf',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf-conn-aggr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for connected and BGP aggregates in VRF
                ''',
                'vrf_conn_aggr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bgp-vpnv4',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6',
            False, 
            [
            _MetaInfoClassMember('per-ce', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per CE label
                ''',
                'per_ce',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per prefix label (default)
                ''',
                'per_prefix',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for entire VRF
                ''',
                'per_vrf',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf-conn-aggr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for connected and BGP aggregates in VRF
                ''',
                'vrf_conn_aggr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bgp-vpnv6',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode.AllVrfs.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode.AllVrfs.Protocol',
            False, 
            [
            _MetaInfoClassMember('all-afs', REFERENCE_CLASS, 'AllAfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs', 
                [], [], 
                '''                All VRF (IPv4 and IPv6) address families
                ''',
                'all_afs',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('bgp-vpnv4', REFERENCE_CLASS, 'BgpVpnv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4', 
                [], [], 
                '''                VRF IPv4 address family
                ''',
                'bgp_vpnv4',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('bgp-vpnv6', REFERENCE_CLASS, 'BgpVpnv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6', 
                [], [], 
                '''                VRF IPv6 address family
                ''',
                'bgp_vpnv6',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode.AllVrfs' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode.AllVrfs',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode.AllVrfs.Protocol', 
                [], [], 
                '''                MPLS Label allocation protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'all-vrfs',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.AllAfs' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.AllAfs',
            False, 
            [
            _MetaInfoClassMember('per-ce', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per CE label
                ''',
                'per_ce',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per prefix label (default)
                ''',
                'per_prefix',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for entire VRF
                ''',
                'per_vrf',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf-conn-aggr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for connected and BGP aggregates in VRF
                ''',
                'vrf_conn_aggr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'all-afs',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv4' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv4',
            False, 
            [
            _MetaInfoClassMember('per-ce', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per CE label
                ''',
                'per_ce',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per prefix label (default)
                ''',
                'per_prefix',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for entire VRF
                ''',
                'per_vrf',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf-conn-aggr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for connected and BGP aggregates in VRF
                ''',
                'vrf_conn_aggr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bgp-vpnv4',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv6' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv6',
            False, 
            [
            _MetaInfoClassMember('per-ce', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per CE label
                ''',
                'per_ce',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-prefix', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per prefix label (default)
                ''',
                'per_prefix',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('per-vrf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for entire VRF
                ''',
                'per_vrf',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf-conn-aggr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Per VRF label for connected and BGP aggregates in VRF
                ''',
                'vrf_conn_aggr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bgp-vpnv6',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol',
            False, 
            [
            _MetaInfoClassMember('all-afs', REFERENCE_CLASS, 'AllAfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.AllAfs', 
                [], [], 
                '''                All VRF (IPv4 and IPv6) address families
                ''',
                'all_afs',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('bgp-vpnv4', REFERENCE_CLASS, 'BgpVpnv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv4', 
                [], [], 
                '''                VRF IPv4 address family
                ''',
                'bgp_vpnv4',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('bgp-vpnv6', REFERENCE_CLASS, 'BgpVpnv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv6', 
                [], [], 
                '''                VRF IPv6 address family
                ''',
                'bgp_vpnv6',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode.Vrf.Vrf_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode.Vrf.Vrf_',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding instance name
                ''',
                'vrf_name',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol', 
                [], [], 
                '''                MPLS Label allocation protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode.Vrf.Vrf_', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Mode',
            False, 
            [
            _MetaInfoClassMember('all-vrfs', REFERENCE_CLASS, 'AllVrfs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode.AllVrfs', 
                [], [], 
                '''                MPLS Label allocation mode for all VRFs
                ''',
                'all_vrfs',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode.Vrf', 
                [], [], 
                '''                MPLS Label allocation mode for a specific VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Range.Static' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Range.Static',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('16', '1048575')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('16', '1048575')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.Range' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label.Range',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('16', '1048575')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('16', '1048575')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Range.Static', 
                [], [], 
                '''                Specify block of labels for static bindings
                ''',
                'static',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Label.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldp':'ldp',
            'tdp:':'tdp__COLON__',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Mpls.Label' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Label',
            False, 
            [
            _MetaInfoClassMember('atm', REFERENCE_CLASS, 'Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Atm', 
                [], [], 
                '''                Configure ATM options
                ''',
                'atm',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Mode', 
                [], [], 
                '''                MPLS Label allocation mode
                ''',
                'mode',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.ProtocolEnum', 
                [], [], 
                '''                Set platform default label distribution protocol
                ''',
                'protocol',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label.Range', 
                [], [], 
                '''                Label range
                ''',
                'range',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable',
            False, 
            [
            _MetaInfoClassMember('advertise-labels', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'advertise_labels',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_',
            False, 
            [
            _MetaInfoClassMember('from', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'from_',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access-list specifying controls on LDP peers
                ''',
                'to',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'for',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.AdvertiseLabels.Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-mpls', True),
            ],
            'Cisco-IOS-XE-mpls',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.For_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.For_',
            False, 
            [
            _MetaInfoClassMember('from', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'from_',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access-list specifying controls on LDP peers
                ''',
                'to',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'for',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding instance name
                ''',
                'vrf_name',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('for', REFERENCE_CLASS, 'For_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.For_', 
                [], [], 
                '''                Access-list specifying controls on destination prefixes
                ''',
                'for_',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('oldstyle', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use old style (TDP) method for matching prefix acl
                ''',
                'oldstyle',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.AdvertiseLabels' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.AdvertiseLabels',
            False, 
            [
            _MetaInfoClassMember('for', REFERENCE_CLASS, 'For_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_', 
                [], [], 
                '''                Access-list specifying controls on destination prefixes
                ''',
                'for_',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Interface', 
                [], [], 
                '''                Advertise /32 interface address
                ''',
                'interface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('oldstyle', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use old style (TDP) method for matching prefix acl
                ''',
                'oldstyle',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'advertise-labels',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Atm.ControlModeEnum' : _MetaInfoEnum('ControlModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'independent':'independent',
            'ordered':'ordered',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Mpls.Ldp.Enable2.Atm' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Atm',
            False, 
            [
            _MetaInfoClassMember('control-mode', REFERENCE_ENUM_CLASS, 'ControlModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Atm.ControlModeEnum', 
                [], [], 
                '''                Select LSP setup control mode for MPLS VCs
                ''',
                'control_mode',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vc-merge', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Select VC merge capability
                ''',
                'vc_merge',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'atm',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Backoff' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Backoff',
            False, 
            [
            _MetaInfoClassMember('initial', ATTRIBUTE, 'int' , None, None, 
                [('5', '2147483')], [], 
                '''                ''',
                'initial',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('5', '2147483')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'backoff',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Discovery.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Discovery.Hello',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                LDP discovery Hello holdtime
                ''',
                'holdtime',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                LDP discovery Hello interval
                ''',
                'interval',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Discovery.TargetedHello.Accept' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Discovery.TargetedHello.Accept',
            False, 
            [
            _MetaInfoClassMember('from', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access list to specify acceptable targeted hello sources
                ''',
                'from_',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'accept',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Discovery.TargetedHello' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Discovery.TargetedHello',
            False, 
            [
            _MetaInfoClassMember('accept', REFERENCE_CLASS, 'Accept' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Discovery.TargetedHello.Accept', 
                [], [], 
                '''                Accept targeted hellos
                ''',
                'accept',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                LDP discovery Hello holdtime
                ''',
                'holdtime',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                LDP discovery Hello interval
                ''',
                'interval',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'targeted-hello',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Discovery' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Discovery',
            False, 
            [
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Discovery.Hello', 
                [], [], 
                '''                LDP discovery Hello
                ''',
                'hello',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('targeted-hello', REFERENCE_CLASS, 'TargetedHello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Discovery.TargetedHello', 
                [], [], 
                '''                LDP discovery Targeted Hello
                ''',
                'targeted_hello',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.ExplicitNull' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.ExplicitNull',
            False, 
            [
            _MetaInfoClassMember('for', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access-list specifying controls on destination prefixes
                ''',
                'for_',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access-list specifying controls on LDP peers
                ''',
                'to',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'explicit-null',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.GracefulRestart.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.GracefulRestart.Timers',
            False, 
            [
            _MetaInfoClassMember('forwarding-holding', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Forwarding State Holding time
                ''',
                'forwarding_holding',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('max-recovery', ATTRIBUTE, 'int' , None, None, 
                [('15', '600')], [], 
                '''                Max-Recovery time
                ''',
                'max_recovery',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('neighbor-liveness', ATTRIBUTE, 'int' , None, None, 
                [('5', '600')], [], 
                '''                Neighbor-Liveness time
                ''',
                'neighbor_liveness',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.GracefulRestart.Timers', 
                [], [], 
                '''                Configure Graceful Restart timers
                ''',
                'timers',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Igp.Sync' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Igp.Sync',
            False, 
            [
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Hold down time in milliseconds
                ''',
                'holddown',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'sync',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Igp' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Igp',
            False, 
            [
            _MetaInfoClassMember('sync', REFERENCE_CLASS, 'Sync' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Igp.Sync', 
                [], [], 
                '''                Configure LDP-IGP Synchronization parameters
                ''',
                'sync',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'igp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate.Global_',
            False, 
            [
            _MetaInfoClassMember('host-routes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                allocate local label for host routes only
                ''',
                'host_routes',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IP prefix-list for destination prefixes.
                ''',
                'prefix_list',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate.Global_', 
                [], [], 
                '''                Specify global Routing/Forwarding instance
                ''',
                'global_',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'allocate',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl',
            False, 
            [
            _MetaInfoClassMember('allocate', REFERENCE_CLASS, 'Allocate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate', 
                [], [], 
                '''                Allocate local labels for specified destination prefixes
                ''',
                'allocate',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'label-Mode__config-ldp-lbl',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Label' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Label',
            False, 
            [
            _MetaInfoClassMember('label-Mode__config-ldp-lbl', REFERENCE_CLASS, 'LabelMode__ConfigLdpLbl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl', 
                [], [], 
                '''                ''',
                'label_mode__config_ldp_lbl',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Logging.Password.Configuration' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Logging.Password.Configuration',
            False, 
            [
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                Messages per minute
                ''',
                'rate_limit',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'configuration',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Logging.Password.Rollover' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Logging.Password.Rollover',
            False, 
            [
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                Messages per minute
                ''',
                'rate_limit',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'rollover',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Logging.Password' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Logging.Password',
            False, 
            [
            _MetaInfoClassMember('configuration', REFERENCE_CLASS, 'Configuration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Logging.Password.Configuration', 
                [], [], 
                '''                Log LDP password configuration changes
                ''',
                'configuration',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('rollover', REFERENCE_CLASS, 'Rollover' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Logging.Password.Rollover', 
                [], [], 
                '''                Log LDP password rollover events
                ''',
                'rollover',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Logging',
            False, 
            [
            _MetaInfoClassMember('neighbor-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log LDP neighbor state changes
                ''',
                'neighbor_changes',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Logging.Password', 
                [], [], 
                '''                Log LDP password events
                ''',
                'password',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels',
            False, 
            [
            _MetaInfoClassMember('accept', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify label bindings to accept
                ''',
                'accept',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [b'[a-zA-Z].*'], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldp':'ldp',
            'tdp':'tdp',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'targeted',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('implicit-withdraw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable LDP Implicit Withdraw Label
                ''',
                'implicit_withdraw',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels', 
                [], [], 
                '''                Configure label binding exchange controls
                ''',
                'labels',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('targeted', REFERENCE_CLASS, 'Targeted' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted', 
                [], [], 
                '''                Establish targeted session
                ''',
                'targeted',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'neighbor-content',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Labels' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Labels',
            False, 
            [
            _MetaInfoClassMember('accept', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify label bindings to accept
                ''',
                'accept',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Password' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [b'[a-zA-Z].*'], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Targeted.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ldp':'ldp',
            'tdp':'tdp',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Targeted' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Targeted',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Targeted.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'targeted',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('implicit-withdraw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable LDP Implicit Withdraw Label
                ''',
                'implicit_withdraw',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Labels', 
                [], [], 
                '''                Configure label binding exchange controls
                ''',
                'labels',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('targeted', REFERENCE_CLASS, 'Targeted' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Targeted', 
                [], [], 
                '''                Establish targeted session
                ''',
                'targeted',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'neighbor-content',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding instance name
                ''',
                'vrf_name',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('neighbor-content', REFERENCE_LIST, 'NeighborContent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent', 
                [], [], 
                '''                Configure neighbor parameters
                ''',
                'neighbor_content',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Neighbor.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Neighbor.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Neighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-content', REFERENCE_LIST, 'NeighborContent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent', 
                [], [], 
                '''                Configure neighbor parameters
                ''',
                'neighbor_content',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Password.Fallback.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Password.Fallback.KeyChain',
            False, 
            [
            _MetaInfoClassMember('LINE', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                help
                ''',
                'line',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Password.Fallback' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Password.Fallback',
            False, 
            [
            _MetaInfoClassMember('encryption-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'encryption_type',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Password.Fallback.KeyChain', 
                [], [], 
                '''                Specifies a key-chain name will follow
                ''',
                'key_chain',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('LINE', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'line',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'fallback',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line.KeyChain',
            False, 
            [
            _MetaInfoClassMember('LINE', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                help
                ''',
                'line',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IP standard access-list for LDP peers; name or number (1-99)
                ''',
                'acl_name',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('encryption-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'encryption_type',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line.KeyChain', 
                [], [], 
                '''                Specifies a key-chain name will follow
                ''',
                'key_chain',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('LINE', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'line',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'LINE',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_',
            False, 
            [
            _MetaInfoClassMember('LINE', REFERENCE_LIST, 'Line' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line', 
                [], [], 
                '''                ''',
                'line',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'for',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Password.Option.SeqNum' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Password.Option.SeqNum',
            False, 
            [
            _MetaInfoClassMember('seq-num', ATTRIBUTE, 'int' , None, None, 
                [('1', '32767')], [], 
                '''                Sequence number of the LDP password option
                ''',
                'seq_num',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('for', REFERENCE_CLASS, 'For_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_', 
                [], [], 
                '''                IP access-list specifying control on LDP peers
                ''',
                'for_',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'seq-num',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Password.Option' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Password.Option',
            False, 
            [
            _MetaInfoClassMember('seq-num', REFERENCE_LIST, 'SeqNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Password.Option.SeqNum', 
                [], [], 
                '''                ''',
                'seq_num',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Password.Required' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Password.Required',
            False, 
            [
            _MetaInfoClassMember('for', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IP access-list specifying control on LDP peers
                ''',
                'for_',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'required',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Password.Rollover' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Password.Rollover',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Configure LDP password rollover duration in minutes
                ''',
                'duration',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'rollover',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Password' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Password',
            False, 
            [
            _MetaInfoClassMember('fallback', REFERENCE_CLASS, 'Fallback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Password.Fallback', 
                [], [], 
                '''                Specifies a fallback password will follow
                ''',
                'fallback',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Password.Option', 
                [], [], 
                '''                LDP password options
                ''',
                'option',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('required', REFERENCE_CLASS, 'Required' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Password.Required', 
                [], [], 
                '''                MD5 password is required for the peer
                ''',
                'required',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('rollover', REFERENCE_CLASS, 'Rollover' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Password.Rollover', 
                [], [], 
                '''                LDP password rollover parameters
                ''',
                'rollover',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RequestLabels' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RequestLabels',
            False, 
            [
            _MetaInfoClassMember('for', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access list to specify acceptable downstream on demand destinations
                ''',
                'for_',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'request-labels',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('force', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Forcibly change the LDP router id
                ''',
                'force',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('force', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Forcibly change the LDP router id
                ''',
                'force',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding instance name
                ''',
                'vrf_name',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.RouterId' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.RouterId',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Interface', 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'router-id',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Tcp' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Tcp',
            False, 
            [
            _MetaInfoClassMember('pak-priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set (local) priority for LDP session TCP connection
                ''',
                'pak_priority',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'tcp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback.KeyChain',
            False, 
            [
            _MetaInfoClassMember('LINE', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                help
                ''',
                'line',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback',
            False, 
            [
            _MetaInfoClassMember('encryption-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'encryption_type',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback.KeyChain', 
                [], [], 
                '''                Specifies a key-chain name will follow
                ''',
                'key_chain',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('LINE', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'line',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'fallback',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line.KeyChain',
            False, 
            [
            _MetaInfoClassMember('LINE', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                help
                ''',
                'line',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IP standard access-list for LDP peers; name or number (1-99)
                ''',
                'acl_name',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('encryption-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'encryption_type',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line.KeyChain', 
                [], [], 
                '''                Specifies a key-chain name will follow
                ''',
                'key_chain',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('LINE', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'line',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'LINE',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_',
            False, 
            [
            _MetaInfoClassMember('LINE', REFERENCE_LIST, 'Line' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line', 
                [], [], 
                '''                ''',
                'line',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'for',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum',
            False, 
            [
            _MetaInfoClassMember('seq-num', ATTRIBUTE, 'int' , None, None, 
                [('1', '32767')], [], 
                '''                Sequence number of the LDP password option
                ''',
                'seq_num',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('for', REFERENCE_CLASS, 'For_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_', 
                [], [], 
                '''                IP access-list specifying control on LDP peers
                ''',
                'for_',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'seq-num',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option',
            False, 
            [
            _MetaInfoClassMember('seq-num', REFERENCE_LIST, 'SeqNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum', 
                [], [], 
                '''                ''',
                'seq_num',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'option',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Required' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Required',
            False, 
            [
            _MetaInfoClassMember('for', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IP access-list specifying control on LDP peers
                ''',
                'for_',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'required',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Rollover' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Rollover',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Configure LDP password rollover duration in minutes
                ''',
                'duration',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'rollover',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password',
            False, 
            [
            _MetaInfoClassMember('fallback', REFERENCE_CLASS, 'Fallback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback', 
                [], [], 
                '''                Specifies a fallback password will follow
                ''',
                'fallback',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('option', REFERENCE_CLASS, 'Option' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option', 
                [], [], 
                '''                LDP password options
                ''',
                'option',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('required', REFERENCE_CLASS, 'Required' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Required', 
                [], [], 
                '''                MD5 password is required for the peer
                ''',
                'required',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('rollover', REFERENCE_CLASS, 'Rollover' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Rollover', 
                [], [], 
                '''                LDP password rollover parameters
                ''',
                'rollover',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf.Vrf_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf.Vrf_',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding instance name
                ''',
                'vrf_name',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password', 
                [], [], 
                '''                Configure LDP MD5 password
                ''',
                'password',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf.Vrf_', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Enable2' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Enable2',
            False, 
            [
            _MetaInfoClassMember('advertise-labels', REFERENCE_CLASS, 'AdvertiseLabels' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.AdvertiseLabels', 
                [], [], 
                '''                Label advertisements
                ''',
                'advertise_labels',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('atm', REFERENCE_CLASS, 'Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Atm', 
                [], [], 
                '''                Configure ATM MPLS options
                ''',
                'atm',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('backoff', REFERENCE_CLASS, 'Backoff' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Backoff', 
                [], [], 
                '''                Set LDP session backoff parameters
                ''',
                'backoff',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('discovery', REFERENCE_CLASS, 'Discovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Discovery', 
                [], [], 
                '''                LDP discovery
                ''',
                'discovery',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('entropy-label', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Entropy Label for LDP
                ''',
                'entropy_label',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('explicit-null', REFERENCE_CLASS, 'ExplicitNull' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.ExplicitNull', 
                [], [], 
                '''                Advertise Explicit Null label in place of Implicit Null
                ''',
                'explicit_null',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.GracefulRestart', 
                [], [], 
                '''                Configure Graceful Restart timers
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('15', '2147483')], [], 
                '''                LDP session holdtime
                ''',
                'holdtime',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('igp', REFERENCE_CLASS, 'Igp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Igp', 
                [], [], 
                '''                Configure IGP-related LDP parameters
                ''',
                'igp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Label', 
                [], [], 
                '''                LDP label mode
                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Logging', 
                [], [], 
                '''                Enable LDP logging
                ''',
                'logging',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('loop-detection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable LDP Loop Detection
                ''',
                'loop_detection',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('maxhops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Limit hop count for LDP LSP setup
                ''',
                'maxhops',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('neighbor', REFERENCE_CLASS, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Neighbor', 
                [], [], 
                '''                ''',
                'neighbor',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('nsr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Non Stop Routing for LDP
                ''',
                'nsr',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Password', 
                [], [], 
                '''                Configure LDP MD5 password
                ''',
                'password',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('request-labels', REFERENCE_CLASS, 'RequestLabels' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RequestLabels', 
                [], [], 
                '''                Access list to specify valid downstream on demand destinations.
                ''',
                'request_labels',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('router-id', REFERENCE_CLASS, 'RouterId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.RouterId', 
                [], [], 
                '''                Select interface to prefer for LDP identifier address
                ''',
                'router_id',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tcp', REFERENCE_CLASS, 'Tcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Tcp', 
                [], [], 
                '''                Set TCP parameters for LDP
                ''',
                'tcp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'enable2',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Session.Protection.Duration' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Session.Protection.Duration',
            False, 
            [
            _MetaInfoClassMember('holdup-time', ATTRIBUTE, 'int' , None, None, 
                [('30', '2147483')], [], 
                '''                Holdup time in seconds
                ''',
                'holdup_time',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('infinite', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Protect session forever after loss of link discovery
                ''',
                'infinite',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'duration',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Session.Protection.For_.AclName.Duration' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Session.Protection.For_.AclName.Duration',
            False, 
            [
            _MetaInfoClassMember('holdup-time', ATTRIBUTE, 'int' , None, None, 
                [('30', '2147483')], [], 
                '''                Holdup time in seconds
                ''',
                'holdup_time',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('infinite', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Protect session forever after loss of link discovery
                ''',
                'infinite',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'duration',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Session.Protection.For_.AclName' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Session.Protection.For_.AclName',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IP access-list for LDP peers; name or number (1-99)
                ''',
                'acl_name',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('duration', REFERENCE_CLASS, 'Duration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Session.Protection.For_.AclName.Duration', 
                [], [], 
                '''                Period to sustain session protection after loss of link discovery
                ''',
                'duration',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'acl-name',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Session.Protection.For_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Session.Protection.For_',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_LIST, 'AclName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Session.Protection.For_.AclName', 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'for',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName.Duration' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName.Duration',
            False, 
            [
            _MetaInfoClassMember('holdup-time', ATTRIBUTE, 'int' , None, None, 
                [('30', '2147483')], [], 
                '''                Holdup time in seconds
                ''',
                'holdup_time',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('infinite', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Protect session forever after loss of link discovery
                ''',
                'infinite',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'duration',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IP access-list for LDP peers; name or number (1-99)
                ''',
                'acl_name',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('duration', REFERENCE_CLASS, 'Duration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName.Duration', 
                [], [], 
                '''                Period to sustain session protection after loss of link discovery
                ''',
                'duration',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'acl-name',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_LIST, 'AclName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName', 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'for',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding instance name
                ''',
                'vrf_name',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('for', REFERENCE_CLASS, 'For_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_', 
                [], [], 
                '''                Access-list to specify LDP peers
                ''',
                'for_',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Session.Protection.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Session.Protection.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Session.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Session.Protection',
            False, 
            [
            _MetaInfoClassMember('duration', REFERENCE_CLASS, 'Duration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Session.Protection.Duration', 
                [], [], 
                '''                Period to sustain session protection after loss of link discovery
                ''',
                'duration',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('for', REFERENCE_CLASS, 'For_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Session.Protection.For_', 
                [], [], 
                '''                Access-list to specify LDP peers
                ''',
                'for_',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Session.Protection.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding instance name
                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp.Session' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp.Session',
            False, 
            [
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Session.Protection', 
                [], [], 
                '''                Configure session protection parameters
                ''',
                'protection',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Ldp',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable', 
                [], [], 
                '''                ''',
                'enable',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('enable2', REFERENCE_CLASS, 'Enable2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Enable2', 
                [], [], 
                '''                ''',
                'enable2',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp.Session', 
                [], [], 
                '''                Configure session parameters
                ''',
                'session',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.PrefixMap' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.PrefixMap',
            False, 
            [
            _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Configure access-list for this prefix-map
                ''',
                'access_list',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('cos-map', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Configure cos-map for this prefix-map
                ''',
                'cos_map',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('nr', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'nr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'prefix-map',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Static.Binding.Ipv4.Global_.Input' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Static.Binding.Ipv4.Global_.Input',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Static.Binding.Ipv4.Global_.Output.LabelEnum' : _MetaInfoEnum('LabelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
            'implicit-null':'implicit_null',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Mpls.Static.Binding.Ipv4.Global_.Output' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Static.Binding.Ipv4.Global_.Output',
            False, 
            [
            _MetaInfoClassMember('dst-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'dst_next_hop',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'label',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('label', REFERENCE_ENUM_CLASS, 'Native.Mpls.Static.Binding.Ipv4.Vrf.Output.LabelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Static.Binding.Ipv4.Vrf.Output.LabelEnum', 
                        [], [], 
                        '''                        ''',
                        'label',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Static.Binding.Ipv4.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Static.Binding.Ipv4.Global_',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Static.Binding.Ipv4.Global_.Input', 
                [], [], 
                '''                Incoming (local) label
                ''',
                'input',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Static.Binding.Ipv4.Global_.Output', 
                [], [], 
                '''                Outgoing (remote) label
                ''',
                'output',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Static.Binding.Ipv4.Vrf.Input' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Static.Binding.Ipv4.Vrf.Input',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Static.Binding.Ipv4.Vrf.Output.LabelEnum' : _MetaInfoEnum('LabelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
            'implicit-null':'implicit_null',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Mpls.Static.Binding.Ipv4.Vrf.Output' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Static.Binding.Ipv4.Vrf.Output',
            False, 
            [
            _MetaInfoClassMember('dst-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'dst_next_hop',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'label',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('label', REFERENCE_ENUM_CLASS, 'Native.Mpls.Static.Binding.Ipv4.Vrf.Output.LabelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Static.Binding.Ipv4.Vrf.Output.LabelEnum', 
                        [], [], 
                        '''                        ''',
                        'label',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Static.Binding.Ipv4.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Static.Binding.Ipv4.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Static.Binding.Ipv4.Vrf.Input', 
                [], [], 
                '''                Incoming (local) label
                ''',
                'input',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Static.Binding.Ipv4.Vrf.Output', 
                [], [], 
                '''                Outgoing (remote) label
                ''',
                'output',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Static.Binding.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Static.Binding.Ipv4',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_LIST, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Static.Binding.Ipv4.Global_', 
                [], [], 
                '''                ''',
                'global_',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Static.Binding.Ipv4.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Static.Binding' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Static.Binding',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Static.Binding.Ipv4', 
                [], [], 
                '''                Bind IPv4 destination with label
                ''',
                'ipv4',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'binding',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Static' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Static',
            False, 
            [
            _MetaInfoClassMember('binding', REFERENCE_CLASS, 'Binding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Static.Binding', 
                [], [], 
                '''                Establish static label bindings
                ''',
                'binding',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoBw.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoBw.Timers',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                Interval between auto-bw data collection
                ''',
                'frequency',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoBw' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoBw',
            False, 
            [
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoBw.Timers', 
                [], [], 
                '''                Enable auto-bw Timers Collection and Application
                ''',
                'timers',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'auto-bw',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity.AffVal' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity.AffVal',
            False, 
            [
            _MetaInfoClassMember('aff-val', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                <0x0-0xFFFFFFFF>;;affinity value
                ''',
                'aff_val',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                mask on desired link attributes
                ''',
                'mask',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'aff-val',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity',
            False, 
            [
            _MetaInfoClassMember('aff-val', REFERENCE_LIST, 'AffVal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity.AffVal', 
                [], [], 
                '''                ''',
                'aff_val',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface',
            False, 
            [
            _MetaInfoClassMember('controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Telecom-Bus Clock Controller
                ''',
                'controller',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual ACR interface
                ''',
                'interface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Tunnel interface number
                ''',
                'tunnel',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Tunnel-tp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel-tp interface number
                ''',
                'tunnel_tp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                vasileft interface number
                ''',
                'vasileft',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                vasiright interface number
                ''',
                'vasiright',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '31')], [], 
                '''                VirtualPortGroup interface number
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan interface number
                ''',
                'vlan',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('VPN', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                VPN interface number
                ''',
                'vpn',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'unnumbered-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup.Config' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup.Config',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity', 
                [], [], 
                '''                desired link attributes for links comprising tunnel
                ''',
                'affinity',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('unnumbered-interface', REFERENCE_CLASS, 'UnnumberedInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface', 
                [], [], 
                '''                Configure the interface to use for unnumbered
                ''',
                'unnumbered_interface',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg.Exclude' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg.Exclude',
            False, 
            [
            _MetaInfoClassMember('force', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Backup tunnels MUST not use SRLGs of protected interfaces
                ''',
                'force',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('preferred', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Backup tunnels try to avoid using SRLGs of protected interfaces
                ''',
                'preferred',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'exclude',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg',
            False, 
            [
            _MetaInfoClassMember('exclude', REFERENCE_CLASS, 'Exclude' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg.Exclude', 
                [], [], 
                '''                Backup tunnels avoid SRLGs of protected interfaces
                ''',
                'exclude',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'srlg',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal',
            False, 
            [
            _MetaInfoClassMember('unused', ATTRIBUTE, 'int' , None, None, 
                [('0', '604800')], [], 
                '''                seconds between scanning to remove not in use tunnels
                ''',
                'unused',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'removal',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers',
            False, 
            [
            _MetaInfoClassMember('removal', REFERENCE_CLASS, 'Removal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal', 
                [], [], 
                '''                Configure timer for removal of backup tunnel
                ''',
                'removal',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min.TnrRange' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min.TnrRange',
            False, 
            [
            _MetaInfoClassMember('tnr-range', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                starting tunnel number range
                ''',
                'tnr_range',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the ending id-range
                ''',
                'max',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'tnr-range',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min',
            False, 
            [
            _MetaInfoClassMember('tnr-range', REFERENCE_LIST, 'TnrRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min.TnrRange', 
                [], [], 
                '''                ''',
                'tnr_range',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum',
            False, 
            [
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min', 
                [], [], 
                '''                Configure the starting id-range
                ''',
                'min',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'tunnel-num',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Backup',
            False, 
            [
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup.Config', 
                [], [], 
                '''                Config commands to apply to all backup auto-tunnels
                ''',
                'config',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('nhop-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Automatically create n-hop backup tunnels only
                ''',
                'nhop_only',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('srlg', REFERENCE_CLASS, 'Srlg' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg', 
                [], [], 
                '''                Shared Risk Link Groups influence backup tunnel path selection
                ''',
                'srlg',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers', 
                [], [], 
                '''                Configure timers for backup auto-tunnels
                ''',
                'timers',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tunnel-num', REFERENCE_CLASS, 'TunnelNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum', 
                [], [], 
                '''                Configure tunnel I/F numbers for backup auto-tunnels
                ''',
                'tunnel_num',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min.MeshRange' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min.MeshRange',
            False, 
            [
            _MetaInfoClassMember('mesh-range', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                starting tunnel number range
                ''',
                'mesh_range',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the ending id-range
                ''',
                'max',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'mesh-range',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min',
            False, 
            [
            _MetaInfoClassMember('mesh-range', REFERENCE_LIST, 'MeshRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min.MeshRange', 
                [], [], 
                '''                ''',
                'mesh_range',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum',
            False, 
            [
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min', 
                [], [], 
                '''                Configure the starting id-range
                ''',
                'min',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'tunnel-num',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Mesh' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Mesh',
            False, 
            [
            _MetaInfoClassMember('tunnel-num', REFERENCE_CLASS, 'TunnelNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum', 
                [], [], 
                '''                Configure tunnel I/F numbers for mesh auto-tunnels
                ''',
                'tunnel_num',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'mesh',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls_' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls_',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure dynamic MPLS forwarding for ip
                ''',
                'ip',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface',
            False, 
            [
            _MetaInfoClassMember('controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Telecom-Bus Clock Controller
                ''',
                'controller',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual ACR interface
                ''',
                'interface',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Tunnel interface number
                ''',
                'tunnel',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Tunnel-tp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel-tp interface number
                ''',
                'tunnel_tp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                vasileft interface number
                ''',
                'vasileft',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                vasiright interface number
                ''',
                'vasiright',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '31')], [], 
                '''                VirtualPortGroup interface number
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan interface number
                ''',
                'vlan',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('VPN', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                VPN interface number
                ''',
                'vpn',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'unnumbered-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Primary.Config' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Primary.Config',
            False, 
            [
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls_', 
                [], [], 
                '''                Configure dynamic MPLS forwarding
                ''',
                'mpls',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('unnumbered-interface', REFERENCE_CLASS, 'UnnumberedInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface', 
                [], [], 
                '''                Configure the interface to use for unnumbered
                ''',
                'unnumbered_interface',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal',
            False, 
            [
            _MetaInfoClassMember('rerouted', ATTRIBUTE, 'int' , None, None, 
                [('30', '604800')], [], 
                '''                seconds how long auto-tunnel primary can stay frr active
                ''',
                'rerouted',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'removal',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers',
            False, 
            [
            _MetaInfoClassMember('removal', REFERENCE_CLASS, 'Removal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal', 
                [], [], 
                '''                Configure removal of primary tunnels
                ''',
                'removal',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min.TnrRange' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min.TnrRange',
            False, 
            [
            _MetaInfoClassMember('tnr-range', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                starting tunnel number range
                ''',
                'tnr_range',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('max', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure the ending id-range
                ''',
                'max',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'tnr-range',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min',
            False, 
            [
            _MetaInfoClassMember('tnr-range', REFERENCE_LIST, 'TnrRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min.TnrRange', 
                [], [], 
                '''                ''',
                'tnr_range',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum',
            False, 
            [
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min', 
                [], [], 
                '''                Configure the starting id-range
                ''',
                'min',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'tunnel-num',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel.Primary' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel.Primary',
            False, 
            [
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Primary.Config', 
                [], [], 
                '''                Config commands to apply to all primary auto-tunnels
                ''',
                'config',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('onehop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Automatically create tunnel to all next-hops
                ''',
                'onehop',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers', 
                [], [], 
                '''                Configure timers for primary auto-tunnels
                ''',
                'timers',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tunnel-num', REFERENCE_CLASS, 'TunnelNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum', 
                [], [], 
                '''                Configure tunnel I/F numbers for primary auto-tunnels
                ''',
                'tunnel_num',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.AutoTunnel' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.AutoTunnel',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Backup', 
                [], [], 
                '''                Configure auto-tunnel backup tunnel
                ''',
                'backup',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('mesh', REFERENCE_CLASS, 'Mesh' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Mesh', 
                [], [], 
                '''                Automatically create mesh tunnels
                ''',
                'mesh',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel.Primary', 
                [], [], 
                '''                Automatically create one-hop primary tunnels
                ''',
                'primary',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'auto-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.DsTe.BcModel' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.DsTe.BcModel',
            False, 
            [
            _MetaInfoClassMember('mam', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BC Maximum allocation model
                ''',
                'mam',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bc-model',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.DsTe.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.DsTe.Mode',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure DS-TE standard mode
                ''',
                'ietf',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('migration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure DS-TE migration mode
                ''',
                'migration',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass.TeIdx' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass.TeIdx',
            False, 
            [
            _MetaInfoClassMember('te-idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Specify the TE-Class index
                ''',
                'te_idx',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '1')], [], 
                '''                Specify Class-Type value (0 for Global and 1 for Sub-Pool)
                ''',
                'class_type',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('unused', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify that this TE-Class index is unused
                ''',
                'unused',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'te-idx',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass',
            False, 
            [
            _MetaInfoClassMember('te-idx', REFERENCE_LIST, 'TeIdx' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass.TeIdx', 
                [], [], 
                '''                ''',
                'te_idx',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'te-class',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass',
            False, 
            [
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Re-list all the TE-Classes
                ''',
                'list',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('te-class', REFERENCE_CLASS, 'TeClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass', 
                [], [], 
                '''                Configure a TE-Class
                ''',
                'te_class',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'te-Mode__config-te-class',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.DsTe.TeClasses' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.DsTe.TeClasses',
            False, 
            [
            _MetaInfoClassMember('te-Mode__config-te-class', REFERENCE_CLASS, 'TeMode__ConfigTeClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass', 
                [], [], 
                '''                ''',
                'te_mode__config_te_class',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'te-classes',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.DsTe' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.DsTe',
            False, 
            [
            _MetaInfoClassMember('bc-model', REFERENCE_CLASS, 'BcModel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.DsTe.BcModel', 
                [], [], 
                '''                Configure BC model
                ''',
                'bc_model',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.DsTe.Mode', 
                [], [], 
                '''                Configure DS-TE migration mode
                ''',
                'mode',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('te-classes', REFERENCE_CLASS, 'TeClasses' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.DsTe.TeClasses', 
                [], [], 
                '''                Specify TE-Class parameters
                ''',
                'te_classes',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ds-te',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt',
            False, 
            [
            _MetaInfoClassMember('optimize-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reduce bandwidth wastage (default: minimize LSPs preempted)
                ''',
                'optimize_bw',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'backup-prot-preempt',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.FastReroute.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.FastReroute.Timers',
            False, 
            [
            _MetaInfoClassMember('promotion', ATTRIBUTE, 'int' , None, None, 
                [('0', '604800')], [], 
                '''                seconds between promotions (0 disables promotion.)
                ''',
                'promotion',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.FastReroute',
            False, 
            [
            _MetaInfoClassMember('backup-prot-preempt', REFERENCE_CLASS, 'BackupProtPreempt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt', 
                [], [], 
                '''                Preemption algorithm for backup tunnels
                ''',
                'backup_prot_preempt',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.FastReroute.Timers', 
                [], [], 
                '''                configure fast-reroute timer
                ''',
                'timers',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.LinkManagement.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.LinkManagement.Timers',
            False, 
            [
            _MetaInfoClassMember('bandwidth-hold', ATTRIBUTE, 'int' , None, None, 
                [('1', '300')], [], 
                '''                Link Management bandwidth hold timer
                ''',
                'bandwidth_hold',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('periodic-flooding', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Link Management periodic flooding interval
                ''',
                'periodic_flooding',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.LinkManagement' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.LinkManagement',
            False, 
            [
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.LinkManagement.Timers', 
                [], [], 
                '''                Link Management timers configuration
                ''',
                'timers',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'link-management',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Logging.Lsp.PathErrors' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Logging.Lsp.PathErrors',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'path-errors',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Logging.Lsp.Preemption' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Logging.Lsp.Preemption',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'preemption',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Logging.Lsp.ReservationErrors' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Logging.Lsp.ReservationErrors',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'reservation-errors',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Logging.Lsp.Setups' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Logging.Lsp.Setups',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'setups',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Logging.Lsp.Teardowns' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Logging.Lsp.Teardowns',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'teardowns',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Logging.Lsp' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Logging.Lsp',
            False, 
            [
            _MetaInfoClassMember('path-errors', REFERENCE_CLASS, 'PathErrors' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Logging.Lsp.PathErrors', 
                [], [], 
                '''                Log LSP Path Error traps
                ''',
                'path_errors',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('preemption', REFERENCE_CLASS, 'Preemption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Logging.Lsp.Preemption', 
                [], [], 
                '''                Log LSP Preemption traps
                ''',
                'preemption',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('reservation-errors', REFERENCE_CLASS, 'ReservationErrors' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Logging.Lsp.ReservationErrors', 
                [], [], 
                '''                Log LSP Reservation Error traps
                ''',
                'reservation_errors',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('setups', REFERENCE_CLASS, 'Setups' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Logging.Lsp.Setups', 
                [], [], 
                '''                Log LSP Establishment Traps
                ''',
                'setups',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('teardowns', REFERENCE_CLASS, 'Teardowns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Logging.Lsp.Teardowns', 
                [], [], 
                '''                Log LSP Teardown Traps
                ''',
                'teardowns',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'lsp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Logging.Tunnel.LspSelection' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Logging.Tunnel.LspSelection',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'lsp-selection',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Logging.Tunnel.Path.Change' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Logging.Tunnel.Path.Change',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-mpls', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-mpls', False),
                ]),
            ],
            'Cisco-IOS-XE-mpls',
            'change',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Logging.Tunnel.Path' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Logging.Tunnel.Path',
            False, 
            [
            _MetaInfoClassMember('change', REFERENCE_CLASS, 'Change' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Logging.Tunnel.Path.Change', 
                [], [], 
                '''                Log Tunnel Path change traps
                ''',
                'change',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Logging.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Logging.Tunnel',
            False, 
            [
            _MetaInfoClassMember('lsp-selection', REFERENCE_CLASS, 'LspSelection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Logging.Tunnel.LspSelection', 
                [], [], 
                '''                Log Tunnel LSP Selection traps
                ''',
                'lsp_selection',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Logging.Tunnel.Path', 
                [], [], 
                '''                Log Tunnel Path-related traps
                ''',
                'path',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Logging',
            False, 
            [
            _MetaInfoClassMember('lsp', REFERENCE_CLASS, 'Lsp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Logging.Lsp', 
                [], [], 
                '''                LSP-specific traps logging configuration
                ''',
                'lsp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Logging.Tunnel', 
                [], [], 
                '''                Tunnel-specific traps logging configuration
                ''',
                'tunnel',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity.FlVal' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity.FlVal',
            False, 
            [
            _MetaInfoClassMember('fl-val', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                <0x0-0xFFFFFFFF>;;affinity value
                ''',
                'fl_val',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                mask on desired link attributes
                ''',
                'mask',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'fl-val',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity',
            False, 
            [
            _MetaInfoClassMember('fl-val', REFERENCE_LIST, 'FlVal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity.FlVal', 
                [], [], 
                '''                ''',
                'fl_val',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.AutoBw' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.AutoBw',
            False, 
            [
            _MetaInfoClassMember('adjustment-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                Percent bandwidth change to trigger adjustment
                ''',
                'adjustment_threshold',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('collect-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Just collect bandwidth info
                ''',
                'collect_bw',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('300', '604800')], [], 
                '''                seconds between applying auto-bw
                ''',
                'frequency',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('max-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum bandwidth to apply (kbps)
                ''',
                'max_bw',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('min-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum bandwidth to apply (kbps)
                ''',
                'min_bw',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('overflow-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                Number of consecutive samples exceeding threshold
                ''',
                'overflow_limit',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'auto-bw',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Bandwidth' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('bnd-kbp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bandwidth requirement in kbps
                ''',
                'bnd_kbp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('sub-pool', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                bandwidth requirement in kbps
                ''',
                'sub_pool',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority.LssPri' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority.LssPri',
            False, 
            [
            _MetaInfoClassMember('lss-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                setup priority
                ''',
                'lss_pri',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('lss-pri0', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                hold priority
                ''',
                'lss_pri0',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'lss-pri',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority',
            False, 
            [
            _MetaInfoClassMember('lss-pri', REFERENCE_LIST, 'LssPri' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority.LssPri', 
                [], [], 
                '''                ''',
                'lss_pri',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection.FastReroute',
            False, 
            [
            _MetaInfoClassMember('bw-protect', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BW protection
                ''',
                'bw_protect',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection',
            False, 
            [
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection.FastReroute', 
                [], [], 
                '''                Enable fast-reroute failure protection
                ''',
                'fast_reroute',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity', 
                [], [], 
                '''                Specify attribute flags for links comprising LSP
                ''',
                'affinity',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('auto-bw', REFERENCE_CLASS, 'AutoBw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.AutoBw', 
                [], [], 
                '''                Specify automatic bandwidth configuration
                ''',
                'auto_bw',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Bandwidth', 
                [], [], 
                '''                Specify LSP bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Re-list all of the attribute list entries
                ''',
                'list',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('lockdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lockdown the LSP--disable reoptimization
                ''',
                'lockdown',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority', 
                [], [], 
                '''                Specify LSP priority
                ''',
                'priority',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection', 
                [], [], 
                '''                Enable failure protection
                ''',
                'protection',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Record the route used by the LSP
                ''',
                'record_route',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'flag-Mode__config-lsp-attr',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Lsp.Attributes' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Lsp.Attributes',
            False, 
            [
            _MetaInfoClassMember('lsp-att', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of LSP attribute list
                ''',
                'lsp_att',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('flag-Mode__config-lsp-attr', REFERENCE_CLASS, 'FlagMode__ConfigLspAttr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr', 
                [], [], 
                '''                ''',
                'flag_mode__config_lsp_attr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Lsp' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Lsp',
            False, 
            [
            _MetaInfoClassMember('attributes', REFERENCE_LIST, 'Attributes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Lsp.Attributes', 
                [], [], 
                '''                Configure LSP attributes
                ''',
                'attributes',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'lsp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.PathOption.List.Identifier' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.PathOption.List.Identifier',
            False, 
            [
            _MetaInfoClassMember('po-num', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Enter number
                ''',
                'po_num',
                'Cisco-IOS-XE-mpls', True),
            ],
            'Cisco-IOS-XE-mpls',
            'identifier',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.PathOption.List.Name' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.PathOption.List.Name',
            False, 
            [
            _MetaInfoClassMember('spo-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter name
                ''',
                'spo_name',
                'Cisco-IOS-XE-mpls', True),
            ],
            'Cisco-IOS-XE-mpls',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.PathOption.List' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.PathOption.List',
            False, 
            [
            _MetaInfoClassMember('identifier', REFERENCE_LIST, 'Identifier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.PathOption.List.Identifier', 
                [], [], 
                '''                Specify path-option list by number
                ''',
                'identifier',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.PathOption.List.Name', 
                [], [], 
                '''                Specify path-option list by name
                ''',
                'name',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.PathOption' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.PathOption',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.PathOption.List', 
                [], [], 
                '''                Configure path-option list
                ''',
                'list',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'path-option',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.PathSelection.Invalidation' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.PathSelection.Invalidation',
            False, 
            [
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop Tunnel Traffic
                ''',
                'drop',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '60000')], [], 
                '''                Enter path invalidation timer value in milliseconds
                ''',
                'value',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'invalidation',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.PathSelection.Overload.Allow' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.PathSelection.Overload.Allow',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow overloaded head node in TE CSPF
                ''',
                'head',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('middle', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow overloaded middle node in TE CSPF
                ''',
                'middle',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow overloaded middle node in TE CSPF
                ''',
                'tail',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'allow',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.PathSelection.Overload' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.PathSelection.Overload',
            False, 
            [
            _MetaInfoClassMember('allow', REFERENCE_CLASS, 'Allow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.PathSelection.Overload.Allow', 
                [], [], 
                '''                Allow overloaded nodes in CSPFs
                ''',
                'allow',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'overload',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.PathSelection.MetricEnum' : _MetaInfoEnum('MetricEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'igp':'igp',
            'te':'te',
        }, 'Cisco-IOS-XE-mpls', _yang_ns._namespaces['Cisco-IOS-XE-mpls']),
    'Native.Mpls.TrafficEng.PathSelection' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.PathSelection',
            False, 
            [
            _MetaInfoClassMember('invalidation', REFERENCE_CLASS, 'Invalidation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.PathSelection.Invalidation', 
                [], [], 
                '''                Path invalidation configuration
                ''',
                'invalidation',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('metric', REFERENCE_ENUM_CLASS, 'MetricEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.PathSelection.MetricEnum', 
                [], [], 
                '''                Metric Type Configuration
                ''',
                'metric',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('overload', REFERENCE_CLASS, 'Overload' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.PathSelection.Overload', 
                [], [], 
                '''                Overload Node Configuration
                ''',
                'overload',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'path-selection',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password',
            False, 
            [
            _MetaInfoClassMember('clear', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Unencrypted password: <password text> | <keychain name>
                ''',
                'clear',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('encrypted', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Hidden password: <password text> | <keychain name>
                ''',
                'encrypted',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Pcc.Peer.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Pcc.Peer.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server IPv4 address
                ''',
                'ipv4',
                'Cisco-IOS-XE-mpls', True),
            _MetaInfoClassMember('keychain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use key-chain: <password text> | <keychain name>
                ''',
                'keychain',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password', 
                [], [], 
                '''                Configure PCE MD5 pasword
                ''',
                'password',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify Precedence for this PCE (default is 0)
                ''',
                'precedence',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source IPv4 address to use
                ''',
                'source',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Pcc.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Pcc.Peer',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Pcc.Peer.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Pcc' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Pcc',
            False, 
            [
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Pcc.Peer', 
                [], [], 
                '''                Specify a PCEP peer
                ''',
                'peer',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('report-all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force reporting of all MPLS-TE LSPs
                ''',
                'report_all',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'pcc',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Reoptimize.Events' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Reoptimize.Events',
            False, 
            [
            _MetaInfoClassMember('link-up', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reoptimize tunnels on link up events
                ''',
                'link_up',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'events',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Reoptimize.Timers.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Reoptimize.Timers.Delay',
            False, 
            [
            _MetaInfoClassMember('cleanup', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                Delay cleanup of reoptimized LSP
                ''',
                'cleanup',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('installation', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Delay replacement of current LSP by reoptimized LSP
                ''',
                'installation',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Reoptimize.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Reoptimize.Timers',
            False, 
            [
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Reoptimize.Timers.Delay', 
                [], [], 
                '''                Delay reoptimization action
                ''',
                'delay',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '604800')], [], 
                '''                Interval between reoptimization scans
                ''',
                'frequency',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Reoptimize' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Reoptimize',
            False, 
            [
            _MetaInfoClassMember('events', REFERENCE_CLASS, 'Events' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Reoptimize.Events', 
                [], [], 
                '''                Reoptimization triggers
                ''',
                'events',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Reoptimize.Timers', 
                [], [], 
                '''                Reoptimization timers
                ''',
                'timers',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'reoptimize',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Signalling.Advertise.ImplicitNull' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Signalling.Advertise.ImplicitNull',
            False, 
            [
            _MetaInfoClassMember('nr', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'nr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'implicit-null',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Signalling.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Signalling.Advertise',
            False, 
            [
            _MetaInfoClassMember('implicit-null', REFERENCE_CLASS, 'ImplicitNull' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Signalling.Advertise.ImplicitNull', 
                [], [], 
                '''                Use MPLS encoding for Implicit-Null Label in signalling messages
                ''',
                'implicit_null',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Signalling.Forwarding' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Signalling.Forwarding',
            False, 
            [
            _MetaInfoClassMember('sync', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Program linecard LFIBs before signalling LSP label upstream
                ''',
                'sync',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'forwarding',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Signalling.Restart.Neighbors' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Signalling.Restart.Neighbors',
            False, 
            [
            _MetaInfoClassMember('nr', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'nr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Signalling.Restart' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Signalling.Restart',
            False, 
            [
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Signalling.Restart.Neighbors', 
                [], [], 
                '''                Identify signalling restart capable neighbors
                ''',
                'neighbors',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'restart',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Signalling' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Signalling',
            False, 
            [
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Signalling.Advertise', 
                [], [], 
                '''                Signalling advertisement parameters
                ''',
                'advertise',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('forwarding', REFERENCE_CLASS, 'Forwarding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Signalling.Forwarding', 
                [], [], 
                '''                Control interaction of LSP signalling and LFIB maintenance
                ''',
                'forwarding',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('restart', REFERENCE_CLASS, 'Restart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Signalling.Restart', 
                [], [], 
                '''                Signalling restart parameters
                ''',
                'restart',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'signalling',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Topology.Holddown' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Topology.Holddown',
            False, 
            [
            _MetaInfoClassMember('sigerr', ATTRIBUTE, 'int' , None, None, 
                [('0', '300')], [], 
                '''                Link hold down time for signalling errors
                ''',
                'sigerr',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'holddown',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Topology',
            False, 
            [
            _MetaInfoClassMember('holddown', REFERENCE_CLASS, 'Holddown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Topology.Holddown', 
                [], [], 
                '''                Topology Database hold down timers
                ''',
                'holddown',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Trace.BufferSize' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Trace.BufferSize',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                trace error buffer size in kB (default 32kB)
                ''',
                'error',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('event', ATTRIBUTE, 'int' , None, None, 
                [('1', '2500')], [], 
                '''                trace event buffer size in kB (default 1% of system memory)
                ''',
                'event',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('warning', ATTRIBUTE, 'int' , None, None, 
                [('1', '250')], [], 
                '''                trace warning buffer size in kB (default 32kB)
                ''',
                'warning',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng.Trace' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng.Trace',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Trace.BufferSize', 
                [], [], 
                '''                Trace buffer size configuration
                ''',
                'buffer_size',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'trace',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('auto-bw', REFERENCE_CLASS, 'AutoBw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoBw', 
                [], [], 
                '''                auto-bw parameters
                ''',
                'auto_bw',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('auto-tunnel', REFERENCE_CLASS, 'AutoTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.AutoTunnel', 
                [], [], 
                '''                Configure automatic TE tunnels
                ''',
                'auto_tunnel',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ds-te', REFERENCE_CLASS, 'DsTe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.DsTe', 
                [], [], 
                '''                Configure standard DS-TE parameters
                ''',
                'ds_te',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.FastReroute', 
                [], [], 
                '''                fast-reroute parameters
                ''',
                'fast_reroute',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('link-management', REFERENCE_CLASS, 'LinkManagement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.LinkManagement', 
                [], [], 
                '''                Link Management configuration
                ''',
                'link_management',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Logging', 
                [], [], 
                '''                Trap logging configuration
                ''',
                'logging',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('lsp', REFERENCE_CLASS, 'Lsp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Lsp', 
                [], [], 
                '''                Configure LSP parameters
                ''',
                'lsp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('nsr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                TE NSR configuration
                ''',
                'nsr',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('path-option', REFERENCE_CLASS, 'PathOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.PathOption', 
                [], [], 
                '''                Configure path-option
                ''',
                'path_option',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('path-selection', REFERENCE_CLASS, 'PathSelection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.PathSelection', 
                [], [], 
                '''                Path Selection Configuration
                ''',
                'path_selection',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('pcc', REFERENCE_CLASS, 'Pcc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Pcc', 
                [], [], 
                '''                Path Computation Client form MPLS-TE
                ''',
                'pcc',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('reoptimize', REFERENCE_CLASS, 'Reoptimize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Reoptimize', 
                [], [], 
                '''                Reoptimization parameters
                ''',
                'reoptimize',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('signalling', REFERENCE_CLASS, 'Signalling' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Signalling', 
                [], [], 
                '''                Traffic Engineering Signalling Parameters
                ''',
                'signalling',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Topology', 
                [], [], 
                '''                Topology Database Configuration
                ''',
                'topology',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('trace', REFERENCE_CLASS, 'Trace' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng.Trace', 
                [], [], 
                '''                Trace configuration
                ''',
                'trace',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tunnels', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Traffic Engineering tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-mpls',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls.Tp' : {
        'meta_info' : _MetaInfoClass('Native.Mpls.Tp',
            False, 
            [
            ],
            'Cisco-IOS-XE-mpls',
            'tp',
            _yang_ns._namespaces['Cisco-IOS-XE-mpls'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Mpls',
            False, 
            [
            _MetaInfoClassMember('atm', REFERENCE_CLASS, 'Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Atm', 
                [], [], 
                '''                Configure ATM options
                ''',
                'atm',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('cos-map', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Configure MPLS CoS ATM Multi-VC CoS Map
                ''',
                'cos_map',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ip', 
                [], [], 
                '''                Dynamic MPLS forwarding for IP
                ''',
                'ip',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('label', REFERENCE_CLASS, 'Label' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Label', 
                [], [], 
                '''                Label properties
                ''',
                'label',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Ldp', 
                [], [], 
                '''                Label Distribution Protocol
                ''',
                'ldp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('prefix-map', REFERENCE_CLASS, 'PrefixMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.PrefixMap', 
                [], [], 
                '''                Configure MPLS CoS Tag-VC Multi-VC Prefix Map
                ''',
                'prefix_map',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Static', 
                [], [], 
                '''                MPLS static application
                ''',
                'static',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('tp', REFERENCE_CLASS, 'Tp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.Tp', 
                [], [], 
                '''                Configure MPLS Transport Profile parameters
                ''',
                'tp',
                'Cisco-IOS-XE-mpls', False),
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls.TrafficEng', 
                [], [], 
                '''                Configure Traffic Engineering parameters
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-mpls', False),
            ],
            'Cisco-IOS-XE-native',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Asnotation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Asnotation',
            False, 
            [
            _MetaInfoClassMember('dot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                asdot notation
                ''',
                'dot',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'asnotation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.NopeerupDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.NopeerupDelay',
            False, 
            [
            _MetaInfoClassMember('cold-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'cold_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nsf-switchover', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'nsf_switchover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('post-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'post_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('user-initiated', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'user_initiated',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nopeerup-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Recursion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Recursion',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                recursion via host for the nexthops
                ''',
                'host',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'recursion',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Backup',
            False, 
            [
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.BestExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Select.BestExternal',
            False, 
            [
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-external',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Select.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Select' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Select',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Backup', 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', REFERENCE_CLASS, 'BestExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.BestExternal', 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Select.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'select',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('install', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Additional paths to install into RIB
                ''',
                'install',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('select', REFERENCE_CLASS, 'Select' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Select', 
                [], [], 
                '''                Selection criteria to pick the paths
                ''',
                'select',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to neighbors
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Bestpath.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Bestpath.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore cost communities in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Bestpath.IgpMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Bestpath.IgpMetric',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore igp metric in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Bestpath.Med.Confed' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Bestpath.Med.Confed',
            False, 
            [
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confed',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Bestpath.Med' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Bestpath.Med',
            False, 
            [
            _MetaInfoClassMember('confed', REFERENCE_CLASS, 'Confed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Bestpath.Med.Confed', 
                [], [], 
                '''                Compare MED among confederation paths
                ''',
                'confed',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'med',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Bestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Bestpath',
            False, 
            [
            _MetaInfoClassMember('compare-routerid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'compare_routerid',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Bestpath.CostCommunity', 
                [], [], 
                '''                cost community
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('igp-metric', REFERENCE_CLASS, 'IgpMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Bestpath.IgpMetric', 
                [], [], 
                '''                igp metric
                ''',
                'igp_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', REFERENCE_CLASS, 'Med' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Bestpath.Med', 
                [], [], 
                '''                MED attribute
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.ClientToClient' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.ClientToClient',
            False, 
            [
            _MetaInfoClassMember('reflection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                reflection of routes allowed
                ''',
                'reflection',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'client-to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Confederation.Peers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Confederation.Peers',
            False, 
            [
            _MetaInfoClassMember('peers-as', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'peers_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Confederation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Confederation',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Confederation.Peers', 
                [], [], 
                '''                Peer ASs in BGP confederation
                ''',
                'peers',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confederation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.ConsistencyChecker.AutoRepair' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.ConsistencyChecker.AutoRepair',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'auto-repair',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.ConsistencyChecker.ErrorMessage' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.ConsistencyChecker.ErrorMessage',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'error-message',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.ConsistencyChecker' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.ConsistencyChecker',
            False, 
            [
            _MetaInfoClassMember('auto-repair', REFERENCE_CLASS, 'AutoRepair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.ConsistencyChecker.AutoRepair', 
                [], [], 
                '''                Auto-Repair
                ''',
                'auto_repair',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('error-message', REFERENCE_CLASS, 'ErrorMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.ConsistencyChecker.ErrorMessage', 
                [], [], 
                '''                Log Error-Msg
                ''',
                'error_message',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'consistency-checker',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Dampening.Dampen' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Dampening.Dampen',
            False, 
            [
            _MetaInfoClassMember('half-life-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '45')], [], 
                '''                ''',
                'half_life_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_suppress_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('reuse-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'reuse_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'suppress_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampen',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampen', REFERENCE_CLASS, 'Dampen' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Dampening.Dampen', 
                [], [], 
                '''                ''',
                'dampen',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria for dampening
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Default.RouteTargetEnum' : _MetaInfoEnum('RouteTargetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'filter':'filter',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Bgp_.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Default',
            False, 
            [
            _MetaInfoClassMember('ipv4-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Activate ipv4-unicast for a peer by default
                ''',
                'ipv4_unicast',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-nexthop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default IPv6 nexthop format
                ''',
                'ipv6_nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                local preference (higher=more preferred)
                ''',
                'local_preference',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-target', REFERENCE_ENUM_CLASS, 'RouteTargetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Default.RouteTargetEnum', 
                [], [], 
                '''                Control behavior based on Route-Target attributes
                ''',
                'route_target',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time needed to restart and come back up
                ''',
                'restart_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('stalepath-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time to hold onto restarting peer's stale paths
                ''',
                'stalepath_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perfer BGP High Availability NSR sso mode
                ''',
                'prefer',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.HaMode',
            False, 
            [
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.HaMode.Sso', 
                [], [], 
                '''                BGP High Availability NSR sso mode
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.InjectMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.InjectMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('copy-attributes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy attributes from aggregate
                ''',
                'copy_attributes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Routemap which specifies exist condition
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inject-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.RouteMap',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Have route-map set commands take priority over BGP commands such 
                ''',
                'priority',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable slow-peer detection
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.UpdateGroup.Split' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.UpdateGroup.Split',
            False, 
            [
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep peers with as-override in different update groups
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('split', REFERENCE_CLASS, 'Split' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.UpdateGroup.Split', 
                [], [], 
                '''                Split update groups based on Policy
                ''',
                'split',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Nexthop.Trigger' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Nexthop.Trigger',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the delay to tigger nexthop tracking
                ''',
                'delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable nexthop tracking
                ''',
                'enable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Nexthop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Nexthop',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for valid nexthops
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('trigger', REFERENCE_CLASS, 'Trigger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Nexthop.Trigger', 
                [], [], 
                '''                Nexthop triggering
                ''',
                'trigger',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Regexp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Regexp',
            False, 
            [
            _MetaInfoClassMember('deterministic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable bounded-execution-time regular expression engine
                ''',
                'deterministic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'regexp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_.Transport',
            False, 
            [
            _MetaInfoClassMember('path-mtu-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Bgp_',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.AdditionalPaths', 
                [], [], 
                '''                Additional paths in the BGP table
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best external path to internal peers
                ''',
                'advertise_best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aggregate-timer', ATTRIBUTE, 'int' , None, None, 
                [('6', '60')], [], 
                '''                Timer interval
                ''',
                'aggregate_timer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('always-compare-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow comparing MED from different neighbors
                ''',
                'always_compare_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('asnotation', REFERENCE_CLASS, 'Asnotation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Asnotation', 
                [], [], 
                '''                Change the default asplain notation
                ''',
                'asnotation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bestpath', REFERENCE_CLASS, 'Bestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Bestpath', 
                [], [], 
                '''                Change the default bestpath selection
                ''',
                'bestpath',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('client-to-client', REFERENCE_CLASS, 'ClientToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.ClientToClient', 
                [], [], 
                '''                Configure client to client route reflection
                ''',
                'client_to_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('confederation', REFERENCE_CLASS, 'Confederation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Confederation', 
                [], [], 
                '''                AS confederation parameters
                ''',
                'confederation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('consistency-checker', REFERENCE_CLASS, 'ConsistencyChecker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.ConsistencyChecker', 
                [], [], 
                '''                Consistency-checker
                ''',
                'consistency_checker',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Dampening', 
                [], [], 
                '''                Enable route-flap dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Default', 
                [], [], 
                '''                Configure BGP defaults
                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('deterministic-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pick the best-MED path among paths advertised from the neighboring AS
                ''',
                'deterministic_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DMZ Link Bandwidth as weight for BGP multipaths
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enforce-first-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforce the first AS for EBGP routes(default)
                ''',
                'enforce_first_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enhanced-error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabled BGP Enhanced error handling
                ''',
                'enhanced_error',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fast-external-fallover', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Immediately reset session if a link to a directly connected external peer goes down
                ''',
                'fast_external_fallover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.GracefulRestart', 
                [], [], 
                '''                Graceful restart capability parameters
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.HaMode', 
                [], [], 
                '''                Select BGP High Availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inject-map', REFERENCE_LIST, 'InjectMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.InjectMap', 
                [], [], 
                '''                Routemap which specifies prefixes to inject
                ''',
                'inject_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxas-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Allow AS-PATH attribute from any neighbor imposing a limit on number of ASes
                ''',
                'maxas_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxcommunity-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '1018')], [], 
                '''                Number of communities in the COMMUNITY attribute
                ''',
                'maxcommunity_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Nexthop', 
                [], [], 
                '''                Nexthop tracking commands
                ''',
                'nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nopeerup-delay', REFERENCE_CLASS, 'NopeerupDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.NopeerupDelay', 
                [], [], 
                '''                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                ''',
                'nopeerup_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('recursion', REFERENCE_CLASS, 'Recursion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Recursion', 
                [], [], 
                '''                recursion rule for the nexthops
                ''',
                'recursion',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute-internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow redistribution of iBGP into IGPs (dangerous)
                ''',
                'redistribute_internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('regexp', REFERENCE_CLASS, 'Regexp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Regexp', 
                [], [], 
                '''                Select regular expression engine
                ''',
                'regexp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.RouteMap', 
                [], [], 
                '''                bgp route-map commands
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('scan-time', ATTRIBUTE, 'int' , None, None, 
                [('5', '60')], [], 
                '''                Configure background scanner interval
                ''',
                'scan_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfig-backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use soft-reconfiguration inbound only when route-refresh is not negotiated
                ''',
                'soft_reconfig_backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-inactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routes that are not in the routing table
                ''',
                'suppress_inactive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max initial delay for sending update
                ''',
                'update_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-group', REFERENCE_CLASS, 'UpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_.UpdateGroup', 
                [], [], 
                '''                Manage peers in bgp update groups
                ''',
                'update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Distance.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Distance.Bgp_',
            False, 
            [
            _MetaInfoClassMember('extern-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'extern_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'internal_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Distance.AdmDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Distance.AdmDistance',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('srcip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'srcip',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('wildbits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildbits',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'adm-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Distance',
            False, 
            [
            _MetaInfoClassMember('adm-distance', REFERENCE_LIST, 'AdmDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Distance.AdmDistance', 
                [], [], 
                '''                ''',
                'adm_distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Distance.Bgp_', 
                [], [], 
                '''                BGP distance
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.DistributeList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.DistributeList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.DistributeList.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.DistributeList.Out',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.DistributeList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.DistributeList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.DistributeList.Out', 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths.Eibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths.Eibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths.Eibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths.Eibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths.Eibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths.Eibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths.Eibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths.Eibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'unequal-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths.Ibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths.Ibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths.Ibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths.Ibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths.Ibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths.Ibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths.Ibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths.Ibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unequal-cost', REFERENCE_CLASS, 'UnequalCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost', 
                [], [], 
                '''                Perform Un-Equal cost multipath selection
                ''',
                'unequal_cost',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.MaximumPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.MaximumPaths',
            False, 
            [
            _MetaInfoClassMember('eibgp', REFERENCE_CLASS, 'Eibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths.Eibgp', 
                [], [], 
                '''                Both eBGP and iBGP paths as multipath
                ''',
                'eibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ibgp', REFERENCE_CLASS, 'Ibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths.Ibgp', 
                [], [], 
                '''                iBGP-multipath
                ''',
                'ibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.PeerGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.PeerGroup',
            False, 
            [
            _MetaInfoClassMember('peer-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;peer-group name
                ''',
                'peer_group_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.LocalAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.LocalAs',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('dual-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept either real AS or local AS from the ebgp peer
                ''',
                'dual_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('no-prepend', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not prepend local-as to updates from ebgp peers
                ''',
                'no_prepend',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('replace-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Replace real AS with local AS in the EBGP updates
                ''',
                'replace_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'local-as',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from this neighbor
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable additional paths for this neighbor
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to this neighbor
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise.DiversePath.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise.DiversePath.Backup',
            False, 
            [
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise.DiversePath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise.DiversePath',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise.DiversePath.Backup', 
                [], [], 
                '''                Diverse path can be backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'diverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Advertise',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths', 
                [], [], 
                '''                Advertise additional paths
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best-external (at RRs best-internal) path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('diverse-path', REFERENCE_CLASS, 'DiversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise.DiversePath', 
                [], [], 
                '''                Advertise diverse path
                ''',
                'diverse_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.AdvertiseMap.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.AdvertiseMap.Name',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                advertise route-map name
                ''',
                'word',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('non-exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'non_exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.AdvertiseMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.AdvertiseMap',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.AdvertiseMap.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'pre-bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi',
            False, 
            [
            _MetaInfoClassMember('igp-cost', REFERENCE_CLASS, 'IgpCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost', 
                [], [], 
                '''                Point of Insertion After IGP
                ''',
                'igp_cost',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pre-bestpath', REFERENCE_CLASS, 'PreBestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath', 
                [], [], 
                '''                Point of Insertion At Beginning
                ''',
                'pre_bestpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'poi',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('poi', REFERENCE_CLASS, 'Poi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi', 
                [], [], 
                '''                Point of Insertion
                ''',
                'poi',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cc-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('cc-range', REFERENCE_LIST, 'CcRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange', 
                [], [], 
                '''                ''',
                'cc_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Aigp.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Aigp.Send',
            False, 
            [
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity', 
                [], [], 
                '''                Cost extended community carrying AIGP Value
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Med carrying AIGP Value
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Aigp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Aigp',
            False, 
            [
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Aigp.Send', 
                [], [], 
                '''                Cost community or MED carrying AIGP VALUE
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aigp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Announce.Rpki' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Announce.Rpki',
            False, 
            [
            _MetaInfoClassMember('state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Announce RPKI State information using an Extended Community
                ''',
                'state',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rpki',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Announce' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Announce',
            False, 
            [
            _MetaInfoClassMember('rpki', REFERENCE_CLASS, 'Rpki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Announce.Rpki', 
                [], [], 
                '''                Announce RPKI information using an Extended Community
                ''',
                'rpki',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'announce',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.AllowasIn' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.AllowasIn',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'allowas-in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.AsOverride' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.AsOverride',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'as-override',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Capability.Orf.PrefixListEnum' : _MetaInfoEnum('PrefixListEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'send':'send',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Neighbor.Capability.Orf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Capability.Orf',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'PrefixListEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Capability.Orf.PrefixListEnum', 
                [], [], 
                '''                Advertise prefixlist ORF capability to this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-bgp',
            'orf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Capability',
            False, 
            [
            _MetaInfoClassMember('orf', REFERENCE_CLASS, 'Orf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Capability.Orf', 
                [], [], 
                '''                Advertise ORF capability to the peer
                ''',
                'orf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.DefaultOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.DefaultOriginate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria to originate default
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.DistributeList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Neighbor.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.DistributeList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.DistributeList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('accesslist', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.EbgpMultihop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.EbgpMultihop',
            False, 
            [
            _MetaInfoClassMember('max-hop', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_hop',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ebgp-multihop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.FallOver.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.FallOver.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.FallOver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.FallOver',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.FallOver.Bfd', 
                [], [], 
                '''                Use BFD to detect failure
                ''',
                'bfd',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'fall-over',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.FilterList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Neighbor.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.FilterList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.FilterList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('as-path-list', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                ''',
                'as_path_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Inherit',
            False, 
            [
            _MetaInfoClassMember('peer-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-policy template
                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-session', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-session template
                ''',
                'peer_session',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.LogNeighborChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.LogNeighborChanges',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'log-neighbor-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('max-prefix-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'max_prefix_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Restart bgp connection after limit is exceeded
                ''',
                'restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Password' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.PrefixList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Neighbor.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.PrefixList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.PrefixList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('prefix-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix_list_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.PathAttribute.Discard.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.PathAttribute.Discard.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.PathAttribute.Discard' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.PathAttribute.Discard',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.PathAttribute.Discard.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'discard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'treat-as-withdraw',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.PathAttribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.PathAttribute',
            False, 
            [
            _MetaInfoClassMember('discard', REFERENCE_CLASS, 'Discard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.PathAttribute.Discard', 
                [], [], 
                '''                Discard matching path-attribute for this neighbor
                ''',
                'discard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('treat-as-withdraw', REFERENCE_CLASS, 'TreatAsWithdraw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw', 
                [], [], 
                '''                Treat-as-withdraw matching path-attribute for this neighbor
                ''',
                'treat_as_withdraw',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.RouteMap.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Neighbor.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.RouteMap',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.RouteMap.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('route-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.SendCommunity.SendCommunityWhereEnum' : _MetaInfoEnum('SendCommunityWhereEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'extended':'extended',
            'standard':'standard',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Neighbor.SendCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.SendCommunity',
            False, 
            [
            _MetaInfoClassMember('send-community-where', REFERENCE_ENUM_CLASS, 'SendCommunityWhereEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.SendCommunity.SendCommunityWhereEnum', 
                [], [], 
                '''                ''',
                'send_community_where',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.SendLabel.SendLabelExplicitEnum' : _MetaInfoEnum('SendLabelExplicitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Neighbor.SendLabel' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.SendLabel',
            False, 
            [
            _MetaInfoClassMember('send-label-explicit', REFERENCE_ENUM_CLASS, 'SendLabelExplicitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.SendLabel.SendLabelExplicitEnum', 
                [], [], 
                '''                ''',
                'send_label_explicit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-label',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Timers',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'holdtime',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('minimum-neighbor-hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'minimum_neighbor_hold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4.Multicast',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address Family modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4',
            False, 
            [
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4.Multicast', 
                [], [], 
                '''                Address Family modifier
                ''',
                'multicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.TranslateUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.TranslateUpdate',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'translate-update',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Transport.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Transport.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.Transport.ConnectionModeEnum' : _MetaInfoEnum('ConnectionModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Neighbor.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.Transport',
            False, 
            [
            _MetaInfoClassMember('connection-mode', REFERENCE_ENUM_CLASS, 'ConnectionModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Transport.ConnectionModeEnum', 
                [], [], 
                '''                Specify passive or active connection
                ''',
                'connection_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('multi-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Multi-session for transport
                ''',
                'multi_session',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Transport.PathMtuDiscovery', 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.UpdateSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.UpdateSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.UpdateSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.UpdateSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.UpdateSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.UpdateSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.UpdateSource' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.UpdateSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.UpdateSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.UpdateSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.UpdateSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-source',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.HaMode.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.HaMode.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable graceful-restart
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable stateful-switchover
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor.HaMode',
            False, 
            [
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.HaMode.GracefulRestart', 
                [], [], 
                '''                graceful-restart for this peer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.HaMode.Sso', 
                [], [], 
                '''                stateful-switchover support for this peer
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Neighbor.SoftReconfigurationEnum' : _MetaInfoEnum('SoftReconfigurationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'inbound':'inbound',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the Address Family for this Neighbor
                ''',
                'activate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.AdditionalPaths', 
                [], [], 
                '''                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Advertise', 
                [], [], 
                '''                Advertise to this neighbor
                ''',
                'advertise',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-map', REFERENCE_CLASS, 'AdvertiseMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.AdvertiseMap', 
                [], [], 
                '''                specify route-map for conditional advertisement
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Minimum interval between sending BGP routing updates
                ''',
                'advertisement_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aigp', REFERENCE_CLASS, 'Aigp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Aigp', 
                [], [], 
                '''                Enable a AIGP on neighbor
                ''',
                'aigp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allow-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the policy support for this IBGP Neighbor
                ''',
                'allow_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allowas-in', REFERENCE_CLASS, 'AllowasIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.AllowasIn', 
                [], [], 
                '''                Accept as-path with my AS present in it
                ''',
                'allowas_in',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('announce', REFERENCE_CLASS, 'Announce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Announce', 
                [], [], 
                '''                Announce RPKI State using an Extended Community
                ''',
                'announce',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', REFERENCE_CLASS, 'AsOverride' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.AsOverride', 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Capability', 
                [], [], 
                '''                Advertise capability to the peer
                ''',
                'capability',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('default-originate', REFERENCE_CLASS, 'DefaultOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.DefaultOriginate', 
                [], [], 
                '''                Originate default route to this neighbour
                ''',
                'default_originate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor specific description
                ''',
                'description',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('disable-connected-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                One-hop away EBGP peer using loopback address
                ''',
                'disable_connected_check',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.DistributeList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ebgp-multihop', REFERENCE_CLASS, 'EbgpMultihop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.EbgpMultihop', 
                [], [], 
                '''                Allow EBGP neighbors not on directly connected networks
                ''',
                'ebgp_multihop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fall-over', REFERENCE_CLASS, 'FallOver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.FallOver', 
                [], [], 
                '''                session fall on peer route lost
                ''',
                'fall_over',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.FilterList', 
                [], [], 
                '''                Establish BGP filters
                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.HaMode', 
                [], [], 
                '''                high availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Inherit', 
                [], [], 
                '''                Inherit a template
                ''',
                'inherit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-as', REFERENCE_CLASS, 'LocalAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.LocalAs', 
                [], [], 
                '''                Specify a local-as number
                ''',
                'local_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', REFERENCE_CLASS, 'LogNeighborChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.LogNeighborChanges', 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes accepted from this peer
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-self', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable the next hop calculation for this neighbor
                ''',
                'next_hop_self',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the iBGP paths's next hop unchanged for this neighbor
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-attribute', REFERENCE_CLASS, 'PathAttribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.PathAttribute', 
                [], [], 
                '''                BGP optional attribute filtering
                ''',
                'path_attribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-group', REFERENCE_CLASS, 'PeerGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.PeerGroup', 
                [], [], 
                '''                Member of the peer-group
                ''',
                'peer_group',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.PrefixList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a BGP neighbor
                ''',
                'remote_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remove-private-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remove private AS number from outbound updates
                ''',
                'remove_private_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.RouteMap', 
                [], [], 
                '''                Apply route map to neighbor
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-client', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure a neighbor as Route Reflector client
                ''',
                'route_reflector_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_reflector_cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('send-community', REFERENCE_CLASS, 'SendCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.SendCommunity', 
                [], [], 
                '''                Send Community attribute to this neighbor
                ''',
                'send_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send-label', REFERENCE_CLASS, 'SendLabel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.SendLabel', 
                [], [], 
                '''                Send NLRI + MPLS Label to this peer
                ''',
                'send_label',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Administratively shut down this neighbor
                ''',
                'shutdown',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfiguration', REFERENCE_ENUM_CLASS, 'SoftReconfigurationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.SoftReconfigurationEnum', 
                [], [], 
                '''                Per neighbor soft reconfiguration
                ''',
                'soft_reconfiguration',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Timers', 
                [], [], 
                '''                BGP per neighbor timers
                ''',
                'timers',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('translate-update', REFERENCE_CLASS, 'TranslateUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.TranslateUpdate', 
                [], [], 
                '''                Translate Update to MBGP format
                ''',
                'translate_update',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.TtlSecurity', 
                [], [], 
                '''                BGP ttl security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unsuppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to selectively unsuppress suppressed routes
                ''',
                'unsuppress_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-source', REFERENCE_CLASS, 'UpdateSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor.UpdateSource', 
                [], [], 
                '''                Source of routing updates
                ''',
                'update_source',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('4', 'None')], [], 
                '''                Set the BGP version to match a neighbor
                ''',
                'version',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set default weight for routes from this neighbor
                ''',
                'weight',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Network',
            False, 
            [
            _MetaInfoClassMember('number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('backdoor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify a BGP backdoor route
                ''',
                'backdoor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to modify the attributes
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Application.Name',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Application.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Bgp_',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Dvmrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Dvmrp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dvmrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Isis.IsisArea.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Isis.IsisArea.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Isis.Default.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.Redistribute.Isis.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Isis.Default',
            False, 
            [
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Isis.Default.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Isis.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'include_connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.IsoIgrp.IsoIgrpArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.IsoIgrp.IsoIgrpArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.IsoIgrp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.IsoIgrp.Default',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.IsoIgrp.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp-area', REFERENCE_LIST, 'IsoIgrpArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.IsoIgrp.IsoIgrpArea', 
                [], [], 
                '''                ''',
                'iso_igrp_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Ospf.Vrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Ospf.Vrf.Match',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Ospf.Vrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external2', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external2',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Ospf.NonVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Ospf.NonVrf',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'non-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('non-vrf', REFERENCE_CLASS, 'NonVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Ospf.NonVrf', 
                [], [], 
                '''                ''',
                'non_vrf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Static.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Bgp_', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dvmrp', REFERENCE_CLASS, 'Dvmrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Dvmrp', 
                [], [], 
                '''                Redistribution of DVMRP into BGP IPv4 Multicast
                ''',
                'dvmrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'filter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;route-map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Snmp.Context.Context_Word' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Snmp.Context.Context_Word',
            False, 
            [
            _MetaInfoClassMember('context_word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'context_word',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('context_word', REFERENCE_LIST, 'Context_Word' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Snmp.Context.Context_Word', 
                [], [], 
                '''                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress',
            False, 
            [
            _MetaInfoClassMember('advertise-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set condition to advertise attribute
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-set', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate AS set path information
                ''',
                'as_set',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('attribute-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'attribute_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_address',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('summary-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter more specific routes from updates
                ''',
                'summary_only',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Conditionally filter more specific routes from updates
                ''',
                'suppress_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aggregate-address',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Asnotation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Asnotation',
            False, 
            [
            _MetaInfoClassMember('dot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                asdot notation
                ''',
                'dot',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'asnotation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.NopeerupDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.NopeerupDelay',
            False, 
            [
            _MetaInfoClassMember('cold-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'cold_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nsf-switchover', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'nsf_switchover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('post-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'post_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('user-initiated', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'user_initiated',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nopeerup-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Recursion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Recursion',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                recursion via host for the nexthops
                ''',
                'host',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'recursion',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Backup',
            False, 
            [
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.BestExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.BestExternal',
            False, 
            [
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-external',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Backup', 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', REFERENCE_CLASS, 'BestExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.BestExternal', 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'select',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('install', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Additional paths to install into RIB
                ''',
                'install',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('select', REFERENCE_CLASS, 'Select' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select', 
                [], [], 
                '''                Selection criteria to pick the paths
                ''',
                'select',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to neighbors
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore cost communities in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.IgpMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.IgpMetric',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore igp metric in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med.Confed' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med.Confed',
            False, 
            [
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confed',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med',
            False, 
            [
            _MetaInfoClassMember('confed', REFERENCE_CLASS, 'Confed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med.Confed', 
                [], [], 
                '''                Compare MED among confederation paths
                ''',
                'confed',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'med',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath',
            False, 
            [
            _MetaInfoClassMember('compare-routerid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'compare_routerid',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.CostCommunity', 
                [], [], 
                '''                cost community
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('igp-metric', REFERENCE_CLASS, 'IgpMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.IgpMetric', 
                [], [], 
                '''                igp metric
                ''',
                'igp_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', REFERENCE_CLASS, 'Med' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med', 
                [], [], 
                '''                MED attribute
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ClientToClient' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ClientToClient',
            False, 
            [
            _MetaInfoClassMember('reflection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                reflection of routes allowed
                ''',
                'reflection',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'client-to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation.Peers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation.Peers',
            False, 
            [
            _MetaInfoClassMember('peers-as', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'peers_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation.Peers', 
                [], [], 
                '''                Peer ASs in BGP confederation
                ''',
                'peers',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confederation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.AutoRepair' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.AutoRepair',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'auto-repair',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.ErrorMessage' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.ErrorMessage',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'error-message',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker',
            False, 
            [
            _MetaInfoClassMember('auto-repair', REFERENCE_CLASS, 'AutoRepair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.AutoRepair', 
                [], [], 
                '''                Auto-Repair
                ''',
                'auto_repair',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('error-message', REFERENCE_CLASS, 'ErrorMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.ErrorMessage', 
                [], [], 
                '''                Log Error-Msg
                ''',
                'error_message',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'consistency-checker',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening.Dampen' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening.Dampen',
            False, 
            [
            _MetaInfoClassMember('half-life-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '45')], [], 
                '''                ''',
                'half_life_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_suppress_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('reuse-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'reuse_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'suppress_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampen',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampen', REFERENCE_CLASS, 'Dampen' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening.Dampen', 
                [], [], 
                '''                ''',
                'dampen',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria for dampening
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Default.RouteTargetEnum' : _MetaInfoEnum('RouteTargetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'filter':'filter',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Default',
            False, 
            [
            _MetaInfoClassMember('ipv4-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Activate ipv4-unicast for a peer by default
                ''',
                'ipv4_unicast',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-nexthop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default IPv6 nexthop format
                ''',
                'ipv6_nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                local preference (higher=more preferred)
                ''',
                'local_preference',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-target', REFERENCE_ENUM_CLASS, 'RouteTargetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Default.RouteTargetEnum', 
                [], [], 
                '''                Control behavior based on Route-Target attributes
                ''',
                'route_target',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time needed to restart and come back up
                ''',
                'restart_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('stalepath-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time to hold onto restarting peer's stale paths
                ''',
                'stalepath_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perfer BGP High Availability NSR sso mode
                ''',
                'prefer',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode',
            False, 
            [
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode.Sso', 
                [], [], 
                '''                BGP High Availability NSR sso mode
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.InjectMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.InjectMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('copy-attributes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy attributes from aggregate
                ''',
                'copy_attributes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Routemap which specifies exist condition
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inject-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.RouteMap',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Have route-map set commands take priority over BGP commands such 
                ''',
                'priority',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable slow-peer detection
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup.Split' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup.Split',
            False, 
            [
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep peers with as-override in different update groups
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('split', REFERENCE_CLASS, 'Split' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup.Split', 
                [], [], 
                '''                Split update groups based on Policy
                ''',
                'split',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop.Trigger' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop.Trigger',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the delay to tigger nexthop tracking
                ''',
                'delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable nexthop tracking
                ''',
                'enable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for valid nexthops
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('trigger', REFERENCE_CLASS, 'Trigger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop.Trigger', 
                [], [], 
                '''                Nexthop triggering
                ''',
                'trigger',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Regexp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Regexp',
            False, 
            [
            _MetaInfoClassMember('deterministic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable bounded-execution-time regular expression engine
                ''',
                'deterministic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'regexp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Transport',
            False, 
            [
            _MetaInfoClassMember('path-mtu-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths', 
                [], [], 
                '''                Additional paths in the BGP table
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best external path to internal peers
                ''',
                'advertise_best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aggregate-timer', ATTRIBUTE, 'int' , None, None, 
                [('6', '60')], [], 
                '''                Timer interval
                ''',
                'aggregate_timer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('always-compare-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow comparing MED from different neighbors
                ''',
                'always_compare_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('asnotation', REFERENCE_CLASS, 'Asnotation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Asnotation', 
                [], [], 
                '''                Change the default asplain notation
                ''',
                'asnotation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bestpath', REFERENCE_CLASS, 'Bestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath', 
                [], [], 
                '''                Change the default bestpath selection
                ''',
                'bestpath',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('client-to-client', REFERENCE_CLASS, 'ClientToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ClientToClient', 
                [], [], 
                '''                Configure client to client route reflection
                ''',
                'client_to_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('confederation', REFERENCE_CLASS, 'Confederation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation', 
                [], [], 
                '''                AS confederation parameters
                ''',
                'confederation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('consistency-checker', REFERENCE_CLASS, 'ConsistencyChecker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker', 
                [], [], 
                '''                Consistency-checker
                ''',
                'consistency_checker',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening', 
                [], [], 
                '''                Enable route-flap dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Default', 
                [], [], 
                '''                Configure BGP defaults
                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('deterministic-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pick the best-MED path among paths advertised from the neighboring AS
                ''',
                'deterministic_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DMZ Link Bandwidth as weight for BGP multipaths
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enforce-first-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforce the first AS for EBGP routes(default)
                ''',
                'enforce_first_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enhanced-error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabled BGP Enhanced error handling
                ''',
                'enhanced_error',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fast-external-fallover', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Immediately reset session if a link to a directly connected external peer goes down
                ''',
                'fast_external_fallover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.GracefulRestart', 
                [], [], 
                '''                Graceful restart capability parameters
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode', 
                [], [], 
                '''                Select BGP High Availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inject-map', REFERENCE_LIST, 'InjectMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.InjectMap', 
                [], [], 
                '''                Routemap which specifies prefixes to inject
                ''',
                'inject_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxas-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Allow AS-PATH attribute from any neighbor imposing a limit on number of ASes
                ''',
                'maxas_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxcommunity-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '1018')], [], 
                '''                Number of communities in the COMMUNITY attribute
                ''',
                'maxcommunity_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop', 
                [], [], 
                '''                Nexthop tracking commands
                ''',
                'nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nopeerup-delay', REFERENCE_CLASS, 'NopeerupDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.NopeerupDelay', 
                [], [], 
                '''                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                ''',
                'nopeerup_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('recursion', REFERENCE_CLASS, 'Recursion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Recursion', 
                [], [], 
                '''                recursion rule for the nexthops
                ''',
                'recursion',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute-internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow redistribution of iBGP into IGPs (dangerous)
                ''',
                'redistribute_internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('regexp', REFERENCE_CLASS, 'Regexp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Regexp', 
                [], [], 
                '''                Select regular expression engine
                ''',
                'regexp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.RouteMap', 
                [], [], 
                '''                bgp route-map commands
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('scan-time', ATTRIBUTE, 'int' , None, None, 
                [('5', '60')], [], 
                '''                Configure background scanner interval
                ''',
                'scan_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfig-backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use soft-reconfiguration inbound only when route-refresh is not negotiated
                ''',
                'soft_reconfig_backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-inactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routes that are not in the routing table
                ''',
                'suppress_inactive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max initial delay for sending update
                ''',
                'update_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-group', REFERENCE_CLASS, 'UpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup', 
                [], [], 
                '''                Manage peers in bgp update groups
                ''',
                'update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp_',
            False, 
            [
            _MetaInfoClassMember('extern-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'extern_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'internal_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.AdmDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.AdmDistance',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('srcip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'srcip',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('wildbits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildbits',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'adm-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance',
            False, 
            [
            _MetaInfoClassMember('adm-distance', REFERENCE_LIST, 'AdmDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.AdmDistance', 
                [], [], 
                '''                ''',
                'adm_distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp_', 
                [], [], 
                '''                BGP distance
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.Out',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.Out', 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'unequal-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unequal-cost', REFERENCE_CLASS, 'UnequalCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost', 
                [], [], 
                '''                Perform Un-Equal cost multipath selection
                ''',
                'unequal_cost',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths',
            False, 
            [
            _MetaInfoClassMember('eibgp', REFERENCE_CLASS, 'Eibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp', 
                [], [], 
                '''                Both eBGP and iBGP paths as multipath
                ''',
                'eibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ibgp', REFERENCE_CLASS, 'Ibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp', 
                [], [], 
                '''                iBGP-multipath
                ''',
                'ibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PeerGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PeerGroup',
            False, 
            [
            _MetaInfoClassMember('peer-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;peer-group name
                ''',
                'peer_group_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LocalAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LocalAs',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('dual-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept either real AS or local AS from the ebgp peer
                ''',
                'dual_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('no-prepend', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not prepend local-as to updates from ebgp peers
                ''',
                'no_prepend',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('replace-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Replace real AS with local AS in the EBGP updates
                ''',
                'replace_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'local-as',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from this neighbor
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable additional paths for this neighbor
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to this neighbor
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath.Backup',
            False, 
            [
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath.Backup', 
                [], [], 
                '''                Diverse path can be backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'diverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths', 
                [], [], 
                '''                Advertise additional paths
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best-external (at RRs best-internal) path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('diverse-path', REFERENCE_CLASS, 'DiversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath', 
                [], [], 
                '''                Advertise diverse path
                ''',
                'diverse_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap.Name',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                advertise route-map name
                ''',
                'word',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('non-exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'non_exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'pre-bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi',
            False, 
            [
            _MetaInfoClassMember('igp-cost', REFERENCE_CLASS, 'IgpCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost', 
                [], [], 
                '''                Point of Insertion After IGP
                ''',
                'igp_cost',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pre-bestpath', REFERENCE_CLASS, 'PreBestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath', 
                [], [], 
                '''                Point of Insertion At Beginning
                ''',
                'pre_bestpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'poi',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('poi', REFERENCE_CLASS, 'Poi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi', 
                [], [], 
                '''                Point of Insertion
                ''',
                'poi',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cc-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('cc-range', REFERENCE_LIST, 'CcRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange', 
                [], [], 
                '''                ''',
                'cc_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send',
            False, 
            [
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity', 
                [], [], 
                '''                Cost extended community carrying AIGP Value
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Med carrying AIGP Value
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp',
            False, 
            [
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send', 
                [], [], 
                '''                Cost community or MED carrying AIGP VALUE
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aigp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki',
            False, 
            [
            _MetaInfoClassMember('state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Announce RPKI State information using an Extended Community
                ''',
                'state',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rpki',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce',
            False, 
            [
            _MetaInfoClassMember('rpki', REFERENCE_CLASS, 'Rpki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki', 
                [], [], 
                '''                Announce RPKI information using an Extended Community
                ''',
                'rpki',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'announce',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AllowasIn' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AllowasIn',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'allowas-in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AsOverride' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AsOverride',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'as-override',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf.PrefixListEnum' : _MetaInfoEnum('PrefixListEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'send':'send',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'PrefixListEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf.PrefixListEnum', 
                [], [], 
                '''                Advertise prefixlist ORF capability to this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-bgp',
            'orf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability',
            False, 
            [
            _MetaInfoClassMember('orf', REFERENCE_CLASS, 'Orf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf', 
                [], [], 
                '''                Advertise ORF capability to the peer
                ''',
                'orf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DefaultOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DefaultOriginate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria to originate default
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('accesslist', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.EbgpMultihop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.EbgpMultihop',
            False, 
            [
            _MetaInfoClassMember('max-hop', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_hop',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ebgp-multihop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver.Bfd', 
                [], [], 
                '''                Use BFD to detect failure
                ''',
                'bfd',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'fall-over',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('as-path-list', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                ''',
                'as_path_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit',
            False, 
            [
            _MetaInfoClassMember('peer-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-policy template
                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-session', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-session template
                ''',
                'peer_session',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LogNeighborChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LogNeighborChanges',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'log-neighbor-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('max-prefix-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'max_prefix_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Restart bgp connection after limit is exceeded
                ''',
                'restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('prefix-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix_list_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'discard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'treat-as-withdraw',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute',
            False, 
            [
            _MetaInfoClassMember('discard', REFERENCE_CLASS, 'Discard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard', 
                [], [], 
                '''                Discard matching path-attribute for this neighbor
                ''',
                'discard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('treat-as-withdraw', REFERENCE_CLASS, 'TreatAsWithdraw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw', 
                [], [], 
                '''                Treat-as-withdraw matching path-attribute for this neighbor
                ''',
                'treat_as_withdraw',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('route-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity.SendCommunityWhereEnum' : _MetaInfoEnum('SendCommunityWhereEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'extended':'extended',
            'standard':'standard',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity',
            False, 
            [
            _MetaInfoClassMember('send-community-where', REFERENCE_ENUM_CLASS, 'SendCommunityWhereEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity.SendCommunityWhereEnum', 
                [], [], 
                '''                ''',
                'send_community_where',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel.SendLabelExplicitEnum' : _MetaInfoEnum('SendLabelExplicitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel',
            False, 
            [
            _MetaInfoClassMember('send-label-explicit', REFERENCE_ENUM_CLASS, 'SendLabelExplicitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel.SendLabelExplicitEnum', 
                [], [], 
                '''                ''',
                'send_label_explicit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-label',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'holdtime',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('minimum-neighbor-hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'minimum_neighbor_hold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_.Multicast',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address Family modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_',
            False, 
            [
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_.Multicast', 
                [], [], 
                '''                Address Family modifier
                ''',
                'multicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'translate-update',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.ConnectionModeEnum' : _MetaInfoEnum('ConnectionModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport',
            False, 
            [
            _MetaInfoClassMember('connection-mode', REFERENCE_ENUM_CLASS, 'ConnectionModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.ConnectionModeEnum', 
                [], [], 
                '''                Specify passive or active connection
                ''',
                'connection_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('multi-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Multi-session for transport
                ''',
                'multi_session',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.PathMtuDiscovery', 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-source',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable graceful-restart
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable stateful-switchover
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode',
            False, 
            [
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.GracefulRestart', 
                [], [], 
                '''                graceful-restart for this peer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.Sso', 
                [], [], 
                '''                stateful-switchover support for this peer
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SoftReconfigurationEnum' : _MetaInfoEnum('SoftReconfigurationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'inbound':'inbound',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the Address Family for this Neighbor
                ''',
                'activate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths', 
                [], [], 
                '''                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise', 
                [], [], 
                '''                Advertise to this neighbor
                ''',
                'advertise',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-map', REFERENCE_CLASS, 'AdvertiseMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap', 
                [], [], 
                '''                specify route-map for conditional advertisement
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Minimum interval between sending BGP routing updates
                ''',
                'advertisement_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aigp', REFERENCE_CLASS, 'Aigp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp', 
                [], [], 
                '''                Enable a AIGP on neighbor
                ''',
                'aigp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allow-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the policy support for this IBGP Neighbor
                ''',
                'allow_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allowas-in', REFERENCE_CLASS, 'AllowasIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AllowasIn', 
                [], [], 
                '''                Accept as-path with my AS present in it
                ''',
                'allowas_in',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('announce', REFERENCE_CLASS, 'Announce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce', 
                [], [], 
                '''                Announce RPKI State using an Extended Community
                ''',
                'announce',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', REFERENCE_CLASS, 'AsOverride' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AsOverride', 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability', 
                [], [], 
                '''                Advertise capability to the peer
                ''',
                'capability',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('default-originate', REFERENCE_CLASS, 'DefaultOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DefaultOriginate', 
                [], [], 
                '''                Originate default route to this neighbour
                ''',
                'default_originate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor specific description
                ''',
                'description',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('disable-connected-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                One-hop away EBGP peer using loopback address
                ''',
                'disable_connected_check',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ebgp-multihop', REFERENCE_CLASS, 'EbgpMultihop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.EbgpMultihop', 
                [], [], 
                '''                Allow EBGP neighbors not on directly connected networks
                ''',
                'ebgp_multihop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fall-over', REFERENCE_CLASS, 'FallOver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver', 
                [], [], 
                '''                session fall on peer route lost
                ''',
                'fall_over',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList', 
                [], [], 
                '''                Establish BGP filters
                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode', 
                [], [], 
                '''                high availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit', 
                [], [], 
                '''                Inherit a template
                ''',
                'inherit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-as', REFERENCE_CLASS, 'LocalAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LocalAs', 
                [], [], 
                '''                Specify a local-as number
                ''',
                'local_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', REFERENCE_CLASS, 'LogNeighborChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LogNeighborChanges', 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes accepted from this peer
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-self', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable the next hop calculation for this neighbor
                ''',
                'next_hop_self',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the iBGP paths's next hop unchanged for this neighbor
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-attribute', REFERENCE_CLASS, 'PathAttribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute', 
                [], [], 
                '''                BGP optional attribute filtering
                ''',
                'path_attribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-group', REFERENCE_CLASS, 'PeerGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PeerGroup', 
                [], [], 
                '''                Member of the peer-group
                ''',
                'peer_group',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a BGP neighbor
                ''',
                'remote_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remove-private-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remove private AS number from outbound updates
                ''',
                'remove_private_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap', 
                [], [], 
                '''                Apply route map to neighbor
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-client', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure a neighbor as Route Reflector client
                ''',
                'route_reflector_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_reflector_cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('send-community', REFERENCE_CLASS, 'SendCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity', 
                [], [], 
                '''                Send Community attribute to this neighbor
                ''',
                'send_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send-label', REFERENCE_CLASS, 'SendLabel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel', 
                [], [], 
                '''                Send NLRI + MPLS Label to this peer
                ''',
                'send_label',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Administratively shut down this neighbor
                ''',
                'shutdown',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfiguration', REFERENCE_ENUM_CLASS, 'SoftReconfigurationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SoftReconfigurationEnum', 
                [], [], 
                '''                Per neighbor soft reconfiguration
                ''',
                'soft_reconfiguration',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers', 
                [], [], 
                '''                BGP per neighbor timers
                ''',
                'timers',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('translate-update', REFERENCE_CLASS, 'TranslateUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate', 
                [], [], 
                '''                Translate Update to MBGP format
                ''',
                'translate_update',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity', 
                [], [], 
                '''                BGP ttl security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unsuppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to selectively unsuppress suppressed routes
                ''',
                'unsuppress_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-source', REFERENCE_CLASS, 'UpdateSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource', 
                [], [], 
                '''                Source of routing updates
                ''',
                'update_source',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('4', 'None')], [], 
                '''                Set the BGP version to match a neighbor
                ''',
                'version',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set default weight for routes from this neighbor
                ''',
                'weight',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Network',
            False, 
            [
            _MetaInfoClassMember('number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('backdoor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify a BGP backdoor route
                ''',
                'backdoor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to modify the attributes
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application.Name',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp_',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Dvmrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Dvmrp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dvmrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default',
            False, 
            [
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'include_connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp-area', REFERENCE_LIST, 'IsoIgrpArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpArea', 
                [], [], 
                '''                ''',
                'iso_igrp_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_.Match',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external2', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external2',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'non-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('non-vrf', REFERENCE_CLASS, 'NonVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf', 
                [], [], 
                '''                ''',
                'non_vrf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp_', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dvmrp', REFERENCE_CLASS, 'Dvmrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Dvmrp', 
                [], [], 
                '''                Redistribution of DVMRP into BGP IPv4 Multicast
                ''',
                'dvmrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'filter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;route-map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context.Context_Word' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context.Context_Word',
            False, 
            [
            _MetaInfoClassMember('context_word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'context_word',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('context_word', REFERENCE_LIST, 'Context_Word' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context.Context_Word', 
                [], [], 
                '''                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('aggregate-address', REFERENCE_CLASS, 'AggregateAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress', 
                [], [], 
                '''                Configure BGP aggregate entries
                ''',
                'aggregate_address',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_', 
                [], [], 
                '''                BGP specific commands
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-paths', REFERENCE_CLASS, 'MaximumPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths', 
                [], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Network', 
                [], [], 
                '''                Specify a network to announce via BGP
                ''',
                'network',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('synchronization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform IGP synchronization
                ''',
                'synchronization',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv4',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'Bgp_Ipv4_Af_TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Bgp_Ipv4_Af_TypeEnum', 
                [], [], 
                '''                ''',
                'af_name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress',
            False, 
            [
            _MetaInfoClassMember('advertise-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set condition to advertise attribute
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-set', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate AS set path information
                ''',
                'as_set',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('attribute-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'attribute_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ipv6_address',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('summary-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter more specific routes from updates
                ''',
                'summary_only',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Conditionally filter more specific routes from updates
                ''',
                'suppress_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aggregate-address',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Asnotation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Asnotation',
            False, 
            [
            _MetaInfoClassMember('dot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                asdot notation
                ''',
                'dot',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'asnotation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.NopeerupDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.NopeerupDelay',
            False, 
            [
            _MetaInfoClassMember('cold-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'cold_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nsf-switchover', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'nsf_switchover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('post-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'post_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('user-initiated', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'user_initiated',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nopeerup-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Recursion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Recursion',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                recursion via host for the nexthops
                ''',
                'host',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'recursion',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Backup',
            False, 
            [
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.BestExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.BestExternal',
            False, 
            [
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-external',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Backup', 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', REFERENCE_CLASS, 'BestExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.BestExternal', 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'select',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('install', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Additional paths to install into RIB
                ''',
                'install',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('select', REFERENCE_CLASS, 'Select' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select', 
                [], [], 
                '''                Selection criteria to pick the paths
                ''',
                'select',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to neighbors
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore cost communities in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.IgpMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.IgpMetric',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore igp metric in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med.Confed' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med.Confed',
            False, 
            [
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confed',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med',
            False, 
            [
            _MetaInfoClassMember('confed', REFERENCE_CLASS, 'Confed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med.Confed', 
                [], [], 
                '''                Compare MED among confederation paths
                ''',
                'confed',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'med',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath',
            False, 
            [
            _MetaInfoClassMember('compare-routerid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'compare_routerid',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.CostCommunity', 
                [], [], 
                '''                cost community
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('igp-metric', REFERENCE_CLASS, 'IgpMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.IgpMetric', 
                [], [], 
                '''                igp metric
                ''',
                'igp_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', REFERENCE_CLASS, 'Med' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med', 
                [], [], 
                '''                MED attribute
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ClientToClient' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ClientToClient',
            False, 
            [
            _MetaInfoClassMember('reflection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                reflection of routes allowed
                ''',
                'reflection',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'client-to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation.Peers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation.Peers',
            False, 
            [
            _MetaInfoClassMember('peers-as', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'peers_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation.Peers', 
                [], [], 
                '''                Peer ASs in BGP confederation
                ''',
                'peers',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confederation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.AutoRepair' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.AutoRepair',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'auto-repair',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.ErrorMessage' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.ErrorMessage',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'error-message',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker',
            False, 
            [
            _MetaInfoClassMember('auto-repair', REFERENCE_CLASS, 'AutoRepair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.AutoRepair', 
                [], [], 
                '''                Auto-Repair
                ''',
                'auto_repair',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('error-message', REFERENCE_CLASS, 'ErrorMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.ErrorMessage', 
                [], [], 
                '''                Log Error-Msg
                ''',
                'error_message',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'consistency-checker',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening.Dampen' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening.Dampen',
            False, 
            [
            _MetaInfoClassMember('half-life-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '45')], [], 
                '''                ''',
                'half_life_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_suppress_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('reuse-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'reuse_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'suppress_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampen',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampen', REFERENCE_CLASS, 'Dampen' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening.Dampen', 
                [], [], 
                '''                ''',
                'dampen',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria for dampening
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Default.RouteTargetEnum' : _MetaInfoEnum('RouteTargetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'filter':'filter',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Default',
            False, 
            [
            _MetaInfoClassMember('ipv4-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Activate ipv4-unicast for a peer by default
                ''',
                'ipv4_unicast',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-nexthop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default IPv6 nexthop format
                ''',
                'ipv6_nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                local preference (higher=more preferred)
                ''',
                'local_preference',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-target', REFERENCE_ENUM_CLASS, 'RouteTargetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Default.RouteTargetEnum', 
                [], [], 
                '''                Control behavior based on Route-Target attributes
                ''',
                'route_target',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time needed to restart and come back up
                ''',
                'restart_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('stalepath-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time to hold onto restarting peer's stale paths
                ''',
                'stalepath_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perfer BGP High Availability NSR sso mode
                ''',
                'prefer',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode',
            False, 
            [
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode.Sso', 
                [], [], 
                '''                BGP High Availability NSR sso mode
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.InjectMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.InjectMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('copy-attributes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy attributes from aggregate
                ''',
                'copy_attributes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Routemap which specifies exist condition
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inject-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.RouteMap',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Have route-map set commands take priority over BGP commands such 
                ''',
                'priority',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable slow-peer detection
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup.Split' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup.Split',
            False, 
            [
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep peers with as-override in different update groups
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('split', REFERENCE_CLASS, 'Split' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup.Split', 
                [], [], 
                '''                Split update groups based on Policy
                ''',
                'split',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop.Trigger' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop.Trigger',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the delay to tigger nexthop tracking
                ''',
                'delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable nexthop tracking
                ''',
                'enable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for valid nexthops
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('trigger', REFERENCE_CLASS, 'Trigger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop.Trigger', 
                [], [], 
                '''                Nexthop triggering
                ''',
                'trigger',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Regexp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Regexp',
            False, 
            [
            _MetaInfoClassMember('deterministic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable bounded-execution-time regular expression engine
                ''',
                'deterministic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'regexp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Transport',
            False, 
            [
            _MetaInfoClassMember('path-mtu-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths', 
                [], [], 
                '''                Additional paths in the BGP table
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best external path to internal peers
                ''',
                'advertise_best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aggregate-timer', ATTRIBUTE, 'int' , None, None, 
                [('6', '60')], [], 
                '''                Timer interval
                ''',
                'aggregate_timer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('always-compare-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow comparing MED from different neighbors
                ''',
                'always_compare_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('asnotation', REFERENCE_CLASS, 'Asnotation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Asnotation', 
                [], [], 
                '''                Change the default asplain notation
                ''',
                'asnotation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bestpath', REFERENCE_CLASS, 'Bestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath', 
                [], [], 
                '''                Change the default bestpath selection
                ''',
                'bestpath',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('client-to-client', REFERENCE_CLASS, 'ClientToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ClientToClient', 
                [], [], 
                '''                Configure client to client route reflection
                ''',
                'client_to_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('confederation', REFERENCE_CLASS, 'Confederation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation', 
                [], [], 
                '''                AS confederation parameters
                ''',
                'confederation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('consistency-checker', REFERENCE_CLASS, 'ConsistencyChecker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker', 
                [], [], 
                '''                Consistency-checker
                ''',
                'consistency_checker',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening', 
                [], [], 
                '''                Enable route-flap dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Default', 
                [], [], 
                '''                Configure BGP defaults
                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('deterministic-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pick the best-MED path among paths advertised from the neighboring AS
                ''',
                'deterministic_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DMZ Link Bandwidth as weight for BGP multipaths
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enforce-first-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforce the first AS for EBGP routes(default)
                ''',
                'enforce_first_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enhanced-error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabled BGP Enhanced error handling
                ''',
                'enhanced_error',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fast-external-fallover', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Immediately reset session if a link to a directly connected external peer goes down
                ''',
                'fast_external_fallover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.GracefulRestart', 
                [], [], 
                '''                Graceful restart capability parameters
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode', 
                [], [], 
                '''                Select BGP High Availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inject-map', REFERENCE_LIST, 'InjectMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.InjectMap', 
                [], [], 
                '''                Routemap which specifies prefixes to inject
                ''',
                'inject_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxas-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Allow AS-PATH attribute from any neighbor imposing a limit on number of ASes
                ''',
                'maxas_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxcommunity-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '1018')], [], 
                '''                Number of communities in the COMMUNITY attribute
                ''',
                'maxcommunity_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop', 
                [], [], 
                '''                Nexthop tracking commands
                ''',
                'nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nopeerup-delay', REFERENCE_CLASS, 'NopeerupDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.NopeerupDelay', 
                [], [], 
                '''                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                ''',
                'nopeerup_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('recursion', REFERENCE_CLASS, 'Recursion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Recursion', 
                [], [], 
                '''                recursion rule for the nexthops
                ''',
                'recursion',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute-internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow redistribution of iBGP into IGPs (dangerous)
                ''',
                'redistribute_internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('regexp', REFERENCE_CLASS, 'Regexp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Regexp', 
                [], [], 
                '''                Select regular expression engine
                ''',
                'regexp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.RouteMap', 
                [], [], 
                '''                bgp route-map commands
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('scan-time', ATTRIBUTE, 'int' , None, None, 
                [('5', '60')], [], 
                '''                Configure background scanner interval
                ''',
                'scan_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfig-backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use soft-reconfiguration inbound only when route-refresh is not negotiated
                ''',
                'soft_reconfig_backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-inactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routes that are not in the routing table
                ''',
                'suppress_inactive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max initial delay for sending update
                ''',
                'update_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-group', REFERENCE_CLASS, 'UpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup', 
                [], [], 
                '''                Manage peers in bgp update groups
                ''',
                'update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp_',
            False, 
            [
            _MetaInfoClassMember('extern-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'extern_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'internal_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.AdmDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.AdmDistance',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('srcip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'srcip',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('wildbits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildbits',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'adm-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance',
            False, 
            [
            _MetaInfoClassMember('adm-distance', REFERENCE_LIST, 'AdmDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.AdmDistance', 
                [], [], 
                '''                ''',
                'adm_distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp_', 
                [], [], 
                '''                BGP distance
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.Out',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.Out', 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'unequal-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unequal-cost', REFERENCE_CLASS, 'UnequalCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost', 
                [], [], 
                '''                Perform Un-Equal cost multipath selection
                ''',
                'unequal_cost',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths',
            False, 
            [
            _MetaInfoClassMember('eibgp', REFERENCE_CLASS, 'Eibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp', 
                [], [], 
                '''                Both eBGP and iBGP paths as multipath
                ''',
                'eibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ibgp', REFERENCE_CLASS, 'Ibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp', 
                [], [], 
                '''                iBGP-multipath
                ''',
                'ibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PeerGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PeerGroup',
            False, 
            [
            _MetaInfoClassMember('peer-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;peer-group name
                ''',
                'peer_group_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LocalAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LocalAs',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('dual-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept either real AS or local AS from the ebgp peer
                ''',
                'dual_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('no-prepend', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not prepend local-as to updates from ebgp peers
                ''',
                'no_prepend',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('replace-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Replace real AS with local AS in the EBGP updates
                ''',
                'replace_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'local-as',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from this neighbor
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable additional paths for this neighbor
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to this neighbor
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath.Backup',
            False, 
            [
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath.Backup', 
                [], [], 
                '''                Diverse path can be backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'diverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths', 
                [], [], 
                '''                Advertise additional paths
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best-external (at RRs best-internal) path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('diverse-path', REFERENCE_CLASS, 'DiversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath', 
                [], [], 
                '''                Advertise diverse path
                ''',
                'diverse_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap.Name',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                advertise route-map name
                ''',
                'word',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('non-exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'non_exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'pre-bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi',
            False, 
            [
            _MetaInfoClassMember('igp-cost', REFERENCE_CLASS, 'IgpCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost', 
                [], [], 
                '''                Point of Insertion After IGP
                ''',
                'igp_cost',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pre-bestpath', REFERENCE_CLASS, 'PreBestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath', 
                [], [], 
                '''                Point of Insertion At Beginning
                ''',
                'pre_bestpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'poi',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('poi', REFERENCE_CLASS, 'Poi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi', 
                [], [], 
                '''                Point of Insertion
                ''',
                'poi',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cc-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('cc-range', REFERENCE_LIST, 'CcRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange', 
                [], [], 
                '''                ''',
                'cc_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send',
            False, 
            [
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity', 
                [], [], 
                '''                Cost extended community carrying AIGP Value
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Med carrying AIGP Value
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp',
            False, 
            [
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send', 
                [], [], 
                '''                Cost community or MED carrying AIGP VALUE
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aigp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki',
            False, 
            [
            _MetaInfoClassMember('state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Announce RPKI State information using an Extended Community
                ''',
                'state',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rpki',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce',
            False, 
            [
            _MetaInfoClassMember('rpki', REFERENCE_CLASS, 'Rpki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki', 
                [], [], 
                '''                Announce RPKI information using an Extended Community
                ''',
                'rpki',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'announce',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AllowasIn' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AllowasIn',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'allowas-in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AsOverride' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AsOverride',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'as-override',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf.PrefixListEnum' : _MetaInfoEnum('PrefixListEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'send':'send',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'PrefixListEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf.PrefixListEnum', 
                [], [], 
                '''                Advertise prefixlist ORF capability to this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-bgp',
            'orf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability',
            False, 
            [
            _MetaInfoClassMember('orf', REFERENCE_CLASS, 'Orf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf', 
                [], [], 
                '''                Advertise ORF capability to the peer
                ''',
                'orf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DefaultOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DefaultOriginate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria to originate default
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('accesslist', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.EbgpMultihop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.EbgpMultihop',
            False, 
            [
            _MetaInfoClassMember('max-hop', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_hop',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ebgp-multihop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver.Bfd', 
                [], [], 
                '''                Use BFD to detect failure
                ''',
                'bfd',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'fall-over',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('as-path-list', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                ''',
                'as_path_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit',
            False, 
            [
            _MetaInfoClassMember('peer-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-policy template
                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-session', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-session template
                ''',
                'peer_session',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LogNeighborChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LogNeighborChanges',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'log-neighbor-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('max-prefix-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'max_prefix_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Restart bgp connection after limit is exceeded
                ''',
                'restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('prefix-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix_list_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'discard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'treat-as-withdraw',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute',
            False, 
            [
            _MetaInfoClassMember('discard', REFERENCE_CLASS, 'Discard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard', 
                [], [], 
                '''                Discard matching path-attribute for this neighbor
                ''',
                'discard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('treat-as-withdraw', REFERENCE_CLASS, 'TreatAsWithdraw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw', 
                [], [], 
                '''                Treat-as-withdraw matching path-attribute for this neighbor
                ''',
                'treat_as_withdraw',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('route-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity.SendCommunityWhereEnum' : _MetaInfoEnum('SendCommunityWhereEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'extended':'extended',
            'standard':'standard',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity',
            False, 
            [
            _MetaInfoClassMember('send-community-where', REFERENCE_ENUM_CLASS, 'SendCommunityWhereEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity.SendCommunityWhereEnum', 
                [], [], 
                '''                ''',
                'send_community_where',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel.SendLabelExplicitEnum' : _MetaInfoEnum('SendLabelExplicitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel',
            False, 
            [
            _MetaInfoClassMember('send-label-explicit', REFERENCE_ENUM_CLASS, 'SendLabelExplicitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel.SendLabelExplicitEnum', 
                [], [], 
                '''                ''',
                'send_label_explicit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-label',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'holdtime',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('minimum-neighbor-hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'minimum_neighbor_hold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address Family modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4',
            False, 
            [
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast', 
                [], [], 
                '''                Address Family modifier
                ''',
                'multicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'translate-update',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.ConnectionModeEnum' : _MetaInfoEnum('ConnectionModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport',
            False, 
            [
            _MetaInfoClassMember('connection-mode', REFERENCE_ENUM_CLASS, 'ConnectionModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.ConnectionModeEnum', 
                [], [], 
                '''                Specify passive or active connection
                ''',
                'connection_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('multi-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Multi-session for transport
                ''',
                'multi_session',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.PathMtuDiscovery', 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-source',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable graceful-restart
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable stateful-switchover
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode',
            False, 
            [
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.GracefulRestart', 
                [], [], 
                '''                graceful-restart for this peer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.Sso', 
                [], [], 
                '''                stateful-switchover support for this peer
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SoftReconfigurationEnum' : _MetaInfoEnum('SoftReconfigurationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'inbound':'inbound',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the Address Family for this Neighbor
                ''',
                'activate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths', 
                [], [], 
                '''                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise', 
                [], [], 
                '''                Advertise to this neighbor
                ''',
                'advertise',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-map', REFERENCE_CLASS, 'AdvertiseMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap', 
                [], [], 
                '''                specify route-map for conditional advertisement
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Minimum interval between sending BGP routing updates
                ''',
                'advertisement_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aigp', REFERENCE_CLASS, 'Aigp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp', 
                [], [], 
                '''                Enable a AIGP on neighbor
                ''',
                'aigp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allow-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the policy support for this IBGP Neighbor
                ''',
                'allow_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allowas-in', REFERENCE_CLASS, 'AllowasIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AllowasIn', 
                [], [], 
                '''                Accept as-path with my AS present in it
                ''',
                'allowas_in',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('announce', REFERENCE_CLASS, 'Announce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce', 
                [], [], 
                '''                Announce RPKI State using an Extended Community
                ''',
                'announce',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', REFERENCE_CLASS, 'AsOverride' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AsOverride', 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability', 
                [], [], 
                '''                Advertise capability to the peer
                ''',
                'capability',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('default-originate', REFERENCE_CLASS, 'DefaultOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DefaultOriginate', 
                [], [], 
                '''                Originate default route to this neighbour
                ''',
                'default_originate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor specific description
                ''',
                'description',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('disable-connected-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                One-hop away EBGP peer using loopback address
                ''',
                'disable_connected_check',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ebgp-multihop', REFERENCE_CLASS, 'EbgpMultihop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.EbgpMultihop', 
                [], [], 
                '''                Allow EBGP neighbors not on directly connected networks
                ''',
                'ebgp_multihop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fall-over', REFERENCE_CLASS, 'FallOver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver', 
                [], [], 
                '''                session fall on peer route lost
                ''',
                'fall_over',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList', 
                [], [], 
                '''                Establish BGP filters
                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode', 
                [], [], 
                '''                high availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit', 
                [], [], 
                '''                Inherit a template
                ''',
                'inherit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-as', REFERENCE_CLASS, 'LocalAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LocalAs', 
                [], [], 
                '''                Specify a local-as number
                ''',
                'local_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', REFERENCE_CLASS, 'LogNeighborChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LogNeighborChanges', 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes accepted from this peer
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-self', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable the next hop calculation for this neighbor
                ''',
                'next_hop_self',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the iBGP paths's next hop unchanged for this neighbor
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-attribute', REFERENCE_CLASS, 'PathAttribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute', 
                [], [], 
                '''                BGP optional attribute filtering
                ''',
                'path_attribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-group', REFERENCE_CLASS, 'PeerGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PeerGroup', 
                [], [], 
                '''                Member of the peer-group
                ''',
                'peer_group',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a BGP neighbor
                ''',
                'remote_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remove-private-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remove private AS number from outbound updates
                ''',
                'remove_private_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap', 
                [], [], 
                '''                Apply route map to neighbor
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-client', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure a neighbor as Route Reflector client
                ''',
                'route_reflector_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_reflector_cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('send-community', REFERENCE_CLASS, 'SendCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity', 
                [], [], 
                '''                Send Community attribute to this neighbor
                ''',
                'send_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send-label', REFERENCE_CLASS, 'SendLabel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel', 
                [], [], 
                '''                Send NLRI + MPLS Label to this peer
                ''',
                'send_label',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Administratively shut down this neighbor
                ''',
                'shutdown',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfiguration', REFERENCE_ENUM_CLASS, 'SoftReconfigurationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SoftReconfigurationEnum', 
                [], [], 
                '''                Per neighbor soft reconfiguration
                ''',
                'soft_reconfiguration',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers', 
                [], [], 
                '''                BGP per neighbor timers
                ''',
                'timers',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('translate-update', REFERENCE_CLASS, 'TranslateUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate', 
                [], [], 
                '''                Translate Update to MBGP format
                ''',
                'translate_update',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity', 
                [], [], 
                '''                BGP ttl security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unsuppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to selectively unsuppress suppressed routes
                ''',
                'unsuppress_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-source', REFERENCE_CLASS, 'UpdateSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource', 
                [], [], 
                '''                Source of routing updates
                ''',
                'update_source',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('4', 'None')], [], 
                '''                Set the BGP version to match a neighbor
                ''',
                'version',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set default weight for routes from this neighbor
                ''',
                'weight',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Network',
            False, 
            [
            _MetaInfoClassMember('number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('backdoor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify a BGP backdoor route
                ''',
                'backdoor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to modify the attributes
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application.Name',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp_',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Dvmrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Dvmrp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dvmrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default',
            False, 
            [
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'include_connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp-area', REFERENCE_LIST, 'IsoIgrpArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpArea', 
                [], [], 
                '''                ''',
                'iso_igrp_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_.Match',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external2', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external2',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'non-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('non-vrf', REFERENCE_CLASS, 'NonVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf', 
                [], [], 
                '''                ''',
                'non_vrf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp_', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dvmrp', REFERENCE_CLASS, 'Dvmrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Dvmrp', 
                [], [], 
                '''                Redistribution of DVMRP into BGP IPv4 Multicast
                ''',
                'dvmrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'filter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;route-map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context.Context_Word' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context.Context_Word',
            False, 
            [
            _MetaInfoClassMember('context_word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'context_word',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('context_word', REFERENCE_LIST, 'Context_Word' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context.Context_Word', 
                [], [], 
                '''                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('aggregate-address', REFERENCE_CLASS, 'AggregateAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress', 
                [], [], 
                '''                Configure BGP aggregate entries
                ''',
                'aggregate_address',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_', 
                [], [], 
                '''                BGP specific commands
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-paths', REFERENCE_CLASS, 'MaximumPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths', 
                [], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Network', 
                [], [], 
                '''                Specify a network to announce via BGP
                ''',
                'network',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('synchronization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform IGP synchronization
                ''',
                'synchronization',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf.Ipv6',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'Bgp_Ipv6_Af_TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Bgp_Ipv6_Af_TypeEnum', 
                [], [], 
                '''                ''',
                'af_name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf', 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.WithVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.WithVrf',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv4', 
                [], [], 
                '''                Address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_LIST, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf.Ipv6', 
                [], [], 
                '''                Address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'with-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress',
            False, 
            [
            _MetaInfoClassMember('advertise-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set condition to advertise attribute
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-set', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate AS set path information
                ''',
                'as_set',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('attribute-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'attribute_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_address',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('summary-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter more specific routes from updates
                ''',
                'summary_only',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Conditionally filter more specific routes from updates
                ''',
                'suppress_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aggregate-address',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Asnotation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Asnotation',
            False, 
            [
            _MetaInfoClassMember('dot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                asdot notation
                ''',
                'dot',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'asnotation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.NopeerupDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.NopeerupDelay',
            False, 
            [
            _MetaInfoClassMember('cold-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'cold_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nsf-switchover', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'nsf_switchover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('post-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'post_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('user-initiated', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'user_initiated',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nopeerup-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Recursion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Recursion',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                recursion via host for the nexthops
                ''',
                'host',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'recursion',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Backup',
            False, 
            [
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.BestExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.BestExternal',
            False, 
            [
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-external',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Backup', 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', REFERENCE_CLASS, 'BestExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.BestExternal', 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'select',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('install', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Additional paths to install into RIB
                ''',
                'install',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('select', REFERENCE_CLASS, 'Select' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select', 
                [], [], 
                '''                Selection criteria to pick the paths
                ''',
                'select',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to neighbors
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore cost communities in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.IgpMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.IgpMetric',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore igp metric in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med.Confed' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med.Confed',
            False, 
            [
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confed',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med',
            False, 
            [
            _MetaInfoClassMember('confed', REFERENCE_CLASS, 'Confed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med.Confed', 
                [], [], 
                '''                Compare MED among confederation paths
                ''',
                'confed',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'med',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath',
            False, 
            [
            _MetaInfoClassMember('compare-routerid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'compare_routerid',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.CostCommunity', 
                [], [], 
                '''                cost community
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('igp-metric', REFERENCE_CLASS, 'IgpMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.IgpMetric', 
                [], [], 
                '''                igp metric
                ''',
                'igp_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', REFERENCE_CLASS, 'Med' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med', 
                [], [], 
                '''                MED attribute
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ClientToClient' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ClientToClient',
            False, 
            [
            _MetaInfoClassMember('reflection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                reflection of routes allowed
                ''',
                'reflection',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'client-to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation.Peers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation.Peers',
            False, 
            [
            _MetaInfoClassMember('peers-as', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'peers_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation.Peers', 
                [], [], 
                '''                Peer ASs in BGP confederation
                ''',
                'peers',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confederation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.AutoRepair' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.AutoRepair',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'auto-repair',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.ErrorMessage' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.ErrorMessage',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'error-message',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker',
            False, 
            [
            _MetaInfoClassMember('auto-repair', REFERENCE_CLASS, 'AutoRepair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.AutoRepair', 
                [], [], 
                '''                Auto-Repair
                ''',
                'auto_repair',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('error-message', REFERENCE_CLASS, 'ErrorMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.ErrorMessage', 
                [], [], 
                '''                Log Error-Msg
                ''',
                'error_message',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'consistency-checker',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening.Dampen' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening.Dampen',
            False, 
            [
            _MetaInfoClassMember('half-life-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '45')], [], 
                '''                ''',
                'half_life_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_suppress_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('reuse-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'reuse_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'suppress_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampen',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampen', REFERENCE_CLASS, 'Dampen' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening.Dampen', 
                [], [], 
                '''                ''',
                'dampen',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria for dampening
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Default.RouteTargetEnum' : _MetaInfoEnum('RouteTargetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'filter':'filter',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Default',
            False, 
            [
            _MetaInfoClassMember('ipv4-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Activate ipv4-unicast for a peer by default
                ''',
                'ipv4_unicast',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-nexthop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default IPv6 nexthop format
                ''',
                'ipv6_nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                local preference (higher=more preferred)
                ''',
                'local_preference',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-target', REFERENCE_ENUM_CLASS, 'RouteTargetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Default.RouteTargetEnum', 
                [], [], 
                '''                Control behavior based on Route-Target attributes
                ''',
                'route_target',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time needed to restart and come back up
                ''',
                'restart_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('stalepath-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time to hold onto restarting peer's stale paths
                ''',
                'stalepath_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perfer BGP High Availability NSR sso mode
                ''',
                'prefer',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode',
            False, 
            [
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode.Sso', 
                [], [], 
                '''                BGP High Availability NSR sso mode
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.InjectMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.InjectMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('copy-attributes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy attributes from aggregate
                ''',
                'copy_attributes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Routemap which specifies exist condition
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inject-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.RouteMap',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Have route-map set commands take priority over BGP commands such 
                ''',
                'priority',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable slow-peer detection
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup.Split' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup.Split',
            False, 
            [
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep peers with as-override in different update groups
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('split', REFERENCE_CLASS, 'Split' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup.Split', 
                [], [], 
                '''                Split update groups based on Policy
                ''',
                'split',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop.Trigger' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop.Trigger',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the delay to tigger nexthop tracking
                ''',
                'delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable nexthop tracking
                ''',
                'enable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for valid nexthops
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('trigger', REFERENCE_CLASS, 'Trigger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop.Trigger', 
                [], [], 
                '''                Nexthop triggering
                ''',
                'trigger',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Regexp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Regexp',
            False, 
            [
            _MetaInfoClassMember('deterministic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable bounded-execution-time regular expression engine
                ''',
                'deterministic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'regexp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Transport',
            False, 
            [
            _MetaInfoClassMember('path-mtu-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths', 
                [], [], 
                '''                Additional paths in the BGP table
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best external path to internal peers
                ''',
                'advertise_best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aggregate-timer', ATTRIBUTE, 'int' , None, None, 
                [('6', '60')], [], 
                '''                Timer interval
                ''',
                'aggregate_timer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('always-compare-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow comparing MED from different neighbors
                ''',
                'always_compare_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('asnotation', REFERENCE_CLASS, 'Asnotation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Asnotation', 
                [], [], 
                '''                Change the default asplain notation
                ''',
                'asnotation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bestpath', REFERENCE_CLASS, 'Bestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath', 
                [], [], 
                '''                Change the default bestpath selection
                ''',
                'bestpath',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('client-to-client', REFERENCE_CLASS, 'ClientToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ClientToClient', 
                [], [], 
                '''                Configure client to client route reflection
                ''',
                'client_to_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('confederation', REFERENCE_CLASS, 'Confederation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation', 
                [], [], 
                '''                AS confederation parameters
                ''',
                'confederation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('consistency-checker', REFERENCE_CLASS, 'ConsistencyChecker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker', 
                [], [], 
                '''                Consistency-checker
                ''',
                'consistency_checker',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening', 
                [], [], 
                '''                Enable route-flap dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Default', 
                [], [], 
                '''                Configure BGP defaults
                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('deterministic-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pick the best-MED path among paths advertised from the neighboring AS
                ''',
                'deterministic_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DMZ Link Bandwidth as weight for BGP multipaths
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enforce-first-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforce the first AS for EBGP routes(default)
                ''',
                'enforce_first_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enhanced-error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabled BGP Enhanced error handling
                ''',
                'enhanced_error',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fast-external-fallover', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Immediately reset session if a link to a directly connected external peer goes down
                ''',
                'fast_external_fallover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.GracefulRestart', 
                [], [], 
                '''                Graceful restart capability parameters
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode', 
                [], [], 
                '''                Select BGP High Availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inject-map', REFERENCE_LIST, 'InjectMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.InjectMap', 
                [], [], 
                '''                Routemap which specifies prefixes to inject
                ''',
                'inject_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxas-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Allow AS-PATH attribute from any neighbor imposing a limit on number of ASes
                ''',
                'maxas_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxcommunity-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '1018')], [], 
                '''                Number of communities in the COMMUNITY attribute
                ''',
                'maxcommunity_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop', 
                [], [], 
                '''                Nexthop tracking commands
                ''',
                'nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nopeerup-delay', REFERENCE_CLASS, 'NopeerupDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.NopeerupDelay', 
                [], [], 
                '''                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                ''',
                'nopeerup_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('recursion', REFERENCE_CLASS, 'Recursion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Recursion', 
                [], [], 
                '''                recursion rule for the nexthops
                ''',
                'recursion',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute-internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow redistribution of iBGP into IGPs (dangerous)
                ''',
                'redistribute_internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('regexp', REFERENCE_CLASS, 'Regexp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Regexp', 
                [], [], 
                '''                Select regular expression engine
                ''',
                'regexp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.RouteMap', 
                [], [], 
                '''                bgp route-map commands
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('scan-time', ATTRIBUTE, 'int' , None, None, 
                [('5', '60')], [], 
                '''                Configure background scanner interval
                ''',
                'scan_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfig-backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use soft-reconfiguration inbound only when route-refresh is not negotiated
                ''',
                'soft_reconfig_backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-inactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routes that are not in the routing table
                ''',
                'suppress_inactive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max initial delay for sending update
                ''',
                'update_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-group', REFERENCE_CLASS, 'UpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup', 
                [], [], 
                '''                Manage peers in bgp update groups
                ''',
                'update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp_',
            False, 
            [
            _MetaInfoClassMember('extern-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'extern_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'internal_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('srcip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'srcip',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('wildbits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildbits',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'adm-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('adm-distance', REFERENCE_LIST, 'AdmDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance', 
                [], [], 
                '''                ''',
                'adm_distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp_', 
                [], [], 
                '''                BGP distance
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.Out',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.Out', 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'unequal-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unequal-cost', REFERENCE_CLASS, 'UnequalCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost', 
                [], [], 
                '''                Perform Un-Equal cost multipath selection
                ''',
                'unequal_cost',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths',
            False, 
            [
            _MetaInfoClassMember('eibgp', REFERENCE_CLASS, 'Eibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp', 
                [], [], 
                '''                Both eBGP and iBGP paths as multipath
                ''',
                'eibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ibgp', REFERENCE_CLASS, 'Ibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp', 
                [], [], 
                '''                iBGP-multipath
                ''',
                'ibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup',
            False, 
            [
            _MetaInfoClassMember('peer-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;peer-group name
                ''',
                'peer_group_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('dual-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept either real AS or local AS from the ebgp peer
                ''',
                'dual_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('no-prepend', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not prepend local-as to updates from ebgp peers
                ''',
                'no_prepend',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('replace-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Replace real AS with local AS in the EBGP updates
                ''',
                'replace_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'local-as',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from this neighbor
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable additional paths for this neighbor
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to this neighbor
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup',
            False, 
            [
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup', 
                [], [], 
                '''                Diverse path can be backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'diverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths', 
                [], [], 
                '''                Advertise additional paths
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best-external (at RRs best-internal) path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('diverse-path', REFERENCE_CLASS, 'DiversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath', 
                [], [], 
                '''                Advertise diverse path
                ''',
                'diverse_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                advertise route-map name
                ''',
                'word',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('non-exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'non_exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'pre-bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi',
            False, 
            [
            _MetaInfoClassMember('igp-cost', REFERENCE_CLASS, 'IgpCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost', 
                [], [], 
                '''                Point of Insertion After IGP
                ''',
                'igp_cost',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pre-bestpath', REFERENCE_CLASS, 'PreBestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath', 
                [], [], 
                '''                Point of Insertion At Beginning
                ''',
                'pre_bestpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'poi',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('poi', REFERENCE_CLASS, 'Poi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi', 
                [], [], 
                '''                Point of Insertion
                ''',
                'poi',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cc-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('cc-range', REFERENCE_LIST, 'CcRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange', 
                [], [], 
                '''                ''',
                'cc_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send',
            False, 
            [
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity', 
                [], [], 
                '''                Cost extended community carrying AIGP Value
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Med carrying AIGP Value
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp',
            False, 
            [
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send', 
                [], [], 
                '''                Cost community or MED carrying AIGP VALUE
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aigp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki',
            False, 
            [
            _MetaInfoClassMember('state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Announce RPKI State information using an Extended Community
                ''',
                'state',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rpki',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce',
            False, 
            [
            _MetaInfoClassMember('rpki', REFERENCE_CLASS, 'Rpki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki', 
                [], [], 
                '''                Announce RPKI information using an Extended Community
                ''',
                'rpki',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'announce',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'allowas-in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'as-override',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf.PrefixListEnum' : _MetaInfoEnum('PrefixListEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'send':'send',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'PrefixListEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf.PrefixListEnum', 
                [], [], 
                '''                Advertise prefixlist ORF capability to this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-bgp',
            'orf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability',
            False, 
            [
            _MetaInfoClassMember('orf', REFERENCE_CLASS, 'Orf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf', 
                [], [], 
                '''                Advertise ORF capability to the peer
                ''',
                'orf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria to originate default
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('accesslist', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop',
            False, 
            [
            _MetaInfoClassMember('max-hop', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_hop',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ebgp-multihop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd', 
                [], [], 
                '''                Use BFD to detect failure
                ''',
                'bfd',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'fall-over',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('as-path-list', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                ''',
                'as_path_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit',
            False, 
            [
            _MetaInfoClassMember('peer-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-policy template
                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-session', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-session template
                ''',
                'peer_session',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'log-neighbor-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('max-prefix-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'max_prefix_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Restart bgp connection after limit is exceeded
                ''',
                'restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('prefix-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix_list_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'discard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'treat-as-withdraw',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute',
            False, 
            [
            _MetaInfoClassMember('discard', REFERENCE_CLASS, 'Discard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard', 
                [], [], 
                '''                Discard matching path-attribute for this neighbor
                ''',
                'discard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('treat-as-withdraw', REFERENCE_CLASS, 'TreatAsWithdraw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw', 
                [], [], 
                '''                Treat-as-withdraw matching path-attribute for this neighbor
                ''',
                'treat_as_withdraw',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('route-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity.SendCommunityWhereEnum' : _MetaInfoEnum('SendCommunityWhereEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'extended':'extended',
            'standard':'standard',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity',
            False, 
            [
            _MetaInfoClassMember('send-community-where', REFERENCE_ENUM_CLASS, 'SendCommunityWhereEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity.SendCommunityWhereEnum', 
                [], [], 
                '''                ''',
                'send_community_where',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel.SendLabelExplicitEnum' : _MetaInfoEnum('SendLabelExplicitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel',
            False, 
            [
            _MetaInfoClassMember('send-label-explicit', REFERENCE_ENUM_CLASS, 'SendLabelExplicitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel.SendLabelExplicitEnum', 
                [], [], 
                '''                ''',
                'send_label_explicit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-label',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'holdtime',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('minimum-neighbor-hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'minimum_neighbor_hold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_.Multicast',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address Family modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_',
            False, 
            [
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_.Multicast', 
                [], [], 
                '''                Address Family modifier
                ''',
                'multicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'translate-update',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.ConnectionModeEnum' : _MetaInfoEnum('ConnectionModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport',
            False, 
            [
            _MetaInfoClassMember('connection-mode', REFERENCE_ENUM_CLASS, 'ConnectionModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.ConnectionModeEnum', 
                [], [], 
                '''                Specify passive or active connection
                ''',
                'connection_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('multi-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Multi-session for transport
                ''',
                'multi_session',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery', 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-source',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable graceful-restart
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable stateful-switchover
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode',
            False, 
            [
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart', 
                [], [], 
                '''                graceful-restart for this peer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso', 
                [], [], 
                '''                stateful-switchover support for this peer
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SoftReconfigurationEnum' : _MetaInfoEnum('SoftReconfigurationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'inbound':'inbound',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the Address Family for this Neighbor
                ''',
                'activate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths', 
                [], [], 
                '''                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise', 
                [], [], 
                '''                Advertise to this neighbor
                ''',
                'advertise',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-map', REFERENCE_CLASS, 'AdvertiseMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap', 
                [], [], 
                '''                specify route-map for conditional advertisement
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Minimum interval between sending BGP routing updates
                ''',
                'advertisement_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aigp', REFERENCE_CLASS, 'Aigp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp', 
                [], [], 
                '''                Enable a AIGP on neighbor
                ''',
                'aigp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allow-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the policy support for this IBGP Neighbor
                ''',
                'allow_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allowas-in', REFERENCE_CLASS, 'AllowasIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn', 
                [], [], 
                '''                Accept as-path with my AS present in it
                ''',
                'allowas_in',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('announce', REFERENCE_CLASS, 'Announce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce', 
                [], [], 
                '''                Announce RPKI State using an Extended Community
                ''',
                'announce',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', REFERENCE_CLASS, 'AsOverride' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride', 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability', 
                [], [], 
                '''                Advertise capability to the peer
                ''',
                'capability',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('default-originate', REFERENCE_CLASS, 'DefaultOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate', 
                [], [], 
                '''                Originate default route to this neighbour
                ''',
                'default_originate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor specific description
                ''',
                'description',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('disable-connected-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                One-hop away EBGP peer using loopback address
                ''',
                'disable_connected_check',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ebgp-multihop', REFERENCE_CLASS, 'EbgpMultihop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop', 
                [], [], 
                '''                Allow EBGP neighbors not on directly connected networks
                ''',
                'ebgp_multihop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fall-over', REFERENCE_CLASS, 'FallOver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver', 
                [], [], 
                '''                session fall on peer route lost
                ''',
                'fall_over',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList', 
                [], [], 
                '''                Establish BGP filters
                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode', 
                [], [], 
                '''                high availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit', 
                [], [], 
                '''                Inherit a template
                ''',
                'inherit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-as', REFERENCE_CLASS, 'LocalAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs', 
                [], [], 
                '''                Specify a local-as number
                ''',
                'local_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', REFERENCE_CLASS, 'LogNeighborChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges', 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes accepted from this peer
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-self', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable the next hop calculation for this neighbor
                ''',
                'next_hop_self',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the iBGP paths's next hop unchanged for this neighbor
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-attribute', REFERENCE_CLASS, 'PathAttribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute', 
                [], [], 
                '''                BGP optional attribute filtering
                ''',
                'path_attribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-group', REFERENCE_CLASS, 'PeerGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup', 
                [], [], 
                '''                Member of the peer-group
                ''',
                'peer_group',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a BGP neighbor
                ''',
                'remote_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remove-private-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remove private AS number from outbound updates
                ''',
                'remove_private_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap', 
                [], [], 
                '''                Apply route map to neighbor
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-client', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure a neighbor as Route Reflector client
                ''',
                'route_reflector_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_reflector_cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('send-community', REFERENCE_CLASS, 'SendCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity', 
                [], [], 
                '''                Send Community attribute to this neighbor
                ''',
                'send_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send-label', REFERENCE_CLASS, 'SendLabel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel', 
                [], [], 
                '''                Send NLRI + MPLS Label to this peer
                ''',
                'send_label',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Administratively shut down this neighbor
                ''',
                'shutdown',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfiguration', REFERENCE_ENUM_CLASS, 'SoftReconfigurationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SoftReconfigurationEnum', 
                [], [], 
                '''                Per neighbor soft reconfiguration
                ''',
                'soft_reconfiguration',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers', 
                [], [], 
                '''                BGP per neighbor timers
                ''',
                'timers',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('translate-update', REFERENCE_CLASS, 'TranslateUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate', 
                [], [], 
                '''                Translate Update to MBGP format
                ''',
                'translate_update',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity', 
                [], [], 
                '''                BGP ttl security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unsuppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to selectively unsuppress suppressed routes
                ''',
                'unsuppress_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-source', REFERENCE_CLASS, 'UpdateSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource', 
                [], [], 
                '''                Source of routing updates
                ''',
                'update_source',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('4', 'None')], [], 
                '''                Set the BGP version to match a neighbor
                ''',
                'version',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set default weight for routes from this neighbor
                ''',
                'weight',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Network',
            False, 
            [
            _MetaInfoClassMember('number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('backdoor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify a BGP backdoor route
                ''',
                'backdoor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to modify the attributes
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp_',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dvmrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default',
            False, 
            [
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'include_connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp-area', REFERENCE_LIST, 'IsoIgrpArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea', 
                [], [], 
                '''                ''',
                'iso_igrp_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external2', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external2',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'non-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('non-vrf', REFERENCE_CLASS, 'NonVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf', 
                [], [], 
                '''                ''',
                'non_vrf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp_', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dvmrp', REFERENCE_CLASS, 'Dvmrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp', 
                [], [], 
                '''                Redistribution of DVMRP into BGP IPv4 Multicast
                ''',
                'dvmrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'filter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;route-map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context.Context_Word' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context.Context_Word',
            False, 
            [
            _MetaInfoClassMember('context_word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'context_word',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('context_word', REFERENCE_LIST, 'Context_Word' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context.Context_Word', 
                [], [], 
                '''                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv4',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'Bgp_Ipv4_Af_TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Bgp_Ipv4_Af_TypeEnum', 
                [], [], 
                '''                ''',
                'af_name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('aggregate-address', REFERENCE_CLASS, 'AggregateAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress', 
                [], [], 
                '''                Configure BGP aggregate entries
                ''',
                'aggregate_address',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_', 
                [], [], 
                '''                BGP specific commands
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-paths', REFERENCE_CLASS, 'MaximumPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths', 
                [], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Network', 
                [], [], 
                '''                Specify a network to announce via BGP
                ''',
                'network',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('synchronization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform IGP synchronization
                ''',
                'synchronization',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress',
            False, 
            [
            _MetaInfoClassMember('advertise-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set condition to advertise attribute
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-set', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate AS set path information
                ''',
                'as_set',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('attribute-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'attribute_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ipv6_address',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('summary-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter more specific routes from updates
                ''',
                'summary_only',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Conditionally filter more specific routes from updates
                ''',
                'suppress_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aggregate-address',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Asnotation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Asnotation',
            False, 
            [
            _MetaInfoClassMember('dot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                asdot notation
                ''',
                'dot',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'asnotation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.NopeerupDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.NopeerupDelay',
            False, 
            [
            _MetaInfoClassMember('cold-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'cold_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nsf-switchover', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'nsf_switchover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('post-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'post_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('user-initiated', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'user_initiated',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nopeerup-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Recursion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Recursion',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                recursion via host for the nexthops
                ''',
                'host',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'recursion',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Backup',
            False, 
            [
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.BestExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.BestExternal',
            False, 
            [
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-external',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Backup', 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', REFERENCE_CLASS, 'BestExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.BestExternal', 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'select',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('install', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Additional paths to install into RIB
                ''',
                'install',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('select', REFERENCE_CLASS, 'Select' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select', 
                [], [], 
                '''                Selection criteria to pick the paths
                ''',
                'select',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to neighbors
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore cost communities in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.IgpMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.IgpMetric',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore igp metric in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med.Confed' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med.Confed',
            False, 
            [
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confed',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med',
            False, 
            [
            _MetaInfoClassMember('confed', REFERENCE_CLASS, 'Confed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med.Confed', 
                [], [], 
                '''                Compare MED among confederation paths
                ''',
                'confed',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'med',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath',
            False, 
            [
            _MetaInfoClassMember('compare-routerid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'compare_routerid',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.CostCommunity', 
                [], [], 
                '''                cost community
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('igp-metric', REFERENCE_CLASS, 'IgpMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.IgpMetric', 
                [], [], 
                '''                igp metric
                ''',
                'igp_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', REFERENCE_CLASS, 'Med' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med', 
                [], [], 
                '''                MED attribute
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ClientToClient' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ClientToClient',
            False, 
            [
            _MetaInfoClassMember('reflection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                reflection of routes allowed
                ''',
                'reflection',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'client-to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation.Peers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation.Peers',
            False, 
            [
            _MetaInfoClassMember('peers-as', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'peers_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation.Peers', 
                [], [], 
                '''                Peer ASs in BGP confederation
                ''',
                'peers',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confederation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.AutoRepair' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.AutoRepair',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'auto-repair',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.ErrorMessage' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.ErrorMessage',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'error-message',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker',
            False, 
            [
            _MetaInfoClassMember('auto-repair', REFERENCE_CLASS, 'AutoRepair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.AutoRepair', 
                [], [], 
                '''                Auto-Repair
                ''',
                'auto_repair',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('error-message', REFERENCE_CLASS, 'ErrorMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.ErrorMessage', 
                [], [], 
                '''                Log Error-Msg
                ''',
                'error_message',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'consistency-checker',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening.Dampen' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening.Dampen',
            False, 
            [
            _MetaInfoClassMember('half-life-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '45')], [], 
                '''                ''',
                'half_life_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_suppress_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('reuse-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'reuse_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'suppress_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampen',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampen', REFERENCE_CLASS, 'Dampen' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening.Dampen', 
                [], [], 
                '''                ''',
                'dampen',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria for dampening
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Default.RouteTargetEnum' : _MetaInfoEnum('RouteTargetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'filter':'filter',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Default',
            False, 
            [
            _MetaInfoClassMember('ipv4-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Activate ipv4-unicast for a peer by default
                ''',
                'ipv4_unicast',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-nexthop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default IPv6 nexthop format
                ''',
                'ipv6_nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                local preference (higher=more preferred)
                ''',
                'local_preference',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-target', REFERENCE_ENUM_CLASS, 'RouteTargetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Default.RouteTargetEnum', 
                [], [], 
                '''                Control behavior based on Route-Target attributes
                ''',
                'route_target',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time needed to restart and come back up
                ''',
                'restart_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('stalepath-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time to hold onto restarting peer's stale paths
                ''',
                'stalepath_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perfer BGP High Availability NSR sso mode
                ''',
                'prefer',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode',
            False, 
            [
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode.Sso', 
                [], [], 
                '''                BGP High Availability NSR sso mode
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.InjectMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.InjectMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('copy-attributes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy attributes from aggregate
                ''',
                'copy_attributes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Routemap which specifies exist condition
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inject-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.RouteMap',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Have route-map set commands take priority over BGP commands such 
                ''',
                'priority',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable slow-peer detection
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup.Split' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup.Split',
            False, 
            [
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep peers with as-override in different update groups
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('split', REFERENCE_CLASS, 'Split' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup.Split', 
                [], [], 
                '''                Split update groups based on Policy
                ''',
                'split',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop.Trigger' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop.Trigger',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the delay to tigger nexthop tracking
                ''',
                'delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable nexthop tracking
                ''',
                'enable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for valid nexthops
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('trigger', REFERENCE_CLASS, 'Trigger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop.Trigger', 
                [], [], 
                '''                Nexthop triggering
                ''',
                'trigger',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Regexp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Regexp',
            False, 
            [
            _MetaInfoClassMember('deterministic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable bounded-execution-time regular expression engine
                ''',
                'deterministic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'regexp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Transport',
            False, 
            [
            _MetaInfoClassMember('path-mtu-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths', 
                [], [], 
                '''                Additional paths in the BGP table
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best external path to internal peers
                ''',
                'advertise_best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aggregate-timer', ATTRIBUTE, 'int' , None, None, 
                [('6', '60')], [], 
                '''                Timer interval
                ''',
                'aggregate_timer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('always-compare-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow comparing MED from different neighbors
                ''',
                'always_compare_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('asnotation', REFERENCE_CLASS, 'Asnotation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Asnotation', 
                [], [], 
                '''                Change the default asplain notation
                ''',
                'asnotation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bestpath', REFERENCE_CLASS, 'Bestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath', 
                [], [], 
                '''                Change the default bestpath selection
                ''',
                'bestpath',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('client-to-client', REFERENCE_CLASS, 'ClientToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ClientToClient', 
                [], [], 
                '''                Configure client to client route reflection
                ''',
                'client_to_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('confederation', REFERENCE_CLASS, 'Confederation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation', 
                [], [], 
                '''                AS confederation parameters
                ''',
                'confederation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('consistency-checker', REFERENCE_CLASS, 'ConsistencyChecker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker', 
                [], [], 
                '''                Consistency-checker
                ''',
                'consistency_checker',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening', 
                [], [], 
                '''                Enable route-flap dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Default', 
                [], [], 
                '''                Configure BGP defaults
                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('deterministic-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pick the best-MED path among paths advertised from the neighboring AS
                ''',
                'deterministic_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DMZ Link Bandwidth as weight for BGP multipaths
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enforce-first-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforce the first AS for EBGP routes(default)
                ''',
                'enforce_first_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enhanced-error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabled BGP Enhanced error handling
                ''',
                'enhanced_error',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fast-external-fallover', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Immediately reset session if a link to a directly connected external peer goes down
                ''',
                'fast_external_fallover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.GracefulRestart', 
                [], [], 
                '''                Graceful restart capability parameters
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode', 
                [], [], 
                '''                Select BGP High Availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inject-map', REFERENCE_LIST, 'InjectMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.InjectMap', 
                [], [], 
                '''                Routemap which specifies prefixes to inject
                ''',
                'inject_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxas-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Allow AS-PATH attribute from any neighbor imposing a limit on number of ASes
                ''',
                'maxas_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxcommunity-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '1018')], [], 
                '''                Number of communities in the COMMUNITY attribute
                ''',
                'maxcommunity_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop', 
                [], [], 
                '''                Nexthop tracking commands
                ''',
                'nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nopeerup-delay', REFERENCE_CLASS, 'NopeerupDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.NopeerupDelay', 
                [], [], 
                '''                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                ''',
                'nopeerup_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('recursion', REFERENCE_CLASS, 'Recursion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Recursion', 
                [], [], 
                '''                recursion rule for the nexthops
                ''',
                'recursion',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute-internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow redistribution of iBGP into IGPs (dangerous)
                ''',
                'redistribute_internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('regexp', REFERENCE_CLASS, 'Regexp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Regexp', 
                [], [], 
                '''                Select regular expression engine
                ''',
                'regexp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.RouteMap', 
                [], [], 
                '''                bgp route-map commands
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('scan-time', ATTRIBUTE, 'int' , None, None, 
                [('5', '60')], [], 
                '''                Configure background scanner interval
                ''',
                'scan_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfig-backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use soft-reconfiguration inbound only when route-refresh is not negotiated
                ''',
                'soft_reconfig_backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-inactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routes that are not in the routing table
                ''',
                'suppress_inactive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max initial delay for sending update
                ''',
                'update_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-group', REFERENCE_CLASS, 'UpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup', 
                [], [], 
                '''                Manage peers in bgp update groups
                ''',
                'update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp_',
            False, 
            [
            _MetaInfoClassMember('extern-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'extern_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'internal_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('srcip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'srcip',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('wildbits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildbits',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'adm-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('adm-distance', REFERENCE_LIST, 'AdmDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance', 
                [], [], 
                '''                ''',
                'adm_distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp_', 
                [], [], 
                '''                BGP distance
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.Out',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.Out', 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'unequal-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unequal-cost', REFERENCE_CLASS, 'UnequalCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost', 
                [], [], 
                '''                Perform Un-Equal cost multipath selection
                ''',
                'unequal_cost',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths',
            False, 
            [
            _MetaInfoClassMember('eibgp', REFERENCE_CLASS, 'Eibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp', 
                [], [], 
                '''                Both eBGP and iBGP paths as multipath
                ''',
                'eibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ibgp', REFERENCE_CLASS, 'Ibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp', 
                [], [], 
                '''                iBGP-multipath
                ''',
                'ibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup',
            False, 
            [
            _MetaInfoClassMember('peer-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;peer-group name
                ''',
                'peer_group_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('dual-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept either real AS or local AS from the ebgp peer
                ''',
                'dual_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('no-prepend', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not prepend local-as to updates from ebgp peers
                ''',
                'no_prepend',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('replace-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Replace real AS with local AS in the EBGP updates
                ''',
                'replace_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'local-as',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from this neighbor
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable additional paths for this neighbor
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to this neighbor
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup',
            False, 
            [
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup', 
                [], [], 
                '''                Diverse path can be backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'diverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths', 
                [], [], 
                '''                Advertise additional paths
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best-external (at RRs best-internal) path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('diverse-path', REFERENCE_CLASS, 'DiversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath', 
                [], [], 
                '''                Advertise diverse path
                ''',
                'diverse_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                advertise route-map name
                ''',
                'word',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('non-exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'non_exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'pre-bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi',
            False, 
            [
            _MetaInfoClassMember('igp-cost', REFERENCE_CLASS, 'IgpCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost', 
                [], [], 
                '''                Point of Insertion After IGP
                ''',
                'igp_cost',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pre-bestpath', REFERENCE_CLASS, 'PreBestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath', 
                [], [], 
                '''                Point of Insertion At Beginning
                ''',
                'pre_bestpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'poi',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('poi', REFERENCE_CLASS, 'Poi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi', 
                [], [], 
                '''                Point of Insertion
                ''',
                'poi',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cc-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('cc-range', REFERENCE_LIST, 'CcRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange', 
                [], [], 
                '''                ''',
                'cc_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send',
            False, 
            [
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity', 
                [], [], 
                '''                Cost extended community carrying AIGP Value
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Med carrying AIGP Value
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp',
            False, 
            [
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send', 
                [], [], 
                '''                Cost community or MED carrying AIGP VALUE
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aigp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki',
            False, 
            [
            _MetaInfoClassMember('state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Announce RPKI State information using an Extended Community
                ''',
                'state',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rpki',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce',
            False, 
            [
            _MetaInfoClassMember('rpki', REFERENCE_CLASS, 'Rpki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki', 
                [], [], 
                '''                Announce RPKI information using an Extended Community
                ''',
                'rpki',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'announce',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'allowas-in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'as-override',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf.PrefixListEnum' : _MetaInfoEnum('PrefixListEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'send':'send',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'PrefixListEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf.PrefixListEnum', 
                [], [], 
                '''                Advertise prefixlist ORF capability to this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-bgp',
            'orf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability',
            False, 
            [
            _MetaInfoClassMember('orf', REFERENCE_CLASS, 'Orf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf', 
                [], [], 
                '''                Advertise ORF capability to the peer
                ''',
                'orf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria to originate default
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('accesslist', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop',
            False, 
            [
            _MetaInfoClassMember('max-hop', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_hop',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ebgp-multihop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd', 
                [], [], 
                '''                Use BFD to detect failure
                ''',
                'bfd',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'fall-over',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('as-path-list', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                ''',
                'as_path_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit',
            False, 
            [
            _MetaInfoClassMember('peer-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-policy template
                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-session', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-session template
                ''',
                'peer_session',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'log-neighbor-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('max-prefix-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'max_prefix_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Restart bgp connection after limit is exceeded
                ''',
                'restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('prefix-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix_list_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'discard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'treat-as-withdraw',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute',
            False, 
            [
            _MetaInfoClassMember('discard', REFERENCE_CLASS, 'Discard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard', 
                [], [], 
                '''                Discard matching path-attribute for this neighbor
                ''',
                'discard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('treat-as-withdraw', REFERENCE_CLASS, 'TreatAsWithdraw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw', 
                [], [], 
                '''                Treat-as-withdraw matching path-attribute for this neighbor
                ''',
                'treat_as_withdraw',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('route-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity.SendCommunityWhereEnum' : _MetaInfoEnum('SendCommunityWhereEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'extended':'extended',
            'standard':'standard',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity',
            False, 
            [
            _MetaInfoClassMember('send-community-where', REFERENCE_ENUM_CLASS, 'SendCommunityWhereEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity.SendCommunityWhereEnum', 
                [], [], 
                '''                ''',
                'send_community_where',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel.SendLabelExplicitEnum' : _MetaInfoEnum('SendLabelExplicitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel',
            False, 
            [
            _MetaInfoClassMember('send-label-explicit', REFERENCE_ENUM_CLASS, 'SendLabelExplicitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel.SendLabelExplicitEnum', 
                [], [], 
                '''                ''',
                'send_label_explicit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-label',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'holdtime',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('minimum-neighbor-hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'minimum_neighbor_hold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address Family modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4',
            False, 
            [
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast', 
                [], [], 
                '''                Address Family modifier
                ''',
                'multicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'translate-update',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.ConnectionModeEnum' : _MetaInfoEnum('ConnectionModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport',
            False, 
            [
            _MetaInfoClassMember('connection-mode', REFERENCE_ENUM_CLASS, 'ConnectionModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.ConnectionModeEnum', 
                [], [], 
                '''                Specify passive or active connection
                ''',
                'connection_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('multi-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Multi-session for transport
                ''',
                'multi_session',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery', 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-source',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable graceful-restart
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable stateful-switchover
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode',
            False, 
            [
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart', 
                [], [], 
                '''                graceful-restart for this peer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso', 
                [], [], 
                '''                stateful-switchover support for this peer
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SoftReconfigurationEnum' : _MetaInfoEnum('SoftReconfigurationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'inbound':'inbound',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the Address Family for this Neighbor
                ''',
                'activate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths', 
                [], [], 
                '''                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise', 
                [], [], 
                '''                Advertise to this neighbor
                ''',
                'advertise',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-map', REFERENCE_CLASS, 'AdvertiseMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap', 
                [], [], 
                '''                specify route-map for conditional advertisement
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Minimum interval between sending BGP routing updates
                ''',
                'advertisement_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aigp', REFERENCE_CLASS, 'Aigp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp', 
                [], [], 
                '''                Enable a AIGP on neighbor
                ''',
                'aigp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allow-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the policy support for this IBGP Neighbor
                ''',
                'allow_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allowas-in', REFERENCE_CLASS, 'AllowasIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn', 
                [], [], 
                '''                Accept as-path with my AS present in it
                ''',
                'allowas_in',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('announce', REFERENCE_CLASS, 'Announce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce', 
                [], [], 
                '''                Announce RPKI State using an Extended Community
                ''',
                'announce',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', REFERENCE_CLASS, 'AsOverride' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride', 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability', 
                [], [], 
                '''                Advertise capability to the peer
                ''',
                'capability',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('default-originate', REFERENCE_CLASS, 'DefaultOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate', 
                [], [], 
                '''                Originate default route to this neighbour
                ''',
                'default_originate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor specific description
                ''',
                'description',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('disable-connected-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                One-hop away EBGP peer using loopback address
                ''',
                'disable_connected_check',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ebgp-multihop', REFERENCE_CLASS, 'EbgpMultihop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop', 
                [], [], 
                '''                Allow EBGP neighbors not on directly connected networks
                ''',
                'ebgp_multihop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fall-over', REFERENCE_CLASS, 'FallOver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver', 
                [], [], 
                '''                session fall on peer route lost
                ''',
                'fall_over',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList', 
                [], [], 
                '''                Establish BGP filters
                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode', 
                [], [], 
                '''                high availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit', 
                [], [], 
                '''                Inherit a template
                ''',
                'inherit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-as', REFERENCE_CLASS, 'LocalAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs', 
                [], [], 
                '''                Specify a local-as number
                ''',
                'local_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', REFERENCE_CLASS, 'LogNeighborChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges', 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes accepted from this peer
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-self', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable the next hop calculation for this neighbor
                ''',
                'next_hop_self',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the iBGP paths's next hop unchanged for this neighbor
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-attribute', REFERENCE_CLASS, 'PathAttribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute', 
                [], [], 
                '''                BGP optional attribute filtering
                ''',
                'path_attribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-group', REFERENCE_CLASS, 'PeerGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup', 
                [], [], 
                '''                Member of the peer-group
                ''',
                'peer_group',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a BGP neighbor
                ''',
                'remote_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remove-private-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remove private AS number from outbound updates
                ''',
                'remove_private_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap', 
                [], [], 
                '''                Apply route map to neighbor
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-client', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure a neighbor as Route Reflector client
                ''',
                'route_reflector_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_reflector_cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('send-community', REFERENCE_CLASS, 'SendCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity', 
                [], [], 
                '''                Send Community attribute to this neighbor
                ''',
                'send_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send-label', REFERENCE_CLASS, 'SendLabel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel', 
                [], [], 
                '''                Send NLRI + MPLS Label to this peer
                ''',
                'send_label',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Administratively shut down this neighbor
                ''',
                'shutdown',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfiguration', REFERENCE_ENUM_CLASS, 'SoftReconfigurationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SoftReconfigurationEnum', 
                [], [], 
                '''                Per neighbor soft reconfiguration
                ''',
                'soft_reconfiguration',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers', 
                [], [], 
                '''                BGP per neighbor timers
                ''',
                'timers',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('translate-update', REFERENCE_CLASS, 'TranslateUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate', 
                [], [], 
                '''                Translate Update to MBGP format
                ''',
                'translate_update',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity', 
                [], [], 
                '''                BGP ttl security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unsuppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to selectively unsuppress suppressed routes
                ''',
                'unsuppress_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-source', REFERENCE_CLASS, 'UpdateSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource', 
                [], [], 
                '''                Source of routing updates
                ''',
                'update_source',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('4', 'None')], [], 
                '''                Set the BGP version to match a neighbor
                ''',
                'version',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set default weight for routes from this neighbor
                ''',
                'weight',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Network',
            False, 
            [
            _MetaInfoClassMember('number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('backdoor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify a BGP backdoor route
                ''',
                'backdoor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to modify the attributes
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp_',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dvmrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default',
            False, 
            [
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'include_connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp-area', REFERENCE_LIST, 'IsoIgrpArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea', 
                [], [], 
                '''                ''',
                'iso_igrp_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external2', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external2',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'non-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('non-vrf', REFERENCE_CLASS, 'NonVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf', 
                [], [], 
                '''                ''',
                'non_vrf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp_', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dvmrp', REFERENCE_CLASS, 'Dvmrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp', 
                [], [], 
                '''                Redistribution of DVMRP into BGP IPv4 Multicast
                ''',
                'dvmrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'filter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;route-map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context.Context_Word' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context.Context_Word',
            False, 
            [
            _MetaInfoClassMember('context_word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'context_word',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('context_word', REFERENCE_LIST, 'Context_Word' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context.Context_Word', 
                [], [], 
                '''                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Ipv6',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'Bgp_Ipv6_Af_TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'Bgp_Ipv6_Af_TypeEnum', 
                [], [], 
                '''                ''',
                'af_name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('aggregate-address', REFERENCE_CLASS, 'AggregateAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress', 
                [], [], 
                '''                Configure BGP aggregate entries
                ''',
                'aggregate_address',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_', 
                [], [], 
                '''                BGP specific commands
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-paths', REFERENCE_CLASS, 'MaximumPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths', 
                [], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Network', 
                [], [], 
                '''                Specify a network to announce via BGP
                ''',
                'network',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('synchronization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform IGP synchronization
                ''',
                'synchronization',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Asnotation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Asnotation',
            False, 
            [
            _MetaInfoClassMember('dot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                asdot notation
                ''',
                'dot',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'asnotation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.NopeerupDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.NopeerupDelay',
            False, 
            [
            _MetaInfoClassMember('cold-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'cold_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nsf-switchover', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'nsf_switchover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('post-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'post_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('user-initiated', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'user_initiated',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nopeerup-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Recursion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Recursion',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                recursion via host for the nexthops
                ''',
                'host',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'recursion',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Backup',
            False, 
            [
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.BestExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.BestExternal',
            False, 
            [
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-external',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Backup', 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', REFERENCE_CLASS, 'BestExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.BestExternal', 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'select',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('install', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Additional paths to install into RIB
                ''',
                'install',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('select', REFERENCE_CLASS, 'Select' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select', 
                [], [], 
                '''                Selection criteria to pick the paths
                ''',
                'select',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to neighbors
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore cost communities in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.IgpMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.IgpMetric',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore igp metric in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med.Confed' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med.Confed',
            False, 
            [
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confed',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med',
            False, 
            [
            _MetaInfoClassMember('confed', REFERENCE_CLASS, 'Confed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med.Confed', 
                [], [], 
                '''                Compare MED among confederation paths
                ''',
                'confed',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'med',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath',
            False, 
            [
            _MetaInfoClassMember('compare-routerid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'compare_routerid',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.CostCommunity', 
                [], [], 
                '''                cost community
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('igp-metric', REFERENCE_CLASS, 'IgpMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.IgpMetric', 
                [], [], 
                '''                igp metric
                ''',
                'igp_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', REFERENCE_CLASS, 'Med' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med', 
                [], [], 
                '''                MED attribute
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ClientToClient' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ClientToClient',
            False, 
            [
            _MetaInfoClassMember('reflection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                reflection of routes allowed
                ''',
                'reflection',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'client-to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation.Peers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation.Peers',
            False, 
            [
            _MetaInfoClassMember('peers-as', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'peers_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation.Peers', 
                [], [], 
                '''                Peer ASs in BGP confederation
                ''',
                'peers',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confederation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.AutoRepair' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.AutoRepair',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'auto-repair',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.ErrorMessage' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.ErrorMessage',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'error-message',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker',
            False, 
            [
            _MetaInfoClassMember('auto-repair', REFERENCE_CLASS, 'AutoRepair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.AutoRepair', 
                [], [], 
                '''                Auto-Repair
                ''',
                'auto_repair',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('error-message', REFERENCE_CLASS, 'ErrorMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.ErrorMessage', 
                [], [], 
                '''                Log Error-Msg
                ''',
                'error_message',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'consistency-checker',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening.Dampen' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening.Dampen',
            False, 
            [
            _MetaInfoClassMember('half-life-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '45')], [], 
                '''                ''',
                'half_life_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_suppress_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('reuse-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'reuse_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'suppress_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampen',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampen', REFERENCE_CLASS, 'Dampen' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening.Dampen', 
                [], [], 
                '''                ''',
                'dampen',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria for dampening
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Default.RouteTargetEnum' : _MetaInfoEnum('RouteTargetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'filter':'filter',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Default',
            False, 
            [
            _MetaInfoClassMember('ipv4-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Activate ipv4-unicast for a peer by default
                ''',
                'ipv4_unicast',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-nexthop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default IPv6 nexthop format
                ''',
                'ipv6_nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                local preference (higher=more preferred)
                ''',
                'local_preference',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-target', REFERENCE_ENUM_CLASS, 'RouteTargetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Default.RouteTargetEnum', 
                [], [], 
                '''                Control behavior based on Route-Target attributes
                ''',
                'route_target',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time needed to restart and come back up
                ''',
                'restart_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('stalepath-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time to hold onto restarting peer's stale paths
                ''',
                'stalepath_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perfer BGP High Availability NSR sso mode
                ''',
                'prefer',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode',
            False, 
            [
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode.Sso', 
                [], [], 
                '''                BGP High Availability NSR sso mode
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.InjectMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.InjectMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('copy-attributes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy attributes from aggregate
                ''',
                'copy_attributes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Routemap which specifies exist condition
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inject-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.RouteMap',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Have route-map set commands take priority over BGP commands such 
                ''',
                'priority',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable slow-peer detection
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup.Split' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup.Split',
            False, 
            [
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep peers with as-override in different update groups
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('split', REFERENCE_CLASS, 'Split' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup.Split', 
                [], [], 
                '''                Split update groups based on Policy
                ''',
                'split',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop.Trigger' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop.Trigger',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the delay to tigger nexthop tracking
                ''',
                'delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable nexthop tracking
                ''',
                'enable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for valid nexthops
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('trigger', REFERENCE_CLASS, 'Trigger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop.Trigger', 
                [], [], 
                '''                Nexthop triggering
                ''',
                'trigger',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Regexp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Regexp',
            False, 
            [
            _MetaInfoClassMember('deterministic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable bounded-execution-time regular expression engine
                ''',
                'deterministic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'regexp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Transport',
            False, 
            [
            _MetaInfoClassMember('path-mtu-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths', 
                [], [], 
                '''                Additional paths in the BGP table
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best external path to internal peers
                ''',
                'advertise_best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aggregate-timer', ATTRIBUTE, 'int' , None, None, 
                [('6', '60')], [], 
                '''                Timer interval
                ''',
                'aggregate_timer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('always-compare-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow comparing MED from different neighbors
                ''',
                'always_compare_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('asnotation', REFERENCE_CLASS, 'Asnotation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Asnotation', 
                [], [], 
                '''                Change the default asplain notation
                ''',
                'asnotation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bestpath', REFERENCE_CLASS, 'Bestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath', 
                [], [], 
                '''                Change the default bestpath selection
                ''',
                'bestpath',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('client-to-client', REFERENCE_CLASS, 'ClientToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ClientToClient', 
                [], [], 
                '''                Configure client to client route reflection
                ''',
                'client_to_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('confederation', REFERENCE_CLASS, 'Confederation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation', 
                [], [], 
                '''                AS confederation parameters
                ''',
                'confederation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('consistency-checker', REFERENCE_CLASS, 'ConsistencyChecker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker', 
                [], [], 
                '''                Consistency-checker
                ''',
                'consistency_checker',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening', 
                [], [], 
                '''                Enable route-flap dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Default', 
                [], [], 
                '''                Configure BGP defaults
                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('deterministic-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pick the best-MED path among paths advertised from the neighboring AS
                ''',
                'deterministic_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DMZ Link Bandwidth as weight for BGP multipaths
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enforce-first-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforce the first AS for EBGP routes(default)
                ''',
                'enforce_first_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enhanced-error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabled BGP Enhanced error handling
                ''',
                'enhanced_error',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fast-external-fallover', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Immediately reset session if a link to a directly connected external peer goes down
                ''',
                'fast_external_fallover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.GracefulRestart', 
                [], [], 
                '''                Graceful restart capability parameters
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode', 
                [], [], 
                '''                Select BGP High Availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inject-map', REFERENCE_LIST, 'InjectMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.InjectMap', 
                [], [], 
                '''                Routemap which specifies prefixes to inject
                ''',
                'inject_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxas-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Allow AS-PATH attribute from any neighbor imposing a limit on number of ASes
                ''',
                'maxas_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxcommunity-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '1018')], [], 
                '''                Number of communities in the COMMUNITY attribute
                ''',
                'maxcommunity_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop', 
                [], [], 
                '''                Nexthop tracking commands
                ''',
                'nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nopeerup-delay', REFERENCE_CLASS, 'NopeerupDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.NopeerupDelay', 
                [], [], 
                '''                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                ''',
                'nopeerup_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('recursion', REFERENCE_CLASS, 'Recursion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Recursion', 
                [], [], 
                '''                recursion rule for the nexthops
                ''',
                'recursion',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute-internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow redistribution of iBGP into IGPs (dangerous)
                ''',
                'redistribute_internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('regexp', REFERENCE_CLASS, 'Regexp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Regexp', 
                [], [], 
                '''                Select regular expression engine
                ''',
                'regexp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.RouteMap', 
                [], [], 
                '''                bgp route-map commands
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('scan-time', ATTRIBUTE, 'int' , None, None, 
                [('5', '60')], [], 
                '''                Configure background scanner interval
                ''',
                'scan_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfig-backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use soft-reconfiguration inbound only when route-refresh is not negotiated
                ''',
                'soft_reconfig_backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-inactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routes that are not in the routing table
                ''',
                'suppress_inactive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max initial delay for sending update
                ''',
                'update_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-group', REFERENCE_CLASS, 'UpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup', 
                [], [], 
                '''                Manage peers in bgp update groups
                ''',
                'update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp_',
            False, 
            [
            _MetaInfoClassMember('extern-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'extern_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'internal_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('srcip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'srcip',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('wildbits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildbits',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'adm-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance',
            False, 
            [
            _MetaInfoClassMember('adm-distance', REFERENCE_LIST, 'AdmDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance', 
                [], [], 
                '''                ''',
                'adm_distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp_', 
                [], [], 
                '''                BGP distance
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.Out',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.Out', 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'unequal-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unequal-cost', REFERENCE_CLASS, 'UnequalCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost', 
                [], [], 
                '''                Perform Un-Equal cost multipath selection
                ''',
                'unequal_cost',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths',
            False, 
            [
            _MetaInfoClassMember('eibgp', REFERENCE_CLASS, 'Eibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp', 
                [], [], 
                '''                Both eBGP and iBGP paths as multipath
                ''',
                'eibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ibgp', REFERENCE_CLASS, 'Ibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp', 
                [], [], 
                '''                iBGP-multipath
                ''',
                'ibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup',
            False, 
            [
            _MetaInfoClassMember('peer-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;peer-group name
                ''',
                'peer_group_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('dual-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept either real AS or local AS from the ebgp peer
                ''',
                'dual_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('no-prepend', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not prepend local-as to updates from ebgp peers
                ''',
                'no_prepend',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('replace-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Replace real AS with local AS in the EBGP updates
                ''',
                'replace_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'local-as',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from this neighbor
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable additional paths for this neighbor
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to this neighbor
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup',
            False, 
            [
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup', 
                [], [], 
                '''                Diverse path can be backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'diverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths', 
                [], [], 
                '''                Advertise additional paths
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best-external (at RRs best-internal) path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('diverse-path', REFERENCE_CLASS, 'DiversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath', 
                [], [], 
                '''                Advertise diverse path
                ''',
                'diverse_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                advertise route-map name
                ''',
                'word',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('non-exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'non_exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'pre-bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi',
            False, 
            [
            _MetaInfoClassMember('igp-cost', REFERENCE_CLASS, 'IgpCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost', 
                [], [], 
                '''                Point of Insertion After IGP
                ''',
                'igp_cost',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pre-bestpath', REFERENCE_CLASS, 'PreBestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath', 
                [], [], 
                '''                Point of Insertion At Beginning
                ''',
                'pre_bestpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'poi',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('poi', REFERENCE_CLASS, 'Poi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi', 
                [], [], 
                '''                Point of Insertion
                ''',
                'poi',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cc-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('cc-range', REFERENCE_LIST, 'CcRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange', 
                [], [], 
                '''                ''',
                'cc_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send',
            False, 
            [
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity', 
                [], [], 
                '''                Cost extended community carrying AIGP Value
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Med carrying AIGP Value
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp',
            False, 
            [
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send', 
                [], [], 
                '''                Cost community or MED carrying AIGP VALUE
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aigp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki',
            False, 
            [
            _MetaInfoClassMember('state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Announce RPKI State information using an Extended Community
                ''',
                'state',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rpki',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce',
            False, 
            [
            _MetaInfoClassMember('rpki', REFERENCE_CLASS, 'Rpki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki', 
                [], [], 
                '''                Announce RPKI information using an Extended Community
                ''',
                'rpki',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'announce',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'allowas-in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'as-override',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf.PrefixListEnum' : _MetaInfoEnum('PrefixListEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'send':'send',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'PrefixListEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf.PrefixListEnum', 
                [], [], 
                '''                Advertise prefixlist ORF capability to this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-bgp',
            'orf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability',
            False, 
            [
            _MetaInfoClassMember('orf', REFERENCE_CLASS, 'Orf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf', 
                [], [], 
                '''                Advertise ORF capability to the peer
                ''',
                'orf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria to originate default
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('accesslist', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop',
            False, 
            [
            _MetaInfoClassMember('max-hop', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_hop',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ebgp-multihop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd', 
                [], [], 
                '''                Use BFD to detect failure
                ''',
                'bfd',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'fall-over',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('as-path-list', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                ''',
                'as_path_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit',
            False, 
            [
            _MetaInfoClassMember('peer-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-policy template
                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-session', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-session template
                ''',
                'peer_session',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'log-neighbor-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('max-prefix-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'max_prefix_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Restart bgp connection after limit is exceeded
                ''',
                'restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('prefix-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix_list_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'discard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'treat-as-withdraw',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute',
            False, 
            [
            _MetaInfoClassMember('discard', REFERENCE_CLASS, 'Discard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard', 
                [], [], 
                '''                Discard matching path-attribute for this neighbor
                ''',
                'discard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('treat-as-withdraw', REFERENCE_CLASS, 'TreatAsWithdraw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw', 
                [], [], 
                '''                Treat-as-withdraw matching path-attribute for this neighbor
                ''',
                'treat_as_withdraw',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('route-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity.SendCommunityWhereEnum' : _MetaInfoEnum('SendCommunityWhereEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'extended':'extended',
            'standard':'standard',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity',
            False, 
            [
            _MetaInfoClassMember('send-community-where', REFERENCE_ENUM_CLASS, 'SendCommunityWhereEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity.SendCommunityWhereEnum', 
                [], [], 
                '''                ''',
                'send_community_where',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel.SendLabelExplicitEnum' : _MetaInfoEnum('SendLabelExplicitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel',
            False, 
            [
            _MetaInfoClassMember('send-label-explicit', REFERENCE_ENUM_CLASS, 'SendLabelExplicitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel.SendLabelExplicitEnum', 
                [], [], 
                '''                ''',
                'send_label_explicit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-label',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'holdtime',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('minimum-neighbor-hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'minimum_neighbor_hold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address Family modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4',
            False, 
            [
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast', 
                [], [], 
                '''                Address Family modifier
                ''',
                'multicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'translate-update',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.ConnectionModeEnum' : _MetaInfoEnum('ConnectionModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport',
            False, 
            [
            _MetaInfoClassMember('connection-mode', REFERENCE_ENUM_CLASS, 'ConnectionModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.ConnectionModeEnum', 
                [], [], 
                '''                Specify passive or active connection
                ''',
                'connection_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('multi-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Multi-session for transport
                ''',
                'multi_session',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery', 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-source',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable graceful-restart
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable stateful-switchover
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode',
            False, 
            [
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart', 
                [], [], 
                '''                graceful-restart for this peer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso', 
                [], [], 
                '''                stateful-switchover support for this peer
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SoftReconfigurationEnum' : _MetaInfoEnum('SoftReconfigurationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'inbound':'inbound',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the Address Family for this Neighbor
                ''',
                'activate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths', 
                [], [], 
                '''                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise', 
                [], [], 
                '''                Advertise to this neighbor
                ''',
                'advertise',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-map', REFERENCE_CLASS, 'AdvertiseMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap', 
                [], [], 
                '''                specify route-map for conditional advertisement
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Minimum interval between sending BGP routing updates
                ''',
                'advertisement_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aigp', REFERENCE_CLASS, 'Aigp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp', 
                [], [], 
                '''                Enable a AIGP on neighbor
                ''',
                'aigp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allow-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the policy support for this IBGP Neighbor
                ''',
                'allow_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allowas-in', REFERENCE_CLASS, 'AllowasIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn', 
                [], [], 
                '''                Accept as-path with my AS present in it
                ''',
                'allowas_in',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('announce', REFERENCE_CLASS, 'Announce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce', 
                [], [], 
                '''                Announce RPKI State using an Extended Community
                ''',
                'announce',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', REFERENCE_CLASS, 'AsOverride' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride', 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability', 
                [], [], 
                '''                Advertise capability to the peer
                ''',
                'capability',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('default-originate', REFERENCE_CLASS, 'DefaultOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate', 
                [], [], 
                '''                Originate default route to this neighbour
                ''',
                'default_originate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor specific description
                ''',
                'description',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('disable-connected-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                One-hop away EBGP peer using loopback address
                ''',
                'disable_connected_check',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ebgp-multihop', REFERENCE_CLASS, 'EbgpMultihop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop', 
                [], [], 
                '''                Allow EBGP neighbors not on directly connected networks
                ''',
                'ebgp_multihop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fall-over', REFERENCE_CLASS, 'FallOver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver', 
                [], [], 
                '''                session fall on peer route lost
                ''',
                'fall_over',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList', 
                [], [], 
                '''                Establish BGP filters
                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode', 
                [], [], 
                '''                high availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit', 
                [], [], 
                '''                Inherit a template
                ''',
                'inherit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-as', REFERENCE_CLASS, 'LocalAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs', 
                [], [], 
                '''                Specify a local-as number
                ''',
                'local_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', REFERENCE_CLASS, 'LogNeighborChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges', 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes accepted from this peer
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-self', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable the next hop calculation for this neighbor
                ''',
                'next_hop_self',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the iBGP paths's next hop unchanged for this neighbor
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-attribute', REFERENCE_CLASS, 'PathAttribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute', 
                [], [], 
                '''                BGP optional attribute filtering
                ''',
                'path_attribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-group', REFERENCE_CLASS, 'PeerGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup', 
                [], [], 
                '''                Member of the peer-group
                ''',
                'peer_group',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a BGP neighbor
                ''',
                'remote_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remove-private-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remove private AS number from outbound updates
                ''',
                'remove_private_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap', 
                [], [], 
                '''                Apply route map to neighbor
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-client', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure a neighbor as Route Reflector client
                ''',
                'route_reflector_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_reflector_cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('send-community', REFERENCE_CLASS, 'SendCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity', 
                [], [], 
                '''                Send Community attribute to this neighbor
                ''',
                'send_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send-label', REFERENCE_CLASS, 'SendLabel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel', 
                [], [], 
                '''                Send NLRI + MPLS Label to this peer
                ''',
                'send_label',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Administratively shut down this neighbor
                ''',
                'shutdown',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfiguration', REFERENCE_ENUM_CLASS, 'SoftReconfigurationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SoftReconfigurationEnum', 
                [], [], 
                '''                Per neighbor soft reconfiguration
                ''',
                'soft_reconfiguration',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers', 
                [], [], 
                '''                BGP per neighbor timers
                ''',
                'timers',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('translate-update', REFERENCE_CLASS, 'TranslateUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate', 
                [], [], 
                '''                Translate Update to MBGP format
                ''',
                'translate_update',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity', 
                [], [], 
                '''                BGP ttl security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unsuppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to selectively unsuppress suppressed routes
                ''',
                'unsuppress_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-source', REFERENCE_CLASS, 'UpdateSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource', 
                [], [], 
                '''                Source of routing updates
                ''',
                'update_source',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('4', 'None')], [], 
                '''                Set the BGP version to match a neighbor
                ''',
                'version',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set default weight for routes from this neighbor
                ''',
                'weight',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Network',
            False, 
            [
            _MetaInfoClassMember('number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('backdoor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify a BGP backdoor route
                ''',
                'backdoor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to modify the attributes
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp_',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dvmrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default',
            False, 
            [
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'include_connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp-area', REFERENCE_LIST, 'IsoIgrpArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea', 
                [], [], 
                '''                ''',
                'iso_igrp_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external2', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external2',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'non-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('non-vrf', REFERENCE_CLASS, 'NonVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf', 
                [], [], 
                '''                ''',
                'non_vrf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp_', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dvmrp', REFERENCE_CLASS, 'Dvmrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp', 
                [], [], 
                '''                Redistribution of DVMRP into BGP IPv4 Multicast
                ''',
                'dvmrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'filter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;route-map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context.Context_Word' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context.Context_Word',
            False, 
            [
            _MetaInfoClassMember('context_word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'context_word',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('context_word', REFERENCE_LIST, 'Context_Word' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context.Context_Word', 
                [], [], 
                '''                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.AfNameEnum' : _MetaInfoEnum('AfNameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
            'multicast':'multicast',
            'flowspec':'flowspec',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'AfNameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.AfNameEnum', 
                [], [], 
                '''                ''',
                'af_name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_', 
                [], [], 
                '''                BGP specific commands
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-paths', REFERENCE_CLASS, 'MaximumPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths', 
                [], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Network', 
                [], [], 
                '''                Specify a network to announce via BGP
                ''',
                'network',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('synchronization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform IGP synchronization
                ''',
                'synchronization',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vpnv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Asnotation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Asnotation',
            False, 
            [
            _MetaInfoClassMember('dot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                asdot notation
                ''',
                'dot',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'asnotation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.NopeerupDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.NopeerupDelay',
            False, 
            [
            _MetaInfoClassMember('cold-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'cold_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nsf-switchover', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'nsf_switchover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('post-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'post_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('user-initiated', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'user_initiated',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nopeerup-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Recursion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Recursion',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                recursion via host for the nexthops
                ''',
                'host',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'recursion',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Backup',
            False, 
            [
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.BestExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.BestExternal',
            False, 
            [
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-external',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Backup', 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', REFERENCE_CLASS, 'BestExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.BestExternal', 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'select',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('install', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Additional paths to install into RIB
                ''',
                'install',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('select', REFERENCE_CLASS, 'Select' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select', 
                [], [], 
                '''                Selection criteria to pick the paths
                ''',
                'select',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to neighbors
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore cost communities in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.IgpMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.IgpMetric',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore igp metric in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med.Confed' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med.Confed',
            False, 
            [
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confed',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med',
            False, 
            [
            _MetaInfoClassMember('confed', REFERENCE_CLASS, 'Confed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med.Confed', 
                [], [], 
                '''                Compare MED among confederation paths
                ''',
                'confed',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'med',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath',
            False, 
            [
            _MetaInfoClassMember('compare-routerid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'compare_routerid',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.CostCommunity', 
                [], [], 
                '''                cost community
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('igp-metric', REFERENCE_CLASS, 'IgpMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.IgpMetric', 
                [], [], 
                '''                igp metric
                ''',
                'igp_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', REFERENCE_CLASS, 'Med' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med', 
                [], [], 
                '''                MED attribute
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ClientToClient' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ClientToClient',
            False, 
            [
            _MetaInfoClassMember('reflection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                reflection of routes allowed
                ''',
                'reflection',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'client-to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation.Peers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation.Peers',
            False, 
            [
            _MetaInfoClassMember('peers-as', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'peers_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation.Peers', 
                [], [], 
                '''                Peer ASs in BGP confederation
                ''',
                'peers',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confederation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.AutoRepair' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.AutoRepair',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'auto-repair',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.ErrorMessage' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.ErrorMessage',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'error-message',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker',
            False, 
            [
            _MetaInfoClassMember('auto-repair', REFERENCE_CLASS, 'AutoRepair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.AutoRepair', 
                [], [], 
                '''                Auto-Repair
                ''',
                'auto_repair',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('error-message', REFERENCE_CLASS, 'ErrorMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.ErrorMessage', 
                [], [], 
                '''                Log Error-Msg
                ''',
                'error_message',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'consistency-checker',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening.Dampen' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening.Dampen',
            False, 
            [
            _MetaInfoClassMember('half-life-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '45')], [], 
                '''                ''',
                'half_life_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_suppress_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('reuse-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'reuse_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'suppress_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampen',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampen', REFERENCE_CLASS, 'Dampen' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening.Dampen', 
                [], [], 
                '''                ''',
                'dampen',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria for dampening
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Default.RouteTargetEnum' : _MetaInfoEnum('RouteTargetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'filter':'filter',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Default',
            False, 
            [
            _MetaInfoClassMember('ipv4-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Activate ipv4-unicast for a peer by default
                ''',
                'ipv4_unicast',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-nexthop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default IPv6 nexthop format
                ''',
                'ipv6_nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                local preference (higher=more preferred)
                ''',
                'local_preference',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-target', REFERENCE_ENUM_CLASS, 'RouteTargetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Default.RouteTargetEnum', 
                [], [], 
                '''                Control behavior based on Route-Target attributes
                ''',
                'route_target',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time needed to restart and come back up
                ''',
                'restart_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('stalepath-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time to hold onto restarting peer's stale paths
                ''',
                'stalepath_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perfer BGP High Availability NSR sso mode
                ''',
                'prefer',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode',
            False, 
            [
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode.Sso', 
                [], [], 
                '''                BGP High Availability NSR sso mode
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.InjectMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.InjectMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('copy-attributes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy attributes from aggregate
                ''',
                'copy_attributes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Routemap which specifies exist condition
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inject-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.RouteMap',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Have route-map set commands take priority over BGP commands such 
                ''',
                'priority',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable slow-peer detection
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup.Split' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup.Split',
            False, 
            [
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep peers with as-override in different update groups
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('split', REFERENCE_CLASS, 'Split' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup.Split', 
                [], [], 
                '''                Split update groups based on Policy
                ''',
                'split',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop.Trigger' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop.Trigger',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the delay to tigger nexthop tracking
                ''',
                'delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable nexthop tracking
                ''',
                'enable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for valid nexthops
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('trigger', REFERENCE_CLASS, 'Trigger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop.Trigger', 
                [], [], 
                '''                Nexthop triggering
                ''',
                'trigger',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Regexp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Regexp',
            False, 
            [
            _MetaInfoClassMember('deterministic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable bounded-execution-time regular expression engine
                ''',
                'deterministic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'regexp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Transport',
            False, 
            [
            _MetaInfoClassMember('path-mtu-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths', 
                [], [], 
                '''                Additional paths in the BGP table
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best external path to internal peers
                ''',
                'advertise_best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aggregate-timer', ATTRIBUTE, 'int' , None, None, 
                [('6', '60')], [], 
                '''                Timer interval
                ''',
                'aggregate_timer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('always-compare-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow comparing MED from different neighbors
                ''',
                'always_compare_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('asnotation', REFERENCE_CLASS, 'Asnotation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Asnotation', 
                [], [], 
                '''                Change the default asplain notation
                ''',
                'asnotation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bestpath', REFERENCE_CLASS, 'Bestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath', 
                [], [], 
                '''                Change the default bestpath selection
                ''',
                'bestpath',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('client-to-client', REFERENCE_CLASS, 'ClientToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ClientToClient', 
                [], [], 
                '''                Configure client to client route reflection
                ''',
                'client_to_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('confederation', REFERENCE_CLASS, 'Confederation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation', 
                [], [], 
                '''                AS confederation parameters
                ''',
                'confederation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('consistency-checker', REFERENCE_CLASS, 'ConsistencyChecker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker', 
                [], [], 
                '''                Consistency-checker
                ''',
                'consistency_checker',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening', 
                [], [], 
                '''                Enable route-flap dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Default', 
                [], [], 
                '''                Configure BGP defaults
                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('deterministic-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pick the best-MED path among paths advertised from the neighboring AS
                ''',
                'deterministic_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DMZ Link Bandwidth as weight for BGP multipaths
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enforce-first-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforce the first AS for EBGP routes(default)
                ''',
                'enforce_first_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enhanced-error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabled BGP Enhanced error handling
                ''',
                'enhanced_error',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fast-external-fallover', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Immediately reset session if a link to a directly connected external peer goes down
                ''',
                'fast_external_fallover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.GracefulRestart', 
                [], [], 
                '''                Graceful restart capability parameters
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode', 
                [], [], 
                '''                Select BGP High Availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inject-map', REFERENCE_LIST, 'InjectMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.InjectMap', 
                [], [], 
                '''                Routemap which specifies prefixes to inject
                ''',
                'inject_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxas-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Allow AS-PATH attribute from any neighbor imposing a limit on number of ASes
                ''',
                'maxas_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxcommunity-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '1018')], [], 
                '''                Number of communities in the COMMUNITY attribute
                ''',
                'maxcommunity_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop', 
                [], [], 
                '''                Nexthop tracking commands
                ''',
                'nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nopeerup-delay', REFERENCE_CLASS, 'NopeerupDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.NopeerupDelay', 
                [], [], 
                '''                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                ''',
                'nopeerup_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('recursion', REFERENCE_CLASS, 'Recursion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Recursion', 
                [], [], 
                '''                recursion rule for the nexthops
                ''',
                'recursion',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute-internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow redistribution of iBGP into IGPs (dangerous)
                ''',
                'redistribute_internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('regexp', REFERENCE_CLASS, 'Regexp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Regexp', 
                [], [], 
                '''                Select regular expression engine
                ''',
                'regexp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.RouteMap', 
                [], [], 
                '''                bgp route-map commands
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('scan-time', ATTRIBUTE, 'int' , None, None, 
                [('5', '60')], [], 
                '''                Configure background scanner interval
                ''',
                'scan_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfig-backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use soft-reconfiguration inbound only when route-refresh is not negotiated
                ''',
                'soft_reconfig_backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-inactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routes that are not in the routing table
                ''',
                'suppress_inactive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max initial delay for sending update
                ''',
                'update_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-group', REFERENCE_CLASS, 'UpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup', 
                [], [], 
                '''                Manage peers in bgp update groups
                ''',
                'update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp_',
            False, 
            [
            _MetaInfoClassMember('extern-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'extern_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'internal_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('srcip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'srcip',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('wildbits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildbits',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'adm-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance',
            False, 
            [
            _MetaInfoClassMember('adm-distance', REFERENCE_LIST, 'AdmDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance', 
                [], [], 
                '''                ''',
                'adm_distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp_', 
                [], [], 
                '''                BGP distance
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.Out',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.Out', 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'unequal-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unequal-cost', REFERENCE_CLASS, 'UnequalCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost', 
                [], [], 
                '''                Perform Un-Equal cost multipath selection
                ''',
                'unequal_cost',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths',
            False, 
            [
            _MetaInfoClassMember('eibgp', REFERENCE_CLASS, 'Eibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp', 
                [], [], 
                '''                Both eBGP and iBGP paths as multipath
                ''',
                'eibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ibgp', REFERENCE_CLASS, 'Ibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp', 
                [], [], 
                '''                iBGP-multipath
                ''',
                'ibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup',
            False, 
            [
            _MetaInfoClassMember('peer-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;peer-group name
                ''',
                'peer_group_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('dual-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept either real AS or local AS from the ebgp peer
                ''',
                'dual_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('no-prepend', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not prepend local-as to updates from ebgp peers
                ''',
                'no_prepend',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('replace-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Replace real AS with local AS in the EBGP updates
                ''',
                'replace_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'local-as',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from this neighbor
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable additional paths for this neighbor
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to this neighbor
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup',
            False, 
            [
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup', 
                [], [], 
                '''                Diverse path can be backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'diverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths', 
                [], [], 
                '''                Advertise additional paths
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best-external (at RRs best-internal) path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('diverse-path', REFERENCE_CLASS, 'DiversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath', 
                [], [], 
                '''                Advertise diverse path
                ''',
                'diverse_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                advertise route-map name
                ''',
                'word',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('non-exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'non_exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'pre-bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi',
            False, 
            [
            _MetaInfoClassMember('igp-cost', REFERENCE_CLASS, 'IgpCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost', 
                [], [], 
                '''                Point of Insertion After IGP
                ''',
                'igp_cost',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pre-bestpath', REFERENCE_CLASS, 'PreBestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath', 
                [], [], 
                '''                Point of Insertion At Beginning
                ''',
                'pre_bestpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'poi',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('poi', REFERENCE_CLASS, 'Poi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi', 
                [], [], 
                '''                Point of Insertion
                ''',
                'poi',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cc-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('cc-range', REFERENCE_LIST, 'CcRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange', 
                [], [], 
                '''                ''',
                'cc_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send',
            False, 
            [
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity', 
                [], [], 
                '''                Cost extended community carrying AIGP Value
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Med carrying AIGP Value
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp',
            False, 
            [
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send', 
                [], [], 
                '''                Cost community or MED carrying AIGP VALUE
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aigp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki',
            False, 
            [
            _MetaInfoClassMember('state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Announce RPKI State information using an Extended Community
                ''',
                'state',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rpki',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce',
            False, 
            [
            _MetaInfoClassMember('rpki', REFERENCE_CLASS, 'Rpki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki', 
                [], [], 
                '''                Announce RPKI information using an Extended Community
                ''',
                'rpki',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'announce',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'allowas-in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'as-override',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf.PrefixListEnum' : _MetaInfoEnum('PrefixListEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'send':'send',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'PrefixListEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf.PrefixListEnum', 
                [], [], 
                '''                Advertise prefixlist ORF capability to this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-bgp',
            'orf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability',
            False, 
            [
            _MetaInfoClassMember('orf', REFERENCE_CLASS, 'Orf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf', 
                [], [], 
                '''                Advertise ORF capability to the peer
                ''',
                'orf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria to originate default
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('accesslist', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop',
            False, 
            [
            _MetaInfoClassMember('max-hop', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_hop',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ebgp-multihop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd', 
                [], [], 
                '''                Use BFD to detect failure
                ''',
                'bfd',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'fall-over',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('as-path-list', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                ''',
                'as_path_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit',
            False, 
            [
            _MetaInfoClassMember('peer-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-policy template
                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-session', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-session template
                ''',
                'peer_session',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'log-neighbor-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('max-prefix-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'max_prefix_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Restart bgp connection after limit is exceeded
                ''',
                'restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('prefix-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix_list_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'discard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'treat-as-withdraw',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute',
            False, 
            [
            _MetaInfoClassMember('discard', REFERENCE_CLASS, 'Discard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard', 
                [], [], 
                '''                Discard matching path-attribute for this neighbor
                ''',
                'discard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('treat-as-withdraw', REFERENCE_CLASS, 'TreatAsWithdraw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw', 
                [], [], 
                '''                Treat-as-withdraw matching path-attribute for this neighbor
                ''',
                'treat_as_withdraw',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('route-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity.SendCommunityWhereEnum' : _MetaInfoEnum('SendCommunityWhereEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'extended':'extended',
            'standard':'standard',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity',
            False, 
            [
            _MetaInfoClassMember('send-community-where', REFERENCE_ENUM_CLASS, 'SendCommunityWhereEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity.SendCommunityWhereEnum', 
                [], [], 
                '''                ''',
                'send_community_where',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel.SendLabelExplicitEnum' : _MetaInfoEnum('SendLabelExplicitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel',
            False, 
            [
            _MetaInfoClassMember('send-label-explicit', REFERENCE_ENUM_CLASS, 'SendLabelExplicitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel.SendLabelExplicitEnum', 
                [], [], 
                '''                ''',
                'send_label_explicit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-label',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'holdtime',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('minimum-neighbor-hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'minimum_neighbor_hold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address Family modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4',
            False, 
            [
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast', 
                [], [], 
                '''                Address Family modifier
                ''',
                'multicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'translate-update',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.ConnectionModeEnum' : _MetaInfoEnum('ConnectionModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport',
            False, 
            [
            _MetaInfoClassMember('connection-mode', REFERENCE_ENUM_CLASS, 'ConnectionModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.ConnectionModeEnum', 
                [], [], 
                '''                Specify passive or active connection
                ''',
                'connection_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('multi-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Multi-session for transport
                ''',
                'multi_session',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery', 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-source',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable graceful-restart
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable stateful-switchover
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode',
            False, 
            [
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart', 
                [], [], 
                '''                graceful-restart for this peer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso', 
                [], [], 
                '''                stateful-switchover support for this peer
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SoftReconfigurationEnum' : _MetaInfoEnum('SoftReconfigurationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'inbound':'inbound',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the Address Family for this Neighbor
                ''',
                'activate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths', 
                [], [], 
                '''                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise', 
                [], [], 
                '''                Advertise to this neighbor
                ''',
                'advertise',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-map', REFERENCE_CLASS, 'AdvertiseMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap', 
                [], [], 
                '''                specify route-map for conditional advertisement
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Minimum interval between sending BGP routing updates
                ''',
                'advertisement_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aigp', REFERENCE_CLASS, 'Aigp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp', 
                [], [], 
                '''                Enable a AIGP on neighbor
                ''',
                'aigp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allow-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the policy support for this IBGP Neighbor
                ''',
                'allow_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allowas-in', REFERENCE_CLASS, 'AllowasIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn', 
                [], [], 
                '''                Accept as-path with my AS present in it
                ''',
                'allowas_in',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('announce', REFERENCE_CLASS, 'Announce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce', 
                [], [], 
                '''                Announce RPKI State using an Extended Community
                ''',
                'announce',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', REFERENCE_CLASS, 'AsOverride' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride', 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability', 
                [], [], 
                '''                Advertise capability to the peer
                ''',
                'capability',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('default-originate', REFERENCE_CLASS, 'DefaultOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate', 
                [], [], 
                '''                Originate default route to this neighbour
                ''',
                'default_originate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor specific description
                ''',
                'description',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('disable-connected-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                One-hop away EBGP peer using loopback address
                ''',
                'disable_connected_check',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ebgp-multihop', REFERENCE_CLASS, 'EbgpMultihop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop', 
                [], [], 
                '''                Allow EBGP neighbors not on directly connected networks
                ''',
                'ebgp_multihop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fall-over', REFERENCE_CLASS, 'FallOver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver', 
                [], [], 
                '''                session fall on peer route lost
                ''',
                'fall_over',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList', 
                [], [], 
                '''                Establish BGP filters
                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode', 
                [], [], 
                '''                high availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit', 
                [], [], 
                '''                Inherit a template
                ''',
                'inherit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-as', REFERENCE_CLASS, 'LocalAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs', 
                [], [], 
                '''                Specify a local-as number
                ''',
                'local_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', REFERENCE_CLASS, 'LogNeighborChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges', 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes accepted from this peer
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-self', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable the next hop calculation for this neighbor
                ''',
                'next_hop_self',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the iBGP paths's next hop unchanged for this neighbor
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-attribute', REFERENCE_CLASS, 'PathAttribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute', 
                [], [], 
                '''                BGP optional attribute filtering
                ''',
                'path_attribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-group', REFERENCE_CLASS, 'PeerGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup', 
                [], [], 
                '''                Member of the peer-group
                ''',
                'peer_group',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a BGP neighbor
                ''',
                'remote_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remove-private-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remove private AS number from outbound updates
                ''',
                'remove_private_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap', 
                [], [], 
                '''                Apply route map to neighbor
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-client', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure a neighbor as Route Reflector client
                ''',
                'route_reflector_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_reflector_cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('send-community', REFERENCE_CLASS, 'SendCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity', 
                [], [], 
                '''                Send Community attribute to this neighbor
                ''',
                'send_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send-label', REFERENCE_CLASS, 'SendLabel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel', 
                [], [], 
                '''                Send NLRI + MPLS Label to this peer
                ''',
                'send_label',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Administratively shut down this neighbor
                ''',
                'shutdown',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfiguration', REFERENCE_ENUM_CLASS, 'SoftReconfigurationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SoftReconfigurationEnum', 
                [], [], 
                '''                Per neighbor soft reconfiguration
                ''',
                'soft_reconfiguration',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers', 
                [], [], 
                '''                BGP per neighbor timers
                ''',
                'timers',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('translate-update', REFERENCE_CLASS, 'TranslateUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate', 
                [], [], 
                '''                Translate Update to MBGP format
                ''',
                'translate_update',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity', 
                [], [], 
                '''                BGP ttl security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unsuppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to selectively unsuppress suppressed routes
                ''',
                'unsuppress_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-source', REFERENCE_CLASS, 'UpdateSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource', 
                [], [], 
                '''                Source of routing updates
                ''',
                'update_source',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('4', 'None')], [], 
                '''                Set the BGP version to match a neighbor
                ''',
                'version',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set default weight for routes from this neighbor
                ''',
                'weight',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Network',
            False, 
            [
            _MetaInfoClassMember('number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('backdoor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify a BGP backdoor route
                ''',
                'backdoor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to modify the attributes
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp_',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dvmrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default',
            False, 
            [
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'include_connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp-area', REFERENCE_LIST, 'IsoIgrpArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea', 
                [], [], 
                '''                ''',
                'iso_igrp_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external2', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external2',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'non-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('non-vrf', REFERENCE_CLASS, 'NonVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf', 
                [], [], 
                '''                ''',
                'non_vrf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp_', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dvmrp', REFERENCE_CLASS, 'Dvmrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp', 
                [], [], 
                '''                Redistribution of DVMRP into BGP IPv4 Multicast
                ''',
                'dvmrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'filter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;route-map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context.Context_Word' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context.Context_Word',
            False, 
            [
            _MetaInfoClassMember('context_word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'context_word',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('context_word', REFERENCE_LIST, 'Context_Word' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context.Context_Word', 
                [], [], 
                '''                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.AfNameEnum' : _MetaInfoEnum('AfNameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
            'multicast':'multicast',
            'flowspec':'flowspec',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'AfNameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.AfNameEnum', 
                [], [], 
                '''                ''',
                'af_name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_', 
                [], [], 
                '''                BGP specific commands
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-paths', REFERENCE_CLASS, 'MaximumPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths', 
                [], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Network', 
                [], [], 
                '''                Specify a network to announce via BGP
                ''',
                'network',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('synchronization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform IGP synchronization
                ''',
                'synchronization',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vpnv6',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Asnotation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Asnotation',
            False, 
            [
            _MetaInfoClassMember('dot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                asdot notation
                ''',
                'dot',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'asnotation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.NopeerupDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.NopeerupDelay',
            False, 
            [
            _MetaInfoClassMember('cold-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'cold_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nsf-switchover', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'nsf_switchover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('post-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'post_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('user-initiated', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'user_initiated',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nopeerup-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Recursion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Recursion',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                recursion via host for the nexthops
                ''',
                'host',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'recursion',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Backup',
            False, 
            [
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.BestExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.BestExternal',
            False, 
            [
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-external',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Backup', 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', REFERENCE_CLASS, 'BestExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.BestExternal', 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'select',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('install', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Additional paths to install into RIB
                ''',
                'install',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('select', REFERENCE_CLASS, 'Select' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select', 
                [], [], 
                '''                Selection criteria to pick the paths
                ''',
                'select',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to neighbors
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore cost communities in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.IgpMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.IgpMetric',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore igp metric in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med.Confed' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med.Confed',
            False, 
            [
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confed',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med',
            False, 
            [
            _MetaInfoClassMember('confed', REFERENCE_CLASS, 'Confed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med.Confed', 
                [], [], 
                '''                Compare MED among confederation paths
                ''',
                'confed',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'med',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath',
            False, 
            [
            _MetaInfoClassMember('compare-routerid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'compare_routerid',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.CostCommunity', 
                [], [], 
                '''                cost community
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('igp-metric', REFERENCE_CLASS, 'IgpMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.IgpMetric', 
                [], [], 
                '''                igp metric
                ''',
                'igp_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', REFERENCE_CLASS, 'Med' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med', 
                [], [], 
                '''                MED attribute
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ClientToClient' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ClientToClient',
            False, 
            [
            _MetaInfoClassMember('reflection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                reflection of routes allowed
                ''',
                'reflection',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'client-to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation.Peers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation.Peers',
            False, 
            [
            _MetaInfoClassMember('peers-as', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'peers_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation.Peers', 
                [], [], 
                '''                Peer ASs in BGP confederation
                ''',
                'peers',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confederation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.AutoRepair' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.AutoRepair',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'auto-repair',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.ErrorMessage' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.ErrorMessage',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'error-message',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker',
            False, 
            [
            _MetaInfoClassMember('auto-repair', REFERENCE_CLASS, 'AutoRepair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.AutoRepair', 
                [], [], 
                '''                Auto-Repair
                ''',
                'auto_repair',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('error-message', REFERENCE_CLASS, 'ErrorMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.ErrorMessage', 
                [], [], 
                '''                Log Error-Msg
                ''',
                'error_message',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'consistency-checker',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening.Dampen' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening.Dampen',
            False, 
            [
            _MetaInfoClassMember('half-life-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '45')], [], 
                '''                ''',
                'half_life_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_suppress_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('reuse-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'reuse_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'suppress_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampen',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampen', REFERENCE_CLASS, 'Dampen' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening.Dampen', 
                [], [], 
                '''                ''',
                'dampen',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria for dampening
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Default.RouteTargetEnum' : _MetaInfoEnum('RouteTargetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'filter':'filter',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Default',
            False, 
            [
            _MetaInfoClassMember('ipv4-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Activate ipv4-unicast for a peer by default
                ''',
                'ipv4_unicast',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-nexthop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default IPv6 nexthop format
                ''',
                'ipv6_nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                local preference (higher=more preferred)
                ''',
                'local_preference',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-target', REFERENCE_ENUM_CLASS, 'RouteTargetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Default.RouteTargetEnum', 
                [], [], 
                '''                Control behavior based on Route-Target attributes
                ''',
                'route_target',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time needed to restart and come back up
                ''',
                'restart_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('stalepath-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time to hold onto restarting peer's stale paths
                ''',
                'stalepath_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perfer BGP High Availability NSR sso mode
                ''',
                'prefer',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode',
            False, 
            [
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode.Sso', 
                [], [], 
                '''                BGP High Availability NSR sso mode
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.InjectMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.InjectMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('copy-attributes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy attributes from aggregate
                ''',
                'copy_attributes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Routemap which specifies exist condition
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inject-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.RouteMap',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Have route-map set commands take priority over BGP commands such 
                ''',
                'priority',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable slow-peer detection
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup.Split' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup.Split',
            False, 
            [
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep peers with as-override in different update groups
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('split', REFERENCE_CLASS, 'Split' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup.Split', 
                [], [], 
                '''                Split update groups based on Policy
                ''',
                'split',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop.Trigger' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop.Trigger',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the delay to tigger nexthop tracking
                ''',
                'delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable nexthop tracking
                ''',
                'enable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for valid nexthops
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('trigger', REFERENCE_CLASS, 'Trigger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop.Trigger', 
                [], [], 
                '''                Nexthop triggering
                ''',
                'trigger',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Regexp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Regexp',
            False, 
            [
            _MetaInfoClassMember('deterministic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable bounded-execution-time regular expression engine
                ''',
                'deterministic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'regexp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Transport',
            False, 
            [
            _MetaInfoClassMember('path-mtu-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths', 
                [], [], 
                '''                Additional paths in the BGP table
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best external path to internal peers
                ''',
                'advertise_best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aggregate-timer', ATTRIBUTE, 'int' , None, None, 
                [('6', '60')], [], 
                '''                Timer interval
                ''',
                'aggregate_timer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('always-compare-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow comparing MED from different neighbors
                ''',
                'always_compare_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('asnotation', REFERENCE_CLASS, 'Asnotation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Asnotation', 
                [], [], 
                '''                Change the default asplain notation
                ''',
                'asnotation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bestpath', REFERENCE_CLASS, 'Bestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath', 
                [], [], 
                '''                Change the default bestpath selection
                ''',
                'bestpath',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('client-to-client', REFERENCE_CLASS, 'ClientToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ClientToClient', 
                [], [], 
                '''                Configure client to client route reflection
                ''',
                'client_to_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('confederation', REFERENCE_CLASS, 'Confederation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation', 
                [], [], 
                '''                AS confederation parameters
                ''',
                'confederation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('consistency-checker', REFERENCE_CLASS, 'ConsistencyChecker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker', 
                [], [], 
                '''                Consistency-checker
                ''',
                'consistency_checker',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening', 
                [], [], 
                '''                Enable route-flap dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Default', 
                [], [], 
                '''                Configure BGP defaults
                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('deterministic-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pick the best-MED path among paths advertised from the neighboring AS
                ''',
                'deterministic_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DMZ Link Bandwidth as weight for BGP multipaths
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enforce-first-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforce the first AS for EBGP routes(default)
                ''',
                'enforce_first_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enhanced-error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabled BGP Enhanced error handling
                ''',
                'enhanced_error',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fast-external-fallover', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Immediately reset session if a link to a directly connected external peer goes down
                ''',
                'fast_external_fallover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.GracefulRestart', 
                [], [], 
                '''                Graceful restart capability parameters
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode', 
                [], [], 
                '''                Select BGP High Availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inject-map', REFERENCE_LIST, 'InjectMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.InjectMap', 
                [], [], 
                '''                Routemap which specifies prefixes to inject
                ''',
                'inject_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxas-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Allow AS-PATH attribute from any neighbor imposing a limit on number of ASes
                ''',
                'maxas_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxcommunity-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '1018')], [], 
                '''                Number of communities in the COMMUNITY attribute
                ''',
                'maxcommunity_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop', 
                [], [], 
                '''                Nexthop tracking commands
                ''',
                'nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nopeerup-delay', REFERENCE_CLASS, 'NopeerupDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.NopeerupDelay', 
                [], [], 
                '''                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                ''',
                'nopeerup_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('recursion', REFERENCE_CLASS, 'Recursion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Recursion', 
                [], [], 
                '''                recursion rule for the nexthops
                ''',
                'recursion',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute-internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow redistribution of iBGP into IGPs (dangerous)
                ''',
                'redistribute_internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('regexp', REFERENCE_CLASS, 'Regexp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Regexp', 
                [], [], 
                '''                Select regular expression engine
                ''',
                'regexp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.RouteMap', 
                [], [], 
                '''                bgp route-map commands
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('scan-time', ATTRIBUTE, 'int' , None, None, 
                [('5', '60')], [], 
                '''                Configure background scanner interval
                ''',
                'scan_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfig-backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use soft-reconfiguration inbound only when route-refresh is not negotiated
                ''',
                'soft_reconfig_backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-inactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routes that are not in the routing table
                ''',
                'suppress_inactive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max initial delay for sending update
                ''',
                'update_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-group', REFERENCE_CLASS, 'UpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup', 
                [], [], 
                '''                Manage peers in bgp update groups
                ''',
                'update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp_',
            False, 
            [
            _MetaInfoClassMember('extern-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'extern_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'internal_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.AdmDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.AdmDistance',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('srcip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'srcip',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('wildbits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildbits',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'adm-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance',
            False, 
            [
            _MetaInfoClassMember('adm-distance', REFERENCE_LIST, 'AdmDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.AdmDistance', 
                [], [], 
                '''                ''',
                'adm_distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp_', 
                [], [], 
                '''                BGP distance
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.Out',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.Out', 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'unequal-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unequal-cost', REFERENCE_CLASS, 'UnequalCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost', 
                [], [], 
                '''                Perform Un-Equal cost multipath selection
                ''',
                'unequal_cost',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths',
            False, 
            [
            _MetaInfoClassMember('eibgp', REFERENCE_CLASS, 'Eibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp', 
                [], [], 
                '''                Both eBGP and iBGP paths as multipath
                ''',
                'eibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ibgp', REFERENCE_CLASS, 'Ibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp', 
                [], [], 
                '''                iBGP-multipath
                ''',
                'ibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup',
            False, 
            [
            _MetaInfoClassMember('peer-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;peer-group name
                ''',
                'peer_group_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('dual-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept either real AS or local AS from the ebgp peer
                ''',
                'dual_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('no-prepend', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not prepend local-as to updates from ebgp peers
                ''',
                'no_prepend',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('replace-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Replace real AS with local AS in the EBGP updates
                ''',
                'replace_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'local-as',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from this neighbor
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable additional paths for this neighbor
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to this neighbor
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup',
            False, 
            [
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup', 
                [], [], 
                '''                Diverse path can be backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'diverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths', 
                [], [], 
                '''                Advertise additional paths
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best-external (at RRs best-internal) path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('diverse-path', REFERENCE_CLASS, 'DiversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath', 
                [], [], 
                '''                Advertise diverse path
                ''',
                'diverse_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                advertise route-map name
                ''',
                'word',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('non-exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'non_exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'pre-bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi',
            False, 
            [
            _MetaInfoClassMember('igp-cost', REFERENCE_CLASS, 'IgpCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost', 
                [], [], 
                '''                Point of Insertion After IGP
                ''',
                'igp_cost',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pre-bestpath', REFERENCE_CLASS, 'PreBestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath', 
                [], [], 
                '''                Point of Insertion At Beginning
                ''',
                'pre_bestpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'poi',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('poi', REFERENCE_CLASS, 'Poi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi', 
                [], [], 
                '''                Point of Insertion
                ''',
                'poi',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cc-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('cc-range', REFERENCE_LIST, 'CcRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange', 
                [], [], 
                '''                ''',
                'cc_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send',
            False, 
            [
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity', 
                [], [], 
                '''                Cost extended community carrying AIGP Value
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Med carrying AIGP Value
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp',
            False, 
            [
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send', 
                [], [], 
                '''                Cost community or MED carrying AIGP VALUE
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aigp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki',
            False, 
            [
            _MetaInfoClassMember('state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Announce RPKI State information using an Extended Community
                ''',
                'state',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rpki',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce',
            False, 
            [
            _MetaInfoClassMember('rpki', REFERENCE_CLASS, 'Rpki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki', 
                [], [], 
                '''                Announce RPKI information using an Extended Community
                ''',
                'rpki',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'announce',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'allowas-in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'as-override',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf.PrefixListEnum' : _MetaInfoEnum('PrefixListEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'send':'send',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'PrefixListEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf.PrefixListEnum', 
                [], [], 
                '''                Advertise prefixlist ORF capability to this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-bgp',
            'orf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability',
            False, 
            [
            _MetaInfoClassMember('orf', REFERENCE_CLASS, 'Orf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf', 
                [], [], 
                '''                Advertise ORF capability to the peer
                ''',
                'orf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria to originate default
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('accesslist', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop',
            False, 
            [
            _MetaInfoClassMember('max-hop', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_hop',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ebgp-multihop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd', 
                [], [], 
                '''                Use BFD to detect failure
                ''',
                'bfd',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'fall-over',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('as-path-list', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                ''',
                'as_path_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit',
            False, 
            [
            _MetaInfoClassMember('peer-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-policy template
                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-session', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-session template
                ''',
                'peer_session',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'log-neighbor-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('max-prefix-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'max_prefix_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Restart bgp connection after limit is exceeded
                ''',
                'restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('prefix-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix_list_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'discard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'treat-as-withdraw',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute',
            False, 
            [
            _MetaInfoClassMember('discard', REFERENCE_CLASS, 'Discard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard', 
                [], [], 
                '''                Discard matching path-attribute for this neighbor
                ''',
                'discard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('treat-as-withdraw', REFERENCE_CLASS, 'TreatAsWithdraw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw', 
                [], [], 
                '''                Treat-as-withdraw matching path-attribute for this neighbor
                ''',
                'treat_as_withdraw',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('route-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity.SendCommunityWhereEnum' : _MetaInfoEnum('SendCommunityWhereEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'extended':'extended',
            'standard':'standard',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity',
            False, 
            [
            _MetaInfoClassMember('send-community-where', REFERENCE_ENUM_CLASS, 'SendCommunityWhereEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity.SendCommunityWhereEnum', 
                [], [], 
                '''                ''',
                'send_community_where',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel.SendLabelExplicitEnum' : _MetaInfoEnum('SendLabelExplicitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel',
            False, 
            [
            _MetaInfoClassMember('send-label-explicit', REFERENCE_ENUM_CLASS, 'SendLabelExplicitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel.SendLabelExplicitEnum', 
                [], [], 
                '''                ''',
                'send_label_explicit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-label',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'holdtime',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('minimum-neighbor-hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'minimum_neighbor_hold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address Family modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4',
            False, 
            [
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast', 
                [], [], 
                '''                Address Family modifier
                ''',
                'multicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'translate-update',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.ConnectionModeEnum' : _MetaInfoEnum('ConnectionModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport',
            False, 
            [
            _MetaInfoClassMember('connection-mode', REFERENCE_ENUM_CLASS, 'ConnectionModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.ConnectionModeEnum', 
                [], [], 
                '''                Specify passive or active connection
                ''',
                'connection_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('multi-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Multi-session for transport
                ''',
                'multi_session',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery', 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-source',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable graceful-restart
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable stateful-switchover
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode',
            False, 
            [
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart', 
                [], [], 
                '''                graceful-restart for this peer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso', 
                [], [], 
                '''                stateful-switchover support for this peer
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SoftReconfigurationEnum' : _MetaInfoEnum('SoftReconfigurationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'inbound':'inbound',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the Address Family for this Neighbor
                ''',
                'activate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths', 
                [], [], 
                '''                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise', 
                [], [], 
                '''                Advertise to this neighbor
                ''',
                'advertise',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-map', REFERENCE_CLASS, 'AdvertiseMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap', 
                [], [], 
                '''                specify route-map for conditional advertisement
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Minimum interval between sending BGP routing updates
                ''',
                'advertisement_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aigp', REFERENCE_CLASS, 'Aigp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp', 
                [], [], 
                '''                Enable a AIGP on neighbor
                ''',
                'aigp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allow-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the policy support for this IBGP Neighbor
                ''',
                'allow_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allowas-in', REFERENCE_CLASS, 'AllowasIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn', 
                [], [], 
                '''                Accept as-path with my AS present in it
                ''',
                'allowas_in',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('announce', REFERENCE_CLASS, 'Announce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce', 
                [], [], 
                '''                Announce RPKI State using an Extended Community
                ''',
                'announce',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', REFERENCE_CLASS, 'AsOverride' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride', 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability', 
                [], [], 
                '''                Advertise capability to the peer
                ''',
                'capability',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('default-originate', REFERENCE_CLASS, 'DefaultOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate', 
                [], [], 
                '''                Originate default route to this neighbour
                ''',
                'default_originate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor specific description
                ''',
                'description',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('disable-connected-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                One-hop away EBGP peer using loopback address
                ''',
                'disable_connected_check',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ebgp-multihop', REFERENCE_CLASS, 'EbgpMultihop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop', 
                [], [], 
                '''                Allow EBGP neighbors not on directly connected networks
                ''',
                'ebgp_multihop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fall-over', REFERENCE_CLASS, 'FallOver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver', 
                [], [], 
                '''                session fall on peer route lost
                ''',
                'fall_over',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList', 
                [], [], 
                '''                Establish BGP filters
                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode', 
                [], [], 
                '''                high availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit', 
                [], [], 
                '''                Inherit a template
                ''',
                'inherit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-as', REFERENCE_CLASS, 'LocalAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs', 
                [], [], 
                '''                Specify a local-as number
                ''',
                'local_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', REFERENCE_CLASS, 'LogNeighborChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges', 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes accepted from this peer
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-self', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable the next hop calculation for this neighbor
                ''',
                'next_hop_self',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the iBGP paths's next hop unchanged for this neighbor
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-attribute', REFERENCE_CLASS, 'PathAttribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute', 
                [], [], 
                '''                BGP optional attribute filtering
                ''',
                'path_attribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-group', REFERENCE_CLASS, 'PeerGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup', 
                [], [], 
                '''                Member of the peer-group
                ''',
                'peer_group',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a BGP neighbor
                ''',
                'remote_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remove-private-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remove private AS number from outbound updates
                ''',
                'remove_private_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap', 
                [], [], 
                '''                Apply route map to neighbor
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-client', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure a neighbor as Route Reflector client
                ''',
                'route_reflector_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_reflector_cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('send-community', REFERENCE_CLASS, 'SendCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity', 
                [], [], 
                '''                Send Community attribute to this neighbor
                ''',
                'send_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send-label', REFERENCE_CLASS, 'SendLabel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel', 
                [], [], 
                '''                Send NLRI + MPLS Label to this peer
                ''',
                'send_label',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Administratively shut down this neighbor
                ''',
                'shutdown',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfiguration', REFERENCE_ENUM_CLASS, 'SoftReconfigurationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SoftReconfigurationEnum', 
                [], [], 
                '''                Per neighbor soft reconfiguration
                ''',
                'soft_reconfiguration',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers', 
                [], [], 
                '''                BGP per neighbor timers
                ''',
                'timers',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('translate-update', REFERENCE_CLASS, 'TranslateUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate', 
                [], [], 
                '''                Translate Update to MBGP format
                ''',
                'translate_update',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity', 
                [], [], 
                '''                BGP ttl security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unsuppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to selectively unsuppress suppressed routes
                ''',
                'unsuppress_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-source', REFERENCE_CLASS, 'UpdateSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource', 
                [], [], 
                '''                Source of routing updates
                ''',
                'update_source',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('4', 'None')], [], 
                '''                Set the BGP version to match a neighbor
                ''',
                'version',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set default weight for routes from this neighbor
                ''',
                'weight',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Network',
            False, 
            [
            _MetaInfoClassMember('number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('backdoor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify a BGP backdoor route
                ''',
                'backdoor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to modify the attributes
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp_',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dvmrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default',
            False, 
            [
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'include_connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp-area', REFERENCE_LIST, 'IsoIgrpArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea', 
                [], [], 
                '''                ''',
                'iso_igrp_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external2', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external2',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'non-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('non-vrf', REFERENCE_CLASS, 'NonVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf', 
                [], [], 
                '''                ''',
                'non_vrf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp_', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dvmrp', REFERENCE_CLASS, 'Dvmrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp', 
                [], [], 
                '''                Redistribution of DVMRP into BGP IPv4 Multicast
                ''',
                'dvmrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'filter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;route-map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context.Context_Word' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context.Context_Word',
            False, 
            [
            _MetaInfoClassMember('context_word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'context_word',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('context_word', REFERENCE_LIST, 'Context_Word' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context.Context_Word', 
                [], [], 
                '''                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.AfNameEnum' : _MetaInfoEnum('AfNameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Nsap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Nsap',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'AfNameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.AfNameEnum', 
                [], [], 
                '''                ''',
                'af_name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_', 
                [], [], 
                '''                BGP specific commands
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-paths', REFERENCE_CLASS, 'MaximumPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths', 
                [], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Network', 
                [], [], 
                '''                Specify a network to announce via BGP
                ''',
                'network',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('synchronization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform IGP synchronization
                ''',
                'synchronization',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nsap',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Asnotation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Asnotation',
            False, 
            [
            _MetaInfoClassMember('dot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                asdot notation
                ''',
                'dot',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'asnotation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.NopeerupDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.NopeerupDelay',
            False, 
            [
            _MetaInfoClassMember('cold-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'cold_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nsf-switchover', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'nsf_switchover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('post-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'post_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('user-initiated', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'user_initiated',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nopeerup-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Recursion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Recursion',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                recursion via host for the nexthops
                ''',
                'host',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'recursion',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Backup',
            False, 
            [
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.BestExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.BestExternal',
            False, 
            [
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-external',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Backup', 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', REFERENCE_CLASS, 'BestExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.BestExternal', 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'select',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('install', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Additional paths to install into RIB
                ''',
                'install',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('select', REFERENCE_CLASS, 'Select' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select', 
                [], [], 
                '''                Selection criteria to pick the paths
                ''',
                'select',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to neighbors
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore cost communities in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.IgpMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.IgpMetric',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore igp metric in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med.Confed' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med.Confed',
            False, 
            [
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confed',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med',
            False, 
            [
            _MetaInfoClassMember('confed', REFERENCE_CLASS, 'Confed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med.Confed', 
                [], [], 
                '''                Compare MED among confederation paths
                ''',
                'confed',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'med',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath',
            False, 
            [
            _MetaInfoClassMember('compare-routerid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'compare_routerid',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.CostCommunity', 
                [], [], 
                '''                cost community
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('igp-metric', REFERENCE_CLASS, 'IgpMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.IgpMetric', 
                [], [], 
                '''                igp metric
                ''',
                'igp_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', REFERENCE_CLASS, 'Med' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med', 
                [], [], 
                '''                MED attribute
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ClientToClient' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ClientToClient',
            False, 
            [
            _MetaInfoClassMember('reflection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                reflection of routes allowed
                ''',
                'reflection',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'client-to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation.Peers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation.Peers',
            False, 
            [
            _MetaInfoClassMember('peers-as', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'peers_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation.Peers', 
                [], [], 
                '''                Peer ASs in BGP confederation
                ''',
                'peers',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confederation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.AutoRepair' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.AutoRepair',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'auto-repair',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.ErrorMessage' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.ErrorMessage',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'error-message',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker',
            False, 
            [
            _MetaInfoClassMember('auto-repair', REFERENCE_CLASS, 'AutoRepair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.AutoRepair', 
                [], [], 
                '''                Auto-Repair
                ''',
                'auto_repair',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('error-message', REFERENCE_CLASS, 'ErrorMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.ErrorMessage', 
                [], [], 
                '''                Log Error-Msg
                ''',
                'error_message',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'consistency-checker',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening.Dampen' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening.Dampen',
            False, 
            [
            _MetaInfoClassMember('half-life-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '45')], [], 
                '''                ''',
                'half_life_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_suppress_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('reuse-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'reuse_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'suppress_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampen',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampen', REFERENCE_CLASS, 'Dampen' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening.Dampen', 
                [], [], 
                '''                ''',
                'dampen',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria for dampening
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Default.RouteTargetEnum' : _MetaInfoEnum('RouteTargetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'filter':'filter',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Default',
            False, 
            [
            _MetaInfoClassMember('ipv4-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Activate ipv4-unicast for a peer by default
                ''',
                'ipv4_unicast',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-nexthop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default IPv6 nexthop format
                ''',
                'ipv6_nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                local preference (higher=more preferred)
                ''',
                'local_preference',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-target', REFERENCE_ENUM_CLASS, 'RouteTargetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Default.RouteTargetEnum', 
                [], [], 
                '''                Control behavior based on Route-Target attributes
                ''',
                'route_target',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time needed to restart and come back up
                ''',
                'restart_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('stalepath-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time to hold onto restarting peer's stale paths
                ''',
                'stalepath_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perfer BGP High Availability NSR sso mode
                ''',
                'prefer',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode',
            False, 
            [
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode.Sso', 
                [], [], 
                '''                BGP High Availability NSR sso mode
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.InjectMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.InjectMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('copy-attributes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy attributes from aggregate
                ''',
                'copy_attributes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Routemap which specifies exist condition
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inject-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.RouteMap',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Have route-map set commands take priority over BGP commands such 
                ''',
                'priority',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable slow-peer detection
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup.Split' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup.Split',
            False, 
            [
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep peers with as-override in different update groups
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('split', REFERENCE_CLASS, 'Split' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup.Split', 
                [], [], 
                '''                Split update groups based on Policy
                ''',
                'split',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop.Trigger' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop.Trigger',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the delay to tigger nexthop tracking
                ''',
                'delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable nexthop tracking
                ''',
                'enable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for valid nexthops
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('trigger', REFERENCE_CLASS, 'Trigger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop.Trigger', 
                [], [], 
                '''                Nexthop triggering
                ''',
                'trigger',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Regexp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Regexp',
            False, 
            [
            _MetaInfoClassMember('deterministic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable bounded-execution-time regular expression engine
                ''',
                'deterministic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'regexp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Transport',
            False, 
            [
            _MetaInfoClassMember('path-mtu-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths', 
                [], [], 
                '''                Additional paths in the BGP table
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best external path to internal peers
                ''',
                'advertise_best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aggregate-timer', ATTRIBUTE, 'int' , None, None, 
                [('6', '60')], [], 
                '''                Timer interval
                ''',
                'aggregate_timer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('always-compare-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow comparing MED from different neighbors
                ''',
                'always_compare_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('asnotation', REFERENCE_CLASS, 'Asnotation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Asnotation', 
                [], [], 
                '''                Change the default asplain notation
                ''',
                'asnotation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bestpath', REFERENCE_CLASS, 'Bestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath', 
                [], [], 
                '''                Change the default bestpath selection
                ''',
                'bestpath',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('client-to-client', REFERENCE_CLASS, 'ClientToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ClientToClient', 
                [], [], 
                '''                Configure client to client route reflection
                ''',
                'client_to_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('confederation', REFERENCE_CLASS, 'Confederation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation', 
                [], [], 
                '''                AS confederation parameters
                ''',
                'confederation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('consistency-checker', REFERENCE_CLASS, 'ConsistencyChecker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker', 
                [], [], 
                '''                Consistency-checker
                ''',
                'consistency_checker',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening', 
                [], [], 
                '''                Enable route-flap dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Default', 
                [], [], 
                '''                Configure BGP defaults
                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('deterministic-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pick the best-MED path among paths advertised from the neighboring AS
                ''',
                'deterministic_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DMZ Link Bandwidth as weight for BGP multipaths
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enforce-first-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforce the first AS for EBGP routes(default)
                ''',
                'enforce_first_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enhanced-error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabled BGP Enhanced error handling
                ''',
                'enhanced_error',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fast-external-fallover', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Immediately reset session if a link to a directly connected external peer goes down
                ''',
                'fast_external_fallover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.GracefulRestart', 
                [], [], 
                '''                Graceful restart capability parameters
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode', 
                [], [], 
                '''                Select BGP High Availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inject-map', REFERENCE_LIST, 'InjectMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.InjectMap', 
                [], [], 
                '''                Routemap which specifies prefixes to inject
                ''',
                'inject_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxas-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Allow AS-PATH attribute from any neighbor imposing a limit on number of ASes
                ''',
                'maxas_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxcommunity-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '1018')], [], 
                '''                Number of communities in the COMMUNITY attribute
                ''',
                'maxcommunity_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop', 
                [], [], 
                '''                Nexthop tracking commands
                ''',
                'nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nopeerup-delay', REFERENCE_CLASS, 'NopeerupDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.NopeerupDelay', 
                [], [], 
                '''                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                ''',
                'nopeerup_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('recursion', REFERENCE_CLASS, 'Recursion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Recursion', 
                [], [], 
                '''                recursion rule for the nexthops
                ''',
                'recursion',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute-internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow redistribution of iBGP into IGPs (dangerous)
                ''',
                'redistribute_internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('regexp', REFERENCE_CLASS, 'Regexp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Regexp', 
                [], [], 
                '''                Select regular expression engine
                ''',
                'regexp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.RouteMap', 
                [], [], 
                '''                bgp route-map commands
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('scan-time', ATTRIBUTE, 'int' , None, None, 
                [('5', '60')], [], 
                '''                Configure background scanner interval
                ''',
                'scan_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfig-backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use soft-reconfiguration inbound only when route-refresh is not negotiated
                ''',
                'soft_reconfig_backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-inactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routes that are not in the routing table
                ''',
                'suppress_inactive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max initial delay for sending update
                ''',
                'update_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-group', REFERENCE_CLASS, 'UpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup', 
                [], [], 
                '''                Manage peers in bgp update groups
                ''',
                'update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp_',
            False, 
            [
            _MetaInfoClassMember('extern-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'extern_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'internal_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('srcip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'srcip',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('wildbits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildbits',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'adm-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance',
            False, 
            [
            _MetaInfoClassMember('adm-distance', REFERENCE_LIST, 'AdmDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance', 
                [], [], 
                '''                ''',
                'adm_distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp_', 
                [], [], 
                '''                BGP distance
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.Out',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.Out', 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'unequal-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unequal-cost', REFERENCE_CLASS, 'UnequalCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost', 
                [], [], 
                '''                Perform Un-Equal cost multipath selection
                ''',
                'unequal_cost',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths',
            False, 
            [
            _MetaInfoClassMember('eibgp', REFERENCE_CLASS, 'Eibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp', 
                [], [], 
                '''                Both eBGP and iBGP paths as multipath
                ''',
                'eibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ibgp', REFERENCE_CLASS, 'Ibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp', 
                [], [], 
                '''                iBGP-multipath
                ''',
                'ibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup',
            False, 
            [
            _MetaInfoClassMember('peer-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;peer-group name
                ''',
                'peer_group_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('dual-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept either real AS or local AS from the ebgp peer
                ''',
                'dual_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('no-prepend', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not prepend local-as to updates from ebgp peers
                ''',
                'no_prepend',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('replace-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Replace real AS with local AS in the EBGP updates
                ''',
                'replace_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'local-as',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from this neighbor
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable additional paths for this neighbor
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to this neighbor
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup',
            False, 
            [
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup', 
                [], [], 
                '''                Diverse path can be backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'diverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths', 
                [], [], 
                '''                Advertise additional paths
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best-external (at RRs best-internal) path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('diverse-path', REFERENCE_CLASS, 'DiversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath', 
                [], [], 
                '''                Advertise diverse path
                ''',
                'diverse_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                advertise route-map name
                ''',
                'word',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('non-exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'non_exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'pre-bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi',
            False, 
            [
            _MetaInfoClassMember('igp-cost', REFERENCE_CLASS, 'IgpCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost', 
                [], [], 
                '''                Point of Insertion After IGP
                ''',
                'igp_cost',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pre-bestpath', REFERENCE_CLASS, 'PreBestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath', 
                [], [], 
                '''                Point of Insertion At Beginning
                ''',
                'pre_bestpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'poi',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('poi', REFERENCE_CLASS, 'Poi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi', 
                [], [], 
                '''                Point of Insertion
                ''',
                'poi',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cc-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('cc-range', REFERENCE_LIST, 'CcRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange', 
                [], [], 
                '''                ''',
                'cc_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send',
            False, 
            [
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity', 
                [], [], 
                '''                Cost extended community carrying AIGP Value
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Med carrying AIGP Value
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp',
            False, 
            [
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send', 
                [], [], 
                '''                Cost community or MED carrying AIGP VALUE
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aigp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki',
            False, 
            [
            _MetaInfoClassMember('state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Announce RPKI State information using an Extended Community
                ''',
                'state',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rpki',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce',
            False, 
            [
            _MetaInfoClassMember('rpki', REFERENCE_CLASS, 'Rpki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki', 
                [], [], 
                '''                Announce RPKI information using an Extended Community
                ''',
                'rpki',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'announce',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'allowas-in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'as-override',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf.PrefixListEnum' : _MetaInfoEnum('PrefixListEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'send':'send',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'PrefixListEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf.PrefixListEnum', 
                [], [], 
                '''                Advertise prefixlist ORF capability to this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-bgp',
            'orf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability',
            False, 
            [
            _MetaInfoClassMember('orf', REFERENCE_CLASS, 'Orf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf', 
                [], [], 
                '''                Advertise ORF capability to the peer
                ''',
                'orf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria to originate default
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('accesslist', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop',
            False, 
            [
            _MetaInfoClassMember('max-hop', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_hop',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ebgp-multihop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd', 
                [], [], 
                '''                Use BFD to detect failure
                ''',
                'bfd',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'fall-over',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('as-path-list', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                ''',
                'as_path_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit',
            False, 
            [
            _MetaInfoClassMember('peer-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-policy template
                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-session', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-session template
                ''',
                'peer_session',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'log-neighbor-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('max-prefix-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'max_prefix_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Restart bgp connection after limit is exceeded
                ''',
                'restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('prefix-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix_list_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'discard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'treat-as-withdraw',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute',
            False, 
            [
            _MetaInfoClassMember('discard', REFERENCE_CLASS, 'Discard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard', 
                [], [], 
                '''                Discard matching path-attribute for this neighbor
                ''',
                'discard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('treat-as-withdraw', REFERENCE_CLASS, 'TreatAsWithdraw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw', 
                [], [], 
                '''                Treat-as-withdraw matching path-attribute for this neighbor
                ''',
                'treat_as_withdraw',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('route-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity.SendCommunityWhereEnum' : _MetaInfoEnum('SendCommunityWhereEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'extended':'extended',
            'standard':'standard',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity',
            False, 
            [
            _MetaInfoClassMember('send-community-where', REFERENCE_ENUM_CLASS, 'SendCommunityWhereEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity.SendCommunityWhereEnum', 
                [], [], 
                '''                ''',
                'send_community_where',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel.SendLabelExplicitEnum' : _MetaInfoEnum('SendLabelExplicitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel',
            False, 
            [
            _MetaInfoClassMember('send-label-explicit', REFERENCE_ENUM_CLASS, 'SendLabelExplicitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel.SendLabelExplicitEnum', 
                [], [], 
                '''                ''',
                'send_label_explicit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-label',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'holdtime',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('minimum-neighbor-hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'minimum_neighbor_hold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address Family modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4',
            False, 
            [
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast', 
                [], [], 
                '''                Address Family modifier
                ''',
                'multicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'translate-update',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.ConnectionModeEnum' : _MetaInfoEnum('ConnectionModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport',
            False, 
            [
            _MetaInfoClassMember('connection-mode', REFERENCE_ENUM_CLASS, 'ConnectionModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.ConnectionModeEnum', 
                [], [], 
                '''                Specify passive or active connection
                ''',
                'connection_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('multi-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Multi-session for transport
                ''',
                'multi_session',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery', 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-source',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable graceful-restart
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable stateful-switchover
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode',
            False, 
            [
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart', 
                [], [], 
                '''                graceful-restart for this peer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso', 
                [], [], 
                '''                stateful-switchover support for this peer
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SoftReconfigurationEnum' : _MetaInfoEnum('SoftReconfigurationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'inbound':'inbound',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the Address Family for this Neighbor
                ''',
                'activate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths', 
                [], [], 
                '''                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise', 
                [], [], 
                '''                Advertise to this neighbor
                ''',
                'advertise',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-map', REFERENCE_CLASS, 'AdvertiseMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap', 
                [], [], 
                '''                specify route-map for conditional advertisement
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Minimum interval between sending BGP routing updates
                ''',
                'advertisement_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aigp', REFERENCE_CLASS, 'Aigp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp', 
                [], [], 
                '''                Enable a AIGP on neighbor
                ''',
                'aigp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allow-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the policy support for this IBGP Neighbor
                ''',
                'allow_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allowas-in', REFERENCE_CLASS, 'AllowasIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn', 
                [], [], 
                '''                Accept as-path with my AS present in it
                ''',
                'allowas_in',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('announce', REFERENCE_CLASS, 'Announce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce', 
                [], [], 
                '''                Announce RPKI State using an Extended Community
                ''',
                'announce',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', REFERENCE_CLASS, 'AsOverride' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride', 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability', 
                [], [], 
                '''                Advertise capability to the peer
                ''',
                'capability',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('default-originate', REFERENCE_CLASS, 'DefaultOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate', 
                [], [], 
                '''                Originate default route to this neighbour
                ''',
                'default_originate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor specific description
                ''',
                'description',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('disable-connected-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                One-hop away EBGP peer using loopback address
                ''',
                'disable_connected_check',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ebgp-multihop', REFERENCE_CLASS, 'EbgpMultihop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop', 
                [], [], 
                '''                Allow EBGP neighbors not on directly connected networks
                ''',
                'ebgp_multihop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fall-over', REFERENCE_CLASS, 'FallOver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver', 
                [], [], 
                '''                session fall on peer route lost
                ''',
                'fall_over',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList', 
                [], [], 
                '''                Establish BGP filters
                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode', 
                [], [], 
                '''                high availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit', 
                [], [], 
                '''                Inherit a template
                ''',
                'inherit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-as', REFERENCE_CLASS, 'LocalAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs', 
                [], [], 
                '''                Specify a local-as number
                ''',
                'local_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', REFERENCE_CLASS, 'LogNeighborChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges', 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes accepted from this peer
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-self', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable the next hop calculation for this neighbor
                ''',
                'next_hop_self',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the iBGP paths's next hop unchanged for this neighbor
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-attribute', REFERENCE_CLASS, 'PathAttribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute', 
                [], [], 
                '''                BGP optional attribute filtering
                ''',
                'path_attribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-group', REFERENCE_CLASS, 'PeerGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup', 
                [], [], 
                '''                Member of the peer-group
                ''',
                'peer_group',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a BGP neighbor
                ''',
                'remote_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remove-private-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remove private AS number from outbound updates
                ''',
                'remove_private_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap', 
                [], [], 
                '''                Apply route map to neighbor
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-client', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure a neighbor as Route Reflector client
                ''',
                'route_reflector_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_reflector_cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('send-community', REFERENCE_CLASS, 'SendCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity', 
                [], [], 
                '''                Send Community attribute to this neighbor
                ''',
                'send_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send-label', REFERENCE_CLASS, 'SendLabel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel', 
                [], [], 
                '''                Send NLRI + MPLS Label to this peer
                ''',
                'send_label',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Administratively shut down this neighbor
                ''',
                'shutdown',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfiguration', REFERENCE_ENUM_CLASS, 'SoftReconfigurationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SoftReconfigurationEnum', 
                [], [], 
                '''                Per neighbor soft reconfiguration
                ''',
                'soft_reconfiguration',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers', 
                [], [], 
                '''                BGP per neighbor timers
                ''',
                'timers',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('translate-update', REFERENCE_CLASS, 'TranslateUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate', 
                [], [], 
                '''                Translate Update to MBGP format
                ''',
                'translate_update',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity', 
                [], [], 
                '''                BGP ttl security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unsuppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to selectively unsuppress suppressed routes
                ''',
                'unsuppress_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-source', REFERENCE_CLASS, 'UpdateSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource', 
                [], [], 
                '''                Source of routing updates
                ''',
                'update_source',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('4', 'None')], [], 
                '''                Set the BGP version to match a neighbor
                ''',
                'version',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set default weight for routes from this neighbor
                ''',
                'weight',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Network',
            False, 
            [
            _MetaInfoClassMember('number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('backdoor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify a BGP backdoor route
                ''',
                'backdoor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to modify the attributes
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp_',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dvmrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default',
            False, 
            [
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'include_connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp-area', REFERENCE_LIST, 'IsoIgrpArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea', 
                [], [], 
                '''                ''',
                'iso_igrp_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external2', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external2',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'non-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('non-vrf', REFERENCE_CLASS, 'NonVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf', 
                [], [], 
                '''                ''',
                'non_vrf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp_', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dvmrp', REFERENCE_CLASS, 'Dvmrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp', 
                [], [], 
                '''                Redistribution of DVMRP into BGP IPv4 Multicast
                ''',
                'dvmrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'filter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;route-map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context.Context_Word' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context.Context_Word',
            False, 
            [
            _MetaInfoClassMember('context_word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'context_word',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('context_word', REFERENCE_LIST, 'Context_Word' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context.Context_Word', 
                [], [], 
                '''                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.AfNameEnum' : _MetaInfoEnum('AfNameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'evpn':'evpn',
            'vpls':'vpls',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'AfNameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.AfNameEnum', 
                [], [], 
                '''                ''',
                'af_name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_', 
                [], [], 
                '''                BGP specific commands
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-paths', REFERENCE_CLASS, 'MaximumPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths', 
                [], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Network', 
                [], [], 
                '''                Specify a network to announce via BGP
                ''',
                'network',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('synchronization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform IGP synchronization
                ''',
                'synchronization',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'l2vpn',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Asnotation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Asnotation',
            False, 
            [
            _MetaInfoClassMember('dot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                asdot notation
                ''',
                'dot',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'asnotation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.NopeerupDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.NopeerupDelay',
            False, 
            [
            _MetaInfoClassMember('cold-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'cold_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nsf-switchover', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'nsf_switchover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('post-boot', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'post_boot',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('user-initiated', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Delay in seconds
                ''',
                'user_initiated',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nopeerup-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Recursion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Recursion',
            False, 
            [
            _MetaInfoClassMember('host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                recursion via host for the nexthops
                ''',
                'host',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'recursion',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Backup',
            False, 
            [
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.BestExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.BestExternal',
            False, 
            [
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-external',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Backup', 
                [], [], 
                '''                Select backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', REFERENCE_CLASS, 'BestExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.BestExternal', 
                [], [], 
                '''                Select best-external path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.GroupBest', 
                [], [], 
                '''                Select group-best path
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'select',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('install', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Additional paths to install into RIB
                ''',
                'install',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('select', REFERENCE_CLASS, 'Select' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select', 
                [], [], 
                '''                Selection criteria to pick the paths
                ''',
                'select',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to neighbors
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore cost communities in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.IgpMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.IgpMetric',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore igp metric in bestpath selection
                ''',
                'ignore',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med.Confed' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med.Confed',
            False, 
            [
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confed',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med',
            False, 
            [
            _MetaInfoClassMember('confed', REFERENCE_CLASS, 'Confed' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med.Confed', 
                [], [], 
                '''                Compare MED among confederation paths
                ''',
                'confed',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('missing-at-worst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Treat missing MED as the least preferred one
                ''',
                'missing_at_worst',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'med',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath',
            False, 
            [
            _MetaInfoClassMember('compare-routerid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'compare_routerid',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.CostCommunity', 
                [], [], 
                '''                cost community
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('igp-metric', REFERENCE_CLASS, 'IgpMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.IgpMetric', 
                [], [], 
                '''                igp metric
                ''',
                'igp_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', REFERENCE_CLASS, 'Med' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med', 
                [], [], 
                '''                MED attribute
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ClientToClient' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ClientToClient',
            False, 
            [
            _MetaInfoClassMember('reflection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                reflection of routes allowed
                ''',
                'reflection',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'client-to-client',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation.Peers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation.Peers',
            False, 
            [
            _MetaInfoClassMember('peers-as', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'peers_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation',
            False, 
            [
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'identifier',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation.Peers', 
                [], [], 
                '''                Peer ASs in BGP confederation
                ''',
                'peers',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'confederation',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.AutoRepair' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.AutoRepair',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'auto-repair',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.ErrorMessage' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.ErrorMessage',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '1440')], [], 
                '''                Interval (minutes)
                ''',
                'interval',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'error-message',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker',
            False, 
            [
            _MetaInfoClassMember('auto-repair', REFERENCE_CLASS, 'AutoRepair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.AutoRepair', 
                [], [], 
                '''                Auto-Repair
                ''',
                'auto_repair',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('error-message', REFERENCE_CLASS, 'ErrorMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.ErrorMessage', 
                [], [], 
                '''                Log Error-Msg
                ''',
                'error_message',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'consistency-checker',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening.Dampen' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening.Dampen',
            False, 
            [
            _MetaInfoClassMember('half-life-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '45')], [], 
                '''                ''',
                'half_life_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_suppress_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('reuse-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'reuse_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '20000')], [], 
                '''                ''',
                'suppress_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampen',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening',
            False, 
            [
            _MetaInfoClassMember('dampen', REFERENCE_CLASS, 'Dampen' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening.Dampen', 
                [], [], 
                '''                ''',
                'dampen',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria for dampening
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Default.RouteTargetEnum' : _MetaInfoEnum('RouteTargetEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'filter':'filter',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Default',
            False, 
            [
            _MetaInfoClassMember('ipv4-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Activate ipv4-unicast for a peer by default
                ''',
                'ipv4_unicast',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6-nexthop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default IPv6 nexthop format
                ''',
                'ipv6_nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                local preference (higher=more preferred)
                ''',
                'local_preference',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-target', REFERENCE_ENUM_CLASS, 'RouteTargetEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Default.RouteTargetEnum', 
                [], [], 
                '''                Control behavior based on Route-Target attributes
                ''',
                'route_target',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('extended', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'extended',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time needed to restart and come back up
                ''',
                'restart_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('stalepath-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max time to hold onto restarting peer's stale paths
                ''',
                'stalepath_time',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perfer BGP High Availability NSR sso mode
                ''',
                'prefer',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode',
            False, 
            [
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode.Sso', 
                [], [], 
                '''                BGP High Availability NSR sso mode
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.InjectMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.InjectMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('copy-attributes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy attributes from aggregate
                ''',
                'copy_attributes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Routemap which specifies exist condition
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inject-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.RouteMap',
            False, 
            [
            _MetaInfoClassMember('priority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Have route-map set commands take priority over BGP commands such 
                ''',
                'priority',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable slow-peer detection
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup.Split' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup.Split',
            False, 
            [
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep peers with as-override in different update groups
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('split', REFERENCE_CLASS, 'Split' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup.Split', 
                [], [], 
                '''                Split update groups based on Policy
                ''',
                'split',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop.Trigger' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop.Trigger',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Set the delay to tigger nexthop tracking
                ''',
                'delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable nexthop tracking
                ''',
                'enable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for valid nexthops
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('trigger', REFERENCE_CLASS, 'Trigger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop.Trigger', 
                [], [], 
                '''                Nexthop triggering
                ''',
                'trigger',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Regexp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Regexp',
            False, 
            [
            _MetaInfoClassMember('deterministic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable bounded-execution-time regular expression engine
                ''',
                'deterministic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'regexp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Transport',
            False, 
            [
            _MetaInfoClassMember('path-mtu-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths', 
                [], [], 
                '''                Additional paths in the BGP table
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best external path to internal peers
                ''',
                'advertise_best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aggregate-timer', ATTRIBUTE, 'int' , None, None, 
                [('6', '60')], [], 
                '''                Timer interval
                ''',
                'aggregate_timer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('always-compare-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow comparing MED from different neighbors
                ''',
                'always_compare_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('asnotation', REFERENCE_CLASS, 'Asnotation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Asnotation', 
                [], [], 
                '''                Change the default asplain notation
                ''',
                'asnotation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bestpath', REFERENCE_CLASS, 'Bestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath', 
                [], [], 
                '''                Change the default bestpath selection
                ''',
                'bestpath',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('client-to-client', REFERENCE_CLASS, 'ClientToClient' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ClientToClient', 
                [], [], 
                '''                Configure client to client route reflection
                ''',
                'client_to_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('confederation', REFERENCE_CLASS, 'Confederation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation', 
                [], [], 
                '''                AS confederation parameters
                ''',
                'confederation',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('consistency-checker', REFERENCE_CLASS, 'ConsistencyChecker' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker', 
                [], [], 
                '''                Consistency-checker
                ''',
                'consistency_checker',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dampening', REFERENCE_CLASS, 'Dampening' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening', 
                [], [], 
                '''                Enable route-flap dampening
                ''',
                'dampening',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Default', 
                [], [], 
                '''                Configure BGP defaults
                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('deterministic-med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pick the best-MED path among paths advertised from the neighboring AS
                ''',
                'deterministic_med',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use DMZ Link Bandwidth as weight for BGP multipaths
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enforce-first-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enforce the first AS for EBGP routes(default)
                ''',
                'enforce_first_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('enhanced-error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabled BGP Enhanced error handling
                ''',
                'enhanced_error',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fast-external-fallover', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Immediately reset session if a link to a directly connected external peer goes down
                ''',
                'fast_external_fallover',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.GracefulRestart', 
                [], [], 
                '''                Graceful restart capability parameters
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode', 
                [], [], 
                '''                Select BGP High Availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inject-map', REFERENCE_LIST, 'InjectMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.InjectMap', 
                [], [], 
                '''                Routemap which specifies prefixes to inject
                ''',
                'inject_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxas-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '2000')], [], 
                '''                Allow AS-PATH attribute from any neighbor imposing a limit on number of ASes
                ''',
                'maxas_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maxcommunity-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '1018')], [], 
                '''                Number of communities in the COMMUNITY attribute
                ''',
                'maxcommunity_limit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop', 
                [], [], 
                '''                Nexthop tracking commands
                ''',
                'nexthop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nopeerup-delay', REFERENCE_CLASS, 'NopeerupDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.NopeerupDelay', 
                [], [], 
                '''                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                ''',
                'nopeerup_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('recursion', REFERENCE_CLASS, 'Recursion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Recursion', 
                [], [], 
                '''                recursion rule for the nexthops
                ''',
                'recursion',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute-internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow redistribution of iBGP into IGPs (dangerous)
                ''',
                'redistribute_internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('regexp', REFERENCE_CLASS, 'Regexp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Regexp', 
                [], [], 
                '''                Select regular expression engine
                ''',
                'regexp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.RouteMap', 
                [], [], 
                '''                bgp route-map commands
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('scan-time', ATTRIBUTE, 'int' , None, None, 
                [('5', '60')], [], 
                '''                Configure background scanner interval
                ''',
                'scan_time',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfig-backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use soft-reconfiguration inbound only when route-refresh is not negotiated
                ''',
                'soft_reconfig_backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('suppress-inactive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routes that are not in the routing table
                ''',
                'suppress_inactive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                Set the max initial delay for sending update
                ''',
                'update_delay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-group', REFERENCE_CLASS, 'UpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup', 
                [], [], 
                '''                Manage peers in bgp update groups
                ''',
                'update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp_',
            False, 
            [
            _MetaInfoClassMember('extern-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'extern_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'internal_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('srcip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'srcip',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('wildbits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildbits',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'adm-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance',
            False, 
            [
            _MetaInfoClassMember('adm-distance', REFERENCE_LIST, 'AdmDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance', 
                [], [], 
                '''                ''',
                'adm_distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp_', 
                [], [], 
                '''                BGP distance
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.Out',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('100', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('2000', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.Out', 
                [], [], 
                '''                Filter outgoing routing updates
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'unequal-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.MaxPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.MaxPath',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'max-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.ExternalRtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.ExternalRtfilter',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'external-rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp',
            False, 
            [
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unequal-cost', REFERENCE_CLASS, 'UnequalCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost', 
                [], [], 
                '''                Perform Un-Equal cost multipath selection
                ''',
                'unequal_cost',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ibgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths',
            False, 
            [
            _MetaInfoClassMember('eibgp', REFERENCE_CLASS, 'Eibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp', 
                [], [], 
                '''                Both eBGP and iBGP paths as multipath
                ''',
                'eibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external-rtfilter', REFERENCE_CLASS, 'ExternalRtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter', 
                [], [], 
                '''                VPN prefix multipath on external RTFilter peers
                ''',
                'external_rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ibgp', REFERENCE_CLASS, 'Ibgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp', 
                [], [], 
                '''                iBGP-multipath
                ''',
                'ibgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('max-path', REFERENCE_CLASS, 'MaxPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath', 
                [], [], 
                '''                ''',
                'max_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup',
            False, 
            [
            _MetaInfoClassMember('peer-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;peer-group name
                ''',
                'peer_group_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('dual-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept either real AS or local AS from the ebgp peer
                ''',
                'dual_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('no-prepend', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not prepend local-as to updates from ebgp peers
                ''',
                'no_prepend',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('replace-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Replace real AS with local AS in the EBGP updates
                ''',
                'replace_as',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'local-as',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send',
            False, 
            [
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from this neighbor
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable additional paths for this neighbor
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('receive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Receive additional paths from neighbors
                ''',
                'receive',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send', 
                [], [], 
                '''                Send additional paths to this neighbor
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('group-best', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest',
            False, 
            [
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All',
            False, 
            [
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best',
            False, 
            [
            _MetaInfoClassMember('best-range', REFERENCE_LIST, 'BestRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange', 
                [], [], 
                '''                ''',
                'best_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', ATTRIBUTE, 'int' , None, None, 
                [('2', '3')], [], 
                '''                Number of best paths in additional paths to be selected
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'group-best',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All', 
                [], [], 
                '''                Select all available paths
                ''',
                'all',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best', REFERENCE_CLASS, 'Best' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best', 
                [], [], 
                '''                Select best N paths
                ''',
                'best',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('group-best', REFERENCE_CLASS, 'GroupBest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest', 
                [], [], 
                '''                Select group-best paths
                ''',
                'group_best',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'additional-paths',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup',
            False, 
            [
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup', 
                [], [], 
                '''                Diverse path can be backup path
                ''',
                'backup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mpath', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Diverse path can be multipath
                ''',
                'mpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'diverse-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise',
            False, 
            [
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths', 
                [], [], 
                '''                Advertise additional paths
                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise best-external (at RRs best-internal) path
                ''',
                'best_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('diverse-path', REFERENCE_CLASS, 'DiversePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath', 
                [], [], 
                '''                Advertise diverse path
                ''',
                'diverse_path',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                advertise route-map name
                ''',
                'word',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'exist_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('non-exist-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                condition route-map name
                ''',
                'non_exist_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'advertise-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'igp-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath',
            False, 
            [
            _MetaInfoClassMember('transitive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Cost community is Transitive
                ''',
                'transitive',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'pre-bestpath',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi',
            False, 
            [
            _MetaInfoClassMember('igp-cost', REFERENCE_CLASS, 'IgpCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost', 
                [], [], 
                '''                Point of Insertion After IGP
                ''',
                'igp_cost',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pre-bestpath', REFERENCE_CLASS, 'PreBestpath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath', 
                [], [], 
                '''                Point of Insertion At Beginning
                ''',
                'pre_bestpath',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'poi',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Community ID
                ''',
                'range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('poi', REFERENCE_CLASS, 'Poi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi', 
                [], [], 
                '''                Point of Insertion
                ''',
                'poi',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cc-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity',
            False, 
            [
            _MetaInfoClassMember('cc-range', REFERENCE_LIST, 'CcRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange', 
                [], [], 
                '''                ''',
                'cc_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'cost-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send',
            False, 
            [
            _MetaInfoClassMember('cost-community', REFERENCE_CLASS, 'CostCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity', 
                [], [], 
                '''                Cost extended community carrying AIGP Value
                ''',
                'cost_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('med', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Med carrying AIGP Value
                ''',
                'med',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp',
            False, 
            [
            _MetaInfoClassMember('send', REFERENCE_CLASS, 'Send' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send', 
                [], [], 
                '''                Cost community or MED carrying AIGP VALUE
                ''',
                'send',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'aigp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki',
            False, 
            [
            _MetaInfoClassMember('state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Announce RPKI State information using an Extended Community
                ''',
                'state',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rpki',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce',
            False, 
            [
            _MetaInfoClassMember('rpki', REFERENCE_CLASS, 'Rpki' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki', 
                [], [], 
                '''                Announce RPKI information using an Extended Community
                ''',
                'rpki',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'announce',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '10')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'allowas-in',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'as-override',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf.PrefixListEnum' : _MetaInfoEnum('PrefixListEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'receive':'receive',
            'send':'send',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LEAFLIST, 'PrefixListEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf.PrefixListEnum', 
                [], [], 
                '''                Advertise prefixlist ORF capability to this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False, max_elements=1),
            ],
            'Cisco-IOS-XE-bgp',
            'orf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability',
            False, 
            [
            _MetaInfoClassMember('orf', REFERENCE_CLASS, 'Orf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf', 
                [], [], 
                '''                Advertise ORF capability to the peer
                ''',
                'orf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to specify criteria to originate default
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('accesslist', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('accesslist', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'accesslist',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            ],
            'Cisco-IOS-XE-bgp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop',
            False, 
            [
            _MetaInfoClassMember('max-hop', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'max_hop',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ebgp-multihop',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver',
            False, 
            [
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd', 
                [], [], 
                '''                Use BFD to detect failure
                ''',
                'bfd',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'fall-over',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('as-path-list', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                ''',
                'as_path_list',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit',
            False, 
            [
            _MetaInfoClassMember('peer-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-policy template
                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-session', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inherit a peer-session template
                ''',
                'peer_session',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'log-neighbor-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('max-prefix-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                ''',
                'max_prefix_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('restart', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Restart bgp connection after limit is exceeded
                ''',
                'restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password',
            False, 
            [
            _MetaInfoClassMember('enctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'enctype',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('text', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'text',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('prefix-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix_list_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'discard',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type',
            False, 
            [
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute type
                ''',
                'type',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'attibute_type',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range',
            False, 
            [
            _MetaInfoClassMember('end_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range end value
                ''',
                'end_value',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform inbound path-attribute filtering
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('start_value', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                path attribute range start value
                ''',
                'start_value',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw',
            False, 
            [
            _MetaInfoClassMember('attibute_type', REFERENCE_CLASS, 'Attibute_Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type', 
                [], [], 
                '''                ''',
                'attibute_type',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('range', REFERENCE_CLASS, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'treat-as-withdraw',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute',
            False, 
            [
            _MetaInfoClassMember('discard', REFERENCE_CLASS, 'Discard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard', 
                [], [], 
                '''                Discard matching path-attribute for this neighbor
                ''',
                'discard',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('treat-as-withdraw', REFERENCE_CLASS, 'TreatAsWithdraw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw', 
                [], [], 
                '''                Treat-as-withdraw matching path-attribute for this neighbor
                ''',
                'treat_as_withdraw',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-attribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap.InoutEnum' : _MetaInfoEnum('InoutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap',
            False, 
            [
            _MetaInfoClassMember('inout', REFERENCE_ENUM_CLASS, 'InoutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap.InoutEnum', 
                [], [], 
                '''                ''',
                'inout',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('route-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_map_name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity.SendCommunityWhereEnum' : _MetaInfoEnum('SendCommunityWhereEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'both':'both',
            'extended':'extended',
            'standard':'standard',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity',
            False, 
            [
            _MetaInfoClassMember('send-community-where', REFERENCE_ENUM_CLASS, 'SendCommunityWhereEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity.SendCommunityWhereEnum', 
                [], [], 
                '''                ''',
                'send_community_where',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-community',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel.SendLabelExplicitEnum' : _MetaInfoEnum('SendLabelExplicitEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'explicit-null':'explicit_null',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel',
            False, 
            [
            _MetaInfoClassMember('send-label-explicit', REFERENCE_ENUM_CLASS, 'SendLabelExplicitEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel.SendLabelExplicitEnum', 
                [], [], 
                '''                ''',
                'send_label_explicit',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'send-label',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('120', '3600')], [], 
                '''                Threshold value (seconds)
                ''',
                'threshold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic',
            False, 
            [
            _MetaInfoClassMember('permanent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep the slow-peer permanently in slow-update group
                ''',
                'permanent',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dynamic',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('dynamic', REFERENCE_CLASS, 'Dynamic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic', 
                [], [], 
                '''                Dynamically split the slow peer to slow-update group
                ''',
                'dynamic',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'split-update-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection', 
                [], [], 
                '''                Slow-peer detection
                ''',
                'detection',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('split-update-group', REFERENCE_CLASS, 'SplitUpdateGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup', 
                [], [], 
                '''                Configure slow-peer split-update-group
                ''',
                'split_update_group',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'slow-peer',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'holdtime',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('minimum-neighbor-hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'minimum_neighbor_hold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address Family modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4',
            False, 
            [
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast', 
                [], [], 
                '''                Address Family modifier
                ''',
                'multicast',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'translate-update',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.ConnectionModeEnum' : _MetaInfoEnum('ConnectionModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport',
            False, 
            [
            _MetaInfoClassMember('connection-mode', REFERENCE_ENUM_CLASS, 'ConnectionModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.ConnectionModeEnum', 
                [], [], 
                '''                Specify passive or active connection
                ''',
                'connection_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('multi-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use Multi-session for transport
                ''',
                'multi_session',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery', 
                [], [], 
                '''                Use transport path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-source',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable graceful-restart
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable stateful-switchover
                ''',
                'disable',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'sso',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode',
            False, 
            [
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart', 
                [], [], 
                '''                graceful-restart for this peer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('sso', REFERENCE_CLASS, 'Sso' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso', 
                [], [], 
                '''                stateful-switchover support for this peer
                ''',
                'sso',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ha-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SoftReconfigurationEnum' : _MetaInfoEnum('SoftReconfigurationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'inbound':'inbound',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the Address Family for this Neighbor
                ''',
                'activate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('additional-paths', REFERENCE_CLASS, 'AdditionalPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths', 
                [], [], 
                '''                ''',
                'additional_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise', 
                [], [], 
                '''                Advertise to this neighbor
                ''',
                'advertise',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertise-map', REFERENCE_CLASS, 'AdvertiseMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap', 
                [], [], 
                '''                specify route-map for conditional advertisement
                ''',
                'advertise_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '600')], [], 
                '''                Minimum interval between sending BGP routing updates
                ''',
                'advertisement_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('aigp', REFERENCE_CLASS, 'Aigp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp', 
                [], [], 
                '''                Enable a AIGP on neighbor
                ''',
                'aigp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allow-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the policy support for this IBGP Neighbor
                ''',
                'allow_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('allowas-in', REFERENCE_CLASS, 'AllowasIn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn', 
                [], [], 
                '''                Accept as-path with my AS present in it
                ''',
                'allowas_in',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('announce', REFERENCE_CLASS, 'Announce' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce', 
                [], [], 
                '''                Announce RPKI State using an Extended Community
                ''',
                'announce',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('as-override', REFERENCE_CLASS, 'AsOverride' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride', 
                [], [], 
                '''                Override matching AS-number while sending update
                ''',
                'as_override',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability', 
                [], [], 
                '''                Advertise capability to the peer
                ''',
                'capability',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('default-originate', REFERENCE_CLASS, 'DefaultOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate', 
                [], [], 
                '''                Originate default route to this neighbour
                ''',
                'default_originate',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor specific description
                ''',
                'description',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('disable-connected-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                One-hop away EBGP peer using loopback address
                ''',
                'disable_connected_check',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dmzlink-bw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmzlink_bw',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ebgp-multihop', REFERENCE_CLASS, 'EbgpMultihop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop', 
                [], [], 
                '''                Allow EBGP neighbors not on directly connected networks
                ''',
                'ebgp_multihop',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('fall-over', REFERENCE_CLASS, 'FallOver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver', 
                [], [], 
                '''                session fall on peer route lost
                ''',
                'fall_over',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList', 
                [], [], 
                '''                Establish BGP filters
                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ha-mode', REFERENCE_CLASS, 'HaMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode', 
                [], [], 
                '''                high availability mode
                ''',
                'ha_mode',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit', 
                [], [], 
                '''                Inherit a template
                ''',
                'inherit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('local-as', REFERENCE_CLASS, 'LocalAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs', 
                [], [], 
                '''                Specify a local-as number
                ''',
                'local_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('log-neighbor-changes', REFERENCE_CLASS, 'LogNeighborChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges', 
                [], [], 
                '''                Log neighbor up/down and reset reason
                ''',
                'log_neighbor_changes',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes accepted from this peer
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-self', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable the next hop calculation for this neighbor
                ''',
                'next_hop_self',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Propagate the iBGP paths's next hop unchanged for this neighbor
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('path-attribute', REFERENCE_CLASS, 'PathAttribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute', 
                [], [], 
                '''                BGP optional attribute filtering
                ''',
                'path_attribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-group', REFERENCE_CLASS, 'PeerGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup', 
                [], [], 
                '''                Member of the peer-group
                ''',
                'peer_group',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList', 
                [], [], 
                '''                Filter updates to/from this neighbor
                ''',
                'prefix_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify a BGP neighbor
                ''',
                'remote_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remove-private-as', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Remove private AS number from outbound updates
                ''',
                'remove_private_as',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap', 
                [], [], 
                '''                Apply route map to neighbor
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-client', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure a neighbor as Route Reflector client
                ''',
                'route_reflector_client',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-reflector-cluster-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'route_reflector_cluster_id',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('route-reflector-cluster-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'route_reflector_cluster_id',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('send-community', REFERENCE_CLASS, 'SendCommunity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity', 
                [], [], 
                '''                Send Community attribute to this neighbor
                ''',
                'send_community',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('send-label', REFERENCE_CLASS, 'SendLabel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel', 
                [], [], 
                '''                Send NLRI + MPLS Label to this peer
                ''',
                'send_label',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Administratively shut down this neighbor
                ''',
                'shutdown',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('slow-peer', REFERENCE_CLASS, 'SlowPeer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer', 
                [], [], 
                '''                Configure slow-peer
                ''',
                'slow_peer',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('soft-reconfiguration', REFERENCE_ENUM_CLASS, 'SoftReconfigurationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SoftReconfigurationEnum', 
                [], [], 
                '''                Per neighbor soft reconfiguration
                ''',
                'soft_reconfiguration',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers', 
                [], [], 
                '''                BGP per neighbor timers
                ''',
                'timers',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('translate-update', REFERENCE_CLASS, 'TranslateUpdate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate', 
                [], [], 
                '''                Translate Update to MBGP format
                ''',
                'translate_update',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport', 
                [], [], 
                '''                Transport options
                ''',
                'transport',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity', 
                [], [], 
                '''                BGP ttl security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('unsuppress-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to selectively unsuppress suppressed routes
                ''',
                'unsuppress_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('update-source', REFERENCE_CLASS, 'UpdateSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource', 
                [], [], 
                '''                Source of routing updates
                ''',
                'update_source',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('4', 'None')], [], 
                '''                Set the BGP version to match a neighbor
                ''',
                'version',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Set default weight for routes from this neighbor
                ''',
                'weight',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Network',
            False, 
            [
            _MetaInfoClassMember('number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'number',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('backdoor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify a BGP backdoor route
                ''',
                'backdoor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map to modify the attributes
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Route map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_LIST, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name', 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp_',
            False, 
            [
            _MetaInfoClassMember('as-no', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('as-no', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_no',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'dvmrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-no', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_no',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default.RoutesEnum' : _MetaInfoEnum('RoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default',
            False, 
            [
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribution of IP dynamic routes
                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('routes', REFERENCE_ENUM_CLASS, 'RoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default.RoutesEnum', 
                [], [], 
                '''                ''',
                'routes',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'include_connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp-area',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp-area', REFERENCE_LIST, 'IsoIgrpArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea', 
                [], [], 
                '''                ''',
                'iso_igrp_area',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match',
            False, 
            [
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('external2', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external2',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf',
            False, 
            [
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match', 
                [], [], 
                '''                ''',
                'match',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'non-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('non-vrf', REFERENCE_CLASS, 'NonVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf', 
                [], [], 
                '''                ''',
                'non_vrf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of OSI dynamic routes
                ''',
                'clns',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip', 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp_', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('dvmrp', REFERENCE_CLASS, 'Dvmrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp', 
                [], [], 
                '''                Redistribution of DVMRP into BGP IPv4 Multicast
                ''',
                'dvmrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'filter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;route-map name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context.Context_Word' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context.Context_Word',
            False, 
            [
            _MetaInfoClassMember('context_word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', True),
            ],
            'Cisco-IOS-XE-bgp',
            'context_word',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('context_word', REFERENCE_LIST, 'Context_Word' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context.Context_Word', 
                [], [], 
                '''                ''',
                'context_word',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.AfNameEnum' : _MetaInfoEnum('AfNameEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
        }, 'Cisco-IOS-XE-bgp', _yang_ns._namespaces['Cisco-IOS-XE-bgp']),
    'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'AfNameEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.AfNameEnum', 
                [], [], 
                '''                ''',
                'af_name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_', 
                [], [], 
                '''                BGP specific commands
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-paths', REFERENCE_CLASS, 'MaximumPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths', 
                [], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Network', 
                [], [], 
                '''                Specify a network to announce via BGP
                ''',
                'network',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('synchronization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform IGP synchronization
                ''',
                'synchronization',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'rtfilter',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily.NoVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily.NoVrf',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv4', 
                [], [], 
                '''                Address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_LIST, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Ipv6', 
                [], [], 
                '''                Address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('l2vpn', REFERENCE_LIST, 'L2Vpn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn', 
                [], [], 
                '''                Address family
                ''',
                'l2vpn',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nsap', REFERENCE_LIST, 'Nsap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Nsap', 
                [], [], 
                '''                Address family
                ''',
                'nsap',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('rtfilter', REFERENCE_LIST, 'Rtfilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter', 
                [], [], 
                '''                Address family
                ''',
                'rtfilter',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vpnv4', REFERENCE_LIST, 'Vpnv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4', 
                [], [], 
                '''                Address family
                ''',
                'vpnv4',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vpnv6', REFERENCE_LIST, 'Vpnv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6', 
                [], [], 
                '''                Address family
                ''',
                'vpnv6',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'no-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('no-vrf', REFERENCE_CLASS, 'NoVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.NoVrf', 
                [], [], 
                '''                ''',
                'no_vrf',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('with-vrf', REFERENCE_CLASS, 'WithVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily.WithVrf', 
                [], [], 
                '''                ''',
                'with_vrf',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerPolicy.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerPolicy.RouteMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply map to incoming routes
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Apply map to outgong routes
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerPolicy.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerPolicy.FilterList',
            False, 
            [
            _MetaInfoClassMember('filter-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                AS path access list
                ''',
                'filter_range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming routes
                ''',
                'in_',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing routes
                ''',
                'out',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_.Template_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_.Template_',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Template name
                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Sequence number
                ''',
                'range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_',
            False, 
            [
            _MetaInfoClassMember('template', REFERENCE_LIST, 'Template_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_.Template_', 
                [], [], 
                '''                ''',
                'template',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerPolicy.Inherit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerPolicy.Inherit',
            False, 
            [
            _MetaInfoClassMember('peer-policy', REFERENCE_CLASS, 'PeerPolicy_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_', 
                [], [], 
                '''                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'inherit',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerPolicy' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerPolicy',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerPolicy.FilterList', 
                [], [], 
                '''                Establish BGP filters
                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('inherit', REFERENCE_CLASS, 'Inherit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerPolicy.Inherit', 
                [], [], 
                '''                Inherit a template
                ''',
                'inherit',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerPolicy.RouteMap', 
                [], [], 
                '''                Apply route map to neighbor
                ''',
                'route_map',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerSession.Password.PasswordRange' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerSession.Password.PasswordRange',
            False, 
            [
            _MetaInfoClassMember('encruption-type-range', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Encryption type (0 to disable encryption, 7 for proprietary)
                ''',
                'encruption_type_range',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password-range',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerSession.Password' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerSession.Password',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('password-range', REFERENCE_LIST, 'PasswordRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerSession.Password.PasswordRange', 
                [], [], 
                '''                ''',
                'password_range',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerSession.UpdateSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerSession.UpdateSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerSession.UpdateSource' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerSession.UpdateSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerSession.UpdateSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'update-source',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template.PeerSession' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template.PeerSession',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-bgp', True),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerSession.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('remote-as', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Specify a BGP neighbor
                ''',
                'remote_as',
                'Cisco-IOS-XE-bgp', False, [
                    _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Specify a BGP neighbor
                        ''',
                        'remote_as',
                        'Cisco-IOS-XE-bgp', False),
                    _MetaInfoClassMember('remote-as', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Specify a BGP neighbor
                        ''',
                        'remote_as',
                        'Cisco-IOS-XE-bgp', False),
                ]),
            _MetaInfoClassMember('update-source', REFERENCE_CLASS, 'UpdateSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerSession.UpdateSource', 
                [], [], 
                '''                Source of routing updates
                ''',
                'update_source',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'peer-session',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Template' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Template',
            False, 
            [
            _MetaInfoClassMember('peer-policy', REFERENCE_LIST, 'PeerPolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerPolicy', 
                [], [], 
                '''                Template configuration for policy parameters
                ''',
                'peer_policy',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('peer-session', REFERENCE_LIST, 'PeerSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template.PeerSession', 
                [], [], 
                '''                Template configuration for session parameters
                ''',
                'peer_session',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Timers.Bgp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Timers.Bgp_',
            False, 
            [
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'holdtime',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('minimum-neighbor-hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'minimum_neighbor_hold',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp.Timers',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Timers.Bgp_', 
                [], [], 
                '''                BGP timers
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bgp', True),
                ]),
            _MetaInfoClassMember('address-family', REFERENCE_CLASS, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.AddressFamily', 
                [], [], 
                '''                Enter Address Family command mode
                ''',
                'address_family',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Bgp_', 
                [], [], 
                '''                BGP specific commands
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_LIST, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('maximum-paths', REFERENCE_CLASS, 'MaximumPaths' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.MaximumPaths', 
                [], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Network', 
                [], [], 
                '''                Specify a network to announce via BGP
                ''',
                'network',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('synchronization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform IGP synchronization
                ''',
                'synchronization',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Template', 
                [], [], 
                '''                Enter template command mode
                ''',
                'template',
                'Cisco-IOS-XE-bgp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-bgp', False),
            ],
            'Cisco-IOS-XE-bgp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                interface name
                ''',
                'interface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Tunnel interface number
                ''',
                'tunnel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan interface number
                ''',
                'vlan',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'hmac-sha-256',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('hmac-sha-256', REFERENCE_CLASS, 'HmacSha256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256', 
                [], [], 
                '''                HMAC-SHA-256 Authentication
                ''',
                'hmac_sha_256',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode', 
                [], [], 
                '''                authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('bandwidth-percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '999999')], [], 
                '''                Set percentage of bandwidth percentage limit
                ''',
                'bandwidth_percent',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configures hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configures hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress address updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('split-horizon', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform split horizon
                ''',
                'split_horizon',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'af-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface', 
                [], [], 
                '''                Enable BFD on specific interface
                ''',
                'interface',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.In_',
            False, 
            [
            _MetaInfoClassMember('sa-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Standard Access-list name
                ''',
                'sa_name',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('sa-num', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                A standard expanded IP access list number
                ''',
                'sa_num',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.Out',
            False, 
            [
            _MetaInfoClassMember('sa-out-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Standard Access-list name
                ''',
                'sa_out_name',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('sa-out-num', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                A standard expanded IP access list number
                ''',
                'sa_out_num',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.In_', 
                [], [], 
                '''                Accept input default routing information
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.Out', 
                [], [], 
                '''                Accept output default routing information
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr.DmRdr0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr.DmRdr0',
            False, 
            [
            _MetaInfoClassMember('dm-rdr0', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                delay metric in 10 microsecond units
                ''',
                'dm_rdr0',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('dm-rdr-pct', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reliability metric where 255 is 100% reliable
                ''',
                'dm_rdr_pct',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'dm-rdr0',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr',
            False, 
            [
            _MetaInfoClassMember('dm-rdr', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Bandwidth in Kbits per second
                ''',
                'dm_rdr',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('dm-rdr0', REFERENCE_LIST, 'DmRdr0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr.DmRdr0', 
                [], [], 
                '''                ''',
                'dm_rdr0',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'dm-rdr',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric',
            False, 
            [
            _MetaInfoClassMember('dm-rdr', REFERENCE_LIST, 'DmRdr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr', 
                [], [], 
                '''                ''',
                'dm_rdr',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'default-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source address
                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('ipv40', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Wildcard bits
                ''',
                'ipv40',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis',
            False, 
            [
            _MetaInfoClassMember('rad-dis', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Set route administrative distance
                ''',
                'rad_dis',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'rad-dis',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_.DiRt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_.DiRt',
            False, 
            [
            _MetaInfoClassMember('di-rt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Distance for internal routes
                ''',
                'di_rt',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('di-rt0', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Distance for external routes
                ''',
                'di_rt0',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'di-rt',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('di-rt', REFERENCE_LIST, 'DiRt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_.DiRt', 
                [], [], 
                '''                ''',
                'di_rt',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Distance',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_', 
                [], [], 
                '''                Set distance for internal and external routes
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('rad-dis', REFERENCE_LIST, 'RadDis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis', 
                [], [], 
                '''                ''',
                'rad_dis',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.In_',
            False, 
            [
            _MetaInfoClassMember('interface_name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.Out',
            False, 
            [
            _MetaInfoClassMember('interface_name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt',
            False, 
            [
            _MetaInfoClassMember('eig-filt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP expanded access list number
                ''',
                'eig_filt',
                'Cisco-IOS-XE-eigrp', True, [
                    _MetaInfoClassMember('eig-filt', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        IP expanded access list number
                        ''',
                        'eig_filt',
                        'Cisco-IOS-XE-eigrp', True),
                    _MetaInfoClassMember('eig-filt', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        IP expanded access list number
                        ''',
                        'eig_filt',
                        'Cisco-IOS-XE-eigrp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.In_', 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.Out', 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eig-filt',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway.GwList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway.GwList',
            False, 
            [
            _MetaInfoClassMember('gw-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of an IP prefix-list
                ''',
                'gw_list',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'gw-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway',
            False, 
            [
            _MetaInfoClassMember('gw-list', REFERENCE_LIST, 'GwList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway.GwList', 
                [], [], 
                '''                ''',
                'gw_list',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'gateway',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix.PlName' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix.PlName',
            False, 
            [
            _MetaInfoClassMember('pl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of an IP prefix-list
                ''',
                'pl_name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('gateway', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filtering incoming address updates based on gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'pl-name',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix',
            False, 
            [
            _MetaInfoClassMember('pl-name', REFERENCE_LIST, 'PlName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix.PlName', 
                [], [], 
                '''                ''',
                'pl_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap.RmapName' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap.RmapName',
            False, 
            [
            _MetaInfoClassMember('rmap-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                route-map name
                ''',
                'rmap_name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'rmap-name',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap',
            False, 
            [
            _MetaInfoClassMember('rmap-name', REFERENCE_LIST, 'RmapName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap.RmapName', 
                [], [], 
                '''                ''',
                'rmap_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList',
            False, 
            [
            _MetaInfoClassMember('eig-filt', REFERENCE_LIST, 'EigFilt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt', 
                [], [], 
                '''                ''',
                'eig_filt',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('gateway', REFERENCE_CLASS, 'Gateway' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway', 
                [], [], 
                '''                Filtering incoming address updates based on gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix', 
                [], [], 
                '''                Filter prefixes in address updates
                ''',
                'prefix',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap', 
                [], [], 
                '''                Filter prefixes based on the route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_.Stub' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_.Stub',
            False, 
            [
            _MetaInfoClassMember('connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise connected routes
                ''',
                'connected',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('leak-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Allow dynamic prefixes based on the leak-map
                ''',
                'leak_map',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('receive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set receive only neighbor
                ''',
                'receive_only',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('redistributed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise redistributed routes
                ''',
                'redistributed',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise static routes
                ''',
                'static',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise summary routes
                ''',
                'summary',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'stub',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                router id for this EIGRP process
                ''',
                'router_id',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('stub', REFERENCE_CLASS, 'Stub' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_.Stub', 
                [], [], 
                '''                Set address-family in stubbed mode
                ''',
                'stub',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Metric',
            False, 
            [
            _MetaInfoClassMember('maximum-hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Hop count
                ''',
                'maximum_hops',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('weights', ATTRIBUTE, 'int' , None, None, 
                [('0', '8')], [], 
                '''                Type (Only TOS 0 supported)
                ''',
                'weights',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface', 
                [], [], 
                '''                Specify interface for global address
                ''',
                'interface',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Network',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network number
                ''',
                'number',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('wild-card', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                EIGRP wild card bits
                ''',
                'wild_card',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.NsrList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.NsrList',
            False, 
            [
            _MetaInfoClassMember('nsr-list', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                Access list of networks to apply offset (extended range)
                ''',
                'nsr_list',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on incoming updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on outgoing updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'nsr-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.OlAcl' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.OlAcl',
            False, 
            [
            _MetaInfoClassMember('ol-acl', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access-list name
                ''',
                'ol_acl',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on incoming updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on outgoing updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ol-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList',
            False, 
            [
            _MetaInfoClassMember('nsr-list', REFERENCE_LIST, 'NsrList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.NsrList', 
                [], [], 
                '''                ''',
                'nsr_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ol-acl', REFERENCE_LIST, 'OlAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.OlAcl', 
                [], [], 
                '''                ''',
                'ol_acl',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'offset-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric',
            False, 
            [
            _MetaInfoClassMember('bandwith', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Bandwidth metric in Kbits per second
                ''',
                'bandwith',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EIGRP delay metric, in 10 microsecond units
                ''',
                'delay',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Effective', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                EIGRP Effective bandwidth metric (Loading) where 255 is 100% loaded
                ''',
                'effective',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                EIGRP MTU of the path
                ''',
                'mtu',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('reliability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                EIGRP reliability metric where 255 is 100% reliable
                ''',
                'reliability',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('rdr-as', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'rdr_as',
                'Cisco-IOS-XE-eigrp', True, [
                    _MetaInfoClassMember('rdr-as', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Autonomous system number
                        ''',
                        'rdr_as',
                        'Cisco-IOS-XE-eigrp', True),
                    _MetaInfoClassMember('rdr-as', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous system number
                        ''',
                        'rdr_as',
                        'Cisco-IOS-XE-eigrp', True),
                ]),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('rd-LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'rd_lesser_1_period_0_xx_period_yy_greater_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('is-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'is_tag',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('level-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IS-IS level-1 routes only
                ''',
                'level_1',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('level-1-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IS-IS level-1 and level-2 routes
                ''',
                'level_1_2',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('level-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IS-IS level-2 routes only
                ''',
                'level_2',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf',
            False, 
            [
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual Routing/Forwarding instance name
                ''',
                'name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Autonomous system number
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'ospf',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf', 
                [], [], 
                '''                Specify a source virtual routing/forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary to configure static metric
                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric',
            False, 
            [
            _MetaInfoClassMember('A_PERIOD_B_PERIOD_C_PERIOD_D_SLASH_nn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Summary <network>/<length>, e.g., 192.168.0.0/16
                ''',
                'a_period_b_period_c_period_d_slash_nn',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'summary-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime',
            False, 
            [
            _MetaInfoClassMember('atimer', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                active state time limit in minutes
                ''',
                'atimer',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('disabled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable time limit for active state
                ''',
                'disabled',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'active-time',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('purge-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EIGRP stale route purge time
                ''',
                'purge_time',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf',
            False, 
            [
            _MetaInfoClassMember('converge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EIGRP time limit for convergence after switchover
                ''',
                'converge',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('signal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EIGRP time limit for signaling NSF restart
                ''',
                'signal',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Timers',
            False, 
            [
            _MetaInfoClassMember('active-time', REFERENCE_CLASS, 'ActiveTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime', 
                [], [], 
                '''                time limit for active state
                ''',
                'active_time',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart', 
                [], [], 
                '''                EIGRP Graceful Restart timer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf', 
                [], [], 
                '''                EIGRP NSF timer
                ''',
                'nsf',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('balanced', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Share inversely proportional to metric
                ''',
                'balanced',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min', 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_.DistanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_.DistanceList',
            False, 
            [
            _MetaInfoClassMember('internal-route', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Distance for internal routes
                ''',
                'internal_route',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('external-route', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Distance for external routes
                ''',
                'external_route',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('distance-list', REFERENCE_LIST, 'DistanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_.DistanceList', 
                [], [], 
                '''                ''',
                'distance_list',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_', 
                [], [], 
                '''                EIGRP-IPV6 distance
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of an IP prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('gateway', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filtering incoming address updates based on gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.RouteMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.PrefixList', 
                [], [], 
                '''                Filter prefixes in address updates
                ''',
                'prefix_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.RouteMap', 
                [], [], 
                '''                Filter prefixes based on the route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_.AsList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_.AsList',
            False, 
            [
            _MetaInfoClassMember('autonomous-system', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Autonomous system number
                ''',
                'autonomous_system',
                'Cisco-IOS-XE-eigrp', True),
            ],
            'Cisco-IOS-XE-eigrp',
            'as-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('as-list', REFERENCE_LIST, 'AsList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_.AsList', 
                [], [], 
                '''                ''',
                'as_list',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Static',
            False, 
            [
            ],
            'Cisco-IOS-XE-eigrp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute',
            False, 
            [
            _MetaInfoClassMember('connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Connected Routes
                ''',
                'connected',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Static', 
                [], [], 
                '''                Static Routes
                ''',
                'static',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base',
            False, 
            [
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList', 
                [], [], 
                '''                Filter entries in eigrp updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute', 
                [], [], 
                '''                Redistribute IPv6 prefixes from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'base',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList.Topology',
            False, 
            [
            _MetaInfoClassMember('base', REFERENCE_CLASS, 'Base' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base', 
                [], [], 
                '''                Base Topology
                ''',
                'base',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpList.UnicastMulticastEnum' : _MetaInfoEnum('UnicastMulticastEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
            'multicast':'multicast',
        }, 'Cisco-IOS-XE-eigrp', _yang_ns._namespaces['Cisco-IOS-XE-eigrp']),
    'Native.Router.Eigrp.AddressFamily.AfIpList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpList',
            False, 
            [
            _MetaInfoClassMember('unicast-multicast', REFERENCE_ENUM_CLASS, 'UnicastMulticastEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.UnicastMulticastEnum', 
                [], [], 
                '''                ''',
                'unicast_multicast',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('af-interface', REFERENCE_LIST, 'AfInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface', 
                [], [], 
                '''                Enter Address Family interface configuration
                ''',
                'af_interface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('autonomous-system', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify Address-Family Autonomous System Number
                ''',
                'autonomous_system',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('default-metric', REFERENCE_CLASS, 'DefaultMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric', 
                [], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList', 
                [], [], 
                '''                Filter entries in eigrp updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_', 
                [], [], 
                '''                EIGRP Address Family specific commands
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Number of paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Metric', 
                [], [], 
                '''                Modify metrics and parameters for advertisement
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_CLASS, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Network', 
                [], [], 
                '''                Enable routing on an IP network
                ''',
                'network',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nsf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Non-stop forwarding
                ''',
                'nsf',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('offset-list', REFERENCE_CLASS, 'OffsetList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList', 
                [], [], 
                '''                Add or subtract offset from EIGRP metrics
                ''',
                'offset_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute', 
                [], [], 
                '''                Redistribute IPv4 routes from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this instance of EIGRP
                ''',
                'shutdown',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('summary-metric', REFERENCE_CLASS, 'SummaryMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric', 
                [], [], 
                '''                Specify summary to apply metric/filtering
                ''',
                'summary_metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.Topology', 
                [], [], 
                '''                Topology configuration mode
                ''',
                'topology',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('variance', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Metric variance multiplier
                ''',
                'variance',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'af-ip-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'hmac-sha-256',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('hmac-sha-256', REFERENCE_CLASS, 'HmacSha256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256', 
                [], [], 
                '''                HMAC-SHA-256 Authentication
                ''',
                'hmac_sha_256',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode', 
                [], [], 
                '''                authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('bandwidth-percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '999999')], [], 
                '''                Set percentage of bandwidth percentage limit
                ''',
                'bandwidth_percent',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configures hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configures hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress address updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('split-horizon', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform split horizon
                ''',
                'split_horizon',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'af-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface', 
                [], [], 
                '''                Enable BFD on specific interface
                ''',
                'interface',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.In_',
            False, 
            [
            _MetaInfoClassMember('sa-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Standard Access-list name
                ''',
                'sa_name',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('sa-num', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                A standard expanded IP access list number
                ''',
                'sa_num',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.Out',
            False, 
            [
            _MetaInfoClassMember('sa-out-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Standard Access-list name
                ''',
                'sa_out_name',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('sa-out-num', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                A standard expanded IP access list number
                ''',
                'sa_out_num',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.In_', 
                [], [], 
                '''                Accept input default routing information
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.Out', 
                [], [], 
                '''                Accept output default routing information
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr.DmRdr0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr.DmRdr0',
            False, 
            [
            _MetaInfoClassMember('dm-rdr0', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                delay metric in 10 microsecond units
                ''',
                'dm_rdr0',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('dm-rdr-pct', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reliability metric where 255 is 100% reliable
                ''',
                'dm_rdr_pct',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'dm-rdr0',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr',
            False, 
            [
            _MetaInfoClassMember('dm-rdr', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Bandwidth in Kbits per second
                ''',
                'dm_rdr',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('dm-rdr0', REFERENCE_LIST, 'DmRdr0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr.DmRdr0', 
                [], [], 
                '''                ''',
                'dm_rdr0',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'dm-rdr',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric',
            False, 
            [
            _MetaInfoClassMember('dm-rdr', REFERENCE_LIST, 'DmRdr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr', 
                [], [], 
                '''                ''',
                'dm_rdr',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'default-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source address
                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('ipv40', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Wildcard bits
                ''',
                'ipv40',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis',
            False, 
            [
            _MetaInfoClassMember('rad-dis', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Set route administrative distance
                ''',
                'rad_dis',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'rad-dis',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_.DiRt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_.DiRt',
            False, 
            [
            _MetaInfoClassMember('di-rt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Distance for internal routes
                ''',
                'di_rt',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('di-rt0', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Distance for external routes
                ''',
                'di_rt0',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'di-rt',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('di-rt', REFERENCE_LIST, 'DiRt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_.DiRt', 
                [], [], 
                '''                ''',
                'di_rt',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_', 
                [], [], 
                '''                Set distance for internal and external routes
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('rad-dis', REFERENCE_LIST, 'RadDis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis', 
                [], [], 
                '''                ''',
                'rad_dis',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.In_',
            False, 
            [
            _MetaInfoClassMember('interface_name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.Out',
            False, 
            [
            _MetaInfoClassMember('interface_name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt',
            False, 
            [
            _MetaInfoClassMember('eig-filt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP expanded access list number
                ''',
                'eig_filt',
                'Cisco-IOS-XE-eigrp', True, [
                    _MetaInfoClassMember('eig-filt', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        IP expanded access list number
                        ''',
                        'eig_filt',
                        'Cisco-IOS-XE-eigrp', True),
                    _MetaInfoClassMember('eig-filt', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        IP expanded access list number
                        ''',
                        'eig_filt',
                        'Cisco-IOS-XE-eigrp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.In_', 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.Out', 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eig-filt',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway.GwList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway.GwList',
            False, 
            [
            _MetaInfoClassMember('gw-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of an IP prefix-list
                ''',
                'gw_list',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'gw-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway',
            False, 
            [
            _MetaInfoClassMember('gw-list', REFERENCE_LIST, 'GwList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway.GwList', 
                [], [], 
                '''                ''',
                'gw_list',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'gateway',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix.PlName' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix.PlName',
            False, 
            [
            _MetaInfoClassMember('pl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of an IP prefix-list
                ''',
                'pl_name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('gateway', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filtering incoming address updates based on gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'pl-name',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix',
            False, 
            [
            _MetaInfoClassMember('pl-name', REFERENCE_LIST, 'PlName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix.PlName', 
                [], [], 
                '''                ''',
                'pl_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap.RmapName' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap.RmapName',
            False, 
            [
            _MetaInfoClassMember('rmap-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                route-map name
                ''',
                'rmap_name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'rmap-name',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap',
            False, 
            [
            _MetaInfoClassMember('rmap-name', REFERENCE_LIST, 'RmapName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap.RmapName', 
                [], [], 
                '''                ''',
                'rmap_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList',
            False, 
            [
            _MetaInfoClassMember('eig-filt', REFERENCE_LIST, 'EigFilt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt', 
                [], [], 
                '''                ''',
                'eig_filt',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('gateway', REFERENCE_CLASS, 'Gateway' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway', 
                [], [], 
                '''                Filtering incoming address updates based on gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix', 
                [], [], 
                '''                Filter prefixes in address updates
                ''',
                'prefix',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap', 
                [], [], 
                '''                Filter prefixes based on the route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_.Stub' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_.Stub',
            False, 
            [
            _MetaInfoClassMember('connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise connected routes
                ''',
                'connected',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('leak-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Allow dynamic prefixes based on the leak-map
                ''',
                'leak_map',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('receive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set receive only neighbor
                ''',
                'receive_only',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('redistributed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise redistributed routes
                ''',
                'redistributed',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise static routes
                ''',
                'static',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise summary routes
                ''',
                'summary',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'stub',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                router id for this EIGRP process
                ''',
                'router_id',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('stub', REFERENCE_CLASS, 'Stub' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_.Stub', 
                [], [], 
                '''                Set address-family in stubbed mode
                ''',
                'stub',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric',
            False, 
            [
            _MetaInfoClassMember('maximum-hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Hop count
                ''',
                'maximum_hops',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('weights', ATTRIBUTE, 'int' , None, None, 
                [('0', '8')], [], 
                '''                Type (Only TOS 0 supported)
                ''',
                'weights',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface', 
                [], [], 
                '''                Specify interface for global address
                ''',
                'interface',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Network',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network number
                ''',
                'number',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('wild-card', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                EIGRP wild card bits
                ''',
                'wild_card',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.NsrList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.NsrList',
            False, 
            [
            _MetaInfoClassMember('nsr-list', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                Access list of networks to apply offset (extended range)
                ''',
                'nsr_list',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on incoming updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on outgoing updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'nsr-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.OlAcl' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.OlAcl',
            False, 
            [
            _MetaInfoClassMember('ol-acl', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access-list name
                ''',
                'ol_acl',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on incoming updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on outgoing updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ol-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList',
            False, 
            [
            _MetaInfoClassMember('nsr-list', REFERENCE_LIST, 'NsrList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.NsrList', 
                [], [], 
                '''                ''',
                'nsr_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ol-acl', REFERENCE_LIST, 'OlAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.OlAcl', 
                [], [], 
                '''                ''',
                'ol_acl',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'offset-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric',
            False, 
            [
            _MetaInfoClassMember('bandwith', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Bandwidth metric in Kbits per second
                ''',
                'bandwith',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EIGRP delay metric, in 10 microsecond units
                ''',
                'delay',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Effective', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                EIGRP Effective bandwidth metric (Loading) where 255 is 100% loaded
                ''',
                'effective',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                EIGRP MTU of the path
                ''',
                'mtu',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('reliability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                EIGRP reliability metric where 255 is 100% reliable
                ''',
                'reliability',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('rdr-as', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'rdr_as',
                'Cisco-IOS-XE-eigrp', True, [
                    _MetaInfoClassMember('rdr-as', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Autonomous system number
                        ''',
                        'rdr_as',
                        'Cisco-IOS-XE-eigrp', True),
                    _MetaInfoClassMember('rdr-as', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous system number
                        ''',
                        'rdr_as',
                        'Cisco-IOS-XE-eigrp', True),
                ]),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('rd-LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'rd_lesser_1_period_0_xx_period_yy_greater_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('is-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'is_tag',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('level-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IS-IS level-1 routes only
                ''',
                'level_1',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('level-1-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IS-IS level-1 and level-2 routes
                ''',
                'level_1_2',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('level-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IS-IS level-2 routes only
                ''',
                'level_2',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf',
            False, 
            [
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual Routing/Forwarding instance name
                ''',
                'name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Autonomous system number
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'ospf',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf', 
                [], [], 
                '''                Specify a source virtual routing/forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary to configure static metric
                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric',
            False, 
            [
            _MetaInfoClassMember('A_PERIOD_B_PERIOD_C_PERIOD_D_SLASH_nn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Summary <network>/<length>, e.g., 192.168.0.0/16
                ''',
                'a_period_b_period_c_period_d_slash_nn',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'summary-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime',
            False, 
            [
            _MetaInfoClassMember('atimer', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                active state time limit in minutes
                ''',
                'atimer',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('disabled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable time limit for active state
                ''',
                'disabled',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'active-time',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('purge-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EIGRP stale route purge time
                ''',
                'purge_time',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf',
            False, 
            [
            _MetaInfoClassMember('converge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EIGRP time limit for convergence after switchover
                ''',
                'converge',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('signal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EIGRP time limit for signaling NSF restart
                ''',
                'signal',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers',
            False, 
            [
            _MetaInfoClassMember('active-time', REFERENCE_CLASS, 'ActiveTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime', 
                [], [], 
                '''                time limit for active state
                ''',
                'active_time',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart', 
                [], [], 
                '''                EIGRP Graceful Restart timer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf', 
                [], [], 
                '''                EIGRP NSF timer
                ''',
                'nsf',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('balanced', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Share inversely proportional to metric
                ''',
                'balanced',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min', 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_.DistanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_.DistanceList',
            False, 
            [
            _MetaInfoClassMember('internal-route', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Distance for internal routes
                ''',
                'internal_route',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('external-route', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Distance for external routes
                ''',
                'external_route',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('distance-list', REFERENCE_LIST, 'DistanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_.DistanceList', 
                [], [], 
                '''                ''',
                'distance_list',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_', 
                [], [], 
                '''                EIGRP-IPV6 distance
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.PrefixList',
            False, 
            [
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of an IP prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('gateway', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filtering incoming address updates based on gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.RouteMap',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.PrefixList', 
                [], [], 
                '''                Filter prefixes in address updates
                ''',
                'prefix_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.RouteMap', 
                [], [], 
                '''                Filter prefixes based on the route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_.AsList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_.AsList',
            False, 
            [
            _MetaInfoClassMember('autonomous-system', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Autonomous system number
                ''',
                'autonomous_system',
                'Cisco-IOS-XE-eigrp', True),
            ],
            'Cisco-IOS-XE-eigrp',
            'as-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('as-list', REFERENCE_LIST, 'AsList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_.AsList', 
                [], [], 
                '''                ''',
                'as_list',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Static',
            False, 
            [
            ],
            'Cisco-IOS-XE-eigrp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute',
            False, 
            [
            _MetaInfoClassMember('connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Connected Routes
                ''',
                'connected',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Static', 
                [], [], 
                '''                Static Routes
                ''',
                'static',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base',
            False, 
            [
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList', 
                [], [], 
                '''                Filter entries in eigrp updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute', 
                [], [], 
                '''                Redistribute IPv6 prefixes from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'base',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology',
            False, 
            [
            _MetaInfoClassMember('base', REFERENCE_CLASS, 'Base' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base', 
                [], [], 
                '''                Base Topology
                ''',
                'base',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList.UnicastMulticastEnum' : _MetaInfoEnum('UnicastMulticastEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
            'multicast':'multicast',
        }, 'Cisco-IOS-XE-eigrp', _yang_ns._namespaces['Cisco-IOS-XE-eigrp']),
    'Native.Router.Eigrp.AddressFamily.AfIpVrfList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily.AfIpVrfList',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('af-interface', REFERENCE_LIST, 'AfInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface', 
                [], [], 
                '''                Enter Address Family interface configuration
                ''',
                'af_interface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('autonomous-system', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify Address-Family Autonomous System Number?
                ''',
                'autonomous_system',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('default-metric', REFERENCE_CLASS, 'DefaultMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric', 
                [], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList', 
                [], [], 
                '''                Filter entries in eigrp updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_', 
                [], [], 
                '''                EIGRP Address Family specific commands
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Number of paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric', 
                [], [], 
                '''                Modify metrics and parameters for advertisement
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_CLASS, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Network', 
                [], [], 
                '''                Enable routing on an IP network
                ''',
                'network',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nsf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Non-stop forwarding
                ''',
                'nsf',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('offset-list', REFERENCE_CLASS, 'OffsetList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList', 
                [], [], 
                '''                Add or subtract offset from EIGRP metrics
                ''',
                'offset_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute', 
                [], [], 
                '''                Redistribute IPv4 routes from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this instance of EIGRP
                ''',
                'shutdown',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('summary-metric', REFERENCE_CLASS, 'SummaryMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric', 
                [], [], 
                '''                Specify summary to apply metric/filtering
                ''',
                'summary_metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology', 
                [], [], 
                '''                Topology configuration mode
                ''',
                'topology',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('unicast-multicast', REFERENCE_ENUM_CLASS, 'UnicastMulticastEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList.UnicastMulticastEnum', 
                [], [], 
                '''                ''',
                'unicast_multicast',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('variance', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Metric variance multiplier
                ''',
                'variance',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'af-ip-vrf-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AddressFamily.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XE-eigrp', _yang_ns._namespaces['Cisco-IOS-XE-eigrp']),
    'Native.Router.Eigrp.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('af-ip-list', REFERENCE_LIST, 'AfIpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpList', 
                [], [], 
                '''                Address family IPv4/IPv6
                ''',
                'af_ip_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('af-ip-vrf-list', REFERENCE_LIST, 'AfIpVrfList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily.AfIpVrfList', 
                [], [], 
                '''                Address family IPv4/IPv6 VRF
                ''',
                'af_ip_vrf_list',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'hmac-sha-256',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AfInterface.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AfInterface.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('hmac-sha-256', REFERENCE_CLASS, 'HmacSha256' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256', 
                [], [], 
                '''                HMAC-SHA-256 Authentication
                ''',
                'hmac_sha_256',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AfInterface.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AfInterface.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AfInterface.Authentication.Mode', 
                [], [], 
                '''                authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AfInterface.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AfInterface.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.AfInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.AfInterface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AfInterface.Authentication', 
                [], [], 
                '''                authentication subcommands
                ''',
                'authentication',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('bandwidth-percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '999999')], [], 
                '''                Set percentage of bandwidth percentage limit
                ''',
                'bandwidth_percent',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configures hello interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configures hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress address updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('split-horizon', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform split horizon
                ''',
                'split_horizon',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('summary-address', REFERENCE_CLASS, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AfInterface.SummaryAddress', 
                [], [], 
                '''                ''',
                'summary_address',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'af-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Bfd.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Bfd.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Bfd.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Bfd.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Bfd.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Bfd.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Bfd.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Bfd.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Bfd.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Bfd.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Bfd.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Bfd.Interface', 
                [], [], 
                '''                Enable BFD on specific interface
                ''',
                'interface',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DefaultInformation.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DefaultInformation.In_',
            False, 
            [
            _MetaInfoClassMember('sa-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Standard Access-list name
                ''',
                'sa_name',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('sa-num', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                A standard expanded IP access list number
                ''',
                'sa_num',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DefaultInformation.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DefaultInformation.Out',
            False, 
            [
            _MetaInfoClassMember('sa-out-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Standard Access-list name
                ''',
                'sa_out_name',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('sa-out-num', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                A standard expanded IP access list number
                ''',
                'sa_out_num',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DefaultInformation.In_', 
                [], [], 
                '''                Accept input default routing information
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DefaultInformation.Out', 
                [], [], 
                '''                Accept output default routing information
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DefaultMetric.DmRdr.DmRdr0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DefaultMetric.DmRdr.DmRdr0',
            False, 
            [
            _MetaInfoClassMember('dm-rdr0', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                delay metric in 10 microsecond units
                ''',
                'dm_rdr0',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('dm-rdr-pct', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reliability metric where 255 is 100% reliable
                ''',
                'dm_rdr_pct',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'dm-rdr0',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DefaultMetric.DmRdr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DefaultMetric.DmRdr',
            False, 
            [
            _MetaInfoClassMember('dm-rdr', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Bandwidth in Kbits per second
                ''',
                'dm_rdr',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('dm-rdr0', REFERENCE_LIST, 'DmRdr0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DefaultMetric.DmRdr.DmRdr0', 
                [], [], 
                '''                ''',
                'dm_rdr0',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'dm-rdr',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DefaultMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DefaultMetric',
            False, 
            [
            _MetaInfoClassMember('dm-rdr', REFERENCE_LIST, 'DmRdr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DefaultMetric.DmRdr', 
                [], [], 
                '''                ''',
                'dm_rdr',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'default-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Distance.RadDis.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Distance.RadDis.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source address
                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('ipv40', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Wildcard bits
                ''',
                'ipv40',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Distance.RadDis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Distance.RadDis',
            False, 
            [
            _MetaInfoClassMember('rad-dis', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Set route administrative distance
                ''',
                'rad_dis',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Distance.RadDis.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'rad-dis',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Distance.Eigrp_.DiRt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Distance.Eigrp_.DiRt',
            False, 
            [
            _MetaInfoClassMember('di-rt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Distance for internal routes
                ''',
                'di_rt',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('di-rt0', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Distance for external routes
                ''',
                'di_rt0',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'di-rt',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Distance.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Distance.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('di-rt', REFERENCE_LIST, 'DiRt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Distance.Eigrp_.DiRt', 
                [], [], 
                '''                ''',
                'di_rt',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Distance',
            False, 
            [
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Distance.Eigrp_', 
                [], [], 
                '''                Set distance for internal and external routes
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('rad-dis', REFERENCE_LIST, 'RadDis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Distance.RadDis', 
                [], [], 
                '''                ''',
                'rad_dis',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DistributeList.EigFilt.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DistributeList.EigFilt.In_',
            False, 
            [
            _MetaInfoClassMember('interface_name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DistributeList.EigFilt.Out' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DistributeList.EigFilt.Out',
            False, 
            [
            _MetaInfoClassMember('interface_name', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'out',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DistributeList.EigFilt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DistributeList.EigFilt',
            False, 
            [
            _MetaInfoClassMember('eig-filt', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP expanded access list number
                ''',
                'eig_filt',
                'Cisco-IOS-XE-eigrp', True, [
                    _MetaInfoClassMember('eig-filt', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        IP expanded access list number
                        ''',
                        'eig_filt',
                        'Cisco-IOS-XE-eigrp', True),
                    _MetaInfoClassMember('eig-filt', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        IP expanded access list number
                        ''',
                        'eig_filt',
                        'Cisco-IOS-XE-eigrp', True),
                ]),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DistributeList.EigFilt.In_', 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', REFERENCE_CLASS, 'Out' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DistributeList.EigFilt.Out', 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eig-filt',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DistributeList.Gateway.GwList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DistributeList.Gateway.GwList',
            False, 
            [
            _MetaInfoClassMember('gw-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of an IP prefix-list
                ''',
                'gw_list',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'gw-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DistributeList.Gateway' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DistributeList.Gateway',
            False, 
            [
            _MetaInfoClassMember('gw-list', REFERENCE_LIST, 'GwList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DistributeList.Gateway.GwList', 
                [], [], 
                '''                ''',
                'gw_list',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'gateway',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DistributeList.Prefix.PlName' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DistributeList.Prefix.PlName',
            False, 
            [
            _MetaInfoClassMember('pl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of an IP prefix-list
                ''',
                'pl_name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('gateway', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filtering incoming address updates based on gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'pl-name',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DistributeList.Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DistributeList.Prefix',
            False, 
            [
            _MetaInfoClassMember('pl-name', REFERENCE_LIST, 'PlName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DistributeList.Prefix.PlName', 
                [], [], 
                '''                ''',
                'pl_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DistributeList.RouteMap.RmapName' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DistributeList.RouteMap.RmapName',
            False, 
            [
            _MetaInfoClassMember('rmap-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                route-map name
                ''',
                'rmap_name',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming service updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter outgoing service updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'rmap-name',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DistributeList.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DistributeList.RouteMap',
            False, 
            [
            _MetaInfoClassMember('rmap-name', REFERENCE_LIST, 'RmapName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DistributeList.RouteMap.RmapName', 
                [], [], 
                '''                ''',
                'rmap_name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.DistributeList',
            False, 
            [
            _MetaInfoClassMember('eig-filt', REFERENCE_LIST, 'EigFilt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DistributeList.EigFilt', 
                [], [], 
                '''                ''',
                'eig_filt',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('gateway', REFERENCE_CLASS, 'Gateway' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DistributeList.Gateway', 
                [], [], 
                '''                Filtering incoming address updates based on gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DistributeList.Prefix', 
                [], [], 
                '''                Filter prefixes in address updates
                ''',
                'prefix',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DistributeList.RouteMap', 
                [], [], 
                '''                Filter prefixes based on the route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Eigrp_.Stub' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Eigrp_.Stub',
            False, 
            [
            _MetaInfoClassMember('connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise connected routes
                ''',
                'connected',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('leak-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Allow dynamic prefixes based on the leak-map
                ''',
                'leak_map',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('receive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set receive only neighbor
                ''',
                'receive_only',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('redistributed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise redistributed routes
                ''',
                'redistributed',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise static routes
                ''',
                'static',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do advertise summary routes
                ''',
                'summary',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'stub',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Eigrp_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Eigrp_',
            False, 
            [
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                router id for this EIGRP process
                ''',
                'router_id',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('stub', REFERENCE_CLASS, 'Stub' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Eigrp_.Stub', 
                [], [], 
                '''                Set address-family in stubbed mode
                ''',
                'stub',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Metric',
            False, 
            [
            _MetaInfoClassMember('maximum-hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Hop count
                ''',
                'maximum_hops',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('weights', ATTRIBUTE, 'int' , None, None, 
                [('0', '8')], [], 
                '''                Type (Only TOS 0 supported)
                ''',
                'weights',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Neighbor.Ipv4.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Neighbor.Ipv4.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Neighbor.Ipv4.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Neighbor.Ipv4.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Neighbor.Ipv4.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Neighbor.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Neighbor.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Neighbor.Ipv4.Interface', 
                [], [], 
                '''                Specify interface for global address
                ''',
                'interface',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Neighbor',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Neighbor.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Network',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network number
                ''',
                'number',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('wild-card', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                EIGRP wild card bits
                ''',
                'wild_card',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.OffsetList.NsrList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.OffsetList.NsrList',
            False, 
            [
            _MetaInfoClassMember('nsr-list', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                Access list of networks to apply offset (extended range)
                ''',
                'nsr_list',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on incoming updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on outgoing updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'nsr-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.OffsetList.OlAcl' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.OffsetList.OlAcl',
            False, 
            [
            _MetaInfoClassMember('ol-acl', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access-list name
                ''',
                'ol_acl',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on incoming updates
                ''',
                'in_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Perform offset on outgoing updates
                ''',
                'out',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ol-acl',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.OffsetList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.OffsetList',
            False, 
            [
            _MetaInfoClassMember('nsr-list', REFERENCE_LIST, 'NsrList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.OffsetList.NsrList', 
                [], [], 
                '''                ''',
                'nsr_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ol-acl', REFERENCE_LIST, 'OlAcl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.OffsetList.OlAcl', 
                [], [], 
                '''                ''',
                'ol_acl',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'offset-list',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Redistribute.Bgp.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Redistribute.Bgp.Metric',
            False, 
            [
            _MetaInfoClassMember('bandwith', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Bandwidth metric in Kbits per second
                ''',
                'bandwith',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EIGRP delay metric, in 10 microsecond units
                ''',
                'delay',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('Effective', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                EIGRP Effective bandwidth metric (Loading) where 255 is 100% loaded
                ''',
                'effective',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                EIGRP MTU of the path
                ''',
                'mtu',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('reliability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                EIGRP reliability metric where 255 is 100% reliable
                ''',
                'reliability',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('rdr-as', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'rdr_as',
                'Cisco-IOS-XE-eigrp', True, [
                    _MetaInfoClassMember('rdr-as', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Autonomous system number
                        ''',
                        'rdr_as',
                        'Cisco-IOS-XE-eigrp', True),
                    _MetaInfoClassMember('rdr-as', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous system number
                        ''',
                        'rdr_as',
                        'Cisco-IOS-XE-eigrp', True),
                ]),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Redistribute.Bgp.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('rd-LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'rd_lesser_1_period_0_xx_period_yy_greater_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('is-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'is_tag',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('level-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IS-IS level-1 routes only
                ''',
                'level_1',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('level-1-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IS-IS level-1 and level-2 routes
                ''',
                'level_1_2',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('level-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IS-IS level-2 routes only
                ''',
                'level_2',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Redistribute.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Redistribute.Vrf',
            False, 
            [
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual Routing/Forwarding instance name
                ''',
                'name',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Redistribute',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Autonomous system number
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'ospf',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Redistribute.Vrf', 
                [], [], 
                '''                Specify a source virtual routing/forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.SummaryMetric.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.SummaryMetric.Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary to configure static metric
                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'mask',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.SummaryMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.SummaryMetric',
            False, 
            [
            _MetaInfoClassMember('A_PERIOD_B_PERIOD_C_PERIOD_D_SLASH_nn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Summary <network>/<length>, e.g., 192.168.0.0/16
                ''',
                'a_period_b_period_c_period_d_slash_nn',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_LIST, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.SummaryMetric.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'summary-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Timers.ActiveTime' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Timers.ActiveTime',
            False, 
            [
            _MetaInfoClassMember('atimer', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                active state time limit in minutes
                ''',
                'atimer',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('disabled', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable time limit for active state
                ''',
                'disabled',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'active-time',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Timers.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Timers.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('purge-time', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EIGRP stale route purge time
                ''',
                'purge_time',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Timers.Nsf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Timers.Nsf',
            False, 
            [
            _MetaInfoClassMember('converge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EIGRP time limit for convergence after switchover
                ''',
                'converge',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('signal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EIGRP time limit for signaling NSF restart
                ''',
                'signal',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.Timers',
            False, 
            [
            _MetaInfoClassMember('active-time', REFERENCE_CLASS, 'ActiveTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Timers.ActiveTime', 
                [], [], 
                '''                time limit for active state
                ''',
                'active_time',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Timers.GracefulRestart', 
                [], [], 
                '''                EIGRP Graceful Restart timer
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Timers.Nsf', 
                [], [], 
                '''                EIGRP NSF timer
                ''',
                'nsf',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.TrafficShare.Min' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.TrafficShare.Min',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('balanced', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Share inversely proportional to metric
                ''',
                'balanced',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.TrafficShare.Min', 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous System ID
                ''',
                'id',
                'Cisco-IOS-XE-eigrp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        Autonomous System ID
                        ''',
                        'id',
                        'Cisco-IOS-XE-eigrp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous System ID
                        ''',
                        'id',
                        'Cisco-IOS-XE-eigrp', True),
                ]),
            _MetaInfoClassMember('address-family', REFERENCE_LIST, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AddressFamily', 
                [], [], 
                '''                Enter Address Family command mode
                ''',
                'address_family',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('af-interface', REFERENCE_LIST, 'AfInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.AfInterface', 
                [], [], 
                '''                Enter Address Family interface configuration
                ''',
                'af_interface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('default-metric', REFERENCE_CLASS, 'DefaultMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DefaultMetric', 
                [], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.DistributeList', 
                [], [], 
                '''                Filter entries in eigrp updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Eigrp_', 
                [], [], 
                '''                EIGRP Address Family specific commands
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Number of paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Metric', 
                [], [], 
                '''                Modify metrics and parameters for advertisement
                ''',
                'metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('neighbor', REFERENCE_CLASS, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Network', 
                [], [], 
                '''                Enable routing on an IP network
                ''',
                'network',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('nsf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Non-stop forwarding
                ''',
                'nsf',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('offset-list', REFERENCE_CLASS, 'OffsetList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.OffsetList', 
                [], [], 
                '''                Add or subtract offset from EIGRP metrics
                ''',
                'offset_list',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Redistribute', 
                [], [], 
                '''                Redistribute IPv4 routes from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this instance of EIGRP
                ''',
                'shutdown',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('summary-metric', REFERENCE_CLASS, 'SummaryMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.SummaryMetric', 
                [], [], 
                '''                Specify summary to apply metric/filtering
                ''',
                'summary_metric',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('variance', ATTRIBUTE, 'int' , None, None, 
                [('1', '128')], [], 
                '''                Metric variance multiplier
                ''',
                'variance',
                'Cisco-IOS-XE-eigrp', False),
            ],
            'Cisco-IOS-XE-eigrp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-eigrp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.MetricStyle.Narrow' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.MetricStyle.Narrow',
            False, 
            [
            _MetaInfoClassMember('narrow-wide', REFERENCE_ENUM_CLASS, 'IsisLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisLevelTypeEnum', 
                [], [], 
                '''                ''',
                'narrow_wide',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('transition', REFERENCE_ENUM_CLASS, 'IsisLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisLevelTypeEnum', 
                [], [], 
                '''                Accept both styles of TLVs during transition
                ''',
                'transition',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'narrow',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.MetricStyle.Transition' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.MetricStyle.Transition',
            False, 
            [
            _MetaInfoClassMember('transition', REFERENCE_ENUM_CLASS, 'IsisLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisLevelTypeEnum', 
                [], [], 
                '''                ''',
                'transition',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'transition',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.MetricStyle.Wide' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.MetricStyle.Wide',
            False, 
            [
            _MetaInfoClassMember('narrow-wide', REFERENCE_ENUM_CLASS, 'IsisLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisLevelTypeEnum', 
                [], [], 
                '''                ''',
                'narrow_wide',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('transition', REFERENCE_ENUM_CLASS, 'IsisLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisLevelTypeEnum', 
                [], [], 
                '''                Accept both styles of TLVs during transition
                ''',
                'transition',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'wide',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.MetricStyle' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.MetricStyle',
            False, 
            [
            _MetaInfoClassMember('narrow', REFERENCE_CLASS, 'Narrow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.MetricStyle.Narrow', 
                [], [], 
                '''                Use old style of TLVs with narrow metric
                ''',
                'narrow',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('transition', REFERENCE_CLASS, 'Transition' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.MetricStyle.Transition', 
                [], [], 
                '''                Send and accept both styles of TLVs during transition
                ''',
                'transition',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wide', REFERENCE_CLASS, 'Wide' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.MetricStyle.Wide', 
                [], [], 
                '''                Use new style of TLVs to carry wider metric
                ''',
                'wide',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric-style',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('expanded-acl', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                ''',
                'expanded_acl',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify IPv6 Named Access-List
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ro', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-only access with this community string
                ''',
                'ro',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-write access with this community string
                ''',
                'rw',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access', 
                [], [], 
                '''                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('community-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_string',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC MD5 algorithm for authentication
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('sha', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC SHA algorithm for authentication
                ''',
                'sha',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access', 
                [], [], 
                '''                specify an access-list associated with this group
                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth', 
                [], [], 
                '''                authentication parameters for the user
                ''',
                'auth',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If the user password is already configured and saved
                ''',
                'credential',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('encrypted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specifying passwords as MD5 or SHA digests
                ''',
                'encrypted',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'permisssion',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('permisssion', REFERENCE_CLASS, 'Permisssion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion', 
                [], [], 
                '''                ''',
                'permisssion',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community', 
                [], [], 
                '''                Configure a SNMP v2c Community string and access privs
                ''',
                'community',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User', 
                [], [], 
                '''                Configure a SNMP v3 user
                ''',
                'user',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits',
            False, 
            [
            _MetaInfoClassMember('w-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'w_bits',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'wildcard-bits',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source address
                ''',
                'ip',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('wildcard-bits', REFERENCE_LIST, 'WildcardBits' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits', 
                [], [], 
                '''                ''',
                'wildcard_bits',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distance applied for CLNS derived routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distance applied for IP derived routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip-list', REFERENCE_LIST, 'IpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList', 
                [], [], 
                '''                ''',
                'ip_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign high priority to IP prefixes with a specific route tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High', 
                [], [], 
                '''                Assign high priority to important IP prefixes in ISIS IP local RIB
                ''',
                'high',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route',
            False, 
            [
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority', 
                [], [], 
                '''                Assign priority to IP prefixes
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route', 
                [], [], 
                '''                ISIS IP routes
                ''',
                'route',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels1Enum' : _MetaInfoEnum('IsisRedistLevels1Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels2Enum' : _MetaInfoEnum('IsisRedistLevels2Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('isis-redist-levels1', REFERENCE_ENUM_CLASS, 'IsisRedistLevels1Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels1Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels1',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('isis-redist-levels2', REFERENCE_ENUM_CLASS, 'IsisRedistLevels2Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels2Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels2',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('distribute-list', ATTRIBUTE, 'int' , None, None, 
                [('100', '199')], [], 
                '''                select routes
                ''',
                'distribute_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('into', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from level-n into level-m
                ''',
                'into',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route matching
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_LIST, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-redistribute', REFERENCE_LIST, 'IsisRedistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute', 
                [], [], 
                '''                ''',
                'isis_redistribute',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold_value',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('withdraw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Withdraw redistibuted prefixes
                ''',
                'withdraw',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname',
            False, 
            [
            _MetaInfoClassMember('appname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'appname',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'appname',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application',
            False, 
            [
            _MetaInfoClassMember('appname', REFERENCE_LIST, 'Appname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname', 
                [], [], 
                '''                ''',
                'appname',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum',
            False, 
            [
            _MetaInfoClassMember('bp-as-num', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', True, [
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bp-as-num',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp',
            False, 
            [
            _MetaInfoClassMember('a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'a_lesser_1_period_0_xx_period_yy_greater_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bp-as-num', REFERENCE_LIST, 'BpAsNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum', 
                [], [], 
                '''                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                AS number
                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp-as',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', REFERENCE_LIST, 'EigrpAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs', 
                [], [], 
                '''                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag',
            False, 
            [
            _MetaInfoClassMember('isis-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-atag', REFERENCE_LIST, 'IsisAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag', 
                [], [], 
                '''                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag',
            False, 
            [
            _MetaInfoClassMember('iso-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap',
            False, 
            [
            _MetaInfoClassMember('rm-point', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pointer to route-map entries
                ''',
                'rm_point',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('iso-atag', REFERENCE_LIST, 'IsoAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag', 
                [], [], 
                '''                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap', 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id',
            False, 
            [
            _MetaInfoClassMember('os3-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'os3-id',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('os3-id', REFERENCE_LIST, 'Os3Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id', 
                [], [], 
                '''                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm',
            False, 
            [
            _MetaInfoClassMember('vrf-nm', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source VRF name
                ''',
                'vrf_nm',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'vrf-nm',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname',
            False, 
            [
            _MetaInfoClassMember('appname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'appname',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'appname',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application',
            False, 
            [
            _MetaInfoClassMember('appname', REFERENCE_LIST, 'Appname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname', 
                [], [], 
                '''                ''',
                'appname',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum',
            False, 
            [
            _MetaInfoClassMember('bp-as-num', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', True, [
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bp-as-num',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp',
            False, 
            [
            _MetaInfoClassMember('a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'a_lesser_1_period_0_xx_period_yy_greater_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bp-as-num', REFERENCE_LIST, 'BpAsNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum', 
                [], [], 
                '''                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                AS number
                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp-as',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', REFERENCE_LIST, 'EigrpAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs', 
                [], [], 
                '''                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag',
            False, 
            [
            _MetaInfoClassMember('isis-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-atag', REFERENCE_LIST, 'IsisAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag', 
                [], [], 
                '''                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag',
            False, 
            [
            _MetaInfoClassMember('iso-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap',
            False, 
            [
            _MetaInfoClassMember('rm-point', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pointer to route-map entries
                ''',
                'rm_point',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('iso-atag', REFERENCE_LIST, 'IsoAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag', 
                [], [], 
                '''                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap', 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id',
            False, 
            [
            _MetaInfoClassMember('os3-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'os3-id',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('os3-id', REFERENCE_LIST, 'Os3Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id', 
                [], [], 
                '''                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_', 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf-nm', REFERENCE_LIST, 'VrfNm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm', 
                [], [], 
                '''                ''',
                'vrf_nm',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes redistributed to protocol
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf', 
                [], [], 
                '''                Specify a source VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'set-attached-bit',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('expanded-acl', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                ''',
                'expanded_acl',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify IPv6 Named Access-List
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ro', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-only access with this community string
                ''',
                'ro',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-write access with this community string
                ''',
                'rw',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access', 
                [], [], 
                '''                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('community-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_string',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC MD5 algorithm for authentication
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('sha', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC SHA algorithm for authentication
                ''',
                'sha',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access', 
                [], [], 
                '''                specify an access-list associated with this group
                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth', 
                [], [], 
                '''                authentication parameters for the user
                ''',
                'auth',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If the user password is already configured and saved
                ''',
                'credential',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('encrypted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specifying passwords as MD5 or SHA digests
                ''',
                'encrypted',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'permisssion',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('permisssion', REFERENCE_CLASS, 'Permisssion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion', 
                [], [], 
                '''                ''',
                'permisssion',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community', 
                [], [], 
                '''                Configure a SNMP v2c Community string and access privs
                ''',
                'community',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User', 
                [], [], 
                '''                Configure a SNMP v3 user
                ''',
                'user',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric-tag-container',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1', 
                [], [], 
                '''                Summarize into level-1 area
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1-2', REFERENCE_CLASS, 'Level12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12', 
                [], [], 
                '''                Summarize into both area and sub-domain
                ''',
                'level_1_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2', 
                [], [], 
                '''                Summarize into level-2 sub-domain
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-tag-container', REFERENCE_CLASS, 'MetricTagContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer', 
                [], [], 
                '''                ''',
                'metric_tag_container',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min', 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise',
            False, 
            [
            _MetaInfoClassMember('passive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                only interface address of passive interfaces
                ''',
                'passive_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metrics',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metrics', REFERENCE_LIST, 'Metrics' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics', 
                [], [], 
                '''                ''',
                'metrics',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'prc-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'wait-for-bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait-for-bgp', REFERENCE_CLASS, 'WaitForBgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp', 
                [], [], 
                '''                Let BGP decide when to unset the overload bit
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit',
            False, 
            [
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup', 
                [], [], 
                '''                Set overload-bit only temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'set-overload-bit',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval',
            False, 
            [
            _MetaInfoClassMember('intervals', REFERENCE_CLASS, 'Intervals' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals', 
                [], [], 
                '''                ''',
                'intervals',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1-2', REFERENCE_LIST, 'Level12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12', 
                [], [], 
                '''                ''',
                'level_1_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'spf-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4.Topology',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise', 
                [], [], 
                '''                Control which IP routes flow in L1 and L2 LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('distance', REFERENCE_LIST, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the interactive help system
                ''',
                'help',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ignore-attached-bit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never install default route to closest L2 router
                ''',
                'ignore_attached_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip', 
                [], [], 
                '''                IP specific commands
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric', 
                [], [], 
                '''                Set ISIS metric for all interfaces
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('prc-interval', REFERENCE_CLASS, 'PrcInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval', 
                [], [], 
                '''                Minimum interval between partial route calculations
                ''',
                'prc_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                priority value
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('set-attached-bit', REFERENCE_CLASS, 'SetAttachedBit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit', 
                [], [], 
                '''                Conditionally advertise us as attached to L2
                ''',
                'set_attached_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('set-overload-bit', REFERENCE_CLASS, 'SetOverloadBit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit', 
                [], [], 
                '''                Signal other routers not to use us in SPF
                ''',
                'set_overload_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('spf-interval', REFERENCE_CLASS, 'SpfInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval', 
                [], [], 
                '''                Minimum interval between SPF calculations
                ''',
                'spf_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('summary-address', REFERENCE_LIST, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress', 
                [], [], 
                '''                Configure IP address summaries
                ''',
                'summary_address',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tid', ATTRIBUTE, 'int' , None, None, 
                [('5', '4095')], [], 
                '''                Configuring the routing protocol topology tid
                ''',
                'tid',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv4.UnicastMulticastEnum' : _MetaInfoEnum('UnicastMulticastEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
            'multicast':'multicast',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv4',
            False, 
            [
            _MetaInfoClassMember('help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the interactive help system
                ''',
                'help',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.Topology', 
                [], [], 
                '''                Associate the routing protocol to a topology instance
                ''',
                'topology',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('unicast-multicast', REFERENCE_ENUM_CLASS, 'UnicastMulticastEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4.UnicastMulticastEnum', 
                [], [], 
                '''                ''',
                'unicast_multicast',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Advertise',
            False, 
            [
            _MetaInfoClassMember('passive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                only interface address of passive interfaces
                ''',
                'passive_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metrics',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Metric',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metrics', REFERENCE_LIST, 'Metrics' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics', 
                [], [], 
                '''                ''',
                'metrics',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.PrcInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.PrcInterval',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'prc-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'wait-for-bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait-for-bgp', REFERENCE_CLASS, 'WaitForBgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp', 
                [], [], 
                '''                Let BGP decide when to unset the overload bit
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit',
            False, 
            [
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup', 
                [], [], 
                '''                Set overload-bit only temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'set-overload-bit',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.SpfInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.SpfInterval',
            False, 
            [
            _MetaInfoClassMember('intervals', REFERENCE_CLASS, 'Intervals' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals', 
                [], [], 
                '''                ''',
                'intervals',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1-2', REFERENCE_LIST, 'Level12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12', 
                [], [], 
                '''                ''',
                'level_1_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'spf-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('check-ctrl-plane-failure', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BFD check control plane failure
                ''',
                'check_ctrl_plane_failure',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface', 
                [], [], 
                '''                Specify interface
                ''',
                'interface',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.DistributeList',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList', 
                [], [], 
                '''                Filter connections based on an IPv6 prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assign high priority to IPV6 prefixes with a specific route tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High', 
                [], [], 
                '''                Assign high priority to important IPV6 prefixes in ISIS IPV6 local RIB
                ''',
                'high',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route',
            False, 
            [
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority', 
                [], [], 
                '''                Assign priority to IPV6 prefixes
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Ipv6_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Ipv6_',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route', 
                [], [], 
                '''                ISIS IPV6 routes
                ''',
                'route',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.MultiTopology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.MultiTopology',
            False, 
            [
            _MetaInfoClassMember('transition', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept and generate both IS-IS IPv6 and Multi-topology IPv6 TLVs
                ''',
                'transition',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'multi-topology',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels1Enum' : _MetaInfoEnum('IsisRedistLevels1Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels2Enum' : _MetaInfoEnum('IsisRedistLevels2Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak',
            False, 
            [
            _MetaInfoClassMember('isis-redist-levels1', REFERENCE_ENUM_CLASS, 'IsisRedistLevels1Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels1Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels1',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('isis-redist-levels2', REFERENCE_ENUM_CLASS, 'IsisRedistLevels2Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels2Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels2',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('distribute-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                select routes
                ''',
                'distribute_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('into', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from level-n into level-m
                ''',
                'into',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route matching
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-leak',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_',
            False, 
            [
            _MetaInfoClassMember('isis-leak', REFERENCE_LIST, 'IsisLeak' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak', 
                [], [], 
                '''                ''',
                'isis_leak',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-redistribute', REFERENCE_LIST, 'IsisRedistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute', 
                [], [], 
                '''                ''',
                'isis_redistribute',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nemo',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('process', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'process',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nemo', REFERENCE_CLASS, 'Nemo' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo', 
                [], [], 
                '''                Network Mobility (NEMO)
                ''',
                'nemo',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip', 
                [], [], 
                '''                IPv6 Routing Information Protocol (RIPv6)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Selective route download
                ''',
                'filter',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily.Ipv6',
            False, 
            [
            _MetaInfoClassMember('adjacency-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check ISIS neighbor protocol support
                ''',
                'adjacency_check',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Advertise', 
                [], [], 
                '''                Control which IP routes flow in L1 and L2 LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                Administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the interactive help system
                ''',
                'help',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Ipv6_', 
                [], [], 
                '''                IPv6 specific commands
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Metric', 
                [], [], 
                '''                Set ISIS metric for all interfaces
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('multi-topology', REFERENCE_CLASS, 'MultiTopology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.MultiTopology', 
                [], [], 
                '''                Enable multi-topology mode
                ''',
                'multi_topology',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('prc-interval', REFERENCE_CLASS, 'PrcInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.PrcInterval', 
                [], [], 
                '''                Minimum interval between partial route calculations
                ''',
                'prc_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.Redistribute', 
                [], [], 
                '''                Redistribute IPv6 prefixes from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface of stable IP address for system
                ''',
                'router_id',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('set-overload-bit', REFERENCE_CLASS, 'SetOverloadBit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit', 
                [], [], 
                '''                Signal other routers not to use us in SPF
                ''',
                'set_overload_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('spf-interval', REFERENCE_CLASS, 'SpfInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SpfInterval', 
                [], [], 
                '''                Minimum interval between SPF calculations
                ''',
                'spf_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('summary-prefix', REFERENCE_LIST, 'SummaryPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix', 
                [], [], 
                '''                Configure IPv6 summary prefix
                ''',
                'summary_prefix',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv4', 
                [], [], 
                '''                Address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily.Ipv6', 
                [], [], 
                '''                Address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Distance.IpList.WildcardBits' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Distance.IpList.WildcardBits',
            False, 
            [
            _MetaInfoClassMember('w-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'w_bits',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'wildcard-bits',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Distance.IpList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Distance.IpList',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source address
                ''',
                'ip',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('wildcard-bits', REFERENCE_LIST, 'WildcardBits' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Distance.IpList.WildcardBits', 
                [], [], 
                '''                ''',
                'wildcard_bits',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Distance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distance applied for CLNS derived routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distance applied for IP derived routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip-list', REFERENCE_LIST, 'IpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Distance.IpList', 
                [], [], 
                '''                ''',
                'ip_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Ip.Route.Priority.High' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Ip.Route.Priority.High',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign high priority to IP prefixes with a specific route tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Ip.Route.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Ip.Route.Priority',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Ip.Route.Priority.High', 
                [], [], 
                '''                Assign high priority to important IP prefixes in ISIS IP local RIB
                ''',
                'high',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Ip.Route' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Ip.Route',
            False, 
            [
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Ip.Route.Priority', 
                [], [], 
                '''                Assign priority to IP prefixes
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Ip',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Ip.Route', 
                [], [], 
                '''                ISIS IP routes
                ''',
                'route',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Application.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Application.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Bgp.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Bgp.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Bgp.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Bgp.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Bgp.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Bgp.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Bgp.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Bgp.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Bgp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Bgp.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Bgp.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Bgp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Eigrp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Eigrp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Isis_.IsisRedistribute.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Isis_.IsisRedistribute.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Isis_.IsisRedistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Isis_.IsisRedistribute',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Isis_.IsisRedistribute.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Isis_.Ip.IsisRedistLevels1Enum' : _MetaInfoEnum('IsisRedistLevels1Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Isis_.Ip.IsisRedistLevels2Enum' : _MetaInfoEnum('IsisRedistLevels2Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('isis-redist-levels1', REFERENCE_ENUM_CLASS, 'IsisRedistLevels1Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Isis_.Ip.IsisRedistLevels1Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels1',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('isis-redist-levels2', REFERENCE_ENUM_CLASS, 'IsisRedistLevels2Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Isis_.Ip.IsisRedistLevels2Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels2',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('distribute-list', ATTRIBUTE, 'int' , None, None, 
                [('100', '199')], [], 
                '''                select routes
                ''',
                'distribute_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('into', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from level-n into level-m
                ''',
                'into',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route matching
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_LIST, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-redistribute', REFERENCE_LIST, 'IsisRedistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Isis_.IsisRedistribute', 
                [], [], 
                '''                ''',
                'isis_redistribute',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.IsoIgrp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.IsoIgrp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold_value',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('withdraw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Withdraw redistibuted prefixes
                ''',
                'withdraw',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Odr.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Odr.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Ospfv3.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Ospfv3.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Ospfv3.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Ospfv3.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Ospfv3.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospfv3.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Ospfv3.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Ospfv3.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospfv3.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospfv3.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Ospfv3.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospfv3.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospfv3.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname',
            False, 
            [
            _MetaInfoClassMember('appname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'appname',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'appname',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Application',
            False, 
            [
            _MetaInfoClassMember('appname', REFERENCE_LIST, 'Appname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname', 
                [], [], 
                '''                ''',
                'appname',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum',
            False, 
            [
            _MetaInfoClassMember('bp-as-num', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', True, [
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bp-as-num',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp',
            False, 
            [
            _MetaInfoClassMember('a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'a_lesser_1_period_0_xx_period_yy_greater_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bp-as-num', REFERENCE_LIST, 'BpAsNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum', 
                [], [], 
                '''                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                AS number
                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp-as',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', REFERENCE_LIST, 'EigrpAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs', 
                [], [], 
                '''                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag',
            False, 
            [
            _MetaInfoClassMember('isis-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-atag', REFERENCE_LIST, 'IsisAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag', 
                [], [], 
                '''                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag',
            False, 
            [
            _MetaInfoClassMember('iso-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap',
            False, 
            [
            _MetaInfoClassMember('rm-point', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pointer to route-map entries
                ''',
                'rm_point',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('iso-atag', REFERENCE_LIST, 'IsoAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag', 
                [], [], 
                '''                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap', 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id',
            False, 
            [
            _MetaInfoClassMember('os3-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'os3-id',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('os3-id', REFERENCE_LIST, 'Os3Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id', 
                [], [], 
                '''                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.VrfNm' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.VrfNm',
            False, 
            [
            _MetaInfoClassMember('vrf-nm', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source VRF name
                ''',
                'vrf_nm',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'vrf-nm',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname',
            False, 
            [
            _MetaInfoClassMember('appname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'appname',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'appname',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Application',
            False, 
            [
            _MetaInfoClassMember('appname', REFERENCE_LIST, 'Appname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname', 
                [], [], 
                '''                ''',
                'appname',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum',
            False, 
            [
            _MetaInfoClassMember('bp-as-num', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', True, [
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bp-as-num',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Bgp',
            False, 
            [
            _MetaInfoClassMember('a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'a_lesser_1_period_0_xx_period_yy_greater_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bp-as-num', REFERENCE_LIST, 'BpAsNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum', 
                [], [], 
                '''                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                AS number
                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp-as',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', REFERENCE_LIST, 'EigrpAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs', 
                [], [], 
                '''                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag',
            False, 
            [
            _MetaInfoClassMember('isis-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-atag', REFERENCE_LIST, 'IsisAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag', 
                [], [], 
                '''                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag',
            False, 
            [
            _MetaInfoClassMember('iso-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap',
            False, 
            [
            _MetaInfoClassMember('rm-point', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pointer to route-map entries
                ''',
                'rm_point',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('iso-atag', REFERENCE_LIST, 'IsoAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag', 
                [], [], 
                '''                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap', 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Lisp',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id',
            False, 
            [
            _MetaInfoClassMember('os3-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'os3-id',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('os3-id', REFERENCE_LIST, 'Os3Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id', 
                [], [], 
                '''                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_.Static.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Redistribute.Vrf.Global_.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Static.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf.Global_',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute.Vrf',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.Global_', 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf-nm', REFERENCE_LIST, 'VrfNm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf.VrfNm', 
                [], [], 
                '''                ''',
                'vrf_nm',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes redistributed to protocol
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Ospfv3', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute.Vrf', 
                [], [], 
                '''                Specify a source VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SetAttachedBit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SetAttachedBit',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'set-attached-bit',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Snmp.Context.Community.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Snmp.Context.Community.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('expanded-acl', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                ''',
                'expanded_acl',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify IPv6 Named Access-List
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ro', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-only access with this community string
                ''',
                'ro',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-write access with this community string
                ''',
                'rw',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Snmp.Context.Community' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Snmp.Context.Community',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Snmp.Context.Community.Access', 
                [], [], 
                '''                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('community-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_string',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Snmp.Context.User.Permisssion.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Snmp.Context.User.Permisssion.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Snmp.Context.User.Permisssion.Auth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Snmp.Context.User.Permisssion.Auth',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC MD5 algorithm for authentication
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('sha', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC SHA algorithm for authentication
                ''',
                'sha',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Snmp.Context.User.Permisssion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Snmp.Context.User.Permisssion',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Snmp.Context.User.Permisssion.Access', 
                [], [], 
                '''                specify an access-list associated with this group
                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Snmp.Context.User.Permisssion.Auth', 
                [], [], 
                '''                authentication parameters for the user
                ''',
                'auth',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If the user password is already configured and saved
                ''',
                'credential',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('encrypted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specifying passwords as MD5 or SHA digests
                ''',
                'encrypted',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'permisssion',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Snmp.Context.User' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Snmp.Context.User',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('permisssion', REFERENCE_CLASS, 'Permisssion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Snmp.Context.User.Permisssion', 
                [], [], 
                '''                ''',
                'permisssion',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Snmp.Context.Community', 
                [], [], 
                '''                Configure a SNMP v2c Community string and access privs
                ''',
                'community',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Snmp.Context.User', 
                [], [], 
                '''                Configure a SNMP v3 user
                ''',
                'user',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SummaryAddress.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SummaryAddress.Level1',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SummaryAddress.Level12' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SummaryAddress.Level12',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SummaryAddress.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SummaryAddress.Level2',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SummaryAddress.MetricTagContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SummaryAddress.MetricTagContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric-tag-container',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SummaryAddress.Level1', 
                [], [], 
                '''                Summarize into level-1 area
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1-2', REFERENCE_CLASS, 'Level12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SummaryAddress.Level12', 
                [], [], 
                '''                Summarize into both area and sub-domain
                ''',
                'level_1_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SummaryAddress.Level2', 
                [], [], 
                '''                Summarize into level-2 sub-domain
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-tag-container', REFERENCE_CLASS, 'MetricTagContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SummaryAddress.MetricTagContainer', 
                [], [], 
                '''                ''',
                'metric_tag_container',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.TrafficShare.Min' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.TrafficShare.Min',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.TrafficShare.Min', 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Advertise',
            False, 
            [
            _MetaInfoClassMember('passive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                only interface address of passive interfaces
                ''',
                'passive_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Metric.Metrics.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Metric.Metrics' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Metric.Metrics',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Metric.Metrics.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metrics',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Metric',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metrics', REFERENCE_LIST, 'Metrics' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Metric.Metrics', 
                [], [], 
                '''                ''',
                'metrics',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.PrcInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.PrcInterval',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'prc-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SetOverloadBit.OnStartup.Time' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SetOverloadBit.OnStartup.Time',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'wait-for-bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SetOverloadBit.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SetOverloadBit.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SetOverloadBit.OnStartup.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait-for-bgp', REFERENCE_CLASS, 'WaitForBgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp', 
                [], [], 
                '''                Let BGP decide when to unset the overload bit
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SetOverloadBit.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SetOverloadBit.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SetOverloadBit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SetOverloadBit',
            False, 
            [
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SetOverloadBit.OnStartup', 
                [], [], 
                '''                Set overload-bit only temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SetOverloadBit.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'set-overload-bit',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SpfInterval.Level12.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.SpfInterval.Level12' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SpfInterval.Level12',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SpfInterval.Level12.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SpfInterval.Intervals' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SpfInterval.Intervals',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SpfInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SpfInterval',
            False, 
            [
            _MetaInfoClassMember('intervals', REFERENCE_CLASS, 'Intervals' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SpfInterval.Intervals', 
                [], [], 
                '''                ''',
                'intervals',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1-2', REFERENCE_LIST, 'Level12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SpfInterval.Level12', 
                [], [], 
                '''                ''',
                'level_1_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'spf-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.AreaPassword.SnpEnum' : _MetaInfoEnum('SnpEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'send-only':'send_only',
            'validate':'validate',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.AreaPassword' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.AreaPassword',
            False, 
            [
            _MetaInfoClassMember('authenticate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication
                ''',
                'authenticate',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('snp', REFERENCE_ENUM_CLASS, 'SnpEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AreaPassword.SnpEnum', 
                [], [], 
                '''                SNP PDUs
                ''',
                'snp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'area-password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Authentication.Mode.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Authentication.Mode.Md5',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Authentication.Mode.Text' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Authentication.Mode.Text',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'text',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Authentication.Mode.Md5', 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('text', REFERENCE_CLASS, 'Text' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Authentication.Mode.Text', 
                [], [], 
                '''                Clear text password
                ''',
                'text',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Authentication.KeyChain.KeyChainList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Authentication.KeyChain.KeyChainList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('key-chain-list', REFERENCE_LIST, 'KeyChainList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Authentication.KeyChain.KeyChainList', 
                [], [], 
                '''                ''',
                'key_chain_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Authentication.SendOnly' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Authentication.SendOnly',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'send-only',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Authentication.KeyChain', 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Authentication.Mode', 
                [], [], 
                '''                Authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('send-only', REFERENCE_CLASS, 'SendOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Authentication.SendOnly', 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.DistributeList',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-isis', False, [
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1', '99')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-isis', False),
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '1999')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-isis', False),
                        ]),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('gateway', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filtering incoming updates based on gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('gateway-prefix-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'gateway_prefix_in',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter prefixes in routing updates
                ''',
                'prefix',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter prefixes based on the route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map-in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'route_map_in',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.DomainPassword.SnpEnum' : _MetaInfoEnum('SnpEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'send-only':'send_only',
            'validate':'validate',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.DomainPassword' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.DomainPassword',
            False, 
            [
            _MetaInfoClassMember('authenticate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication
                ''',
                'authenticate',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('snp', REFERENCE_ENUM_CLASS, 'SnpEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.DomainPassword.SnpEnum', 
                [], [], 
                '''                SNP PDUs
                ''',
                'snp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'domain-password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastFlood' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastFlood',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '15')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'fast-flood',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.LoadSharing.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.LoadSharing.Level1',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable load-sharing
                ''',
                'disable',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.LoadSharing.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.LoadSharing.Level2',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable load-sharing
                ''',
                'disable',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.LoadSharing' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.LoadSharing',
            False, 
            [
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.LoadSharing.Level1', 
                [], [], 
                '''                Apply to level-1
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.LoadSharing.Level2', 
                [], [], 
                '''                Apply to level-2
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'load-sharing',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.PerPrefix.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.PerPrefix.Level1',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Fast-Reroute for primary paths
                ''',
                'all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                route-map name
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.PerPrefix.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.PerPrefix.Level2',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Fast-Reroute for primary paths
                ''',
                'all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                route-map name
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.PerPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.PerPrefix',
            False, 
            [
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.PerPrefix.Level1', 
                [], [], 
                '''                Apply to level-1
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.PerPrefix.Level2', 
                [], [], 
                '''                Apply to level-2
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'per-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric',
            False, 
            [
            _MetaInfoClassMember('max-met', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                metric value
                ''',
                'max_met',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp',
            False, 
            [
            _MetaInfoClassMember('maximum-metric', REFERENCE_CLASS, 'MaximumMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric', 
                [], [], 
                '''                maximum metric to reach release node
                ''',
                'maximum_metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mpls-ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.RemoteLfa.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.RemoteLfa.Level1',
            False, 
            [
            _MetaInfoClassMember('mpls-ldp', REFERENCE_CLASS, 'MplsLdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp', 
                [], [], 
                '''                Use mpls-ldp tunnel type
                ''',
                'mpls_ldp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric',
            False, 
            [
            _MetaInfoClassMember('max-met', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                metric value
                ''',
                'max_met',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp',
            False, 
            [
            _MetaInfoClassMember('maximum-metric', REFERENCE_CLASS, 'MaximumMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric', 
                [], [], 
                '''                maximum metric to reach release node
                ''',
                'maximum_metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mpls-ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.RemoteLfa.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.RemoteLfa.Level2',
            False, 
            [
            _MetaInfoClassMember('mpls-ldp', REFERENCE_CLASS, 'MplsLdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp', 
                [], [], 
                '''                Use mpls-ldp tunnel type
                ''',
                'mpls_ldp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.RemoteLfa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.RemoteLfa',
            False, 
            [
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.RemoteLfa.Level1', 
                [], [], 
                '''                Apply to level-1
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.RemoteLfa.Level2', 
                [], [], 
                '''                Apply to level-2
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'remote-lfa',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.TieBreak.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.TieBreak.Level1',
            False, 
            [
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'downstream',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('linecard-disjoint', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'linecard_disjoint',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lowest-backup-path-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'lowest_backup_path_metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('node-protecting', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'node_protecting',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'primary_path',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('secondary-path', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'secondary_path',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.TieBreak.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.TieBreak.Level2',
            False, 
            [
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'downstream',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('linecard-disjoint', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'linecard_disjoint',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lowest-backup-path-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'lowest_backup_path_metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('node-protecting', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'node_protecting',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'primary_path',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('secondary-path', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'secondary_path',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute.TieBreak' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute.TieBreak',
            False, 
            [
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.TieBreak.Level1', 
                [], [], 
                '''                Apply to level-1
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.TieBreak.Level2', 
                [], [], 
                '''                Apply to level-2
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'tie-break',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.FastReroute',
            False, 
            [
            _MetaInfoClassMember('load-sharing', REFERENCE_CLASS, 'LoadSharing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.LoadSharing', 
                [], [], 
                '''                Distributes repair paths equally among links and prefixes
                ''',
                'load_sharing',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('per-prefix', REFERENCE_CLASS, 'PerPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.PerPrefix', 
                [], [], 
                '''                Enable Fast-Reroute Per-Prefix
                ''',
                'per_prefix',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('remote-lfa', REFERENCE_CLASS, 'RemoteLfa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.RemoteLfa', 
                [], [], 
                '''                Configuring fast-reroute remote-lfa
                ''',
                'remote_lfa',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tie-break', REFERENCE_CLASS, 'TieBreak' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute.TieBreak', 
                [], [], 
                '''                Set repair path preference
                ''',
                'tie_break',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.TiLfa.Level1.MaximumMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.TiLfa.Level1.MaximumMetric',
            False, 
            [
            _MetaInfoClassMember('max-met', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                metric value
                ''',
                'max_met',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.TiLfa.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.TiLfa.Level1',
            False, 
            [
            _MetaInfoClassMember('maximum-metric', REFERENCE_CLASS, 'MaximumMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.TiLfa.Level1.MaximumMetric', 
                [], [], 
                '''                maximum metric to reach release node
                ''',
                'maximum_metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.TiLfa.Level2.MaximumMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.TiLfa.Level2.MaximumMetric',
            False, 
            [
            _MetaInfoClassMember('max-met', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                metric value
                ''',
                'max_met',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.TiLfa.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.TiLfa.Level2',
            False, 
            [
            _MetaInfoClassMember('maximum-metric', REFERENCE_CLASS, 'MaximumMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.TiLfa.Level2.MaximumMetric', 
                [], [], 
                '''                maximum metric to reach release node
                ''',
                'maximum_metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.TiLfa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.TiLfa',
            False, 
            [
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.TiLfa.Level1', 
                [], [], 
                '''                Apply to level-1
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.TiLfa.Level2', 
                [], [], 
                '''                Apply to level-2
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ti-lfa',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Hello.Padding.PadTypeEnum' : _MetaInfoEnum('PadTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-point':'multi_point',
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('pad-type', REFERENCE_ENUM_CLASS, 'PadTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Hello.Padding.PadTypeEnum', 
                [], [], 
                '''                ''',
                'pad_type',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello PDU
                ''',
                'padding',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Hostname',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Dynamic hostname
                ''',
                'dynamic',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Ispf.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis.Ispf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Ispf',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Ispf.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ispf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.LogAdjacencyChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.LogAdjacencyChanges',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include changes generated by non-IIH event
                ''',
                'all',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'log-adjacency-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external-interlevel-container',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.LspFull.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.LspFull.Suppress',
            False, 
            [
            _MetaInfoClassMember('external-interlevel-container', REFERENCE_CLASS, 'ExternalInterlevelContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer', 
                [], [], 
                '''                ''',
                'external_interlevel_container',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                don't suppress any prefixes
                ''',
                'none',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.LspFull' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.LspFull',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.LspFull.Suppress', 
                [], [], 
                '''                suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lsp-full',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.LspGenInterval.Intervals' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.LspGenInterval.Intervals',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval for level 1 only
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals-level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval for level 2 only
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals-level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.LspGenInterval.IntervalsLevels' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.LspGenInterval.IntervalsLevels',
            False, 
            [
            _MetaInfoClassMember('intervals-level-1', REFERENCE_CLASS, 'IntervalsLevel1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1', 
                [], [], 
                '''                ''',
                'intervals_level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('intervals-level-2', REFERENCE_CLASS, 'IntervalsLevel2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2', 
                [], [], 
                '''                ''',
                'intervals_level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals-levels',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.LspGenInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.LspGenInterval',
            False, 
            [
            _MetaInfoClassMember('intervals', REFERENCE_CLASS, 'Intervals' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.LspGenInterval.Intervals', 
                [], [], 
                '''                ''',
                'intervals',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('intervals-levels', REFERENCE_CLASS, 'IntervalsLevels' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.LspGenInterval.IntervalsLevels', 
                [], [], 
                '''                ''',
                'intervals_levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lsp-gen-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Microloop.Avoidance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Microloop.Avoidance',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Microloop avoidance
                ''',
                'disable',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microloop avoidance for protected link or prefix only
                ''',
                'protected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rib-update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '600000')], [], 
                '''                Value of the delay in milliseconds
                ''',
                'rib_update_delay',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'avoidance',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Microloop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Microloop',
            False, 
            [
            _MetaInfoClassMember('avoidance', REFERENCE_CLASS, 'Avoidance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Microloop.Avoidance', 
                [], [], 
                '''                Enable local microloop avoidance
                ''',
                'avoidance',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'microloop',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Mpls.Ldp.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Mpls.Ldp.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('level-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure ISIS level-1 to run MPLS LDP
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure ISIS level-2 to run MPLS LDP
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Mpls.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Mpls.Ldp',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Mpls.Ldp.Autoconfig', 
                [], [], 
                '''                Configure LDP automatic configuration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure LDP-IGP Synchronization
                ''',
                'sync',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('sync-igp-shortcuts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure LDP-IGP Synchronization on MPLS shortcuts
                ''',
                'sync_igp_shortcuts',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Mpls.TrafficEng.RouterId.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Mpls.TrafficEng.RouterId.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Mpls.TrafficEng.RouterId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Mpls.TrafficEng.RouterId',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Mpls.TrafficEng.RouterId.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'router-id',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Mpls.TrafficEng.Scanner' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Mpls.TrafficEng.Scanner',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                time (secs) between LSPDB walks for TE
                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('max-flash', ATTRIBUTE, 'int' , None, None, 
                [('0', '200')], [], 
                '''                Number of ISIS LSPs to be processed with no delay
                ''',
                'max_flash',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'scanner',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('level-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Run MPLS TE on IS-IS level 1 only
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Run MPLS TE on IS-IS level 2 only
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('multicast-intact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS TE and PIM interaction
                ''',
                'multicast_intact',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('router-id', REFERENCE_CLASS, 'RouterId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Mpls.TrafficEng.RouterId', 
                [], [], 
                '''                Traffic Engineering stable IP address for system
                ''',
                'router_id',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('scanner', REFERENCE_CLASS, 'Scanner' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Mpls.TrafficEng.Scanner', 
                [], [], 
                '''                Timer parameters for TE database
                ''',
                'scanner',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Mpls',
            False, 
            [
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Mpls.Ldp', 
                [], [], 
                '''                routing protocol commands for MPLS LDP
                ''',
                'ldp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Mpls.TrafficEng', 
                [], [], 
                '''                routing protocol commands for MPLS Traffic Engineering
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Net' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Net',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-isis', True),
            ],
            'Cisco-IOS-XE-isis',
            'net',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Nsf.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Nsf.Interface',
            False, 
            [
            _MetaInfoClassMember('wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                Seconds
                ''',
                'wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Nsf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Nsf',
            False, 
            [
            _MetaInfoClassMember('cisco', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Checkpoint method
                ''',
                'cisco',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IETF method
                ''',
                'ietf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Nsf.Interface', 
                [], [], 
                '''                Interface properties
                ''',
                'interface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '1440')], [], 
                '''                Minutes
                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Partition' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Partition',
            False, 
            [
            _MetaInfoClassMember('avoidance', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Withdraw area prefix if partition detected
                ''',
                'avoidance',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'partition',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Disable.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Disable.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-isis', True),
            ],
            'Cisco-IOS-XE-isis',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Disable',
            False, 
            [
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Disable.PassiveInterface', 
                [], [], 
                '''                ''',
                'passive_interface',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Protocol',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set protocol's administrative state to disable
                ''',
                'shutdown',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SegmentRouting.PrefixSidMap.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SegmentRouting.PrefixSidMap.Receive',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix-SID mapping
                ''',
                'disable',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SegmentRouting.PrefixSidMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SegmentRouting.PrefixSidMap',
            False, 
            [
            _MetaInfoClassMember('advertise-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise active local prefix-SID mappings
                ''',
                'advertise_local',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SegmentRouting.PrefixSidMap.Receive', 
                [], [], 
                '''                Enable prefix-SID mapping client
                ''',
                'receive',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'prefix-sid-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.SegmentRouting' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.SegmentRouting',
            False, 
            [
            _MetaInfoClassMember('mpls', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Segment Routing Feature using MPLS encapsulation
                ''',
                'mpls',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('prefix-sid-map', REFERENCE_CLASS, 'PrefixSidMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SegmentRouting.PrefixSidMap', 
                [], [], 
                '''                Enable prefix-sid-map
                ''',
                'prefix_sid_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'segment-routing',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Skeptical' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Skeptical',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '1440')], [], 
                '''                Minutes
                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'skeptical',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Use' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Use',
            False, 
            [
            _MetaInfoClassMember('external-metrics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Honour external metrics during SPF
                ''',
                'external_metrics',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'use',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('check-ctrl-plane-failure', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BFD check control plane failure
                ''',
                'check_ctrl_plane_failure',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Isis.IsTypeEnum' : _MetaInfoEnum('IsTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2-only':'level_2_only',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Isis',
            False, 
            [
            _MetaInfoClassMember('address-family', REFERENCE_CLASS, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AddressFamily', 
                [], [], 
                '''                Enter Address Family command mode
                ''',
                'address_family',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('adjacency-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check ISIS neighbor protocol support
                ''',
                'adjacency_check',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Advertise', 
                [], [], 
                '''                Control which IP routes flow in L1 and L2 LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('area-password', REFERENCE_CLASS, 'AreaPassword' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.AreaPassword', 
                [], [], 
                '''                Configure the authentication password for an area
                ''',
                'area_password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for LSPs
                ''',
                'authentication',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Disable', 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('distance', REFERENCE_LIST, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('domain-password', REFERENCE_CLASS, 'DomainPassword' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.DomainPassword', 
                [], [], 
                '''                Set the authentication password for a routing domain
                ''',
                'domain_password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('fast-flood', REFERENCE_CLASS, 'FastFlood' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastFlood', 
                [], [], 
                '''                Flood LSPs (that triggered SPF) before running SPF
                ''',
                'fast_flood',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.FastReroute', 
                [], [], 
                '''                Configure Fast-Reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Hello', 
                [], [], 
                '''                Pad ISIS hello PDUs to full MTU
                ''',
                'hello',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the interactive help system
                ''',
                'help',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Hostname', 
                [], [], 
                '''                Dynamic hostname for IS-IS
                ''',
                'hostname',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ignore-lsp-errors', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore LSPs with bad checksums
                ''',
                'ignore_lsp_errors',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Ip', 
                [], [], 
                '''                IP specific commands
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('is-type', REFERENCE_ENUM_CLASS, 'IsTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.IsTypeEnum', 
                [], [], 
                '''                IS Level for this routing process (OSI only)
                ''',
                'is_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ispf', REFERENCE_CLASS, 'Ispf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Ispf', 
                [], [], 
                '''                Configure execution of incremental SPF
                ''',
                'ispf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('log-adjacency-changes', REFERENCE_CLASS, 'LogAdjacencyChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.LogAdjacencyChanges', 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-full', REFERENCE_CLASS, 'LspFull' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.LspFull', 
                [], [], 
                '''                If we run out of LSP fragments
                ''',
                'lsp_full',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-gen-interval', REFERENCE_CLASS, 'LspGenInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.LspGenInterval', 
                [], [], 
                '''                Minimum interval between regenerating same LSP
                ''',
                'lsp_gen_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-mtu', ATTRIBUTE, 'int' , None, None, 
                [('128', '4352')], [], 
                '''                Set maximum LSP size
                ''',
                'lsp_mtu',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set LSP refresh interval
                ''',
                'lsp_refresh_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('max-area-addresses', ATTRIBUTE, 'int' , None, None, 
                [('3', '254')], [], 
                '''                Allow configuration of more manual area addresses
                ''',
                'max_area_addresses',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('max-lsp-lifetime', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set maximum LSP lifetime
                ''',
                'max_lsp_lifetime',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Metric', 
                [], [], 
                '''                Set ISIS metric for all interfaces
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-style', REFERENCE_CLASS, 'MetricStyle' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.MetricStyle', 
                [], [], 
                '''                Use old-style (ISO 10589) or new-style packet formats
                ''',
                'metric_style',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('microloop', REFERENCE_CLASS, 'Microloop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Microloop', 
                [], [], 
                '''                Enable microloop protection configuration commands
                ''',
                'microloop',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Mpls', 
                [], [], 
                '''                Configure MPLS routing protocol parameters
                ''',
                'mpls',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('net', REFERENCE_LIST, 'Net' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Net', 
                [], [], 
                '''                A Network Entity Title for this process (OSI only)
                ''',
                'net',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Nsf', 
                [], [], 
                '''                Non-stop forwarding
                ''',
                'nsf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('partition', REFERENCE_CLASS, 'Partition' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Partition', 
                [], [], 
                '''                CLNS area partition
                ''',
                'partition',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('prc-interval', REFERENCE_CLASS, 'PrcInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.PrcInterval', 
                [], [], 
                '''                Minimum interval between partial route calculations
                ''',
                'prc_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                priority value
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Protocol', 
                [], [], 
                '''                Set protocol's administrative state
                ''',
                'protocol',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface of stable IP address for system
                ''',
                'router_id',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('segment-routing', REFERENCE_CLASS, 'SegmentRouting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SegmentRouting', 
                [], [], 
                '''                Enable Segment Routing Feature
                ''',
                'segment_routing',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('set-attached-bit', REFERENCE_CLASS, 'SetAttachedBit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SetAttachedBit', 
                [], [], 
                '''                Conditionally advertise us as attached to L2
                ''',
                'set_attached_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('set-overload-bit', REFERENCE_CLASS, 'SetOverloadBit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SetOverloadBit', 
                [], [], 
                '''                Signal other routers not to use us in SPF
                ''',
                'set_overload_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('skeptical', REFERENCE_CLASS, 'Skeptical' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Skeptical', 
                [], [], 
                '''                Be a cautious NSF helper when refresh adjacency
                ''',
                'skeptical',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('spf-interval', REFERENCE_CLASS, 'SpfInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SpfInterval', 
                [], [], 
                '''                Minimum interval between SPF calculations
                ''',
                'spf_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('summary-address', REFERENCE_LIST, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.SummaryAddress', 
                [], [], 
                '''                Configure IP address summaries
                ''',
                'summary_address',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ti-lfa', REFERENCE_CLASS, 'TiLfa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.TiLfa', 
                [], [], 
                '''                ''',
                'ti_lfa',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('update-queue-depth', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Set Update process queue depth
                ''',
                'update_queue_depth',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('use', REFERENCE_CLASS, 'Use' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis.Use', 
                [], [], 
                '''                Use different algorithms during SPF
                ''',
                'use',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for this process
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.MetricStyle.Narrow' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.MetricStyle.Narrow',
            False, 
            [
            _MetaInfoClassMember('narrow-wide', REFERENCE_ENUM_CLASS, 'IsisLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisLevelTypeEnum', 
                [], [], 
                '''                ''',
                'narrow_wide',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('transition', REFERENCE_ENUM_CLASS, 'IsisLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisLevelTypeEnum', 
                [], [], 
                '''                Accept both styles of TLVs during transition
                ''',
                'transition',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'narrow',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.MetricStyle.Transition' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.MetricStyle.Transition',
            False, 
            [
            _MetaInfoClassMember('transition', REFERENCE_ENUM_CLASS, 'IsisLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisLevelTypeEnum', 
                [], [], 
                '''                ''',
                'transition',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'transition',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.MetricStyle.Wide' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.MetricStyle.Wide',
            False, 
            [
            _MetaInfoClassMember('narrow-wide', REFERENCE_ENUM_CLASS, 'IsisLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisLevelTypeEnum', 
                [], [], 
                '''                ''',
                'narrow_wide',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('transition', REFERENCE_ENUM_CLASS, 'IsisLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisLevelTypeEnum', 
                [], [], 
                '''                Accept both styles of TLVs during transition
                ''',
                'transition',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'wide',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.MetricStyle' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.MetricStyle',
            False, 
            [
            _MetaInfoClassMember('narrow', REFERENCE_CLASS, 'Narrow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.MetricStyle.Narrow', 
                [], [], 
                '''                Use old style of TLVs with narrow metric
                ''',
                'narrow',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('transition', REFERENCE_CLASS, 'Transition' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.MetricStyle.Transition', 
                [], [], 
                '''                Send and accept both styles of TLVs during transition
                ''',
                'transition',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wide', REFERENCE_CLASS, 'Wide' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.MetricStyle.Wide', 
                [], [], 
                '''                Use new style of TLVs to carry wider metric
                ''',
                'wide',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric-style',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('expanded-acl', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                ''',
                'expanded_acl',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify IPv6 Named Access-List
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ro', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-only access with this community string
                ''',
                'ro',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-write access with this community string
                ''',
                'rw',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access', 
                [], [], 
                '''                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('community-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_string',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC MD5 algorithm for authentication
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('sha', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC SHA algorithm for authentication
                ''',
                'sha',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access', 
                [], [], 
                '''                specify an access-list associated with this group
                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth', 
                [], [], 
                '''                authentication parameters for the user
                ''',
                'auth',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If the user password is already configured and saved
                ''',
                'credential',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('encrypted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specifying passwords as MD5 or SHA digests
                ''',
                'encrypted',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'permisssion',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('permisssion', REFERENCE_CLASS, 'Permisssion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion', 
                [], [], 
                '''                ''',
                'permisssion',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community', 
                [], [], 
                '''                Configure a SNMP v2c Community string and access privs
                ''',
                'community',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User', 
                [], [], 
                '''                Configure a SNMP v3 user
                ''',
                'user',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits',
            False, 
            [
            _MetaInfoClassMember('w-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'w_bits',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'wildcard-bits',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source address
                ''',
                'ip',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('wildcard-bits', REFERENCE_LIST, 'WildcardBits' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits', 
                [], [], 
                '''                ''',
                'wildcard_bits',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distance applied for CLNS derived routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distance applied for IP derived routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip-list', REFERENCE_LIST, 'IpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList', 
                [], [], 
                '''                ''',
                'ip_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign high priority to IP prefixes with a specific route tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High', 
                [], [], 
                '''                Assign high priority to important IP prefixes in ISIS IP local RIB
                ''',
                'high',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route',
            False, 
            [
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority', 
                [], [], 
                '''                Assign priority to IP prefixes
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route', 
                [], [], 
                '''                ISIS IP routes
                ''',
                'route',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels1Enum' : _MetaInfoEnum('IsisRedistLevels1Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels2Enum' : _MetaInfoEnum('IsisRedistLevels2Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('isis-redist-levels1', REFERENCE_ENUM_CLASS, 'IsisRedistLevels1Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels1Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels1',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('isis-redist-levels2', REFERENCE_ENUM_CLASS, 'IsisRedistLevels2Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels2Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels2',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('distribute-list', ATTRIBUTE, 'int' , None, None, 
                [('100', '199')], [], 
                '''                select routes
                ''',
                'distribute_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('into', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from level-n into level-m
                ''',
                'into',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route matching
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_LIST, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-redistribute', REFERENCE_LIST, 'IsisRedistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute', 
                [], [], 
                '''                ''',
                'isis_redistribute',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold_value',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('withdraw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Withdraw redistibuted prefixes
                ''',
                'withdraw',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname',
            False, 
            [
            _MetaInfoClassMember('appname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'appname',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'appname',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application',
            False, 
            [
            _MetaInfoClassMember('appname', REFERENCE_LIST, 'Appname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname', 
                [], [], 
                '''                ''',
                'appname',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum',
            False, 
            [
            _MetaInfoClassMember('bp-as-num', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', True, [
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bp-as-num',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp',
            False, 
            [
            _MetaInfoClassMember('a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'a_lesser_1_period_0_xx_period_yy_greater_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bp-as-num', REFERENCE_LIST, 'BpAsNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum', 
                [], [], 
                '''                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                AS number
                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp-as',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', REFERENCE_LIST, 'EigrpAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs', 
                [], [], 
                '''                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag',
            False, 
            [
            _MetaInfoClassMember('isis-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-atag', REFERENCE_LIST, 'IsisAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag', 
                [], [], 
                '''                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag',
            False, 
            [
            _MetaInfoClassMember('iso-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap',
            False, 
            [
            _MetaInfoClassMember('rm-point', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pointer to route-map entries
                ''',
                'rm_point',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('iso-atag', REFERENCE_LIST, 'IsoAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag', 
                [], [], 
                '''                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap', 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id',
            False, 
            [
            _MetaInfoClassMember('os3-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'os3-id',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('os3-id', REFERENCE_LIST, 'Os3Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id', 
                [], [], 
                '''                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm',
            False, 
            [
            _MetaInfoClassMember('vrf-nm', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source VRF name
                ''',
                'vrf_nm',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'vrf-nm',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname',
            False, 
            [
            _MetaInfoClassMember('appname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'appname',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'appname',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application',
            False, 
            [
            _MetaInfoClassMember('appname', REFERENCE_LIST, 'Appname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname', 
                [], [], 
                '''                ''',
                'appname',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum',
            False, 
            [
            _MetaInfoClassMember('bp-as-num', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', True, [
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bp-as-num',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp',
            False, 
            [
            _MetaInfoClassMember('a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'a_lesser_1_period_0_xx_period_yy_greater_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bp-as-num', REFERENCE_LIST, 'BpAsNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum', 
                [], [], 
                '''                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                AS number
                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp-as',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', REFERENCE_LIST, 'EigrpAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs', 
                [], [], 
                '''                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag',
            False, 
            [
            _MetaInfoClassMember('isis-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-atag', REFERENCE_LIST, 'IsisAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag', 
                [], [], 
                '''                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag',
            False, 
            [
            _MetaInfoClassMember('iso-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap',
            False, 
            [
            _MetaInfoClassMember('rm-point', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pointer to route-map entries
                ''',
                'rm_point',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('iso-atag', REFERENCE_LIST, 'IsoAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag', 
                [], [], 
                '''                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap', 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id',
            False, 
            [
            _MetaInfoClassMember('os3-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'os3-id',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('os3-id', REFERENCE_LIST, 'Os3Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id', 
                [], [], 
                '''                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_', 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf-nm', REFERENCE_LIST, 'VrfNm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm', 
                [], [], 
                '''                ''',
                'vrf_nm',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes redistributed to protocol
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf', 
                [], [], 
                '''                Specify a source VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'set-attached-bit',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('expanded-acl', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                ''',
                'expanded_acl',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify IPv6 Named Access-List
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ro', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-only access with this community string
                ''',
                'ro',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-write access with this community string
                ''',
                'rw',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access', 
                [], [], 
                '''                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('community-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_string',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC MD5 algorithm for authentication
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('sha', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC SHA algorithm for authentication
                ''',
                'sha',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access', 
                [], [], 
                '''                specify an access-list associated with this group
                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth', 
                [], [], 
                '''                authentication parameters for the user
                ''',
                'auth',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If the user password is already configured and saved
                ''',
                'credential',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('encrypted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specifying passwords as MD5 or SHA digests
                ''',
                'encrypted',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'permisssion',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('permisssion', REFERENCE_CLASS, 'Permisssion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion', 
                [], [], 
                '''                ''',
                'permisssion',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community', 
                [], [], 
                '''                Configure a SNMP v2c Community string and access privs
                ''',
                'community',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User', 
                [], [], 
                '''                Configure a SNMP v3 user
                ''',
                'user',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric-tag-container',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1', 
                [], [], 
                '''                Summarize into level-1 area
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1-2', REFERENCE_CLASS, 'Level12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12', 
                [], [], 
                '''                Summarize into both area and sub-domain
                ''',
                'level_1_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2', 
                [], [], 
                '''                Summarize into level-2 sub-domain
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-tag-container', REFERENCE_CLASS, 'MetricTagContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer', 
                [], [], 
                '''                ''',
                'metric_tag_container',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min', 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise',
            False, 
            [
            _MetaInfoClassMember('passive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                only interface address of passive interfaces
                ''',
                'passive_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metrics',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metrics', REFERENCE_LIST, 'Metrics' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics', 
                [], [], 
                '''                ''',
                'metrics',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'prc-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'wait-for-bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait-for-bgp', REFERENCE_CLASS, 'WaitForBgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp', 
                [], [], 
                '''                Let BGP decide when to unset the overload bit
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit',
            False, 
            [
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup', 
                [], [], 
                '''                Set overload-bit only temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'set-overload-bit',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval',
            False, 
            [
            _MetaInfoClassMember('intervals', REFERENCE_CLASS, 'Intervals' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals', 
                [], [], 
                '''                ''',
                'intervals',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1-2', REFERENCE_LIST, 'Level12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12', 
                [], [], 
                '''                ''',
                'level_1_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'spf-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise', 
                [], [], 
                '''                Control which IP routes flow in L1 and L2 LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('distance', REFERENCE_LIST, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the interactive help system
                ''',
                'help',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ignore-attached-bit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never install default route to closest L2 router
                ''',
                'ignore_attached_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip', 
                [], [], 
                '''                IP specific commands
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric', 
                [], [], 
                '''                Set ISIS metric for all interfaces
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('prc-interval', REFERENCE_CLASS, 'PrcInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval', 
                [], [], 
                '''                Minimum interval between partial route calculations
                ''',
                'prc_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                priority value
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('set-attached-bit', REFERENCE_CLASS, 'SetAttachedBit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit', 
                [], [], 
                '''                Conditionally advertise us as attached to L2
                ''',
                'set_attached_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('set-overload-bit', REFERENCE_CLASS, 'SetOverloadBit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit', 
                [], [], 
                '''                Signal other routers not to use us in SPF
                ''',
                'set_overload_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('spf-interval', REFERENCE_CLASS, 'SpfInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval', 
                [], [], 
                '''                Minimum interval between SPF calculations
                ''',
                'spf_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('summary-address', REFERENCE_LIST, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress', 
                [], [], 
                '''                Configure IP address summaries
                ''',
                'summary_address',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tid', ATTRIBUTE, 'int' , None, None, 
                [('5', '4095')], [], 
                '''                Configuring the routing protocol topology tid
                ''',
                'tid',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.UnicastMulticastEnum' : _MetaInfoEnum('UnicastMulticastEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
            'multicast':'multicast',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv4',
            False, 
            [
            _MetaInfoClassMember('help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the interactive help system
                ''',
                'help',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology', 
                [], [], 
                '''                Associate the routing protocol to a topology instance
                ''',
                'topology',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('unicast-multicast', REFERENCE_ENUM_CLASS, 'UnicastMulticastEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.UnicastMulticastEnum', 
                [], [], 
                '''                ''',
                'unicast_multicast',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise',
            False, 
            [
            _MetaInfoClassMember('passive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                only interface address of passive interfaces
                ''',
                'passive_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metrics',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metrics', REFERENCE_LIST, 'Metrics' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics', 
                [], [], 
                '''                ''',
                'metrics',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'prc-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'wait-for-bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait-for-bgp', REFERENCE_CLASS, 'WaitForBgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp', 
                [], [], 
                '''                Let BGP decide when to unset the overload bit
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit',
            False, 
            [
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup', 
                [], [], 
                '''                Set overload-bit only temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'set-overload-bit',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval',
            False, 
            [
            _MetaInfoClassMember('intervals', REFERENCE_CLASS, 'Intervals' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals', 
                [], [], 
                '''                ''',
                'intervals',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1-2', REFERENCE_LIST, 'Level12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12', 
                [], [], 
                '''                ''',
                'level_1_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'spf-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('check-ctrl-plane-failure', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BFD check control plane failure
                ''',
                'check_ctrl_plane_failure',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface', 
                [], [], 
                '''                Specify interface
                ''',
                'interface',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'in',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('in', REFERENCE_CLASS, 'In_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_', 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList',
            False, 
            [
            _MetaInfoClassMember('prefix-list', REFERENCE_LIST, 'PrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList', 
                [], [], 
                '''                Filter connections based on an IPv6 prefix-list
                ''',
                'prefix_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assign high priority to IPV6 prefixes with a specific route tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High', 
                [], [], 
                '''                Assign high priority to important IPV6 prefixes in ISIS IPV6 local RIB
                ''',
                'high',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route',
            False, 
            [
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority', 
                [], [], 
                '''                Assign priority to IPV6 prefixes
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route', 
                [], [], 
                '''                ISIS IPV6 routes
                ''',
                'route',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.MultiTopology' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.MultiTopology',
            False, 
            [
            _MetaInfoClassMember('transition', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept and generate both IS-IS IPv6 and Multi-topology IPv6 TLVs
                ''',
                'transition',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'multi-topology',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels1Enum' : _MetaInfoEnum('IsisRedistLevels1Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels2Enum' : _MetaInfoEnum('IsisRedistLevels2Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak',
            False, 
            [
            _MetaInfoClassMember('isis-redist-levels1', REFERENCE_ENUM_CLASS, 'IsisRedistLevels1Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels1Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels1',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('isis-redist-levels2', REFERENCE_ENUM_CLASS, 'IsisRedistLevels2Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels2Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels2',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('distribute-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                select routes
                ''',
                'distribute_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('into', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from level-n into level-m
                ''',
                'into',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route matching
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-leak',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_',
            False, 
            [
            _MetaInfoClassMember('isis-leak', REFERENCE_LIST, 'IsisLeak' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak', 
                [], [], 
                '''                ''',
                'isis_leak',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-redistribute', REFERENCE_LIST, 'IsisRedistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute', 
                [], [], 
                '''                ''',
                'isis_redistribute',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nemo',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('process', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'process',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nemo', REFERENCE_CLASS, 'Nemo' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo', 
                [], [], 
                '''                Network Mobility (NEMO)
                ''',
                'nemo',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip', 
                [], [], 
                '''                IPv6 Routing Information Protocol (RIPv6)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix.LevelsEnum' : _MetaInfoEnum('LevelsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'LevelsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix.LevelsEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap',
            False, 
            [
            _MetaInfoClassMember('filter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Selective route download
                ''',
                'filter',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'table-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily.Ipv6',
            False, 
            [
            _MetaInfoClassMember('adjacency-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check ISIS neighbor protocol support
                ''',
                'adjacency_check',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise', 
                [], [], 
                '''                Control which IP routes flow in L1 and L2 LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                Administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the interactive help system
                ''',
                'help',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_', 
                [], [], 
                '''                IPv6 specific commands
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric', 
                [], [], 
                '''                Set ISIS metric for all interfaces
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('multi-topology', REFERENCE_CLASS, 'MultiTopology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.MultiTopology', 
                [], [], 
                '''                Enable multi-topology mode
                ''',
                'multi_topology',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('prc-interval', REFERENCE_CLASS, 'PrcInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval', 
                [], [], 
                '''                Minimum interval between partial route calculations
                ''',
                'prc_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute', 
                [], [], 
                '''                Redistribute IPv6 prefixes from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface of stable IP address for system
                ''',
                'router_id',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('set-overload-bit', REFERENCE_CLASS, 'SetOverloadBit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit', 
                [], [], 
                '''                Signal other routers not to use us in SPF
                ''',
                'set_overload_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('spf-interval', REFERENCE_CLASS, 'SpfInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval', 
                [], [], 
                '''                Minimum interval between SPF calculations
                ''',
                'spf_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('summary-prefix', REFERENCE_LIST, 'SummaryPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix', 
                [], [], 
                '''                Configure IPv6 summary prefix
                ''',
                'summary_prefix',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('table-map', REFERENCE_CLASS, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap', 
                [], [], 
                '''                Map external entry attributes into routing table
                ''',
                'table_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv4', 
                [], [], 
                '''                Address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily.Ipv6', 
                [], [], 
                '''                Address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Distance.IpList.WildcardBits' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Distance.IpList.WildcardBits',
            False, 
            [
            _MetaInfoClassMember('w-bits', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'w_bits',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-isis', False),
                ]),
            ],
            'Cisco-IOS-XE-isis',
            'wildcard-bits',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Distance.IpList' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Distance.IpList',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source address
                ''',
                'ip',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('wildcard-bits', REFERENCE_LIST, 'WildcardBits' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Distance.IpList.WildcardBits', 
                [], [], 
                '''                ''',
                'wildcard_bits',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Distance',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('clns', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distance applied for CLNS derived routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distance applied for IP derived routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip-list', REFERENCE_LIST, 'IpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Distance.IpList', 
                [], [], 
                '''                ''',
                'ip_list',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Ip.Route.Priority.High' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Ip.Route.Priority.High',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Assign high priority to IP prefixes with a specific route tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Ip.Route.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Ip.Route.Priority',
            False, 
            [
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Ip.Route.Priority.High', 
                [], [], 
                '''                Assign high priority to important IP prefixes in ISIS IP local RIB
                ''',
                'high',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Ip.Route' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Ip.Route',
            False, 
            [
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Ip.Route.Priority', 
                [], [], 
                '''                Assign priority to IP prefixes
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Ip',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Ip.Route', 
                [], [], 
                '''                ISIS IP routes
                ''',
                'route',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Application.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Application.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Bgp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Bgp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Eigrp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Eigrp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip.IsisRedistLevels1Enum' : _MetaInfoEnum('IsisRedistLevels1Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip.IsisRedistLevels2Enum' : _MetaInfoEnum('IsisRedistLevels2Enum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('isis-redist-levels1', REFERENCE_ENUM_CLASS, 'IsisRedistLevels1Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip.IsisRedistLevels1Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels1',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('isis-redist-levels2', REFERENCE_ENUM_CLASS, 'IsisRedistLevels2Enum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip.IsisRedistLevels2Enum', 
                [], [], 
                '''                ''',
                'isis_redist_levels2',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('distribute-list', ATTRIBUTE, 'int' , None, None, 
                [('100', '199')], [], 
                '''                select routes
                ''',
                'distribute_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('into', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                from level-n into level-m
                ''',
                'into',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route matching
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_LIST, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-redistribute', REFERENCE_LIST, 'IsisRedistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute', 
                [], [], 
                '''                ''',
                'isis_redistribute',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('include-connected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include connected
                ''',
                'include_connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold_value',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('withdraw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Withdraw redistibuted prefixes
                ''',
                'withdraw',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Odr.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Odr.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname',
            False, 
            [
            _MetaInfoClassMember('appname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'appname',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'appname',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application',
            False, 
            [
            _MetaInfoClassMember('appname', REFERENCE_LIST, 'Appname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname', 
                [], [], 
                '''                ''',
                'appname',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum',
            False, 
            [
            _MetaInfoClassMember('bp-as-num', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', True, [
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bp-as-num',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp',
            False, 
            [
            _MetaInfoClassMember('a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'a_lesser_1_period_0_xx_period_yy_greater_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bp-as-num', REFERENCE_LIST, 'BpAsNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum', 
                [], [], 
                '''                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                AS number
                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp-as',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', REFERENCE_LIST, 'EigrpAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs', 
                [], [], 
                '''                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag',
            False, 
            [
            _MetaInfoClassMember('isis-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-atag', REFERENCE_LIST, 'IsisAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag', 
                [], [], 
                '''                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag',
            False, 
            [
            _MetaInfoClassMember('iso-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap',
            False, 
            [
            _MetaInfoClassMember('rm-point', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pointer to route-map entries
                ''',
                'rm_point',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('iso-atag', REFERENCE_LIST, 'IsoAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag', 
                [], [], 
                '''                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap', 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id',
            False, 
            [
            _MetaInfoClassMember('os3-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'os3-id',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('os3-id', REFERENCE_LIST, 'Os3Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id', 
                [], [], 
                '''                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm',
            False, 
            [
            _MetaInfoClassMember('vrf-nm', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source VRF name
                ''',
                'vrf_nm',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'vrf-nm',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname',
            False, 
            [
            _MetaInfoClassMember('appname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'appname',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'appname',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application',
            False, 
            [
            _MetaInfoClassMember('appname', REFERENCE_LIST, 'Appname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname', 
                [], [], 
                '''                ''',
                'appname',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum',
            False, 
            [
            _MetaInfoClassMember('bp-as-num', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', True, [
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                    _MetaInfoClassMember('bp-as-num', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Autonomous system number
                        ''',
                        'bp_as_num',
                        'Cisco-IOS-XE-isis', True),
                ]),
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bp-as-num',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp',
            False, 
            [
            _MetaInfoClassMember('a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autonomous system number
                ''',
                'a_lesser_1_period_0_xx_period_yy_greater_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bp-as-num', REFERENCE_LIST, 'BpAsNum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum', 
                [], [], 
                '''                ''',
                'bp_as_num',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                AS number
                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp-as',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp',
            False, 
            [
            _MetaInfoClassMember('eigrp-as', REFERENCE_LIST, 'EigrpAs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs', 
                [], [], 
                '''                ''',
                'eigrp_as',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag',
            False, 
            [
            _MetaInfoClassMember('isis-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.Ip', 
                [], [], 
                '''                Redistribution of IP routes between levels or processes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-atag', REFERENCE_LIST, 'IsisAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag', 
                [], [], 
                '''                ''',
                'isis_atag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag',
            False, 
            [
            _MetaInfoClassMember('iso-atag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISO routing area tag
                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-atag',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap',
            False, 
            [
            _MetaInfoClassMember('rm-point', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pointer to route-map entries
                ''',
                'rm_point',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('iso-atag', REFERENCE_LIST, 'IsoAtag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag', 
                [], [], 
                '''                ''',
                'iso_atag',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap', 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id',
            False, 
            [
            _MetaInfoClassMember('os3-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'os3-id',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('os3-id', REFERENCE_LIST, 'Os3Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id', 
                [], [], 
                '''                ''',
                'os3_id',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'clns',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'external':'external',
            'internal':'internal',
            'rib-metric-as-external':'rib_metric_as_external',
            'rib-metric-as-internal':'rib_metric_as_internal',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static',
            False, 
            [
            _MetaInfoClassMember('clns', REFERENCE_CLASS, 'Clns' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns', 
                [], [], 
                '''                Redistribution of BGP NSAP routes
                ''',
                'clns',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip', 
                [], [], 
                '''                Redistribution of BGP IP routes
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'IsisRoutesLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'IsisRoutesLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ISIS default metric
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Process ID
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute.Vrf',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_', 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf-nm', REFERENCE_LIST, 'VrfNm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm', 
                [], [], 
                '''                ''',
                'vrf_nm',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Isis_', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes redistributed to protocol
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Ospfv3', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospfv3',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute.Vrf', 
                [], [], 
                '''                Specify a source VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SetAttachedBit' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SetAttachedBit',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'set-attached-bit',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('expanded-acl', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                ''',
                'expanded_acl',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify IPv6 Named Access-List
                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ro', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-only access with this community string
                ''',
                'ro',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-write access with this community string
                ''',
                'rw',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Snmp.Context.Community' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Snmp.Context.Community',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access', 
                [], [], 
                '''                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('community-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_string',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC MD5 algorithm for authentication
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('sha', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC SHA algorithm for authentication
                ''',
                'sha',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access', 
                [], [], 
                '''                specify an access-list associated with this group
                ''',
                'access',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth', 
                [], [], 
                '''                authentication parameters for the user
                ''',
                'auth',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If the user password is already configured and saved
                ''',
                'credential',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('encrypted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specifying passwords as MD5 or SHA digests
                ''',
                'encrypted',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'permisssion',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Snmp.Context.User' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Snmp.Context.User',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('permisssion', REFERENCE_CLASS, 'Permisssion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion', 
                [], [], 
                '''                ''',
                'permisssion',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'name',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Snmp.Context.Community', 
                [], [], 
                '''                Configure a SNMP v2c Community string and access privs
                ''',
                'community',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Snmp.Context.User', 
                [], [], 
                '''                Configure a SNMP v3 user
                ''',
                'user',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SummaryAddress.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SummaryAddress.Level1',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SummaryAddress.Level12' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SummaryAddress.Level12',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SummaryAddress.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SummaryAddress.Level2',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric for summay route
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric-tag-container',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SummaryAddress.Level1', 
                [], [], 
                '''                Summarize into level-1 area
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1-2', REFERENCE_CLASS, 'Level12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SummaryAddress.Level12', 
                [], [], 
                '''                Summarize into both area and sub-domain
                ''',
                'level_1_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SummaryAddress.Level2', 
                [], [], 
                '''                Summarize into level-2 sub-domain
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-tag-container', REFERENCE_CLASS, 'MetricTagContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer', 
                [], [], 
                '''                ''',
                'metric_tag_container',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.TrafficShare.Min' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.TrafficShare.Min',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.TrafficShare.Min', 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Advertise' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Advertise',
            False, 
            [
            _MetaInfoClassMember('passive-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                only interface address of passive interfaces
                ''',
                'passive_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'advertise',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Metric.Metrics.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Metric.Metrics' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Metric.Metrics',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Metric.Metrics.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metrics',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Metric',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metrics', REFERENCE_LIST, 'Metrics' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Metric.Metrics', 
                [], [], 
                '''                ''',
                'metrics',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.PrcInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.PrcInterval',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'prc-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'wait-for-bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time', 
                [], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait-for-bgp', REFERENCE_CLASS, 'WaitForBgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp', 
                [], [], 
                '''                Let BGP decide when to unset the overload bit
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If overload-bit set, don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SetOverloadBit' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SetOverloadBit',
            False, 
            [
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup', 
                [], [], 
                '''                Set overload-bit only temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress', 
                [], [], 
                '''                If overload-bit set, suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'set-overload-bit',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SpfInterval.Level12.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.SpfInterval.Level12' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SpfInterval.Level12',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SpfInterval.Level12.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SpfInterval.Intervals' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SpfInterval.Intervals',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('minimum-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'minimum_wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SpfInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SpfInterval',
            False, 
            [
            _MetaInfoClassMember('intervals', REFERENCE_CLASS, 'Intervals' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SpfInterval.Intervals', 
                [], [], 
                '''                ''',
                'intervals',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1-2', REFERENCE_LIST, 'Level12' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SpfInterval.Level12', 
                [], [], 
                '''                ''',
                'level_1_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'spf-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.AreaPassword.SnpEnum' : _MetaInfoEnum('SnpEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'send-only':'send_only',
            'validate':'validate',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.AreaPassword' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.AreaPassword',
            False, 
            [
            _MetaInfoClassMember('authenticate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication
                ''',
                'authenticate',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('snp', REFERENCE_ENUM_CLASS, 'SnpEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AreaPassword.SnpEnum', 
                [], [], 
                '''                SNP PDUs
                ''',
                'snp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'area-password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Authentication.Mode.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Authentication.Mode.Md5',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Authentication.Mode.Text' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Authentication.Mode.Text',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'text',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Authentication.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Authentication.Mode',
            False, 
            [
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Authentication.Mode.Md5', 
                [], [], 
                '''                Keyed message digest
                ''',
                'md5',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('text', REFERENCE_CLASS, 'Text' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Authentication.Mode.Text', 
                [], [], 
                '''                Clear text password
                ''',
                'text',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Authentication.KeyChain.KeyChainList' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Authentication.KeyChain.KeyChainList',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('key-chain-list', REFERENCE_LIST, 'KeyChainList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Authentication.KeyChain.KeyChainList', 
                [], [], 
                '''                ''',
                'key_chain_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Authentication.SendOnly' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Authentication.SendOnly',
            False, 
            [
            _MetaInfoClassMember('levels', REFERENCE_ENUM_CLASS, 'AuthenticationLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis', 'AuthenticationLevelTypeEnum', 
                [], [], 
                '''                ''',
                'levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'send-only',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Authentication.KeyChain', 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Authentication.Mode', 
                [], [], 
                '''                Authentication mode
                ''',
                'mode',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('send-only', REFERENCE_CLASS, 'SendOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Authentication.SendOnly', 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.DistributeList',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-isis', False, [
                    _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-isis', False, [
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1', '99')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-isis', False),
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '1999')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-isis', False),
                        ]),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-isis', False),
                ]),
            _MetaInfoClassMember('gateway', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filtering incoming updates based on gateway
                ''',
                'gateway',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('gateway-prefix-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'gateway_prefix_in',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'in_',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter prefixes in routing updates
                ''',
                'prefix',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter prefixes based on the route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map-in', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Filter incoming routing updates
                ''',
                'route_map_in',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.DomainPassword.SnpEnum' : _MetaInfoEnum('SnpEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'send-only':'send_only',
            'validate':'validate',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.DomainPassword' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.DomainPassword',
            False, 
            [
            _MetaInfoClassMember('authenticate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication
                ''',
                'authenticate',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('snp', REFERENCE_ENUM_CLASS, 'SnpEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.DomainPassword.SnpEnum', 
                [], [], 
                '''                SNP PDUs
                ''',
                'snp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'domain-password',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastFlood' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastFlood',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '15')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'fast-flood',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level1',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable load-sharing
                ''',
                'disable',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level2',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable load-sharing
                ''',
                'disable',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.LoadSharing' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.LoadSharing',
            False, 
            [
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level1', 
                [], [], 
                '''                Apply to level-1
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level2', 
                [], [], 
                '''                Apply to level-2
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'load-sharing',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Fast-Reroute for primary paths
                ''',
                'all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                route-map name
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Fast-Reroute for primary paths
                ''',
                'all',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                route-map name
                ''',
                'route_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.PerPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.PerPrefix',
            False, 
            [
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1', 
                [], [], 
                '''                Apply to level-1
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2', 
                [], [], 
                '''                Apply to level-2
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'per-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric',
            False, 
            [
            _MetaInfoClassMember('max-met', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                metric value
                ''',
                'max_met',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp',
            False, 
            [
            _MetaInfoClassMember('maximum-metric', REFERENCE_CLASS, 'MaximumMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric', 
                [], [], 
                '''                maximum metric to reach release node
                ''',
                'maximum_metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mpls-ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1',
            False, 
            [
            _MetaInfoClassMember('mpls-ldp', REFERENCE_CLASS, 'MplsLdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp', 
                [], [], 
                '''                Use mpls-ldp tunnel type
                ''',
                'mpls_ldp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric',
            False, 
            [
            _MetaInfoClassMember('max-met', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                metric value
                ''',
                'max_met',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp',
            False, 
            [
            _MetaInfoClassMember('maximum-metric', REFERENCE_CLASS, 'MaximumMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric', 
                [], [], 
                '''                maximum metric to reach release node
                ''',
                'maximum_metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mpls-ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2',
            False, 
            [
            _MetaInfoClassMember('mpls-ldp', REFERENCE_CLASS, 'MplsLdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp', 
                [], [], 
                '''                Use mpls-ldp tunnel type
                ''',
                'mpls_ldp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa',
            False, 
            [
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1', 
                [], [], 
                '''                Apply to level-1
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2', 
                [], [], 
                '''                Apply to level-2
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'remote-lfa',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1',
            False, 
            [
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'downstream',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('linecard-disjoint', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'linecard_disjoint',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lowest-backup-path-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'lowest_backup_path_metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('node-protecting', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'node_protecting',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'primary_path',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('secondary-path', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'secondary_path',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2',
            False, 
            [
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'downstream',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('linecard-disjoint', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'linecard_disjoint',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lowest-backup-path-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'lowest_backup_path_metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('node-protecting', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'node_protecting',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'primary_path',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('secondary-path', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'secondary_path',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                priority number
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute.TieBreak' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute.TieBreak',
            False, 
            [
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1', 
                [], [], 
                '''                Apply to level-1
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2', 
                [], [], 
                '''                Apply to level-2
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'tie-break',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.FastReroute',
            False, 
            [
            _MetaInfoClassMember('load-sharing', REFERENCE_CLASS, 'LoadSharing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.LoadSharing', 
                [], [], 
                '''                Distributes repair paths equally among links and prefixes
                ''',
                'load_sharing',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('per-prefix', REFERENCE_CLASS, 'PerPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.PerPrefix', 
                [], [], 
                '''                Enable Fast-Reroute Per-Prefix
                ''',
                'per_prefix',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('remote-lfa', REFERENCE_CLASS, 'RemoteLfa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa', 
                [], [], 
                '''                Configuring fast-reroute remote-lfa
                ''',
                'remote_lfa',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('tie-break', REFERENCE_CLASS, 'TieBreak' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute.TieBreak', 
                [], [], 
                '''                Set repair path preference
                ''',
                'tie_break',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric',
            False, 
            [
            _MetaInfoClassMember('max-met', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                metric value
                ''',
                'max_met',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.TiLfa.Level1' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.TiLfa.Level1',
            False, 
            [
            _MetaInfoClassMember('maximum-metric', REFERENCE_CLASS, 'MaximumMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric', 
                [], [], 
                '''                maximum metric to reach release node
                ''',
                'maximum_metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric',
            False, 
            [
            _MetaInfoClassMember('max-met', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                metric value
                ''',
                'max_met',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'maximum-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.TiLfa.Level2' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.TiLfa.Level2',
            False, 
            [
            _MetaInfoClassMember('maximum-metric', REFERENCE_CLASS, 'MaximumMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric', 
                [], [], 
                '''                maximum metric to reach release node
                ''',
                'maximum_metric',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.TiLfa' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.TiLfa',
            False, 
            [
            _MetaInfoClassMember('level-1', REFERENCE_CLASS, 'Level1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.TiLfa.Level1', 
                [], [], 
                '''                Apply to level-1
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', REFERENCE_CLASS, 'Level2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.TiLfa.Level2', 
                [], [], 
                '''                Apply to level-2
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ti-lfa',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Hello.Padding.PadTypeEnum' : _MetaInfoEnum('PadTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'multi-point':'multi_point',
            'point-to-point':'point_to_point',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('pad-type', REFERENCE_ENUM_CLASS, 'PadTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Hello.Padding.PadTypeEnum', 
                [], [], 
                '''                ''',
                'pad_type',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello PDU
                ''',
                'padding',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Hostname',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Dynamic hostname
                ''',
                'dynamic',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Ispf.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2':'level_2',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis.Ispf' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Ispf',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Ispf.LevelEnum', 
                [], [], 
                '''                ''',
                'level',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ispf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.LogAdjacencyChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.LogAdjacencyChanges',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include changes generated by non-IIH event
                ''',
                'all',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'log-adjacency-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                don't advertise IP prefixes learned from other protocols
                ''',
                'external',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interlevel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                don't advertise IP prefixes learned from another ISIS level
                ''',
                'interlevel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'external-interlevel-container',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.LspFull.Suppress' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.LspFull.Suppress',
            False, 
            [
            _MetaInfoClassMember('external-interlevel-container', REFERENCE_CLASS, 'ExternalInterlevelContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer', 
                [], [], 
                '''                ''',
                'external_interlevel_container',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                don't suppress any prefixes
                ''',
                'none',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'suppress',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.LspFull' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.LspFull',
            False, 
            [
            _MetaInfoClassMember('suppress', REFERENCE_CLASS, 'Suppress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.LspFull.Suppress', 
                [], [], 
                '''                suppress the following types of IP prefixes
                ''',
                'suppress',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lsp-full',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.LspGenInterval.Intervals' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.LspGenInterval.Intervals',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval for level 1 only
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals-level-1',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2',
            False, 
            [
            _MetaInfoClassMember('initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'initial_wait',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval for level 2 only
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals-level-2',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels',
            False, 
            [
            _MetaInfoClassMember('intervals-level-1', REFERENCE_CLASS, 'IntervalsLevel1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1', 
                [], [], 
                '''                ''',
                'intervals_level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('intervals-level-2', REFERENCE_CLASS, 'IntervalsLevel2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2', 
                [], [], 
                '''                ''',
                'intervals_level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'intervals-levels',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.LspGenInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.LspGenInterval',
            False, 
            [
            _MetaInfoClassMember('intervals', REFERENCE_CLASS, 'Intervals' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.LspGenInterval.Intervals', 
                [], [], 
                '''                ''',
                'intervals',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('intervals-levels', REFERENCE_CLASS, 'IntervalsLevels' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels', 
                [], [], 
                '''                ''',
                'intervals_levels',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'lsp-gen-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Microloop.Avoidance' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Microloop.Avoidance',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Microloop avoidance
                ''',
                'disable',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microloop avoidance for protected link or prefix only
                ''',
                'protected',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('rib-update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '600000')], [], 
                '''                Value of the delay in milliseconds
                ''',
                'rib_update_delay',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'avoidance',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Microloop' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Microloop',
            False, 
            [
            _MetaInfoClassMember('avoidance', REFERENCE_CLASS, 'Avoidance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Microloop.Avoidance', 
                [], [], 
                '''                Enable local microloop avoidance
                ''',
                'avoidance',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'microloop',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Mpls.Ldp.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Mpls.Ldp.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('level-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure ISIS level-1 to run MPLS LDP
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure ISIS level-2 to run MPLS LDP
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Mpls.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Mpls.Ldp',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Mpls.Ldp.Autoconfig', 
                [], [], 
                '''                Configure LDP automatic configuration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('sync', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure LDP-IGP Synchronization
                ''',
                'sync',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('sync-igp-shortcuts', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure LDP-IGP Synchronization on MPLS shortcuts
                ''',
                'sync_igp_shortcuts',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'router-id',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.Scanner' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Mpls.TrafficEng.Scanner',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                time (secs) between LSPDB walks for TE
                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('max-flash', ATTRIBUTE, 'int' , None, None, 
                [('0', '200')], [], 
                '''                Number of ISIS LSPs to be processed with no delay
                ''',
                'max_flash',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'scanner',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('level-1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Run MPLS TE on IS-IS level 1 only
                ''',
                'level_1',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('level-2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Run MPLS TE on IS-IS level 2 only
                ''',
                'level_2',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('multicast-intact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS TE and PIM interaction
                ''',
                'multicast_intact',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('router-id', REFERENCE_CLASS, 'RouterId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId', 
                [], [], 
                '''                Traffic Engineering stable IP address for system
                ''',
                'router_id',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('scanner', REFERENCE_CLASS, 'Scanner' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Mpls.TrafficEng.Scanner', 
                [], [], 
                '''                Timer parameters for TE database
                ''',
                'scanner',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Mpls',
            False, 
            [
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Mpls.Ldp', 
                [], [], 
                '''                routing protocol commands for MPLS LDP
                ''',
                'ldp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Mpls.TrafficEng', 
                [], [], 
                '''                routing protocol commands for MPLS Traffic Engineering
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Net' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Net',
            False, 
            [
            _MetaInfoClassMember('tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-isis', True),
            ],
            'Cisco-IOS-XE-isis',
            'net',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Nsf.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Nsf.Interface',
            False, 
            [
            _MetaInfoClassMember('wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '60')], [], 
                '''                Seconds
                ''',
                'wait',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Nsf' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Nsf',
            False, 
            [
            _MetaInfoClassMember('cisco', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Checkpoint method
                ''',
                'cisco',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IETF method
                ''',
                'ietf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Nsf.Interface', 
                [], [], 
                '''                Interface properties
                ''',
                'interface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '1440')], [], 
                '''                Minutes
                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Partition' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Partition',
            False, 
            [
            _MetaInfoClassMember('avoidance', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Withdraw area prefix if partition detected
                ''',
                'avoidance',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'partition',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Disable.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Disable.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-isis', True),
            ],
            'Cisco-IOS-XE-isis',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Disable',
            False, 
            [
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Disable.PassiveInterface', 
                [], [], 
                '''                ''',
                'passive_interface',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Protocol',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set protocol's administrative state to disable
                ''',
                'shutdown',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap.Receive' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap.Receive',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable prefix-SID mapping
                ''',
                'disable',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'receive',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap',
            False, 
            [
            _MetaInfoClassMember('advertise-local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise active local prefix-SID mappings
                ''',
                'advertise_local',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('receive', REFERENCE_CLASS, 'Receive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap.Receive', 
                [], [], 
                '''                Enable prefix-SID mapping client
                ''',
                'receive',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'prefix-sid-map',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.SegmentRouting' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.SegmentRouting',
            False, 
            [
            _MetaInfoClassMember('mpls', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Segment Routing Feature using MPLS encapsulation
                ''',
                'mpls',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('prefix-sid-map', REFERENCE_CLASS, 'PrefixSidMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap', 
                [], [], 
                '''                Enable prefix-sid-map
                ''',
                'prefix_sid_map',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'segment-routing',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Skeptical' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Skeptical',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '1440')], [], 
                '''                Minutes
                ''',
                'interval',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'skeptical',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Use' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Use',
            False, 
            [
            _MetaInfoClassMember('external-metrics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Honour external metrics during SPF
                ''',
                'external_metrics',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'use',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('check-ctrl-plane-failure', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                BFD check control plane failure
                ''',
                'check_ctrl_plane_failure',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer.Isis.IsTypeEnum' : _MetaInfoEnum('IsTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-1-2':'level_1_2',
            'level-2-only':'level_2_only',
        }, 'Cisco-IOS-XE-isis', _yang_ns._namespaces['Cisco-IOS-XE-isis']),
    'Native.Router.IsisContainer.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer.Isis',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-isis', True),
            _MetaInfoClassMember('address-family', REFERENCE_CLASS, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AddressFamily', 
                [], [], 
                '''                Enter Address Family command mode
                ''',
                'address_family',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('adjacency-check', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Check ISIS neighbor protocol support
                ''',
                'adjacency_check',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('advertise', REFERENCE_CLASS, 'Advertise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Advertise', 
                [], [], 
                '''                Control which IP routes flow in L1 and L2 LSPs
                ''',
                'advertise',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('area-password', REFERENCE_CLASS, 'AreaPassword' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.AreaPassword', 
                [], [], 
                '''                Configure the authentication password for an area
                ''',
                'area_password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for LSPs
                ''',
                'authentication',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Disable', 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('distance', REFERENCE_LIST, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('domain-password', REFERENCE_CLASS, 'DomainPassword' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.DomainPassword', 
                [], [], 
                '''                Set the authentication password for a routing domain
                ''',
                'domain_password',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('fast-flood', REFERENCE_CLASS, 'FastFlood' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastFlood', 
                [], [], 
                '''                Flood LSPs (that triggered SPF) before running SPF
                ''',
                'fast_flood',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.FastReroute', 
                [], [], 
                '''                Configure Fast-Reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Hello', 
                [], [], 
                '''                Pad ISIS hello PDUs to full MTU
                ''',
                'hello',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Description of the interactive help system
                ''',
                'help',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Hostname', 
                [], [], 
                '''                Dynamic hostname for IS-IS
                ''',
                'hostname',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ignore-lsp-errors', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore LSPs with bad checksums
                ''',
                'ignore_lsp_errors',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Ip', 
                [], [], 
                '''                IP specific commands
                ''',
                'ip',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('is-type', REFERENCE_ENUM_CLASS, 'IsTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.IsTypeEnum', 
                [], [], 
                '''                IS Level for this routing process (OSI only)
                ''',
                'is_type',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ispf', REFERENCE_CLASS, 'Ispf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Ispf', 
                [], [], 
                '''                Configure execution of incremental SPF
                ''',
                'ispf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('log-adjacency-changes', REFERENCE_CLASS, 'LogAdjacencyChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.LogAdjacencyChanges', 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-full', REFERENCE_CLASS, 'LspFull' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.LspFull', 
                [], [], 
                '''                If we run out of LSP fragments
                ''',
                'lsp_full',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-gen-interval', REFERENCE_CLASS, 'LspGenInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.LspGenInterval', 
                [], [], 
                '''                Minimum interval between regenerating same LSP
                ''',
                'lsp_gen_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-mtu', ATTRIBUTE, 'int' , None, None, 
                [('128', '4352')], [], 
                '''                Set maximum LSP size
                ''',
                'lsp_mtu',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lsp-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set LSP refresh interval
                ''',
                'lsp_refresh_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('max-area-addresses', ATTRIBUTE, 'int' , None, None, 
                [('3', '254')], [], 
                '''                Allow configuration of more manual area addresses
                ''',
                'max_area_addresses',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('max-lsp-lifetime', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set maximum LSP lifetime
                ''',
                'max_lsp_lifetime',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Metric', 
                [], [], 
                '''                Set ISIS metric for all interfaces
                ''',
                'metric',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('metric-style', REFERENCE_CLASS, 'MetricStyle' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.MetricStyle', 
                [], [], 
                '''                Use old-style (ISO 10589) or new-style packet formats
                ''',
                'metric_style',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('microloop', REFERENCE_CLASS, 'Microloop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Microloop', 
                [], [], 
                '''                Enable microloop protection configuration commands
                ''',
                'microloop',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Mpls', 
                [], [], 
                '''                Configure MPLS routing protocol parameters
                ''',
                'mpls',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('net', REFERENCE_LIST, 'Net' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Net', 
                [], [], 
                '''                A Network Entity Title for this process (OSI only)
                ''',
                'net',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Nsf', 
                [], [], 
                '''                Non-stop forwarding
                ''',
                'nsf',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('partition', REFERENCE_CLASS, 'Partition' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Partition', 
                [], [], 
                '''                CLNS area partition
                ''',
                'partition',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('prc-interval', REFERENCE_CLASS, 'PrcInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.PrcInterval', 
                [], [], 
                '''                Minimum interval between partial route calculations
                ''',
                'prc_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                priority value
                ''',
                'priority',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Protocol', 
                [], [], 
                '''                Set protocol's administrative state
                ''',
                'protocol',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface of stable IP address for system
                ''',
                'router_id',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('segment-routing', REFERENCE_CLASS, 'SegmentRouting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SegmentRouting', 
                [], [], 
                '''                Enable Segment Routing Feature
                ''',
                'segment_routing',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('set-attached-bit', REFERENCE_CLASS, 'SetAttachedBit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SetAttachedBit', 
                [], [], 
                '''                Conditionally advertise us as attached to L2
                ''',
                'set_attached_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('set-overload-bit', REFERENCE_CLASS, 'SetOverloadBit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SetOverloadBit', 
                [], [], 
                '''                Signal other routers not to use us in SPF
                ''',
                'set_overload_bit',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('skeptical', REFERENCE_CLASS, 'Skeptical' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Skeptical', 
                [], [], 
                '''                Be a cautious NSF helper when refresh adjacency
                ''',
                'skeptical',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('spf-interval', REFERENCE_CLASS, 'SpfInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SpfInterval', 
                [], [], 
                '''                Minimum interval between SPF calculations
                ''',
                'spf_interval',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('summary-address', REFERENCE_LIST, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.SummaryAddress', 
                [], [], 
                '''                Configure IP address summaries
                ''',
                'summary_address',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('ti-lfa', REFERENCE_CLASS, 'TiLfa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.TiLfa', 
                [], [], 
                '''                ''',
                'ti_lfa',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('update-queue-depth', ATTRIBUTE, 'int' , None, None, 
                [('1', '2147483647')], [], 
                '''                Set Update process queue depth
                ''',
                'update_queue_depth',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('use', REFERENCE_CLASS, 'Use' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis.Use', 
                [], [], 
                '''                Use different algorithms during SPF
                ''',
                'use',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name for this process
                ''',
                'vrf',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.IsisContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.IsisContainer',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            ],
            'Cisco-IOS-XE-isis',
            'isis-container',
            _yang_ns._namespaces['Cisco-IOS-XE-isis'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Default_.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv4.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Default_',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv4.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Default_.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv6.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Default_',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ipv6.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Default_',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.LocatorSet.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.LocatorSet.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.LocatorSet.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.LocatorSet.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.LocatorSet.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.LocatorSet.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.LocatorSet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.LocatorSet',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Auto discover locators registered by other xTRs
                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.LocatorSet.IpAddress', 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.LocatorSet.Ipv4Interface', 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.LocatorSet.Ipv6Interface', 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-set',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.LocatorScope' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.LocatorScope',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('rloc-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RLOC prefix to check against ITR RLOC and ETR RLOC
                ''',
                'rloc_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('rloc-prefix', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        RLOC prefix to check against ITR RLOC and ETR RLOC
                        ''',
                        'rloc_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('rloc-prefix', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        RLOC prefix to check against ITR RLOC and ETR RLOC
                        ''',
                        'rloc_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('rtr-locator-set', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Locator-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                ''',
                'rtr_locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-scope',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac-addr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mac_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_LIST, 'Ipv4Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix', 
                [], [], 
                '''                IPv4 EID-prefix for dynamic-EID
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac', 
                [], [], 
                '''                L2 EID records
                ''',
                'mac',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_',
            False, 
            [
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac-addr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mac_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_LIST, 'Ipv4Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix', 
                [], [], 
                '''                IPv4 EID-prefix for dynamic-EID
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac', 
                [], [], 
                '''                L2 EID records
                ''',
                'mac',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer.InstanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer.InstanceList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.InstanceContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.InstanceContainer',
            False, 
            [
            _MetaInfoClassMember('instance-list', REFERENCE_LIST, 'InstanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer.InstanceList', 
                [], [], 
                '''                ''',
                'instance_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.ControlPacket' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.ControlPacket',
            False, 
            [
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('304', '10000')], [], 
                '''                Configure control packet MTU
                ''',
                'mtu',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'control-packet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-eid-prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ddt.Authoritative' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ddt.Authoritative',
            False, 
            [
            _MetaInfoClassMember('instance-id-eid-prefix-list', REFERENCE_LIST, 'InstanceIdEidPrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList', 
                [], [], 
                '''                ''',
                'instance_id_eid_prefix_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id-list', REFERENCE_LIST, 'InstanceIdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList', 
                [], [], 
                '''                ''',
                'instance_id_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authoritative',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ddt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ddt',
            False, 
            [
            _MetaInfoClassMember('authoritative', REFERENCE_CLASS, 'Authoritative' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ddt.Authoritative', 
                [], [], 
                '''                DDT authoritative prefix
                ''',
                'authoritative',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('cache-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                DDT resolver cache entry limit
                ''',
                'cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('root', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                DDT root node
                ''',
                'root',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'ddt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configures map server source address
                ''',
                'source_address',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.LocatorDown' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.LocatorDown',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Locator address to be set down
                ''',
                'address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('IPv4-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-down',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.LocatorTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.LocatorTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.MapRequest',
            False, 
            [
            _MetaInfoClassMember('itr-rlocs', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure to use the specified RLOC set as ITR RLOC in map-request
                ''',
                'itr_rlocs',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum', 
                [], [], 
                '''                EID-notify authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum', 
                [], [], 
                '''                Map-Register authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_LIST, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket',
            False, 
            [
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('304', '10000')], [], 
                '''                Configure control packet MTU
                ''',
                'mtu',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'control-packet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-eid-prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative',
            False, 
            [
            _MetaInfoClassMember('instance-id-eid-prefix-list', REFERENCE_LIST, 'InstanceIdEidPrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList', 
                [], [], 
                '''                ''',
                'instance_id_eid_prefix_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id-list', REFERENCE_LIST, 'InstanceIdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList', 
                [], [], 
                '''                ''',
                'instance_id_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authoritative',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ddt',
            False, 
            [
            _MetaInfoClassMember('authoritative', REFERENCE_CLASS, 'Authoritative' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative', 
                [], [], 
                '''                DDT authoritative prefix
                ''',
                'authoritative',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('cache-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                DDT resolver cache entry limit
                ''',
                'cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('root', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                DDT root node
                ''',
                'root',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'ddt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configures map server source address
                ''',
                'source_address',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Locator address to be set down
                ''',
                'address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('IPv4-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-down',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest',
            False, 
            [
            _MetaInfoClassMember('itr-rlocs', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure to use the specified RLOC set as ITR RLOC in map-request
                ''',
                'itr_rlocs',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable.InstanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable.InstanceList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('control-packet', REFERENCE_CLASS, 'ControlPacket' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket', 
                [], [], 
                '''                Configure control packet tx option
                ''',
                'control_packet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_LIST, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ddt', REFERENCE_CLASS, 'Ddt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ddt', 
                [], [], 
                '''                Delegated Database Tree (DDT) mapping system
                ''',
                'ddt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4', 
                [], [], 
                '''                IPv4 address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6', 
                [], [], 
                '''                IPv6 address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-down', REFERENCE_CLASS, 'LocatorDown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown', 
                [], [], 
                '''                Manually set locator status to down
                ''',
                'locator_down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-table', REFERENCE_CLASS, 'LocatorTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable', 
                [], [], 
                '''                Specify the RLOC table
                ''',
                'locator_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_LIST, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.MapCache', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest', 
                [], [], 
                '''                Configure map-request handling
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.EidTable',
            False, 
            [
            _MetaInfoClassMember('instance-list', REFERENCE_LIST, 'InstanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable.InstanceList', 
                [], [], 
                '''                ''',
                'instance_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Security' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Security',
            False, 
            [
            _MetaInfoClassMember('strong', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable default LISP security and authentication in reply is required
                ''',
                'strong',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_.AllowedLocator.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_.AllowedLocator.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefix-list name
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list name
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_.AllowedLocator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_.AllowedLocator',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_.AllowedLocator.List', 
                [], [], 
                '''                Prefixes allowed in registerd locator-set
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 locator allowed in registered locator-set
                ''',
                'ls_ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 locator allowed in registered locator-set
                ''',
                'ls_ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'allowed-locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_.EidPrefix.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_.EidPrefix.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_.EidPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_.EidPrefix',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_.EidPrefix.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_.EidRecord.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_.EidRecord.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_.EidRecord' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_.EidRecord',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_.EidRecord.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-record',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.Default_',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', REFERENCE_CLASS, 'AllowedLocator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_.AllowedLocator', 
                [], [], 
                '''                Locator from LISP site
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_.AuthenticationKey', 
                [], [], 
                '''                Authentication key used by LISP site
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Site description
                ''',
                'description',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-prefix', REFERENCE_CLASS, 'EidPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_.EidPrefix', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-record', REFERENCE_CLASS, 'EidRecord' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_.EidRecord', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_record',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.AllowedLocator.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.AllowedLocator.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefix-list name
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list name
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.AllowedLocator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.AllowedLocator',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.AllowedLocator.List', 
                [], [], 
                '''                Prefixes allowed in registerd locator-set
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 locator allowed in registered locator-set
                ''',
                'ls_ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 locator allowed in registered locator-set
                ''',
                'ls_ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'allowed-locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.EidPrefix.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.EidPrefix.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.EidPrefix.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.EidPrefix.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.EidPrefix.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.EidPrefix.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.EidPrefix.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.EidPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.EidPrefix',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.EidPrefix.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.EidPrefix.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.EidRecord.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.EidRecord.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.EidRecord.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.EidRecord.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.EidRecord.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.EidRecord.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.EidRecord.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site.EidRecord' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site.EidRecord',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.EidRecord.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.EidRecord.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-record',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Site' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Site',
            False, 
            [
            _MetaInfoClassMember('sname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The site name
                ''',
                'sname',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('allowed-locator', REFERENCE_CLASS, 'AllowedLocator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.AllowedLocator', 
                [], [], 
                '''                Locator from LISP site
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.AuthenticationKey', 
                [], [], 
                '''                Authentication key used by LISP site
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Site description
                ''',
                'description',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-prefix', REFERENCE_CLASS, 'EidPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.EidPrefix', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-record', REFERENCE_CLASS, 'EidRecord' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site.EidRecord', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_record',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Syslog.Session' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Syslog.Session',
            False, 
            [
            _MetaInfoClassMember('changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable session change syslog
                ''',
                'changes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default.Syslog' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default.Syslog',
            False, 
            [
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Syslog.Session', 
                [], [], 
                '''                Enable session syslog
                ''',
                'session',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verbose', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable verbose syslog
                ''',
                'verbose',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'syslog',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Default',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('control-packet', REFERENCE_CLASS, 'ControlPacket' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.ControlPacket', 
                [], [], 
                '''                Configure control packet tx option
                ''',
                'control_packet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ddt', REFERENCE_CLASS, 'Ddt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ddt', 
                [], [], 
                '''                Delegated Database Tree (DDT) mapping system
                ''',
                'ddt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.EidTable', 
                [], [], 
                '''                Configure an EID instance for a VRF
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-container', REFERENCE_CLASS, 'InstanceContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.InstanceContainer', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_container',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv4', 
                [], [], 
                '''                IPv4 address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Ipv6', 
                [], [], 
                '''                IPv6 address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-down', REFERENCE_CLASS, 'LocatorDown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.LocatorDown', 
                [], [], 
                '''                Manually set locator status to down
                ''',
                'locator_down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-scope', REFERENCE_LIST, 'LocatorScope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.LocatorScope', 
                [], [], 
                '''                Configure a locator scope
                ''',
                'locator_scope',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', REFERENCE_LIST, 'LocatorSet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.LocatorSet', 
                [], [], 
                '''                Configure a named locator set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-table', REFERENCE_CLASS, 'LocatorTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.LocatorTable', 
                [], [], 
                '''                Specify the RLOC table
                ''',
                'locator_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.MapRequest', 
                [], [], 
                '''                Configure map-request handling
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Security', 
                [], [], 
                '''                Enable default LISP security and authentication in reply is optional
                ''',
                'security',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site', REFERENCE_LIST, 'Site' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Site', 
                [], [], 
                '''                Configure a LISP site on a map server (MS)
                ''',
                'site',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('syslog', REFERENCE_CLASS, 'Syslog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default.Syslog', 
                [], [], 
                '''                Configure syslog option
                ''',
                'syslog',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Default.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv4.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Default',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv4.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Default.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv6.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Default',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ipv6.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Default',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.LocatorSet.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.LocatorSet.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.LocatorSet.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.LocatorSet.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.LocatorSet.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.LocatorSet.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.LocatorSet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.LocatorSet',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Auto discover locators registered by other xTRs
                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.LocatorSet.IpAddress', 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.LocatorSet.Ipv4Interface', 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.LocatorSet.Ipv6Interface', 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-set',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.LocatorScope' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.LocatorScope',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('rloc-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RLOC prefix to check against ITR RLOC and ETR RLOC
                ''',
                'rloc_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('rloc-prefix', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        RLOC prefix to check against ITR RLOC and ETR RLOC
                        ''',
                        'rloc_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('rloc-prefix', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        RLOC prefix to check against ITR RLOC and ETR RLOC
                        ''',
                        'rloc_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('rtr-locator-set', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Locator-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                ''',
                'rtr_locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-scope',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac-addr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mac_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_LIST, 'Ipv4Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix', 
                [], [], 
                '''                IPv4 EID-prefix for dynamic-EID
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac', 
                [], [], 
                '''                L2 EID records
                ''',
                'mac',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Default',
            False, 
            [
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac-addr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mac_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_LIST, 'Ipv4Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix', 
                [], [], 
                '''                IPv4 EID-prefix for dynamic-EID
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac', 
                [], [], 
                '''                L2 EID records
                ''',
                'mac',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer.InstanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer.InstanceList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.InstanceContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.InstanceContainer',
            False, 
            [
            _MetaInfoClassMember('instance-list', REFERENCE_LIST, 'InstanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer.InstanceList', 
                [], [], 
                '''                ''',
                'instance_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.ControlPacket' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.ControlPacket',
            False, 
            [
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('304', '10000')], [], 
                '''                Configure control packet MTU
                ''',
                'mtu',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'control-packet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-eid-prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ddt.Authoritative.InstanceIdList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ddt.Authoritative.InstanceIdList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ddt.Authoritative' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ddt.Authoritative',
            False, 
            [
            _MetaInfoClassMember('instance-id-eid-prefix-list', REFERENCE_LIST, 'InstanceIdEidPrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList', 
                [], [], 
                '''                ''',
                'instance_id_eid_prefix_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id-list', REFERENCE_LIST, 'InstanceIdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ddt.Authoritative.InstanceIdList', 
                [], [], 
                '''                ''',
                'instance_id_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authoritative',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ddt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ddt',
            False, 
            [
            _MetaInfoClassMember('authoritative', REFERENCE_CLASS, 'Authoritative' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ddt.Authoritative', 
                [], [], 
                '''                DDT authoritative prefix
                ''',
                'authoritative',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('cache-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                DDT resolver cache entry limit
                ''',
                'cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('root', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                DDT root node
                ''',
                'root',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'ddt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configures map server source address
                ''',
                'source_address',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.LocatorDown' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.LocatorDown',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Locator address to be set down
                ''',
                'address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('IPv4-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-down',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.LocatorTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.LocatorTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.MapRequest',
            False, 
            [
            _MetaInfoClassMember('itr-rlocs', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure to use the specified RLOC set as ITR RLOC in map-request
                ''',
                'itr_rlocs',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum', 
                [], [], 
                '''                EID-notify authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum', 
                [], [], 
                '''                Map-Register authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_LIST, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.ControlPacket' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.ControlPacket',
            False, 
            [
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('304', '10000')], [], 
                '''                Configure control packet MTU
                ''',
                'mtu',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'control-packet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-eid-prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative',
            False, 
            [
            _MetaInfoClassMember('instance-id-eid-prefix-list', REFERENCE_LIST, 'InstanceIdEidPrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList', 
                [], [], 
                '''                ''',
                'instance_id_eid_prefix_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id-list', REFERENCE_LIST, 'InstanceIdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList', 
                [], [], 
                '''                ''',
                'instance_id_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authoritative',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ddt' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ddt',
            False, 
            [
            _MetaInfoClassMember('authoritative', REFERENCE_CLASS, 'Authoritative' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative', 
                [], [], 
                '''                DDT authoritative prefix
                ''',
                'authoritative',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('cache-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                DDT resolver cache entry limit
                ''',
                'cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('root', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                DDT root node
                ''',
                'root',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'ddt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configures map server source address
                ''',
                'source_address',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.LocatorDown' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.LocatorDown',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Locator address to be set down
                ''',
                'address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('IPv4-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-down',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.LocatorTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.LocatorTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.MapRequest',
            False, 
            [
            _MetaInfoClassMember('itr-rlocs', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure to use the specified RLOC set as ITR RLOC in map-request
                ''',
                'itr_rlocs',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable.InstanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable.InstanceList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('control-packet', REFERENCE_CLASS, 'ControlPacket' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.ControlPacket', 
                [], [], 
                '''                Configure control packet tx option
                ''',
                'control_packet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_LIST, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ddt', REFERENCE_CLASS, 'Ddt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ddt', 
                [], [], 
                '''                Delegated Database Tree (DDT) mapping system
                ''',
                'ddt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv4', 
                [], [], 
                '''                IPv4 address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.Ipv6', 
                [], [], 
                '''                IPv6 address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-down', REFERENCE_CLASS, 'LocatorDown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.LocatorDown', 
                [], [], 
                '''                Manually set locator status to down
                ''',
                'locator_down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-table', REFERENCE_CLASS, 'LocatorTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.LocatorTable', 
                [], [], 
                '''                Specify the RLOC table
                ''',
                'locator_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_LIST, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.MapCache', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.MapRequest', 
                [], [], 
                '''                Configure map-request handling
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.EidTable',
            False, 
            [
            _MetaInfoClassMember('instance-list', REFERENCE_LIST, 'InstanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable.InstanceList', 
                [], [], 
                '''                ''',
                'instance_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Security' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Security',
            False, 
            [
            _MetaInfoClassMember('strong', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable default LISP security and authentication in reply is required
                ''',
                'strong',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default.AllowedLocator.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default.AllowedLocator.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefix-list name
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list name
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default.AllowedLocator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default.AllowedLocator',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default.AllowedLocator.List', 
                [], [], 
                '''                Prefixes allowed in registerd locator-set
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 locator allowed in registered locator-set
                ''',
                'ls_ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 locator allowed in registered locator-set
                ''',
                'ls_ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'allowed-locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default.EidPrefix.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default.EidPrefix.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default.EidPrefix.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default.EidPrefix.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default.EidPrefix.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default.EidPrefix.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default.EidPrefix.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default.EidPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default.EidPrefix',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default.EidPrefix.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default.EidPrefix.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default.EidRecord.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default.EidRecord.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default.EidRecord.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default.EidRecord.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default.EidRecord.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default.EidRecord.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default.EidRecord.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default.EidRecord' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default.EidRecord',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default.EidRecord.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default.EidRecord.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-record',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.Default',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', REFERENCE_CLASS, 'AllowedLocator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default.AllowedLocator', 
                [], [], 
                '''                Locator from LISP site
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default.AuthenticationKey', 
                [], [], 
                '''                Authentication key used by LISP site
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Site description
                ''',
                'description',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-prefix', REFERENCE_CLASS, 'EidPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default.EidPrefix', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-record', REFERENCE_CLASS, 'EidRecord' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default.EidRecord', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_record',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.AllowedLocator.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.AllowedLocator.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefix-list name
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list name
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.AllowedLocator' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.AllowedLocator',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.AllowedLocator.List', 
                [], [], 
                '''                Prefixes allowed in registerd locator-set
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 locator allowed in registered locator-set
                ''',
                'ls_ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 locator allowed in registered locator-set
                ''',
                'ls_ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'allowed-locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.EidPrefix.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.EidPrefix.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.EidPrefix.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.EidPrefix.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.EidPrefix.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.EidPrefix.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.EidPrefix.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.EidPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.EidPrefix',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.EidPrefix.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.EidPrefix.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.EidRecord.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.EidRecord.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.EidRecord.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.EidRecord.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.EidRecord.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.EidRecord.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.EidRecord.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site.EidRecord' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site.EidRecord',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.EidRecord.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.EidRecord.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-record',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Site' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Site',
            False, 
            [
            _MetaInfoClassMember('sname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The site name
                ''',
                'sname',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('allowed-locator', REFERENCE_CLASS, 'AllowedLocator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.AllowedLocator', 
                [], [], 
                '''                Locator from LISP site
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.AuthenticationKey', 
                [], [], 
                '''                Authentication key used by LISP site
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Site description
                ''',
                'description',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-prefix', REFERENCE_CLASS, 'EidPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.EidPrefix', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-record', REFERENCE_CLASS, 'EidRecord' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site.EidRecord', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_record',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Syslog.Session' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Syslog.Session',
            False, 
            [
            _MetaInfoClassMember('changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable session change syslog
                ''',
                'changes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp.Syslog' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp.Syslog',
            False, 
            [
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Syslog.Session', 
                [], [], 
                '''                Enable session syslog
                ''',
                'session',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verbose', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable verbose syslog
                ''',
                'verbose',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'syslog',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Lisp',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('control-packet', REFERENCE_CLASS, 'ControlPacket' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.ControlPacket', 
                [], [], 
                '''                Configure control packet tx option
                ''',
                'control_packet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ddt', REFERENCE_CLASS, 'Ddt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ddt', 
                [], [], 
                '''                Delegated Database Tree (DDT) mapping system
                ''',
                'ddt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.EidTable', 
                [], [], 
                '''                Configure an EID instance for a VRF
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-container', REFERENCE_CLASS, 'InstanceContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.InstanceContainer', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_container',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv4', 
                [], [], 
                '''                IPv4 address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Ipv6', 
                [], [], 
                '''                IPv6 address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-down', REFERENCE_CLASS, 'LocatorDown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.LocatorDown', 
                [], [], 
                '''                Manually set locator status to down
                ''',
                'locator_down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-scope', REFERENCE_LIST, 'LocatorScope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.LocatorScope', 
                [], [], 
                '''                Configure a locator scope
                ''',
                'locator_scope',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', REFERENCE_LIST, 'LocatorSet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.LocatorSet', 
                [], [], 
                '''                Configure a named locator set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-table', REFERENCE_CLASS, 'LocatorTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.LocatorTable', 
                [], [], 
                '''                Specify the RLOC table
                ''',
                'locator_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.MapRequest', 
                [], [], 
                '''                Configure map-request handling
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Security', 
                [], [], 
                '''                Enable default LISP security and authentication in reply is optional
                ''',
                'security',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site', REFERENCE_LIST, 'Site' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Site', 
                [], [], 
                '''                Configure a LISP site on a map server (MS)
                ''',
                'site',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('syslog', REFERENCE_CLASS, 'Syslog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp.Syslog', 
                [], [], 
                '''                Configure syslog option
                ''',
                'syslog',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Default_.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv4.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Default_',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv4.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Default_.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv6.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Default_',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ipv6.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Default_',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.LocatorSet.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.LocatorSet.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.LocatorSet.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.LocatorSet.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.LocatorSet.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.LocatorSet.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.LocatorSet' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.LocatorSet',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Auto discover locators registered by other xTRs
                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.LocatorSet.IpAddress', 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.LocatorSet.Ipv4Interface', 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.LocatorSet.Ipv6Interface', 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-set',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.LocatorScope' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.LocatorScope',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('rloc-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RLOC prefix to check against ITR RLOC and ETR RLOC
                ''',
                'rloc_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('rloc-prefix', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        RLOC prefix to check against ITR RLOC and ETR RLOC
                        ''',
                        'rloc_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('rloc-prefix', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        RLOC prefix to check against ITR RLOC and ETR RLOC
                        ''',
                        'rloc_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('rtr-locator-set', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Locator-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                ''',
                'rtr_locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-scope',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac-addr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mac_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_LIST, 'Ipv4Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix', 
                [], [], 
                '''                IPv4 EID-prefix for dynamic-EID
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac', 
                [], [], 
                '''                L2 EID records
                ''',
                'mac',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_',
            False, 
            [
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac-addr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mac_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_LIST, 'Ipv4Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix', 
                [], [], 
                '''                IPv4 EID-prefix for dynamic-EID
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac', 
                [], [], 
                '''                L2 EID records
                ''',
                'mac',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer.InstanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer.InstanceList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.InstanceContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.InstanceContainer',
            False, 
            [
            _MetaInfoClassMember('instance-list', REFERENCE_LIST, 'InstanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer.InstanceList', 
                [], [], 
                '''                ''',
                'instance_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.ControlPacket' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.ControlPacket',
            False, 
            [
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('304', '10000')], [], 
                '''                Configure control packet MTU
                ''',
                'mtu',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'control-packet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-eid-prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ddt.Authoritative' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ddt.Authoritative',
            False, 
            [
            _MetaInfoClassMember('instance-id-eid-prefix-list', REFERENCE_LIST, 'InstanceIdEidPrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList', 
                [], [], 
                '''                ''',
                'instance_id_eid_prefix_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id-list', REFERENCE_LIST, 'InstanceIdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList', 
                [], [], 
                '''                ''',
                'instance_id_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authoritative',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ddt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ddt',
            False, 
            [
            _MetaInfoClassMember('authoritative', REFERENCE_CLASS, 'Authoritative' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ddt.Authoritative', 
                [], [], 
                '''                DDT authoritative prefix
                ''',
                'authoritative',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('cache-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                DDT resolver cache entry limit
                ''',
                'cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('root', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                DDT root node
                ''',
                'root',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'ddt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configures map server source address
                ''',
                'source_address',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.LocatorDown' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.LocatorDown',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Locator address to be set down
                ''',
                'address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('IPv4-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-down',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.LocatorTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.LocatorTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.MapRequest',
            False, 
            [
            _MetaInfoClassMember('itr-rlocs', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure to use the specified RLOC set as ITR RLOC in map-request
                ''',
                'itr_rlocs',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum', 
                [], [], 
                '''                EID-notify authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum', 
                [], [], 
                '''                Map-Register authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_LIST, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket',
            False, 
            [
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('304', '10000')], [], 
                '''                Configure control packet MTU
                ''',
                'mtu',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'control-packet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-eid-prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative',
            False, 
            [
            _MetaInfoClassMember('instance-id-eid-prefix-list', REFERENCE_LIST, 'InstanceIdEidPrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList', 
                [], [], 
                '''                ''',
                'instance_id_eid_prefix_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id-list', REFERENCE_LIST, 'InstanceIdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList', 
                [], [], 
                '''                ''',
                'instance_id_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authoritative',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ddt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ddt',
            False, 
            [
            _MetaInfoClassMember('authoritative', REFERENCE_CLASS, 'Authoritative' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative', 
                [], [], 
                '''                DDT authoritative prefix
                ''',
                'authoritative',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('cache-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                DDT resolver cache entry limit
                ''',
                'cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('root', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                DDT root node
                ''',
                'root',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'ddt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configures map server source address
                ''',
                'source_address',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Locator address to be set down
                ''',
                'address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('IPv4-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-down',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.MapRequest',
            False, 
            [
            _MetaInfoClassMember('itr-rlocs', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure to use the specified RLOC set as ITR RLOC in map-request
                ''',
                'itr_rlocs',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable.InstanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable.InstanceList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('control-packet', REFERENCE_CLASS, 'ControlPacket' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket', 
                [], [], 
                '''                Configure control packet tx option
                ''',
                'control_packet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_LIST, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ddt', REFERENCE_CLASS, 'Ddt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ddt', 
                [], [], 
                '''                Delegated Database Tree (DDT) mapping system
                ''',
                'ddt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv4', 
                [], [], 
                '''                IPv4 address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.Ipv6', 
                [], [], 
                '''                IPv6 address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-down', REFERENCE_CLASS, 'LocatorDown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown', 
                [], [], 
                '''                Manually set locator status to down
                ''',
                'locator_down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-table', REFERENCE_CLASS, 'LocatorTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable', 
                [], [], 
                '''                Specify the RLOC table
                ''',
                'locator_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_LIST, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.MapCache', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.MapRequest', 
                [], [], 
                '''                Configure map-request handling
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.EidTable',
            False, 
            [
            _MetaInfoClassMember('instance-list', REFERENCE_LIST, 'InstanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable.InstanceList', 
                [], [], 
                '''                ''',
                'instance_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Security' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Security',
            False, 
            [
            _MetaInfoClassMember('strong', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable default LISP security and authentication in reply is required
                ''',
                'strong',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_.AllowedLocator.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_.AllowedLocator.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefix-list name
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list name
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_.AllowedLocator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_.AllowedLocator',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_.AllowedLocator.List', 
                [], [], 
                '''                Prefixes allowed in registerd locator-set
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 locator allowed in registered locator-set
                ''',
                'ls_ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 locator allowed in registered locator-set
                ''',
                'ls_ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'allowed-locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_.EidPrefix.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_.EidPrefix.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_.EidPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_.EidPrefix',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_.EidPrefix.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_.EidRecord.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_.EidRecord.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_.EidRecord' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_.EidRecord',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_.EidRecord.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-record',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.Default_',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', REFERENCE_CLASS, 'AllowedLocator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_.AllowedLocator', 
                [], [], 
                '''                Locator from LISP site
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_.AuthenticationKey', 
                [], [], 
                '''                Authentication key used by LISP site
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Site description
                ''',
                'description',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-prefix', REFERENCE_CLASS, 'EidPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_.EidPrefix', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-record', REFERENCE_CLASS, 'EidRecord' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_.EidRecord', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_record',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.AllowedLocator.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.AllowedLocator.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefix-list name
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list name
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.AllowedLocator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.AllowedLocator',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.AllowedLocator.List', 
                [], [], 
                '''                Prefixes allowed in registerd locator-set
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 locator allowed in registered locator-set
                ''',
                'ls_ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 locator allowed in registered locator-set
                ''',
                'ls_ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'allowed-locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.EidPrefix.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.EidPrefix.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.EidPrefix.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.EidPrefix.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.EidPrefix.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.EidPrefix.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.EidPrefix.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.EidPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.EidPrefix',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.EidPrefix.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.EidPrefix.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.EidRecord.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.EidRecord.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.EidRecord.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.EidRecord.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.EidRecord.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.EidRecord.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.EidRecord.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site.EidRecord' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site.EidRecord',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.EidRecord.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.EidRecord.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-record',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Site' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Site',
            False, 
            [
            _MetaInfoClassMember('sname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The site name
                ''',
                'sname',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('allowed-locator', REFERENCE_CLASS, 'AllowedLocator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.AllowedLocator', 
                [], [], 
                '''                Locator from LISP site
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.AuthenticationKey', 
                [], [], 
                '''                Authentication key used by LISP site
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Site description
                ''',
                'description',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-prefix', REFERENCE_CLASS, 'EidPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.EidPrefix', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-record', REFERENCE_CLASS, 'EidRecord' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site.EidRecord', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_record',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Syslog.Session' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Syslog.Session',
            False, 
            [
            _MetaInfoClassMember('changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable session change syslog
                ''',
                'changes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default.Syslog' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default.Syslog',
            False, 
            [
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Syslog.Session', 
                [], [], 
                '''                Enable session syslog
                ''',
                'session',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verbose', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable verbose syslog
                ''',
                'verbose',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'syslog',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Default',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('control-packet', REFERENCE_CLASS, 'ControlPacket' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.ControlPacket', 
                [], [], 
                '''                Configure control packet tx option
                ''',
                'control_packet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ddt', REFERENCE_CLASS, 'Ddt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ddt', 
                [], [], 
                '''                Delegated Database Tree (DDT) mapping system
                ''',
                'ddt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.EidTable', 
                [], [], 
                '''                Configure an EID instance for a VRF
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-container', REFERENCE_CLASS, 'InstanceContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.InstanceContainer', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_container',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv4', 
                [], [], 
                '''                IPv4 address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Ipv6', 
                [], [], 
                '''                IPv6 address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-down', REFERENCE_CLASS, 'LocatorDown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.LocatorDown', 
                [], [], 
                '''                Manually set locator status to down
                ''',
                'locator_down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-scope', REFERENCE_LIST, 'LocatorScope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.LocatorScope', 
                [], [], 
                '''                Configure a locator scope
                ''',
                'locator_scope',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', REFERENCE_LIST, 'LocatorSet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.LocatorSet', 
                [], [], 
                '''                Configure a named locator set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-table', REFERENCE_CLASS, 'LocatorTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.LocatorTable', 
                [], [], 
                '''                Specify the RLOC table
                ''',
                'locator_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.MapRequest', 
                [], [], 
                '''                Configure map-request handling
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Security', 
                [], [], 
                '''                Enable default LISP security and authentication in reply is optional
                ''',
                'security',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site', REFERENCE_LIST, 'Site' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Site', 
                [], [], 
                '''                Configure a LISP site on a map server (MS)
                ''',
                'site',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('syslog', REFERENCE_CLASS, 'Syslog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default.Syslog', 
                [], [], 
                '''                Configure syslog option
                ''',
                'syslog',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Default.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv4.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Default',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv4.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Default.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv6.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Default',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ipv6.EncapsulationEnum' : _MetaInfoEnum('EncapsulationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lisp':'lisp',
            'vxlan':'vxlan',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_ENUM_CLASS, 'EncapsulationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.EncapsulationEnum', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Default',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'registered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List', 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', REFERENCE_CLASS, 'Registered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered', 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use VXLAN encapsulation for data packets
                ''',
                'vxlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.LocatorSet.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.LocatorSet.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.LocatorSet.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.LocatorSet.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.LocatorSet.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.LocatorSet.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.LocatorSet' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.LocatorSet',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Auto discover locators registered by other xTRs
                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.LocatorSet.IpAddress', 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.LocatorSet.Ipv4Interface', 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.LocatorSet.Ipv6Interface', 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-set',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.LocatorScope' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.LocatorScope',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('rloc-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RLOC prefix to check against ITR RLOC and ETR RLOC
                ''',
                'rloc_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('rloc-prefix', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        RLOC prefix to check against ITR RLOC and ETR RLOC
                        ''',
                        'rloc_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('rloc-prefix', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        RLOC prefix to check against ITR RLOC and ETR RLOC
                        ''',
                        'rloc_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('rtr-locator-set', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Locator-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                ''',
                'rtr_locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-scope',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac-addr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mac_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_LIST, 'Ipv4Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix', 
                [], [], 
                '''                IPv4 EID-prefix for dynamic-EID
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac', 
                [], [], 
                '''                L2 EID records
                ''',
                'mac',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Default',
            False, 
            [
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac-addr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mac_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('ipv4-prefix', REFERENCE_LIST, 'Ipv4Prefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix', 
                [], [], 
                '''                IPv4 EID-prefix for dynamic-EID
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac', 
                [], [], 
                '''                L2 EID records
                ''',
                'mac',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key', 
                [], [], 
                '''                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('away', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'away',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids',
            False, 
            [
            _MetaInfoClassMember('send-map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export away table entries into the map cache with action set to send-map-request
                ''',
                'send_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'away-eids',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('away-eids', REFERENCE_CLASS, 'AwayEids' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids', 
                [], [], 
                '''                Map cache configuration for the away table
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-interface', REFERENCE_LIST, 'EidInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'eid_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv4_addr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ipv6_addr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'proxy-itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority',
            False, 
            [
            _MetaInfoClassMember('priority-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority_value',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'priority',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', REFERENCE_CLASS, 'Priority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority', 
                [], [], 
                '''                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'process_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd', 
                [], [], 
                '''                Neighbor Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Process name
                ''',
                'id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'nd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this process
                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application', 
                [], [], 
                '''                Application Protocol
                ''',
                'application',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('nd', REFERENCE_CLASS, 'Nd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd', 
                [], [], 
                '''                Neighbour Discovery
                ''',
                'nd',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('auto-discover-rlocs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auto_discover_rlocs',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont', 
                [], [], 
                '''                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_CLASS, 'ProxyItr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr', 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay',
            False, 
            [
            _MetaInfoClassMember('ipv4-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 multicast group address
                ''',
                'ipv4_multicast',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-multicast', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 multicast group address
                ''',
                'ipv6_multicast',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'broadcast-underlay',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6-addrees',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv4-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure this database mapping down
                ''',
                'down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping-option',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping-option', REFERENCE_CLASS, 'DatabaseMappingOption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption', 
                [], [], 
                '''                ''',
                'database_mapping_option',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'IPv6-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('ipv4-addrees', REFERENCE_LIST, 'Ipv4Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees', 
                [], [], 
                '''                IPv4 Address of loopback or other ETR interface
                ''',
                'ipv4_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv4-interface', REFERENCE_LIST, 'Ipv4Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface', 
                [], [], 
                '''                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6-addrees', REFERENCE_LIST, 'Ipv6Addrees' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees', 
                [], [], 
                '''                IPv6 Address of loopback or other ETR interface
                ''',
                'ipv6_addrees',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', REFERENCE_LIST, 'Ipv6Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface', 
                [], [], 
                '''                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-pwd',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-0',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6',
            False, 
            [
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7',
            False, 
            [
            _MetaInfoClassMember('ak-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum', 
                [], [], 
                '''                authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key-7',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', REFERENCE_CLASS, 'Key0' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0', 
                [], [], 
                '''                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', REFERENCE_CLASS, 'Key6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6', 
                [], [], 
                '''                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', REFERENCE_CLASS, 'Key7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7', 
                [], [], 
                '''                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-pwd', REFERENCE_CLASS, 'KeyPwd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd', 
                [], [], 
                '''                ''',
                'key_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping',
            False, 
            [
            _MetaInfoClassMember('accept-mappping', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'accept_mappping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'verify',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'accept-map-request-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr',
            False, 
            [
            _MetaInfoClassMember('accept-map-request-mapping', REFERENCE_CLASS, 'AcceptMapRequestMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping', 
                [], [], 
                '''                ''',
                'accept_map_request_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-ttl', ATTRIBUTE, 'int' , None, None, 
                [('60', '10080')], [], 
                '''                ''',
                'map_cache_ttl',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Maximum number of site registrations
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IP address of loopback or other ETR interface
                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IP address of loopback or other ETR interface
                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]+\\.[0-9a-fA-F]+\\.[0-9a-fA-F]+'], 
                '''                xxxx.xxxx.xxxx 48 bit mac address
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-cont',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-cont', REFERENCE_LIST, 'EidCont' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont', 
                [], [], 
                '''                EID-record for RLOC static mapping
                ''',
                'eid_cont',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet',
            False, 
            [
            _MetaInfoClassMember('broadcast-underlay', REFERENCE_CLASS, 'BroadcastUnderlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay', 
                [], [], 
                '''                Multicast group to use for underlay
                ''',
                'broadcast_underlay',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable', 
                [], [], 
                '''                Bind an eid-table
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures inner header source address in Map-Request message
                        ''',
                        'map_request_source',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList.Service' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList.Service',
            False, 
            [
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer.InstanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer.InstanceList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.InstanceContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.InstanceContainer',
            False, 
            [
            _MetaInfoClassMember('instance-list', REFERENCE_LIST, 'InstanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer.InstanceList', 
                [], [], 
                '''                ''',
                'instance_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.ControlPacket' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.ControlPacket',
            False, 
            [
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('304', '10000')], [], 
                '''                Configure control packet MTU
                ''',
                'mtu',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'control-packet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-eid-prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ddt.Authoritative.InstanceIdList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ddt.Authoritative.InstanceIdList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ddt.Authoritative' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ddt.Authoritative',
            False, 
            [
            _MetaInfoClassMember('instance-id-eid-prefix-list', REFERENCE_LIST, 'InstanceIdEidPrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList', 
                [], [], 
                '''                ''',
                'instance_id_eid_prefix_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id-list', REFERENCE_LIST, 'InstanceIdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ddt.Authoritative.InstanceIdList', 
                [], [], 
                '''                ''',
                'instance_id_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authoritative',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ddt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ddt',
            False, 
            [
            _MetaInfoClassMember('authoritative', REFERENCE_CLASS, 'Authoritative' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ddt.Authoritative', 
                [], [], 
                '''                DDT authoritative prefix
                ''',
                'authoritative',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('cache-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                DDT resolver cache entry limit
                ''',
                'cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('root', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                DDT root node
                ''',
                'root',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'ddt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configures map server source address
                ''',
                'source_address',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.LocatorDown' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.LocatorDown',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Locator address to be set down
                ''',
                'address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('IPv4-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-down',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.LocatorTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.LocatorTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.MapRequest',
            False, 
            [
            _MetaInfoClassMember('itr-rlocs', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure to use the specified RLOC set as ITR RLOC in map-request
                ''',
                'itr_rlocs',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.DynamicEid.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.DynamicEid.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use locators defined by locator-set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey',
            False, 
            [
            _MetaInfoClassMember('gateway-ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'gateway_ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('gateway-ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'gateway_ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('ak-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'ak_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ak-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'ak_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum', 
                [], [], 
                '''                EID-notify authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'gateway-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey', 
                [], [], 
                '''                Authentication key used for validating received EID-notify
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('gateway-key', REFERENCE_LIST, 'GatewayKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey', 
                [], [], 
                '''                ''',
                'gateway_key',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-notify',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum' : _MetaInfoEnum('HashFunctionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'sha1':'sha1',
            'sha2':'sha2',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('hash-function', REFERENCE_ENUM_CLASS, 'HashFunctionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum', 
                [], [], 
                '''                Map-Register authentication type
                ''',
                'hash_function',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.DynamicEid' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.DynamicEid',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('database-mapping', REFERENCE_LIST, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.DynamicEid.DatabaseMapping', 
                [], [], 
                '''                Configures EID-prefix and locator-set for dynamic-EID
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-notify', REFERENCE_CLASS, 'EidNotify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify', 
                [], [], 
                '''                Configure options for sending/receiving EID-notify
                ''',
                'eid_notify',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-notify-group', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast group which to send map-notifies to
                ''',
                'map_notify_group',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-notify-group', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast group which to send map-notifies to
                        ''',
                        'map_notify_group',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'dynamic-eid',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Alt.SummaryRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Alt.SummaryRoute',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ALT RIB route tag for EID prefix
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'summary-route',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Alt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Alt',
            False, 
            [
            _MetaInfoClassMember('summary-route', REFERENCE_LIST, 'SummaryRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Alt.SummaryRoute', 
                [], [], 
                '''                Summary route to install into the ALT table
                ''',
                'summary_route',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'alt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.ControlPacket' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.ControlPacket',
            False, 
            [
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('304', '10000')], [], 
                '''                Configure control packet MTU
                ''',
                'mtu',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'control-packet',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-eid-prefix-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Child or map-server node locator address
                ''',
                'ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Child or map-server node locator address
                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('map-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delegation points to a map-server
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('to', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'to',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'delegate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('delegate', REFERENCE_CLASS, 'Delegate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate', 
                [], [], 
                '''                DDT delegation to a child DDT node or map-server
                ''',
                'delegate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server-peer', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Peer map-servers that are authoritative for the same EID prefixes
                ''',
                'map_server_peer',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('map-server-peer', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Peer map-servers that are authoritative for the same EID prefixes
                        ''',
                        'map_server_peer',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative',
            False, 
            [
            _MetaInfoClassMember('instance-id-eid-prefix-list', REFERENCE_LIST, 'InstanceIdEidPrefixList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList', 
                [], [], 
                '''                ''',
                'instance_id_eid_prefix_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id-list', REFERENCE_LIST, 'InstanceIdList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList', 
                [], [], 
                '''                ''',
                'instance_id_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authoritative',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ddt' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ddt',
            False, 
            [
            _MetaInfoClassMember('authoritative', REFERENCE_CLASS, 'Authoritative' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative', 
                [], [], 
                '''                DDT authoritative prefix
                ''',
                'authoritative',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('cache-limit', ATTRIBUTE, 'int' , None, None, 
                [('1', '100000')], [], 
                '''                DDT resolver cache entry limit
                ''',
                'cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('root', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                DDT root node
                ''',
                'root',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('root', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        DDT root node
                        ''',
                        'root',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'ddt',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator-set Name
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Members learned from map-server
                ''',
                'member',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source', 
                [], [], 
                '''                Filters traffic based on RLOC source address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc', 
                [], [], 
                '''                Filter based on Routing Locator (RLOC) in packet header
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Decapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Decapsulation',
            False, 
            [
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter', 
                [], [], 
                '''                Filters traffic
                ''',
                'filter',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'decapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configures map server source address
                ''',
                'source_address',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv4',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configures the maximum size of dynamic local EID prefixes database
                ''',
                'dynamic',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Send warning message to syslog when the database-mapping dynamic sizereaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit', 
                [], [], 
                '''                Configures the maximum size of local EID prefixes database
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database-mapping',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance',
            False, 
            [
            _MetaInfoClassMember('alt', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP routes installed in the ALT table
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dyn-eid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type dynamic-EID
                ''',
                'dyn_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LISP installed routes of type site-registrations
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr.MapResolver',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr',
            False, 
            [
            _MetaInfoClassMember('map-resolver', REFERENCE_LIST, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr.MapResolver', 
                [], [], 
                '''                Configures map-resolver address for sending Map-Requests
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable',
            False, 
            [
            _MetaInfoClassMember('itr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'itr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The HIDDEN password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_addr',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_addr',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key', 
                [], [], 
                '''                Authentication key used with map server
                ''',
                'key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-reply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Request Map-Server to send Map-Replies on behalf of site
                ''',
                'proxy_reply',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr',
            False, 
            [
            _MetaInfoClassMember('map-server', REFERENCE_LIST, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer', 
                [], [], 
                '''                Configures map server for ETR registration
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable',
            False, 
            [
            _MetaInfoClassMember('etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability',
            False, 
            [
            _MetaInfoClassMember('exclude-default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If a remote RLOC is reached via the default route, treat it as unreachable
                ''',
                'exclude_default',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'reachability',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator',
            False, 
            [
            _MetaInfoClassMember('reachability', REFERENCE_CLASS, 'Reachability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability', 
                [], [], 
                '''                Configuration realted to locator reachability
                ''',
                'reachability',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache',
            False, 
            [
            _MetaInfoClassMember('site-registration', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Install map cache to map request for site registrations
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit',
            False, 
            [
            _MetaInfoClassMember('max-map-cache-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '100000')], [], 
                '''                ''',
                'max_map_cache_entries',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('reserve-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EID-prefixes guaranteed to be stored in map-cache
                ''',
                'reserve_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Send warning message to syslog when the map-cache size reaches this percentage of the limit
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-limit',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Interval in minutes of how often the map-cache is saved
                ''',
                'interval',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefixes
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefixes
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('list', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Define allowed prefixes using an ip[v6] prefix list
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('registered', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ...from RLOCs that register EID-prefixes in the same IID on a co-located MapServer
                ''',
                'registered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source', 
                [], [], 
                '''                Influence which source RLOCs map requests are accepted from
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver',
            False, 
            [
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest', 
                [], [], 
                '''                Map-Request processing options
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-resolver',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Against sites' allowed-locators policy
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source', 
                [], [], 
                '''                RLOC Source IP address
                ''',
                'source',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'validate',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister',
            False, 
            [
            _MetaInfoClassMember('validate', REFERENCE_CLASS, 'Validate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate', 
                [], [], 
                '''                Validation options
                ''',
                'validate',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-register',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer',
            False, 
            [
            _MetaInfoClassMember('map-register', REFERENCE_CLASS, 'MapRegister' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister', 
                [], [], 
                '''                Map-Register processing options
                ''',
                'map_register',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.PathMtuDiscovery' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.PathMtuDiscovery',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Upper bound on the path MTU accepted
                ''',
                'max',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('68', '65535')], [], 
                '''                Lower bound on the path MTU accepted
                ''',
                'min',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'path-mtu-discovery',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport',
            False, 
            [
            _MetaInfoClassMember('away-eids', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP away EIDs to RIB
                ''',
                'away_eids',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registrations', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export LISP site registrations to RIB
                ''',
                'site_registrations',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-export',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set to use with created database mapping entries
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-ip-route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static',
            False, 
            [
            _MetaInfoClassMember('lisp-ip-route-import', REFERENCE_CLASS, 'LispIpRouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport', 
                [], [], 
                '''                ''',
                'lisp_ip_route_import',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('threshold1', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold1',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-only1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give a warning message and do not limit entries
                ''',
                'warning_only1',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map for route selection filtering
                ''',
                'route_map',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache-container',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static',
            False, 
            [
            _MetaInfoClassMember('map-cache-container', REFERENCE_CLASS, 'MapCacheContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer', 
                [], [], 
                '''                ''',
                'map_cache_container',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('isis', REFERENCE_LIST, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes to pick up from the RIB
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database', 
                [], [], 
                '''                Use RIB routes to define local EID database entries
                ''',
                'database',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache', 
                [], [], 
                '''                Use RIB routes to define EID address space in map-cache
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'route-import',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations for a given instance-id
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore SMR bit in incoming Map-Requests
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('max-per-entry', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Maximum number of SMRs for addresses under a map-cache entry
                ''',
                'max_per_entry',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('suppression-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '600')], [], 
                '''                How long to suppress repeated SMRs for the same address
                ''',
                'suppression_time',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'solicit-map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6.UsePetr' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6.UsePetr',
            False, 
            [
            _MetaInfoClassMember('locator-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'locator_address',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('locator-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'locator_address',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'use-petr',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.Ipv6',
            False, 
            [
            _MetaInfoClassMember('alt-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Activate LISP-ALT functionality in VRF
                ''',
                'alt_vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_CLASS, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping', 
                [], [], 
                '''                Address family specific local EID prefixes database configuration
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance', 
                [], [], 
                '''                Administrative distance for RIB route installation
                ''',
                'distance',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-enable', REFERENCE_CLASS, 'EtrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable', 
                [], [], 
                '''                ''',
                'etr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr', REFERENCE_CLASS, 'Itr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr', 
                [], [], 
                '''                Configures a LISP Ingress Tunnel Router (ITR)
                ''',
                'itr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('itr-enable', REFERENCE_CLASS, 'ItrEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable', 
                [], [], 
                '''                ''',
                'itr_enable',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator', REFERENCE_CLASS, 'Locator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator', 
                [], [], 
                '''                Locator related configuration
                ''',
                'locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_CLASS, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache', 
                [], [], 
                '''                Address family specific map cache configuration
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-limit', REFERENCE_CLASS, 'MapCacheLimit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit', 
                [], [], 
                '''                Configures maximum size of map-cache
                ''',
                'map_cache_limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache-persistent', REFERENCE_CLASS, 'MapCachePersistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent', 
                [], [], 
                '''                Dump map-cache onto flash, making it persistent across reboots
                ''',
                'map_cache_persistent',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request-source', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configures inner header source address in Map-Request message
                ''',
                'map_request_source',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-resolver', REFERENCE_CLASS, 'MapResolver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver', 
                [], [], 
                '''                Configures a LISP Map Resolver (MR)
                ''',
                'map_resolver',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer', 
                [], [], 
                '''                Configures a LISP Map Server (MS)
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('path-mtu-discovery', REFERENCE_CLASS, 'PathMtuDiscovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.PathMtuDiscovery', 
                [], [], 
                '''                Path MTU discovery
                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-etr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Engress Tunnel Router (PETR)
                ''',
                'proxy_etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('proxy-itr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                ''',
                'proxy_itr',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('proxy-itr', REFERENCE_LEAFLIST, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        ''',
                        'proxy_itr',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('route-export', REFERENCE_CLASS, 'RouteExport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport', 
                [], [], 
                '''                Export routes into RIB from LISP
                ''',
                'route_export',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-import', REFERENCE_CLASS, 'RouteImport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport', 
                [], [], 
                '''                Import RIB routes by a routing protocol into LISP
                ''',
                'route_import',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('sgt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable security group tag propagation in LISP encapsulated traffic
                ''',
                'sgt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration', 
                [], [], 
                '''                Site registrations configuration for a given instance-id
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('solicit-map-request', REFERENCE_CLASS, 'SolicitMapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest', 
                [], [], 
                '''                Configure Solicit-Map-Request handling
                ''',
                'solicit_map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('use-petr', REFERENCE_LIST, 'UsePetr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6.UsePetr', 
                [], [], 
                '''                Encapsulate to Proxy ETR when matching forward-native entry
                ''',
                'use_petr',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports',
            False, 
            [
            _MetaInfoClassMember('do-not-transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Force the setting of the encapsulation header L bit to zero
                ''',
                'do_not_transmit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Ignore data packet LSB reports
                ''',
                'ignore',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lsb-reports',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm',
            False, 
            [
            _MetaInfoClassMember('lsb-reports', REFERENCE_CLASS, 'LsbReports' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports', 
                [], [], 
                '''                Configure data packet LSB report handling
                ''',
                'lsb_reports',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('rloc-probing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Probe high priority RLOCs with Map-Requests as last resort
                ''',
                'rloc_probing',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'loc-reach-algorithm',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.LocatorDown' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.LocatorDown',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                IPv4/6 Locator address to be set down
                ''',
                'address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        IPv4/6 Locator address to be set down
                        ''',
                        'address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('IPv4-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv4 address of interface as locator
                ''',
                'ipv4_interface',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('IPv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use IPv6 address of interface as locator
                ''',
                'ipv6_interface',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-down',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.LocatorTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.LocatorTable',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'locator-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.MapRequest' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.MapRequest',
            False, 
            [
            _MetaInfoClassMember('itr-rlocs', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure to use the specified RLOC set as ITR RLOC in map-request
                ''',
                'itr_rlocs',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-request',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum' : _MetaInfoEnum('OperatorEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'add':'add',
            'override':'override',
        }, 'Cisco-IOS-XE-lisp', _yang_ns._namespaces['Cisco-IOS-XE-lisp']),
    'Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered',
            False, 
            [
            _MetaInfoClassMember('locator-set', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Locator set from which to get member RLOC addresses
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'OperatorEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum', 
                [], [], 
                '''                ''',
                'operator',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'modify-discovered',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members',
            False, 
            [
            _MetaInfoClassMember('distribute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                EID instance RLOC membership distribution
                ''',
                'distribute',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('modify-discovered', REFERENCE_CLASS, 'ModifyDiscovered' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered', 
                [], [], 
                '''                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                ''',
                'modify_discovered',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'members',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc',
            False, 
            [
            _MetaInfoClassMember('members', REFERENCE_CLASS, 'Members' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'members',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'rloc',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration',
            False, 
            [
            _MetaInfoClassMember('limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of site registrations as a result of accept-more-specifics
                ''',
                'limit',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('warning-threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Warning threshold to issue system logging
                ''',
                'warning_threshold',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site-registration',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.MapServer' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.MapServer',
            False, 
            [
            _MetaInfoClassMember('rloc', REFERENCE_CLASS, 'Rloc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc', 
                [], [], 
                '''                EID instance RLOC membership
                ''',
                'rloc',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-registration', REFERENCE_CLASS, 'SiteRegistration' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration', 
                [], [], 
                '''                Map-server site registration options
                ''',
                'site_registration',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-server',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe',
            False, 
            [
            _MetaInfoClassMember('period', ATTRIBUTE, 'int' , None, None, 
                [('5', '900')], [], 
                '''                Period between probes in seconds
                ''',
                'period',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'other-xtr-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe',
            False, 
            [
            _MetaInfoClassMember('on-membership-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon membership changes for remote RLOC
                ''',
                'on_membership_change',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('on-route-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger probing upon routing changes for remote RLOC
                ''',
                'on_route_change',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'remote-rloc-probe',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp',
            False, 
            [
            _MetaInfoClassMember('etr-interface-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'etr_interface_ip_address',
                'Cisco-IOS-XE-lisp', False, [
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                    _MetaInfoClassMember('etr-interface-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'etr_interface_ip_address',
                        'Cisco-IOS-XE-lisp', False),
                ]),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Configures which Locators from a set are preferred
                ''',
                'priority',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                Traffic load-spreading among Locators
                ''',
                'weight',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'etr-interface-ip',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList.MapCache' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList.MapCache',
            False, 
            [
            _MetaInfoClassMember('eid-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('eid-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'eid_prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Drop packets that match this map-cache entry
                ''',
                'drop',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr-interface-ip', REFERENCE_CLASS, 'EtrInterfaceIp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp', 
                [], [], 
                '''                ''',
                'etr_interface_ip',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Map-Request for LISP destination EID
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('native-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Natively forward packets that match this map-cache entry
                ''',
                'native_forward',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'map-cache',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable.InstanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable.InstanceList',
            False, 
            [
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('control-packet', REFERENCE_CLASS, 'ControlPacket' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.ControlPacket', 
                [], [], 
                '''                Configure control packet tx option
                ''',
                'control_packet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('database-mapping', REFERENCE_LIST, 'DatabaseMapping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.DatabaseMapping', 
                [], [], 
                '''                Configures Locator addresses for an ETR
                ''',
                'database_mapping',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ddt', REFERENCE_CLASS, 'Ddt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ddt', 
                [], [], 
                '''                Delegated Database Tree (DDT) mapping system
                ''',
                'ddt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Default VRF
                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('dynamic-eid', REFERENCE_LIST, 'DynamicEid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.DynamicEid', 
                [], [], 
                '''                Configure a dynamic EID
                ''',
                'dynamic_eid',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv4', 
                [], [], 
                '''                IPv4 address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.Ipv6', 
                [], [], 
                '''                IPv6 address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-down', REFERENCE_CLASS, 'LocatorDown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.LocatorDown', 
                [], [], 
                '''                Manually set locator status to down
                ''',
                'locator_down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-table', REFERENCE_CLASS, 'LocatorTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.LocatorTable', 
                [], [], 
                '''                Specify the RLOC table
                ''',
                'locator_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-cache', REFERENCE_LIST, 'MapCache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.MapCache', 
                [], [], 
                '''                Configures static EID-to-RLOC mappings for an ITR
                ''',
                'map_cache',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.MapRequest', 
                [], [], 
                '''                Configure map-request handling
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.EidTable' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.EidTable',
            False, 
            [
            _MetaInfoClassMember('instance-list', REFERENCE_LIST, 'InstanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable.InstanceList', 
                [], [], 
                '''                ''',
                'instance_list',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-table',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Security' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Security',
            False, 
            [
            _MetaInfoClassMember('strong', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable default LISP security and authentication in reply is required
                ''',
                'strong',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default.AllowedLocator.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default.AllowedLocator.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefix-list name
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list name
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default.AllowedLocator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default.AllowedLocator',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default.AllowedLocator.List', 
                [], [], 
                '''                Prefixes allowed in registerd locator-set
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 locator allowed in registered locator-set
                ''',
                'ls_ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 locator allowed in registered locator-set
                ''',
                'ls_ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'allowed-locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default.EidPrefix.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default.EidPrefix.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default.EidPrefix.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default.EidPrefix.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default.EidPrefix.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default.EidPrefix.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default.EidPrefix.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default.EidPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default.EidPrefix',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default.EidPrefix.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default.EidPrefix.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default.EidRecord.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default.EidRecord.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default.EidRecord.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default.EidRecord.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default.EidRecord.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default.EidRecord.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default.EidRecord.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default.EidRecord' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default.EidRecord',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default.EidRecord.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default.EidRecord.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-record',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.Default',
            False, 
            [
            _MetaInfoClassMember('allowed-locator', REFERENCE_CLASS, 'AllowedLocator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default.AllowedLocator', 
                [], [], 
                '''                Locator from LISP site
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default.AuthenticationKey', 
                [], [], 
                '''                Authentication key used by LISP site
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Site description
                ''',
                'description',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-prefix', REFERENCE_CLASS, 'EidPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default.EidPrefix', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-record', REFERENCE_CLASS, 'EidRecord' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default.EidRecord', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_record',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('key-0', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'key_0',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('key-7', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The ENCRYPTED password
                ''',
                'key_7',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('unc-pwd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The UNENCRYPTED (cleartext) password
                ''',
                'unc_pwd',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.AllowedLocator.List' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.AllowedLocator.List',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 prefix-list name
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv6 prefix-list name
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.AllowedLocator' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.AllowedLocator',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_CLASS, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.AllowedLocator.List', 
                [], [], 
                '''                Prefixes allowed in registerd locator-set
                ''',
                'list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 locator allowed in registered locator-set
                ''',
                'ls_ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ls-ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 locator allowed in registered locator-set
                ''',
                'ls_ipv6',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'allowed-locator',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.EidPrefix.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.EidPrefix.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.EidPrefix.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.EidPrefix.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.EidPrefix.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.EidPrefix.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.EidPrefix.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.EidPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.EidPrefix',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.EidPrefix.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.EidPrefix.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.EidRecord.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.EidRecord.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.EidRecord.InstanceId.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.EidRecord.InstanceId.Prefixes',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-lisp', True, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        ''',
                        'prefix',
                        'Cisco-IOS-XE-lisp', True),
                ]),
            _MetaInfoClassMember('accept-more-specifics', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for more specific EID prefixes
                ''',
                'accept_more_specifics',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('route-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB route tag
                ''',
                'route_tag',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.EidRecord.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.EidRecord.InstanceId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.EidRecord.InstanceId.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site.EidRecord' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site.EidRecord',
            False, 
            [
            _MetaInfoClassMember('any-mac', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Accept registrations for any L2 EID records
                ''',
                'any_mac',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.EidRecord.InstanceId', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.EidRecord.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'eid-record',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Site' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Site',
            False, 
            [
            _MetaInfoClassMember('sname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The site name
                ''',
                'sname',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('allowed-locator', REFERENCE_CLASS, 'AllowedLocator' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.AllowedLocator', 
                [], [], 
                '''                Locator from LISP site
                ''',
                'allowed_locator',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.AuthenticationKey', 
                [], [], 
                '''                Authentication key used by LISP site
                ''',
                'authentication_key',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Site description
                ''',
                'description',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-prefix', REFERENCE_CLASS, 'EidPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.EidPrefix', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_prefix',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-record', REFERENCE_CLASS, 'EidRecord' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site.EidRecord', 
                [], [], 
                '''                Site EID address prefix
                ''',
                'eid_record',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'site',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Syslog.Session' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Syslog.Session',
            False, 
            [
            _MetaInfoClassMember('changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable session change syslog
                ''',
                'changes',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList.Syslog' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList.Syslog',
            False, 
            [
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Syslog.Session', 
                [], [], 
                '''                Enable session syslog
                ''',
                'session',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('verbose', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable verbose syslog
                ''',
                'verbose',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'syslog',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.LispList' : {
        'meta_info' : _MetaInfoClass('Native.Router.LispList',
            False, 
            [
            _MetaInfoClassMember('lisp', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', True),
            _MetaInfoClassMember('alt', REFERENCE_CLASS, 'Alt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Alt', 
                [], [], 
                '''                LISP Alternative Topology, LISP-ALT
                ''',
                'alt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('control-packet', REFERENCE_CLASS, 'ControlPacket' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.ControlPacket', 
                [], [], 
                '''                Configure control packet tx option
                ''',
                'control_packet',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ddt', REFERENCE_CLASS, 'Ddt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ddt', 
                [], [], 
                '''                Delegated Database Tree (DDT) mapping system
                ''',
                'ddt',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('decapsulation', REFERENCE_CLASS, 'Decapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Decapsulation', 
                [], [], 
                '''                Decapsulation behavior (e.g. filters)
                ''',
                'decapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Default', 
                [], [], 
                '''                ''',
                'default',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('disable-ttl-propagate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable ttl propagation
                ''',
                'disable_ttl_propagate',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('eid-table', REFERENCE_CLASS, 'EidTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.EidTable', 
                [], [], 
                '''                Configure an EID instance for a VRF
                ''',
                'eid_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Encapsulation', 
                [], [], 
                '''                Select encapsulation type for data packets
                ''',
                'encapsulation',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('etr', REFERENCE_CLASS, 'Etr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Etr', 
                [], [], 
                '''                Configures a LISP Egress Tunnel Router (ETR)
                ''',
                'etr',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('instance-container', REFERENCE_CLASS, 'InstanceContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.InstanceContainer', 
                [], [], 
                '''                EID instance-ID
                ''',
                'instance_container',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv4', 
                [], [], 
                '''                IPv4 address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Ipv6', 
                [], [], 
                '''                IPv6 address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('loc-reach-algorithm', REFERENCE_CLASS, 'LocReachAlgorithm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.LocReachAlgorithm', 
                [], [], 
                '''                Configure locator reachability algorithm
                ''',
                'loc_reach_algorithm',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-down', REFERENCE_CLASS, 'LocatorDown' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.LocatorDown', 
                [], [], 
                '''                Manually set locator status to down
                ''',
                'locator_down',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-scope', REFERENCE_LIST, 'LocatorScope' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.LocatorScope', 
                [], [], 
                '''                Configure a locator scope
                ''',
                'locator_scope',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-set', REFERENCE_LIST, 'LocatorSet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.LocatorSet', 
                [], [], 
                '''                Configure a named locator set
                ''',
                'locator_set',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('locator-table', REFERENCE_CLASS, 'LocatorTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.LocatorTable', 
                [], [], 
                '''                Specify the RLOC table
                ''',
                'locator_table',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-request', REFERENCE_CLASS, 'MapRequest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.MapRequest', 
                [], [], 
                '''                Configure map-request handling
                ''',
                'map_request',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('map-server', REFERENCE_CLASS, 'MapServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.MapServer', 
                [], [], 
                '''                Map-Server commands
                ''',
                'map_server',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('other-xtr-probe', REFERENCE_CLASS, 'OtherXtrProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.OtherXtrProbe', 
                [], [], 
                '''                Configure parameters for probing of other xTRs in our site
                ''',
                'other_xtr_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('remote-rloc-probe', REFERENCE_CLASS, 'RemoteRlocProbe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.RemoteRlocProbe', 
                [], [], 
                '''                Configure parameters for probing of remote RLOCs
                ''',
                'remote_rloc_probe',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Security', 
                [], [], 
                '''                Enable default LISP security and authentication in reply is optional
                ''',
                'security',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Service', 
                [], [], 
                '''                Configure lisp service type
                ''',
                'service',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site', REFERENCE_LIST, 'Site' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Site', 
                [], [], 
                '''                Configure a LISP site on a map server (MS)
                ''',
                'site',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('site-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure a site-id for this site
                ''',
                'site_id',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('syslog', REFERENCE_CLASS, 'Syslog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList.Syslog', 
                [], [], 
                '''                Configure syslog option
                ''',
                'syslog',
                'Cisco-IOS-XE-lisp', False),
            ],
            'Cisco-IOS-XE-lisp',
            'lisp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-lisp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('expanded-acl', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                ''',
                'expanded_acl',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify IPv6 Named Access-List
                ''',
                'ipv6',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ro', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-only access with this community string
                ''',
                'ro',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('rw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-write access with this community string
                ''',
                'rw',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community.Access', 
                [], [], 
                '''                ''',
                'access',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('community-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Auth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Auth',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC MD5 algorithm for authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sha', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC SHA algorithm for authentication
                ''',
                'sha',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Access', 
                [], [], 
                '''                specify an access-list associated with this group
                ''',
                'access',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Auth', 
                [], [], 
                '''                authentication parameters for the user
                ''',
                'auth',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If the user password is already configured and saved
                ''',
                'credential',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('encrypted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specifying passwords as MD5 or SHA digests
                ''',
                'encrypted',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'permisssion',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('permisssion', REFERENCE_CLASS, 'Permisssion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion', 
                [], [], 
                '''                ''',
                'permisssion',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'name',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community', 
                [], [], 
                '''                Configure a SNMP v2c Community string and access privs
                ''',
                'community',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User', 
                [], [], 
                '''                Configure a SNMP v3 user
                ''',
                'user',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Topology',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tid', ATTRIBUTE, 'int' , None, None, 
                [('32', '127')], [], 
                '''                Configuring the routing protocol topology tid
                ''',
                'tid',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4',
            False, 
            [
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Topology', 
                [], [], 
                '''                Associate the routing protocol to a topology instance
                ''',
                'topology',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4_1' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4_1',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4', 
                [], [], 
                '''                Address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipv4_1',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('expanded-acl', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                ''',
                'expanded_acl',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify IPv6 Named Access-List
                ''',
                'ipv6',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ro', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-only access with this community string
                ''',
                'ro',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('rw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-write access with this community string
                ''',
                'rw',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access', 
                [], [], 
                '''                ''',
                'access',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('community-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC MD5 algorithm for authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sha', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC SHA algorithm for authentication
                ''',
                'sha',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access', 
                [], [], 
                '''                specify an access-list associated with this group
                ''',
                'access',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth', 
                [], [], 
                '''                authentication parameters for the user
                ''',
                'auth',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If the user password is already configured and saved
                ''',
                'credential',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('encrypted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specifying passwords as MD5 or SHA digests
                ''',
                'encrypted',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'permisssion',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('permisssion', REFERENCE_CLASS, 'Permisssion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion', 
                [], [], 
                '''                ''',
                'permisssion',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'name',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community', 
                [], [], 
                '''                Configure a SNMP v2c Community string and access privs
                ''',
                'community',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User', 
                [], [], 
                '''                Configure a SNMP v3 user
                ''',
                'user',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tid', ATTRIBUTE, 'int' , None, None, 
                [('32', '127')], [], 
                '''                Configuring the routing protocol topology tid
                ''',
                'tid',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Unicast',
            False, 
            [
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology', 
                [], [], 
                '''                Associate the routing protocol to a topology instance
                ''',
                'topology',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('expanded-acl', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                ''',
                'expanded_acl',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify IPv6 Named Access-List
                ''',
                'ipv6',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ro', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-only access with this community string
                ''',
                'ro',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('rw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-write access with this community string
                ''',
                'rw',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access', 
                [], [], 
                '''                ''',
                'access',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('community-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC MD5 algorithm for authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sha', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC SHA algorithm for authentication
                ''',
                'sha',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access', 
                [], [], 
                '''                specify an access-list associated with this group
                ''',
                'access',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth', 
                [], [], 
                '''                authentication parameters for the user
                ''',
                'auth',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If the user password is already configured and saved
                ''',
                'credential',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('encrypted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specifying passwords as MD5 or SHA digests
                ''',
                'encrypted',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'permisssion',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('permisssion', REFERENCE_CLASS, 'Permisssion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion', 
                [], [], 
                '''                ''',
                'permisssion',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'name',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community', 
                [], [], 
                '''                Configure a SNMP v2c Community string and access privs
                ''',
                'community',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User', 
                [], [], 
                '''                Configure a SNMP v3 user
                ''',
                'user',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tid', ATTRIBUTE, 'int' , None, None, 
                [('32', '127')], [], 
                '''                Configuring the routing protocol topology tid
                ''',
                'tid',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4.Multicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4.Multicast',
            False, 
            [
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology', 
                [], [], 
                '''                Associate the routing protocol to a topology instance
                ''',
                'topology',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'multicast',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily.Ipv4',
            False, 
            [
            _MetaInfoClassMember('multicast', REFERENCE_CLASS, 'Multicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Multicast', 
                [], [], 
                '''                Address Family Modifier
                ''',
                'multicast',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4.Unicast', 
                [], [], 
                '''                Address Family Modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4', 
                [], [], 
                '''                Address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipv4_1', REFERENCE_CLASS, 'Ipv4_1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily.Ipv4_1', 
                [], [], 
                '''                ''',
                'ipv4_1',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Authentication',
            False, 
            [
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Capability',
            False, 
            [
            _MetaInfoClassMember('default-exclusion', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable exclusion of links from base topology
                ''',
                'default_exclusion',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.FilterList.InOutEnum' : _MetaInfoEnum('InOutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Area.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.FilterList',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'InOutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.FilterList.InOutEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter prefixes between OSPF areas
                ''',
                'prefix',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                OSPF default metric
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                OSPF metric type for default routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'default-information-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Nssa.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Nssa.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Nssa.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Nssa.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Nssa.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Nssa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Nssa',
            False, 
            [
            _MetaInfoClassMember('default-information-originate', REFERENCE_CLASS, 'DefaultInformationOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate', 
                [], [], 
                '''                Originate Type 7 default into NSSA area
                ''',
                'default_information_originate',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Nssa.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'nssa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Ipv4Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Ipv4Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Ipv4Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Ipv4Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Ipv4Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipv4-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Ipv6Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Ipv6Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Ipv6Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Ipv6Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Ipv6Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ipv6-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.ShamLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.ShamLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.ShamLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.ShamLink',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source',
                'Cisco-IOS-XE-ospf', True, [
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospf', True),
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospf', True),
                ]),
            _MetaInfoClassMember('dest', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dest',
                'Cisco-IOS-XE-ospf', True, [
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospf', True),
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospf', True),
                ]),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Associate a cost with the sham-link
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.ShamLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'sham-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.Stub' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.Stub',
            False, 
            [
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into stub area
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into stub area
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'stub',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'message-digest',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Authentication',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest', REFERENCE_CLASS, 'MessageDigest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest', 
                [], [], 
                '''                Message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'hello_interval_value',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('dead-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'dead_interval_value',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.RetransmitInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.RetransmitInterval',
            False, 
            [
            _MetaInfoClassMember('retransmit-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'retransmit_interval_value',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'retransmit-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.TransmitDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.TransmitDelay',
            False, 
            [
            _MetaInfoClassMember('transmit-delay-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'transmit_delay_value',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'transmit-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.Topology',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable virtual link
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area.VirtualLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area.VirtualLink',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Authentication', 
                [], [], 
                '''                Set authentication type
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.DeadInterval', 
                [], [], 
                '''                Dead router detection time
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.HelloInterval', 
                [], [], 
                '''                Hello packet interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmit-interval', REFERENCE_CLASS, 'RetransmitInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.RetransmitInterval', 
                [], [], 
                '''                LSA retransmit interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.Topology', 
                [], [], 
                '''                Disable virtual link on topology
                ''',
                'topology',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('transmit-delay', REFERENCE_CLASS, 'TransmitDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.TransmitDelay', 
                [], [], 
                '''                LSA transmission delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'virtual-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Area' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Capability', 
                [], [], 
                '''                Enable area specific capability
                ''',
                'capability',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('default-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                Set the summary default-cost of a NSSA/stub area
                ''',
                'default_cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.FilterList', 
                [], [], 
                '''                Filter networks between OSPF areas
                ''',
                'filter_list',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipv4-range', REFERENCE_CLASS, 'Ipv4Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Ipv4Range', 
                [], [], 
                '''                ''',
                'ipv4_range',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipv6-range', REFERENCE_CLASS, 'Ipv6Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Ipv6Range', 
                [], [], 
                '''                ''',
                'ipv6_range',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa', REFERENCE_CLASS, 'Nssa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Nssa', 
                [], [], 
                '''                Specify a NSSA area
                ''',
                'nssa',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sham-link', REFERENCE_LIST, 'ShamLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.ShamLink', 
                [], [], 
                '''                Define a sham link and its parameters
                ''',
                'sham_link',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('stub', REFERENCE_CLASS, 'Stub' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.Stub', 
                [], [], 
                '''                Specify a stub area
                ''',
                'stub',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('virtual-link', REFERENCE_LIST, 'VirtualLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area.VirtualLink', 
                [], [], 
                '''                Define a virtual link and its parameters
                ''',
                'virtual_link',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.AutoCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.AutoCost',
            False, 
            [
            _MetaInfoClassMember('reference-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967')], [], 
                '''                Use reference bandwidth method to assign OSPF cost
                ''',
                'reference_bandwidth',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'auto-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.EventLog' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.EventLog',
            False, 
            [
            _MetaInfoClassMember('one-shot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Logging When Log Buffer Becomes Full
                ''',
                'one_shot',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pause', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pause Event Logging
                ''',
                'pause',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                Maximum Number of Events Stored in the Event Log
                ''',
                'size',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'event-log',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.InterfaceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.InterfaceId',
            False, 
            [
            _MetaInfoClassMember('snmp-if-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP MIB ifIndex
                ''',
                'snmp_if_index',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'interface-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.LogAdjacencyChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.LogAdjacencyChanges',
            False, 
            [
            _MetaInfoClassMember('detail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log all state changes
                ''',
                'detail',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'log-adjacency-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.MaxLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.MaxLsa',
            False, 
            [
            _MetaInfoClassMember('ignore-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                maximum number of times adjacencies can be suppressed
                ''',
                'ignore_count',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ignore-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '17895')], [], 
                '''                time during which all adjacencies are suppressed
                ''',
                'ignore_time',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('reset-time', ATTRIBUTE, 'int' , None, None, 
                [('2', '35791')], [], 
                '''                time after which ignore-count is reset to zero
                ''',
                'reset_time',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold_value',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'max-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.MaxMetric.RouterLsa.ExternalLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.MaxMetric.RouterLsa.ExternalLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'external-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.MaxMetric.RouterLsa.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.MaxMetric.RouterLsa.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('wait-for-bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Let BGP decide when to originate router-LSA with normal metric
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.MaxMetric.RouterLsa.SummaryLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.MaxMetric.RouterLsa.SummaryLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'summary-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.MaxMetric.RouterLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.MaxMetric.RouterLsa',
            False, 
            [
            _MetaInfoClassMember('external-lsa', REFERENCE_CLASS, 'ExternalLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.MaxMetric.RouterLsa.ExternalLsa', 
                [], [], 
                '''                Override external-lsa metric with max-metric value
                ''',
                'external_lsa',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('include-stub', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set maximum metric for stub links in router-LSAs
                ''',
                'include_stub',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.MaxMetric.RouterLsa.OnStartup', 
                [], [], 
                '''                Set maximum metric temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('summary-lsa', REFERENCE_CLASS, 'SummaryLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.MaxMetric.RouterLsa.SummaryLsa', 
                [], [], 
                '''                Override summary-lsa metric with max-metric value
                ''',
                'summary_lsa',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'router-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.MaxMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.MaxMetric',
            False, 
            [
            _MetaInfoClassMember('router-lsa', REFERENCE_CLASS, 'RouterLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.MaxMetric.RouterLsa', 
                [], [], 
                '''                Maximum metric in self-originated router-LSAs
                ''',
                'router_lsa',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'max-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Disable.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Disable.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospf', True),
            ],
            'Cisco-IOS-XE-ospf',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Disable',
            False, 
            [
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Disable.PassiveInterface', 
                [], [], 
                '''                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.QueueDepth.Hello.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.QueueDepth.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.QueueDepth.Hello',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.QueueDepth.Update.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.QueueDepth.Update' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.QueueDepth.Update',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.QueueDepth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.QueueDepth',
            False, 
            [
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.QueueDepth.Hello', 
                [], [], 
                '''                OSPF Hello process queue depth
                ''',
                'hello',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.QueueDepth.Update', 
                [], [], 
                '''                OSPF Router process queue depth
                ''',
                'update',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'queue-depth',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Timers.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Timers.Lsa',
            False, 
            [
            _MetaInfoClassMember('arrival', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                OSPF LSA arrival timer
                ''',
                'arrival',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Timers.Pacing' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Timers.Pacing',
            False, 
            [
            _MetaInfoClassMember('flood', ATTRIBUTE, 'int' , None, None, 
                [('5', '100')], [], 
                '''                OSPF flood pacing timer
                ''',
                'flood',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('lsa-group', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                OSPF LSA group pacing timer
                ''',
                'lsa_group',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('retransmission', ATTRIBUTE, 'int' , None, None, 
                [('5', '200')], [], 
                '''                OSPF retransmission pacing timer
                ''',
                'retransmission',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'pacing',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Timers.Throttle.Lsa.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Timers.Throttle.Lsa.All',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Timers.Throttle.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Timers.Throttle.Lsa',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Timers.Throttle.Lsa.All', 
                [], [], 
                '''                For all type of OSPF LSAs
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Timers.Throttle.Spf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Timers.Throttle.Spf',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'spf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Timers.Throttle' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Timers.Throttle',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Timers.Throttle.Lsa', 
                [], [], 
                '''                OSPF LSA throttle timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('spf', REFERENCE_CLASS, 'Spf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Timers.Throttle.Spf', 
                [], [], 
                '''                OSPF SPF throttle timers
                ''',
                'spf',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'throttle',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Timers',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Timers.Lsa', 
                [], [], 
                '''                OSPF LSA timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('pacing', REFERENCE_CLASS, 'Pacing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Timers.Pacing', 
                [], [], 
                '''                OSPF pacing timers
                ''',
                'pacing',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('throttle', REFERENCE_CLASS, 'Throttle' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Timers.Throttle', 
                [], [], 
                '''                OSPF throttle timers
                ''',
                'throttle',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable TTL Security on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Capability.CapabilityTypeEnum' : _MetaInfoEnum('CapabilityTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lls':'lls',
            'opaque':'opaque',
            'transit':'transit',
            'vrf-lite':'vrf_lite',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Capability',
            False, 
            [
            _MetaInfoClassMember('capability-type', REFERENCE_ENUM_CLASS, 'CapabilityTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Capability.CapabilityTypeEnum', 
                [], [], 
                '''                ''',
                'capability_type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Compatible' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Compatible',
            False, 
            [
            _MetaInfoClassMember('rfc1583', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 1583
                ''',
                'rfc1583',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('rfc1587', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 1587
                ''',
                'rfc1587',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('rfc5243', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 5243
                ''',
                'rfc5243',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'compatible',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always advertise default route
                ''',
                'always',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                OSPF default metric
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                OSPF metric type for default routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.DiscardRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.DiscardRoute',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Discard route for redistributed summarised routes
                ''',
                'external',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Discard route for summarised internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'discard-route',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Distance.OspfDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Distance.OspfDistance',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-ospf', False, [
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1', '99')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-ospf', False),
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '1999')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-ospf', False),
                        ]),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildcard',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Distance.Ospf_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Distance.Ospf_',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                External routes
                ''',
                'external',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('inter-area', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Inter-area routes
                ''',
                'inter_area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('intra-area', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Intra-area routes
                ''',
                'intra_area',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Distance',
            False, 
            [
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Distance.Ospf_', 
                [], [], 
                '''                OSPF routes Administrative distance
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ospf-distance', REFERENCE_CLASS, 'OspfDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Distance.OspfDistance', 
                [], [], 
                '''                ''',
                'ospf_distance',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospf', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospf', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Ospf_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Ospf_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Ospf_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospf_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Ospf_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Ospf_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Ospf_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospf_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Ospf_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Ospf_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Ospf_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospf_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Ospf_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Ospf_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospf_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospf_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospf_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Ospf_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Ospf_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Ospf_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospf_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospf_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Ospfv3.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Ospfv3.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Ospfv3.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospfv3.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Ospfv3.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Ospfv3.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospfv3.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Ospfv3.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospfv3.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospfv3.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'threshold-warning-only-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('threshold-warning-only-container', REFERENCE_CLASS, 'ThresholdWarningOnlyContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer', 
                [], [], 
                '''                ''',
                'threshold_warning_only_container',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospf', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospf', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'non-global-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospf', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospf', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospf', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf.Global_',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute.Vrf',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.Global_', 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('non-global-vrf', REFERENCE_LIST, 'NonGlobalVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf', 
                [], [], 
                '''                ''',
                'non_global_vrf',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes redistributed to protocol
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospf_', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute.Vrf', 
                [], [], 
                '''                Specify a source VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.DistributeList.Accesslist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.DistributeList.Accesslist',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-ospf', True),
            ],
            'Cisco-IOS-XE-ospf',
            'accesslist',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.DistributeList.AccesslistIfname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.DistributeList.AccesslistIfname',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('interface-routing-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'interface_routing_id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('isis-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'isis_tag',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'accesslist-ifname',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum' : _MetaInfoEnum('PrefixGatewayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'prefix':'prefix',
            'gateway':'gateway',
            'route-map':'route_map',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.DistributeList.AccesslistPrefixGateway' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.DistributeList.AccesslistPrefixGateway',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('prefix-gateway', REFERENCE_ENUM_CLASS, 'PrefixGatewayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum', 
                [], [], 
                '''                ''',
                'prefix_gateway',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'accesslist-prefix-gateway',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum' : _MetaInfoEnum('PrefixGatewayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'prefix':'prefix',
            'gateway':'gateway',
            'route-map':'route_map',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('interface-routing-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'interface_routing_id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('isis-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'isis_tag',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('prefix-gateway', REFERENCE_ENUM_CLASS, 'PrefixGatewayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum', 
                [], [], 
                '''                ''',
                'prefix_gateway',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'accesslist-prefix-gateway-ifname',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.DistributeList',
            False, 
            [
            _MetaInfoClassMember('accesslist', REFERENCE_LIST, 'Accesslist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DistributeList.Accesslist', 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('accesslist-ifname', REFERENCE_LIST, 'AccesslistIfname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DistributeList.AccesslistIfname', 
                [], [], 
                '''                ''',
                'accesslist_ifname',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('accesslist-prefix-gateway', REFERENCE_LIST, 'AccesslistPrefixGateway' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DistributeList.AccesslistPrefixGateway', 
                [], [], 
                '''                ''',
                'accesslist_prefix_gateway',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('accesslist-prefix-gateway-ifname', REFERENCE_LIST, 'AccesslistPrefixGatewayIfname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname', 
                [], [], 
                '''                ''',
                'accesslist_prefix_gateway_ifname',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.DomainId.IpFormatSecondary' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.DomainId.IpFormatSecondary',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('secondary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Secondary Domain-ID
                ''',
                'secondary',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ip-format-secondary',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.DomainId.Type.TypeLeafEnum' : _MetaInfoEnum('TypeLeafEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0005':'Y_0005',
            '0105':'Y_0105',
            '0205':'Y_0205',
            '8005':'Y_8005',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.DomainId.Type' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.DomainId.Type',
            False, 
            [
            _MetaInfoClassMember('type-leaf', REFERENCE_ENUM_CLASS, 'TypeLeafEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DomainId.Type.TypeLeafEnum', 
                [], [], 
                '''                ''',
                'type_leaf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9a-fA-F]{12}'], 
                '''                OSPF domain ID value in Hex format
                ''',
                'value',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.DomainId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.DomainId',
            False, 
            [
            _MetaInfoClassMember('ip-format', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip_format',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ip-format-secondary', REFERENCE_CLASS, 'IpFormatSecondary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DomainId.IpFormatSecondary', 
                [], [], 
                '''                ''',
                'ip_format_secondary',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('Null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Null Domain-ID
                ''',
                'null',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DomainId.Type', 
                [], [], 
                '''                OSPF domain ID type in Hex format
                ''',
                'type',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'domain-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix.Enable.PrefixPriorityEnum' : _MetaInfoEnum('PrefixPriorityEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'high':'high',
            'low':'low',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.FastReroute.PerPrefix.Enable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix.Enable',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Area to enable LFA FRR in
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Area to enable LFA FRR in
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Area to enable LFA FRR in
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('prefix-priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.Enable.PrefixPriorityEnum', 
                [], [], 
                '''                Priority of prefixes to be protected
                ''',
                'prefix_priority',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.TunnelEnum' : _MetaInfoEnum('TunnelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'mpls-ldp':'mpls_ldp',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Area for remote LFA command
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Area for remote LFA command
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Area for remote LFA command
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('maximum-cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                Maximum distance to tunnel endpoint
                ''',
                'maximum_cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tunnel', REFERENCE_ENUM_CLASS, 'TunnelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.TunnelEnum', 
                [], [], 
                '''                Remote LFA tunnel type
                ''',
                'tunnel',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'remote-lfa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Tiebreak attribute priority
                ''',
                'index',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('required', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mandatory repair path attribute
                ''',
                'required',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'broadcast-interface-disjoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Tiebreak attribute priority
                ''',
                'index',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('required', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mandatory repair path attribute
                ''',
                'required',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'downstream',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Tiebreak attribute priority
                ''',
                'index',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('required', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mandatory repair path attribute
                ''',
                'required',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'linecard-disjoint',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Tiebreak attribute priority
                ''',
                'index',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('required', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mandatory repair path attribute
                ''',
                'required',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lowest-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Tiebreak attribute priority
                ''',
                'index',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('required', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mandatory repair path attribute
                ''',
                'required',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'node-protecting',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Tiebreak attribute priority
                ''',
                'index',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('required', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mandatory repair path attribute
                ''',
                'required',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'primary-path',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Tiebreak attribute priority
                ''',
                'index',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('required', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mandatory repair path attribute
                ''',
                'required',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'secondary-path',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Tiebreak attribute priority
                ''',
                'index',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('required', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mandatory repair path attribute
                ''',
                'required',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'srlg',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix.TieBreak',
            False, 
            [
            _MetaInfoClassMember('broadcast-interface-disjoint', REFERENCE_CLASS, 'BroadcastInterfaceDisjoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint', 
                [], [], 
                '''                Interface protection attribute
                ''',
                'broadcast_interface_disjoint',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('downstream', REFERENCE_CLASS, 'Downstream' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream', 
                [], [], 
                '''                Downstream repair path attribute
                ''',
                'downstream',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('linecard-disjoint', REFERENCE_CLASS, 'LinecardDisjoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint', 
                [], [], 
                '''                Line card protection attribute
                ''',
                'linecard_disjoint',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('lowest-metric', REFERENCE_CLASS, 'LowestMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric', 
                [], [], 
                '''                Lowest metric repair path attribute
                ''',
                'lowest_metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('node-protecting', REFERENCE_CLASS, 'NodeProtecting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting', 
                [], [], 
                '''                Node protecting repair path attribute
                ''',
                'node_protecting',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('primary-path', REFERENCE_CLASS, 'PrimaryPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath', 
                [], [], 
                '''                Equal cost multipath attribute
                ''',
                'primary_path',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('secondary-path', REFERENCE_CLASS, 'SecondaryPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath', 
                [], [], 
                '''                Not-equal cost multipath attribute
                ''',
                'secondary_path',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('srlg', REFERENCE_CLASS, 'Srlg' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg', 
                [], [], 
                '''                Shared risk link group attribute
                ''',
                'srlg',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'tie-break',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute.PerPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute.PerPrefix',
            False, 
            [
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.Enable', 
                [], [], 
                '''                Enable LFA Fast Reroute
                ''',
                'enable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('remote-lfa', REFERENCE_CLASS, 'RemoteLfa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa', 
                [], [], 
                '''                Remote LFA FastReroute parameters
                ''',
                'remote_lfa',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tie-break', REFERENCE_CLASS, 'TieBreak' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix.TieBreak', 
                [], [], 
                '''                LFA FRR repair path selection policy tiebreaks
                ''',
                'tie_break',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'per-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.FastReroute',
            False, 
            [
            _MetaInfoClassMember('keep-all-paths', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Keep LFA FRR audit trail
                ''',
                'keep_all_paths',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('per-prefix', REFERENCE_CLASS, 'PerPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute.PerPrefix', 
                [], [], 
                '''                Per-prefix LFA FRR parameters
                ''',
                'per_prefix',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.GracefulRestart.Helper' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.GracefulRestart.Helper',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable helper support
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('strict-lsa-checking', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable helper strict LSA checking
                ''',
                'strict_lsa_checking',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'helper',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Graceful restart disable
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('helper', REFERENCE_CLASS, 'Helper' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.GracefulRestart.Helper', 
                [], [], 
                '''                helper support
                ''',
                'helper',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('restart-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Graceful restart interval
                ''',
                'restart_interval',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Ignore.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Ignore.Lsa',
            False, 
            [
            _MetaInfoClassMember('mospf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MOSPF Type 6 LSA
                ''',
                'mospf',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Ignore' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Ignore',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Ignore.Lsa', 
                [], [], 
                '''                Do not complain upon receiving LSA of the specified type
                ''',
                'lsa',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ignore',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Limit.Retransmissions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Limit.Retransmissions',
            False, 
            [
            _MetaInfoClassMember('dc', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Demand circuit retransmissions
                ''',
                'dc',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('dc', ATTRIBUTE, 'int' , None, None, 
                        [('1', '255')], [], 
                        '''                        Demand circuit retransmissions
                        ''',
                        'dc',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('dc', REFERENCE_ENUM_CLASS, 'LimitDcNonDcTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'LimitDcNonDcTypeEnum', 
                        [], [], 
                        '''                        Demand circuit retransmissions
                        ''',
                        'dc',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('non-dc', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Non-demand-circuit retransmissions
                ''',
                'non_dc',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('non-dc', ATTRIBUTE, 'int' , None, None, 
                        [('1', '255')], [], 
                        '''                        Non-demand-circuit retransmissions
                        ''',
                        'non_dc',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('non-dc', REFERENCE_ENUM_CLASS, 'LimitDcNonDcTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'LimitDcNonDcTypeEnum', 
                        [], [], 
                        '''                        Non-demand-circuit retransmissions
                        ''',
                        'non_dc',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'retransmissions',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Limit',
            False, 
            [
            _MetaInfoClassMember('retransmissions', REFERENCE_CLASS, 'Retransmissions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Limit.Retransmissions', 
                [], [], 
                '''                LS update, DBD, and LS request retransmissions
                ''',
                'retransmissions',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.LocalRibCriteria' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.LocalRibCriteria',
            False, 
            [
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Local RIB used to validate external/NSSA forwarding addresses
                ''',
                'forwarding_address',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('inter-area-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Local RIB used as criteria for inter-area summaries
                ''',
                'inter_area_summary',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-translation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Local RIB used as criteria for NSSA translation
                ''',
                'nssa_translation',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'local-rib-criteria',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Microloop.Avoidance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Microloop.Avoidance',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microloop avoidance auto-enable prohibited
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Microloop avoidance for protected prefixes only
                ''',
                'protected',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('rib-update-delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '600000')], [], 
                '''                Delay before updating the RIB
                ''',
                'rib_update_delay',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'avoidance',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Microloop' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Microloop',
            False, 
            [
            _MetaInfoClassMember('avoidance', REFERENCE_CLASS, 'Avoidance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Microloop.Avoidance', 
                [], [], 
                '''                Traffic microloop avoidance parameters
                ''',
                'avoidance',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'microloop',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Mpls.Ldp.Autoconfig' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Mpls.Ldp.Autoconfig',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Configure an OSPF area to run MPLS LDP
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Configure an OSPF area to run MPLS LDP
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Configure an OSPF area to run MPLS LDP
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'autoconfig',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Mpls.Ldp.Sync' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Mpls.Ldp.Sync',
            False, 
            [
            ],
            'Cisco-IOS-XE-ospf',
            'sync',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Mpls.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Mpls.Ldp',
            False, 
            [
            _MetaInfoClassMember('autoconfig', REFERENCE_CLASS, 'Autoconfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Mpls.Ldp.Autoconfig', 
                [], [], 
                '''                Configure LDP automatic configuration
                ''',
                'autoconfig',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sync', REFERENCE_CLASS, 'Sync' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Mpls.Ldp.Sync', 
                [], [], 
                '''                Configure LDP-IGP Synchronization
                ''',
                'sync',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude',
            False, 
            [
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter prefixes
                ''',
                'prefix_list',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'autoroute-exclude',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Mpls.TrafficEng.Interface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Mpls.TrafficEng.Interface',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                advertise MPLS TE information for this interface into area
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer.Area' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospf', True),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer.Area', 
                [], [], 
                '''                configure flooding scope as area
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface
                ''',
                'interface',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mesh-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Engineering Mesh-Group advertisement
                ''',
                'mesh_group',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'mesh-group-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Mpls.TrafficEng.RouterId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Mpls.TrafficEng.RouterId',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface
                ''',
                'interface',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'router-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                configure an ospf area to run MPLS Traffic Engineering
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        configure an ospf area to run MPLS Traffic Engineering
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        configure an ospf area to run MPLS Traffic Engineering
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            _MetaInfoClassMember('autoroute-exclude', REFERENCE_CLASS, 'AutorouteExclude' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude', 
                [], [], 
                '''                MPLS TE autoroute exclude
                ''',
                'autoroute_exclude',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Mpls.TrafficEng.Interface', 
                [], [], 
                '''                MPLS TE interface configuration for this OSPF process
                ''',
                'interface',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mesh-group-container', REFERENCE_CLASS, 'MeshGroupContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer', 
                [], [], 
                '''                ''',
                'mesh_group_container',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('multicast-intact', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MPLS TE and PIM interaction
                ''',
                'multicast_intact',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('router-id', REFERENCE_CLASS, 'RouterId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Mpls.TrafficEng.RouterId', 
                [], [], 
                '''                Traffic Engineering stable IP address for system
                ''',
                'router_id',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Mpls',
            False, 
            [
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Mpls.Ldp', 
                [], [], 
                '''                routing protocol commands for MPLS LDP
                ''',
                'ldp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Mpls.TrafficEng', 
                [], [], 
                '''                routing protocol commands for MPLS Traffic Engineering
                ''',
                'traffic_eng',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Neighbor.DatabaseFilter.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Neighbor.DatabaseFilter.All',
            False, 
            [
            _MetaInfoClassMember('out', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Outgoing LSA
                ''',
                'out',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Neighbor.DatabaseFilter' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Neighbor.DatabaseFilter',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Neighbor.DatabaseFilter.All', 
                [], [], 
                '''                Filter all LSA
                ''',
                'all',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'database-filter',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Neighbor',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                OSPF cost for point-to-multipoint neighbor
                ''',
                'cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('database-filter', REFERENCE_CLASS, 'DatabaseFilter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Neighbor.DatabaseFilter', 
                [], [], 
                '''                Filter OSPF LSA during synchronization and flooding for point-to-multipoint neighbor
                ''',
                'database_filter',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPF dead-router polling interval
                ''',
                'poll_interval',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF priority of non-broadcast neighbor
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Network',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('area', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Set the OSPF area ID
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False, [
                    _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                    _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Set the OSPF area ID
                        ''',
                        'area',
                        'Cisco-IOS-XE-ospf', False),
                ]),
            ],
            'Cisco-IOS-XE-ospf',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Nsf.Cisco.Helper' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Nsf.Cisco.Helper',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable helper support
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'helper',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Nsf.Cisco' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Nsf.Cisco',
            False, 
            [
            _MetaInfoClassMember('helper', REFERENCE_CLASS, 'Helper' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Nsf.Cisco.Helper', 
                [], [], 
                '''                helper support
                ''',
                'helper',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'cisco',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Nsf.Ietf.Helper' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Nsf.Ietf.Helper',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable helper support
                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('strict-lsa-checking', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable helper strict LSA checking
                ''',
                'strict_lsa_checking',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'helper',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Nsf.Ietf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Nsf.Ietf',
            False, 
            [
            _MetaInfoClassMember('helper', REFERENCE_CLASS, 'Helper' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Nsf.Ietf.Helper', 
                [], [], 
                '''                helper support
                ''',
                'helper',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ietf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Nsf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Nsf',
            False, 
            [
            _MetaInfoClassMember('cisco', REFERENCE_CLASS, 'Cisco' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Nsf.Cisco', 
                [], [], 
                '''                Cisco Non-stop forwarding
                ''',
                'cisco',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ietf', REFERENCE_CLASS, 'Ietf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Nsf.Ietf', 
                [], [], 
                '''                IETF graceful restart
                ''',
                'ietf',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.PrefixPriority' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.PrefixPriority',
            False, 
            [
            _MetaInfoClassMember('high', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                High prefix priority
                ''',
                'high',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix priority selection by route-map
                ''',
                'route_map',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'prefix-priority',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.ProcessMinTime' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.ProcessMinTime',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                percent
                ''',
                'percent',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'process-min-time',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Snmp.Context.Community.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Snmp.Context.Community.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('expanded-acl', ATTRIBUTE, 'int' , None, None, 
                [('1300', '1999')], [], 
                '''                ''',
                'expanded_acl',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify IPv6 Named Access-List
                ''',
                'ipv6',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ro', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-only access with this community string
                ''',
                'ro',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('rw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-write access with this community string
                ''',
                'rw',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Snmp.Context.Community' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Snmp.Context.Community',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Snmp.Context.Community.Access', 
                [], [], 
                '''                ''',
                'access',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('community-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_string',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Snmp.Context.User.Permisssion.Access' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Snmp.Context.User.Permisssion.Access',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('standard-acl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'standard_acl',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth',
            False, 
            [
            _MetaInfoClassMember('md5', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC MD5 algorithm for authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('sha', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Use HMAC SHA algorithm for authentication
                ''',
                'sha',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Snmp.Context.User.Permisssion' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Snmp.Context.User.Permisssion',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Snmp.Context.User.Permisssion.Access', 
                [], [], 
                '''                specify an access-list associated with this group
                ''',
                'access',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth', 
                [], [], 
                '''                authentication parameters for the user
                ''',
                'auth',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('credential', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                If the user password is already configured and saved
                ''',
                'credential',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('encrypted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                specifying passwords as MD5 or SHA digests
                ''',
                'encrypted',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'permisssion',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Snmp.Context.User' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Snmp.Context.User',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('permisssion', REFERENCE_CLASS, 'Permisssion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Snmp.Context.User.Permisssion', 
                [], [], 
                '''                ''',
                'permisssion',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Snmp.Context' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Snmp.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Context Name
                ''',
                'name',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('community', REFERENCE_CLASS, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Snmp.Context.Community', 
                [], [], 
                '''                Configure a SNMP v2c Community string and access privs
                ''',
                'community',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Snmp.Context.User', 
                [], [], 
                '''                Configure a SNMP v3 user
                ''',
                'user',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.Snmp',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Snmp.Context', 
                [], [], 
                '''                Configure a SNMP context
                ''',
                'context',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf.SummaryAddress' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf.SummaryAddress',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildcard',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not advertise when translating OSPF type-7 LSA
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit summary to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'summary-address',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospf', True),
            _MetaInfoClassMember('address-family', REFERENCE_CLASS, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AddressFamily', 
                [], [], 
                '''                Enter Address Family command mode
                ''',
                'address_family',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Area', 
                [], [], 
                '''                OSPF area parameters
                ''',
                'area',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('auto-cost', REFERENCE_CLASS, 'AutoCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.AutoCost', 
                [], [], 
                '''                Calculate OSPF interface cost according to bandwidth
                ''',
                'auto_cost',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Capability', 
                [], [], 
                '''                Enable specific OSPF feature
                ''',
                'capability',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('compatible', REFERENCE_CLASS, 'Compatible' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Compatible', 
                [], [], 
                '''                OSPF compatibility list
                ''',
                'compatible',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Disable', 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('discard-route', REFERENCE_CLASS, 'DiscardRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DiscardRoute', 
                [], [], 
                '''                Enable or disable discard-route installation
                ''',
                'discard_route',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('domain-id', REFERENCE_CLASS, 'DomainId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.DomainId', 
                [], [], 
                '''                OSPF domain-id
                ''',
                'domain_id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('domain-tag', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                OSPF domain-tag
                ''',
                'domain_tag',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('event-log', REFERENCE_CLASS, 'EventLog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.EventLog', 
                [], [], 
                '''                OSPF Event Logging
                ''',
                'event_log',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.FastReroute', 
                [], [], 
                '''                LFA FastReroute parameters
                ''',
                'fast_reroute',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.GracefulRestart', 
                [], [], 
                '''                Graceful-restart options
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ignore', REFERENCE_CLASS, 'Ignore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Ignore', 
                [], [], 
                '''                Do not complain about specific event
                ''',
                'ignore',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('interface-id', REFERENCE_CLASS, 'InterfaceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.InterfaceId', 
                [], [], 
                '''                Source of the interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ispf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable incremental SPF computation
                ''',
                'ispf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Limit', 
                [], [], 
                '''                Limit a specific OSPF feature
                ''',
                'limit',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('local-rib-criteria', REFERENCE_CLASS, 'LocalRibCriteria' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.LocalRibCriteria', 
                [], [], 
                '''                Enable or disable usage of local RIB as route criteria
                ''',
                'local_rib_criteria',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('log-adjacency-changes', REFERENCE_CLASS, 'LogAdjacencyChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.LogAdjacencyChanges', 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('max-lsa', REFERENCE_CLASS, 'MaxLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.MaxLsa', 
                [], [], 
                '''                maximum number of LSAs OSPF process will receive
                ''',
                'max_lsa',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('max-metric', REFERENCE_CLASS, 'MaxMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.MaxMetric', 
                [], [], 
                '''                Set maximum metric
                ''',
                'max_metric',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('microloop', REFERENCE_CLASS, 'Microloop' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Microloop', 
                [], [], 
                '''                Traffic microloop control parameters
                ''',
                'microloop',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Mpls', 
                [], [], 
                '''                Configure MPLS routing protocol parameters
                ''',
                'mpls',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Network', 
                [], [], 
                '''                Enable routing on an IP network
                ''',
                'network',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Nsf', 
                [], [], 
                '''                Non-stop forwarding
                ''',
                'nsf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('nsr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable non-stop routing
                ''',
                'nsr',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('prefix-priority', REFERENCE_CLASS, 'PrefixPriority' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.PrefixPriority', 
                [], [], 
                '''                OSPF prefix priority
                ''',
                'prefix_priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('prefix-suppression', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                OSPF prefix suppression
                ''',
                'prefix_suppression',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                OSPF topology priority
                ''',
                'priority',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('process-min-time', REFERENCE_CLASS, 'ProcessMinTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.ProcessMinTime', 
                [], [], 
                '''                Percentage of quantum to be used before releasing CPU
                ''',
                'process_min_time',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('queue-depth', REFERENCE_CLASS, 'QueueDepth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.QueueDepth', 
                [], [], 
                '''                OSPF Hello/Router process queue depth
                ''',
                'queue_depth',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shutdown the OSPF protocol under the current instance
                ''',
                'shutdown',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Snmp', 
                [], [], 
                '''                Modify snmp parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('summary-address', REFERENCE_LIST, 'SummaryAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.SummaryAddress', 
                [], [], 
                '''                Configure IP address summaries
                ''',
                'summary_address',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospf', False),
            ],
            'Cisco-IOS-XE-ospf',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospf'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Authentication',
            False, 
            [
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Capability',
            False, 
            [
            _MetaInfoClassMember('default-exclusion', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable exclusion of links from base topology
                ''',
                'default_exclusion',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.FilterList.InOutEnum' : _MetaInfoEnum('InOutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.Area.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.FilterList',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'InOutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.FilterList.InOutEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter prefixes between OSPF areas
                ''',
                'prefix',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                OSPF default metric
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                OSPF metric type for default routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'default-information-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Nssa.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Nssa.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Nssa.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Nssa.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Nssa.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Nssa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Nssa',
            False, 
            [
            _MetaInfoClassMember('default-information-originate', REFERENCE_CLASS, 'DefaultInformationOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate', 
                [], [], 
                '''                Originate Type 7 default into NSSA area
                ''',
                'default_information_originate',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Nssa.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Ipv4Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Ipv4Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Ipv4Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Ipv4Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Ipv4Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Ipv6Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Ipv6Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Ipv6Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Ipv6Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Ipv6Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.ShamLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.ShamLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.ShamLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.ShamLink',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('dest', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dest',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Associate a cost with the sham-link
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.ShamLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'sham-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.Stub' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.Stub',
            False, 
            [
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into stub area
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into stub area
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'stub',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Authentication',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest', REFERENCE_CLASS, 'MessageDigest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest', 
                [], [], 
                '''                Message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'hello_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('dead-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'dead_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval',
            False, 
            [
            _MetaInfoClassMember('retransmit-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'retransmit_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'retransmit-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay',
            False, 
            [
            _MetaInfoClassMember('transmit-delay-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'transmit_delay_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'transmit-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.Topology',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable virtual link
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area.VirtualLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area.VirtualLink',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Authentication', 
                [], [], 
                '''                Set authentication type
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.DeadInterval', 
                [], [], 
                '''                Dead router detection time
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.HelloInterval', 
                [], [], 
                '''                Hello packet interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', REFERENCE_CLASS, 'RetransmitInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval', 
                [], [], 
                '''                LSA retransmit interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.Topology', 
                [], [], 
                '''                Disable virtual link on topology
                ''',
                'topology',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', REFERENCE_CLASS, 'TransmitDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay', 
                [], [], 
                '''                LSA transmission delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'virtual-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Area' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Capability', 
                [], [], 
                '''                Enable area specific capability
                ''',
                'capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                Set the summary default-cost of a NSSA/stub area
                ''',
                'default_cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.FilterList', 
                [], [], 
                '''                Filter networks between OSPF areas
                ''',
                'filter_list',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv4-range', REFERENCE_CLASS, 'Ipv4Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Ipv4Range', 
                [], [], 
                '''                ''',
                'ipv4_range',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6-range', REFERENCE_CLASS, 'Ipv6Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Ipv6Range', 
                [], [], 
                '''                ''',
                'ipv6_range',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa', REFERENCE_CLASS, 'Nssa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Nssa', 
                [], [], 
                '''                Specify a NSSA area
                ''',
                'nssa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('sham-link', REFERENCE_LIST, 'ShamLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.ShamLink', 
                [], [], 
                '''                Define a sham link and its parameters
                ''',
                'sham_link',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('stub', REFERENCE_CLASS, 'Stub' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.Stub', 
                [], [], 
                '''                Specify a stub area
                ''',
                'stub',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('virtual-link', REFERENCE_LIST, 'VirtualLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area.VirtualLink', 
                [], [], 
                '''                Define a virtual link and its parameters
                ''',
                'virtual_link',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AutoCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AutoCost',
            False, 
            [
            _MetaInfoClassMember('reference-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967')], [], 
                '''                Use reference bandwidth method to assign OSPF cost
                ''',
                'reference_bandwidth',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'auto-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.EventLog' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.EventLog',
            False, 
            [
            _MetaInfoClassMember('one-shot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Logging When Log Buffer Becomes Full
                ''',
                'one_shot',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('pause', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pause Event Logging
                ''',
                'pause',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                Maximum Number of Events Stored in the Event Log
                ''',
                'size',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'event-log',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.InterfaceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.InterfaceId',
            False, 
            [
            _MetaInfoClassMember('snmp-if-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP MIB ifIndex
                ''',
                'snmp_if_index',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'interface-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.LogAdjacencyChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.LogAdjacencyChanges',
            False, 
            [
            _MetaInfoClassMember('detail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log all state changes
                ''',
                'detail',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'log-adjacency-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.MaxLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.MaxLsa',
            False, 
            [
            _MetaInfoClassMember('ignore-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                maximum number of times adjacencies can be suppressed
                ''',
                'ignore_count',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '17895')], [], 
                '''                time during which all adjacencies are suppressed
                ''',
                'ignore_time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('reset-time', ATTRIBUTE, 'int' , None, None, 
                [('2', '35791')], [], 
                '''                time after which ignore-count is reset to zero
                ''',
                'reset_time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold_value',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'max-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.MaxMetric.RouterLsa.ExternalLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.MaxMetric.RouterLsa.ExternalLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.MaxMetric.RouterLsa.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.MaxMetric.RouterLsa.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('wait-for-bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Let BGP decide when to originate router-LSA with normal metric
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.MaxMetric.RouterLsa.SummaryLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.MaxMetric.RouterLsa.SummaryLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'summary-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.MaxMetric.RouterLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.MaxMetric.RouterLsa',
            False, 
            [
            _MetaInfoClassMember('external-lsa', REFERENCE_CLASS, 'ExternalLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.MaxMetric.RouterLsa.ExternalLsa', 
                [], [], 
                '''                Override external-lsa metric with max-metric value
                ''',
                'external_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('include-stub', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set maximum metric for stub links in router-LSAs
                ''',
                'include_stub',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.MaxMetric.RouterLsa.OnStartup', 
                [], [], 
                '''                Set maximum metric temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('summary-lsa', REFERENCE_CLASS, 'SummaryLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.MaxMetric.RouterLsa.SummaryLsa', 
                [], [], 
                '''                Override summary-lsa metric with max-metric value
                ''',
                'summary_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'router-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.MaxMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.MaxMetric',
            False, 
            [
            _MetaInfoClassMember('router-lsa', REFERENCE_CLASS, 'RouterLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.MaxMetric.RouterLsa', 
                [], [], 
                '''                Maximum metric in self-originated router-LSAs
                ''',
                'router_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'max-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Disable.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Disable.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospfv3', True),
            ],
            'Cisco-IOS-XE-ospfv3',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Disable',
            False, 
            [
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Disable.PassiveInterface', 
                [], [], 
                '''                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.QueueDepth.Hello.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.QueueDepth.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.QueueDepth.Hello',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.QueueDepth.Update.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.QueueDepth.Update' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.QueueDepth.Update',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.QueueDepth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.QueueDepth',
            False, 
            [
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.QueueDepth.Hello', 
                [], [], 
                '''                OSPF Hello process queue depth
                ''',
                'hello',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.QueueDepth.Update', 
                [], [], 
                '''                OSPF Router process queue depth
                ''',
                'update',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'queue-depth',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Timers.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Timers.Lsa',
            False, 
            [
            _MetaInfoClassMember('arrival', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                OSPF LSA arrival timer
                ''',
                'arrival',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Timers.Pacing' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Timers.Pacing',
            False, 
            [
            _MetaInfoClassMember('flood', ATTRIBUTE, 'int' , None, None, 
                [('5', '100')], [], 
                '''                OSPF flood pacing timer
                ''',
                'flood',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lsa-group', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                OSPF LSA group pacing timer
                ''',
                'lsa_group',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmission', ATTRIBUTE, 'int' , None, None, 
                [('5', '200')], [], 
                '''                OSPF retransmission pacing timer
                ''',
                'retransmission',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'pacing',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Timers.Throttle.Lsa.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Timers.Throttle.Lsa.All',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Timers.Throttle.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Timers.Throttle.Lsa',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Timers.Throttle.Lsa.All', 
                [], [], 
                '''                For all type of OSPF LSAs
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Timers.Throttle.Spf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Timers.Throttle.Spf',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'spf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Timers.Throttle' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Timers.Throttle',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Timers.Throttle.Lsa', 
                [], [], 
                '''                OSPF LSA throttle timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spf', REFERENCE_CLASS, 'Spf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Timers.Throttle.Spf', 
                [], [], 
                '''                OSPF SPF throttle timers
                ''',
                'spf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throttle',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Timers',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Timers.Lsa', 
                [], [], 
                '''                OSPF LSA timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('pacing', REFERENCE_CLASS, 'Pacing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Timers.Pacing', 
                [], [], 
                '''                OSPF pacing timers
                ''',
                'pacing',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throttle', REFERENCE_CLASS, 'Throttle' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Timers.Throttle', 
                [], [], 
                '''                OSPF throttle timers
                ''',
                'throttle',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable TTL Security on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Authentication.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deployment':'deployment',
            'strict':'strict',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Router.Ospfv3.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Authentication',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Authentication.ModeEnum', 
                [], [], 
                '''                Authentication operation mode
                ''',
                'mode',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.GracefulRestart.Helper' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.GracefulRestart.Helper',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable helper support
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('strict-lsa-checking', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable helper strict LSA checking
                ''',
                'strict_lsa_checking',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'helper',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('helper', REFERENCE_CLASS, 'Helper' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.GracefulRestart.Helper', 
                [], [], 
                '''                helper support
                ''',
                'helper',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('restart-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Graceful restart interval
                ''',
                'restart_interval',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Manet.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Manet.Cache',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specify MANET acknowledgement cache size
                ''',
                'acknowledgement',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specify MANET LSA cache size
                ''',
                'update',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Manet.Peering.Selective' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Manet.Peering.Selective',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable selective peering
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('per-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select peers per interface rather than per node
                ''',
                'per_interface',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Redundant paths
                ''',
                'redundancy',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'selective',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('selective', REFERENCE_CLASS, 'Selective' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Manet.Peering.Selective', 
                [], [], 
                '''                Enable selective peering
                ''',
                'selective',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.Manet.HelloEnum' : _MetaInfoEnum('HelloEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Router.Ospfv3.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.Manet',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Manet.Cache', 
                [], [], 
                '''                Specify MANET cache sizes
                ''',
                'cache',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello', REFERENCE_ENUM_CLASS, 'HelloEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Manet.HelloEnum', 
                [], [], 
                '''                Unicast Hellos rather than multicast
                ''',
                'hello',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Manet.Peering', 
                [], [], 
                '''                MANET OSPF Smart Peering
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('willingness', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify Relay willingness value
                ''',
                'willingness',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Authentication',
            False, 
            [
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability',
            False, 
            [
            _MetaInfoClassMember('default-exclusion', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable exclusion of links from base topology
                ''',
                'default_exclusion',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList.InOutEnum' : _MetaInfoEnum('InOutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'InOutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList.InOutEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter prefixes between OSPF areas
                ''',
                'prefix',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                OSPF default metric
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                OSPF metric type for default routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'default-information-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa',
            False, 
            [
            _MetaInfoClassMember('default-information-originate', REFERENCE_CLASS, 'DefaultInformationOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate', 
                [], [], 
                '''                Originate Type 7 default into NSSA area
                ''',
                'default_information_originate',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('dest', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dest',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Associate a cost with the sham-link
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'sham-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Stub' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Stub',
            False, 
            [
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into stub area
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into stub area
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'stub',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest', REFERENCE_CLASS, 'MessageDigest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest', 
                [], [], 
                '''                Message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'hello_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('dead-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'dead_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval',
            False, 
            [
            _MetaInfoClassMember('retransmit-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'retransmit_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'retransmit-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay',
            False, 
            [
            _MetaInfoClassMember('transmit-delay-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'transmit_delay_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'transmit-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable virtual link
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication', 
                [], [], 
                '''                Set authentication type
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval', 
                [], [], 
                '''                Dead router detection time
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval', 
                [], [], 
                '''                Hello packet interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', REFERENCE_CLASS, 'RetransmitInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval', 
                [], [], 
                '''                LSA retransmit interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology', 
                [], [], 
                '''                Disable virtual link on topology
                ''',
                'topology',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', REFERENCE_CLASS, 'TransmitDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay', 
                [], [], 
                '''                LSA transmission delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'virtual-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability', 
                [], [], 
                '''                Enable area specific capability
                ''',
                'capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                Set the summary default-cost of a NSSA/stub area
                ''',
                'default_cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList', 
                [], [], 
                '''                Filter networks between OSPF areas
                ''',
                'filter_list',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv4-range', REFERENCE_CLASS, 'Ipv4Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range', 
                [], [], 
                '''                ''',
                'ipv4_range',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6-range', REFERENCE_CLASS, 'Ipv6Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range', 
                [], [], 
                '''                ''',
                'ipv6_range',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa', REFERENCE_CLASS, 'Nssa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa', 
                [], [], 
                '''                Specify a NSSA area
                ''',
                'nssa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('sham-link', REFERENCE_LIST, 'ShamLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink', 
                [], [], 
                '''                Define a sham link and its parameters
                ''',
                'sham_link',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('stub', REFERENCE_CLASS, 'Stub' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Stub', 
                [], [], 
                '''                Specify a stub area
                ''',
                'stub',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('virtual-link', REFERENCE_LIST, 'VirtualLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink', 
                [], [], 
                '''                Define a virtual link and its parameters
                ''',
                'virtual_link',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.AutoCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.AutoCost',
            False, 
            [
            _MetaInfoClassMember('reference-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967')], [], 
                '''                Use reference bandwidth method to assign OSPF cost
                ''',
                'reference_bandwidth',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'auto-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.EventLog' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.EventLog',
            False, 
            [
            _MetaInfoClassMember('one-shot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Logging When Log Buffer Becomes Full
                ''',
                'one_shot',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('pause', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pause Event Logging
                ''',
                'pause',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                Maximum Number of Events Stored in the Event Log
                ''',
                'size',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'event-log',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId',
            False, 
            [
            _MetaInfoClassMember('snmp-if-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP MIB ifIndex
                ''',
                'snmp_if_index',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'interface-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.LogAdjacencyChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.LogAdjacencyChanges',
            False, 
            [
            _MetaInfoClassMember('detail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log all state changes
                ''',
                'detail',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'log-adjacency-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa',
            False, 
            [
            _MetaInfoClassMember('ignore-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                maximum number of times adjacencies can be suppressed
                ''',
                'ignore_count',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '17895')], [], 
                '''                time during which all adjacencies are suppressed
                ''',
                'ignore_time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('reset-time', ATTRIBUTE, 'int' , None, None, 
                [('2', '35791')], [], 
                '''                time after which ignore-count is reset to zero
                ''',
                'reset_time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold_value',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'max-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.ExternalLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.ExternalLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('wait-for-bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Let BGP decide when to originate router-LSA with normal metric
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.SummaryLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.SummaryLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'summary-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa',
            False, 
            [
            _MetaInfoClassMember('external-lsa', REFERENCE_CLASS, 'ExternalLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.ExternalLsa', 
                [], [], 
                '''                Override external-lsa metric with max-metric value
                ''',
                'external_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('include-stub', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set maximum metric for stub links in router-LSAs
                ''',
                'include_stub',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.OnStartup', 
                [], [], 
                '''                Set maximum metric temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('summary-lsa', REFERENCE_CLASS, 'SummaryLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.SummaryLsa', 
                [], [], 
                '''                Override summary-lsa metric with max-metric value
                ''',
                'summary_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'router-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric',
            False, 
            [
            _MetaInfoClassMember('router-lsa', REFERENCE_CLASS, 'RouterLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa', 
                [], [], 
                '''                Maximum metric in self-originated router-LSAs
                ''',
                'router_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'max-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospfv3', True),
            ],
            'Cisco-IOS-XE-ospfv3',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable',
            False, 
            [
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface', 
                [], [], 
                '''                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth',
            False, 
            [
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello', 
                [], [], 
                '''                OSPF Hello process queue depth
                ''',
                'hello',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update', 
                [], [], 
                '''                OSPF Router process queue depth
                ''',
                'update',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'queue-depth',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa',
            False, 
            [
            _MetaInfoClassMember('arrival', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                OSPF LSA arrival timer
                ''',
                'arrival',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing',
            False, 
            [
            _MetaInfoClassMember('flood', ATTRIBUTE, 'int' , None, None, 
                [('5', '100')], [], 
                '''                OSPF flood pacing timer
                ''',
                'flood',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lsa-group', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                OSPF LSA group pacing timer
                ''',
                'lsa_group',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmission', ATTRIBUTE, 'int' , None, None, 
                [('5', '200')], [], 
                '''                OSPF retransmission pacing timer
                ''',
                'retransmission',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'pacing',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All', 
                [], [], 
                '''                For all type of OSPF LSAs
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'spf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa', 
                [], [], 
                '''                OSPF LSA throttle timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spf', REFERENCE_CLASS, 'Spf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf', 
                [], [], 
                '''                OSPF SPF throttle timers
                ''',
                'spf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throttle',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa', 
                [], [], 
                '''                OSPF LSA timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('pacing', REFERENCE_CLASS, 'Pacing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing', 
                [], [], 
                '''                OSPF pacing timers
                ''',
                'pacing',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throttle', REFERENCE_CLASS, 'Throttle' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle', 
                [], [], 
                '''                OSPF throttle timers
                ''',
                'throttle',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable TTL Security on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability.CapabilityTypeEnum' : _MetaInfoEnum('CapabilityTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lls':'lls',
            'opaque':'opaque',
            'transit':'transit',
            'vrf-lite':'vrf_lite',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability',
            False, 
            [
            _MetaInfoClassMember('capability-type', REFERENCE_ENUM_CLASS, 'CapabilityTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability.CapabilityTypeEnum', 
                [], [], 
                '''                ''',
                'capability_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible',
            False, 
            [
            _MetaInfoClassMember('rfc1583', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 1583
                ''',
                'rfc1583',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rfc1587', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 1587
                ''',
                'rfc1587',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rfc5243', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 5243
                ''',
                'rfc5243',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'compatible',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always advertise default route
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                OSPF default metric
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                OSPF metric type for default routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DiscardRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DiscardRoute',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Discard route for redistributed summarised routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Discard route for summarised internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'discard-route',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-ospfv3', False, [
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1', '99')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-ospfv3', False),
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '1999')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-ospfv3', False),
                        ]),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildcard',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                External routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('inter-area', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Inter-area routes
                ''',
                'inter_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('intra-area', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Intra-area routes
                ''',
                'intra_area',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance',
            False, 
            [
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf', 
                [], [], 
                '''                OSPF routes Administrative distance
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf-distance', REFERENCE_CLASS, 'OspfDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance', 
                [], [], 
                '''                ''',
                'ospf_distance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'threshold-warning-only-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold-warning-only-container', REFERENCE_CLASS, 'ThresholdWarningOnlyContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer', 
                [], [], 
                '''                ''',
                'threshold_warning_only_container',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'non-global-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_', 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-global-vrf', REFERENCE_LIST, 'NonGlobalVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf', 
                [], [], 
                '''                ''',
                'non_global_vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes redistributed to protocol
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf', 
                [], [], 
                '''                Specify a source VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deployment':'deployment',
            'normal':'normal',
            'strict':'strict',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication.ModeEnum', 
                [], [], 
                '''                Authentication operation mode
                ''',
                'mode',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart.Helper' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart.Helper',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable helper support
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('strict-lsa-checking', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable helper strict LSA checking
                ''',
                'strict_lsa_checking',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'helper',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Graceful restart disable
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('helper', REFERENCE_CLASS, 'Helper' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart.Helper', 
                [], [], 
                '''                helper support
                ''',
                'helper',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('restart-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Graceful restart interval
                ''',
                'restart_interval',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specify MANET acknowledgement cache size
                ''',
                'acknowledgement',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specify MANET LSA cache size
                ''',
                'update',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable selective peering
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('per-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select peers per interface rather than per node
                ''',
                'per_interface',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Redundant paths
                ''',
                'redundancy',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'selective',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('selective', REFERENCE_CLASS, 'Selective' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective', 
                [], [], 
                '''                Enable selective peering
                ''',
                'selective',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.HelloEnum' : _MetaInfoEnum('HelloEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
            'multicast':'multicast',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache', 
                [], [], 
                '''                Specify MANET cache sizes
                ''',
                'cache',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello', REFERENCE_ENUM_CLASS, 'HelloEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.HelloEnum', 
                [], [], 
                '''                Unicast Hellos rather than multicast
                ''',
                'hello',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering', 
                [], [], 
                '''                MANET OSPF Smart Peering
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('willingness', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify Relay willingness value
                ''',
                'willingness',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area', 
                [], [], 
                '''                OSPF area parameters
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication', 
                [], [], 
                '''                Authentication parameters
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auto-cost', REFERENCE_CLASS, 'AutoCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.AutoCost', 
                [], [], 
                '''                Calculate OSPF interface cost according to bandwidth
                ''',
                'auto_cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability', 
                [], [], 
                '''                Enable specific OSPF feature
                ''',
                'capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('compatible', REFERENCE_CLASS, 'Compatible' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible', 
                [], [], 
                '''                OSPF compatibility list
                ''',
                'compatible',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable', 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('discard-route', REFERENCE_CLASS, 'DiscardRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DiscardRoute', 
                [], [], 
                '''                Enable or disable discard-route installation
                ''',
                'discard_route',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('event-log', REFERENCE_CLASS, 'EventLog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.EventLog', 
                [], [], 
                '''                OSPF Event Logging
                ''',
                'event_log',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart', 
                [], [], 
                '''                Graceful-restart options
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('interface-id', REFERENCE_CLASS, 'InterfaceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId', 
                [], [], 
                '''                Source of the interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('log-adjacency-changes', REFERENCE_CLASS, 'LogAdjacencyChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.LogAdjacencyChanges', 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet', 
                [], [], 
                '''                Specify MANET OSPF parameters
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-lsa', REFERENCE_CLASS, 'MaxLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa', 
                [], [], 
                '''                maximum number of LSAs OSPF process will receive
                ''',
                'max_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-metric', REFERENCE_CLASS, 'MaxMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric', 
                [], [], 
                '''                Set maximum metric
                ''',
                'max_metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nsr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable non-stop routing
                ''',
                'nsr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('queue-depth', REFERENCE_CLASS, 'QueueDepth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth', 
                [], [], 
                '''                OSPF Hello/Router process queue depth
                ''',
                'queue_depth',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('summary-prefix', REFERENCE_LIST, 'SummaryPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.SummaryPrefix', 
                [], [], 
                '''                ''',
                'summary_prefix',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Authentication',
            False, 
            [
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability',
            False, 
            [
            _MetaInfoClassMember('default-exclusion', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable exclusion of links from base topology
                ''',
                'default_exclusion',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList.InOutEnum' : _MetaInfoEnum('InOutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'InOutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList.InOutEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter prefixes between OSPF areas
                ''',
                'prefix',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                OSPF default metric
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                OSPF metric type for default routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'default-information-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa',
            False, 
            [
            _MetaInfoClassMember('default-information-originate', REFERENCE_CLASS, 'DefaultInformationOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate', 
                [], [], 
                '''                Originate Type 7 default into NSSA area
                ''',
                'default_information_originate',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('dest', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dest',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Associate a cost with the sham-link
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'sham-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Stub' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Stub',
            False, 
            [
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into stub area
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into stub area
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'stub',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest', REFERENCE_CLASS, 'MessageDigest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest', 
                [], [], 
                '''                Message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'hello_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('dead-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'dead_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval',
            False, 
            [
            _MetaInfoClassMember('retransmit-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'retransmit_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'retransmit-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay',
            False, 
            [
            _MetaInfoClassMember('transmit-delay-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'transmit_delay_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'transmit-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable virtual link
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication', 
                [], [], 
                '''                Set authentication type
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval', 
                [], [], 
                '''                Dead router detection time
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval', 
                [], [], 
                '''                Hello packet interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', REFERENCE_CLASS, 'RetransmitInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval', 
                [], [], 
                '''                LSA retransmit interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology', 
                [], [], 
                '''                Disable virtual link on topology
                ''',
                'topology',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', REFERENCE_CLASS, 'TransmitDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay', 
                [], [], 
                '''                LSA transmission delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'virtual-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability', 
                [], [], 
                '''                Enable area specific capability
                ''',
                'capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                Set the summary default-cost of a NSSA/stub area
                ''',
                'default_cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList', 
                [], [], 
                '''                Filter networks between OSPF areas
                ''',
                'filter_list',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv4-range', REFERENCE_CLASS, 'Ipv4Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range', 
                [], [], 
                '''                ''',
                'ipv4_range',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6-range', REFERENCE_CLASS, 'Ipv6Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range', 
                [], [], 
                '''                ''',
                'ipv6_range',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa', REFERENCE_CLASS, 'Nssa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa', 
                [], [], 
                '''                Specify a NSSA area
                ''',
                'nssa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('sham-link', REFERENCE_LIST, 'ShamLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink', 
                [], [], 
                '''                Define a sham link and its parameters
                ''',
                'sham_link',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('stub', REFERENCE_CLASS, 'Stub' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Stub', 
                [], [], 
                '''                Specify a stub area
                ''',
                'stub',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('virtual-link', REFERENCE_LIST, 'VirtualLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink', 
                [], [], 
                '''                Define a virtual link and its parameters
                ''',
                'virtual_link',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.AutoCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.AutoCost',
            False, 
            [
            _MetaInfoClassMember('reference-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967')], [], 
                '''                Use reference bandwidth method to assign OSPF cost
                ''',
                'reference_bandwidth',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'auto-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.EventLog' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.EventLog',
            False, 
            [
            _MetaInfoClassMember('one-shot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Logging When Log Buffer Becomes Full
                ''',
                'one_shot',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('pause', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pause Event Logging
                ''',
                'pause',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                Maximum Number of Events Stored in the Event Log
                ''',
                'size',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'event-log',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId',
            False, 
            [
            _MetaInfoClassMember('snmp-if-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP MIB ifIndex
                ''',
                'snmp_if_index',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'interface-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.LogAdjacencyChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.LogAdjacencyChanges',
            False, 
            [
            _MetaInfoClassMember('detail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log all state changes
                ''',
                'detail',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'log-adjacency-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa',
            False, 
            [
            _MetaInfoClassMember('ignore-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                maximum number of times adjacencies can be suppressed
                ''',
                'ignore_count',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '17895')], [], 
                '''                time during which all adjacencies are suppressed
                ''',
                'ignore_time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('reset-time', ATTRIBUTE, 'int' , None, None, 
                [('2', '35791')], [], 
                '''                time after which ignore-count is reset to zero
                ''',
                'reset_time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold_value',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'max-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.ExternalLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.ExternalLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('wait-for-bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Let BGP decide when to originate router-LSA with normal metric
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.SummaryLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.SummaryLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'summary-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa',
            False, 
            [
            _MetaInfoClassMember('external-lsa', REFERENCE_CLASS, 'ExternalLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.ExternalLsa', 
                [], [], 
                '''                Override external-lsa metric with max-metric value
                ''',
                'external_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('include-stub', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set maximum metric for stub links in router-LSAs
                ''',
                'include_stub',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.OnStartup', 
                [], [], 
                '''                Set maximum metric temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('summary-lsa', REFERENCE_CLASS, 'SummaryLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.SummaryLsa', 
                [], [], 
                '''                Override summary-lsa metric with max-metric value
                ''',
                'summary_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'router-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric',
            False, 
            [
            _MetaInfoClassMember('router-lsa', REFERENCE_CLASS, 'RouterLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa', 
                [], [], 
                '''                Maximum metric in self-originated router-LSAs
                ''',
                'router_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'max-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospfv3', True),
            ],
            'Cisco-IOS-XE-ospfv3',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable',
            False, 
            [
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable.PassiveInterface', 
                [], [], 
                '''                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth',
            False, 
            [
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello', 
                [], [], 
                '''                OSPF Hello process queue depth
                ''',
                'hello',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update', 
                [], [], 
                '''                OSPF Router process queue depth
                ''',
                'update',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'queue-depth',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa',
            False, 
            [
            _MetaInfoClassMember('arrival', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                OSPF LSA arrival timer
                ''',
                'arrival',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing',
            False, 
            [
            _MetaInfoClassMember('flood', ATTRIBUTE, 'int' , None, None, 
                [('5', '100')], [], 
                '''                OSPF flood pacing timer
                ''',
                'flood',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lsa-group', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                OSPF LSA group pacing timer
                ''',
                'lsa_group',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmission', ATTRIBUTE, 'int' , None, None, 
                [('5', '200')], [], 
                '''                OSPF retransmission pacing timer
                ''',
                'retransmission',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'pacing',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All', 
                [], [], 
                '''                For all type of OSPF LSAs
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'spf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa', 
                [], [], 
                '''                OSPF LSA throttle timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spf', REFERENCE_CLASS, 'Spf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf', 
                [], [], 
                '''                OSPF SPF throttle timers
                ''',
                'spf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throttle',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa', 
                [], [], 
                '''                OSPF LSA timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('pacing', REFERENCE_CLASS, 'Pacing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing', 
                [], [], 
                '''                OSPF pacing timers
                ''',
                'pacing',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throttle', REFERENCE_CLASS, 'Throttle' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle', 
                [], [], 
                '''                OSPF throttle timers
                ''',
                'throttle',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable TTL Security on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability.CapabilityTypeEnum' : _MetaInfoEnum('CapabilityTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lls':'lls',
            'opaque':'opaque',
            'transit':'transit',
            'vrf-lite':'vrf_lite',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability',
            False, 
            [
            _MetaInfoClassMember('capability-type', REFERENCE_ENUM_CLASS, 'CapabilityTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability.CapabilityTypeEnum', 
                [], [], 
                '''                ''',
                'capability_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible',
            False, 
            [
            _MetaInfoClassMember('rfc1583', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 1583
                ''',
                'rfc1583',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rfc1587', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 1587
                ''',
                'rfc1587',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rfc5243', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 5243
                ''',
                'rfc5243',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'compatible',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always advertise default route
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                OSPF default metric
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                OSPF metric type for default routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DiscardRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DiscardRoute',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Discard route for redistributed summarised routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Discard route for summarised internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'discard-route',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-ospfv3', False, [
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1', '99')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-ospfv3', False),
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '1999')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-ospfv3', False),
                        ]),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildcard',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                External routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('inter-area', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Inter-area routes
                ''',
                'inter_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('intra-area', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Intra-area routes
                ''',
                'intra_area',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance',
            False, 
            [
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf', 
                [], [], 
                '''                OSPF routes Administrative distance
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf-distance', REFERENCE_CLASS, 'OspfDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance', 
                [], [], 
                '''                ''',
                'ospf_distance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'threshold-warning-only-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold-warning-only-container', REFERENCE_CLASS, 'ThresholdWarningOnlyContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer', 
                [], [], 
                '''                ''',
                'threshold_warning_only_container',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'non-global-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_', 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-global-vrf', REFERENCE_LIST, 'NonGlobalVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf', 
                [], [], 
                '''                ''',
                'non_global_vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes redistributed to protocol
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_', 
                [], [], 
                '''                Specify a source VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deployment':'deployment',
            'normal':'normal',
            'strict':'strict',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication.ModeEnum', 
                [], [], 
                '''                Authentication operation mode
                ''',
                'mode',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart.Helper' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart.Helper',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable helper support
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('strict-lsa-checking', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable helper strict LSA checking
                ''',
                'strict_lsa_checking',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'helper',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Graceful restart disable
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('helper', REFERENCE_CLASS, 'Helper' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart.Helper', 
                [], [], 
                '''                helper support
                ''',
                'helper',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('restart-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Graceful restart interval
                ''',
                'restart_interval',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specify MANET acknowledgement cache size
                ''',
                'acknowledgement',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specify MANET LSA cache size
                ''',
                'update',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable selective peering
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('per-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select peers per interface rather than per node
                ''',
                'per_interface',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Redundant paths
                ''',
                'redundancy',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'selective',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('selective', REFERENCE_CLASS, 'Selective' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective', 
                [], [], 
                '''                Enable selective peering
                ''',
                'selective',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.HelloEnum' : _MetaInfoEnum('HelloEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
            'multicast':'multicast',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache', 
                [], [], 
                '''                Specify MANET cache sizes
                ''',
                'cache',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello', REFERENCE_ENUM_CLASS, 'HelloEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.HelloEnum', 
                [], [], 
                '''                Unicast Hellos rather than multicast
                ''',
                'hello',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering', 
                [], [], 
                '''                MANET OSPF Smart Peering
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('willingness', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify Relay willingness value
                ''',
                'willingness',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area', 
                [], [], 
                '''                OSPF area parameters
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication', 
                [], [], 
                '''                Authentication parameters
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auto-cost', REFERENCE_CLASS, 'AutoCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.AutoCost', 
                [], [], 
                '''                Calculate OSPF interface cost according to bandwidth
                ''',
                'auto_cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability', 
                [], [], 
                '''                Enable specific OSPF feature
                ''',
                'capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('compatible', REFERENCE_CLASS, 'Compatible' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible', 
                [], [], 
                '''                OSPF compatibility list
                ''',
                'compatible',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable', 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('discard-route', REFERENCE_CLASS, 'DiscardRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DiscardRoute', 
                [], [], 
                '''                Enable or disable discard-route installation
                ''',
                'discard_route',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('event-log', REFERENCE_CLASS, 'EventLog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.EventLog', 
                [], [], 
                '''                OSPF Event Logging
                ''',
                'event_log',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart', 
                [], [], 
                '''                Graceful-restart options
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('interface-id', REFERENCE_CLASS, 'InterfaceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId', 
                [], [], 
                '''                Source of the interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('log-adjacency-changes', REFERENCE_CLASS, 'LogAdjacencyChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.LogAdjacencyChanges', 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet', 
                [], [], 
                '''                Specify MANET OSPF parameters
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-lsa', REFERENCE_CLASS, 'MaxLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa', 
                [], [], 
                '''                maximum number of LSAs OSPF process will receive
                ''',
                'max_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-metric', REFERENCE_CLASS, 'MaxMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric', 
                [], [], 
                '''                Set maximum metric
                ''',
                'max_metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nsr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable non-stop routing
                ''',
                'nsr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('queue-depth', REFERENCE_CLASS, 'QueueDepth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth', 
                [], [], 
                '''                OSPF Hello/Router process queue depth
                ''',
                'queue_depth',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('summary-prefix', REFERENCE_LIST, 'SummaryPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.SummaryPrefix', 
                [], [], 
                '''                ''',
                'summary_prefix',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv4',
            False, 
            [
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast', 
                [], [], 
                '''                Address Family Modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf', 
                [], [], 
                '''                Specify parameters for a VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Authentication',
            False, 
            [
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability',
            False, 
            [
            _MetaInfoClassMember('default-exclusion', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable exclusion of links from base topology
                ''',
                'default_exclusion',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList.InOutEnum' : _MetaInfoEnum('InOutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'InOutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList.InOutEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter prefixes between OSPF areas
                ''',
                'prefix',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                OSPF default metric
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                OSPF metric type for default routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'default-information-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa',
            False, 
            [
            _MetaInfoClassMember('default-information-originate', REFERENCE_CLASS, 'DefaultInformationOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate', 
                [], [], 
                '''                Originate Type 7 default into NSSA area
                ''',
                'default_information_originate',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('dest', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dest',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Associate a cost with the sham-link
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'sham-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Stub' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Stub',
            False, 
            [
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into stub area
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into stub area
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'stub',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest', REFERENCE_CLASS, 'MessageDigest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest', 
                [], [], 
                '''                Message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'hello_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('dead-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'dead_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval',
            False, 
            [
            _MetaInfoClassMember('retransmit-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'retransmit_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'retransmit-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay',
            False, 
            [
            _MetaInfoClassMember('transmit-delay-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'transmit_delay_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'transmit-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable virtual link
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication', 
                [], [], 
                '''                Set authentication type
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval', 
                [], [], 
                '''                Dead router detection time
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval', 
                [], [], 
                '''                Hello packet interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', REFERENCE_CLASS, 'RetransmitInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval', 
                [], [], 
                '''                LSA retransmit interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology', 
                [], [], 
                '''                Disable virtual link on topology
                ''',
                'topology',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', REFERENCE_CLASS, 'TransmitDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay', 
                [], [], 
                '''                LSA transmission delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'virtual-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability', 
                [], [], 
                '''                Enable area specific capability
                ''',
                'capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                Set the summary default-cost of a NSSA/stub area
                ''',
                'default_cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList', 
                [], [], 
                '''                Filter networks between OSPF areas
                ''',
                'filter_list',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv4-range', REFERENCE_CLASS, 'Ipv4Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range', 
                [], [], 
                '''                ''',
                'ipv4_range',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6-range', REFERENCE_CLASS, 'Ipv6Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range', 
                [], [], 
                '''                ''',
                'ipv6_range',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa', REFERENCE_CLASS, 'Nssa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa', 
                [], [], 
                '''                Specify a NSSA area
                ''',
                'nssa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('sham-link', REFERENCE_LIST, 'ShamLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink', 
                [], [], 
                '''                Define a sham link and its parameters
                ''',
                'sham_link',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('stub', REFERENCE_CLASS, 'Stub' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Stub', 
                [], [], 
                '''                Specify a stub area
                ''',
                'stub',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('virtual-link', REFERENCE_LIST, 'VirtualLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink', 
                [], [], 
                '''                Define a virtual link and its parameters
                ''',
                'virtual_link',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.AutoCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.AutoCost',
            False, 
            [
            _MetaInfoClassMember('reference-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967')], [], 
                '''                Use reference bandwidth method to assign OSPF cost
                ''',
                'reference_bandwidth',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'auto-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.EventLog' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.EventLog',
            False, 
            [
            _MetaInfoClassMember('one-shot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Logging When Log Buffer Becomes Full
                ''',
                'one_shot',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('pause', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pause Event Logging
                ''',
                'pause',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                Maximum Number of Events Stored in the Event Log
                ''',
                'size',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'event-log',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId',
            False, 
            [
            _MetaInfoClassMember('snmp-if-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP MIB ifIndex
                ''',
                'snmp_if_index',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'interface-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.LogAdjacencyChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.LogAdjacencyChanges',
            False, 
            [
            _MetaInfoClassMember('detail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log all state changes
                ''',
                'detail',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'log-adjacency-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa',
            False, 
            [
            _MetaInfoClassMember('ignore-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                maximum number of times adjacencies can be suppressed
                ''',
                'ignore_count',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '17895')], [], 
                '''                time during which all adjacencies are suppressed
                ''',
                'ignore_time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('reset-time', ATTRIBUTE, 'int' , None, None, 
                [('2', '35791')], [], 
                '''                time after which ignore-count is reset to zero
                ''',
                'reset_time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold_value',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'max-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.ExternalLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.ExternalLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('wait-for-bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Let BGP decide when to originate router-LSA with normal metric
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.SummaryLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.SummaryLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'summary-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa',
            False, 
            [
            _MetaInfoClassMember('external-lsa', REFERENCE_CLASS, 'ExternalLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.ExternalLsa', 
                [], [], 
                '''                Override external-lsa metric with max-metric value
                ''',
                'external_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('include-stub', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set maximum metric for stub links in router-LSAs
                ''',
                'include_stub',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.OnStartup', 
                [], [], 
                '''                Set maximum metric temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('summary-lsa', REFERENCE_CLASS, 'SummaryLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.SummaryLsa', 
                [], [], 
                '''                Override summary-lsa metric with max-metric value
                ''',
                'summary_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'router-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric',
            False, 
            [
            _MetaInfoClassMember('router-lsa', REFERENCE_CLASS, 'RouterLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa', 
                [], [], 
                '''                Maximum metric in self-originated router-LSAs
                ''',
                'router_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'max-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospfv3', True),
            ],
            'Cisco-IOS-XE-ospfv3',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable',
            False, 
            [
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable.PassiveInterface', 
                [], [], 
                '''                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth',
            False, 
            [
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello', 
                [], [], 
                '''                OSPF Hello process queue depth
                ''',
                'hello',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update', 
                [], [], 
                '''                OSPF Router process queue depth
                ''',
                'update',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'queue-depth',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa',
            False, 
            [
            _MetaInfoClassMember('arrival', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                OSPF LSA arrival timer
                ''',
                'arrival',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing',
            False, 
            [
            _MetaInfoClassMember('flood', ATTRIBUTE, 'int' , None, None, 
                [('5', '100')], [], 
                '''                OSPF flood pacing timer
                ''',
                'flood',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lsa-group', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                OSPF LSA group pacing timer
                ''',
                'lsa_group',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmission', ATTRIBUTE, 'int' , None, None, 
                [('5', '200')], [], 
                '''                OSPF retransmission pacing timer
                ''',
                'retransmission',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'pacing',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All', 
                [], [], 
                '''                For all type of OSPF LSAs
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'spf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa', 
                [], [], 
                '''                OSPF LSA throttle timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spf', REFERENCE_CLASS, 'Spf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf', 
                [], [], 
                '''                OSPF SPF throttle timers
                ''',
                'spf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throttle',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa', 
                [], [], 
                '''                OSPF LSA timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('pacing', REFERENCE_CLASS, 'Pacing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing', 
                [], [], 
                '''                OSPF pacing timers
                ''',
                'pacing',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throttle', REFERENCE_CLASS, 'Throttle' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle', 
                [], [], 
                '''                OSPF throttle timers
                ''',
                'throttle',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable TTL Security on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability.CapabilityTypeEnum' : _MetaInfoEnum('CapabilityTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lls':'lls',
            'opaque':'opaque',
            'transit':'transit',
            'vrf-lite':'vrf_lite',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability',
            False, 
            [
            _MetaInfoClassMember('capability-type', REFERENCE_ENUM_CLASS, 'CapabilityTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability.CapabilityTypeEnum', 
                [], [], 
                '''                ''',
                'capability_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible',
            False, 
            [
            _MetaInfoClassMember('rfc1583', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 1583
                ''',
                'rfc1583',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rfc1587', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 1587
                ''',
                'rfc1587',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rfc5243', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 5243
                ''',
                'rfc5243',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'compatible',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always advertise default route
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                OSPF default metric
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                OSPF metric type for default routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DiscardRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DiscardRoute',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Discard route for redistributed summarised routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Discard route for summarised internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'discard-route',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-ospfv3', False, [
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1', '99')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-ospfv3', False),
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '1999')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-ospfv3', False),
                        ]),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildcard',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                External routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('inter-area', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Inter-area routes
                ''',
                'inter_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('intra-area', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Intra-area routes
                ''',
                'intra_area',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance',
            False, 
            [
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf', 
                [], [], 
                '''                OSPF routes Administrative distance
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf-distance', REFERENCE_CLASS, 'OspfDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance', 
                [], [], 
                '''                ''',
                'ospf_distance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'threshold-warning-only-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold-warning-only-container', REFERENCE_CLASS, 'ThresholdWarningOnlyContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer', 
                [], [], 
                '''                ''',
                'threshold_warning_only_container',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'non-global-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_', 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-global-vrf', REFERENCE_LIST, 'NonGlobalVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf', 
                [], [], 
                '''                ''',
                'non_global_vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes redistributed to protocol
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf', 
                [], [], 
                '''                Specify a source VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deployment':'deployment',
            'normal':'normal',
            'strict':'strict',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication.ModeEnum', 
                [], [], 
                '''                Authentication operation mode
                ''',
                'mode',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart.Helper' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart.Helper',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable helper support
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('strict-lsa-checking', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable helper strict LSA checking
                ''',
                'strict_lsa_checking',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'helper',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Graceful restart disable
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('helper', REFERENCE_CLASS, 'Helper' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart.Helper', 
                [], [], 
                '''                helper support
                ''',
                'helper',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('restart-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Graceful restart interval
                ''',
                'restart_interval',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specify MANET acknowledgement cache size
                ''',
                'acknowledgement',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specify MANET LSA cache size
                ''',
                'update',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable selective peering
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('per-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select peers per interface rather than per node
                ''',
                'per_interface',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Redundant paths
                ''',
                'redundancy',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'selective',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('selective', REFERENCE_CLASS, 'Selective' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective', 
                [], [], 
                '''                Enable selective peering
                ''',
                'selective',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.HelloEnum' : _MetaInfoEnum('HelloEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
            'multicast':'multicast',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache', 
                [], [], 
                '''                Specify MANET cache sizes
                ''',
                'cache',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello', REFERENCE_ENUM_CLASS, 'HelloEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.HelloEnum', 
                [], [], 
                '''                Unicast Hellos rather than multicast
                ''',
                'hello',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering', 
                [], [], 
                '''                MANET OSPF Smart Peering
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('willingness', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify Relay willingness value
                ''',
                'willingness',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not advertise when translating OSPF type-7 LSA
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit summary to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area', 
                [], [], 
                '''                OSPF area parameters
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication', 
                [], [], 
                '''                Authentication parameters
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auto-cost', REFERENCE_CLASS, 'AutoCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.AutoCost', 
                [], [], 
                '''                Calculate OSPF interface cost according to bandwidth
                ''',
                'auto_cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability', 
                [], [], 
                '''                Enable specific OSPF feature
                ''',
                'capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('compatible', REFERENCE_CLASS, 'Compatible' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible', 
                [], [], 
                '''                OSPF compatibility list
                ''',
                'compatible',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable', 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('discard-route', REFERENCE_CLASS, 'DiscardRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DiscardRoute', 
                [], [], 
                '''                Enable or disable discard-route installation
                ''',
                'discard_route',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('event-log', REFERENCE_CLASS, 'EventLog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.EventLog', 
                [], [], 
                '''                OSPF Event Logging
                ''',
                'event_log',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart', 
                [], [], 
                '''                Graceful-restart options
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('interface-id', REFERENCE_CLASS, 'InterfaceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId', 
                [], [], 
                '''                Source of the interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('log-adjacency-changes', REFERENCE_CLASS, 'LogAdjacencyChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.LogAdjacencyChanges', 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet', 
                [], [], 
                '''                Specify MANET OSPF parameters
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-lsa', REFERENCE_CLASS, 'MaxLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa', 
                [], [], 
                '''                maximum number of LSAs OSPF process will receive
                ''',
                'max_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-metric', REFERENCE_CLASS, 'MaxMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric', 
                [], [], 
                '''                Set maximum metric
                ''',
                'max_metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nsr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable non-stop routing
                ''',
                'nsr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('queue-depth', REFERENCE_CLASS, 'QueueDepth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth', 
                [], [], 
                '''                OSPF Hello/Router process queue depth
                ''',
                'queue_depth',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('summary-prefix', REFERENCE_LIST, 'SummaryPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.SummaryPrefix', 
                [], [], 
                '''                Configure IPv6 summary prefix
                ''',
                'summary_prefix',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Authentication',
            False, 
            [
            _MetaInfoClassMember('message-digest', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability',
            False, 
            [
            _MetaInfoClassMember('default-exclusion', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable exclusion of links from base topology
                ''',
                'default_exclusion',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList.InOutEnum' : _MetaInfoEnum('InOutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'InOutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList.InOutEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Filter prefixes between OSPF areas
                ''',
                'prefix',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                OSPF default metric
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                OSPF metric type for default routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'default-information-originate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always translate LSAs on this ABR
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('suppress-fa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress forwarding address in translated LSAs
                ''',
                'suppress_fa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'type7',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate',
            False, 
            [
            _MetaInfoClassMember('type7', REFERENCE_CLASS, 'Type7' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7', 
                [], [], 
                '''                From Type 7 to Type 5
                ''',
                'type7',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'translate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa',
            False, 
            [
            _MetaInfoClassMember('default-information-originate', REFERENCE_CLASS, 'DefaultInformationOriginate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate', 
                [], [], 
                '''                Originate Type 7 default into NSSA area
                ''',
                'default_information_originate',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into NSSA
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-redistribution', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No redistribution into this NSSA area
                ''',
                'no_redistribution',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into NSSA
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit default advertisement to this NSSA area
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('translate', REFERENCE_CLASS, 'Translate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate', 
                [], [], 
                '''                Translate LSA
                ''',
                'translate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv4-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range.Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range.Range',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advertise this range (default)
                ''',
                'advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                User specified metric for this range
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DoNotAdvertise this range
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range.Range', 
                [], [], 
                '''                Summarize routes matching address/mask (border routers only)
                ''',
                'range',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6-range',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink',
            False, 
            [
            _MetaInfoClassMember('source', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'source',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'source',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('dest', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'dest',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('dest', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'dest',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Associate a cost with the sham-link
                ''',
                'cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'sham-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Stub' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Stub',
            False, 
            [
            _MetaInfoClassMember('no-ext-capability', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send domain specific capabilities into stub area
                ''',
                'no_ext_capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('no-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not send summary LSA into stub area
                ''',
                'no_summary',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'stub',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'key-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication',
            False, 
            [
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('key-chain', REFERENCE_CLASS, 'KeyChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain', 
                [], [], 
                '''                Use a key-chain for cryptographic authentication keys
                ''',
                'key_chain',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest', REFERENCE_CLASS, 'MessageDigest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest', 
                [], [], 
                '''                Message-digest authentication
                ''',
                'message_digest',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No authentication
                ''',
                'null',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('hello-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'hello_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval',
            False, 
            [
            _MetaInfoClassMember('dead-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'dead_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'dead-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval',
            False, 
            [
            _MetaInfoClassMember('retransmit-interval-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'retransmit_interval_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'retransmit-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay',
            False, 
            [
            _MetaInfoClassMember('transmit-delay-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                ''',
                'transmit_delay_value',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'transmit-delay',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable virtual link
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5',
            False, 
            [
            _MetaInfoClassMember('auth-key', ATTRIBUTE, 'str' , None, None, 
                [(1, 16)], [], 
                '''                ''',
                'auth_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                ''',
                'auth_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'md5',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('md5', REFERENCE_CLASS, 'Md5' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5', 
                [], [], 
                '''                Use MD5 algorithm
                ''',
                'md5',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'message-digest-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication', 
                [], [], 
                '''                Set authentication type
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_CLASS, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey', 
                [], [], 
                '''                Set authentication key
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('dead-interval', REFERENCE_CLASS, 'DeadInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval', 
                [], [], 
                '''                Dead router detection time
                ''',
                'dead_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval', 
                [], [], 
                '''                Hello packet interval
                ''',
                'hello_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('message-digest-key', REFERENCE_LIST, 'MessageDigestKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey', 
                [], [], 
                '''                Set message digest key
                ''',
                'message_digest_key',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmit-interval', REFERENCE_CLASS, 'RetransmitInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval', 
                [], [], 
                '''                LSA retransmit interval
                ''',
                'retransmit_interval',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology', 
                [], [], 
                '''                Disable virtual link on topology
                ''',
                'topology',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('transmit-delay', REFERENCE_CLASS, 'TransmitDelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay', 
                [], [], 
                '''                LSA transmission delay
                ''',
                'transmit_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'virtual-link',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Authentication', 
                [], [], 
                '''                Enable authentication
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability', 
                [], [], 
                '''                Enable area specific capability
                ''',
                'capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                Set the summary default-cost of a NSSA/stub area
                ''',
                'default_cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('filter-list', REFERENCE_LIST, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList', 
                [], [], 
                '''                Filter networks between OSPF areas
                ''',
                'filter_list',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv4-range', REFERENCE_CLASS, 'Ipv4Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range', 
                [], [], 
                '''                ''',
                'ipv4_range',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6-range', REFERENCE_CLASS, 'Ipv6Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range', 
                [], [], 
                '''                ''',
                'ipv6_range',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa', REFERENCE_CLASS, 'Nssa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa', 
                [], [], 
                '''                Specify a NSSA area
                ''',
                'nssa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('sham-link', REFERENCE_LIST, 'ShamLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink', 
                [], [], 
                '''                Define a sham link and its parameters
                ''',
                'sham_link',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('stub', REFERENCE_CLASS, 'Stub' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Stub', 
                [], [], 
                '''                Specify a stub area
                ''',
                'stub',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('virtual-link', REFERENCE_LIST, 'VirtualLink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink', 
                [], [], 
                '''                Define a virtual link and its parameters
                ''',
                'virtual_link',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.AutoCost' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.AutoCost',
            False, 
            [
            _MetaInfoClassMember('reference-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967')], [], 
                '''                Use reference bandwidth method to assign OSPF cost
                ''',
                'reference_bandwidth',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'auto-cost',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.EventLog' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.EventLog',
            False, 
            [
            _MetaInfoClassMember('one-shot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable Logging When Log Buffer Becomes Full
                ''',
                'one_shot',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('pause', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Pause Event Logging
                ''',
                'pause',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                Maximum Number of Events Stored in the Event Log
                ''',
                'size',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'event-log',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BFD on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId',
            False, 
            [
            _MetaInfoClassMember('snmp-if-index', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SNMP MIB ifIndex
                ''',
                'snmp_if_index',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'interface-id',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.LogAdjacencyChanges' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.LogAdjacencyChanges',
            False, 
            [
            _MetaInfoClassMember('detail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log all state changes
                ''',
                'detail',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'log-adjacency-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa',
            False, 
            [
            _MetaInfoClassMember('ignore-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '65534')], [], 
                '''                maximum number of times adjacencies can be suppressed
                ''',
                'ignore_count',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ignore-time', ATTRIBUTE, 'int' , None, None, 
                [('1', '17895')], [], 
                '''                time during which all adjacencies are suppressed
                ''',
                'ignore_time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967294')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('reset-time', ATTRIBUTE, 'int' , None, None, 
                [('2', '35791')], [], 
                '''                time after which ignore-count is reset to zero
                ''',
                'reset_time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold_value',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'max-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.ExternalLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.ExternalLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.OnStartup' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.OnStartup',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'time',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('wait-for-bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Let BGP decide when to originate router-LSA with normal metric
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'on-startup',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.SummaryLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.SummaryLsa',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777215')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'summary-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa',
            False, 
            [
            _MetaInfoClassMember('external-lsa', REFERENCE_CLASS, 'ExternalLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.ExternalLsa', 
                [], [], 
                '''                Override external-lsa metric with max-metric value
                ''',
                'external_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('include-stub', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set maximum metric for stub links in router-LSAs
                ''',
                'include_stub',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('on-startup', REFERENCE_CLASS, 'OnStartup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.OnStartup', 
                [], [], 
                '''                Set maximum metric temporarily after reboot
                ''',
                'on_startup',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('summary-lsa', REFERENCE_CLASS, 'SummaryLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.SummaryLsa', 
                [], [], 
                '''                Override summary-lsa metric with max-metric value
                ''',
                'summary_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'router-lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric',
            False, 
            [
            _MetaInfoClassMember('router-lsa', REFERENCE_CLASS, 'RouterLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa', 
                [], [], 
                '''                Maximum metric in self-originated router-LSAs
                ''',
                'router_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'max-metric',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-ospfv3', True),
            ],
            'Cisco-IOS-XE-ospfv3',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable',
            False, 
            [
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable.PassiveInterface', 
                [], [], 
                '''                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' : _MetaInfoEnum('OptionsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unlimited':'unlimited',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update',
            False, 
            [
            _MetaInfoClassMember('options', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'options',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('options', ATTRIBUTE, 'int' , None, None, 
                        [('1', '2147483647')], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                    _MetaInfoClassMember('options', REFERENCE_ENUM_CLASS, 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum', 
                        [], [], 
                        '''                        ''',
                        'options',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            ],
            'Cisco-IOS-XE-ospfv3',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth',
            False, 
            [
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello', 
                [], [], 
                '''                OSPF Hello process queue depth
                ''',
                'hello',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update', 
                [], [], 
                '''                OSPF Router process queue depth
                ''',
                'update',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'queue-depth',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa',
            False, 
            [
            _MetaInfoClassMember('arrival', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                OSPF LSA arrival timer
                ''',
                'arrival',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing',
            False, 
            [
            _MetaInfoClassMember('flood', ATTRIBUTE, 'int' , None, None, 
                [('5', '100')], [], 
                '''                OSPF flood pacing timer
                ''',
                'flood',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lsa-group', ATTRIBUTE, 'int' , None, None, 
                [('10', '1800')], [], 
                '''                OSPF LSA group pacing timer
                ''',
                'lsa_group',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('retransmission', ATTRIBUTE, 'int' , None, None, 
                [('5', '200')], [], 
                '''                OSPF retransmission pacing timer
                ''',
                'retransmission',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'pacing',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All', 
                [], [], 
                '''                For all type of OSPF LSAs
                ''',
                'all',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'max_delay',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '600000')], [], 
                '''                ''',
                'min_delay',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'spf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa', 
                [], [], 
                '''                OSPF LSA throttle timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('spf', REFERENCE_CLASS, 'Spf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf', 
                [], [], 
                '''                OSPF SPF throttle timers
                ''',
                'spf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'throttle',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa', 
                [], [], 
                '''                OSPF LSA timers
                ''',
                'lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('pacing', REFERENCE_CLASS, 'Pacing' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing', 
                [], [], 
                '''                OSPF pacing timers
                ''',
                'pacing',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('throttle', REFERENCE_CLASS, 'Throttle' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle', 
                [], [], 
                '''                OSPF throttle timers
                ''',
                'throttle',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity',
            False, 
            [
            _MetaInfoClassMember('all-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable TTL Security on all interfaces
                ''',
                'all_interfaces',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hops', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                IP hops
                ''',
                'hops',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ttl-security',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability.CapabilityTypeEnum' : _MetaInfoEnum('CapabilityTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'lls':'lls',
            'opaque':'opaque',
            'transit':'transit',
            'vrf-lite':'vrf_lite',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability',
            False, 
            [
            _MetaInfoClassMember('capability-type', REFERENCE_ENUM_CLASS, 'CapabilityTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability.CapabilityTypeEnum', 
                [], [], 
                '''                ''',
                'capability_type',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'capability',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible',
            False, 
            [
            _MetaInfoClassMember('rfc1583', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 1583
                ''',
                'rfc1583',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rfc1587', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 1587
                ''',
                'rfc1587',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rfc5243', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Compatible with RFC 5243
                ''',
                'rfc5243',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'compatible',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Always advertise default route
                ''',
                'always',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777214')], [], 
                '''                OSPF default metric
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                OSPF metric type for default routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DiscardRoute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DiscardRoute',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Discard route for redistributed summarised routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Discard route for summarised internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'discard-route',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance',
            False, 
            [
            _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl_name',
                'Cisco-IOS-XE-ospfv3', False, [
                    _MetaInfoClassMember('acl-name', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-ospfv3', False, [
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1', '99')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-ospfv3', False),
                            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '1999')], [], 
                                '''                                ''',
                                'acl_name',
                                'Cisco-IOS-XE-ospfv3', False),
                        ]),
                    _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'acl_name',
                        'Cisco-IOS-XE-ospfv3', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'wildcard',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf-distance',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf',
            False, 
            [
            _MetaInfoClassMember('external', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                External routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('inter-area', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Inter-area routes
                ''',
                'inter_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('intra-area', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                Intra-area routes
                ''',
                'intra_area',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance',
            False, 
            [
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf', 
                [], [], 
                '''                OSPF routes Administrative distance
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf-distance', REFERENCE_CLASS, 'OspfDistance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance', 
                [], [], 
                '''                ''',
                'ospf_distance',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'threshold',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('warning-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Only give warning message when limit is exceeded
                ''',
                'warning_only',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'threshold-warning-only-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('threshold-warning-only-container', REFERENCE_CLASS, 'ThresholdWarningOnlyContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer', 
                [], [], 
                '''                ''',
                'threshold_warning_only_container',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'maximum-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'non-global-vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-ospfv3', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-ospfv3', True),
                ]),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer',
            False, 
            [
            _MetaInfoClassMember('area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'area_tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'area-tag-route-map-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp-container',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('area-tag-route-map-container', REFERENCE_CLASS, 'AreaTagRouteMapContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer', 
                [], [], 
                '''                ''',
                'area_tag_route_map_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp-container', REFERENCE_CLASS, 'IsoIgrpContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer', 
                [], [], 
                '''                ''',
                'iso_igrp_container',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'lisp',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                User selected string identifying this rip process
                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions.MetricTypeEnum' : _MetaInfoEnum('MetricTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-ospf', _yang_ns._namespaces['Cisco-IOS-XE-ospf']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions',
            False, 
            [
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MetricTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions.MetricTypeEnum', 
                [], [], 
                '''                OSPF/IS-IS exterior metric type for redistributed routes
                ''',
                'metric_type',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit redistributed routes to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('subnets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Consider subnets for redistribution into OSPF
                ''',
                'subnets',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag for routes redistributed into OSPF
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redist-options',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static',
            False, 
            [
            _MetaInfoClassMember('redist-options', REFERENCE_CLASS, 'RedistOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions', 
                [], [], 
                '''                ''',
                'redist_options',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_', 
                [], [], 
                '''                global VRF
                ''',
                'global_',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('non-global-vrf', REFERENCE_LIST, 'NonGlobalVrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf', 
                [], [], 
                '''                ''',
                'non_global_vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application', 
                [], [], 
                '''                Application
                ''',
                'application',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp', 
                [], [], 
                '''                Locator ID Separation Protocol (LISP)
                ''',
                'lisp',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('maximum-prefix', REFERENCE_CLASS, 'MaximumPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix', 
                [], [], 
                '''                Maximum number of prefixes redistributed to protocol
                ''',
                'maximum_prefix',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_LIST, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_', 
                [], [], 
                '''                Specify a source VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'deployment':'deployment',
            'normal':'normal',
            'strict':'strict',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication.ModeEnum', 
                [], [], 
                '''                Authentication operation mode
                ''',
                'mode',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart.Helper' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart.Helper',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                disable helper support
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('strict-lsa-checking', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                enable helper strict LSA checking
                ''',
                'strict_lsa_checking',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'helper',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Graceful restart disable
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('helper', REFERENCE_CLASS, 'Helper' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart.Helper', 
                [], [], 
                '''                helper support
                ''',
                'helper',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('restart-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Graceful restart interval
                ''',
                'restart_interval',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specify MANET acknowledgement cache size
                ''',
                'acknowledgement',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specify MANET LSA cache size
                ''',
                'update',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable selective peering
                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('per-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select peers per interface rather than per node
                ''',
                'per_interface',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redundancy', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Redundant paths
                ''',
                'redundancy',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'selective',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering',
            False, 
            [
            _MetaInfoClassMember('selective', REFERENCE_CLASS, 'Selective' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective', 
                [], [], 
                '''                Enable selective peering
                ''',
                'selective',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'peering',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.HelloEnum' : _MetaInfoEnum('HelloEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'unicast':'unicast',
            'multicast':'multicast',
        }, 'Cisco-IOS-XE-ospfv3', _yang_ns._namespaces['Cisco-IOS-XE-ospfv3']),
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet',
            False, 
            [
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache', 
                [], [], 
                '''                Specify MANET cache sizes
                ''',
                'cache',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('hello', REFERENCE_ENUM_CLASS, 'HelloEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.HelloEnum', 
                [], [], 
                '''                Unicast Hellos rather than multicast
                ''',
                'hello',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('peering', REFERENCE_CLASS, 'Peering' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering', 
                [], [], 
                '''                MANET OSPF Smart Peering
                ''',
                'peering',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('willingness', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Specify Relay willingness value
                ''',
                'willingness',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'manet',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                ''',
                'prefix',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('not-advertise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Do not advertise when translating OSPF type-7 LSA
                ''',
                'not_advertise',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Limit summary to NSSA areas
                ''',
                'nssa_only',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set tag
                ''',
                'tag',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area', 
                [], [], 
                '''                OSPF area parameters
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication', 
                [], [], 
                '''                Authentication parameters
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auto-cost', REFERENCE_CLASS, 'AutoCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.AutoCost', 
                [], [], 
                '''                Calculate OSPF interface cost according to bandwidth
                ''',
                'auto_cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('capability', REFERENCE_CLASS, 'Capability' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability', 
                [], [], 
                '''                Enable specific OSPF feature
                ''',
                'capability',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('compatible', REFERENCE_CLASS, 'Compatible' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible', 
                [], [], 
                '''                OSPF compatibility list
                ''',
                'compatible',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '16777214')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable', 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('discard-route', REFERENCE_CLASS, 'DiscardRoute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DiscardRoute', 
                [], [], 
                '''                Enable or disable discard-route installation
                ''',
                'discard_route',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('event-log', REFERENCE_CLASS, 'EventLog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.EventLog', 
                [], [], 
                '''                OSPF Event Logging
                ''',
                'event_log',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart', 
                [], [], 
                '''                Graceful-restart options
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('interface-id', REFERENCE_CLASS, 'InterfaceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId', 
                [], [], 
                '''                Source of the interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('log-adjacency-changes', REFERENCE_CLASS, 'LogAdjacencyChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.LogAdjacencyChanges', 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet', 
                [], [], 
                '''                Specify MANET OSPF parameters
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-lsa', REFERENCE_CLASS, 'MaxLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa', 
                [], [], 
                '''                maximum number of LSAs OSPF process will receive
                ''',
                'max_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-metric', REFERENCE_CLASS, 'MaxMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric', 
                [], [], 
                '''                Set maximum metric
                ''',
                'max_metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nsr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable non-stop routing
                ''',
                'nsr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('queue-depth', REFERENCE_CLASS, 'QueueDepth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth', 
                [], [], 
                '''                OSPF Hello/Router process queue depth
                ''',
                'queue_depth',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('summary-prefix', REFERENCE_LIST, 'SummaryPrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.SummaryPrefix', 
                [], [], 
                '''                Configure IPv6 summary prefix
                ''',
                'summary_prefix',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily.Ipv6',
            False, 
            [
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast', 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf', 
                [], [], 
                '''                Specify parameters for a VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv4', 
                [], [], 
                '''                IPv4 Address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily.Ipv6', 
                [], [], 
                '''                IPv6 Address family
                ''',
                'ipv6',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.Router.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-ospfv3', True),
            _MetaInfoClassMember('address-family', REFERENCE_CLASS, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AddressFamily', 
                [], [], 
                '''                Enter Address Family command mode
                ''',
                'address_family',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Area', 
                [], [], 
                '''                OSPF area parameters
                ''',
                'area',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Authentication', 
                [], [], 
                '''                Authentication parameters
                ''',
                'authentication',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('auto-cost', REFERENCE_CLASS, 'AutoCost' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.AutoCost', 
                [], [], 
                '''                Calculate OSPF interface cost according to bandwidth
                ''',
                'auto_cost',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Disable', 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('event-log', REFERENCE_CLASS, 'EventLog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.EventLog', 
                [], [], 
                '''                OSPF Event Logging
                ''',
                'event_log',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.GracefulRestart', 
                [], [], 
                '''                Graceful-restart options
                ''',
                'graceful_restart',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('interface-id', REFERENCE_CLASS, 'InterfaceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.InterfaceId', 
                [], [], 
                '''                Source of the interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('log-adjacency-changes', REFERENCE_CLASS, 'LogAdjacencyChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.LogAdjacencyChanges', 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('manet', REFERENCE_CLASS, 'Manet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Manet', 
                [], [], 
                '''                Specify MANET OSPF parameters
                ''',
                'manet',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-lsa', REFERENCE_CLASS, 'MaxLsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.MaxLsa', 
                [], [], 
                '''                maximum number of LSAs OSPF process will receive
                ''',
                'max_lsa',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('max-metric', REFERENCE_CLASS, 'MaxMetric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.MaxMetric', 
                [], [], 
                '''                Set maximum metric
                ''',
                'max_metric',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('nsr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable non-stop routing
                ''',
                'nsr',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('queue-depth', REFERENCE_CLASS, 'QueueDepth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.QueueDepth', 
                [], [], 
                '''                OSPF Hello/Router process queue depth
                ''',
                'queue_depth',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Override configured router identifier (peers will reset)
                ''',
                'router_id',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('ttl-security', REFERENCE_CLASS, 'TtlSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3.TtlSecurity', 
                [], [], 
                '''                TTL security check
                ''',
                'ttl_security',
                'Cisco-IOS-XE-ospfv3', False),
            ],
            'Cisco-IOS-XE-ospfv3',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-ospfv3'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Neighbor',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Network',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Distance.DistanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Distance.DistanceList',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-rip', False, [
                    _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-rip', False, [
                            _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                                [('1', '99')], [], 
                                '''                                ''',
                                'access_list',
                                'Cisco-IOS-XE-rip', False),
                            _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '1999')], [], 
                                '''                                ''',
                                'access_list',
                                'Cisco-IOS-XE-rip', False),
                        ]),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-rip', False),
                ]),
            ],
            'Cisco-IOS-XE-rip',
            'distance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Distance',
            False, 
            [
            _MetaInfoClassMember('distance-leaf', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance_leaf',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distance-list', REFERENCE_LIST, 'DistanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Distance.DistanceList', 
                [], [], 
                '''                ''',
                'distance_list',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.DistributeList.Accesslist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.DistributeList.Accesslist',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', False, [
                    _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False, [
                            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                                [('1', '199')], [], 
                                '''                                ''',
                                'id',
                                'Cisco-IOS-XE-rip', False),
                            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '2699')], [], 
                                '''                                ''',
                                'id',
                                'Cisco-IOS-XE-rip', False),
                        ]),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False),
                ]),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.DistributeList.AccesslistIfname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.DistributeList.AccesslistIfname',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', False, [
                    _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False, [
                            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                                [('1', '199')], [], 
                                '''                                ''',
                                'id',
                                'Cisco-IOS-XE-rip', False),
                            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '2699')], [], 
                                '''                                ''',
                                'id',
                                'Cisco-IOS-XE-rip', False),
                        ]),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False),
                ]),
            _MetaInfoClassMember('interface-routing-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'interface_routing_id',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'isis_tag',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-ifname',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum' : _MetaInfoEnum('PrefixGatewayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'prefix':'prefix',
            'gateway':'gateway',
            'route-map':'route_map',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.DistributeList.AccesslistPrefixGateway' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.DistributeList.AccesslistPrefixGateway',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('prefix-gateway', REFERENCE_ENUM_CLASS, 'PrefixGatewayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum', 
                [], [], 
                '''                ''',
                'prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-prefix-gateway',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum' : _MetaInfoEnum('PrefixGatewayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'prefix':'prefix',
            'gateway':'gateway',
            'route-map':'route_map',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface-routing-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'interface_routing_id',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'isis_tag',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('prefix-gateway', REFERENCE_ENUM_CLASS, 'PrefixGatewayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum', 
                [], [], 
                '''                ''',
                'prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-prefix-gateway-ifname',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.DistributeList',
            False, 
            [
            _MetaInfoClassMember('accesslist', REFERENCE_LIST, 'Accesslist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.DistributeList.Accesslist', 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-ifname', REFERENCE_LIST, 'AccesslistIfname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.DistributeList.AccesslistIfname', 
                [], [], 
                '''                ''',
                'accesslist_ifname',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-prefix-gateway', REFERENCE_LIST, 'AccesslistPrefixGateway' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.DistributeList.AccesslistPrefixGateway', 
                [], [], 
                '''                ''',
                'accesslist_prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-prefix-gateway-ifname', REFERENCE_LIST, 'AccesslistPrefixGatewayIfname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname', 
                [], [], 
                '''                ''',
                'accesslist_prefix_gateway_ifname',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.OffsetList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.OffsetList',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'OffsetListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip', 'OffsetListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', False, [
                    _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False, [
                            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                                [('0', '99')], [], 
                                '''                                ''',
                                'id',
                                'Cisco-IOS-XE-rip', False),
                            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                                [('1300', '1999')], [], 
                                '''                                ''',
                                'id',
                                'Cisco-IOS-XE-rip', False),
                        ]),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False),
                ]),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                ''',
                'offset',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'offset-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-rip', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-rip', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-rip', True),
                ]),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist',
            False, 
            [
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-isis-redist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-isis-redist', REFERENCE_CLASS, 'RipIsisRedist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist', 
                [], [], 
                '''                ''',
                'rip_isis_redist',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.Redistribute.Isis.RipIsisRedist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Isis.RipIsisRedist',
            False, 
            [
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-isis-redist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-isis-redist', REFERENCE_CLASS, 'RipIsisRedist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Isis.RipIsisRedist', 
                [], [], 
                '''                ''',
                'rip_isis_redist',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList',
            False, 
            [
            _MetaInfoClassMember('iso-area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'iso_area_tag',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isoigrp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('isoigrp-list', REFERENCE_LIST, 'IsoigrpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'isoigrp_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Static.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Static.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Static.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute.Rip_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute.Rip_',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Redistribute',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Rip_', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Timers.Basic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Timers.Basic',
            False, 
            [
            _MetaInfoClassMember('flush', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'flush',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('invalid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'invalid',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('sleep', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'sleep',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('updates', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'updates',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'basic',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Timers',
            False, 
            [
            _MetaInfoClassMember('basic', REFERENCE_CLASS, 'Basic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Timers.Basic', 
                [], [], 
                '''                Basic routing protocol update timers
                ''',
                'basic',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Disable.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Disable.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Disable',
            False, 
            [
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Disable.PassiveInterface', 
                [], [], 
                '''                ''',
                'passive_interface',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.TrafficShare.Min' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.TrafficShare.Min',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.TrafficShare.Min', 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Neighbor',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Network',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance.DistanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance.DistanceList',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'distance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance',
            False, 
            [
            _MetaInfoClassMember('distance-leaf', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance_leaf',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distance-list', REFERENCE_LIST, 'DistanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance.DistanceList', 
                [], [], 
                '''                ''',
                'distance_list',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.Accesslist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.Accesslist',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistIfname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistIfname',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface-routing-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'interface_routing_id',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'isis_tag',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-ifname',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum' : _MetaInfoEnum('PrefixGatewayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'prefix':'prefix',
            'gateway':'gateway',
            'route-map':'route_map',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('prefix-gateway', REFERENCE_ENUM_CLASS, 'PrefixGatewayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum', 
                [], [], 
                '''                ''',
                'prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-prefix-gateway',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum' : _MetaInfoEnum('PrefixGatewayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'prefix':'prefix',
            'gateway':'gateway',
            'route-map':'route_map',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface-routing-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'interface_routing_id',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'isis_tag',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('prefix-gateway', REFERENCE_ENUM_CLASS, 'PrefixGatewayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum', 
                [], [], 
                '''                ''',
                'prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-prefix-gateway-ifname',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList',
            False, 
            [
            _MetaInfoClassMember('accesslist', REFERENCE_LIST, 'Accesslist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.Accesslist', 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-ifname', REFERENCE_LIST, 'AccesslistIfname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistIfname', 
                [], [], 
                '''                ''',
                'accesslist_ifname',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-prefix-gateway', REFERENCE_LIST, 'AccesslistPrefixGateway' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway', 
                [], [], 
                '''                ''',
                'accesslist_prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-prefix-gateway-ifname', REFERENCE_LIST, 'AccesslistPrefixGatewayIfname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname', 
                [], [], 
                '''                ''',
                'accesslist_prefix_gateway_ifname',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.OffsetList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.OffsetList',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'OffsetListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip', 'OffsetListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                ''',
                'offset',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'offset-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-rip', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-rip', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-rip', True),
                ]),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist',
            False, 
            [
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-isis-redist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-isis-redist', REFERENCE_CLASS, 'RipIsisRedist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist', 
                [], [], 
                '''                ''',
                'rip_isis_redist',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist',
            False, 
            [
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-isis-redist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-isis-redist', REFERENCE_CLASS, 'RipIsisRedist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist', 
                [], [], 
                '''                ''',
                'rip_isis_redist',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList',
            False, 
            [
            _MetaInfoClassMember('iso-area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'iso_area_tag',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isoigrp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('isoigrp-list', REFERENCE_LIST, 'IsoigrpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'isoigrp_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic',
            False, 
            [
            _MetaInfoClassMember('flush', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'flush',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('invalid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'invalid',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('sleep', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'sleep',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('updates', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'updates',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'basic',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers',
            False, 
            [
            _MetaInfoClassMember('basic', REFERENCE_CLASS, 'Basic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic', 
                [], [], 
                '''                Basic routing protocol update timers
                ''',
                'basic',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable',
            False, 
            [
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface', 
                [], [], 
                '''                ''',
                'passive_interface',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min', 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Unicast' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Unicast',
            False, 
            [
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable', 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('flash-update-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '30')], [], 
                '''                Specify flash update threshold in second
                ''',
                'flash_update_threshold',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('input-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '1024')], [], 
                '''                Specify input queue depth
                ''',
                'input_queue',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Network', 
                [], [], 
                '''                Enable routing on an IP network
                ''',
                'network',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('offset-list', REFERENCE_LIST, 'OffsetList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.OffsetList', 
                [], [], 
                '''                Add or subtract offset from RIP metrics
                ''',
                'offset_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('output-delay', ATTRIBUTE, 'int' , None, None, 
                [('8', '50')], [], 
                '''                Interpacket delay for RIP updates
                ''',
                'output_delay',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('validate-update-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform sanity checks against source address of routing updates
                ''',
                'validate_update_source',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                Set routing protocol version
                ''',
                'version',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'unicast',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Neighbor',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Network',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate',
            False, 
            [
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route-map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'originate',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', REFERENCE_CLASS, 'Originate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate', 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance.DistanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance.DistanceList',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'distance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance',
            False, 
            [
            _MetaInfoClassMember('distance-leaf', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance_leaf',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distance-list', REFERENCE_LIST, 'DistanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance.DistanceList', 
                [], [], 
                '''                ''',
                'distance_list',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.Accesslist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.Accesslist',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistIfname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistIfname',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface-routing-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'interface_routing_id',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'isis_tag',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-ifname',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum' : _MetaInfoEnum('PrefixGatewayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'prefix':'prefix',
            'gateway':'gateway',
            'route-map':'route_map',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('prefix-gateway', REFERENCE_ENUM_CLASS, 'PrefixGatewayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum', 
                [], [], 
                '''                ''',
                'prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-prefix-gateway',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum' : _MetaInfoEnum('PrefixGatewayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'prefix':'prefix',
            'gateway':'gateway',
            'route-map':'route_map',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface-routing-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'interface_routing_id',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'isis_tag',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('prefix-gateway', REFERENCE_ENUM_CLASS, 'PrefixGatewayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum', 
                [], [], 
                '''                ''',
                'prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-prefix-gateway-ifname',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList',
            False, 
            [
            _MetaInfoClassMember('accesslist', REFERENCE_LIST, 'Accesslist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.Accesslist', 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-ifname', REFERENCE_LIST, 'AccesslistIfname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistIfname', 
                [], [], 
                '''                ''',
                'accesslist_ifname',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-prefix-gateway', REFERENCE_LIST, 'AccesslistPrefixGateway' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway', 
                [], [], 
                '''                ''',
                'accesslist_prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-prefix-gateway-ifname', REFERENCE_LIST, 'AccesslistPrefixGatewayIfname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname', 
                [], [], 
                '''                ''',
                'accesslist_prefix_gateway_ifname',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.OffsetList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.OffsetList',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'OffsetListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip', 'OffsetListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                ''',
                'offset',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'offset-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-rip', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-rip', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-rip', True),
                ]),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist',
            False, 
            [
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-isis-redist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-isis-redist', REFERENCE_CLASS, 'RipIsisRedist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist', 
                [], [], 
                '''                ''',
                'rip_isis_redist',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist',
            False, 
            [
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-isis-redist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-isis-redist', REFERENCE_CLASS, 'RipIsisRedist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist', 
                [], [], 
                '''                ''',
                'rip_isis_redist',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList',
            False, 
            [
            _MetaInfoClassMember('iso-area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'iso_area_tag',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isoigrp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('isoigrp-list', REFERENCE_LIST, 'IsoigrpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'isoigrp_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Vrf_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Vrf_',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Vrf_', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic',
            False, 
            [
            _MetaInfoClassMember('flush', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'flush',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('holddown', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'holddown',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('invalid', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'invalid',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('sleep', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'sleep',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('updates', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                ''',
                'updates',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'basic',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers',
            False, 
            [
            _MetaInfoClassMember('basic', REFERENCE_CLASS, 'Basic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic', 
                [], [], 
                '''                Basic routing protocol update timers
                ''',
                'basic',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Network', 
                [], [], 
                '''                Enable routing on an IP network
                ''',
                'network',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('offset-list', REFERENCE_LIST, 'OffsetList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.OffsetList', 
                [], [], 
                '''                Add or subtract offset from RIP metrics
                ''',
                'offset_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('validate-update-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform sanity checks against source address of routing updates
                ''',
                'validate_update_source',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                Set routing protocol version
                ''',
                'version',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily.Ipv4',
            False, 
            [
            _MetaInfoClassMember('unicast', REFERENCE_CLASS, 'Unicast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Unicast', 
                [], [], 
                '''                ''',
                'unicast',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4.Vrf', 
                [], [], 
                '''                Specify parameters for a VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily.Ipv4', 
                [], [], 
                '''                Address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.AddressFamily.Ipv4.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.AddressFamily.Ipv4.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.AddressFamily.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.AddressFamily.Ipv4',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Address Family Modifier
                ''',
                'unicast',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.AddressFamily.Ipv4.Vrf', 
                [], [], 
                '''                Specify parameters for a VPN Routing/Forwarding instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.AddressFamily.Ipv4', 
                [], [], 
                '''                Address family
                ''',
                'ipv4',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Neighbor' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Neighbor',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Network' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Network',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.DefaultInformation' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.DefaultInformation',
            False, 
            [
            _MetaInfoClassMember('originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Distribute a default route
                ''',
                'originate',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'default-information',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Distance.DistanceList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Distance.DistanceList',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'ip',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'mask',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-rip', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-rip', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-rip', False),
                ]),
            ],
            'Cisco-IOS-XE-rip',
            'distance-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Distance' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Distance',
            False, 
            [
            _MetaInfoClassMember('distance-leaf', ATTRIBUTE, 'int' , None, None, 
                [('1', '255')], [], 
                '''                ''',
                'distance_leaf',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distance-list', REFERENCE_LIST, 'DistanceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Distance.DistanceList', 
                [], [], 
                '''                ''',
                'distance_list',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'distance',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.DistributeList.Accesslist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.DistributeList.Accesslist',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False),
                ]),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.DistributeList.AccesslistIfname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.DistributeList.AccesslistIfname',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '2699')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False),
                ]),
            _MetaInfoClassMember('interface-routing-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'interface_routing_id',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'isis_tag',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-ifname',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum' : _MetaInfoEnum('PrefixGatewayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'prefix':'prefix',
            'gateway':'gateway',
            'route-map':'route_map',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('prefix-gateway', REFERENCE_ENUM_CLASS, 'PrefixGatewayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum', 
                [], [], 
                '''                ''',
                'prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-prefix-gateway',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum' : _MetaInfoEnum('PrefixGatewayEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'prefix':'prefix',
            'gateway':'gateway',
            'route-map':'route_map',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'AccessListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'AccessListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('interface-routing-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'interface_routing_id',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'isis_tag',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('prefix-gateway', REFERENCE_ENUM_CLASS, 'PrefixGatewayEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum', 
                [], [], 
                '''                ''',
                'prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'accesslist-prefix-gateway-ifname',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.DistributeList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.DistributeList',
            False, 
            [
            _MetaInfoClassMember('accesslist', REFERENCE_LIST, 'Accesslist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.DistributeList.Accesslist', 
                [], [], 
                '''                ''',
                'accesslist',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-ifname', REFERENCE_LIST, 'AccesslistIfname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.DistributeList.AccesslistIfname', 
                [], [], 
                '''                ''',
                'accesslist_ifname',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-prefix-gateway', REFERENCE_LIST, 'AccesslistPrefixGateway' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway', 
                [], [], 
                '''                ''',
                'accesslist_prefix_gateway',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('accesslist-prefix-gateway-ifname', REFERENCE_LIST, 'AccesslistPrefixGatewayIfname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname', 
                [], [], 
                '''                ''',
                'accesslist_prefix_gateway_ifname',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'distribute-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.OffsetList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.OffsetList',
            False, 
            [
            _MetaInfoClassMember('in-out', REFERENCE_ENUM_CLASS, 'OffsetListInOutTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip', 'OffsetListInOutTypeEnum', 
                [], [], 
                '''                ''',
                'in_out',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-rip', False, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('0', '99')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False),
                    _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-rip', False),
                ]),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                ''',
                'offset',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'offset-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Suppress routing updates on all interfaces
                ''',
                'default',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Disable.PassiveInterface' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Disable.PassiveInterface',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'interface',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'passive-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Disable' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Disable',
            False, 
            [
            _MetaInfoClassMember('passive-interface', REFERENCE_LIST, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Disable.PassiveInterface', 
                [], [], 
                '''                ''',
                'passive_interface',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'disable',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Connected' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Connected',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Bgp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Bgp',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-rip', True, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4294967295')], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-rip', True),
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'as_number',
                        'Cisco-IOS-XE-rip', True),
                ]),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Eigrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'as_number',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist',
            False, 
            [
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-isis-redist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Isis.IsisArea' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Isis.IsisArea',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-isis-redist', REFERENCE_CLASS, 'RipIsisRedist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist', 
                [], [], 
                '''                ''',
                'rip_isis_redist',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isis-area',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum' : _MetaInfoEnum('IsisLevelRoutesEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'level-1':'level_1',
            'level-2':'level_2',
            'level-1-2':'level_1_2',
        }, 'Cisco-IOS-XE-rip', _yang_ns._namespaces['Cisco-IOS-XE-rip']),
    'Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist',
            False, 
            [
            _MetaInfoClassMember('isis-level-routes', REFERENCE_ENUM_CLASS, 'IsisLevelRoutesEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum', 
                [], [], 
                '''                ''',
                'isis_level_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-isis-redist',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Isis',
            False, 
            [
            _MetaInfoClassMember('isis-area', REFERENCE_LIST, 'IsisArea' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Isis.IsisArea', 
                [], [], 
                '''                ''',
                'isis_area',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-isis-redist', REFERENCE_CLASS, 'RipIsisRedist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist', 
                [], [], 
                '''                ''',
                'rip_isis_redist',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList',
            False, 
            [
            _MetaInfoClassMember('iso-area-tag', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'iso_area_tag',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'isoigrp-list',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.IsoIgrp' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.IsoIgrp',
            False, 
            [
            _MetaInfoClassMember('isoigrp-list', REFERENCE_LIST, 'IsoigrpList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'isoigrp_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'iso-igrp',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Mobile' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Mobile',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Odr' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Odr',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'odr',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-rip', True),
            ],
            'Cisco-IOS-XE-rip',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'internal',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.Match.External' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.Match.External',
            False, 
            [
            _MetaInfoClassMember('external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'external_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'external',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal',
            False, 
            [
            _MetaInfoClassMember('nssa-external-routes', REFERENCE_ENUM_CLASS, 'RedistOspfExternalTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'RedistOspfExternalTypeEnum', 
                [], [], 
                '''                ''',
                'nssa_external_routes',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'nssa-external',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.Match' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.Match',
            False, 
            [
            _MetaInfoClassMember('external', REFERENCE_CLASS, 'External' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.Match.External', 
                [], [], 
                '''                Redistribute OSPF external routes
                ''',
                'external',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('internal', REFERENCE_CLASS, 'Internal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal', 
                [], [], 
                '''                Redistribute OSPF internal routes
                ''',
                'internal',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('nssa-external', REFERENCE_CLASS, 'NssaExternal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal', 
                [], [], 
                '''                Redistribute OSPF NSSA external routes
                ''',
                'nssa_external',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Ospf',
            False, 
            [
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'process_id',
                'Cisco-IOS-XE-rip', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.Match', 
                [], [], 
                '''                Redistribution of OSPF routes
                ''',
                'match',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Instance
                ''',
                'vrf',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Static' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Static',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap.Metric' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap.Metric',
            False, 
            [
            _MetaInfoClassMember('metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '16')], [], 
                '''                Metric for redistributed routes
                ''',
                'metric_value',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Transparently redistribute metric
                ''',
                'transparent',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap',
            False, 
            [
            _MetaInfoClassMember('metric', REFERENCE_CLASS, 'Metric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap.Metric', 
                [], [], 
                '''                Metric for redistributed routes
                ''',
                'metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('route-map', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route map reference
                ''',
                'route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip-metric-route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute.Rip_' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute.Rip_',
            False, 
            [
            _MetaInfoClassMember('rip-metric-route-map', REFERENCE_CLASS, 'RipMetricRouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap', 
                [], [], 
                '''                ''',
                'rip_metric_route_map',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Redistribute' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Redistribute',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Connected', 
                [], [], 
                '''                Connected
                ''',
                'connected',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('iso-igrp', REFERENCE_CLASS, 'IsoIgrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.IsoIgrp', 
                [], [], 
                '''                IGRP for OSI networks
                ''',
                'iso_igrp',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Mobile', 
                [], [], 
                '''                Mobile routes
                ''',
                'mobile',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('odr', REFERENCE_CLASS, 'Odr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Odr', 
                [], [], 
                '''                On Demand stub Routes
                ''',
                'odr',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Rip_', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute.Static', 
                [], [], 
                '''                Static routes
                ''',
                'static',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'redistribute',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.Timers' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.Timers',
            False, 
            [
            _MetaInfoClassMember('basic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Basic routing protocol update timers
                ''',
                'basic',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'timers',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.TrafficShare.Min' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.TrafficShare.Min',
            False, 
            [
            _MetaInfoClassMember('across-interfaces', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use different interfaces for equal-cost paths
                ''',
                'across_interfaces',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'min',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default.TrafficShare' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default.TrafficShare',
            False, 
            [
            _MetaInfoClassMember('min', REFERENCE_CLASS, 'Min' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.TrafficShare.Min', 
                [], [], 
                '''                All traffic shared among min metric paths
                ''',
                'min',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'traffic-share',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip.Default' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip.Default',
            False, 
            [
            _MetaInfoClassMember('address-family', REFERENCE_CLASS, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.AddressFamily', 
                [], [], 
                '''                Enter Address Family command mode
                ''',
                'address_family',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Disable', 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('flash-update-threshold', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify flash update threshold in second
                ''',
                'flash_update_threshold',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('input-queue', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Specify input queue depth
                ''',
                'input_queue',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Network', 
                [], [], 
                '''                Enable routing on an IP network
                ''',
                'network',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('offset-list', REFERENCE_LIST, 'OffsetList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.OffsetList', 
                [], [], 
                '''                Add or subtract offset from RIP metrics
                ''',
                'offset_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('output-delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interpacket delay for RIP updates
                ''',
                'output_delay',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('validate-update-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform sanity checks against source address of routing updates
                ''',
                'validate_update_source',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set routing protocol version
                ''',
                'version',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router.Rip' : {
        'meta_info' : _MetaInfoClass('Native.Router.Rip',
            False, 
            [
            _MetaInfoClassMember('address-family', REFERENCE_CLASS, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.AddressFamily', 
                [], [], 
                '''                Enter Address Family command mode
                ''',
                'address_family',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('auto-summary', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable automatic network number summarization
                ''',
                'auto_summary',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('default-information', REFERENCE_CLASS, 'DefaultInformation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.DefaultInformation', 
                [], [], 
                '''                Control distribution of default information
                ''',
                'default_information',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Set metric of redistributed routes
                ''',
                'default_metric',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('disable', REFERENCE_CLASS, 'Disable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Disable', 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distance', REFERENCE_CLASS, 'Distance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Distance', 
                [], [], 
                '''                Define an administrative distance
                ''',
                'distance',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('distribute-list', REFERENCE_CLASS, 'DistributeList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.DistributeList', 
                [], [], 
                '''                Filter networks in routing updates
                ''',
                'distribute_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('flash-update-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '30')], [], 
                '''                Specify flash update threshold in second
                ''',
                'flash_update_threshold',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('input-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '1024')], [], 
                '''                Specify input queue depth
                ''',
                'input_queue',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                Forward packets over multiple paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Neighbor', 
                [], [], 
                '''                Specify a neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Network', 
                [], [], 
                '''                Enable routing on an IP network
                ''',
                'network',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('offset-list', REFERENCE_LIST, 'OffsetList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.OffsetList', 
                [], [], 
                '''                Add or subtract offset from RIP metrics
                ''',
                'offset_list',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('output-delay', ATTRIBUTE, 'int' , None, None, 
                [('8', '50')], [], 
                '''                Interpacket delay for RIP updates
                ''',
                'output_delay',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('passive-interface', REFERENCE_CLASS, 'PassiveInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.PassiveInterface', 
                [], [], 
                '''                Suppress routing updates on an interface
                ''',
                'passive_interface',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('redistribute', REFERENCE_CLASS, 'Redistribute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Redistribute', 
                [], [], 
                '''                Redistribute information from another routing protocol
                ''',
                'redistribute',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('timers', REFERENCE_CLASS, 'Timers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.Timers', 
                [], [], 
                '''                Adjust routing timers
                ''',
                'timers',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('traffic-share', REFERENCE_CLASS, 'TrafficShare' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip.TrafficShare', 
                [], [], 
                '''                How to compute traffic share over alternate paths
                ''',
                'traffic_share',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('validate-update-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Perform sanity checks against source address of routing updates
                ''',
                'validate_update_source',
                'Cisco-IOS-XE-rip', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                Set routing protocol version
                ''',
                'version',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-rip',
            'rip',
            _yang_ns._namespaces['Cisco-IOS-XE-rip'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Router' : {
        'meta_info' : _MetaInfoClass('Native.Router',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_LIST, 'Bgp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Bgp', 
                [], [], 
                '''                Border Gateway Protocol (BGP)
                ''',
                'bgp',
                'Cisco-IOS-XE-bgp', False, max_elements=1),
            _MetaInfoClassMember('eigrp', REFERENCE_LIST, 'Eigrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Eigrp', 
                [], [], 
                '''                Enhanced Interior Gateway Routing Protocol (EIGRP)
                ''',
                'eigrp',
                'Cisco-IOS-XE-eigrp', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Isis', 
                [], [], 
                '''                ISO IS-IS
                ''',
                'isis',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('isis-container', REFERENCE_CLASS, 'IsisContainer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.IsisContainer', 
                [], [], 
                '''                ''',
                'isis_container',
                'Cisco-IOS-XE-isis', False),
            _MetaInfoClassMember('lisp', REFERENCE_CLASS, 'Lisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Lisp', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('lisp-list', REFERENCE_LIST, 'LispList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.LispList', 
                [], [], 
                '''                Locator/ID Separation Protocol
                ''',
                'lisp_list',
                'Cisco-IOS-XE-lisp', False),
            _MetaInfoClassMember('ospf', REFERENCE_LIST, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospf', 
                [], [], 
                '''                Open Shortest Path First (OSPF)
                ''',
                'ospf',
                'Cisco-IOS-XE-ospf', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_LIST, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Ospfv3', 
                [], [], 
                '''                OSPFv3
                ''',
                'ospfv3',
                'Cisco-IOS-XE-ospfv3', False),
            _MetaInfoClassMember('rip', REFERENCE_CLASS, 'Rip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router.Rip', 
                [], [], 
                '''                Routing Information Protocol (RIP)
                ''',
                'rip',
                'Cisco-IOS-XE-rip', False),
            ],
            'Cisco-IOS-XE-native',
            'router',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre.EnhancedEnum' : _MetaInfoEnum('EnhancedEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'copy':'copy',
            'divert':'divert',
        }, 'Cisco-IOS-XE-service-chain', _yang_ns._namespaces['Cisco-IOS-XE-service-chain']),
    'Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre',
            False, 
            [
            _MetaInfoClassMember('enhanced', REFERENCE_ENUM_CLASS, 'EnhancedEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre.EnhancedEnum', 
                [], [], 
                '''                Add enhanced NSH TLV information
                ''',
                'enhanced',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre', 
                [], [], 
                '''                Service node encapsulation type
                ''',
                'gre',
                'Cisco-IOS-XE-service-chain', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Service node encapsulation type
                ''',
                'none',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ''',
                'address',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 256)], [], 
                '''                Service function description
                ''',
                'description',
                'Cisco-IOS-XE-service-chain', False),
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation', 
                [], [], 
                '''                Service node encapsulation
                ''',
                'encapsulation',
                'Cisco-IOS-XE-service-chain', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip', 
                [], [], 
                '''                Service node
                ''',
                'ip',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'config-service-chain-sf-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServiceFunction' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServiceFunction',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Service function name
                ''',
                'name',
                'Cisco-IOS-XE-service-chain', True),
            _MetaInfoClassMember('config-service-chain-sf-mode', REFERENCE_CLASS, 'ConfigServiceChainSfMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode', 
                [], [], 
                '''                ''',
                'config_service_chain_sf_mode',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'service-function',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set IPv4 address
                ''',
                'address',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                WORD;;Service function forwarder name
                ''',
                'name',
                'Cisco-IOS-XE-service-chain', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 256)], [], 
                '''                Service function forwarder description
                ''',
                'description',
                'Cisco-IOS-XE-service-chain', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip', 
                [], [], 
                '''                IP address for Service Function Forwarder
                ''',
                'ip',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'service-ff-name',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServiceFunctionForwarder.Local.Ip' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServiceFunctionForwarder.Local.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set IPv4 address
                ''',
                'address',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServiceFunctionForwarder.Local' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServiceFunctionForwarder.Local',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 256)], [], 
                '''                Service function forwarder description
                ''',
                'description',
                'Cisco-IOS-XE-service-chain', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServiceFunctionForwarder.Local.Ip', 
                [], [], 
                '''                IP address for Service Function Forwarder
                ''',
                'ip',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServiceFunctionForwarder' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServiceFunctionForwarder',
            False, 
            [
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServiceFunctionForwarder.Local', 
                [], [], 
                '''                Local service function forwarder
                ''',
                'local',
                'Cisco-IOS-XE-service-chain', False),
            _MetaInfoClassMember('service-ff-name', REFERENCE_LIST, 'ServiceFfName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName', 
                [], [], 
                '''                ''',
                'service_ff_name',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'service-function-forwarder',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex.Services' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex.Services',
            False, 
            [
            _MetaInfoClassMember('service-index-id', ATTRIBUTE, 'int' , None, None, 
                [('2', '255')], [], 
                '''                ''',
                'service_index_id',
                'Cisco-IOS-XE-service-chain', True),
            _MetaInfoClassMember('service-function', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Function name
                ''',
                'service_function',
                'Cisco-IOS-XE-service-chain', False),
            _MetaInfoClassMember('service-function-forwarder', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Function Forwarder name
                ''',
                'service_function_forwarder',
                'Cisco-IOS-XE-service-chain', False),
            _MetaInfoClassMember('terminate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Terminate(Proxy)
                ''',
                'terminate',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'services',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex',
            False, 
            [
            _MetaInfoClassMember('services', REFERENCE_LIST, 'Services' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex.Services', 
                [], [], 
                '''                ''',
                'services',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'service-index',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServicePath.ConfigServiceChainPathMode' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServicePath.ConfigServiceChainPathMode',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(1, 256)], [], 
                '''                Path Description
                ''',
                'description',
                'Cisco-IOS-XE-service-chain', False),
            _MetaInfoClassMember('service-index', REFERENCE_CLASS, 'ServiceIndex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex', 
                [], [], 
                '''                Service Index
                ''',
                'service_index',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'config-service-chain-path-mode',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain.ServicePath' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain.ServicePath',
            False, 
            [
            _MetaInfoClassMember('service-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '16777215')], [], 
                '''                ''',
                'service_path_id',
                'Cisco-IOS-XE-service-chain', True),
            _MetaInfoClassMember('config-service-chain-path-mode', REFERENCE_CLASS, 'ConfigServiceChainPathMode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServicePath.ConfigServiceChainPathMode', 
                [], [], 
                '''                ''',
                'config_service_chain_path_mode',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-service-chain',
            'service-path',
            _yang_ns._namespaces['Cisco-IOS-XE-service-chain'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceChain' : {
        'meta_info' : _MetaInfoClass('Native.ServiceChain',
            False, 
            [
            _MetaInfoClassMember('service-function', REFERENCE_LIST, 'ServiceFunction' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServiceFunction', 
                [], [], 
                '''                Service function details
                ''',
                'service_function',
                'Cisco-IOS-XE-service-chain', False),
            _MetaInfoClassMember('service-function-forwarder', REFERENCE_CLASS, 'ServiceFunctionForwarder' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServiceFunctionForwarder', 
                [], [], 
                '''                Service function forwarder details
                ''',
                'service_function_forwarder',
                'Cisco-IOS-XE-service-chain', False),
            _MetaInfoClassMember('service-path', REFERENCE_LIST, 'ServicePath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain.ServicePath', 
                [], [], 
                '''                Service Path Entries
                ''',
                'service_path',
                'Cisco-IOS-XE-service-chain', False),
            ],
            'Cisco-IOS-XE-native',
            'service-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Default.Exporter.TransportEnum' : _MetaInfoEnum('TransportEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'udp':'udp',
        }, 'Cisco-IOS-XE-ezpm', _yang_ns._namespaces['Cisco-IOS-XE-ezpm']),
    'Native.Performance.Monitor.Context.Default.Exporter' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Default.Exporter',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Export destination configuration
                ''',
                'destination',
                'Cisco-IOS-XE-ezpm', False, [
                    _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Export destination configuration
                        ''',
                        'destination',
                        'Cisco-IOS-XE-ezpm', False),
                    _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Export destination configuration
                        ''',
                        'destination',
                        'Cisco-IOS-XE-ezpm', False),
                ]),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                port
                ''',
                'port',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Originating interface
                ''',
                'source',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('transport', REFERENCE_ENUM_CLASS, 'TransportEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.Exporter.TransportEnum', 
                [], [], 
                '''                transport
                ''',
                'transport',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf
                ''',
                'vrf',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'exporter',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Default.TrafficMonitor.All' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Default.TrafficMonitor.All',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime.CacheTypeEnum' : _MetaInfoEnum('CacheTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'normal':'normal',
            'synchronized':'synchronized',
        }, 'Cisco-IOS-XE-ezpm', _yang_ns._namespaces['Cisco-IOS-XE-ezpm']),
    'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('cache-type', REFERENCE_ENUM_CLASS, 'CacheTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime.CacheTypeEnum', 
                [], [], 
                '''                The type of the Flow Cache
                ''',
                'cache_type',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-and', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Narrow down default traffic classification
                ''',
                'class_and',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'application-response-time',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationTrafficStats' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationTrafficStats',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'application-traffic-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats.CacheTypeEnum' : _MetaInfoEnum('CacheTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'normal':'normal',
            'synchronized':'synchronized',
        }, 'Cisco-IOS-XE-ezpm', _yang_ns._namespaces['Cisco-IOS-XE-ezpm']),
    'Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('cache-type', REFERENCE_ENUM_CLASS, 'CacheTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats.CacheTypeEnum', 
                [], [], 
                '''                The type of the Flow Cache
                ''',
                'cache_type',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'conversation-traffic-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Default.TrafficMonitor.Media' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Default.TrafficMonitor.Media',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-and', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Narrow down default traffic classification
                ''',
                'class_and',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor on egress direction
                ''',
                'egress',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor on ingress direction
                ''',
                'ingress',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'media',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Default.TrafficMonitor.Url' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Default.TrafficMonitor.Url',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-and', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Narrow down default traffic classification
                ''',
                'class_and',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('sampling-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '32768')], [], 
                '''                Sampling rate of flow sampler
                ''',
                'sampling_rate',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats.CacheTypeEnum' : _MetaInfoEnum('CacheTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'normal':'normal',
            'synchronized':'synchronized',
        }, 'Cisco-IOS-XE-ezpm', _yang_ns._namespaces['Cisco-IOS-XE-ezpm']),
    'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('cache-type', REFERENCE_ENUM_CLASS, 'CacheTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats.CacheTypeEnum', 
                [], [], 
                '''                The type of the Flow Cache
                ''',
                'cache_type',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'application-client-server-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationStats' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationStats',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'application-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Default.TrafficMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Default.TrafficMonitor',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor.All', 
                [], [], 
                '''                All traffic monitors in this profile
                ''',
                'all',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('application-client-server-stats', REFERENCE_CLASS, 'ApplicationClientServerStats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats', 
                [], [], 
                '''                Per interface, client, server and application statistics
                ''',
                'application_client_server_stats',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('application-response-time', REFERENCE_CLASS, 'ApplicationResponseTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime', 
                [], [], 
                '''                Application response time (ART) metrics and counters for TCP traffic
                ''',
                'application_response_time',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('application-stats', REFERENCE_CLASS, 'ApplicationStats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationStats', 
                [], [], 
                '''                Per application and interface statistics
                ''',
                'application_stats',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('application-traffic-stats', REFERENCE_CLASS, 'ApplicationTrafficStats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationTrafficStats', 
                [], [], 
                '''                Application level counters for dns and dht protocol
                ''',
                'application_traffic_stats',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('conversation-traffic-stats', REFERENCE_CLASS, 'ConversationTrafficStats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats', 
                [], [], 
                '''                Conversation level counters for IP traffic
                ''',
                'conversation_traffic_stats',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('media', REFERENCE_CLASS, 'Media' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor.Media', 
                [], [], 
                '''                Media metrics and counters for rtp and telepresence-media traffic
                ''',
                'media',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor.Url', 
                [], [], 
                '''                URL information, application response time (ART) metrics and counters
                ''',
                'url',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'traffic-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Default' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Default',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Provide a description for ezPM context
                ''',
                'description',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('exporter', REFERENCE_CLASS, 'Exporter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.Exporter', 
                [], [], 
                '''                Create exporter
                ''',
                'exporter',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('traffic-monitor', REFERENCE_CLASS, 'TrafficMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default.TrafficMonitor', 
                [], [], 
                '''                Select traffic monitor
                ''',
                'traffic_monitor',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.Exporter.TransportEnum' : _MetaInfoEnum('TransportEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'udp':'udp',
        }, 'Cisco-IOS-XE-ezpm', _yang_ns._namespaces['Cisco-IOS-XE-ezpm']),
    'Native.Performance.Monitor.Context.Exporter' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.Exporter',
            False, 
            [
            _MetaInfoClassMember('destination', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Export destination configuration
                ''',
                'destination',
                'Cisco-IOS-XE-ezpm', False, [
                    _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Export destination configuration
                        ''',
                        'destination',
                        'Cisco-IOS-XE-ezpm', False),
                    _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Export destination configuration
                        ''',
                        'destination',
                        'Cisco-IOS-XE-ezpm', False),
                ]),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                port
                ''',
                'port',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Originating interface
                ''',
                'source',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('transport', REFERENCE_ENUM_CLASS, 'TransportEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Exporter.TransportEnum', 
                [], [], 
                '''                transport
                ''',
                'transport',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf
                ''',
                'vrf',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'exporter',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.TrafficMonitor.All' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.TrafficMonitor.All',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime.CacheTypeEnum' : _MetaInfoEnum('CacheTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'normal':'normal',
            'synchronized':'synchronized',
        }, 'Cisco-IOS-XE-ezpm', _yang_ns._namespaces['Cisco-IOS-XE-ezpm']),
    'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('cache-type', REFERENCE_ENUM_CLASS, 'CacheTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime.CacheTypeEnum', 
                [], [], 
                '''                The type of the Flow Cache
                ''',
                'cache_type',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-and', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Narrow down default traffic classification
                ''',
                'class_and',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'application-response-time',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationTrafficStats' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.TrafficMonitor.ApplicationTrafficStats',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'application-traffic-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats.CacheTypeEnum' : _MetaInfoEnum('CacheTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'normal':'normal',
            'synchronized':'synchronized',
        }, 'Cisco-IOS-XE-ezpm', _yang_ns._namespaces['Cisco-IOS-XE-ezpm']),
    'Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('cache-type', REFERENCE_ENUM_CLASS, 'CacheTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats.CacheTypeEnum', 
                [], [], 
                '''                The type of the Flow Cache
                ''',
                'cache_type',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'conversation-traffic-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.TrafficMonitor.Media' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.TrafficMonitor.Media',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-and', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Narrow down default traffic classification
                ''',
                'class_and',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('egress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor on egress direction
                ''',
                'egress',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ingress', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor on ingress direction
                ''',
                'ingress',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'media',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.TrafficMonitor.Url' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.TrafficMonitor.Url',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-and', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Narrow down default traffic classification
                ''',
                'class_and',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('sampling-rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '32768')], [], 
                '''                Sampling rate of flow sampler
                ''',
                'sampling_rate',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats.CacheTypeEnum' : _MetaInfoEnum('CacheTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'normal':'normal',
            'synchronized':'synchronized',
        }, 'Cisco-IOS-XE-ezpm', _yang_ns._namespaces['Cisco-IOS-XE-ezpm']),
    'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('cache-type', REFERENCE_ENUM_CLASS, 'CacheTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats.CacheTypeEnum', 
                [], [], 
                '''                The type of the Flow Cache
                ''',
                'cache_type',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv4 traffic
                ''',
                'ipv4',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate monitor for ipv6 traffic
                ''',
                'ipv6',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'application-client-server-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationStats' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.TrafficMonitor.ApplicationStats',
            False, 
            [
            _MetaInfoClassMember('cache-size', ATTRIBUTE, 'int' , None, None, 
                [('64', '2000000')], [], 
                '''                Maximum flow entries in the Flow Cache
                ''',
                'cache_size',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('class-replace', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Replace traffic classification
                ''',
                'class_replace',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('interval-timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '604800')], [], 
                '''                The exporting interval timeout
                ''',
                'interval_timeout',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'application-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.TrafficMonitor' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context.TrafficMonitor',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor.All', 
                [], [], 
                '''                All traffic monitors in this profile
                ''',
                'all',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('application-client-server-stats', REFERENCE_CLASS, 'ApplicationClientServerStats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats', 
                [], [], 
                '''                Per interface, client, server and application statistics
                ''',
                'application_client_server_stats',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('application-response-time', REFERENCE_CLASS, 'ApplicationResponseTime' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime', 
                [], [], 
                '''                Application response time (ART) metrics and counters for TCP traffic
                ''',
                'application_response_time',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('application-stats', REFERENCE_CLASS, 'ApplicationStats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationStats', 
                [], [], 
                '''                Per application and interface statistics
                ''',
                'application_stats',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('application-traffic-stats', REFERENCE_CLASS, 'ApplicationTrafficStats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor.ApplicationTrafficStats', 
                [], [], 
                '''                Application level counters for dns and dht protocol
                ''',
                'application_traffic_stats',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('conversation-traffic-stats', REFERENCE_CLASS, 'ConversationTrafficStats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats', 
                [], [], 
                '''                Conversation level counters for IP traffic
                ''',
                'conversation_traffic_stats',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('media', REFERENCE_CLASS, 'Media' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor.Media', 
                [], [], 
                '''                Media metrics and counters for rtp and telepresence-media traffic
                ''',
                'media',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor.Url', 
                [], [], 
                '''                URL information, application response time (ART) metrics and counters
                ''',
                'url',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'traffic-monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.Context.ProfileEnum' : _MetaInfoEnum('ProfileEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'application-experience':'application_experience',
            'application-performance':'application_performance',
            'application-statistics':'application_statistics',
        }, 'Cisco-IOS-XE-ezpm', _yang_ns._namespaces['Cisco-IOS-XE-ezpm']),
    'Native.Performance.Monitor.Context' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ezpm', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide a description for ezPM context
                ''',
                'description',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('exporter', REFERENCE_CLASS, 'Exporter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.Exporter', 
                [], [], 
                '''                Create exporter
                ''',
                'exporter',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('profile', REFERENCE_ENUM_CLASS, 'ProfileEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.ProfileEnum', 
                [], [], 
                '''                Select ezPM profile
                ''',
                'profile',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('traffic-monitor', REFERENCE_CLASS, 'TrafficMonitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context.TrafficMonitor', 
                [], [], 
                '''                Select traffic monitor
                ''',
                'traffic_monitor',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor.ObservationPoint' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor.ObservationPoint',
            False, 
            [
            _MetaInfoClassMember('encrypted-text', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select clear text for observation
                ''',
                'encrypted_text',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'observation-point',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Performance.Monitor',
            False, 
            [
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.Context', 
                [], [], 
                '''                Define ezPM context
                ''',
                'context',
                'Cisco-IOS-XE-ezpm', False),
            _MetaInfoClassMember('observation-point', REFERENCE_CLASS, 'ObservationPoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor.ObservationPoint', 
                [], [], 
                '''                Select observation point
                ''',
                'observation_point',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-ezpm',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-ezpm'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Performance' : {
        'meta_info' : _MetaInfoClass('Native.Performance',
            False, 
            [
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance.Monitor', 
                [], [], 
                '''                monitor
                ''',
                'monitor',
                'Cisco-IOS-XE-ezpm', False),
            ],
            'Cisco-IOS-XE-native',
            'performance',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Fragmentation.JoinInterface.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Fragmentation.JoinInterface.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Fragmentation.JoinInterface.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Fragmentation.JoinInterface.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Fragmentation.JoinInterface.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Fragmentation.JoinInterface.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Fragmentation.JoinInterface' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Fragmentation.JoinInterface',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Fragmentation.JoinInterface.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Fragmentation.JoinInterface.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Fragmentation.JoinInterface.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'join-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Fragmentation' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Fragmentation',
            False, 
            [
            _MetaInfoClassMember('join-interface', REFERENCE_CLASS, 'JoinInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Fragmentation.JoinInterface', 
                [], [], 
                '''                Allow fragmentation for overlays using this join-interface
                ''',
                'join_interface',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'fragmentation',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.Authentication.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'md5':'md5',
            'text':'text',
        }, 'Cisco-IOS-XE-otv', _yang_ns._namespaces['Cisco-IOS-XE-otv']),
    'Native.Otv.Isis.Overlay.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.Authentication.ModeEnum', 
                [], [], 
                '''                Authentication mode for PDUs
                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('send-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.Default.Authentication.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'md5':'md5',
            'text':'text',
        }, 'Cisco-IOS-XE-otv', _yang_ns._namespaces['Cisco-IOS-XE-otv']),
    'Native.Otv.Isis.Overlay.Default.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.Default.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.Default.Authentication.ModeEnum', 
                [], [], 
                '''                Authentication mode for PDUs
                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('send-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.Default.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.Default.Hostname',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Dynamic hostname
                ''',
                'dynamic',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.Default.Nsf' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.Default.Nsf',
            False, 
            [
            _MetaInfoClassMember('cisco', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Checkpoint method
                ''',
                'cisco',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum required stable interval between restarts
                ''',
                'interval',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.Default.Skeptical' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.Default.Skeptical',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interval during which holdtime will NOT be refreshed
                ''',
                'interval',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'skeptical',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.Default' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.Default',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.Default.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('delayed-deletion-interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set delayed deletion interval
                ''',
                'delayed_deletion_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.Default.Hostname', 
                [], [], 
                '''                Dynamic hostname for IS-IS
                ''',
                'hostname',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('log-adjacency-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('lsp-gen-interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum interval between regenerating same LSP
                ''',
                'lsp_gen_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('lsp-mtu', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set maximum LSP size
                ''',
                'lsp_mtu',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('lsp-refresh-interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set LSP refresh interval
                ''',
                'lsp_refresh_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('max-lsp-lifetime', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set maximum LSP lifetime
                ''',
                'max_lsp_lifetime',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.Default.Nsf', 
                [], [], 
                '''                Non-stop forwarding
                ''',
                'nsf',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('prc-interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum interval between partial route calculations
                ''',
                'prc_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('skeptical', REFERENCE_CLASS, 'Skeptical' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.Default.Skeptical', 
                [], [], 
                '''                Be a cautious NSF helper when refresh adjacency
                ''',
                'skeptical',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('spf-interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Minimum interval between SPF calculations
                ''',
                'spf_interval',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.Hostname' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.Hostname',
            False, 
            [
            _MetaInfoClassMember('dynamic', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Dynamic hostname
                ''',
                'dynamic',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hostname',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.LogAdjacencyChanges' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.LogAdjacencyChanges',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include changes generated by non-IIH event
                ''',
                'all',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'log-adjacency-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.LspGenInterval' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.LspGenInterval',
            False, 
            [
            _MetaInfoClassMember('milliseconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'milliseconds',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'wait',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'lsp-gen-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.Nsf' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.Nsf',
            False, 
            [
            _MetaInfoClassMember('cisco', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Checkpoint method
                ''',
                'cisco',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '1440')], [], 
                '''                Minimum required stable interval between restarts
                ''',
                'interval',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.PrcInterval' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.PrcInterval',
            False, 
            [
            _MetaInfoClassMember('milliseconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'milliseconds',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'wait',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'prc-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.Skeptical' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.Skeptical',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '1440')], [], 
                '''                Interval during which holdtime will NOT be refreshed
                ''',
                'interval',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'skeptical',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay.SpfInterval' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay.SpfInterval',
            False, 
            [
            _MetaInfoClassMember('milliseconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'milliseconds',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '120')], [], 
                '''                ''',
                'seconds',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('wait', ATTRIBUTE, 'int' , None, None, 
                [('1', '120000')], [], 
                '''                ''',
                'wait',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'spf-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Overlay' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Overlay',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '512')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('delayed-deletion-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '86400')], [], 
                '''                Set delayed deletion interval
                ''',
                'delayed_deletion_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hostname', REFERENCE_CLASS, 'Hostname' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.Hostname', 
                [], [], 
                '''                Dynamic hostname for IS-IS
                ''',
                'hostname',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('log-adjacency-changes', REFERENCE_CLASS, 'LogAdjacencyChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.LogAdjacencyChanges', 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('lsp-gen-interval', REFERENCE_CLASS, 'LspGenInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.LspGenInterval', 
                [], [], 
                '''                Minimum interval between regenerating same LSP
                ''',
                'lsp_gen_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('lsp-mtu', ATTRIBUTE, 'int' , None, None, 
                [('128', '4352')], [], 
                '''                Set maximum LSP size
                ''',
                'lsp_mtu',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('lsp-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set LSP refresh interval
                ''',
                'lsp_refresh_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('max-lsp-lifetime', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Set maximum LSP lifetime
                ''',
                'max_lsp_lifetime',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.Nsf', 
                [], [], 
                '''                Non-stop forwarding
                ''',
                'nsf',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('prc-interval', REFERENCE_CLASS, 'PrcInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.PrcInterval', 
                [], [], 
                '''                Minimum interval between partial route calculations
                ''',
                'prc_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('skeptical', REFERENCE_CLASS, 'Skeptical' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.Skeptical', 
                [], [], 
                '''                Be a cautious NSF helper when refresh adjacency
                ''',
                'skeptical',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('spf-interval', REFERENCE_CLASS, 'SpfInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay.SpfInterval', 
                [], [], 
                '''                Minimum interval between SPF calculations
                ''',
                'spf_interval',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'Overlay',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Site.Default.Skeptical' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Site.Default.Skeptical',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Interval during which holdtime will NOT be refreshed
                ''',
                'interval',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'skeptical',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Site.Default' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Site.Default',
            False, 
            [
            _MetaInfoClassMember('log-adjacency-changes', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('net', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                A Network Entity Title for this process
                ''',
                'net',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('skeptical', REFERENCE_CLASS, 'Skeptical' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Site.Default.Skeptical', 
                [], [], 
                '''                Be a cautious NSF helper when refresh adjacency
                ''',
                'skeptical',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Site.LogAdjacencyChanges' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Site.LogAdjacencyChanges',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include changes generated by non-IIH event
                ''',
                'all',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'log-adjacency-changes',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Site.Skeptical' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Site.Skeptical',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '1440')], [], 
                '''                Interval during which holdtime will NOT be refreshed
                ''',
                'interval',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'skeptical',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis.Site' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis.Site',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Site.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('log-adjacency-changes', REFERENCE_CLASS, 'LogAdjacencyChanges' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Site.LogAdjacencyChanges', 
                [], [], 
                '''                Log changes in adjacency state
                ''',
                'log_adjacency_changes',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('net', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                A Network Entity Title for this process
                ''',
                'net',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('skeptical', REFERENCE_CLASS, 'Skeptical' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Site.Skeptical', 
                [], [], 
                '''                Be a cautious NSF helper when refresh adjacency
                ''',
                'skeptical',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'site',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Isis',
            False, 
            [
            _MetaInfoClassMember('Overlay', REFERENCE_LIST, 'Overlay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Overlay', 
                [], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('site', REFERENCE_CLASS, 'Site' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis.Site', 
                [], [], 
                '''                Site Instance
                ''',
                'site',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Default.Otv_.Isis.Authentication.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'md5':'md5',
            'text':'text',
        }, 'Cisco-IOS-XE-otv', _yang_ns._namespaces['Cisco-IOS-XE-otv']),
    'Native.Otv.Site.Default.Otv_.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Default.Otv_.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Default.Otv_.Isis.Authentication.ModeEnum', 
                [], [], 
                '''                Authentication mode for PDUs
                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('send-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Default.Otv_.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Default.Otv_.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never pad hello packets if no prefix present
                ''',
                'always',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Default.Otv_.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Default.Otv_.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Default.Otv_.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello packets
                ''',
                'padding',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Default.Otv_.Isis.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Default.Otv_.Isis.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('minimal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Holdtime 1 second, interval depends on multiplier
                ''',
                'minimal',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Default.Otv_.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Default.Otv_.Isis',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Default.Otv_.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bidirectional Forwarding Protocol
                ''',
                'bfd',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Default.Otv_.Isis.Hello', 
                [], [], 
                '''                Add padding to IS-IS hello packets
                ''',
                'hello',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Default.Otv_.Isis.HelloInterval', 
                [], [], 
                '''                Set Hello interval in seconds
                ''',
                'hello_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hello-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                Set multiplier for Hello holding time
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                Set priority for Designated Router election
                ''',
                'priority',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Default.Otv_' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Default.Otv_',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Default.Otv_.Isis', 
                [], [], 
                '''                ISIS interface subcommands
                ''',
                'isis',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'otv',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Default' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Default',
            False, 
            [
            _MetaInfoClassMember('otv', REFERENCE_CLASS, 'Otv_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Default.Otv_', 
                [], [], 
                '''                OTV site configuration subcommands
                ''',
                'otv',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Otv_.Isis.Authentication.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'md5':'md5',
            'text':'text',
        }, 'Cisco-IOS-XE-otv', _yang_ns._namespaces['Cisco-IOS-XE-otv']),
    'Native.Otv.Site.Otv_.Isis.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Otv_.Isis.Authentication',
            False, 
            [
            _MetaInfoClassMember('key-chain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Authentication key-chain
                ''',
                'key_chain',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Otv_.Isis.Authentication.ModeEnum', 
                [], [], 
                '''                Authentication mode for PDUs
                ''',
                'mode',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('send-only', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication send only, receive ignore
                ''',
                'send_only',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Otv_.Isis.Hello.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Otv_.Isis.Hello.Padding',
            False, 
            [
            _MetaInfoClassMember('always', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Never pad hello packets if no prefix present
                ''',
                'always',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Otv_.Isis.Hello' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Otv_.Isis.Hello',
            False, 
            [
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Otv_.Isis.Hello.Padding', 
                [], [], 
                '''                Pad hello packets
                ''',
                'padding',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hello',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Otv_.Isis.HelloInterval' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Otv_.Isis.HelloInterval',
            False, 
            [
            _MetaInfoClassMember('minimal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Holdtime 1 second, interval depends on multiplier
                ''',
                'minimal',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'hello-interval',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Otv_.Isis' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Otv_.Isis',
            False, 
            [
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Otv_.Isis.Authentication', 
                [], [], 
                '''                ISIS authentication for interface related PDUs
                ''',
                'authentication',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Bidirectional Forwarding Protocol
                ''',
                'bfd',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hello', REFERENCE_CLASS, 'Hello' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Otv_.Isis.Hello', 
                [], [], 
                '''                Add padding to IS-IS hello packets
                ''',
                'hello',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hello-interval', REFERENCE_CLASS, 'HelloInterval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Otv_.Isis.HelloInterval', 
                [], [], 
                '''                Set Hello interval in seconds
                ''',
                'hello_interval',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('hello-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('3', '1000')], [], 
                '''                Set multiplier for Hello holding time
                ''',
                'hello_multiplier',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '127')], [], 
                '''                Set priority for Designated Router election
                ''',
                'priority',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site.Otv_' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site.Otv_',
            False, 
            [
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Otv_.Isis', 
                [], [], 
                '''                ISIS interface subcommands
                ''',
                'isis',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'otv',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv.Site' : {
        'meta_info' : _MetaInfoClass('Native.Otv.Site',
            False, 
            [
            _MetaInfoClassMember('bridge-domain', ATTRIBUTE, 'int' , None, None, 
                [('1', '8192')], [], 
                '''                Bridge-domain to discover local OTV enabled devices
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-otv', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('otv', REFERENCE_CLASS, 'Otv_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site.Otv_', 
                [], [], 
                '''                OTV site configuration subcommands
                ''',
                'otv',
                'Cisco-IOS-XE-otv', False),
            ],
            'Cisco-IOS-XE-otv',
            'site',
            _yang_ns._namespaces['Cisco-IOS-XE-otv'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Otv' : {
        'meta_info' : _MetaInfoClass('Native.Otv',
            False, 
            [
            _MetaInfoClassMember('fragmentation', REFERENCE_CLASS, 'Fragmentation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Fragmentation', 
                [], [], 
                '''                Clear the DF (Don't Fragment) bit in the IP header
                ''',
                'fragmentation',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Isis', 
                [], [], 
                '''                OTV ISIS instance subcommands
                ''',
                'isis',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('site', REFERENCE_LIST, 'Site' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv.Site', 
                [], [], 
                '''                OTV site network configuration
                ''',
                'site',
                'Cisco-IOS-XE-otv', False),
            _MetaInfoClassMember('site-identifier', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                OTV site id
                ''',
                'site_identifier',
                'Cisco-IOS-XE-otv', False, [
                    _MetaInfoClassMember('site-identifier', ATTRIBUTE, 'int' , None, None, 
                        [('0', '4294967295')], [], 
                        '''                        OTV site id
                        ''',
                        'site_identifier',
                        'Cisco-IOS-XE-otv', False),
                    _MetaInfoClassMember('site-identifier', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        OTV site id
                        ''',
                        'site_identifier',
                        'Cisco-IOS-XE-otv', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'otv',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.RemoteManagement' : {
        'meta_info' : _MetaInfoClass('Native.RemoteManagement',
            False, 
            [
            _MetaInfoClassMember('dmi', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                data-model-interface
                ''',
                'dmi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('restful-api', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RESTful API
                ''',
                'restful_api',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'remote-management',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Ip.Shared.HostInterface' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Ip.Shared.HostInterface',
            False, 
            [
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-vservice', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-vservice', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-vservice', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan interface number
                ''',
                'vlan',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'host-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Ip.Shared' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Ip.Shared',
            False, 
            [
            _MetaInfoClassMember('host-interface', REFERENCE_CLASS, 'HostInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Ip.Shared.HostInterface', 
                [], [], 
                '''                Ip shared host-interface
                ''',
                'host_interface',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'shared',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Ip' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Ip',
            False, 
            [
            _MetaInfoClassMember('shared', REFERENCE_CLASS, 'Shared' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Ip.Shared', 
                [], [], 
                '''                Ip shared host-interface
                ''',
                'shared',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ip' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the IP address of virtual interface on guest
                ''',
                'address',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the IPv6 address of virtual interface on guest
                ''',
                'address',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ip', 
                [], [], 
                '''                Guest vnic IP address
                ''',
                'ip',
                'Cisco-IOS-XE-vservice', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ipv6', 
                [], [], 
                '''                Guest vnic IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'guest',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Vnic.Gateway.Virtualportgroup' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Vnic.Gateway.Virtualportgroup',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '31')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-vservice', True),
            _MetaInfoClassMember('guest', REFERENCE_CLASS, 'Guest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest', 
                [], [], 
                '''                Configure guest vnic address
                ''',
                'guest',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'VirtualPortGroup',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Vnic.Gateway' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Vnic.Gateway',
            False, 
            [
            _MetaInfoClassMember('VirtualPortGroup', REFERENCE_LIST, 'Virtualportgroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Vnic.Gateway.Virtualportgroup', 
                [], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'gateway',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Vnic.Management.Guest.Ip' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Vnic.Management.Guest.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the IP address of virtual interface on guest
                ''',
                'address',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Vnic.Management.Guest.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Vnic.Management.Guest.Ipv6',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Set the IPv6 address of virtual interface on guest
                ''',
                'address',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Vnic.Management.Guest' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Vnic.Management.Guest',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Vnic.Management.Guest.Ip', 
                [], [], 
                '''                Guest vnic IP address
                ''',
                'ip',
                'Cisco-IOS-XE-vservice', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Vnic.Management.Guest.Ipv6', 
                [], [], 
                '''                Guest vnic IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'guest',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Vnic.Management' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Vnic.Management',
            False, 
            [
            _MetaInfoClassMember('GigabitEthernet0', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Management Ethernet Interface
                ''',
                'gigabitethernet0',
                'Cisco-IOS-XE-vservice', False),
            _MetaInfoClassMember('guest', REFERENCE_CLASS, 'Guest' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Vnic.Management.Guest', 
                [], [], 
                '''                Configure guest vnic address
                ''',
                'guest',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'management',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService.Vnic' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService.Vnic',
            False, 
            [
            _MetaInfoClassMember('gateway', REFERENCE_CLASS, 'Gateway' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Vnic.Gateway', 
                [], [], 
                '''                Gateway interface to connect to the guest vnic
                ''',
                'gateway',
                'Cisco-IOS-XE-vservice', False),
            _MetaInfoClassMember('management', REFERENCE_CLASS, 'Management' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Vnic.Management', 
                [], [], 
                '''                Gateway interface to connect to the guest vnic
                ''',
                'management',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-vservice',
            'vnic',
            _yang_ns._namespaces['Cisco-IOS-XE-vservice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VirtualService' : {
        'meta_info' : _MetaInfoClass('Native.VirtualService',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('activate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Activate configured virtual service
                ''',
                'activate',
                'Cisco-IOS-XE-vservice', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Ip', 
                [], [], 
                '''                ip configured virtual service
                ''',
                'ip',
                'Cisco-IOS-XE-vservice', False),
            _MetaInfoClassMember('profile', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'profile',
                'Cisco-IOS-XE-vservice', False),
            _MetaInfoClassMember('vnic', REFERENCE_CLASS, 'Vnic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService.Vnic', 
                [], [], 
                '''                Guest vnic configuration
                ''',
                'vnic',
                'Cisco-IOS-XE-vservice', False),
            ],
            'Cisco-IOS-XE-native',
            'virtual-service',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Snmp.Ifmib.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.Snmp.Ifmib.Ifindex',
            False, 
            [
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Persist interface indices
                ''',
                'persist',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Snmp.Ifmib.Ifalias' : {
        'meta_info' : _MetaInfoClass('Native.Snmp.Ifmib.Ifalias',
            False, 
            [
            _MetaInfoClassMember('long', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ifAlias description can be up to 256 characters
                ''',
                'long',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifalias',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Snmp.Ifmib' : {
        'meta_info' : _MetaInfoClass('Native.Snmp.Ifmib',
            False, 
            [
            _MetaInfoClassMember('ifalias', REFERENCE_CLASS, 'Ifalias' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Snmp.Ifmib.Ifalias', 
                [], [], 
                '''                ifAlias description option, by default it is limited to 64 character
                ''',
                'ifalias',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Snmp.Ifmib.Ifindex', 
                [], [], 
                '''                ifindex persistence
                ''',
                'ifindex',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifmib',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Snmp.Mib.CommunityMap.CommunityMapList' : {
        'meta_info' : _MetaInfoClass('Native.Snmp.Mib.CommunityMap.CommunityMapList',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-snmp', True),
            _MetaInfoClassMember('engineid', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Engine ID for the community mapping
                ''',
                'engineid',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'community-map-list',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Snmp.Mib.CommunityMap' : {
        'meta_info' : _MetaInfoClass('Native.Snmp.Mib.CommunityMap',
            False, 
            [
            _MetaInfoClassMember('community-map-list', REFERENCE_LIST, 'CommunityMapList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Snmp.Mib.CommunityMap.CommunityMapList', 
                [], [], 
                '''                SNMP community string
                ''',
                'community_map_list',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'community-map',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Snmp.Mib.Bulkstat.ObjectList' : {
        'meta_info' : _MetaInfoClass('Native.Snmp.Mib.Bulkstat.ObjectList',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-snmp', True),
            ],
            'Cisco-IOS-XE-snmp',
            'object-list',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Snmp.Mib.Bulkstat' : {
        'meta_info' : _MetaInfoClass('Native.Snmp.Mib.Bulkstat',
            False, 
            [
            _MetaInfoClassMember('object-list', REFERENCE_LIST, 'ObjectList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Snmp.Mib.Bulkstat.ObjectList', 
                [], [], 
                '''                Configure an Object List.
                ''',
                'object_list',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'bulkstat',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Snmp.Mib.Persist.PersistEnumEnum' : _MetaInfoEnum('PersistEnumEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cbqos':'cbqos',
            'circuit':'circuit',
            'v3mibs':'v3mibs',
        }, 'Cisco-IOS-XE-snmp', _yang_ns._namespaces['Cisco-IOS-XE-snmp']),
    'Native.Snmp.Mib.Persist' : {
        'meta_info' : _MetaInfoClass('Native.Snmp.Mib.Persist',
            False, 
            [
            _MetaInfoClassMember('persist-enum', REFERENCE_ENUM_CLASS, 'PersistEnumEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Snmp.Mib.Persist.PersistEnumEnum', 
                [], [], 
                '''                ''',
                'persist_enum',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'persist',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Snmp.Mib' : {
        'meta_info' : _MetaInfoClass('Native.Snmp.Mib',
            False, 
            [
            _MetaInfoClassMember('bulkstat', REFERENCE_CLASS, 'Bulkstat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Snmp.Mib.Bulkstat', 
                [], [], 
                '''                Bulkstat Configuration commands
                ''',
                'bulkstat',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('community-map', REFERENCE_CLASS, 'CommunityMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Snmp.Mib.CommunityMap', 
                [], [], 
                '''                Community Mapping as per RFC-2576
                ''',
                'community_map',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('persist', REFERENCE_CLASS, 'Persist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Snmp.Mib.Persist', 
                [], [], 
                '''                Persistence for MIBS
                ''',
                'persist',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'mib',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Snmp',
            False, 
            [
            _MetaInfoClassMember('ifmib', REFERENCE_CLASS, 'Ifmib' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Snmp.Ifmib', 
                [], [], 
                '''                IF-MIB commands
                ''',
                'ifmib',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mib', REFERENCE_CLASS, 'Mib' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Snmp.Mib', 
                [], [], 
                '''                MIB commands
                ''',
                'mib',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-native',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Community' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Community',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-snmp', True),
            _MetaInfoClassMember('access-list-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Access-list name
                ''',
                'access_list_name',
                'Cisco-IOS-XE-snmp', False, [
                    _MetaInfoClassMember('access-list-name', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Access-list name
                        ''',
                        'access_list_name',
                        'Cisco-IOS-XE-snmp', False),
                    _MetaInfoClassMember('access-list-name', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        Access-list name
                        ''',
                        'access_list_name',
                        'Cisco-IOS-XE-snmp', False),
                    _MetaInfoClassMember('access-list-name', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        Access-list name
                        ''',
                        'access_list_name',
                        'Cisco-IOS-XE-snmp', False),
                ]),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify IPv6 Named Access-List
                ''',
                'ipv6',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('RO', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-only access with this community string
                ''',
                'ro',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('RW', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Read-write access with this community string
                ''',
                'rw',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('view', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Restrict this community to a named MIB view
                ''',
                'view',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Context' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Context',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-snmp', True),
            ],
            'Cisco-IOS-XE-snmp',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecSxp' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecSxp',
            False, 
            [
            _MetaInfoClassMember('binding-conflict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'binding_conflict',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('binding-err', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'binding_err',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('binding-expn-fail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'binding_expn_fail',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('conn-config-err', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'conn_config_err',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('conn-down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'conn_down',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('conn-srcaddr-err', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'conn_srcaddr_err',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('conn-up', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'conn_up',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('msg-parse-err', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'msg_parse_err',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('oper-nodeid-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'oper_nodeid_change',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trustsec-sxp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch.DualActive' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch.DualActive',
            False, 
            [
            _MetaInfoClassMember('vsl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Virtual Switch Link (VSL) notification
                ''',
                'vsl',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'dual-active',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch',
            False, 
            [
            _MetaInfoClassMember('dual-active', REFERENCE_CLASS, 'DualActive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch.DualActive', 
                [], [], 
                '''                Enable SNMP Virtual Switch (Dual Active) notification
                ''',
                'dual_active',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'vswitch',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer.RadiusServer' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer.RadiusServer',
            False, 
            [
            _MetaInfoClassMember('provision-secret', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ctsvNoProvisionSecretNotif notification
                ''',
                'provision_secret',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'radius-server',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer',
            False, 
            [
            _MetaInfoClassMember('radius-server', REFERENCE_CLASS, 'RadiusServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer.RadiusServer', 
                [], [], 
                '''                Enable ctsvNoRadiusServerNotif notification
                ''',
                'radius_server',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trustsec-server',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail.RandomNumberFail' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail.RandomNumberFail',
            False, 
            [
            _MetaInfoClassMember('src-entropy-fail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ctsSrcEntropyFailNotif notifications
                ''',
                'src_entropy_fail',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'random-number-fail',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail',
            False, 
            [
            _MetaInfoClassMember('random-number-fail', REFERENCE_CLASS, 'RandomNumberFail' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail.RandomNumberFail', 
                [], [], 
                '''                Enable ctsSapRandonNumberFailNotif notifications
                ''',
                'random_number_fail',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'keystore-sync-fail',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError',
            False, 
            [
            _MetaInfoClassMember('keystore-sync-fail', REFERENCE_CLASS, 'KeystoreSyncFail' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail', 
                [], [], 
                '''                Enable ctsSwKeystoreSyncFailNotif notifications
                ''',
                'keystore_sync_fail',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'keystore-file-error',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError',
            False, 
            [
            _MetaInfoClassMember('keystore-file-error', REFERENCE_CLASS, 'KeystoreFileError' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError', 
                [], [], 
                '''                Enable ctsSwKeystoreFileErrNotif notifications
                ''',
                'keystore_file_error',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'cache-file-error',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError',
            False, 
            [
            _MetaInfoClassMember('cache-file-error', REFERENCE_CLASS, 'CacheFileError' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError', 
                [], [], 
                '''                Enable ctsCacheFileAccessErrNotif notifications
                ''',
                'cache_file_error',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'authz-file-error',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec',
            False, 
            [
            _MetaInfoClassMember('authz-file-error', REFERENCE_CLASS, 'AuthzFileError' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError', 
                [], [], 
                '''                Enable ctsAuthzCacheFileErrNotif notifications
                ''',
                'authz_file_error',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trustsec',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail.SupplicantFail' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail.SupplicantFail',
            False, 
            [
            _MetaInfoClassMember('authz-fail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ctsiAuthorizationFailNotif trap
                ''',
                'authz_fail',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'supplicant-fail',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail',
            False, 
            [
            _MetaInfoClassMember('supplicant-fail', REFERENCE_CLASS, 'SupplicantFail' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail.SupplicantFail', 
                [], [], 
                '''                Enable ctsiIfAddSupplicantFailNotif trap
                ''',
                'supplicant_fail',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'authc-fail',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail',
            False, 
            [
            _MetaInfoClassMember('authc-fail', REFERENCE_CLASS, 'AuthcFail' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail', 
                [], [], 
                '''                Enable ctsiIfAuthenticationFailNotif trap
                ''',
                'authc_fail',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'sap-fail',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized',
            False, 
            [
            _MetaInfoClassMember('sap-fail', REFERENCE_CLASS, 'SapFail' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail', 
                [], [], 
                '''                Enable ctsiIfSapNegotiationFailNotif trap
                ''',
                'sap_fail',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'unauthorized',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface',
            False, 
            [
            _MetaInfoClassMember('unauthorized', REFERENCE_CLASS, 'Unauthorized' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized', 
                [], [], 
                '''                Enable ctsiIfUnauthorizedNotifEnable trap
                ''',
                'unauthorized',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trustsec-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy.PeerPolicyUpdated' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy.PeerPolicyUpdated',
            False, 
            [
            _MetaInfoClassMember('authz-sgacl-fail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ctspAuthorizationSgaclFailNotif notifications
                ''',
                'authz_sgacl_fail',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'peer-policy-updated',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy',
            False, 
            [
            _MetaInfoClassMember('peer-policy-updated', REFERENCE_CLASS, 'PeerPolicyUpdated' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy.PeerPolicyUpdated', 
                [], [], 
                '''                Enable ctspPeerPolicyUpdatedNotif notifications
                ''',
                'peer_policy_updated',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trustsec-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3',
            False, 
            [
            _MetaInfoClassMember('errors', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Error traps
                ''',
                'errors',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('state-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                State change traps
                ''',
                'state_change',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IKE Policy add trap
                ''',
                'add',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('delete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IKE Policy delete trap
                ''',
                'delete',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel',
            False, 
            [
            _MetaInfoClassMember('start', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IKE Tunnel start trap
                ''',
                'start',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('stop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IKE Tunnel stop trap
                ''',
                'stop',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ike' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ike',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy', 
                [], [], 
                '''                Enable IKE Policy traps
                ''',
                'policy',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel', 
                [], [], 
                '''                Enable IKE Tunnel traps
                ''',
                'tunnel',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ike',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Alarms.AlarmTypeEnum' : _MetaInfoEnum('AlarmTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'critical':'critical',
            'informational':'informational',
            'major':'major',
            'minor':'minor',
        }, 'Cisco-IOS-XE-snmp', _yang_ns._namespaces['Cisco-IOS-XE-snmp']),
    'Native.SnmpServer.Enable.EnableChoice.Traps.Alarms' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Alarms',
            False, 
            [
            _MetaInfoClassMember('alarm-type', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'alarm_type',
                'Cisco-IOS-XE-snmp', False, [
                    _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                        [('1', '4')], [], 
                        '''                        ''',
                        'alarm_type',
                        'Cisco-IOS-XE-snmp', False),
                    _MetaInfoClassMember('alarm-type', REFERENCE_ENUM_CLASS, 'Native.SnmpServer.Enable.EnableChoice.Traps.Alarms.AlarmTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Alarms.AlarmTypeEnum', 
                        [], [], 
                        '''                        ''',
                        'alarm_type',
                        'Cisco-IOS-XE-snmp', False),
                ]),
            ],
            'Cisco-IOS-XE-snmp',
            'alarms',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure',
            False, 
            [
            _MetaInfoClassMember('loopback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP atm pvc extended oam loopback failure trap
                ''',
                'loopback',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'failure',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_CLASS, 'Failure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure', 
                [], [], 
                '''                Enable SNMP atm pvc extended any oam failure trap
                ''',
                'failure',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'oam',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.MibversionEnum' : _MetaInfoEnum('MibversionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-snmp', _yang_ns._namespaces['Cisco-IOS-XE-snmp']),
    'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP atm pvc extended down trap
                ''',
                'down',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mibversion', REFERENCE_ENUM_CLASS, 'MibversionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.MibversionEnum', 
                [], [], 
                '''                Extension MIB version to be used
                ''',
                'mibversion',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('oam', REFERENCE_CLASS, 'Oam' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam', 
                [], [], 
                '''                Enable SNMP atm pvc extended oam trap
                ''',
                'oam',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('up', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP atm pvc extended up traps
                ''',
                'up',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'extension',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc',
            False, 
            [
            _MetaInfoClassMember('extension', REFERENCE_CLASS, 'Extension' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension', 
                [], [], 
                '''                Enable SNMP atm pvc extension traps
                ''',
                'extension',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('fail-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                minimum period for storing the failed timestamp
                ''',
                'fail_interval',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('1', '3600')], [], 
                '''                minimum period between successive traps
                ''',
                'interval',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'pvc',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Subif' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Subif',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Maximum number of traps sent per interval
                ''',
                'count',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '3600')], [], 
                '''                Interval duration in which to limit the number of traps sent
                ''',
                'interval',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'subif',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Atm' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Atm',
            False, 
            [
            _MetaInfoClassMember('pvc', REFERENCE_CLASS, 'Pvc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc', 
                [], [], 
                '''                Enable SNMP atm pvc traps
                ''',
                'pvc',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('subif', REFERENCE_CLASS, 'Subif' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Subif', 
                [], [], 
                '''                Enable SNMP atm subinterface traps
                ''',
                'subif',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'atm',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.AuthFramework' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.AuthFramework',
            False, 
            [
            _MetaInfoClassMember('sec-violation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'sec_violation',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'auth-framework',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf',
            False, 
            [
            _MetaInfoClassMember('cbgp2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BGP MIBv2 traps
                ''',
                'cbgp2',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'bgp-conf',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Bridge' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Bridge',
            False, 
            [
            _MetaInfoClassMember('newroot', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'newroot',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('topologychange', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'topologychange',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'bridge',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Bulkstat' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Bulkstat',
            False, 
            [
            _MetaInfoClassMember('collection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Data-Collection-MIB Collection notifications
                ''',
                'collection',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('transfer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Data-Collection-MIB Transfer notifications
                ''',
                'transfer',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'bulkstat',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.CallHome' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.CallHome',
            False, 
            [
            _MetaInfoClassMember('message-send-fail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'message_send_fail',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('server-fail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'server_fail',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'call-home',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.C6Kxbar' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.C6Kxbar',
            False, 
            [
            _MetaInfoClassMember('intbus-crcexcd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP cc6kxbarIntBusCRCErrExcdNotif notification
                ''',
                'intbus_crcexcd',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('intbus-crcrcvrd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP cc6kxbarIntBusCRCErrRcvrdNotif notification
                ''',
                'intbus_crcrcvrd',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('swbus', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP cc6kxbarSwBusStatusChangeNotif notification
                ''',
                'swbus',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'c6kxbar',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Cef' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Cef',
            False, 
            [
            _MetaInfoClassMember('inconsistency', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'inconsistency',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('peer-fib-state-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'peer_fib_state_change',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('peer-state-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'peer_state_change',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('resource-failure', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'resource_failure',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'cef',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Cpu' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Cpu',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow CPU utilization threshold violation traps
                ''',
                'threshold',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'cpu',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Csg' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Csg',
            False, 
            [
            _MetaInfoClassMember('agent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Agent Server traps
                ''',
                'agent',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('database', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP CSG database traps
                ''',
                'database',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('quota-server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Quota Server traps
                ''',
                'quota_server',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'csg',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X',
            False, 
            [
            _MetaInfoClassMember('auth-fail-vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'auth_fail_vlan',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('guest-vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'guest_vlan',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('no-auth-fail-vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'no_auth_fail_vlan',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('no-guest-vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'no_guest_vlan',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'dot1x',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Dsp' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Dsp',
            False, 
            [
            _MetaInfoClassMember('card-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP card status of dsp traps
                ''',
                'card_status',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('oper-state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'oper_state',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'dsp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Energywise' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Energywise',
            False, 
            [
            _MetaInfoClassMember('event-occured', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'event_occured',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('level-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'level_change',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('neighbor-added', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'neighbor_added',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('neighbor-deleted', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'neighbor_deleted',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'energywise',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.EntityDiag' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.EntityDiag',
            False, 
            [
            _MetaInfoClassMember('boot-up-fail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP ceDiagBootUpFailedNotif traps
                ''',
                'boot_up_fail',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('hm-test-recover', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP ceDiagHMTestRecoverNotif traps
                ''',
                'hm_test_recover',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('hm-thresh-reached', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP ceDiagHMThresholdReachedNotif traps
                ''',
                'hm_thresh_reached',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('scheduled-test-fail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP ceDiagScheduledTestFailedNotif traps
                ''',
                'scheduled_test_fail',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'entity-diag',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Envmon' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Envmon',
            False, 
            [
            _MetaInfoClassMember('fan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'fan',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'shutdown',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'status',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('supply', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'supply',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('temperature', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'temperature',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'envmon',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Errdisable',
            False, 
            [
            _MetaInfoClassMember('notification-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Number of notifications per minute
                ''',
                'notification_rate',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Cc' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Cc',
            False, 
            [
            _MetaInfoClassMember('config', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'config',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('cross-connect', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'cross_connect',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('loop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'loop',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mep-down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mep_down',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mep-up', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mep_up',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'cc',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Crosscheck' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Crosscheck',
            False, 
            [
            _MetaInfoClassMember('mep-missing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mep_missing',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mep-unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'mep_unknown',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('service-up', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'service_up',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'crosscheck',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm',
            False, 
            [
            _MetaInfoClassMember('alarm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Ethernet CFM fault alarm trap
                ''',
                'alarm',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('cc', REFERENCE_CLASS, 'Cc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Cc', 
                [], [], 
                '''                ''',
                'cc',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('crosscheck', REFERENCE_CLASS, 'Crosscheck' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Crosscheck', 
                [], [], 
                '''                ''',
                'crosscheck',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'cfm',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Evc' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Evc',
            False, 
            [
            _MetaInfoClassMember('create', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Ethernet EVC create traps
                ''',
                'create',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('delete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Ethernet EVC delete traps
                ''',
                'delete',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Ethernet EVC status traps
                ''',
                'status',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'evc',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet',
            False, 
            [
            _MetaInfoClassMember('cfm', REFERENCE_CLASS, 'Cfm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm', 
                [], [], 
                '''                ''',
                'cfm',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('evc', REFERENCE_CLASS, 'Evc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Evc', 
                [], [], 
                '''                Enable SNMP Ethernet EVC traps
                ''',
                'evc',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Firewall' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Firewall',
            False, 
            [
            _MetaInfoClassMember('serverstatus', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'serverstatus',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'firewall',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Flash' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Flash',
            False, 
            [
            _MetaInfoClassMember('insertion', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Flash Insertion notifications
                ''',
                'insertion',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('removal', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Flash Removal notifications
                ''',
                'removal',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'flash',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.FlexLinks' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.FlexLinks',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP FLEX Links status change traps
                ''',
                'status',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'flex-links',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink',
            False, 
            [
            _MetaInfoClassMember('bundle-mismatch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable MFR trap for inconsistent bundle event
                ''',
                'bundle_mismatch',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'multilink',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Subif' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Subif',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'subif',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay',
            False, 
            [
            _MetaInfoClassMember('multilink', REFERENCE_CLASS, 'Multilink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink', 
                [], [], 
                '''                Enable MFR traps
                ''',
                'multilink',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('subif', REFERENCE_CLASS, 'Subif' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Subif', 
                [], [], 
                '''                Enable SNMP frame-relay subinterface traps
                ''',
                'subif',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'frame-relay',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPsec Cryptomap add trap
                ''',
                'add',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('attach', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPsec Cryptomap Attach trap
                ''',
                'attach',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('delete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPsec Cryptomap delete trap
                ''',
                'delete',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('detach', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPsec Cryptomap Detach trap
                ''',
                'detach',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'cryptomap',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel',
            False, 
            [
            _MetaInfoClassMember('start', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPsec Tunnel Start trap
                ''',
                'start',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('stop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPsec Tunnel Stop trap
                ''',
                'stop',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec',
            False, 
            [
            _MetaInfoClassMember('cryptomap', REFERENCE_CLASS, 'Cryptomap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap', 
                [], [], 
                '''                ''',
                'cryptomap',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('too-many-sas', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPsec Tunnel Start trap
                ''',
                'too_many_sas',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel', 
                [], [], 
                '''                Enable IPsec Tunnel traps
                ''',
                'tunnel',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ipsec',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy',
            False, 
            [
            _MetaInfoClassMember('add', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ISAKMP Policy add trap
                ''',
                'add',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('delete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ISAKMP Policy delete trap
                ''',
                'delete',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel',
            False, 
            [
            _MetaInfoClassMember('start', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ISAKMP Tunnel start trap
                ''',
                'start',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('stop', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ISAKMP Tunnel stop trap
                ''',
                'stop',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy', 
                [], [], 
                '''                Enable ISAKMP traps
                ''',
                'policy',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel', 
                [], [], 
                '''                Enable ISAKMP Tunnel traps
                ''',
                'tunnel',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'isakmp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Isdn' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Isdn',
            False, 
            [
            _MetaInfoClassMember('call-information', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP isdn call information traps
                ''',
                'call_information',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('chan-not-avail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP isdn channel not avail traps
                ''',
                'chan_not_avail',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP isdn ietf traps
                ''',
                'ietf',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('layer2', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP isdn layer2 transition traps
                ''',
                'layer2',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'isdn',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.L2Tc' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.L2Tc',
            False, 
            [
            _MetaInfoClassMember('sys-threshold', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP L2TC System threshold traps
                ''',
                'sys_threshold',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP L2 Tunnel Config threshold traps
                ''',
                'threshold',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'l2tc',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire',
            False, 
            [
            _MetaInfoClassMember('status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'status',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'pseudowire',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun',
            False, 
            [
            _MetaInfoClassMember('pseudowire', REFERENCE_CLASS, 'Pseudowire' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire', 
                [], [], 
                '''                ''',
                'pseudowire',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP l2tun session traps
                ''',
                'session',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'l2tun',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.License' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.License',
            False, 
            [
            _MetaInfoClassMember('deploy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable license deployment traps
                ''',
                'deploy',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('error', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable license error traps
                ''',
                'error',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('usage', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable license usage traps
                ''',
                'usage',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'license',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification',
            False, 
            [
            _MetaInfoClassMember('change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Change traps
                ''',
                'change',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('move', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Move traps
                ''',
                'move',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Threshold traps
                ''',
                'threshold',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'mac-notification',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification2' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification2',
            False, 
            [
            _MetaInfoClassMember('change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Change traps
                ''',
                'change',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('move', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Move traps
                ''',
                'move',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Threshold traps
                ''',
                'threshold',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'mac-notification2',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Memory' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Memory',
            False, 
            [
            _MetaInfoClassMember('bufferpeak', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Memory Bufferpeak traps
                ''',
                'bufferpeak',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'memory',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.TrafficEng' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.TrafficEng',
            False, 
            [
            _MetaInfoClassMember('down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable MPLS TE tunnel down traps
                ''',
                'down',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('reroute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable MPLS TE tunnel reroute traps
                ''',
                'reroute',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('up', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable MPLS TE tunnel up traps
                ''',
                'up',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'traffic-eng',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.FastReroute' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.FastReroute',
            False, 
            [
            _MetaInfoClassMember('protected', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'protected',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Rfc' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Rfc',
            False, 
            [
            _MetaInfoClassMember('ldp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'ldp',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'rfc',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Ldp' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Ldp',
            False, 
            [
            _MetaInfoClassMember('pv-limit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable MPLS LDP path vector limit mismatch traps
                ''',
                'pv_limit',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('session-down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable MPLS LDP session down traps
                ''',
                'session_down',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('session-up', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable MPLS LDP session up traps
                ''',
                'session_up',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable MPLS LDP threshold exceeded traps
                ''',
                'threshold',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ldp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Mpls',
            False, 
            [
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.FastReroute', 
                [], [], 
                '''                ''',
                'fast_reroute',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ldp', REFERENCE_CLASS, 'Ldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Ldp', 
                [], [], 
                '''                SNMP MPLS label distribution protocol traps
                ''',
                'ldp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('rfc', REFERENCE_CLASS, 'Rfc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Rfc', 
                [], [], 
                '''                ''',
                'rfc',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('traffic-eng', REFERENCE_CLASS, 'TrafficEng' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.TrafficEng', 
                [], [], 
                '''                ''',
                'traffic_eng',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vpn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'vpn',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhs' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhs',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'nhs',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhc' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhc',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'nhc',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhp' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhp',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'nhp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.QuotaExceeded' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.QuotaExceeded',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'quota-exceeded',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp',
            False, 
            [
            _MetaInfoClassMember('nhc', REFERENCE_CLASS, 'Nhc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhc', 
                [], [], 
                '''                ''',
                'nhc',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('nhp', REFERENCE_CLASS, 'Nhp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhp', 
                [], [], 
                '''                ''',
                'nhp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('nhs', REFERENCE_CLASS, 'Nhs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhs', 
                [], [], 
                '''                ''',
                'nhs',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('quota-exceeded', REFERENCE_CLASS, 'QuotaExceeded' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.QuotaExceeded', 
                [], [], 
                '''                ''',
                'quota_exceeded',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'nhrp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.StateChange' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.StateChange',
            False, 
            [
            _MetaInfoClassMember('if-state-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Non-virtual interface state changes
                ''',
                'if_state_change',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('neighbor-state-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Non-virtual neighbor state changes
                ''',
                'neighbor_state_change',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('virtif-state-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Virtual interface state changes
                ''',
                'virtif_state_change',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('virtneighbor-state-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Non-virtual neighbor state changes
                ''',
                'virtneighbor_state_change',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'state-change',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Errors' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Errors',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'errors',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Retransmit' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Retransmit',
            False, 
            [
            _MetaInfoClassMember('packets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Packet retransmission on non-virtual interfaces
                ''',
                'packets',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('virt-packets', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Packet retransmission on virtual interfaces
                ''',
                'virt_packets',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'retransmit',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Lsa',
            False, 
            [
            _MetaInfoClassMember('lsa-maxage', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lsa aged to maxage
                ''',
                'lsa_maxage',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('lsa-originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                New lsa originated
                ''',
                'lsa_originate',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange.Shamlink' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange.Shamlink',
            False, 
            [
            _MetaInfoClassMember('interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Sham link interface state changes
                ''',
                'interface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('interface-old', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Sham link interface state changes (deprecated)
                ''',
                'interface_old',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('neighbor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Sham link neighbor state changes
                ''',
                'neighbor',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'shamlink',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange',
            False, 
            [
            _MetaInfoClassMember('nssa-trans-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Nssa translator state changes
                ''',
                'nssa_trans_change',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('shamlink', REFERENCE_CLASS, 'Shamlink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange.Shamlink', 
                [], [], 
                '''                Sham link state change traps
                ''',
                'shamlink',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'state-change',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errors' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errors',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'errors',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errdisable' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errdisable',
            False, 
            [
            _MetaInfoClassMember('notification-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '10000')], [], 
                '''                Number of notifications per minute
                ''',
                'notification_rate',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'errdisable',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Retransmit' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Retransmit',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'retransmit',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Lsa' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Lsa',
            False, 
            [
            _MetaInfoClassMember('lsa-maxage', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Lsa aged to maxage
                ''',
                'lsa_maxage',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('lsa-originate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                New lsa originated
                ''',
                'lsa_originate',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific',
            False, 
            [
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errdisable', 
                [], [], 
                '''                Enable SNMP errdisable notifications
                ''',
                'errdisable',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('errors', REFERENCE_CLASS, 'Errors' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errors', 
                [], [], 
                '''                Error traps
                ''',
                'errors',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Lsa', 
                [], [], 
                '''                Lsa related traps
                ''',
                'lsa',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('retransmit', REFERENCE_CLASS, 'Retransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Retransmit', 
                [], [], 
                '''                Packet retransmit traps
                ''',
                'retransmit',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('state-change', REFERENCE_CLASS, 'StateChange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange', 
                [], [], 
                '''                State change traps
                ''',
                'state_change',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'cisco-specific',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Ospf',
            False, 
            [
            _MetaInfoClassMember('cisco-specific', REFERENCE_CLASS, 'CiscoSpecific' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific', 
                [], [], 
                '''                Cisco specific traps
                ''',
                'cisco_specific',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('errors', REFERENCE_CLASS, 'Errors' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Errors', 
                [], [], 
                '''                Error traps
                ''',
                'errors',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('lsa', REFERENCE_CLASS, 'Lsa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Lsa', 
                [], [], 
                '''                Lsa related traps
                ''',
                'lsa',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('retransmit', REFERENCE_CLASS, 'Retransmit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Retransmit', 
                [], [], 
                '''                Packet retransmit traps
                ''',
                'retransmit',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('state-change', REFERENCE_CLASS, 'StateChange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.StateChange', 
                [], [], 
                '''                State change traps
                ''',
                'state_change',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Pim' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Pim',
            False, 
            [
            _MetaInfoClassMember('invalid-pim-message', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable invalid pim message trap
                ''',
                'invalid_pim_message',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('neighbor-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable neighbor change trap
                ''',
                'neighbor_change',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('rp-mapping-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable rp mapping change trap
                ''',
                'rp_mapping_change',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Plogd' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Plogd',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'plogd',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('trap-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '1000')], [], 
                '''                Number of traps per second
                ''',
                'trap_rate',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet',
            False, 
            [
            _MetaInfoClassMember('group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enable SNMP inline power group based traps
                ''',
                'group',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('police', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Policing Trap
                ''',
                'police',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'power-ethernet',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Pw' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Pw',
            False, 
            [
            _MetaInfoClassMember('vc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'vc',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'pw',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Slb' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Slb',
            False, 
            [
            _MetaInfoClassMember('csrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP SLB Fault Tolerance Replication Protocol traps
                ''',
                'csrp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('real', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP SLB Real Server traps
                ''',
                'real',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('virtual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP SLB Virtual Server traps
                ''',
                'virtual',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'slb',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Snmp',
            False, 
            [
            _MetaInfoClassMember('authentication', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable authentication trap
                ''',
                'authentication',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('coldstart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable coldStart trap
                ''',
                'coldstart',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('linkdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable linkDown trap
                ''',
                'linkdown',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('linkup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable linkUp trap
                ''',
                'linkup',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('warmstart', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable warmStart trap
                ''',
                'warmstart',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Stackwise' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Stackwise',
            False, 
            [
            _MetaInfoClassMember('GLS', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power GLS trap
                ''',
                'gls',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ILS', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power ILS trap
                ''',
                'ils',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('insufficient-power', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power unbalanced power supplies trap
                ''',
                'insufficient_power',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('invalid-input-current', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power invalid input current trap
                ''',
                'invalid_input_current',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('invalid-output-current', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power invalid output current trap
                ''',
                'invalid_output_current',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('member-removed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack member removed trap
                ''',
                'member_removed',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('member-upgrade-notification', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE member to be reloaded for upgrade trap
                ''',
                'member_upgrade_notification',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('new-master', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE new master trap
                ''',
                'new_master',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('new-member', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack new member trap
                ''',
                'new_member',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('port-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE port change trap
                ''',
                'port_change',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('power-budget-warning', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power budget warning trap
                ''',
                'power_budget_warning',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('power-invalid-topology', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power invalid topology trap
                ''',
                'power_invalid_topology',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('power-link-status-changed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power link status changed trap
                ''',
                'power_link_status_changed',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('power-oper-status-changed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power port oper status changed trap
                ''',
                'power_oper_status_changed',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('power-priority-conflict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power priority conflict trap
                ''',
                'power_priority_conflict',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('power-version-mismatch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power version mismatch discovered trap
                ''',
                'power_version_mismatch',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ring-redundant', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack ring redundant trap
                ''',
                'ring_redundant',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('SRLS', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power SRLS trap
                ''',
                'srls',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('stack-mismatch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack mismatch trap
                ''',
                'stack_mismatch',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('unbalanced-power-supplies', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power unbalanced power supplies trap
                ''',
                'unbalanced_power_supplies',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('under-budget', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power under budget trap
                ''',
                'under_budget',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('under-voltage', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable STACKWISE stack power under voltage trap
                ''',
                'under_voltage',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'stackwise',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Stpx' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Stpx',
            False, 
            [
            _MetaInfoClassMember('inconsistency', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'inconsistency',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('loop-inconsistency', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'loop_inconsistency',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('root-inconsistency', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'root_inconsistency',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'stpx',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'all',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'transceiver',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Udld' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Udld',
            False, 
            [
            _MetaInfoClassMember('link-fail-rpt', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP cudldpFastHelloLinkFailRptNotification traps
                ''',
                'link_fail_rpt',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('status-change', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP cudldpFastHelloStatusChangeNotification traps
                ''',
                'status_change',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'udld',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib',
            False, 
            [
            _MetaInfoClassMember('vnet-trunk-down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'vnet_trunk_down',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vnet-trunk-up', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'vnet_trunk_up',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vrf-down', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'vrf_down',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vrf-up', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'vrf_up',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'vrfmib',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Vstack' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Vstack',
            False, 
            [
            _MetaInfoClassMember('addition', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable client added trap
                ''',
                'addition',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('failure', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable file upload/download failure trap
                ''',
                'failure',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('lost', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable client lost trap
                ''',
                'lost',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('operation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable operation mode change trap
                ''',
                'operation',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'vstack',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation.Bsnaccesspoint' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation.Bsnaccesspoint',
            False, 
            [
            _MetaInfoClassMember('bsnRogue', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Rogue related traps
                ''',
                'bsnrogue',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'bsnAccessPoint',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation',
            False, 
            [
            _MetaInfoClassMember('bsnAccessPoint', REFERENCE_CLASS, 'Bsnaccesspoint' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation.Bsnaccesspoint', 
                [], [], 
                '''                Access Point traps
                ''',
                'bsnaccesspoint',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'bsnMobileStation',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps.Wireless' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps.Wireless',
            False, 
            [
            _MetaInfoClassMember('bsnMobileStation', REFERENCE_CLASS, 'Bsnmobilestation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation', 
                [], [], 
                '''                Controls wireless client traps
                ''',
                'bsnmobilestation',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'wireless',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice.Traps' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice.Traps',
            False, 
            [
            _MetaInfoClassMember('aaa_server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP AAA Server traps
                ''',
                'aaa_server',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('alarms', REFERENCE_CLASS, 'Alarms' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Alarms', 
                [], [], 
                '''                Enable SNMP alarms traps
                ''',
                'alarms',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('atm', REFERENCE_CLASS, 'Atm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Atm', 
                [], [], 
                '''                Enable SNMP atm traps
                ''',
                'atm',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('auth-framework', REFERENCE_CLASS, 'AuthFramework' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.AuthFramework', 
                [], [], 
                '''                ''',
                'auth_framework',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('authenticate-fail', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP 802.11 Authentication Fail Trap
                ''',
                'authenticate_fail',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'bfd',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BGP traps
                ''',
                'bgp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('bgp-conf', REFERENCE_CLASS, 'BgpConf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf', 
                [], [], 
                '''                ''',
                'bgp_conf',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('bridge', REFERENCE_CLASS, 'Bridge' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Bridge', 
                [], [], 
                '''                ''',
                'bridge',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('bstun', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP BSTUN traps
                ''',
                'bstun',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('bulkstat', REFERENCE_CLASS, 'Bulkstat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Bulkstat', 
                [], [], 
                '''                Enable Data-Collection-MIB Collection notifications
                ''',
                'bulkstat',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('c2900', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP c2900 traps
                ''',
                'c2900',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('c6kxbar', REFERENCE_CLASS, 'C6Kxbar' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.C6Kxbar', 
                [], [], 
                '''                Enable SNMP CISCO-CAT6K-CROSSBAR-MIB traps
                ''',
                'c6kxbar',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('call-home', REFERENCE_CLASS, 'CallHome' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.CallHome', 
                [], [], 
                '''                Enable CISCO-CALLHOME-MIB traps
                ''',
                'call_home',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('casa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP casa traps
                ''',
                'casa',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ccme', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'ccme',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('cef', REFERENCE_CLASS, 'Cef' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Cef', 
                [], [], 
                '''                ''',
                'cef',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('channel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP channel traps
                ''',
                'channel',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('chassis', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP chassis traps
                ''',
                'chassis',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('cluster', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Cluster traps
                ''',
                'cluster',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('cnpd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable NBAR Protocol Discovery traps
                ''',
                'cnpd',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('config', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP config traps
                ''',
                'config',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('config-copy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP config-copy traps
                ''',
                'config_copy',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('config-ctid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'config_ctid',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('copy-config', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP copy-config traps
                ''',
                'copy_config',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('cpu', REFERENCE_CLASS, 'Cpu' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Cpu', 
                [], [], 
                '''                Allow cpu related traps
                ''',
                'cpu',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('cpu_threshold', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enables CPU threshold notifications
                ''',
                'cpu_threshold',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('csg', REFERENCE_CLASS, 'Csg' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Csg', 
                [], [], 
                '''                Enable SNMP CSG traps
                ''',
                'csg',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('deauthenticate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP 802.11 Deauthentication Trap
                ''',
                'deauthenticate',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('dial', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP dial control traps
                ''',
                'dial',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('director', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Distributed Director traps
                ''',
                'director',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('disassociate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP 802.11 Disassociation Trap
                ''',
                'disassociate',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('dlsw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP dlsw traps
                ''',
                'dlsw',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('dnis', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP DNIS traps
                ''',
                'dnis',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('dot11-qos', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP 802.11 QoS Change Trap
                ''',
                'dot11_qos',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('dot1x', REFERENCE_CLASS, 'Dot1X' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X', 
                [], [], 
                '''                ''',
                'dot1x',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ds0-busyout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ds0-busyout traps
                ''',
                'ds0_busyout',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ds1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP DS1 traps
                ''',
                'ds1',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ds1-loopback', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ds1-loopback traps
                ''',
                'ds1_loopback',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ds3', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP DS3 traps
                ''',
                'ds3',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('dsp', REFERENCE_CLASS, 'Dsp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Dsp', 
                [], [], 
                '''                Enable SNMP dsp traps
                ''',
                'dsp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP EIGRP traps
                ''',
                'eigrp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('energywise', REFERENCE_CLASS, 'Energywise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Energywise', 
                [], [], 
                '''                ''',
                'energywise',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('entity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP entity traps
                ''',
                'entity',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('entity-diag', REFERENCE_CLASS, 'EntityDiag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.EntityDiag', 
                [], [], 
                '''                Enable SNMP CISCO-ENTITY-DIAG-MIB traps
                ''',
                'entity_diag',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('envmon', REFERENCE_CLASS, 'Envmon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Envmon', 
                [], [], 
                '''                Enable SNMP environmental monitor traps
                ''',
                'envmon',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Errdisable', 
                [], [], 
                '''                Enable SNMP errdisable notifications
                ''',
                'errdisable',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ether-oam', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'ether_oam',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet', 
                [], [], 
                '''                ''',
                'ethernet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('event-manager', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Embedded Event Manager traps
                ''',
                'event_manager',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('firewall', REFERENCE_CLASS, 'Firewall' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Firewall', 
                [], [], 
                '''                ''',
                'firewall',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('flash', REFERENCE_CLASS, 'Flash' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Flash', 
                [], [], 
                '''                Enable SNMP FLASH notifications
                ''',
                'flash',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('flex-links', REFERENCE_CLASS, 'FlexLinks' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.FlexLinks', 
                [], [], 
                '''                Enable SNMP FLEX Links traps
                ''',
                'flex_links',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('flowmon', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enabel SNMP flowmon notifications
                ''',
                'flowmon',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('frame-relay', REFERENCE_CLASS, 'FrameRelay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay', 
                [], [], 
                '''                Enable SNMP frame-relay traps
                ''',
                'frame_relay',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('fru-ctrl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP entity FRU control traps
                ''',
                'fru_ctrl',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('gatekeeper', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP gatekeeper traps
                ''',
                'gatekeeper',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('hsrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP HSRP traps
                ''',
                'hsrp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('icsudsu', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP ICSUDSU traps
                ''',
                'icsudsu',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ike', REFERENCE_CLASS, 'Ike' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ike', 
                [], [], 
                '''                Enable IKE traps
                ''',
                'ike',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ima', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP ATM IMA traps
                ''',
                'ima',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ipmobile', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP ipmobile traps
                ''',
                'ipmobile',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ipmulticast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP ipmulticast traps
                ''',
                'ipmulticast',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ipsec', REFERENCE_CLASS, 'Ipsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec', 
                [], [], 
                '''                Enable IPsec traps
                ''',
                'ipsec',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ipsla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable IPSLA traps traps
                ''',
                'ipsla',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('isakmp', REFERENCE_CLASS, 'Isakmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp', 
                [], [], 
                '''                Enable ISAKMP traps traps
                ''',
                'isakmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('isdn', REFERENCE_CLASS, 'Isdn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Isdn', 
                [], [], 
                '''                Enable SNMP isdn traps
                ''',
                'isdn',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('isis', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable ISIS traps traps
                ''',
                'isis',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('l2tc', REFERENCE_CLASS, 'L2Tc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.L2Tc', 
                [], [], 
                '''                Enable SNMP L2 Tunnel Config traps
                ''',
                'l2tc',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('l2tun', REFERENCE_CLASS, 'L2Tun' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun', 
                [], [], 
                '''                Enable SNMP L2 tunnel protocol traps
                ''',
                'l2tun',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('license', REFERENCE_CLASS, 'License' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.License', 
                [], [], 
                '''                Enable license traps
                ''',
                'license',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('local-auth', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP local auth traps
                ''',
                'local_auth',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mac-notification', REFERENCE_CLASS, 'MacNotification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification', 
                [], [], 
                '''                Enable SNMP MAC Notification traps
                ''',
                'mac_notification',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mac-notification2', REFERENCE_CLASS, 'MacNotification2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification2', 
                [], [], 
                '''                Enable SNMP MAC Notification traps
                ''',
                'mac_notification2',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('memory', REFERENCE_CLASS, 'Memory' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Memory', 
                [], [], 
                '''                Enable SNMP Memory traps
                ''',
                'memory',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('module', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP module traps
                ''',
                'module',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Mpls', 
                [], [], 
                '''                Enable SNMP MPLS traps
                ''',
                'mpls',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('msdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP MSDP traps
                ''',
                'msdp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mvpn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Multicast Virtual Private Networks traps
                ''',
                'mvpn',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('nhrp', REFERENCE_CLASS, 'Nhrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp', 
                [], [], 
                '''                ''',
                'nhrp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospf', 
                [], [], 
                '''                Enable OSPF traps
                ''',
                'ospf',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3', 
                [], [], 
                '''                Enable OSPFv3 traps
                ''',
                'ospfv3',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('pim', REFERENCE_CLASS, 'Pim' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Pim', 
                [], [], 
                '''                Enable SNMP PIM traps
                ''',
                'pim',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('plogd', REFERENCE_CLASS, 'Plogd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Plogd', 
                [], [], 
                '''                Enable SNMP plogd traps
                ''',
                'plogd',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.PortSecurity', 
                [], [], 
                '''                Enable SNMP port security traps
                ''',
                'port_security',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('power-ethernet', REFERENCE_CLASS, 'PowerEthernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet', 
                [], [], 
                '''                Enable SNMP power ethernet traps
                ''',
                'power_ethernet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('pppoe', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP pppoe traps
                ''',
                'pppoe',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('pw', REFERENCE_CLASS, 'Pw' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Pw', 
                [], [], 
                '''                ''',
                'pw',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('rep', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'rep',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('resource-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'resource_policy',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('rf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable all SNMP traps defined in CISCO-RF-MIB
                ''',
                'rf',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('rogue-ap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP 802.11 Rogue AP Trap
                ''',
                'rogue_ap',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('rsvp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable RSVP flow change traps
                ''',
                'rsvp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('rtr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Response Time Reporter traps
                ''',
                'rtr',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('slb', REFERENCE_CLASS, 'Slb' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Slb', 
                [], [], 
                '''                Enable SNMP SLB traps
                ''',
                'slb',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Snmp', 
                [], [], 
                '''                Enable SNMP traps
                ''',
                'snmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('sonet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP SONET traps
                ''',
                'sonet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('srp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SRP protocol traps
                ''',
                'srp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('srst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'srst',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('stackwise', REFERENCE_CLASS, 'Stackwise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Stackwise', 
                [], [], 
                '''                Enable SNMP stackwise traps
                ''',
                'stackwise',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('stpx', REFERENCE_CLASS, 'Stpx' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Stpx', 
                [], [], 
                '''                ''',
                'stpx',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('stun', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP STUN traps
                ''',
                'stun',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('switch-over', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP 802.11 Standby Switch-over Trap
                ''',
                'switch_over',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('syslog', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP syslog traps
                ''',
                'syslog',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('transceiver', REFERENCE_CLASS, 'Transceiver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver', 
                [], [], 
                '''                ''',
                'transceiver',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trustsec', REFERENCE_CLASS, 'Trustsec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec', 
                [], [], 
                '''                Enable SNMP CISCO-TRUSTSEC-MIB traps
                ''',
                'trustsec',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trustsec-interface', REFERENCE_CLASS, 'TrustsecInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface', 
                [], [], 
                '''                Enable SNMP CISCO-TRUSTSEC-INTERFACE-MIB traps
                ''',
                'trustsec_interface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trustsec-policy', REFERENCE_CLASS, 'TrustsecPolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy', 
                [], [], 
                '''                Enable SNMP CISCO-TRUSTSEC-POLICY-MIB traps
                ''',
                'trustsec_policy',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trustsec-server', REFERENCE_CLASS, 'TrustsecServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer', 
                [], [], 
                '''                Enable SNMP CISCO-TRUSTSEC-SERVER-MIB traps
                ''',
                'trustsec_server',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trustsec-sxp', REFERENCE_CLASS, 'TrustsecSxp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecSxp', 
                [], [], 
                '''                Enable SNMP CISCO-TRUSTSEC-SXP-MIB traps
                ''',
                'trustsec_sxp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('tty', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable TCP connection traps
                ''',
                'tty',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('udld', REFERENCE_CLASS, 'Udld' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Udld', 
                [], [], 
                '''                Enable SNMP CISCO-UDLDP-MIB traps
                ''',
                'udld',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vlan-mac-limit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP L2 Control VLAN MAC Limit notifications
                ''',
                'vlan_mac_limit',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vlan-membership', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'vlan_membership',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vlancreate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'vlancreate',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vlandelete', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'vlandelete',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('voice', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP voice traps
                ''',
                'voice',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vrfmib', REFERENCE_CLASS, 'Vrfmib' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib', 
                [], [], 
                '''                ''',
                'vrfmib',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vrrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP vrrp traps
                ''',
                'vrrp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vsimaster', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP vsimaster traps
                ''',
                'vsimaster',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vstack', REFERENCE_CLASS, 'Vstack' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Vstack', 
                [], [], 
                '''                Enable SNMP Smart Install traps
                ''',
                'vstack',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vswitch', REFERENCE_CLASS, 'Vswitch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch', 
                [], [], 
                '''                Enable SNMP Virtual Switch notifications
                ''',
                'vswitch',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'vtp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('wireless', REFERENCE_CLASS, 'Wireless' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps.Wireless', 
                [], [], 
                '''                wireless
                ''',
                'wireless',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('wlan-wep', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP 802.11 WLAN WEP Trap
                ''',
                'wlan_wep',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('xgcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable XGCP protocol traps
                ''',
                'xgcp',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'traps',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable.EnableChoice' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable.EnableChoice',
            False, 
            [
            _MetaInfoClassMember('informs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable SNMP Informs
                ''',
                'informs',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('traps', REFERENCE_CLASS, 'Traps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice.Traps', 
                [], [], 
                '''                Enable SNMP Traps
                ''',
                'traps',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'enable-choice',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Enable' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Enable',
            False, 
            [
            _MetaInfoClassMember('enable-choice', REFERENCE_CLASS, 'EnableChoice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable.EnableChoice', 
                [], [], 
                '''                ''',
                'enable_choice',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'enable',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Engineid.Remote' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Engineid.Remote',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'remote',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Engineid' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Engineid',
            False, 
            [
            _MetaInfoClassMember('local', ATTRIBUTE, 'str' , None, None, 
                [(1, 24)], [], 
                '''                engineID of the local agent
                ''',
                'local',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('remote', REFERENCE_CLASS, 'Remote' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Engineid.Remote', 
                [], [], 
                '''                ''',
                'remote',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'engineID',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Group.V1' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Group.V1',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'v1',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Group.V2C' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Group.V2C',
            False, 
            [
            ],
            'Cisco-IOS-XE-snmp',
            'v2c',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Group.V3.MatchEnum' : _MetaInfoEnum('MatchEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'exact':'exact',
            'prefix':'prefix',
        }, 'Cisco-IOS-XE-snmp', _yang_ns._namespaces['Cisco-IOS-XE-snmp']),
    'Native.SnmpServer.Group.V3.SecurityLevelEnum' : _MetaInfoEnum('SecurityLevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auth':'auth',
            'noauth':'noauth',
            'priv':'priv',
        }, 'Cisco-IOS-XE-snmp', _yang_ns._namespaces['Cisco-IOS-XE-snmp']),
    'Native.SnmpServer.Group.V3' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Group.V3',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                specify an access-list associated with this group
                ''',
                'access',
                'Cisco-IOS-XE-snmp', False, [
                    _MetaInfoClassMember('access', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        specify an access-list associated with this group
                        ''',
                        'access',
                        'Cisco-IOS-XE-snmp', False),
                    _MetaInfoClassMember('access', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        specify an access-list associated with this group
                        ''',
                        'access',
                        'Cisco-IOS-XE-snmp', False),
                ]),
            _MetaInfoClassMember('context', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                specify a context to associate these views for the group
                ''',
                'context',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('match', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Group.V3.MatchEnum', 
                [], [], 
                '''                context name match criteria
                ''',
                'match',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('notify', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                specify a notify view for the group
                ''',
                'notify',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('read', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                specify a read view for the group
                ''',
                'read',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('security-level', REFERENCE_ENUM_CLASS, 'SecurityLevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Group.V3.SecurityLevelEnum', 
                [], [], 
                '''                ''',
                'security_level',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('write', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                specify a write view for the group
                ''',
                'write',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'v3',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Group' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Group',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-snmp', True),
            _MetaInfoClassMember('v1', REFERENCE_CLASS, 'V1' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Group.V1', 
                [], [], 
                '''                ''',
                'v1',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('v2c', REFERENCE_CLASS, 'V2C' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Group.V2C', 
                [], [], 
                '''                ''',
                'v2c',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('v3', REFERENCE_CLASS, 'V3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Group.V3', 
                [], [], 
                '''                group using the User Security Model (SNMPv3)
                ''',
                'v3',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Host.TrapEnable' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Host.TrapEnable',
            False, 
            [
            _MetaInfoClassMember('aaa_server', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP AAA traps
                ''',
                'aaa_server',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('alarms', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP alarms traps
                ''',
                'alarms',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('atm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP atm traps
                ''',
                'atm',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP BFD traps
                ''',
                'bfd',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('bgp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow BGP state change traps
                ''',
                'bgp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('bstun', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow bstun event traps
                ''',
                'bstun',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('bulkstat', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow Data-Collection-MIB traps
                ''',
                'bulkstat',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('call-home', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP CISCO-CALLHOME-MIB traps
                ''',
                'call_home',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('casa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow casa event traps
                ''',
                'casa',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('cef', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allows cef traps
                ''',
                'cef',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('cnpd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow NBAR Protocol Discovery traps
                ''',
                'cnpd',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('config', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP config traps
                ''',
                'config',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('config-copy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP config-copy traps
                ''',
                'config_copy',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('config-ctid', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP config-ctid traps
                ''',
                'config_ctid',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('cpu', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow cpu related traps
                ''',
                'cpu',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow dhcp traps
                ''',
                'dhcp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('dlsw', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow dlsw traps
                ''',
                'dlsw',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ds1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP ds1 traps
                ''',
                'ds1',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('dsp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP DSP traps
                ''',
                'dsp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('dspu', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow dspu event traps
                ''',
                'dspu',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('eigrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP EIGRP traps
                ''',
                'eigrp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('entity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP entity traps
                ''',
                'entity',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('entity-diag', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP CISCO-ENTITY-DIAG-MIB traps
                ''',
                'entity_diag',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('entity-qfp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP CISCO-ENTITY-QFP-MIB traps
                ''',
                'entity_qfp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('entity-state', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow ENTITY-STATE-MIB traps
                ''',
                'entity_state',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ethernet-cfm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP Ethernet CFM traps
                ''',
                'ethernet_cfm',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('evc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP EVC traps
                ''',
                'evc',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('event-manager', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP Embedded Event Manager traps
                ''',
                'event_manager',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('firewall', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP Firewall traps
                ''',
                'firewall',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('flash', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP FLASH traps
                ''',
                'flash',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('flowmon', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP flow monitor notifications
                ''',
                'flowmon',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('frame-relay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP frame-relay traps
                ''',
                'frame_relay',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('fru-ctrl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow entity FRU control traps
                ''',
                'fru_ctrl',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('gdoi', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allows gdoi traps
                ''',
                'gdoi',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('hsrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP HSRP traps
                ''',
                'hsrp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('iplocalpool', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP IP Local Pool traps
                ''',
                'iplocalpool',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ipmulticast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP ipmulticast traps
                ''',
                'ipmulticast',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ipsec', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP IPsec traps
                ''',
                'ipsec',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ipsla', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP Host IP SLA traps
                ''',
                'ipsla',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('isakmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP ISAKMP traps
                ''',
                'isakmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('isg-mib', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP isgmib traps
                ''',
                'isg_mib',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('isis', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow IS-IS traps
                ''',
                'isis',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('l2tun-pseudowire-status', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP L2 pseudowire status traps
                ''',
                'l2tun_pseudowire_status',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('l2tun-session', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP L2 session traps
                ''',
                'l2tun_session',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('license', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow license traps
                ''',
                'license',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('memory', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP Mempool traps
                ''',
                'memory',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mpls-fast-reroute', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP MPLS traffic engineering fast reroute traps
                ''',
                'mpls_fast_reroute',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mpls-ldp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP MPLS label distribution protocol traps
                ''',
                'mpls_ldp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mpls-traffic-eng', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP MPLS traffic engineering traps
                ''',
                'mpls_traffic_eng',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mpls-vpn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP MPLS Virtual Private Network traps
                ''',
                'mpls_vpn',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('msdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP MSDP traps
                ''',
                'msdp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('mvpn', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow Multicast Virtual Private Network traps
                ''',
                'mvpn',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('nhrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP NHRP traps
                ''',
                'nhrp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ospf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow OSPF traps
                ''',
                'ospf',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ospfv3', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow OSPFv3 traps
                ''',
                'ospfv3',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('pfr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP PfR traps
                ''',
                'pfr',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('pim', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP PIM traps
                ''',
                'pim',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('pw-vc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP Pseudowire VC traps
                ''',
                'pw_vc',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('resource-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable CISCO-ERM-MIB notifications
                ''',
                'resource_policy',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('rf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow all SNMP traps defined in CISCO-RF-MIB
                ''',
                'rf',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('rsrb', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow rsrb event traps
                ''',
                'rsrb',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('rsvp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow RSVP flow change traps
                ''',
                'rsvp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('sdlc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow sdlc event traps
                ''',
                'sdlc',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('sdllc', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow sdllc event traps
                ''',
                'sdllc',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('snmp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP-type notifications
                ''',
                'snmp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('sonet', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP SONET traps
                ''',
                'sonet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('srp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SRP protocol traps
                ''',
                'srp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('stun', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow stun event traps
                ''',
                'stun',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('syslog', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP syslog traps
                ''',
                'syslog',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trustsec-sxp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP CISCO-TRUSTSEC-SXP-MIB traps
                ''',
                'trustsec_sxp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('tty', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow TCP connection traps
                ''',
                'tty',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('udp-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The notification host's UDP port number (default port 162)
                ''',
                'udp_port',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('voice', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP Voice traps
                ''',
                'voice',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vrfmib', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP vrfmib traps
                ''',
                'vrfmib',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vrrp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow SNMP vrrp traps
                ''',
                'vrrp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('x25', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow x25 event traps
                ''',
                'x25',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trap-enable',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Host.SecurityLevelEnum' : _MetaInfoEnum('SecurityLevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'auth':'auth',
            'noauth':'noauth',
            'priv':'priv',
        }, 'Cisco-IOS-XE-snmp', _yang_ns._namespaces['Cisco-IOS-XE-snmp']),
    'Native.SnmpServer.Host.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '2c':'Y_2c',
            '3':'Y_3',
        }, 'Cisco-IOS-XE-snmp', _yang_ns._namespaces['Cisco-IOS-XE-snmp']),
    'Native.SnmpServer.Host' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-snmp', True, [
                    _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-snmp', True, [
                            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'ip_address',
                                'Cisco-IOS-XE-snmp', True),
                            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                                '''                                ''',
                                'ip_address',
                                'Cisco-IOS-XE-snmp', True),
                        ]),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.)*([a-zA-Z0-9_]([a-zA-Z0-9\\-_]){0,61})?[a-zA-Z0-9]\\.?)|\\.'], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-snmp', True),
                ]),
            _MetaInfoClassMember('community-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'community_string',
                'Cisco-IOS-XE-snmp', True),
            _MetaInfoClassMember('informs', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Inform messages to this host
                ''',
                'informs',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('security-level', REFERENCE_ENUM_CLASS, 'SecurityLevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Host.SecurityLevelEnum', 
                [], [], 
                '''                ''',
                'security_level',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trap-enable', REFERENCE_CLASS, 'TrapEnable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Host.TrapEnable', 
                [], [], 
                '''                ''',
                'trap_enable',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('traps', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send Trap messages to this host
                ''',
                'traps',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Host.VersionEnum', 
                [], [], 
                '''                SNMP version to use for notification messages
                ''',
                'version',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VPN Routing instance for this host
                ''',
                'vrf',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Ip' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Ip',
            False, 
            [
            _MetaInfoClassMember('dscp', ATTRIBUTE, 'int' , None, None, 
                [('0', '63')], [], 
                '''                IP DSCP value for SNMP traffic
                ''',
                'dscp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                IP Precedence value for SNMP traffic
                ''',
                'precedence',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Ifindex' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Ifindex',
            False, 
            [
            _MetaInfoClassMember('persist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Persist interface indices
                ''',
                'persist',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ifindex',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Manager' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Manager',
            False, 
            [
            _MetaInfoClassMember('session-timeout', ATTRIBUTE, 'int' , None, None, 
                [('10', '2147483')], [], 
                '''                Timeout value for destroying sessions
                ''',
                'session_timeout',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'manager',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.SourceInterface.Informs.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.SourceInterface.Informs.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.SourceInterface.Informs.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.SourceInterface.Informs.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.SourceInterface.Informs.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.SourceInterface.Informs.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.SourceInterface.Informs' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.SourceInterface.Informs',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.SourceInterface.Informs.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.SourceInterface.Informs.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.SourceInterface.Informs.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'informs',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.SourceInterface.Traps.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.SourceInterface.Traps.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.SourceInterface.Traps.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.SourceInterface.Traps.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.SourceInterface.Traps.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.SourceInterface.Traps.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.SourceInterface.Traps' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.SourceInterface.Traps',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.SourceInterface.Traps.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.SourceInterface.Traps.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.SourceInterface.Traps.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'traps',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.SourceInterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.SourceInterface',
            False, 
            [
            _MetaInfoClassMember('informs', REFERENCE_CLASS, 'Informs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.SourceInterface.Informs', 
                [], [], 
                '''                source interface for informs
                ''',
                'informs',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('traps', REFERENCE_CLASS, 'Traps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.SourceInterface.Traps', 
                [], [], 
                '''                source interface for traps
                ''',
                'traps',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'source-interface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Trap.Link' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Trap.Link',
            False, 
            [
            _MetaInfoClassMember('ietf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Use IETF standard for SNMP traps
                ''',
                'ietf',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('switchover', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable link up/down traps during switchover
                ''',
                'switchover',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.Trap' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.Trap',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_CLASS, 'Link' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Trap.Link', 
                [], [], 
                '''                Assign/Enable SNMP link traps
                ''',
                'link',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('timeout', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Set timeout for TRAP message retransmissions
                ''',
                'timeout',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.TrapSource.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.TrapSource.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.TrapSource.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.TrapSource.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.TrapSource.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.TrapSource.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.TrapSource.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.TrapSource.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.TrapSource' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.TrapSource',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.TrapSource.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.TrapSource.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.TrapSource.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.TrapSource.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'trap-source',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128.Privpass' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128.Privpass',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Access-list name
                ''',
                'access',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('privpass', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                privacy password for user
                ''',
                'privpass',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'privpass',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128',
            False, 
            [
            _MetaInfoClassMember('privpass', REFERENCE_CLASS, 'Privpass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128.Privpass', 
                [], [], 
                '''                ''',
                'privpass',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'algo128',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes',
            False, 
            [
            _MetaInfoClassMember('algo128', REFERENCE_CLASS, 'Algo128' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128', 
                [], [], 
                '''                Use 128 bit AES algorithm for encryption
                ''',
                'algo128',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'aes',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv',
            False, 
            [
            _MetaInfoClassMember('aes', REFERENCE_CLASS, 'Aes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes', 
                [], [], 
                '''                Use AES algorithm for encryption
                ''',
                'aes',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'priv',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_',
            False, 
            [
            _MetaInfoClassMember('authpass', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authentication password for user
                ''',
                'authpass',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('priv', REFERENCE_CLASS, 'Priv' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv', 
                [], [], 
                '''                encryption parameters for the user
                ''',
                'priv',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.User.Names.V3.Auth.Sha' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.User.Names.V3.Auth.Sha',
            False, 
            [
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_', 
                [], [], 
                '''                ''',
                'auth',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'sha',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.User.Names.V3.Auth' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.User.Names.V3.Auth',
            False, 
            [
            _MetaInfoClassMember('sha', REFERENCE_CLASS, 'Sha' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.User.Names.V3.Auth.Sha', 
                [], [], 
                '''                Use HMAC SHA algorithm for authentication
                ''',
                'sha',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'auth',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.User.Names.V3' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.User.Names.V3',
            False, 
            [
            _MetaInfoClassMember('auth', REFERENCE_CLASS, 'Auth' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.User.Names.V3.Auth', 
                [], [], 
                '''                authentication parameters for the user
                ''',
                'auth',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'v3',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.User.Names' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.User.Names',
            False, 
            [
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the user
                ''',
                'username',
                'Cisco-IOS-XE-snmp', True),
            _MetaInfoClassMember('grpname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group to which the user belongs
                ''',
                'grpname',
                'Cisco-IOS-XE-snmp', True),
            _MetaInfoClassMember('v3', REFERENCE_CLASS, 'V3' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.User.Names.V3', 
                [], [], 
                '''                user using the v3 security model
                ''',
                'v3',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'names',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.User' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.User',
            False, 
            [
            _MetaInfoClassMember('names', REFERENCE_LIST, 'Names' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.User.Names', 
                [], [], 
                '''                ''',
                'names',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer.View.IncExlEnum' : _MetaInfoEnum('IncExlEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'excluded':'excluded',
            'included':'included',
        }, 'Cisco-IOS-XE-snmp', _yang_ns._namespaces['Cisco-IOS-XE-snmp']),
    'Native.SnmpServer.View' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer.View',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-snmp', True),
            _MetaInfoClassMember('mib', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mib',
                'Cisco-IOS-XE-snmp', True),
            _MetaInfoClassMember('inc-exl', REFERENCE_ENUM_CLASS, 'IncExlEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.View.IncExlEnum', 
                [], [], 
                '''                ''',
                'inc_exl',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-snmp',
            'view',
            _yang_ns._namespaces['Cisco-IOS-XE-snmp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SnmpServer' : {
        'meta_info' : _MetaInfoClass('Native.SnmpServer',
            False, 
            [
            _MetaInfoClassMember('chassis-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                String to uniquely identify this chassis
                ''',
                'chassis_id',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Community', 
                [], [], 
                '''                Enable SNMP; set community string and access privs
                ''',
                'community',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('contact', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Text for mib object sysContact
                ''',
                'contact',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('context', REFERENCE_LIST, 'Context' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Context', 
                [], [], 
                '''                Create/Delete a context apart from default
                ''',
                'context',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Enable', 
                [], [], 
                '''                Enable SNMP Traps or Informs
                ''',
                'enable',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('engineID', REFERENCE_CLASS, 'Engineid' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Engineid', 
                [], [], 
                '''                Configure a local or remote SNMPv3 engineID
                ''',
                'engineid',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Group', 
                [], [], 
                '''                Define a User Security Model group
                ''',
                'group',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Host', 
                [], [], 
                '''                Specify hosts to receive SNMP notifications
                ''',
                'host',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ifindex', REFERENCE_CLASS, 'Ifindex' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Ifindex', 
                [], [], 
                '''                Enable ifindex persistence
                ''',
                'ifindex',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Ip', 
                [], [], 
                '''                IP ToS configuration for SNMP traffic
                ''',
                'ip',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Text for mib object sysLocation
                ''',
                'location',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('manager', REFERENCE_CLASS, 'Manager' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Manager', 
                [], [], 
                '''                Modify SNMP manager parameters
                ''',
                'manager',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('packetsize', ATTRIBUTE, 'int' , None, None, 
                [('484', '17924')], [], 
                '''                Largest SNMP packet size
                ''',
                'packetsize',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Message queue length for each TRAP host
                ''',
                'queue_length',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('source-interface', REFERENCE_CLASS, 'SourceInterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.SourceInterface', 
                [], [], 
                '''                Assign an source interface
                ''',
                'source_interface',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('system-shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable use of the SNMP reload command
                ''',
                'system_shutdown',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('tftp-server-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Limit TFTP servers used via SNMP
                ''',
                'tftp_server_list',
                'Cisco-IOS-XE-snmp', False, [
                    _MetaInfoClassMember('tftp-server-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        Limit TFTP servers used via SNMP
                        ''',
                        'tftp_server_list',
                        'Cisco-IOS-XE-snmp', False),
                    _MetaInfoClassMember('tftp-server-list', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Limit TFTP servers used via SNMP
                        ''',
                        'tftp_server_list',
                        'Cisco-IOS-XE-snmp', False),
                ]),
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.Trap', 
                [], [], 
                '''                SNMP trap options
                ''',
                'trap',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('trap-source', REFERENCE_CLASS, 'TrapSource' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.TrapSource', 
                [], [], 
                '''                Assign an interface for the source address of all traps
                ''',
                'trap_source',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.User', 
                [], [], 
                '''                Define a user who can access the SNMP engine
                ''',
                'user',
                'Cisco-IOS-XE-snmp', False),
            _MetaInfoClassMember('view', REFERENCE_LIST, 'View' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer.View', 
                [], [], 
                '''                Define an SNMPv2 MIB view
                ''',
                'view',
                'Cisco-IOS-XE-snmp', False),
            ],
            'Cisco-IOS-XE-native',
            'snmp-server',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index',
            False, 
            [
            _MetaInfoClassMember('attach', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'attach',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1048575')], [], 
                '''                Range value
                ''',
                'range',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                ''',
                'range_start',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'index',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1048575')], [], 
                '''                Range value
                ''',
                'range',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                ''',
                'range_start',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'absolute',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes',
            False, 
            [
            _MetaInfoClassMember('ipprefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'ipprefix',
                'Cisco-IOS-XE-segment-routing', True),
            _MetaInfoClassMember('absolute', REFERENCE_CLASS, 'Absolute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute', 
                [], [], 
                '''                ''',
                'absolute',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('index', REFERENCE_CLASS, 'Index' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index', 
                [], [], 
                '''                ''',
                'index',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4',
            False, 
            [
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index',
            False, 
            [
            _MetaInfoClassMember('attach', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'attach',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1048575')], [], 
                '''                Range value
                ''',
                'range',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                ''',
                'range_start',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'index',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1048575')], [], 
                '''                Range value
                ''',
                'range',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                ''',
                'range_start',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'absolute',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes',
            False, 
            [
            _MetaInfoClassMember('ipprefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'ipprefix',
                'Cisco-IOS-XE-segment-routing', True),
            _MetaInfoClassMember('absolute', REFERENCE_CLASS, 'Absolute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute', 
                [], [], 
                '''                ''',
                'absolute',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('index', REFERENCE_CLASS, 'Index' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index', 
                [], [], 
                '''                ''',
                'index',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf',
            False, 
            [
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'strict-spf',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4',
            False, 
            [
            _MetaInfoClassMember('strict-spf', REFERENCE_CLASS, 'StrictSpf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf', 
                [], [], 
                '''                ''',
                'strict_spf',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'ipv4-strict-spf',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('ipv4-strict-spf', REFERENCE_CLASS, 'Ipv4StrictSpf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf', 
                [], [], 
                '''                ''',
                'ipv4_strict_spf',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.ConnectedPrefixSidMap',
            False, 
            [
            _MetaInfoClassMember('address-family', REFERENCE_CLASS, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily', 
                [], [], 
                '''                ''',
                'address_family',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'connected-prefix-sid-map',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.GlobalBlock' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.GlobalBlock',
            False, 
            [
            _MetaInfoClassMember('range-end', ATTRIBUTE, 'int' , None, None, 
                [('16', '1048575')], [], 
                '''                SR GB Label Range End
                ''',
                'range_end',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range-start', ATTRIBUTE, 'int' , None, None, 
                [('16', '1048575')], [], 
                '''                SR GB Label Range Start
                ''',
                'range_start',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'global-block',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index',
            False, 
            [
            _MetaInfoClassMember('attach', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'attach',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1048575')], [], 
                '''                Range value
                ''',
                'range',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                ''',
                'range_start',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'index',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1048575')], [], 
                '''                Range value
                ''',
                'range',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                ''',
                'range_start',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'absolute',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes',
            False, 
            [
            _MetaInfoClassMember('ipprefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'ipprefix',
                'Cisco-IOS-XE-segment-routing', True),
            _MetaInfoClassMember('absolute', REFERENCE_CLASS, 'Absolute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute', 
                [], [], 
                '''                ''',
                'absolute',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('index', REFERENCE_CLASS, 'Index' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index', 
                [], [], 
                '''                ''',
                'index',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4',
            False, 
            [
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index',
            False, 
            [
            _MetaInfoClassMember('attach', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'attach',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1048575')], [], 
                '''                Range value
                ''',
                'range',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                ''',
                'range_start',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'index',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1048575')], [], 
                '''                Range value
                ''',
                'range',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('range-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                ''',
                'range_start',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'absolute',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes',
            False, 
            [
            _MetaInfoClassMember('ipprefix', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                ''',
                'ipprefix',
                'Cisco-IOS-XE-segment-routing', True),
            _MetaInfoClassMember('absolute', REFERENCE_CLASS, 'Absolute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute', 
                [], [], 
                '''                ''',
                'absolute',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('index', REFERENCE_CLASS, 'Index' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index', 
                [], [], 
                '''                ''',
                'index',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf',
            False, 
            [
            _MetaInfoClassMember('prefixes', REFERENCE_LIST, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'strict-spf',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4',
            False, 
            [
            _MetaInfoClassMember('strict-spf', REFERENCE_CLASS, 'StrictSpf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf', 
                [], [], 
                '''                ''',
                'strict_spf',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'ipv4-strict-spf',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4', 
                [], [], 
                '''                ''',
                'ipv4',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('ipv4-strict-spf', REFERENCE_CLASS, 'Ipv4StrictSpf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf', 
                [], [], 
                '''                ''',
                'ipv4_strict_spf',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap',
            False, 
            [
            _MetaInfoClassMember('address-family', REFERENCE_CLASS, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily', 
                [], [], 
                '''                ''',
                'address_family',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'prefix-sid-map',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.MappingServer' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.MappingServer',
            False, 
            [
            _MetaInfoClassMember('prefix-sid-map', REFERENCE_CLASS, 'PrefixSidMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap', 
                [], [], 
                '''                Enter Mapping Server Sidmap Mode
                ''',
                'prefix_sid_map',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'mapping-server',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.SetAttributes.AddressFamily.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.SetAttributes.AddressFamily.Ipv4',
            False, 
            [
            _MetaInfoClassMember('explicit-null', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'explicit_null',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('sr-label-preferred', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'sr_label_preferred',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.SetAttributes.AddressFamily' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.SetAttributes.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.SetAttributes.AddressFamily.Ipv4', 
                [], [], 
                '''                Address Family
                ''',
                'ipv4',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls.SetAttributes' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls.SetAttributes',
            False, 
            [
            _MetaInfoClassMember('address-family', REFERENCE_CLASS, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.SetAttributes.AddressFamily', 
                [], [], 
                '''                Enter Address Family command mode
                ''',
                'address_family',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'set-attributes',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting.Mpls',
            False, 
            [
            _MetaInfoClassMember('connected-prefix-sid-map', REFERENCE_CLASS, 'ConnectedPrefixSidMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.ConnectedPrefixSidMap', 
                [], [], 
                '''                Enter Connected Prefix Sid Map  Mode
                ''',
                'connected_prefix_sid_map',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('global-block', REFERENCE_CLASS, 'GlobalBlock' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.GlobalBlock', 
                [], [], 
                '''                SR Global Block Config
                ''',
                'global_block',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('mapping-server', REFERENCE_CLASS, 'MappingServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.MappingServer', 
                [], [], 
                '''                Enter Segment Routing Mapping Server Mode
                ''',
                'mapping_server',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('set-attributes', REFERENCE_CLASS, 'SetAttributes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls.SetAttributes', 
                [], [], 
                '''                Enter SR Set Attributes  Mode
                ''',
                'set_attributes',
                'Cisco-IOS-XE-segment-routing', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                SR Shutdown
                ''',
                'shutdown',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-segment-routing',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-segment-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SegmentRouting' : {
        'meta_info' : _MetaInfoClass('Native.SegmentRouting',
            False, 
            [
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting.Mpls', 
                [], [], 
                '''                Segment Routing MPLS Mode
                ''',
                'mpls',
                'Cisco-IOS-XE-segment-routing', False),
            ],
            'Cisco-IOS-XE-native',
            'segment-routing',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Udi' : {
        'meta_info' : _MetaInfoClass('Native.License.Udi',
            False, 
            [
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'pid',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sn', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'sn',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'udi',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Feature.Port' : {
        'meta_info' : _MetaInfoClass('Native.License.Feature.Port',
            False, 
            [
            _MetaInfoClassMember('b-6xonegig', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                Enable 6x1G port bundles
                ''',
                'b_6xonegig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bulk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Bulk port licenes
                ''',
                'bulk',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('onegig', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                Enable 1G port bundles
                ''',
                'onegig',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tengig', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                Enable 10G port bundles
                ''',
                'tengig',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Feature' : {
        'meta_info' : _MetaInfoClass('Native.License.Feature',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Feature.Port', 
                [], [], 
                '''                Enable Ports for IM
                ''',
                'port',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'feature',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Accept' : {
        'meta_info' : _MetaInfoClass('Native.License.Accept',
            False, 
            [
            _MetaInfoClassMember('agreement', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'agreement',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('end', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'end',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('user', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'user',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'accept',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Boot.Level.Ipbase' : {
        'meta_info' : _MetaInfoClass('Native.License.Boot.Level.Ipbase',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Switch license information
                ''',
                'switch',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipbase',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Boot.Level.Ipservices' : {
        'meta_info' : _MetaInfoClass('Native.License.Boot.Level.Ipservices',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switch license information
                ''',
                'switch',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipservices',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Boot.Level.Ipservicesk9' : {
        'meta_info' : _MetaInfoClass('Native.License.Boot.Level.Ipservicesk9',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switch license information
                ''',
                'switch',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipservicesk9',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Boot.Level.Lanbase' : {
        'meta_info' : _MetaInfoClass('Native.License.Boot.Level.Lanbase',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switch license information
                ''',
                'switch',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'lanbase',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Boot.Level.Lite' : {
        'meta_info' : _MetaInfoClass('Native.License.Boot.Level.Lite',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switch license information
                ''',
                'switch',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'lite',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Boot.Level.Metroaggrservices' : {
        'meta_info' : _MetaInfoClass('Native.License.Boot.Level.Metroaggrservices',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switch license information
                ''',
                'switch',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'metroaggrservices',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Boot.Level.Uck9' : {
        'meta_info' : _MetaInfoClass('Native.License.Boot.Level.Uck9',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'uck9',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Boot.Level' : {
        'meta_info' : _MetaInfoClass('Native.License.Boot.Level',
            False, 
            [
            _MetaInfoClassMember('advancedmetroipaccess', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Advanced Metro IP Access License Level
                ''',
                'advancedmetroipaccess',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('adventerprise', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Adventerprise License Level
                ''',
                'adventerprise',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('appx', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Appx License Level
                ''',
                'appx',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('appxk9', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Appxk9 License Level
                ''',
                'appxk9',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('entservices', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Entservices License Level
                ''',
                'entservices',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipbase', REFERENCE_CLASS, 'Ipbase' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot.Level.Ipbase', 
                [], [], 
                '''                ipbase level
                ''',
                'ipbase',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipbasek9', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                License Level IPBASEK9
                ''',
                'ipbasek9',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipservices', REFERENCE_CLASS, 'Ipservices' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot.Level.Ipservices', 
                [], [], 
                '''                ipservices level
                ''',
                'ipservices',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipservicesk9', REFERENCE_CLASS, 'Ipservicesk9' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot.Level.Ipservicesk9', 
                [], [], 
                '''                ipservicesk9 level
                ''',
                'ipservicesk9',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lanbase', REFERENCE_CLASS, 'Lanbase' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot.Level.Lanbase', 
                [], [], 
                '''                lanbase level
                ''',
                'lanbase',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lanbasek9', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                License Level LANBASEK9
                ''',
                'lanbasek9',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lite', REFERENCE_CLASS, 'Lite' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot.Level.Lite', 
                [], [], 
                '''                lite level
                ''',
                'lite',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metroaccess', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metro Access License Level
                ''',
                'metroaccess',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metroaggrservices', REFERENCE_CLASS, 'Metroaggrservices' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot.Level.Metroaggrservices', 
                [], [], 
                '''                metroaggrservices level
                ''',
                'metroaggrservices',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metroipaccess', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Metro IP Access License Level
                ''',
                'metroipaccess',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('securityk9', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Securityk9 License Level
                ''',
                'securityk9',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('uck9', REFERENCE_CLASS, 'Uck9' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot.Level.Uck9', 
                [], [], 
                '''                Uck9 License Level
                ''',
                'uck9',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Boot.BootModule.TechnologyPackage' : {
        'meta_info' : _MetaInfoClass('Native.License.Boot.BootModule.TechnologyPackage',
            False, 
            [
            _MetaInfoClassMember('datak9', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'datak9',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('securityk9', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'securityk9',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('uck9', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'uck9',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'technology-package',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Boot.BootModule.ModuleEnum' : _MetaInfoEnum('ModuleEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'c2900':'c2900',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.License.Boot.BootModule' : {
        'meta_info' : _MetaInfoClass('Native.License.Boot.BootModule',
            False, 
            [
            _MetaInfoClassMember('module', REFERENCE_ENUM_CLASS, 'ModuleEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot.BootModule.ModuleEnum', 
                [], [], 
                '''                ''',
                'module',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('technology-package', REFERENCE_CLASS, 'TechnologyPackage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot.BootModule.TechnologyPackage', 
                [], [], 
                '''                ''',
                'technology_package',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'boot-module',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.Boot' : {
        'meta_info' : _MetaInfoClass('Native.License.Boot',
            False, 
            [
            _MetaInfoClassMember('boot-module', REFERENCE_CLASS, 'BootModule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot.BootModule', 
                [], [], 
                '''                ''',
                'boot_module',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot.Level', 
                [], [], 
                '''                which level to boot
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'boot',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.License.SmartEnum' : _MetaInfoEnum('SmartEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'enable':'enable',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.License' : {
        'meta_info' : _MetaInfoClass('Native.License',
            False, 
            [
            _MetaInfoClassMember('accept', REFERENCE_CLASS, 'Accept' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Accept', 
                [], [], 
                '''                ''',
                'accept',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('boot', REFERENCE_CLASS, 'Boot' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Boot', 
                [], [], 
                '''                license boot config commands
                ''',
                'boot',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('feature', REFERENCE_CLASS, 'Feature' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Feature', 
                [], [], 
                '''                License features
                ''',
                'feature',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('smart', REFERENCE_ENUM_CLASS, 'SmartEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.SmartEnum', 
                [], [], 
                '''                ''',
                'smart',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('udi', REFERENCE_CLASS, 'Udi' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License.Udi', 
                [], [], 
                '''                ''',
                'udi',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'license',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.MemorySize' : {
        'meta_info' : _MetaInfoClass('Native.MemorySize',
            False, 
            [
            _MetaInfoClassMember('iomem', ATTRIBUTE, 'int' , None, None, 
                [('5', '25')], [], 
                '''                I/O memory
                ''',
                'iomem',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'memory-size',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Transceiver.Type.All.Monitoring' : {
        'meta_info' : _MetaInfoClass('Native.Transceiver.Type.All.Monitoring',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('300', '3600')], [], 
                '''                Set interval for monitoring
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'monitoring',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Transceiver.Type.All' : {
        'meta_info' : _MetaInfoClass('Native.Transceiver.Type.All',
            False, 
            [
            _MetaInfoClassMember('monitoring', REFERENCE_CLASS, 'Monitoring' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Transceiver.Type.All.Monitoring', 
                [], [], 
                '''                Enable/disable monitoring
                ''',
                'monitoring',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Transceiver.Type' : {
        'meta_info' : _MetaInfoClass('Native.Transceiver.Type',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Transceiver.Type.All', 
                [], [], 
                '''                ''',
                'all',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Transceiver' : {
        'meta_info' : _MetaInfoClass('Native.Transceiver',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Transceiver.Type', 
                [], [], 
                '''                type keyword
                ''',
                'type',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'transceiver',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceInsertion.AppnavControllerGroup' : {
        'meta_info' : _MetaInfoClass('Native.ServiceInsertion.AppnavControllerGroup',
            False, 
            [
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'group_name',
                'Cisco-IOS-XE-service-insertion', True),
            _MetaInfoClassMember('appnav-controller', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                AppNav controller
                ''',
                'appnav_controller',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ACG description
                ''',
                'description',
                'Cisco-IOS-XE-service-insertion', False),
            ],
            'Cisco-IOS-XE-service-insertion',
            'appnav-controller-group',
            _yang_ns._namespaces['Cisco-IOS-XE-service-insertion'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceInsertion.ServiceContext.Waas.Authentication.EncryptEnum' : _MetaInfoEnum('EncryptEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-service-insertion', _yang_ns._namespaces['Cisco-IOS-XE-service-insertion']),
    'Native.ServiceInsertion.ServiceContext.Waas.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.ServiceInsertion.ServiceContext.Waas.Authentication',
            False, 
            [
            _MetaInfoClassMember('encrypt', REFERENCE_ENUM_CLASS, 'EncryptEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceInsertion.ServiceContext.Waas.Authentication.EncryptEnum', 
                [], [], 
                '''                ''',
                'encrypt',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication Key
                ''',
                'key',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('sha1', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authentication type
                ''',
                'sha1',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string',
                'Cisco-IOS-XE-service-insertion', False),
            ],
            'Cisco-IOS-XE-service-insertion',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-service-insertion'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceInsertion.ServiceContext.Waas.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.ServiceInsertion.ServiceContext.Waas.Vrf',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                default
                ''',
                'default',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                global
                ''',
                'global_',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'name',
                'Cisco-IOS-XE-service-insertion', False),
            ],
            'Cisco-IOS-XE-service-insertion',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-service-insertion'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceInsertion.ServiceContext.Waas' : {
        'meta_info' : _MetaInfoClass('Native.ServiceInsertion.ServiceContext.Waas',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-service-insertion', True),
            _MetaInfoClassMember('appnav-controller-group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AppNav Controller Group
                ''',
                'appnav_controller_group',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceInsertion.ServiceContext.Waas.Authentication', 
                [], [], 
                '''                Authentication key
                ''',
                'authentication',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                service context enable
                ''',
                'enable',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('service-node-group', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node Group
                ''',
                'service_node_group',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify a service policy for the service context
                ''',
                'service_policy',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceInsertion.ServiceContext.Waas.Vrf', 
                [], [], 
                '''                VRF
                ''',
                'vrf',
                'Cisco-IOS-XE-service-insertion', False),
            ],
            'Cisco-IOS-XE-service-insertion',
            'waas',
            _yang_ns._namespaces['Cisco-IOS-XE-service-insertion'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceInsertion.ServiceContext' : {
        'meta_info' : _MetaInfoClass('Native.ServiceInsertion.ServiceContext',
            False, 
            [
            _MetaInfoClassMember('waas', REFERENCE_LIST, 'Waas' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceInsertion.ServiceContext.Waas', 
                [], [], 
                '''                Service controller waas
                ''',
                'waas',
                'Cisco-IOS-XE-service-insertion', False),
            ],
            'Cisco-IOS-XE-service-insertion',
            'service-context',
            _yang_ns._namespaces['Cisco-IOS-XE-service-insertion'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceInsertion.ServiceNodeGroup.NodeDiscoveryEnum' : _MetaInfoEnum('NodeDiscoveryEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'enable':'enable',
        }, 'Cisco-IOS-XE-service-insertion', _yang_ns._namespaces['Cisco-IOS-XE-service-insertion']),
    'Native.ServiceInsertion.ServiceNodeGroup' : {
        'meta_info' : _MetaInfoClass('Native.ServiceInsertion.ServiceNodeGroup',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-service-insertion', True),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group Description
                ''',
                'description',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('node-discovery', REFERENCE_ENUM_CLASS, 'NodeDiscoveryEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceInsertion.ServiceNodeGroup.NodeDiscoveryEnum', 
                [], [], 
                '''                service node auto discovery
                ''',
                'node_discovery',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('service-node', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                service node
                ''',
                'service_node',
                'Cisco-IOS-XE-service-insertion', False),
            ],
            'Cisco-IOS-XE-service-insertion',
            'service-node-group',
            _yang_ns._namespaces['Cisco-IOS-XE-service-insertion'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceInsertion.Swap' : {
        'meta_info' : _MetaInfoClass('Native.ServiceInsertion.Swap',
            False, 
            [
            _MetaInfoClassMember('src-ip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Swap source-ip of service-insertion packets
                ''',
                'src_ip',
                'Cisco-IOS-XE-service-insertion', False),
            ],
            'Cisco-IOS-XE-service-insertion',
            'swap',
            _yang_ns._namespaces['Cisco-IOS-XE-service-insertion'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceInsertion' : {
        'meta_info' : _MetaInfoClass('Native.ServiceInsertion',
            False, 
            [
            _MetaInfoClassMember('acg-reload-delay', ATTRIBUTE, 'int' , None, None, 
                [('120', '450')], [], 
                '''                Reload delay timer for ACG
                ''',
                'acg_reload_delay',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('appnav-controller-group', REFERENCE_LIST, 'AppnavControllerGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceInsertion.AppnavControllerGroup', 
                [], [], 
                '''                AppNav Controller Group
                ''',
                'appnav_controller_group',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('service-context', REFERENCE_CLASS, 'ServiceContext' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceInsertion.ServiceContext', 
                [], [], 
                '''                Service Context
                ''',
                'service_context',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('service-node-group', REFERENCE_LIST, 'ServiceNodeGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceInsertion.ServiceNodeGroup', 
                [], [], 
                '''                service node Group
                ''',
                'service_node_group',
                'Cisco-IOS-XE-service-insertion', False),
            _MetaInfoClassMember('swap', REFERENCE_CLASS, 'Swap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceInsertion.Swap', 
                [], [], 
                '''                Swap src-ip
                ''',
                'swap',
                'Cisco-IOS-XE-service-insertion', False),
            ],
            'Cisco-IOS-XE-native',
            'service-insertion',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Udld.Message' : {
        'meta_info' : _MetaInfoClass('Native.Udld.Message',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '90')], [], 
                '''                Set UDLD message time period
                ''',
                'time',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'message',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Udld.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Udld.Recovery',
            False, 
            [
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '86400')], [], 
                '''                timer-interval(sec)
                ''',
                'interval',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-udld',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-udld'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Udld' : {
        'meta_info' : _MetaInfoClass('Native.Udld',
            False, 
            [
            _MetaInfoClassMember('aggressive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable UDLD protocol in aggressive mode on fiber ports exceptwhere locally configured
                ''',
                'aggressive',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable UDLD protocol on fiber ports except where locally configured
                ''',
                'enable',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('message', REFERENCE_CLASS, 'Message' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Udld.Message', 
                [], [], 
                '''                Set UDLD message parameters
                ''',
                'message',
                'Cisco-IOS-XE-udld', False),
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Udld.Recovery', 
                [], [], 
                '''                Enable timer to recover from udld error disable state
                ''',
                'recovery',
                'Cisco-IOS-XE-udld', False),
            ],
            'Cisco-IOS-XE-native',
            'udld',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Wireless' : {
        'meta_info' : _MetaInfoClass('Native.Wireless',
            False, 
            [
            _MetaInfoClassMember('mdns-bridging', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable Ethernet mDNS Support
                ''',
                'mdns_bridging',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'wireless',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.Account.LayerAll' : {
        'meta_info' : _MetaInfoClass('Native.Qos.Account.LayerAll',
            False, 
            [
            _MetaInfoClassMember('encapsulation', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Account Layer 1 Encapsulation when applying QoS features
                ''',
                'encapsulation',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'layer-all',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.Account.Layer2.Encapsulation.Length' : {
        'meta_info' : _MetaInfoClass('Native.Qos.Account.Layer2.Encapsulation.Length',
            False, 
            [
            _MetaInfoClassMember('byte-length', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                Layer2 Encapsulation length in bytes, <0-0>
                ''',
                'byte_length',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'length',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.Account.Layer2.Encapsulation' : {
        'meta_info' : _MetaInfoClass('Native.Qos.Account.Layer2.Encapsulation',
            False, 
            [
            _MetaInfoClassMember('arpa', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ARPA Encapsulation Size (18 bytes)
                ''',
                'arpa',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('dot1q', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                IEEE 802.1q Encapsulation Size (22 bytes)
                ''',
                'dot1q',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('isl', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ISL Encapsulation Size (48 bytes)
                ''',
                'isl',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('length', REFERENCE_CLASS, 'Length' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.Account.Layer2.Encapsulation.Length', 
                [], [], 
                '''                Layer2 Encapsulation length in bytes
                ''',
                'length',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.Account.Layer2' : {
        'meta_info' : _MetaInfoClass('Native.Qos.Account.Layer2',
            False, 
            [
            _MetaInfoClassMember('encapsulation', REFERENCE_CLASS, 'Encapsulation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.Account.Layer2.Encapsulation', 
                [], [], 
                '''                Account Layer 2 Encapsulation when applying QoS features
                ''',
                'encapsulation',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'layer2',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.Account' : {
        'meta_info' : _MetaInfoClass('Native.Qos.Account',
            False, 
            [
            _MetaInfoClassMember('layer2', REFERENCE_CLASS, 'Layer2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.Account.Layer2', 
                [], [], 
                '''                Accounting Layer 2 headers
                ''',
                'layer2',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('layer-all', REFERENCE_CLASS, 'LayerAll' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.Account.LayerAll', 
                [], [], 
                '''                All layers, including L1
                ''',
                'layer_all',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'account',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.ControlPackets' : {
        'meta_info' : _MetaInfoClass('Native.Qos.ControlPackets',
            False, 
            [
            _MetaInfoClassMember('bpdu-range', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable QoS on BPDU-range packets
                ''',
                'bpdu_range',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('cdp-vtp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable QoS on CDP and VTP packets
                ''',
                'cdp_vtp',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('eapol', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable QoS on EAPOL packets
                ''',
                'eapol',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('lldp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable QoS on LLDP packets
                ''',
                'lldp',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('protocol-tunnel', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable QoS on protocol tunneled packets
                ''',
                'protocol_tunnel',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('sstp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable QoS on SSTP packets
                ''',
                'sstp',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'control-packets',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.Preserve.Marking' : {
        'meta_info' : _MetaInfoClass('Native.Qos.Preserve.Marking',
            False, 
            [
            _MetaInfoClassMember('hipriority', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Preserve marking in high priority generated control packets
                ''',
                'hipriority',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'marking',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.Preserve.Mpls' : {
        'meta_info' : _MetaInfoClass('Native.Qos.Preserve.Mpls',
            False, 
            [
            _MetaInfoClassMember('exp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Preserve MPLS EXP packet header bits
                ''',
                'exp',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'mpls',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.Preserve' : {
        'meta_info' : _MetaInfoClass('Native.Qos.Preserve',
            False, 
            [
            _MetaInfoClassMember('marking', REFERENCE_CLASS, 'Marking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.Preserve.Marking', 
                [], [], 
                '''                Preserve cos/tos header bits
                ''',
                'marking',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.Preserve.Mpls', 
                [], [], 
                '''                Preserve MPLS packet header bits
                ''',
                'mpls',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'preserve',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.Trace.Resize' : {
        'meta_info' : _MetaInfoClass('Native.Qos.Trace.Resize',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                all trace logs
                ''',
                'all',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                error trace log
                ''',
                'error',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('event', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                event trace log
                ''',
                'event',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                buffer size in bytes
                ''',
                'size',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('warning', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                warning trace log
                ''',
                'warning',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'resize',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.Trace' : {
        'meta_info' : _MetaInfoClass('Native.Qos.Trace',
            False, 
            [
            _MetaInfoClassMember('resize', REFERENCE_CLASS, 'Resize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.Trace.Resize', 
                [], [], 
                '''                resize trace log
                ''',
                'resize',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'trace',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos.QueueSoftmaxMultiplier' : {
        'meta_info' : _MetaInfoClass('Native.Qos.QueueSoftmaxMultiplier',
            False, 
            [
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('100', '1200')], [], 
                '''                multiplier(%) 100 - 1200
                ''',
                'value',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-qos',
            'queue-softmax-multiplier',
            _yang_ns._namespaces['Cisco-IOS-XE-qos'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Qos' : {
        'meta_info' : _MetaInfoClass('Native.Qos',
            False, 
            [
            _MetaInfoClassMember('account', REFERENCE_CLASS, 'Account' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.Account', 
                [], [], 
                '''                Additional lengths to be accounted by QoS Features
                ''',
                'account',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('control-packets', REFERENCE_CLASS, 'ControlPackets' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.ControlPackets', 
                [], [], 
                '''                Enable QoS on control packets
                ''',
                'control_packets',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('diffservmib', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                RFC3289 support for QoS policy-maps
                ''',
                'diffservmib',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('preserve', REFERENCE_CLASS, 'Preserve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.Preserve', 
                [], [], 
                '''                Preserve packet header bits
                ''',
                'preserve',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('queue-softmax-multiplier', REFERENCE_CLASS, 'QueueSoftmaxMultiplier' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.QueueSoftmaxMultiplier', 
                [], [], 
                '''                global multiplier(%) for queue soft buffer maximal size
                ''',
                'queue_softmax_multiplier',
                'Cisco-IOS-XE-qos', False),
            _MetaInfoClassMember('trace', REFERENCE_CLASS, 'Trace' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos.Trace', 
                [], [], 
                '''                QoS trace log settings
                ''',
                'trace',
                'Cisco-IOS-XE-qos', False),
            ],
            'Cisco-IOS-XE-native',
            'qos',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TimeRange.Absolute.Start' : {
        'meta_info' : _MetaInfoClass('Native.TimeRange.Absolute.Start',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                <1-31>  Day of the month
                ''',
                'day_of_month',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('month', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Month of the year [eg: Jan for January, Jun for June]
                ''',
                'month',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Starting time
                ''',
                'start_time',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Year
                ''',
                'year',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'start',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TimeRange.Absolute' : {
        'meta_info' : _MetaInfoClass('Native.TimeRange.Absolute',
            False, 
            [
            _MetaInfoClassMember('start', REFERENCE_CLASS, 'Start' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TimeRange.Absolute.Start', 
                [], [], 
                '''                starting time and date
                ''',
                'start',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'absolute',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.TimeRange' : {
        'meta_info' : _MetaInfoClass('Native.TimeRange',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('absolute', REFERENCE_CLASS, 'Absolute' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TimeRange.Absolute', 
                [], [], 
                '''                absolute time and date
                ''',
                'absolute',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'time-range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.DeviceTracking.Policy.DeviceRole' : {
        'meta_info' : _MetaInfoClass('Native.DeviceTracking.Policy.DeviceRole',
            False, 
            [
            _MetaInfoClassMember('node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'node',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'switch',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-device-tracking',
            'device-role',
            _yang_ns._namespaces['Cisco-IOS-XE-device-tracking'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.DeviceTracking.Policy.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.DeviceTracking.Policy.Protocol',
            False, 
            [
            _MetaInfoClassMember('arp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Glean addresses in ARP packets
                ''',
                'arp',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('dhcp4', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Glean addresses in DHCPv4 packets
                ''',
                'dhcp4',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('dhcp6', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Glean addresses in DHCPv6 packets
                ''',
                'dhcp6',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('ndp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Glean addresses in NDP packets
                ''',
                'ndp',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('udp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'udp',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-device-tracking',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-device-tracking'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.DeviceTracking.Policy.Tracking.TrackingOnOffEnum' : _MetaInfoEnum('TrackingOnOffEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'enable':'enable',
            'disable':'disable',
        }, 'Cisco-IOS-XE-device-tracking', _yang_ns._namespaces['Cisco-IOS-XE-device-tracking']),
    'Native.DeviceTracking.Policy.Tracking' : {
        'meta_info' : _MetaInfoClass('Native.DeviceTracking.Policy.Tracking',
            False, 
            [
            _MetaInfoClassMember('tracking-on-off', REFERENCE_ENUM_CLASS, 'TrackingOnOffEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.DeviceTracking.Policy.Tracking.TrackingOnOffEnum', 
                [], [], 
                '''                Tracking on or off
                ''',
                'tracking_on_off',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-device-tracking',
            'tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-device-tracking'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.DeviceTracking.Policy.Limit' : {
        'meta_info' : _MetaInfoClass('Native.DeviceTracking.Policy.Limit',
            False, 
            [
            _MetaInfoClassMember('address-count', ATTRIBUTE, 'int' , None, None, 
                [('1', '32000')], [], 
                '''                Configure maximum address per port
                ''',
                'address_count',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-device-tracking',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-device-tracking'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.DeviceTracking.Policy.SecurityLevel' : {
        'meta_info' : _MetaInfoClass('Native.DeviceTracking.Policy.SecurityLevel',
            False, 
            [
            _MetaInfoClassMember('glean', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                glean addresses passively
                ''',
                'glean',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-device-tracking',
            'security-level',
            _yang_ns._namespaces['Cisco-IOS-XE-device-tracking'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.DeviceTracking.Policy' : {
        'meta_info' : _MetaInfoClass('Native.DeviceTracking.Policy',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-device-tracking', True),
            _MetaInfoClassMember('device-role', REFERENCE_CLASS, 'DeviceRole' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.DeviceTracking.Policy.DeviceRole', 
                [], [], 
                '''                Sets the role of the device attached to the port
                ''',
                'device_role',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.DeviceTracking.Policy.Limit', 
                [], [], 
                '''                Specifies a limit
                ''',
                'limit',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.DeviceTracking.Policy.Protocol', 
                [], [], 
                '''                Set the protocol to glean (default all)
                ''',
                'protocol',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('security-level', REFERENCE_CLASS, 'SecurityLevel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.DeviceTracking.Policy.SecurityLevel', 
                [], [], 
                '''                setup security level
                ''',
                'security_level',
                'Cisco-IOS-XE-device-tracking', False),
            _MetaInfoClassMember('tracking', REFERENCE_CLASS, 'Tracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.DeviceTracking.Policy.Tracking', 
                [], [], 
                '''                Override default tracking behavior
                ''',
                'tracking',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-device-tracking',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XE-device-tracking'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.DeviceTracking' : {
        'meta_info' : _MetaInfoClass('Native.DeviceTracking',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.DeviceTracking.Policy', 
                [], [], 
                '''                Configure a policy for feature device-tracking
                ''',
                'policy',
                'Cisco-IOS-XE-device-tracking', False),
            ],
            'Cisco-IOS-XE-native',
            'device-tracking',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fhrp.Version.VrrpEnum' : _MetaInfoEnum('VrrpEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'v2':'v2',
            'v3':'v3',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Fhrp.Version' : {
        'meta_info' : _MetaInfoClass('Native.Fhrp.Version',
            False, 
            [
            _MetaInfoClassMember('vrrp', REFERENCE_ENUM_CLASS, 'VrrpEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fhrp.Version.VrrpEnum', 
                [], [], 
                '''                Configure Virtual Router Rendundancy Protocol
                ''',
                'vrrp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'version',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Fhrp' : {
        'meta_info' : _MetaInfoClass('Native.Fhrp',
            False, 
            [
            _MetaInfoClassMember('version', REFERENCE_CLASS, 'Version' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fhrp.Version', 
                [], [], 
                '''                Configure which FHRP version is allowed to run
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'fhrp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Metadata.Flow' : {
        'meta_info' : _MetaInfoClass('Native.Metadata.Flow',
            False, 
            [
            _MetaInfoClassMember('transmit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Metadata Flow Transmit 
                ''',
                'transmit',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flow',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Metadata' : {
        'meta_info' : _MetaInfoClass('Native.Metadata',
            False, 
            [
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Metadata.Flow', 
                [], [], 
                '''                Enable Metadata Flow Handling
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'metadata',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Profile' : {
        'meta_info' : _MetaInfoClass('Native.Profile',
            False, 
            [
            _MetaInfoClassMember('flow', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                MSP Profile Flow
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'profile',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Alias.Exec_' : {
        'meta_info' : _MetaInfoClass('Native.Alias.Exec_',
            False, 
            [
            _MetaInfoClassMember('alias-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'alias_name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('new-alias-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'new_alias_name',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Alias' : {
        'meta_info' : _MetaInfoClass('Native.Alias',
            False, 
            [
            _MetaInfoClassMember('exec', REFERENCE_CLASS, 'Exec_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Alias.Exec_', 
                [], [], 
                '''                Exec mode
                ''',
                'exec_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'alias',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Authorization.Command' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Authorization.Command',
            False, 
            [
            _MetaInfoClassMember('auth-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable-level', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                ''',
                'enable_level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'command',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Authorization',
            False, 
            [
            _MetaInfoClassMember('command', REFERENCE_CLASS, 'Command' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Authorization.Command', 
                [], [], 
                '''                For exec (shell) commands
                ''',
                'command',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.AccessClass.AcccessList.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.LineList.AccessClass.AcccessList' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.AccessClass.AcccessList',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.AccessClass.AcccessList.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('vrf-also', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Same access list is applied for all VRFs
                ''',
                'vrf_also',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acccess-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.AccessClass' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.AccessClass',
            False, 
            [
            _MetaInfoClassMember('acccess-list', REFERENCE_LIST, 'AcccessList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.AccessClass.AcccessList', 
                [], [], 
                '''                ''',
                'acccess_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Autocommand.NoSuppressLinenumber' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Autocommand.NoSuppressLinenumber',
            False, 
            [
            _MetaInfoClassMember('line', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Appropriate EXEC command
                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-suppress-linenumber',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Autocommand' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Autocommand',
            False, 
            [
            _MetaInfoClassMember('line', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Appropriate EXEC command
                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-suppress-linenumber', REFERENCE_CLASS, 'NoSuppressLinenumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Autocommand.NoSuppressLinenumber', 
                [], [], 
                '''                Display service linenumber message
                ''',
                'no_suppress_linenumber',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autocommand',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.AutocommandOptions.AbortCharacter' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.AutocommandOptions.AbortCharacter',
            False, 
            [
            _MetaInfoClassMember('character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'abort-character',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.AutocommandOptions.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.AutocommandOptions.Delay',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('0', '120')], [], 
                '''                Time in seconds
                ''',
                'time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.AutocommandOptions.Nohangup' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.AutocommandOptions.Nohangup',
            False, 
            [
            _MetaInfoClassMember('abort-character', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autocommand abort character
                ''',
                'abort_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delay autocommand execution
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'nohangup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.AutocommandOptions' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.AutocommandOptions',
            False, 
            [
            _MetaInfoClassMember('abort-character', REFERENCE_CLASS, 'AbortCharacter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.AutocommandOptions.AbortCharacter', 
                [], [], 
                '''                Autocommand abort character
                ''',
                'abort_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.AutocommandOptions.Delay', 
                [], [], 
                '''                Delay autocommand execution
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nohangup', REFERENCE_CLASS, 'Nohangup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.AutocommandOptions.Nohangup', 
                [], [], 
                '''                No hangup after autocommand completion
                ''',
                'nohangup',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autocommand-options',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Databits' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Databits',
            False, 
            [
            _MetaInfoClassMember('set-to-5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-7', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_7',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-8', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_8',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'databits',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.EscapeCharacter.CharEnum' : _MetaInfoEnum('CharEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'BREAK':'BREAK',
            'DEFAULT':'DEFAULT',
            'NONE':'NONE',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.LineList.EscapeCharacter' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.EscapeCharacter',
            False, 
            [
            _MetaInfoClassMember('char', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'char',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('char', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('char', REFERENCE_ENUM_CLASS, 'Native.Line.Vty.EscapeCharacter.CharEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.EscapeCharacter.CharEnum', 
                        [], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('char', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('soft', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'soft',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'escape-character',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.NoExec' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.NoExec',
            False, 
            [
            _MetaInfoClassMember('exec', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configure EXEC
                ''',
                'exec_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-exec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Exec_.Prompt' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Exec_.Prompt',
            False, 
            [
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'timestamp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prompt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Exec_' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Exec_',
            False, 
            [
            _MetaInfoClassMember('prompt', REFERENCE_CLASS, 'Prompt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Exec_.Prompt', 
                [], [], 
                '''                ''',
                'prompt',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.ExecTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.ExecTimeout',
            False, 
            [
            _MetaInfoClassMember('minutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                <0-35791>;;Timeout in minutes
                ''',
                'minutes',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                <0-2147483>;;Timeout in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exec-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('hardware', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set hardware flow control
                ''',
                'hardware',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('NONE', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set no flow control
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('software', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set software flow control
                ''',
                'software',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.History' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.History',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set history buffer size
                ''',
                'size',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Ip.NetmaskFormat.FormatEnum' : _MetaInfoEnum('FormatEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bit-count':'bit_count',
            'decimal':'decimal',
            'hexadecimal':'hexadecimal',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.LineList.Ip.NetmaskFormat' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Ip.NetmaskFormat',
            False, 
            [
            _MetaInfoClassMember('format', REFERENCE_ENUM_CLASS, 'FormatEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Ip.NetmaskFormat.FormatEnum', 
                [], [], 
                '''                ''',
                'format',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'netmask-format',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Ip',
            False, 
            [
            _MetaInfoClassMember('netmask-format', REFERENCE_CLASS, 'NetmaskFormat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Ip.NetmaskFormat', 
                [], [], 
                '''                Change display of netmasks
                ''',
                'netmask_format',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum' : _MetaInfoEnum('EnumerationInOutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.LineList.Ipv6.AccessClass.AccessClass_' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Ipv6.AccessClass.AccessClass_',
            False, 
            [
            _MetaInfoClassMember('access-class-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_class_name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('enumeration-in-out', REFERENCE_ENUM_CLASS, 'EnumerationInOutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum', 
                [], [], 
                '''                ''',
                'enumeration_in_out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Ipv6.AccessClass' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Ipv6.AccessClass',
            False, 
            [
            _MetaInfoClassMember('access-class', REFERENCE_LIST, 'AccessClass_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Ipv6.AccessClass.AccessClass_', 
                [], [], 
                '''                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Ipv6',
            False, 
            [
            _MetaInfoClassMember('access-class', REFERENCE_CLASS, 'AccessClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Ipv6.AccessClass', 
                [], [], 
                '''                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Logging.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Logging.Synchronous',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Logging',
            False, 
            [
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Logging.Synchronous', 
                [], [], 
                '''                Synchronized message output
                ''',
                'synchronous',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Login' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Login',
            False, 
            [
            _MetaInfoClassMember('authentication', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'login',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.MediaType' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.MediaType',
            False, 
            [
            _MetaInfoClassMember('rj45', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Console connection set to RJ45
                ''',
                'rj45',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Modem' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Modem',
            False, 
            [
            _MetaInfoClassMember('answer-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval between raising DTR and CTS response
                ''',
                'answer_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CTS-Alarm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Alarm device which only uses CTS for call control
                ''',
                'cts_alarm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Dialin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure line for a modern dial-in modem
                ''',
                'dialin',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('DTR-active', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Leave DTR low unless line has an active incoming connection or EXEC
                ''',
                'dtr_active',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dtr-delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval during which DTR is held low
                ''',
                'dtr_delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Devices that expect an incoming modem call
                ''',
                'host',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('InOut', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure line for incoming AND outgoing use of modem
                ''',
                'inout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Printer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Devices that require DSR/CD active
                ''',
                'printer',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'modem',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Padding',
            False, 
            [
            _MetaInfoClassMember('character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Character to be padded
                ''',
                'character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '127')], [], 
                        '''                        Character to be padded
                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Character to be padded
                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('null', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'null',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Parity' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Parity',
            False, 
            [
            _MetaInfoClassMember('even', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Even parity
                ''',
                'even',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mark', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mark parity
                ''',
                'mark',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No parity
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('odd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Odd parity
                ''',
                'odd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('space', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Space parity
                ''',
                'space',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'parity',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Password.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.LineList.Password' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Password',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set exec level password
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secret', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'secret',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Password.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Prc' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Prc',
            False, 
            [
            _MetaInfoClassMember('expose', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Expose PRC data
                ''',
                'expose',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hide', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Hide PRC data
                ''',
                'hide',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prc',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Privilege.Level' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Privilege.Level',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Privilege' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Privilege',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Privilege.Level', 
                [], [], 
                '''                Assign default privilege level for line
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'privilege',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.SessionTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.SessionTimeout',
            False, 
            [
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include output traffic as well as input traffic
                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('session-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '35791')], [], 
                '''                ''',
                'session_timeout_value',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'session-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Timeout',
            False, 
            [
            _MetaInfoClassMember('login', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Timeouts related to the login sequence
                ''',
                'login',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Telnet' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Telnet',
            False, 
            [
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                ''',
                'transparent',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'telnet',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Transport.Input.InputEnum' : _MetaInfoEnum('InputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'all':'all',
            'lapb-ta':'lapb_ta',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
            'v120':'v120',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.LineList.Transport.Input' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Transport.Input',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LEAFLIST, 'InputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Transport.Input.InputEnum', 
                [], [], 
                '''                Define which protocols to use when connecting to the terminal server
                ''',
                'input',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Transport.Output.OutputEnum' : _MetaInfoEnum('OutputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'all':'all',
            'lapb-ta':'lapb_ta',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
            'v120':'v120',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.LineList.Transport.Output' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Transport.Output',
            False, 
            [
            _MetaInfoClassMember('output', REFERENCE_LEAFLIST, 'OutputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Transport.Output.OutputEnum', 
                [], [], 
                '''                Define which protocols to use for outgoing connections
                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Transport.Preferred.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.LineList.Transport.Preferred' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Transport.Preferred',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Transport.Preferred.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preferred',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.Transport',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Transport.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Transport.Output', 
                [], [], 
                '''                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preferred', REFERENCE_CLASS, 'Preferred' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Transport.Preferred', 
                [], [], 
                '''                Specify the preferred protocol to use
                ''',
                'preferred',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.UsbInactivityTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.UsbInactivityTimeout',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switch Number
                ''',
                'switch',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'usb-inactivity-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.VacantMessage' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList.VacantMessage',
            False, 
            [
            _MetaInfoClassMember('banner', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                c vacant-text c, where 'c' is a delimiting character
                ''',
                'banner',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vacant-message',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.LineList.StopbitsEnum' : _MetaInfoEnum('StopbitsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '1.5':'Y_1__DOT__5',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.LineList' : {
        'meta_info' : _MetaInfoClass('Native.Line.LineList',
            False, 
            [
            _MetaInfoClassMember('first-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '17')], [], 
                '''                First Line number
                ''',
                'first_number',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-class', REFERENCE_CLASS, 'AccessClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.AccessClass', 
                [], [], 
                '''                Filter connections based on an IP access list
                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('activation-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the activation character
                ''',
                'activation_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('activation-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the activation character
                        ''',
                        'activation_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('activation-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '127')], [], 
                        '''                        Define the activation character
                        ''',
                        'activation_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Authorization', 
                [], [], 
                '''                Authorization parameters
                ''',
                'authorization',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('autocommand', REFERENCE_CLASS, 'Autocommand' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Autocommand', 
                [], [], 
                '''                Automatically execute an EXEC command
                ''',
                'autocommand',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('autocommand-options', REFERENCE_CLASS, 'AutocommandOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.AutocommandOptions', 
                [], [], 
                '''                Autocommand options
                ''',
                'autocommand_options',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('data-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'data_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('databits', REFERENCE_CLASS, 'Databits' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Databits', 
                [], [], 
                '''                Set number of data bits per character
                ''',
                'databits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain-lookup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable domain lookups in show commands
                ''',
                'domain_lookup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('editing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable command line editing
                ''',
                'editing',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('escape-character', REFERENCE_CLASS, 'EscapeCharacter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.EscapeCharacter', 
                [], [], 
                '''                Change the current line's escape character
                ''',
                'escape_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec', REFERENCE_CLASS, 'Exec_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Exec_', 
                [], [], 
                '''                ''',
                'exec_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-banner', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the display of the EXEC banner
                ''',
                'exec_banner',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'exec_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-timeout', REFERENCE_CLASS, 'ExecTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.ExecTimeout', 
                [], [], 
                '''                Set the EXEC timeout
                ''',
                'exec_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Flowcontrol', 
                [], [], 
                '''                Set the flow control
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('full-help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Provide help to unprivileged user
                ''',
                'full_help',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.History', 
                [], [], 
                '''                Enable and control the command history function
                ''',
                'history',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('international', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable international 8-bit character support
                ''',
                'international',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Ip', 
                [], [], 
                '''                IP options
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('last-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '17')], [], 
                '''                ''',
                'last_number',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('length', ATTRIBUTE, 'int' , None, None, 
                [('0', '512')], [], 
                '''                Set number of lines on a screen
                ''',
                'length',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('line', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                One text line describing the terminal's location
                ''',
                'location',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Logging', 
                [], [], 
                '''                Modify message logging facilities
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('login', REFERENCE_CLASS, 'Login' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Login', 
                [], [], 
                '''                Enable password checking
                ''',
                'login',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.MediaType', 
                [], [], 
                '''                Console connection media type
                ''',
                'media_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('modem', REFERENCE_CLASS, 'Modem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Modem', 
                [], [], 
                '''                Configure the Modem Control Lines
                ''',
                'modem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('monitor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy debug output to the current terminal line
                ''',
                'monitor',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('motd-banner', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the display of the MOTD banner
                ''',
                'motd_banner',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-activation-character', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'no_activation_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-exec', REFERENCE_CLASS, 'NoExec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.NoExec', 
                [], [], 
                '''                ''',
                'no_exec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('notify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inform users of output from concurrent sessions
                ''',
                'notify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Padding', 
                [], [], 
                '''                Set padding for a specified output character
                ''',
                'padding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('parity', REFERENCE_CLASS, 'Parity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Parity', 
                [], [], 
                '''                Set terminal parity
                ''',
                'parity',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prc', REFERENCE_CLASS, 'Prc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Prc', 
                [], [], 
                '''                PRC commands
                ''',
                'prc',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('privilege', REFERENCE_CLASS, 'Privilege' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Privilege', 
                [], [], 
                '''                Change privilege level for line
                ''',
                'privilege',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('refuse-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                c refuse-text c, where 'c' is a delimiting character
                ''',
                'refuse_message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rotary', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                Rotary group to add line to
                ''',
                'rotary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rxspeed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Receive speed
                ''',
                'rxspeed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('session-timeout', REFERENCE_CLASS, 'SessionTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.SessionTimeout', 
                [], [], 
                '''                Set interval for closing connection when there is no input traffic
                ''',
                'session_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('special-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'special_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('speed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmit and receive speeds
                ''',
                'speed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the start character
                ''',
                'start_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('start-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Define the start character
                        ''',
                        'start_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('start-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the start character
                        ''',
                        'start_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('stop-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the stop character
                ''',
                'stop_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('stop-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Define the stop character
                        ''',
                        'stop_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('stop-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the stop character
                        ''',
                        'stop_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('stopbits', REFERENCE_ENUM_CLASS, 'StopbitsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.StopbitsEnum', 
                [], [], 
                '''                Set async line stop bits
                ''',
                'stopbits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('telnet', REFERENCE_CLASS, 'Telnet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Telnet', 
                [], [], 
                '''                Telnet protocol-specific configuration
                ''',
                'telnet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('terminal-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Terminal type
                ''',
                'terminal_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Timeout', 
                [], [], 
                '''                Timeouts for the line
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.Transport', 
                [], [], 
                '''                Define transport protocols for line
                ''',
                'transport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('txspeed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmit speed
                ''',
                'txspeed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('usb-inactivity-timeout', REFERENCE_CLASS, 'UsbInactivityTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.UsbInactivityTimeout', 
                [], [], 
                '''                Inactivity timeout for USB media type
                ''',
                'usb_inactivity_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vacant-message', REFERENCE_CLASS, 'VacantMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList.VacantMessage', 
                [], [], 
                '''                Define a vacant banner
                ''',
                'vacant_message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('width', ATTRIBUTE, 'int' , None, None, 
                [('0', '512')], [], 
                '''                Number of characters on a screen line
                ''',
                'width',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'line-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Authorization.Command' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Authorization.Command',
            False, 
            [
            _MetaInfoClassMember('auth-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable-level', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                ''',
                'enable_level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'command',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Authorization',
            False, 
            [
            _MetaInfoClassMember('command', REFERENCE_CLASS, 'Command' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Authorization.Command', 
                [], [], 
                '''                For exec (shell) commands
                ''',
                'command',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.AccessClass.AcccessList.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Aux.AccessClass.AcccessList' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.AccessClass.AcccessList',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.AccessClass.AcccessList.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('vrf-also', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Same access list is applied for all VRFs
                ''',
                'vrf_also',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acccess-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.AccessClass' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.AccessClass',
            False, 
            [
            _MetaInfoClassMember('acccess-list', REFERENCE_LIST, 'AcccessList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.AccessClass.AcccessList', 
                [], [], 
                '''                ''',
                'acccess_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Autocommand.NoSuppressLinenumber' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Autocommand.NoSuppressLinenumber',
            False, 
            [
            _MetaInfoClassMember('line', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Appropriate EXEC command
                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-suppress-linenumber',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Autocommand' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Autocommand',
            False, 
            [
            _MetaInfoClassMember('line', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Appropriate EXEC command
                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-suppress-linenumber', REFERENCE_CLASS, 'NoSuppressLinenumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Autocommand.NoSuppressLinenumber', 
                [], [], 
                '''                Display service linenumber message
                ''',
                'no_suppress_linenumber',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autocommand',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.AutocommandOptions.AbortCharacter' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.AutocommandOptions.AbortCharacter',
            False, 
            [
            _MetaInfoClassMember('character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'abort-character',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.AutocommandOptions.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.AutocommandOptions.Delay',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('0', '120')], [], 
                '''                Time in seconds
                ''',
                'time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.AutocommandOptions.Nohangup' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.AutocommandOptions.Nohangup',
            False, 
            [
            _MetaInfoClassMember('abort-character', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autocommand abort character
                ''',
                'abort_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delay autocommand execution
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'nohangup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.AutocommandOptions' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.AutocommandOptions',
            False, 
            [
            _MetaInfoClassMember('abort-character', REFERENCE_CLASS, 'AbortCharacter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.AutocommandOptions.AbortCharacter', 
                [], [], 
                '''                Autocommand abort character
                ''',
                'abort_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.AutocommandOptions.Delay', 
                [], [], 
                '''                Delay autocommand execution
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nohangup', REFERENCE_CLASS, 'Nohangup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.AutocommandOptions.Nohangup', 
                [], [], 
                '''                No hangup after autocommand completion
                ''',
                'nohangup',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autocommand-options',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Databits' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Databits',
            False, 
            [
            _MetaInfoClassMember('set-to-5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-7', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_7',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-8', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_8',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'databits',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.EscapeCharacter.CharEnum' : _MetaInfoEnum('CharEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'BREAK':'BREAK',
            'DEFAULT':'DEFAULT',
            'NONE':'NONE',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Aux.EscapeCharacter' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.EscapeCharacter',
            False, 
            [
            _MetaInfoClassMember('char', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'char',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('char', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('char', REFERENCE_ENUM_CLASS, 'Native.Line.Vty.EscapeCharacter.CharEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.EscapeCharacter.CharEnum', 
                        [], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('char', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('soft', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'soft',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'escape-character',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.NoExec' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.NoExec',
            False, 
            [
            _MetaInfoClassMember('exec', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configure EXEC
                ''',
                'exec_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-exec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Exec_.Prompt' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Exec_.Prompt',
            False, 
            [
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'timestamp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prompt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Exec_' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Exec_',
            False, 
            [
            _MetaInfoClassMember('prompt', REFERENCE_CLASS, 'Prompt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Exec_.Prompt', 
                [], [], 
                '''                ''',
                'prompt',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.ExecTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.ExecTimeout',
            False, 
            [
            _MetaInfoClassMember('minutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                <0-35791>;;Timeout in minutes
                ''',
                'minutes',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                <0-2147483>;;Timeout in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exec-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('hardware', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set hardware flow control
                ''',
                'hardware',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('NONE', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set no flow control
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('software', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set software flow control
                ''',
                'software',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.History' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.History',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set history buffer size
                ''',
                'size',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Ip.NetmaskFormat.FormatEnum' : _MetaInfoEnum('FormatEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bit-count':'bit_count',
            'decimal':'decimal',
            'hexadecimal':'hexadecimal',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Aux.Ip.NetmaskFormat' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Ip.NetmaskFormat',
            False, 
            [
            _MetaInfoClassMember('format', REFERENCE_ENUM_CLASS, 'FormatEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Ip.NetmaskFormat.FormatEnum', 
                [], [], 
                '''                ''',
                'format',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'netmask-format',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Ip',
            False, 
            [
            _MetaInfoClassMember('netmask-format', REFERENCE_CLASS, 'NetmaskFormat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Ip.NetmaskFormat', 
                [], [], 
                '''                Change display of netmasks
                ''',
                'netmask_format',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum' : _MetaInfoEnum('EnumerationInOutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Aux.Ipv6.AccessClass.AccessClass_' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Ipv6.AccessClass.AccessClass_',
            False, 
            [
            _MetaInfoClassMember('access-class-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_class_name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('enumeration-in-out', REFERENCE_ENUM_CLASS, 'EnumerationInOutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum', 
                [], [], 
                '''                ''',
                'enumeration_in_out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Ipv6.AccessClass' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Ipv6.AccessClass',
            False, 
            [
            _MetaInfoClassMember('access-class', REFERENCE_LIST, 'AccessClass_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Ipv6.AccessClass.AccessClass_', 
                [], [], 
                '''                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Ipv6',
            False, 
            [
            _MetaInfoClassMember('access-class', REFERENCE_CLASS, 'AccessClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Ipv6.AccessClass', 
                [], [], 
                '''                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Logging.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Logging.Synchronous',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Logging',
            False, 
            [
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Logging.Synchronous', 
                [], [], 
                '''                Synchronized message output
                ''',
                'synchronous',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Login' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Login',
            False, 
            [
            _MetaInfoClassMember('authentication', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'login',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.MediaType' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.MediaType',
            False, 
            [
            _MetaInfoClassMember('rj45', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Console connection set to RJ45
                ''',
                'rj45',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Modem' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Modem',
            False, 
            [
            _MetaInfoClassMember('answer-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval between raising DTR and CTS response
                ''',
                'answer_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CTS-Alarm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Alarm device which only uses CTS for call control
                ''',
                'cts_alarm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Dialin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure line for a modern dial-in modem
                ''',
                'dialin',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('DTR-active', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Leave DTR low unless line has an active incoming connection or EXEC
                ''',
                'dtr_active',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dtr-delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval during which DTR is held low
                ''',
                'dtr_delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Devices that expect an incoming modem call
                ''',
                'host',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('InOut', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure line for incoming AND outgoing use of modem
                ''',
                'inout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Printer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Devices that require DSR/CD active
                ''',
                'printer',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'modem',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Padding',
            False, 
            [
            _MetaInfoClassMember('character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Character to be padded
                ''',
                'character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '127')], [], 
                        '''                        Character to be padded
                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Character to be padded
                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('null', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'null',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Parity' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Parity',
            False, 
            [
            _MetaInfoClassMember('even', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Even parity
                ''',
                'even',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mark', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mark parity
                ''',
                'mark',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No parity
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('odd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Odd parity
                ''',
                'odd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('space', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Space parity
                ''',
                'space',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'parity',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Password.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Aux.Password' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Password',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set exec level password
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secret', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'secret',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Password.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Prc' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Prc',
            False, 
            [
            _MetaInfoClassMember('expose', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Expose PRC data
                ''',
                'expose',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hide', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Hide PRC data
                ''',
                'hide',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prc',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Privilege.Level' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Privilege.Level',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Privilege' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Privilege',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Privilege.Level', 
                [], [], 
                '''                Assign default privilege level for line
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'privilege',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.SessionTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.SessionTimeout',
            False, 
            [
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include output traffic as well as input traffic
                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('session-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '35791')], [], 
                '''                ''',
                'session_timeout_value',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'session-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Timeout',
            False, 
            [
            _MetaInfoClassMember('login', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Timeouts related to the login sequence
                ''',
                'login',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Telnet' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Telnet',
            False, 
            [
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                ''',
                'transparent',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'telnet',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Transport.Input.InputEnum' : _MetaInfoEnum('InputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'all':'all',
            'lapb-ta':'lapb_ta',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
            'v120':'v120',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Aux.Transport.Input' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Transport.Input',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LEAFLIST, 'InputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Transport.Input.InputEnum', 
                [], [], 
                '''                Define which protocols to use when connecting to the terminal server
                ''',
                'input',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Transport.Output.OutputEnum' : _MetaInfoEnum('OutputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'all':'all',
            'lapb-ta':'lapb_ta',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
            'v120':'v120',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Aux.Transport.Output' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Transport.Output',
            False, 
            [
            _MetaInfoClassMember('output', REFERENCE_LEAFLIST, 'OutputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Transport.Output.OutputEnum', 
                [], [], 
                '''                Define which protocols to use for outgoing connections
                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Transport.Preferred.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Aux.Transport.Preferred' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Transport.Preferred',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Transport.Preferred.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preferred',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.Transport',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Transport.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Transport.Output', 
                [], [], 
                '''                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preferred', REFERENCE_CLASS, 'Preferred' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Transport.Preferred', 
                [], [], 
                '''                Specify the preferred protocol to use
                ''',
                'preferred',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.UsbInactivityTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.UsbInactivityTimeout',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switch Number
                ''',
                'switch',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'usb-inactivity-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.VacantMessage' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux.VacantMessage',
            False, 
            [
            _MetaInfoClassMember('banner', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                c vacant-text c, where 'c' is a delimiting character
                ''',
                'banner',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vacant-message',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Aux.FirstEnum' : _MetaInfoEnum('FirstEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Aux.StopbitsEnum' : _MetaInfoEnum('StopbitsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '1.5':'Y_1__DOT__5',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Aux' : {
        'meta_info' : _MetaInfoClass('Native.Line.Aux',
            False, 
            [
            _MetaInfoClassMember('first', REFERENCE_ENUM_CLASS, 'FirstEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.FirstEnum', 
                [], [], 
                '''                ''',
                'first',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-class', REFERENCE_CLASS, 'AccessClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.AccessClass', 
                [], [], 
                '''                Filter connections based on an IP access list
                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('activation-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the activation character
                ''',
                'activation_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('activation-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the activation character
                        ''',
                        'activation_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('activation-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '127')], [], 
                        '''                        Define the activation character
                        ''',
                        'activation_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Authorization', 
                [], [], 
                '''                Authorization parameters
                ''',
                'authorization',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('autocommand', REFERENCE_CLASS, 'Autocommand' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Autocommand', 
                [], [], 
                '''                Automatically execute an EXEC command
                ''',
                'autocommand',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('autocommand-options', REFERENCE_CLASS, 'AutocommandOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.AutocommandOptions', 
                [], [], 
                '''                Autocommand options
                ''',
                'autocommand_options',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('data-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'data_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('databits', REFERENCE_CLASS, 'Databits' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Databits', 
                [], [], 
                '''                Set number of data bits per character
                ''',
                'databits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain-lookup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable domain lookups in show commands
                ''',
                'domain_lookup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('editing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable command line editing
                ''',
                'editing',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('escape-character', REFERENCE_CLASS, 'EscapeCharacter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.EscapeCharacter', 
                [], [], 
                '''                Change the current line's escape character
                ''',
                'escape_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec', REFERENCE_CLASS, 'Exec_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Exec_', 
                [], [], 
                '''                ''',
                'exec_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-banner', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the display of the EXEC banner
                ''',
                'exec_banner',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'exec_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-timeout', REFERENCE_CLASS, 'ExecTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.ExecTimeout', 
                [], [], 
                '''                Set the EXEC timeout
                ''',
                'exec_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Flowcontrol', 
                [], [], 
                '''                Set the flow control
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('full-help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Provide help to unprivileged user
                ''',
                'full_help',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.History', 
                [], [], 
                '''                Enable and control the command history function
                ''',
                'history',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('international', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable international 8-bit character support
                ''',
                'international',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Ip', 
                [], [], 
                '''                IP options
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('length', ATTRIBUTE, 'int' , None, None, 
                [('0', '512')], [], 
                '''                Set number of lines on a screen
                ''',
                'length',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('line', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                One text line describing the terminal's location
                ''',
                'location',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Logging', 
                [], [], 
                '''                Modify message logging facilities
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('login', REFERENCE_CLASS, 'Login' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Login', 
                [], [], 
                '''                Enable password checking
                ''',
                'login',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.MediaType', 
                [], [], 
                '''                Console connection media type
                ''',
                'media_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('modem', REFERENCE_CLASS, 'Modem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Modem', 
                [], [], 
                '''                Configure the Modem Control Lines
                ''',
                'modem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('monitor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy debug output to the current terminal line
                ''',
                'monitor',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('motd-banner', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the display of the MOTD banner
                ''',
                'motd_banner',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-activation-character', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'no_activation_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-exec', REFERENCE_CLASS, 'NoExec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.NoExec', 
                [], [], 
                '''                ''',
                'no_exec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('notify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inform users of output from concurrent sessions
                ''',
                'notify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Padding', 
                [], [], 
                '''                Set padding for a specified output character
                ''',
                'padding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('parity', REFERENCE_CLASS, 'Parity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Parity', 
                [], [], 
                '''                Set terminal parity
                ''',
                'parity',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prc', REFERENCE_CLASS, 'Prc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Prc', 
                [], [], 
                '''                PRC commands
                ''',
                'prc',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('privilege', REFERENCE_CLASS, 'Privilege' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Privilege', 
                [], [], 
                '''                Change privilege level for line
                ''',
                'privilege',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('refuse-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                c refuse-text c, where 'c' is a delimiting character
                ''',
                'refuse_message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rotary', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                Rotary group to add line to
                ''',
                'rotary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rxspeed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Receive speed
                ''',
                'rxspeed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('session-timeout', REFERENCE_CLASS, 'SessionTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.SessionTimeout', 
                [], [], 
                '''                Set interval for closing connection when there is no input traffic
                ''',
                'session_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('special-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'special_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('speed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmit and receive speeds
                ''',
                'speed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the start character
                ''',
                'start_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('start-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Define the start character
                        ''',
                        'start_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('start-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the start character
                        ''',
                        'start_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('stop-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the stop character
                ''',
                'stop_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('stop-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Define the stop character
                        ''',
                        'stop_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('stop-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the stop character
                        ''',
                        'stop_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('stopbits', REFERENCE_ENUM_CLASS, 'StopbitsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.StopbitsEnum', 
                [], [], 
                '''                Set async line stop bits
                ''',
                'stopbits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('telnet', REFERENCE_CLASS, 'Telnet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Telnet', 
                [], [], 
                '''                Telnet protocol-specific configuration
                ''',
                'telnet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('terminal-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Terminal type
                ''',
                'terminal_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Timeout', 
                [], [], 
                '''                Timeouts for the line
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.Transport', 
                [], [], 
                '''                Define transport protocols for line
                ''',
                'transport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('txspeed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmit speed
                ''',
                'txspeed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('usb-inactivity-timeout', REFERENCE_CLASS, 'UsbInactivityTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.UsbInactivityTimeout', 
                [], [], 
                '''                Inactivity timeout for USB media type
                ''',
                'usb_inactivity_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vacant-message', REFERENCE_CLASS, 'VacantMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux.VacantMessage', 
                [], [], 
                '''                Define a vacant banner
                ''',
                'vacant_message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('width', ATTRIBUTE, 'int' , None, None, 
                [('0', '512')], [], 
                '''                Number of characters on a screen line
                ''',
                'width',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'aux',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Authorization.Command' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Authorization.Command',
            False, 
            [
            _MetaInfoClassMember('auth-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable-level', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                ''',
                'enable_level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'command',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Authorization',
            False, 
            [
            _MetaInfoClassMember('command', REFERENCE_CLASS, 'Command' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Authorization.Command', 
                [], [], 
                '''                For exec (shell) commands
                ''',
                'command',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.AccessClass.AcccessList.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Console.AccessClass.AcccessList' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.AccessClass.AcccessList',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.AccessClass.AcccessList.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('vrf-also', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Same access list is applied for all VRFs
                ''',
                'vrf_also',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acccess-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.AccessClass' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.AccessClass',
            False, 
            [
            _MetaInfoClassMember('acccess-list', REFERENCE_LIST, 'AcccessList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.AccessClass.AcccessList', 
                [], [], 
                '''                ''',
                'acccess_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Autocommand.NoSuppressLinenumber' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Autocommand.NoSuppressLinenumber',
            False, 
            [
            _MetaInfoClassMember('line', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Appropriate EXEC command
                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-suppress-linenumber',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Autocommand' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Autocommand',
            False, 
            [
            _MetaInfoClassMember('line', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Appropriate EXEC command
                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-suppress-linenumber', REFERENCE_CLASS, 'NoSuppressLinenumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Autocommand.NoSuppressLinenumber', 
                [], [], 
                '''                Display service linenumber message
                ''',
                'no_suppress_linenumber',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autocommand',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.AutocommandOptions.AbortCharacter' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.AutocommandOptions.AbortCharacter',
            False, 
            [
            _MetaInfoClassMember('character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'abort-character',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.AutocommandOptions.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.AutocommandOptions.Delay',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('0', '120')], [], 
                '''                Time in seconds
                ''',
                'time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.AutocommandOptions.Nohangup' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.AutocommandOptions.Nohangup',
            False, 
            [
            _MetaInfoClassMember('abort-character', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autocommand abort character
                ''',
                'abort_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delay autocommand execution
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'nohangup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.AutocommandOptions' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.AutocommandOptions',
            False, 
            [
            _MetaInfoClassMember('abort-character', REFERENCE_CLASS, 'AbortCharacter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.AutocommandOptions.AbortCharacter', 
                [], [], 
                '''                Autocommand abort character
                ''',
                'abort_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.AutocommandOptions.Delay', 
                [], [], 
                '''                Delay autocommand execution
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nohangup', REFERENCE_CLASS, 'Nohangup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.AutocommandOptions.Nohangup', 
                [], [], 
                '''                No hangup after autocommand completion
                ''',
                'nohangup',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autocommand-options',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Databits' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Databits',
            False, 
            [
            _MetaInfoClassMember('set-to-5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-7', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_7',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-8', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_8',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'databits',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.EscapeCharacter.CharEnum' : _MetaInfoEnum('CharEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'BREAK':'BREAK',
            'DEFAULT':'DEFAULT',
            'NONE':'NONE',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Console.EscapeCharacter' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.EscapeCharacter',
            False, 
            [
            _MetaInfoClassMember('char', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'char',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('char', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('char', REFERENCE_ENUM_CLASS, 'Native.Line.Vty.EscapeCharacter.CharEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.EscapeCharacter.CharEnum', 
                        [], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('char', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('soft', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'soft',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'escape-character',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.NoExec' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.NoExec',
            False, 
            [
            _MetaInfoClassMember('exec', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configure EXEC
                ''',
                'exec_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-exec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Exec_.Prompt' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Exec_.Prompt',
            False, 
            [
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'timestamp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prompt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Exec_' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Exec_',
            False, 
            [
            _MetaInfoClassMember('prompt', REFERENCE_CLASS, 'Prompt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Exec_.Prompt', 
                [], [], 
                '''                ''',
                'prompt',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.ExecTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.ExecTimeout',
            False, 
            [
            _MetaInfoClassMember('minutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                <0-35791>;;Timeout in minutes
                ''',
                'minutes',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                <0-2147483>;;Timeout in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exec-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('hardware', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set hardware flow control
                ''',
                'hardware',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('NONE', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set no flow control
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('software', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set software flow control
                ''',
                'software',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.History' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.History',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set history buffer size
                ''',
                'size',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Ip.NetmaskFormat.FormatEnum' : _MetaInfoEnum('FormatEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bit-count':'bit_count',
            'decimal':'decimal',
            'hexadecimal':'hexadecimal',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Console.Ip.NetmaskFormat' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Ip.NetmaskFormat',
            False, 
            [
            _MetaInfoClassMember('format', REFERENCE_ENUM_CLASS, 'FormatEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Ip.NetmaskFormat.FormatEnum', 
                [], [], 
                '''                ''',
                'format',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'netmask-format',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Ip',
            False, 
            [
            _MetaInfoClassMember('netmask-format', REFERENCE_CLASS, 'NetmaskFormat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Ip.NetmaskFormat', 
                [], [], 
                '''                Change display of netmasks
                ''',
                'netmask_format',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum' : _MetaInfoEnum('EnumerationInOutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Console.Ipv6.AccessClass.AccessClass_' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Ipv6.AccessClass.AccessClass_',
            False, 
            [
            _MetaInfoClassMember('access-class-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_class_name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('enumeration-in-out', REFERENCE_ENUM_CLASS, 'EnumerationInOutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum', 
                [], [], 
                '''                ''',
                'enumeration_in_out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Ipv6.AccessClass' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Ipv6.AccessClass',
            False, 
            [
            _MetaInfoClassMember('access-class', REFERENCE_LIST, 'AccessClass_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Ipv6.AccessClass.AccessClass_', 
                [], [], 
                '''                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Ipv6',
            False, 
            [
            _MetaInfoClassMember('access-class', REFERENCE_CLASS, 'AccessClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Ipv6.AccessClass', 
                [], [], 
                '''                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Logging.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Logging.Synchronous',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Logging',
            False, 
            [
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Logging.Synchronous', 
                [], [], 
                '''                Synchronized message output
                ''',
                'synchronous',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Login' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Login',
            False, 
            [
            _MetaInfoClassMember('authentication', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'login',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.MediaType' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.MediaType',
            False, 
            [
            _MetaInfoClassMember('rj45', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Console connection set to RJ45
                ''',
                'rj45',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Modem' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Modem',
            False, 
            [
            _MetaInfoClassMember('answer-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval between raising DTR and CTS response
                ''',
                'answer_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CTS-Alarm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Alarm device which only uses CTS for call control
                ''',
                'cts_alarm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Dialin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure line for a modern dial-in modem
                ''',
                'dialin',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('DTR-active', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Leave DTR low unless line has an active incoming connection or EXEC
                ''',
                'dtr_active',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dtr-delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval during which DTR is held low
                ''',
                'dtr_delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Devices that expect an incoming modem call
                ''',
                'host',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('InOut', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure line for incoming AND outgoing use of modem
                ''',
                'inout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Printer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Devices that require DSR/CD active
                ''',
                'printer',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'modem',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Padding',
            False, 
            [
            _MetaInfoClassMember('character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Character to be padded
                ''',
                'character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '127')], [], 
                        '''                        Character to be padded
                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Character to be padded
                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('null', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'null',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Parity' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Parity',
            False, 
            [
            _MetaInfoClassMember('even', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Even parity
                ''',
                'even',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mark', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mark parity
                ''',
                'mark',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No parity
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('odd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Odd parity
                ''',
                'odd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('space', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Space parity
                ''',
                'space',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'parity',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Password.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Console.Password' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Password',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set exec level password
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secret', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'secret',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Password.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Prc' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Prc',
            False, 
            [
            _MetaInfoClassMember('expose', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Expose PRC data
                ''',
                'expose',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hide', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Hide PRC data
                ''',
                'hide',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prc',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Privilege.Level' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Privilege.Level',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Privilege' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Privilege',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Privilege.Level', 
                [], [], 
                '''                Assign default privilege level for line
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'privilege',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.SessionTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.SessionTimeout',
            False, 
            [
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include output traffic as well as input traffic
                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('session-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '35791')], [], 
                '''                ''',
                'session_timeout_value',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'session-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Timeout',
            False, 
            [
            _MetaInfoClassMember('login', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Timeouts related to the login sequence
                ''',
                'login',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Telnet' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Telnet',
            False, 
            [
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                ''',
                'transparent',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'telnet',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Transport.Input.InputEnum' : _MetaInfoEnum('InputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'all':'all',
            'lapb-ta':'lapb_ta',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
            'v120':'v120',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Console.Transport.Input' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Transport.Input',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LEAFLIST, 'InputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Transport.Input.InputEnum', 
                [], [], 
                '''                Define which protocols to use when connecting to the terminal server
                ''',
                'input',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Transport.Output.OutputEnum' : _MetaInfoEnum('OutputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'all':'all',
            'lapb-ta':'lapb_ta',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
            'v120':'v120',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Console.Transport.Output' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Transport.Output',
            False, 
            [
            _MetaInfoClassMember('output', REFERENCE_LEAFLIST, 'OutputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Transport.Output.OutputEnum', 
                [], [], 
                '''                Define which protocols to use for outgoing connections
                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Transport.Preferred.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Console.Transport.Preferred' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Transport.Preferred',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Transport.Preferred.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preferred',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.Transport',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Transport.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Transport.Output', 
                [], [], 
                '''                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preferred', REFERENCE_CLASS, 'Preferred' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Transport.Preferred', 
                [], [], 
                '''                Specify the preferred protocol to use
                ''',
                'preferred',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.UsbInactivityTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.UsbInactivityTimeout',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switch Number
                ''',
                'switch',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'usb-inactivity-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.VacantMessage' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console.VacantMessage',
            False, 
            [
            _MetaInfoClassMember('banner', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                c vacant-text c, where 'c' is a delimiting character
                ''',
                'banner',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vacant-message',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Console.FirstEnum' : _MetaInfoEnum('FirstEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Console.StopbitsEnum' : _MetaInfoEnum('StopbitsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '1.5':'Y_1__DOT__5',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Console' : {
        'meta_info' : _MetaInfoClass('Native.Line.Console',
            False, 
            [
            _MetaInfoClassMember('first', REFERENCE_ENUM_CLASS, 'FirstEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.FirstEnum', 
                [], [], 
                '''                ''',
                'first',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-class', REFERENCE_CLASS, 'AccessClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.AccessClass', 
                [], [], 
                '''                Filter connections based on an IP access list
                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('activation-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the activation character
                ''',
                'activation_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('activation-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the activation character
                        ''',
                        'activation_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('activation-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '127')], [], 
                        '''                        Define the activation character
                        ''',
                        'activation_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Authorization', 
                [], [], 
                '''                Authorization parameters
                ''',
                'authorization',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('autocommand', REFERENCE_CLASS, 'Autocommand' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Autocommand', 
                [], [], 
                '''                Automatically execute an EXEC command
                ''',
                'autocommand',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('autocommand-options', REFERENCE_CLASS, 'AutocommandOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.AutocommandOptions', 
                [], [], 
                '''                Autocommand options
                ''',
                'autocommand_options',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('data-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'data_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('databits', REFERENCE_CLASS, 'Databits' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Databits', 
                [], [], 
                '''                Set number of data bits per character
                ''',
                'databits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain-lookup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable domain lookups in show commands
                ''',
                'domain_lookup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('editing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable command line editing
                ''',
                'editing',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('escape-character', REFERENCE_CLASS, 'EscapeCharacter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.EscapeCharacter', 
                [], [], 
                '''                Change the current line's escape character
                ''',
                'escape_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec', REFERENCE_CLASS, 'Exec_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Exec_', 
                [], [], 
                '''                ''',
                'exec_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-banner', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the display of the EXEC banner
                ''',
                'exec_banner',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'exec_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-timeout', REFERENCE_CLASS, 'ExecTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.ExecTimeout', 
                [], [], 
                '''                Set the EXEC timeout
                ''',
                'exec_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Flowcontrol', 
                [], [], 
                '''                Set the flow control
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('full-help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Provide help to unprivileged user
                ''',
                'full_help',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.History', 
                [], [], 
                '''                Enable and control the command history function
                ''',
                'history',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('international', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable international 8-bit character support
                ''',
                'international',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Ip', 
                [], [], 
                '''                IP options
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('length', ATTRIBUTE, 'int' , None, None, 
                [('0', '512')], [], 
                '''                Set number of lines on a screen
                ''',
                'length',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('line', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                One text line describing the terminal's location
                ''',
                'location',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Logging', 
                [], [], 
                '''                Modify message logging facilities
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('login', REFERENCE_CLASS, 'Login' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Login', 
                [], [], 
                '''                Enable password checking
                ''',
                'login',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.MediaType', 
                [], [], 
                '''                Console connection media type
                ''',
                'media_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('modem', REFERENCE_CLASS, 'Modem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Modem', 
                [], [], 
                '''                Configure the Modem Control Lines
                ''',
                'modem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('monitor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy debug output to the current terminal line
                ''',
                'monitor',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('motd-banner', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the display of the MOTD banner
                ''',
                'motd_banner',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-activation-character', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'no_activation_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-exec', REFERENCE_CLASS, 'NoExec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.NoExec', 
                [], [], 
                '''                ''',
                'no_exec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('notify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inform users of output from concurrent sessions
                ''',
                'notify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Padding', 
                [], [], 
                '''                Set padding for a specified output character
                ''',
                'padding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('parity', REFERENCE_CLASS, 'Parity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Parity', 
                [], [], 
                '''                Set terminal parity
                ''',
                'parity',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prc', REFERENCE_CLASS, 'Prc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Prc', 
                [], [], 
                '''                PRC commands
                ''',
                'prc',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('privilege', REFERENCE_CLASS, 'Privilege' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Privilege', 
                [], [], 
                '''                Change privilege level for line
                ''',
                'privilege',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('refuse-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                c refuse-text c, where 'c' is a delimiting character
                ''',
                'refuse_message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rotary', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                Rotary group to add line to
                ''',
                'rotary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rxspeed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Receive speed
                ''',
                'rxspeed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('session-timeout', REFERENCE_CLASS, 'SessionTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.SessionTimeout', 
                [], [], 
                '''                Set interval for closing connection when there is no input traffic
                ''',
                'session_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('special-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'special_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('speed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmit and receive speeds
                ''',
                'speed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the start character
                ''',
                'start_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('start-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Define the start character
                        ''',
                        'start_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('start-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the start character
                        ''',
                        'start_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('stop-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the stop character
                ''',
                'stop_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('stop-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Define the stop character
                        ''',
                        'stop_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('stop-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the stop character
                        ''',
                        'stop_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('stopbits', REFERENCE_ENUM_CLASS, 'StopbitsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.StopbitsEnum', 
                [], [], 
                '''                Set async line stop bits
                ''',
                'stopbits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('telnet', REFERENCE_CLASS, 'Telnet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Telnet', 
                [], [], 
                '''                Telnet protocol-specific configuration
                ''',
                'telnet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('terminal-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Terminal type
                ''',
                'terminal_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Timeout', 
                [], [], 
                '''                Timeouts for the line
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.Transport', 
                [], [], 
                '''                Define transport protocols for line
                ''',
                'transport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('txspeed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmit speed
                ''',
                'txspeed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('usb-inactivity-timeout', REFERENCE_CLASS, 'UsbInactivityTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.UsbInactivityTimeout', 
                [], [], 
                '''                Inactivity timeout for USB media type
                ''',
                'usb_inactivity_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vacant-message', REFERENCE_CLASS, 'VacantMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console.VacantMessage', 
                [], [], 
                '''                Define a vacant banner
                ''',
                'vacant_message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('width', ATTRIBUTE, 'int' , None, None, 
                [('0', '512')], [], 
                '''                Number of characters on a screen line
                ''',
                'width',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'console',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Authorization.Command' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Authorization.Command',
            False, 
            [
            _MetaInfoClassMember('auth-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'auth_name',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable-level', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                ''',
                'enable_level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'command',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Authorization' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Authorization',
            False, 
            [
            _MetaInfoClassMember('command', REFERENCE_CLASS, 'Command' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Authorization.Command', 
                [], [], 
                '''                For exec (shell) commands
                ''',
                'command',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'authorization',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.AccessClass.AcccessList.DirectionEnum' : _MetaInfoEnum('DirectionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Vty.AccessClass.AcccessList' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.AccessClass.AcccessList',
            False, 
            [
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'DirectionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.AccessClass.AcccessList.DirectionEnum', 
                [], [], 
                '''                ''',
                'direction',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-list', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_list',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'int' , None, None, 
                        [('1', '199'), ('1300', '2699')], [], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('access-list', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'access_list',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('vrf-also', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Same access list is applied for all VRFs
                ''',
                'vrf_also',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'acccess-list',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.AccessClass' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.AccessClass',
            False, 
            [
            _MetaInfoClassMember('acccess-list', REFERENCE_LIST, 'AcccessList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.AccessClass.AcccessList', 
                [], [], 
                '''                ''',
                'acccess_list',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Autocommand.NoSuppressLinenumber' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Autocommand.NoSuppressLinenumber',
            False, 
            [
            _MetaInfoClassMember('line', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Appropriate EXEC command
                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-suppress-linenumber',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Autocommand' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Autocommand',
            False, 
            [
            _MetaInfoClassMember('line', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Appropriate EXEC command
                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-suppress-linenumber', REFERENCE_CLASS, 'NoSuppressLinenumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Autocommand.NoSuppressLinenumber', 
                [], [], 
                '''                Display service linenumber message
                ''',
                'no_suppress_linenumber',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autocommand',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.AutocommandOptions.AbortCharacter' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.AutocommandOptions.AbortCharacter',
            False, 
            [
            _MetaInfoClassMember('character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                ]),
            ],
            'Cisco-IOS-XE-native',
            'abort-character',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.AutocommandOptions.Delay' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.AutocommandOptions.Delay',
            False, 
            [
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('0', '120')], [], 
                '''                Time in seconds
                ''',
                'time',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'delay',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.AutocommandOptions.Nohangup' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.AutocommandOptions.Nohangup',
            False, 
            [
            _MetaInfoClassMember('abort-character', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Autocommand abort character
                ''',
                'abort_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Delay autocommand execution
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'nohangup',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.AutocommandOptions' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.AutocommandOptions',
            False, 
            [
            _MetaInfoClassMember('abort-character', REFERENCE_CLASS, 'AbortCharacter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.AutocommandOptions.AbortCharacter', 
                [], [], 
                '''                Autocommand abort character
                ''',
                'abort_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('delay', REFERENCE_CLASS, 'Delay' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.AutocommandOptions.Delay', 
                [], [], 
                '''                Delay autocommand execution
                ''',
                'delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('nohangup', REFERENCE_CLASS, 'Nohangup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.AutocommandOptions.Nohangup', 
                [], [], 
                '''                No hangup after autocommand completion
                ''',
                'nohangup',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'autocommand-options',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Databits' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Databits',
            False, 
            [
            _MetaInfoClassMember('set-to-5', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_5',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-6', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-7', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_7',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('set-to-8', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Number of data bits
                ''',
                'set_to_8',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'databits',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.EscapeCharacter.CharEnum' : _MetaInfoEnum('CharEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'BREAK':'BREAK',
            'DEFAULT':'DEFAULT',
            'NONE':'NONE',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Vty.EscapeCharacter' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.EscapeCharacter',
            False, 
            [
            _MetaInfoClassMember('char', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'char',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('char', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('char', REFERENCE_ENUM_CLASS, 'Native.Line.Vty.EscapeCharacter.CharEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.EscapeCharacter.CharEnum', 
                        [], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('char', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'char',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('soft', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'soft',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'escape-character',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.NoExec' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.NoExec',
            False, 
            [
            _MetaInfoClassMember('exec', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configure EXEC
                ''',
                'exec_',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'no-exec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Exec_.Prompt' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Exec_.Prompt',
            False, 
            [
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'timestamp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prompt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Exec_' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Exec_',
            False, 
            [
            _MetaInfoClassMember('prompt', REFERENCE_CLASS, 'Prompt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Exec_.Prompt', 
                [], [], 
                '''                ''',
                'prompt',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exec',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.ExecTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.ExecTimeout',
            False, 
            [
            _MetaInfoClassMember('minutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                <0-35791>;;Timeout in minutes
                ''',
                'minutes',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                <0-2147483>;;Timeout in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exec-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Flowcontrol' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Flowcontrol',
            False, 
            [
            _MetaInfoClassMember('hardware', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set hardware flow control
                ''',
                'hardware',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('NONE', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set no flow control
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('software', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set software flow control
                ''',
                'software',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'flowcontrol',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.History' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.History',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set history buffer size
                ''',
                'size',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Ip.NetmaskFormat.FormatEnum' : _MetaInfoEnum('FormatEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bit-count':'bit_count',
            'decimal':'decimal',
            'hexadecimal':'hexadecimal',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Vty.Ip.NetmaskFormat' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Ip.NetmaskFormat',
            False, 
            [
            _MetaInfoClassMember('format', REFERENCE_ENUM_CLASS, 'FormatEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Ip.NetmaskFormat.FormatEnum', 
                [], [], 
                '''                ''',
                'format',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'netmask-format',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Ip',
            False, 
            [
            _MetaInfoClassMember('netmask-format', REFERENCE_CLASS, 'NetmaskFormat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Ip.NetmaskFormat', 
                [], [], 
                '''                Change display of netmasks
                ''',
                'netmask_format',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'tcp',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum' : _MetaInfoEnum('EnumerationInOutEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Vty.Ipv6.AccessClass.AccessClass_' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Ipv6.AccessClass.AccessClass_',
            False, 
            [
            _MetaInfoClassMember('access-class-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'access_class_name',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('enumeration-in-out', REFERENCE_ENUM_CLASS, 'EnumerationInOutEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum', 
                [], [], 
                '''                ''',
                'enumeration_in_out',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Ipv6.AccessClass' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Ipv6.AccessClass',
            False, 
            [
            _MetaInfoClassMember('access-class', REFERENCE_LIST, 'AccessClass_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Ipv6.AccessClass.AccessClass_', 
                [], [], 
                '''                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'access-class',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Ipv6',
            False, 
            [
            _MetaInfoClassMember('access-class', REFERENCE_CLASS, 'AccessClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Ipv6.AccessClass', 
                [], [], 
                '''                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Logging.Synchronous' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Logging.Synchronous',
            False, 
            [
            ],
            'Cisco-IOS-XE-native',
            'synchronous',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Logging',
            False, 
            [
            _MetaInfoClassMember('synchronous', REFERENCE_CLASS, 'Synchronous' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Logging.Synchronous', 
                [], [], 
                '''                Synchronized message output
                ''',
                'synchronous',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Login' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Login',
            False, 
            [
            _MetaInfoClassMember('authentication', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'authentication',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('local', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'local',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'login',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.MediaType' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.MediaType',
            False, 
            [
            _MetaInfoClassMember('rj45', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Console connection set to RJ45
                ''',
                'rj45',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Modem' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Modem',
            False, 
            [
            _MetaInfoClassMember('answer-timeout', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval between raising DTR and CTS response
                ''',
                'answer_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('CTS-Alarm', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Alarm device which only uses CTS for call control
                ''',
                'cts_alarm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Dialin', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure line for a modern dial-in modem
                ''',
                'dialin',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('DTR-active', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Leave DTR low unless line has an active incoming connection or EXEC
                ''',
                'dtr_active',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dtr-delay', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set interval during which DTR is held low
                ''',
                'dtr_delay',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Host', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Devices that expect an incoming modem call
                ''',
                'host',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('InOut', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure line for incoming AND outgoing use of modem
                ''',
                'inout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('Printer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Devices that require DSR/CD active
                ''',
                'printer',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'modem',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Padding' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Padding',
            False, 
            [
            _MetaInfoClassMember('character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Character to be padded
                ''',
                'character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '127')], [], 
                        '''                        Character to be padded
                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Character to be padded
                        ''',
                        'character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('null', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'null',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'padding',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Parity' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Parity',
            False, 
            [
            _MetaInfoClassMember('even', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Even parity
                ''',
                'even',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mark', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Mark parity
                ''',
                'mark',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('none', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                No parity
                ''',
                'none',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('odd', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Odd parity
                ''',
                'odd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('space', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Space parity
                ''',
                'space',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'parity',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Password.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '7':'Y_7',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Vty.Password' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Password',
            False, 
            [
            _MetaInfoClassMember('level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Set exec level password
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('secret', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'secret',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Password.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'password',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Prc' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Prc',
            False, 
            [
            _MetaInfoClassMember('expose', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Expose PRC data
                ''',
                'expose',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hide', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Hide PRC data
                ''',
                'hide',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'prc',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Privilege.Level' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Privilege.Level',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Privilege' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Privilege',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Privilege.Level', 
                [], [], 
                '''                Assign default privilege level for line
                ''',
                'level',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'privilege',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.SessionTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.SessionTimeout',
            False, 
            [
            _MetaInfoClassMember('output', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include output traffic as well as input traffic
                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('session-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '35791')], [], 
                '''                ''',
                'session_timeout_value',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'session-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Timeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Timeout',
            False, 
            [
            _MetaInfoClassMember('login', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Timeouts related to the login sequence
                ''',
                'login',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Telnet' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Telnet',
            False, 
            [
            _MetaInfoClassMember('transparent', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                ''',
                'transparent',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'telnet',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Transport.Input.InputEnum' : _MetaInfoEnum('InputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'all':'all',
            'lapb-ta':'lapb_ta',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
            'v120':'v120',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Vty.Transport.Input' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Transport.Input',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_LEAFLIST, 'InputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Transport.Input.InputEnum', 
                [], [], 
                '''                Define which protocols to use when connecting to the terminal server
                ''',
                'input',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Transport.Output.OutputEnum' : _MetaInfoEnum('OutputEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'all':'all',
            'lapb-ta':'lapb_ta',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
            'v120':'v120',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Vty.Transport.Output' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Transport.Output',
            False, 
            [
            _MetaInfoClassMember('output', REFERENCE_LEAFLIST, 'OutputEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Transport.Output.OutputEnum', 
                [], [], 
                '''                Define which protocols to use for outgoing connections
                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Transport.Preferred.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'acercon':'acercon',
            'lat':'lat',
            'mop':'mop',
            'nasi':'nasi',
            'none':'none',
            'pad':'pad',
            'rlogin':'rlogin',
            'ssh':'ssh',
            'telnet':'telnet',
            'udptn':'udptn',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Vty.Transport.Preferred' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Transport.Preferred',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Transport.Preferred.ProtocolEnum', 
                [], [], 
                '''                ''',
                'protocol',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'preferred',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.Transport' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.Transport',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Transport.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Transport.Output', 
                [], [], 
                '''                ''',
                'output',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('preferred', REFERENCE_CLASS, 'Preferred' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Transport.Preferred', 
                [], [], 
                '''                Specify the preferred protocol to use
                ''',
                'preferred',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.UsbInactivityTimeout' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.UsbInactivityTimeout',
            False, 
            [
            _MetaInfoClassMember('switch', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Switch Number
                ''',
                'switch',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'usb-inactivity-timeout',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.VacantMessage' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty.VacantMessage',
            False, 
            [
            _MetaInfoClassMember('banner', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                c vacant-text c, where 'c' is a delimiting character
                ''',
                'banner',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vacant-message',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line.Vty.StopbitsEnum' : _MetaInfoEnum('StopbitsEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '1':'Y_1',
            '1.5':'Y_1__DOT__5',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-native', _yang_ns._namespaces['Cisco-IOS-XE-native']),
    'Native.Line.Vty' : {
        'meta_info' : _MetaInfoClass('Native.Line.Vty',
            False, 
            [
            _MetaInfoClassMember('first', ATTRIBUTE, 'int' , None, None, 
                [('0', '1869')], [], 
                '''                ''',
                'first',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('access-class', REFERENCE_CLASS, 'AccessClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.AccessClass', 
                [], [], 
                '''                Filter connections based on an IP access list
                ''',
                'access_class',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('activation-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the activation character
                ''',
                'activation_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('activation-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the activation character
                        ''',
                        'activation_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('activation-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '127')], [], 
                        '''                        Define the activation character
                        ''',
                        'activation_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('authorization', REFERENCE_CLASS, 'Authorization' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Authorization', 
                [], [], 
                '''                Authorization parameters
                ''',
                'authorization',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('autocommand', REFERENCE_CLASS, 'Autocommand' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Autocommand', 
                [], [], 
                '''                Automatically execute an EXEC command
                ''',
                'autocommand',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('autocommand-options', REFERENCE_CLASS, 'AutocommandOptions' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.AutocommandOptions', 
                [], [], 
                '''                Autocommand options
                ''',
                'autocommand_options',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('data-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'data_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('databits', REFERENCE_CLASS, 'Databits' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Databits', 
                [], [], 
                '''                Set number of data bits per character
                ''',
                'databits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain-lookup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable domain lookups in show commands
                ''',
                'domain_lookup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('editing', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable command line editing
                ''',
                'editing',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('escape-character', REFERENCE_CLASS, 'EscapeCharacter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.EscapeCharacter', 
                [], [], 
                '''                Change the current line's escape character
                ''',
                'escape_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec', REFERENCE_CLASS, 'Exec_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Exec_', 
                [], [], 
                '''                ''',
                'exec_',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-banner', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the display of the EXEC banner
                ''',
                'exec_banner',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'exec_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exec-timeout', REFERENCE_CLASS, 'ExecTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.ExecTimeout', 
                [], [], 
                '''                Set the EXEC timeout
                ''',
                'exec_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_CLASS, 'Flowcontrol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Flowcontrol', 
                [], [], 
                '''                Set the flow control
                ''',
                'flowcontrol',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('full-help', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Provide help to unprivileged user
                ''',
                'full_help',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.History', 
                [], [], 
                '''                Enable and control the command history function
                ''',
                'history',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('international', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable international 8-bit character support
                ''',
                'international',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Ip', 
                [], [], 
                '''                IP options
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Ipv6', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('last', ATTRIBUTE, 'int' , None, None, 
                [('1', '1869')], [], 
                '''                ''',
                'last',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('length', ATTRIBUTE, 'int' , None, None, 
                [('0', '512')], [], 
                '''                Set number of lines on a screen
                ''',
                'length',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('line', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                One text line describing the terminal's location
                ''',
                'location',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Logging', 
                [], [], 
                '''                Modify message logging facilities
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('login', REFERENCE_CLASS, 'Login' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Login', 
                [], [], 
                '''                Enable password checking
                ''',
                'login',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.MediaType', 
                [], [], 
                '''                Console connection media type
                ''',
                'media_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('modem', REFERENCE_CLASS, 'Modem' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Modem', 
                [], [], 
                '''                Configure the Modem Control Lines
                ''',
                'modem',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('monitor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Copy debug output to the current terminal line
                ''',
                'monitor',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('motd-banner', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable the display of the MOTD banner
                ''',
                'motd_banner',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-activation-character', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'no_activation_character',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('no-exec', REFERENCE_CLASS, 'NoExec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.NoExec', 
                [], [], 
                '''                ''',
                'no_exec',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('notify', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Inform users of output from concurrent sessions
                ''',
                'notify',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('padding', REFERENCE_CLASS, 'Padding' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Padding', 
                [], [], 
                '''                Set padding for a specified output character
                ''',
                'padding',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('parity', REFERENCE_CLASS, 'Parity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Parity', 
                [], [], 
                '''                Set terminal parity
                ''',
                'parity',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Password', 
                [], [], 
                '''                Set a password
                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('prc', REFERENCE_CLASS, 'Prc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Prc', 
                [], [], 
                '''                PRC commands
                ''',
                'prc',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('privilege', REFERENCE_CLASS, 'Privilege' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Privilege', 
                [], [], 
                '''                Change privilege level for line
                ''',
                'privilege',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('refuse-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                c refuse-text c, where 'c' is a delimiting character
                ''',
                'refuse_message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rotary', ATTRIBUTE, 'int' , None, None, 
                [('1', '99')], [], 
                '''                Rotary group to add line to
                ''',
                'rotary',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rxspeed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Receive speed
                ''',
                'rxspeed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('session-timeout', REFERENCE_CLASS, 'SessionTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.SessionTimeout', 
                [], [], 
                '''                Set interval for closing connection when there is no input traffic
                ''',
                'session_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('special-character-bits', ATTRIBUTE, 'int' , None, None, 
                [('7', '8')], [], 
                '''                Bits per character
                ''',
                'special_character_bits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('speed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmit and receive speeds
                ''',
                'speed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('start-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the start character
                ''',
                'start_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('start-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Define the start character
                        ''',
                        'start_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('start-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the start character
                        ''',
                        'start_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('stop-character', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Define the stop character
                ''',
                'stop_character',
                'Cisco-IOS-XE-native', False, [
                    _MetaInfoClassMember('stop-character', ATTRIBUTE, 'int' , None, None, 
                        [('0', '255')], [], 
                        '''                        Define the stop character
                        ''',
                        'stop_character',
                        'Cisco-IOS-XE-native', False),
                    _MetaInfoClassMember('stop-character', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        Define the stop character
                        ''',
                        'stop_character',
                        'Cisco-IOS-XE-native', False),
                ]),
            _MetaInfoClassMember('stopbits', REFERENCE_ENUM_CLASS, 'StopbitsEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.StopbitsEnum', 
                [], [], 
                '''                Set async line stop bits
                ''',
                'stopbits',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('telnet', REFERENCE_CLASS, 'Telnet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Telnet', 
                [], [], 
                '''                Telnet protocol-specific configuration
                ''',
                'telnet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('terminal-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Terminal type
                ''',
                'terminal_type',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('timeout', REFERENCE_CLASS, 'Timeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Timeout', 
                [], [], 
                '''                Timeouts for the line
                ''',
                'timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.Transport', 
                [], [], 
                '''                Define transport protocols for line
                ''',
                'transport',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('txspeed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmit speed
                ''',
                'txspeed',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('usb-inactivity-timeout', REFERENCE_CLASS, 'UsbInactivityTimeout' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.UsbInactivityTimeout', 
                [], [], 
                '''                Inactivity timeout for USB media type
                ''',
                'usb_inactivity_timeout',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vacant-message', REFERENCE_CLASS, 'VacantMessage' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty.VacantMessage', 
                [], [], 
                '''                Define a vacant banner
                ''',
                'vacant_message',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('width', ATTRIBUTE, 'int' , None, None, 
                [('0', '512')], [], 
                '''                Number of characters on a screen line
                ''',
                'width',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'vty',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Line' : {
        'meta_info' : _MetaInfoClass('Native.Line',
            False, 
            [
            _MetaInfoClassMember('aux', REFERENCE_LIST, 'Aux' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Aux', 
                [], [], 
                '''                Auxiliary line
                ''',
                'aux',
                'Cisco-IOS-XE-native', False, max_elements=1),
            _MetaInfoClassMember('console', REFERENCE_LIST, 'Console' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Console', 
                [], [], 
                '''                Primary terminal line
                ''',
                'console',
                'Cisco-IOS-XE-native', False, max_elements=1),
            _MetaInfoClassMember('line-list', REFERENCE_LIST, 'LineList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.LineList', 
                [], [], 
                '''                ''',
                'line_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vty', REFERENCE_LIST, 'Vty' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line.Vty', 
                [], [], 
                '''                Virtual terminal
                ''',
                'vty',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'line',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Ipv4.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Ipv4.Peer',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Ipv4.QueryOnly' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Ipv4.QueryOnly',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'query-only',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Ipv4.Serve' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Ipv4.Serve',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'serve',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Ipv4.ServeOnly' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Ipv4.ServeOnly',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'serve-only',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Ipv4',
            False, 
            [
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Ipv4.Peer', 
                [], [], 
                '''                Provide full access
                ''',
                'peer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('query-only', REFERENCE_CLASS, 'QueryOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Ipv4.QueryOnly', 
                [], [], 
                '''                Provide server and query access
                ''',
                'query_only',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('serve', REFERENCE_CLASS, 'Serve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Ipv4.Serve', 
                [], [], 
                '''                Provide server and query access
                ''',
                'serve',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('serve-only', REFERENCE_CLASS, 'ServeOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Ipv4.ServeOnly', 
                [], [], 
                '''                Provide only server access
                ''',
                'serve_only',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Ipv6.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Ipv6.Peer',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Ipv6.QueryOnly' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Ipv6.QueryOnly',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'query-only',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Ipv6.Serve' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Ipv6.Serve',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'serve',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Ipv6.ServeOnly' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Ipv6.ServeOnly',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'serve-only',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Ipv6',
            False, 
            [
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Ipv6.Peer', 
                [], [], 
                '''                Provide full access
                ''',
                'peer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('query-only', REFERENCE_CLASS, 'QueryOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Ipv6.QueryOnly', 
                [], [], 
                '''                Provide server and query access
                ''',
                'query_only',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('serve', REFERENCE_CLASS, 'Serve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Ipv6.Serve', 
                [], [], 
                '''                Provide server and query access
                ''',
                'serve',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('serve-only', REFERENCE_CLASS, 'ServeOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Ipv6.ServeOnly', 
                [], [], 
                '''                Provide only server access
                ''',
                'serve_only',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Peer',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.QueryOnly' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.QueryOnly',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'query-only',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.Serve' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.Serve',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'serve',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup.ServeOnly' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup.ServeOnly',
            False, 
            [
            _MetaInfoClassMember('acl', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'acl',
                'Cisco-IOS-XE-ntp', False, [
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1', '99')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'int' , None, None, 
                        [('1300', '1999')], [], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                    _MetaInfoClassMember('acl', ATTRIBUTE, 'str' , None, None, 
                        [], [b'[a-zA-Z].*'], 
                        '''                        ''',
                        'acl',
                        'Cisco-IOS-XE-ntp', False),
                ]),
            _MetaInfoClassMember('kod', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a Kiss-o-Death packet for failing peers
                ''',
                'kod',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'serve-only',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AccessGroup' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AccessGroup',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Ipv4', 
                [], [], 
                '''                ipv4 access lists
                ''',
                'ipv4',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Ipv6', 
                [], [], 
                '''                ipv6 access lists
                ''',
                'ipv6',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Peer', 
                [], [], 
                '''                Provide full access
                ''',
                'peer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('query-only', REFERENCE_CLASS, 'QueryOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.QueryOnly', 
                [], [], 
                '''                Provide server and query access
                ''',
                'query_only',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('serve', REFERENCE_CLASS, 'Serve' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.Serve', 
                [], [], 
                '''                Provide server and query access
                ''',
                'serve',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('serve-only', REFERENCE_CLASS, 'ServeOnly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup.ServeOnly', 
                [], [], 
                '''                Provide only server access
                ''',
                'serve_only',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'access-group',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Allow.Mode.Control' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Allow.Mode.Control',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('3', '15')], [], 
                '''                Rate limiting delay (s)
                ''',
                'delay',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'control',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Allow.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Allow.Mode',
            False, 
            [
            _MetaInfoClassMember('control', REFERENCE_CLASS, 'Control' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Allow.Mode.Control', 
                [], [], 
                '''                Allow processing control mode packets
                ''',
                'control',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('private', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Allow processing private mode packets
                ''',
                'private',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Allow' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Allow',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Allow.Mode', 
                [], [], 
                '''                Allow processing of particular mode packets
                ''',
                'mode',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'allow',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.AuthenticationKey' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.AuthenticationKey',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('encryption-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'encryption_type',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('md5', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MD5 authentication
                ''',
                'md5',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'authentication-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Master' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Master',
            False, 
            [
            _MetaInfoClassMember('stratum-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '15')], [], 
                '''                ''',
                'stratum_number',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'master',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Panic' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Panic',
            False, 
            [
            _MetaInfoClassMember('update', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Reject time updates > panic threshold (default 1000Sec)
                ''',
                'update',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'panic',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Peer.ServerList' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Peer.ServerList',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-ntp', True, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                ]),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'server-list',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Peer.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Peer.Ip',
            False, 
            [
            _MetaInfoClassMember('host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'host_name',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Peer.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Peer.Ipv6',
            False, 
            [
            _MetaInfoClassMember('host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'host_name',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Peer.Vrf.ServerList' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Peer.Vrf.ServerList',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-ntp', True, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                ]),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'server-list',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Peer.Vrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Peer.Vrf.Ip',
            False, 
            [
            _MetaInfoClassMember('host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'host_name',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Peer.Vrf.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Peer.Vrf.Ipv6',
            False, 
            [
            _MetaInfoClassMember('host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'host_name',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Peer.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Peer.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('ip', REFERENCE_LIST, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Peer.Vrf.Ip', 
                [], [], 
                '''                Use IP for DNS resolution
                ''',
                'ip',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_LIST, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Peer.Vrf.Ipv6', 
                [], [], 
                '''                Use IPv6 for DNS resolution
                ''',
                'ipv6',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('server-list', REFERENCE_LIST, 'ServerList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Peer.Vrf.ServerList', 
                [], [], 
                '''                ''',
                'server_list',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Peer' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Peer',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_LIST, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Peer.Ip', 
                [], [], 
                '''                Use IP for DNS resolution
                ''',
                'ip',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_LIST, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Peer.Ipv6', 
                [], [], 
                '''                Use IPv6 for DNS resolution
                ''',
                'ipv6',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('server-list', REFERENCE_LIST, 'ServerList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Peer.ServerList', 
                [], [], 
                '''                ''',
                'server_list',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Peer.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Information
                ''',
                'vrf',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Server.ServerList' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Server.ServerList',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-ntp', True, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                ]),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'server-list',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Server.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Server.Ip',
            False, 
            [
            _MetaInfoClassMember('host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'host_name',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Server.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Server.Ipv6',
            False, 
            [
            _MetaInfoClassMember('host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'host_name',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Server.Vrf.ServerList' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Server.Vrf.ServerList',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-ntp', True, [
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                    _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'ip_address',
                        'Cisco-IOS-XE-ntp', True),
                ]),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'server-list',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Server.Vrf.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Server.Vrf.Ip',
            False, 
            [
            _MetaInfoClassMember('host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'host_name',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Server.Vrf.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Server.Vrf.Ipv6',
            False, 
            [
            _MetaInfoClassMember('host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'host_name',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('burst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is reachable (Default)
                ''',
                'burst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('iburst', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send a burst when peer is unreachable (Default)
                ''',
                'iburst',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configure peer authentication key
                ''',
                'key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Maximum poll interval
                ''',
                'maxpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('minpoll', ATTRIBUTE, 'int' , None, None, 
                [('4', '17')], [], 
                '''                Minimum poll interval
                ''',
                'minpoll',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('prefer', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Prefer this peer when possible
                ''',
                'prefer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                    Configure NTP version
                ''',
                'version',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Server.Vrf' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Server.Vrf',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('ip', REFERENCE_LIST, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Server.Vrf.Ip', 
                [], [], 
                '''                Use IP for DNS resolution
                ''',
                'ip',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_LIST, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Server.Vrf.Ipv6', 
                [], [], 
                '''                Use IPv6 for DNS resolution
                ''',
                'ipv6',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('server-list', REFERENCE_LIST, 'ServerList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Server.Vrf.ServerList', 
                [], [], 
                '''                ''',
                'server_list',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Server' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Server',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_LIST, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Server.Ip', 
                [], [], 
                '''                Use IP for DNS resolution
                ''',
                'ip',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('ipv6', REFERENCE_LIST, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Server.Ipv6', 
                [], [], 
                '''                Use IPv6 for DNS resolution
                ''',
                'ipv6',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('server-list', REFERENCE_LIST, 'ServerList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Server.ServerList', 
                [], [], 
                '''                ''',
                'server_list',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Server.Vrf', 
                [], [], 
                '''                VPN Routing/Forwarding Information
                ''',
                'vrf',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Source.AtmSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Source.AtmSubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ATM-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Source.AtmAcrsubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Source.AtmAcrsubinterface',
            False, 
            [
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]\\.([0-9]/){3}[0-9]'], 
                '''                ''',
                'atm_acr',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'ATM-ACRsubinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Source.LispSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Source.LispSubinterface',
            False, 
            [
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]*(. ?[1-9][0-9]*)*'], 
                '''                ''',
                'lisp',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'LISP-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Source.PortChannelSubinterface' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Source.PortChannelSubinterface',
            False, 
            [
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'port_channel',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'Port-channel-subinterface',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.Source' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.Source',
            False, 
            [
            _MetaInfoClassMember('AppNav-Compress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface Compress
                ''',
                'appnav_compress',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('AppNav-UnCompress', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Service-Context Virtual Interface UnCompress
                ''',
                'appnav_uncompress',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('ATM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}([0-9]|(ima[0-9]))(:[0-9])?'], 
                '''                ATM interface
                ''',
                'atm',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('ATM-ACR', ATTRIBUTE, 'str' , None, None, 
                [], [b'[0-9]'], 
                '''                ATM-ACR interface
                ''',
                'atm_acr',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('ATM-ACRsubinterface', REFERENCE_CLASS, 'AtmAcrsubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Source.AtmAcrsubinterface', 
                [], [], 
                '''                ''',
                'atm_acrsubinterface',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('ATM-subinterface', REFERENCE_CLASS, 'AtmSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Source.AtmSubinterface', 
                [], [], 
                '''                ''',
                'atm_subinterface',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('BDI', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge-Domain interface
                ''',
                'bdi',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('Cellular', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Cellular Interface
                ''',
                'cellular',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('CEM', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-9]/){2}[0-9]'], 
                '''                CEM interface
                ''',
                'cem',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('CEM-ACR', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                CEM-ACR interface
                ''',
                'cem_acr',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('Embedded-Service-Engine', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                cisco embedded service engine module
                ''',
                'embedded_service_engine',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('FastEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FastEthernet IEEE 802.3
                ''',
                'fastethernet',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('GigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                GigabitEthernet IEEE 802.3z
                ''',
                'gigabitethernet',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('LISP', ATTRIBUTE, 'int' , None, None, 
                [('0', '65520')], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('LISP-subinterface', REFERENCE_CLASS, 'LispSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Source.LispSubinterface', 
                [], [], 
                '''                Locator/ID Separation Protocol Virtual Interface
                ''',
                'lisp_subinterface',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('Loopback', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loopback interface
                ''',
                'loopback',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('Multilink', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multilink-group interface
                ''',
                'multilink',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('nve', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Network virtualization endpoint interface
                ''',
                'nve',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('overlay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Overlay interface
                ''',
                'overlay',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('Port-channel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ethernet Channel of interfaces
                ''',
                'port_channel',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('Port-channel-subinterface', REFERENCE_CLASS, 'PortChannelSubinterface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Source.PortChannelSubinterface', 
                [], [], 
                '''                ''',
                'port_channel_subinterface',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('pseudowire', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pseudowire Interface
                ''',
                'pseudowire',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('Serial', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial interface
                ''',
                'serial',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('SM', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SM Interface
                ''',
                'sm',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('TenGigabitEthernet', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ten Gigabit Ethernet
                ''',
                'tengigabitethernet',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('Tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel interface
                ''',
                'tunnel',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('vasileft', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasileft
                ''',
                'vasileft',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('vasiright', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                vasiright
                ''',
                'vasiright',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('Virtual-Template', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Template interface
                ''',
                'virtual_template',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('VirtualPortGroup', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Virtual Port Group
                ''',
                'virtualportgroup',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('Vlan', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Iosxr Vlans
                ''',
                'vlan',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp.TrustedKey' : {
        'meta_info' : _MetaInfoClass('Native.Ntp.TrustedKey',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-ntp', True),
            _MetaInfoClassMember('end-key', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                End Key
                ''',
                'end_key',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-ntp',
            'trusted-key',
            _yang_ns._namespaces['Cisco-IOS-XE-ntp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ntp' : {
        'meta_info' : _MetaInfoClass('Native.Ntp',
            False, 
            [
            _MetaInfoClassMember('access-group', REFERENCE_CLASS, 'AccessGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AccessGroup', 
                [], [], 
                '''                Control NTP access
                ''',
                'access_group',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('allow', REFERENCE_CLASS, 'Allow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Allow', 
                [], [], 
                '''                Allow processing of packets
                ''',
                'allow',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('authenticate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authenticate time sources
                ''',
                'authenticate',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('authentication-key', REFERENCE_LIST, 'AuthenticationKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.AuthenticationKey', 
                [], [], 
                '''                Authentication key for trusted time sources
                ''',
                'authentication_key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('broadcastdelay', ATTRIBUTE, 'int' , None, None, 
                [('1', '999999')], [], 
                '''                Estimated round-trip delay in microseconds
                ''',
                'broadcastdelay',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('clock-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of hardware clock tick
                ''',
                'clock_period',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('logging', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable NTP message logging
                ''',
                'logging',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('master', REFERENCE_CLASS, 'Master' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Master', 
                [], [], 
                '''                Act as NTP master clock
                ''',
                'master',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('max-associations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Set maximum number of associations
                ''',
                'max_associations',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('maxdistance', ATTRIBUTE, 'int' , None, None, 
                [('1', '16')], [], 
                '''                Maximum Distance for synchronization
                ''',
                'maxdistance',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('mindistance', ATTRIBUTE, 'int' , None, None, 
                [('1', '500')], [], 
                '''                Minimum distance to consider for clockhop
                ''',
                'mindistance',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('orphan', ATTRIBUTE, 'int' , None, None, 
                [('1', '16')], [], 
                '''                Threshold Stratum for orphan mode
                ''',
                'orphan',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('panic', REFERENCE_CLASS, 'Panic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Panic', 
                [], [], 
                '''                Reject time updates > panic threshold (default 1000Sec)
                ''',
                'panic',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('passive', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                NTP passive mode
                ''',
                'passive',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('peer', REFERENCE_CLASS, 'Peer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Peer', 
                [], [], 
                '''                Configure NTP peer
                ''',
                'peer',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Server', 
                [], [], 
                '''                Configure NTP server
                ''',
                'server',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.Source', 
                [], [], 
                '''                Configure interface for source address
                ''',
                'source',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('trusted-key', REFERENCE_LIST, 'TrustedKey' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp.TrustedKey', 
                [], [], 
                '''                Key numbers for trusted time sources
                ''',
                'trusted_key',
                'Cisco-IOS-XE-ntp', False),
            _MetaInfoClassMember('update-calendar', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Periodically update calendar with NTP time
                ''',
                'update_calendar',
                'Cisco-IOS-XE-ntp', False),
            ],
            'Cisco-IOS-XE-native',
            'ntp',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Wsma.Agent.Exec_' : {
        'meta_info' : _MetaInfoClass('Native.Wsma.Agent.Exec_',
            False, 
            [
            _MetaInfoClassMember('profile', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'profile',
                'Cisco-IOS-XE-wsma', False),
            ],
            'Cisco-IOS-XE-wsma',
            'exec',
            _yang_ns._namespaces['Cisco-IOS-XE-wsma'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Wsma.Agent.Config' : {
        'meta_info' : _MetaInfoClass('Native.Wsma.Agent.Config',
            False, 
            [
            _MetaInfoClassMember('profile', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'profile',
                'Cisco-IOS-XE-wsma', False),
            ],
            'Cisco-IOS-XE-wsma',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XE-wsma'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Wsma.Agent.Filesys' : {
        'meta_info' : _MetaInfoClass('Native.Wsma.Agent.Filesys',
            False, 
            [
            _MetaInfoClassMember('profile', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'profile',
                'Cisco-IOS-XE-wsma', False),
            ],
            'Cisco-IOS-XE-wsma',
            'filesys',
            _yang_ns._namespaces['Cisco-IOS-XE-wsma'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Wsma.Agent.Notify' : {
        'meta_info' : _MetaInfoClass('Native.Wsma.Agent.Notify',
            False, 
            [
            _MetaInfoClassMember('profile', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                ''',
                'profile',
                'Cisco-IOS-XE-wsma', False),
            ],
            'Cisco-IOS-XE-wsma',
            'notify',
            _yang_ns._namespaces['Cisco-IOS-XE-wsma'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Wsma.Agent' : {
        'meta_info' : _MetaInfoClass('Native.Wsma.Agent',
            False, 
            [
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Wsma.Agent.Config', 
                [], [], 
                '''                Start WSMA config agent
                ''',
                'config',
                'Cisco-IOS-XE-wsma', False),
            _MetaInfoClassMember('exec', REFERENCE_CLASS, 'Exec_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Wsma.Agent.Exec_', 
                [], [], 
                '''                Start WSMA exec agent
                ''',
                'exec_',
                'Cisco-IOS-XE-wsma', False),
            _MetaInfoClassMember('filesys', REFERENCE_CLASS, 'Filesys' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Wsma.Agent.Filesys', 
                [], [], 
                '''                Start WSMA file system agent
                ''',
                'filesys',
                'Cisco-IOS-XE-wsma', False),
            _MetaInfoClassMember('notify', REFERENCE_CLASS, 'Notify' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Wsma.Agent.Notify', 
                [], [], 
                '''                Start WSMA notify agent
                ''',
                'notify',
                'Cisco-IOS-XE-wsma', False),
            ],
            'Cisco-IOS-XE-wsma',
            'agent',
            _yang_ns._namespaces['Cisco-IOS-XE-wsma'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Wsma.Profile.Listener.TransportEnum' : _MetaInfoEnum('TransportEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'http':'http',
            'https':'https',
            'ssh':'ssh',
            'tls':'tls',
        }, 'Cisco-IOS-XE-wsma', _yang_ns._namespaces['Cisco-IOS-XE-wsma']),
    'Native.Wsma.Profile.Listener' : {
        'meta_info' : _MetaInfoClass('Native.Wsma.Profile.Listener',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-wsma', True),
            _MetaInfoClassMember('transport', REFERENCE_ENUM_CLASS, 'TransportEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Wsma.Profile.Listener.TransportEnum', 
                [], [], 
                '''                The transport to use
                ''',
                'transport',
                'Cisco-IOS-XE-wsma', False),
            ],
            'Cisco-IOS-XE-wsma',
            'listener',
            _yang_ns._namespaces['Cisco-IOS-XE-wsma'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Wsma.Profile' : {
        'meta_info' : _MetaInfoClass('Native.Wsma.Profile',
            False, 
            [
            _MetaInfoClassMember('listener', REFERENCE_LIST, 'Listener' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Wsma.Profile.Listener', 
                [], [], 
                '''                Configure a listener profile
                ''',
                'listener',
                'Cisco-IOS-XE-wsma', False),
            ],
            'Cisco-IOS-XE-wsma',
            'profile',
            _yang_ns._namespaces['Cisco-IOS-XE-wsma'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Wsma' : {
        'meta_info' : _MetaInfoClass('Native.Wsma',
            False, 
            [
            _MetaInfoClassMember('agent', REFERENCE_CLASS, 'Agent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Wsma.Agent', 
                [], [], 
                '''                Configure WSMA agents
                ''',
                'agent',
                'Cisco-IOS-XE-wsma', False),
            _MetaInfoClassMember('profile', REFERENCE_CLASS, 'Profile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Wsma.Profile', 
                [], [], 
                '''                Configure WSMA profile
                ''',
                'profile',
                'Cisco-IOS-XE-wsma', False),
            ],
            'Cisco-IOS-XE-native',
            'wsma',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Environment' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Environment',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-eem', True),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'value',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'environment',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Directory.User' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Directory.User',
            False, 
            [
            _MetaInfoClassMember('policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set Embedded Event Manager user policy directory
                ''',
                'policy',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'user',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Directory' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Directory',
            False, 
            [
            _MetaInfoClassMember('user', REFERENCE_CLASS, 'User' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Directory.User', 
                [], [], 
                '''                Set Embedded Event Manager user directory information
                ''',
                'user',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'directory',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Session.Cli.Username.Username_In_Word' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Session.Cli.Username.Username_In_Word',
            False, 
            [
            _MetaInfoClassMember('username_in_word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'username_in_word',
                'Cisco-IOS-XE-eem', True),
            _MetaInfoClassMember('privilege', ATTRIBUTE, 'int' , None, None, 
                [('0', '15')], [], 
                '''                Set user privilege level
                ''',
                'privilege',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'username_in_word',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Session.Cli.Username' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Session.Cli.Username',
            False, 
            [
            _MetaInfoClassMember('username_in_word', REFERENCE_LIST, 'Username_In_Word' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Session.Cli.Username.Username_In_Word', 
                [], [], 
                '''                ''',
                'username_in_word',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'username',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Session.Cli' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Session.Cli',
            False, 
            [
            _MetaInfoClassMember('username', REFERENCE_CLASS, 'Username' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Session.Cli.Username', 
                [], [], 
                '''                Set username used in Embedded Event Manager cli sessions
                ''',
                'username',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'cli',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Session' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Session',
            False, 
            [
            _MetaInfoClassMember('cli', REFERENCE_CLASS, 'Cli' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Session.Cli', 
                [], [], 
                '''                Set Embedded Event Manager session cli attributes
                ''',
                'cli',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun.TimerInSeconds' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun.TimerInSeconds',
            False, 
            [
            _MetaInfoClassMember('timer-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '31536000')], [], 
                '''                Enter seconds[.milliseconds] value
                ''',
                'timer_in_seconds',
                'Cisco-IOS-XE-eem', True),
            _MetaInfoClassMember('ratelimit', ATTRIBUTE, 'int' , None, None, 
                [('0', '31536000')], [], 
                '''                Limit trigger to once per given time period.
                Enter seconds[.milliseconds] value
                ''',
                'ratelimit',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'timer-in-seconds',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun',
            False, 
            [
            _MetaInfoClassMember('timer-in-seconds', REFERENCE_LIST, 'TimerInSeconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun.TimerInSeconds', 
                [], [], 
                '''                ''',
                'timer_in_seconds',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'maxrun',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds',
            False, 
            [
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '2085978494')], [], 
                '''                Enter seconds[.milliseconds] value
                ''',
                'time_in_seconds',
                'Cisco-IOS-XE-eem', True),
            _MetaInfoClassMember('maxrun', REFERENCE_CLASS, 'Maxrun' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun', 
                [], [], 
                '''                Maximum runtime of applet
                ''',
                'maxrun',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'time-in-seconds',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time',
            False, 
            [
            _MetaInfoClassMember('time-in-seconds', REFERENCE_LIST, 'TimeInSeconds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds', 
                [], [], 
                '''                ''',
                'time_in_seconds',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'time',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'timer_name',
                'Cisco-IOS-XE-eem', True),
            _MetaInfoClassMember('time', REFERENCE_CLASS, 'Time' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time', 
                [], [], 
                '''                Time period for watchdog / countdown / absolute timer
                ''',
                'time',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'timer-name',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name',
            False, 
            [
            _MetaInfoClassMember('timer-name', REFERENCE_LIST, 'TimerName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName', 
                [], [], 
                '''                ''',
                'timer_name',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'name',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Event_.Timer.Watchdog' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Event_.Timer.Watchdog',
            False, 
            [
            _MetaInfoClassMember('name', REFERENCE_CLASS, 'Name' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name', 
                [], [], 
                '''                Name of the timer
                ''',
                'name',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'watchdog',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Event_.Timer' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Event_.Timer',
            False, 
            [
            _MetaInfoClassMember('watchdog', REFERENCE_CLASS, 'Watchdog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Event_.Timer.Watchdog', 
                [], [], 
                '''                Watchdog timer event
                ''',
                'watchdog',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Event_.SnmpNotification' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Event_.SnmpNotification',
            False, 
            [
            _MetaInfoClassMember('dest-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination ip address
                ''',
                'dest_ip_address',
                'Cisco-IOS-XE-eem', False, [
                    _MetaInfoClassMember('dest-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination ip address
                        ''',
                        'dest_ip_address',
                        'Cisco-IOS-XE-eem', False),
                    _MetaInfoClassMember('dest-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination ip address
                        ''',
                        'dest_ip_address',
                        'Cisco-IOS-XE-eem', False),
                ]),
            _MetaInfoClassMember('oid', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Object ID of data element
                ''',
                'oid',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('oid-val', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Comparison value
                ''',
                'oid_val',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('op', REFERENCE_ENUM_CLASS, 'OperatorTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_eem', 'OperatorTypeEnum', 
                [], [], 
                '''                Operator
                ''',
                'op',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('src-ip-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source ip address
                ''',
                'src_ip_address',
                'Cisco-IOS-XE-eem', False, [
                    _MetaInfoClassMember('src-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source ip address
                        ''',
                        'src_ip_address',
                        'Cisco-IOS-XE-eem', False),
                    _MetaInfoClassMember('src-ip-address', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source ip address
                        ''',
                        'src_ip_address',
                        'Cisco-IOS-XE-eem', False),
                ]),
            ],
            'Cisco-IOS-XE-eem',
            'snmp-notification',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Event_.Syslog' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Event_.Syslog',
            False, 
            [
            _MetaInfoClassMember('pattern', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Pattern match string for the entire message
                ''',
                'pattern',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'syslog',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Event_' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Event_',
            False, 
            [
            _MetaInfoClassMember('snmp-notification', REFERENCE_CLASS, 'SnmpNotification' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Event_.SnmpNotification', 
                [], [], 
                '''                SNMP Notification Event
                ''',
                'snmp_notification',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('syslog', REFERENCE_CLASS, 'Syslog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Event_.Syslog', 
                [], [], 
                '''                Syslog event
                ''',
                'syslog',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Event_.Timer', 
                [], [], 
                '''                Timer event
                ''',
                'timer',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Action.If_' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Action.If_',
            False, 
            [
            _MetaInfoClassMember('goto', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                goto label
                ''',
                'goto',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('keyword', REFERENCE_ENUM_CLASS, 'OperatorTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_eem', 'OperatorTypeEnum', 
                [], [], 
                '''                ''',
                'keyword',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('string-op-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string_op_1',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('string-op-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string_op_2',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'if',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var.OidTypeEnum' : _MetaInfoEnum('OidTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'counter':'counter',
            'gauge':'gauge',
            'int':'int',
            'ipv4':'ipv4',
            'octet':'octet',
            'string':'string',
            'uint':'uint',
        }, 'Cisco-IOS-XE-eem', _yang_ns._namespaces['Cisco-IOS-XE-eem']),
    'Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var',
            False, 
            [
            _MetaInfoClassMember('oid', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SNMP object id
                ''',
                'oid',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('oid-type', REFERENCE_ENUM_CLASS, 'OidTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var.OidTypeEnum', 
                [], [], 
                '''                ''',
                'oid_type',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('oid-type-value', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'oid_type_value',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('variable-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'variable_name',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'var',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap',
            False, 
            [
            _MetaInfoClassMember('enterprise-oid', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enterprise oid
                ''',
                'enterprise_oid',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('generic-trapnum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generic trap number
                ''',
                'generic_trapnum',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('specific-trapnum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Specific trap number
                ''',
                'specific_trapnum',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('trap-oid', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trap oid
                ''',
                'trap_oid',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('trap-var', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trap variable
                ''',
                'trap_var',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'trap',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Action.Info.Type.Snmp' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Action.Info.Type.Snmp',
            False, 
            [
            _MetaInfoClassMember('trap', REFERENCE_CLASS, 'Trap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap', 
                [], [], 
                '''                SNMP trap
                ''',
                'trap',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('var', REFERENCE_CLASS, 'Var' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var', 
                [], [], 
                '''                Trap variable
                ''',
                'var',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'snmp',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Action.Info.Type' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Action.Info.Type',
            False, 
            [
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action.Info.Type.Snmp', 
                [], [], 
                '''                SNMP information
                ''',
                'snmp',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Action.Info' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Action.Info',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action.Info.Type', 
                [], [], 
                '''                Type of information to obtain
                ''',
                'type',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Action.Regexp' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Action.Regexp',
            False, 
            [
            _MetaInfoClassMember('string-input', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string_input',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('string-match', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string_match',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('string-pattern', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string_pattern',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('string-submatch1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string_submatch1',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('string-submatch2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string_submatch2',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('string-submatch3', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'string_submatch3',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'regexp',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Action.SnmpTrap' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Action.SnmpTrap',
            False, 
            [
            _MetaInfoClassMember('intdata1', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                SNMP integer data1
                ''',
                'intdata1',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('intdata2', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                SNMP integer data2
                ''',
                'intdata2',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('strdata', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SNMP trap string
                ''',
                'strdata',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'snmp-trap',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Action.String' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Action.String',
            False, 
            [
            _MetaInfoClassMember('trim', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                trim characters from both ends of string
                ''',
                'trim',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'string',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Action.Syslog' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Action.Syslog',
            False, 
            [
            _MetaInfoClassMember('facility', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Facility string
                ''',
                'facility',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('msg', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Syslog message
                ''',
                'msg',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('priority', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Priority of syslog message
                ''',
                'priority',
                'Cisco-IOS-XE-eem', False, [
                    _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                        [('0', '7')], [], 
                        '''                        Priority of syslog message
                        ''',
                        'priority',
                        'Cisco-IOS-XE-eem', False),
                    _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'LoggingLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'LoggingLevelTypeEnum', 
                        [], [], 
                        '''                        Priority of syslog message
                        ''',
                        'priority',
                        'Cisco-IOS-XE-eem', False),
                ]),
            ],
            'Cisco-IOS-XE-eem',
            'syslog',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Action' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Action',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-eem', True),
            _MetaInfoClassMember('end', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                end conditional block
                ''',
                'end',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('if', REFERENCE_CLASS, 'If_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action.If_', 
                [], [], 
                '''                if conditional
                ''',
                'if_',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action.Info', 
                [], [], 
                '''                Obtain system specific information
                ''',
                'info',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('regexp', REFERENCE_CLASS, 'Regexp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action.Regexp', 
                [], [], 
                '''                regular expression match
                ''',
                'regexp',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('snmp-trap', REFERENCE_CLASS, 'SnmpTrap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action.SnmpTrap', 
                [], [], 
                '''                Send an SNMP trap
                ''',
                'snmp_trap',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('string', REFERENCE_CLASS, 'String' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action.String', 
                [], [], 
                '''                string commands
                ''',
                'string',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('syslog', REFERENCE_CLASS, 'Syslog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action.Syslog', 
                [], [], 
                '''                Log a syslog message
                ''',
                'syslog',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.Trigger' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet.Trigger',
            False, 
            [
            ],
            'Cisco-IOS-XE-eem',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager.Applet.AuthorizationEnum' : _MetaInfoEnum('AuthorizationEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'bypass':'bypass',
        }, 'Cisco-IOS-XE-eem', _yang_ns._namespaces['Cisco-IOS-XE-eem']),
    'Native.Event.Manager.Applet' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager.Applet',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-eem', True),
            _MetaInfoClassMember('action', REFERENCE_LIST, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Action', 
                [], [], 
                '''                Add or modify an action statement
                ''',
                'action',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('authorization', REFERENCE_ENUM_CLASS, 'AuthorizationEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.AuthorizationEnum', 
                [], [], 
                '''                Specify an authorization type for the applet
                ''',
                'authorization',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('class', ATTRIBUTE, 'str' , None, None, 
                [], [b'[A-Z]|default'], 
                '''                Specify a class for the applet
                ''',
                'class_',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Add or modify an applet description
                ''',
                'description',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Event_', 
                [], [], 
                '''                Add or modify event information
                ''',
                'event',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Generate an SNMP trap when applet is triggered.
                ''',
                'trap',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('trigger', REFERENCE_CLASS, 'Trigger' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet.Trigger', 
                [], [], 
                '''                Enter applet trigger configuration submode
                ''',
                'trigger',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'applet',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event.Manager' : {
        'meta_info' : _MetaInfoClass('Native.Event.Manager',
            False, 
            [
            _MetaInfoClassMember('applet', REFERENCE_LIST, 'Applet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Applet', 
                [], [], 
                '''                Register an Event Manager applet
                ''',
                'applet',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('directory', REFERENCE_CLASS, 'Directory' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Directory', 
                [], [], 
                '''                Set Embedded Event Manager directory information
                ''',
                'directory',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('environment', REFERENCE_LIST, 'Environment' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Environment', 
                [], [], 
                '''                Set an Embedded Event Manager global environment variable
                ''',
                'environment',
                'Cisco-IOS-XE-eem', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager.Session', 
                [], [], 
                '''                Set Embedded Event Manager session attributes
                ''',
                'session',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-eem',
            'manager',
            _yang_ns._namespaces['Cisco-IOS-XE-eem'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Event' : {
        'meta_info' : _MetaInfoClass('Native.Event',
            False, 
            [
            _MetaInfoClassMember('manager', REFERENCE_CLASS, 'Manager' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event.Manager', 
                [], [], 
                '''                Event Manager configuration commands
                ''',
                'manager',
                'Cisco-IOS-XE-eem', False),
            ],
            'Cisco-IOS-XE-native',
            'event',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_',
            False, 
            [
            _MetaInfoClassMember('cpu-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                observation interval
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cpu-range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling',
            False, 
            [
            _MetaInfoClassMember('cpu-range', REFERENCE_LIST, 'CpuRange_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_', 
                [], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'falling',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_',
            False, 
            [
            _MetaInfoClassMember('cpu-range', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('falling', REFERENCE_CLASS, 'Falling' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling', 
                [], [], 
                '''                falling threshold
                ''',
                'falling',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cpu-range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval',
            False, 
            [
            _MetaInfoClassMember('cpu-range', REFERENCE_LIST, 'CpuRange_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_', 
                [], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange',
            False, 
            [
            _MetaInfoClassMember('cpu-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('interval', REFERENCE_CLASS, 'Interval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval', 
                [], [], 
                '''                observation interval
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cpu-range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Interrupt.Rising' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Interrupt.Rising',
            False, 
            [
            _MetaInfoClassMember('cpu-range', REFERENCE_LIST, 'CpuRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange', 
                [], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rising',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Interrupt' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Interrupt',
            False, 
            [
            _MetaInfoClassMember('rising', REFERENCE_CLASS, 'Rising' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Interrupt.Rising', 
                [], [], 
                '''                rising threshold
                ''',
                'rising',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interrupt',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_',
            False, 
            [
            _MetaInfoClassMember('cpu-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                observation interval
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cpu-range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling',
            False, 
            [
            _MetaInfoClassMember('cpu-range', REFERENCE_LIST, 'CpuRange_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_', 
                [], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'falling',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_',
            False, 
            [
            _MetaInfoClassMember('cpu-range', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('falling', REFERENCE_CLASS, 'Falling' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling', 
                [], [], 
                '''                falling threshold
                ''',
                'falling',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cpu-range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval',
            False, 
            [
            _MetaInfoClassMember('cpu-range', REFERENCE_LIST, 'CpuRange_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_', 
                [], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange',
            False, 
            [
            _MetaInfoClassMember('cpu-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('interval', REFERENCE_CLASS, 'Interval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval', 
                [], [], 
                '''                observation interval
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cpu-range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Process_.Rising' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Process_.Rising',
            False, 
            [
            _MetaInfoClassMember('cpu-range', REFERENCE_LIST, 'CpuRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange', 
                [], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rising',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Process_' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Process_',
            False, 
            [
            _MetaInfoClassMember('rising', REFERENCE_CLASS, 'Rising' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Process_.Rising', 
                [], [], 
                '''                rising threshold
                ''',
                'rising',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_',
            False, 
            [
            _MetaInfoClassMember('cpu-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                observation interval
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cpu-range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling',
            False, 
            [
            _MetaInfoClassMember('cpu-range', REFERENCE_LIST, 'CpuRange_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_', 
                [], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'falling',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_',
            False, 
            [
            _MetaInfoClassMember('cpu-range', ATTRIBUTE, 'int' , None, None, 
                [('5', '86400')], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('falling', REFERENCE_CLASS, 'Falling' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling', 
                [], [], 
                '''                falling threshold
                ''',
                'falling',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cpu-range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval',
            False, 
            [
            _MetaInfoClassMember('cpu-range', REFERENCE_LIST, 'CpuRange_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_', 
                [], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'interval',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange',
            False, 
            [
            _MetaInfoClassMember('cpu-range', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', True),
            _MetaInfoClassMember('interval', REFERENCE_CLASS, 'Interval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval', 
                [], [], 
                '''                observation interval
                ''',
                'interval',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cpu-range',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Total.Rising' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Total.Rising',
            False, 
            [
            _MetaInfoClassMember('cpu-range', REFERENCE_LIST, 'CpuRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange', 
                [], [], 
                '''                ''',
                'cpu_range',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'rising',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type.Total' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type.Total',
            False, 
            [
            _MetaInfoClassMember('rising', REFERENCE_CLASS, 'Rising' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Total.Rising', 
                [], [], 
                '''                rising threshold
                ''',
                'rising',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold.Type' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold.Type',
            False, 
            [
            _MetaInfoClassMember('interrupt', REFERENCE_CLASS, 'Interrupt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Interrupt', 
                [], [], 
                '''                interrupt level utilization
                ''',
                'interrupt',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('process', REFERENCE_CLASS, 'Process_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Process_', 
                [], [], 
                '''                process level utilization
                ''',
                'process',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type.Total', 
                [], [], 
                '''                total cpu utilization
                ''',
                'total',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu.Threshold',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold.Type', 
                [], [], 
                '''                cpu threshold type
                ''',
                'type',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process.Cpu' : {
        'meta_info' : _MetaInfoClass('Native.Process.Cpu',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu.Threshold', 
                [], [], 
                '''                cpu threshold parameters
                ''',
                'threshold',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'cpu',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Process' : {
        'meta_info' : _MetaInfoClass('Native.Process',
            False, 
            [
            _MetaInfoClassMember('cpu', REFERENCE_CLASS, 'Cpu' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process.Cpu', 
                [], [], 
                '''                Configure cpu parameters
                ''',
                'cpu',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Exception.Crashinfo' : {
        'meta_info' : _MetaInfoClass('Native.Exception.Crashinfo',
            False, 
            [
            _MetaInfoClassMember('buffersize', ATTRIBUTE, 'int' , None, None, 
                [('32', '256')], [], 
                '''                buffer size in Kbytes 256K or less (default is 32K)
                ''',
                'buffersize',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'crashinfo',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Exception' : {
        'meta_info' : _MetaInfoClass('Native.Exception',
            False, 
            [
            _MetaInfoClassMember('crashinfo', REFERENCE_CLASS, 'Crashinfo' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Exception.Crashinfo', 
                [], [], 
                '''                Crashinfo collection
                ''',
                'crashinfo',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'exception',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_24Ghz.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'enforce-policy':'enforce_policy',
            'monitor':'monitor',
        }, 'Cisco-IOS-XE-ap', _yang_ns._namespaces['Cisco-IOS-XE-ap']),
    'Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_24Ghz' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_24Ghz',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_24Ghz.ModeEnum', 
                [], [], 
                '''                Configure airtime-fairness in enforce mode
                ''',
                'mode',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('optimization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable airtime-fairness optimization
                ''',
                'optimization',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            '_24GHz',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz.Mode',
            False, 
            [
            _MetaInfoClassMember('enforce-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                airtime-fairness in enforce policy mode
                ''',
                'enforce_policy',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('monitor', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure airtime-fairness in monitor mode
                ''',
                'monitor',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz.Mode', 
                [], [], 
                '''                Configure airtime-fairness in enforce mode
                ''',
                'mode',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('optimization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable airtime-fairness optimization
                ''',
                'optimization',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            '_5GHz',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.AirtimeFairness.Dot11' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.AirtimeFairness.Dot11',
            False, 
            [
            _MetaInfoClassMember('_24GHz', REFERENCE_CLASS, 'Y_24Ghz' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_24Ghz', 
                [], [], 
                '''                Configures 2.4 GHz airtime-fairness policy
                ''',
                'y_24ghz',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('_5GHz', REFERENCE_CLASS, 'Y_5Ghz' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz', 
                [], [], 
                '''                Configures 5 GHz airtime-fairness policy
                ''',
                'y_5ghz',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'dot11',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.AirtimeFairness' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.AirtimeFairness',
            False, 
            [
            _MetaInfoClassMember('dot11', REFERENCE_CLASS, 'Dot11' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.AirtimeFairness.Dot11', 
                [], [], 
                '''                Configures airtime-fairness parameters for the AP group
                ''',
                'dot11',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'airtime-fairness',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.Hyperlocation.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.Hyperlocation.Threshold',
            False, 
            [
            _MetaInfoClassMember('detection', ATTRIBUTE, 'int' , None, None, 
                [('-100', '-50')], [], 
                '''                RSSI threshold to filter out packets with low RSSI
                ''',
                'detection',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '99')], [], 
                '''                Enter a value smaller than trigger threshold
                ''',
                'reset',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('trigger', ATTRIBUTE, 'int' , None, None, 
                [('1', '100')], [], 
                '''                Enter number of scan cycles
                ''',
                'trigger',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.Hyperlocation' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.Hyperlocation',
            False, 
            [
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.Hyperlocation.Threshold', 
                [], [], 
                '''                Sets Hyperlocation thresholds
                ''',
                'threshold',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'hyperlocation',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.Ntp' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.Ntp',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                NTP server IPv4 address
                ''',
                'ip',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'ntp',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.Port' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.Port',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('1', '3')], [], 
                '''                Enter port ID for LAN
                ''',
                'id',
                'Cisco-IOS-XE-ap', True),
            _MetaInfoClassMember('poe', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable LAN PoE
                ''',
                'poe',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('remote-lan', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter Remote-LAN Name
                ''',
                'remote_lan',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable port
                ''',
                'shutdown',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.RfProfile.Dot11' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.RfProfile.Dot11',
            False, 
            [
            _MetaInfoClassMember('_24ghz', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the name of the RF Profile to assign
                ''',
                'y_24ghz',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('_5ghz', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the name of the RF Profile to assign
                ''',
                'y_5ghz',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'dot11',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.RfProfile' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.RfProfile',
            False, 
            [
            _MetaInfoClassMember('dot11', REFERENCE_CLASS, 'Dot11' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.RfProfile.Dot11', 
                [], [], 
                '''                Configures 802.11 parameters
                ''',
                'dot11',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'rf-profile',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_24Ghz' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_24Ghz',
            False, 
            [
            _MetaInfoClassMember('policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify name of the airtime-fairness policy to assign
                ''',
                'policy',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            '_24GHz',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_5Ghz' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_5Ghz',
            False, 
            [
            _MetaInfoClassMember('policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify name of the airtime-fairness policy to assign
                ''',
                'policy',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            '_5GHz',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11',
            False, 
            [
            _MetaInfoClassMember('_24GHz', REFERENCE_CLASS, 'Y_24Ghz' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_24Ghz', 
                [], [], 
                '''                Configures 2.4 GHz airtime-fairness policy
                ''',
                'y_24ghz',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('_5GHz', REFERENCE_CLASS, 'Y_5Ghz' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_5Ghz', 
                [], [], 
                '''                Configures 5 GHz airtime-fairness policy
                ''',
                'y_5ghz',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'dot11',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.Wlan.AirtimeFairness' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.Wlan.AirtimeFairness',
            False, 
            [
            _MetaInfoClassMember('dot11', REFERENCE_CLASS, 'Dot11' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11', 
                [], [], 
                '''                Configures airtime-fairness parameters for the AP group
                ''',
                'dot11',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'airtime-fairness',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config.Wlan.RadioPolicyEnum' : _MetaInfoEnum('RadioPolicyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'all':'all',
            'dot11a':'dot11a',
            'dot11bg':'dot11bg',
            'dot11g':'dot11g',
        }, 'Cisco-IOS-XE-ap', _yang_ns._namespaces['Cisco-IOS-XE-ap']),
    'Native.Ap.Group.Config.Wlan' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config.Wlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter WLAN name
                ''',
                'name',
                'Cisco-IOS-XE-ap', True),
            _MetaInfoClassMember('airtime-fairness', REFERENCE_CLASS, 'AirtimeFairness' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.Wlan.AirtimeFairness', 
                [], [], 
                '''                Configure airtime-fairness to the current AP group
                ''',
                'airtime_fairness',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('radio-policy', REFERENCE_ENUM_CLASS, 'RadioPolicyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.Wlan.RadioPolicyEnum', 
                [], [], 
                '''                Configures Radio Policy on given AP-Group
                ''',
                'radio_policy',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the vlan name or vlan id
                ''',
                'vlan',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'wlan',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group.Config' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group.Config',
            False, 
            [
            _MetaInfoClassMember('airtime-fairness', REFERENCE_CLASS, 'AirtimeFairness' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.AirtimeFairness', 
                [], [], 
                '''                airtime-fairness for this AP group
                ''',
                'airtime_fairness',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter description
                ''',
                'description',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('hyperlocation', REFERENCE_CLASS, 'Hyperlocation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.Hyperlocation', 
                [], [], 
                '''                Configures Hyperlocation feature on all supported APs
                ''',
                'hyperlocation',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('ntp', REFERENCE_CLASS, 'Ntp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.Ntp', 
                [], [], 
                '''                Sets the NTP server IP address
                ''',
                'ntp',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('port', REFERENCE_LIST, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.Port', 
                [], [], 
                '''                Configure LAN port parameters of an AP group
                ''',
                'port',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('remote-lan', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter Remote-LAN name
                ''',
                'remote_lan',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('rf-profile', REFERENCE_CLASS, 'RfProfile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.RfProfile', 
                [], [], 
                '''                Assign the RF Profile to the current AP Group
                ''',
                'rf_profile',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('wlan', REFERENCE_LIST, 'Wlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config.Wlan', 
                [], [], 
                '''                Add WLAN to ap group
                ''',
                'wlan',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Group' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Group',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-ap', True),
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group.Config', 
                [], [], 
                '''                ''',
                'config',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_11M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_11M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_11M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_12M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_12M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_12M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_18M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_18M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_18M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_1M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_1M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_1M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_24M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_24M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_24M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_2M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_2M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_2M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_36M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_36M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_36M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_48M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_48M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_48M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_54M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_54M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_54M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_5_5M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_5_5M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_5_5M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_6M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_6M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_6M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_9M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate.Rate_9M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_9M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz.Rate',
            False, 
            [
            _MetaInfoClassMember('RATE_11M', REFERENCE_CLASS, 'Rate_11M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_11M', 
                [], [], 
                '''                802.11 12M Rate
                ''',
                'rate_11m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_12M', REFERENCE_CLASS, 'Rate_12M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_12M', 
                [], [], 
                '''                802.11 12M Rate
                ''',
                'rate_12m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_18M', REFERENCE_CLASS, 'Rate_18M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_18M', 
                [], [], 
                '''                802.11 18M Rate
                ''',
                'rate_18m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_1M', REFERENCE_CLASS, 'Rate_1M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_1M', 
                [], [], 
                '''                802.11 12M Rate
                ''',
                'rate_1m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_24M', REFERENCE_CLASS, 'Rate_24M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_24M', 
                [], [], 
                '''                802.11 24M Rate
                ''',
                'rate_24m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_2M', REFERENCE_CLASS, 'Rate_2M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_2M', 
                [], [], 
                '''                802.11 24M Rate
                ''',
                'rate_2m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_36M', REFERENCE_CLASS, 'Rate_36M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_36M', 
                [], [], 
                '''                802.11 36M Rate
                ''',
                'rate_36m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_48M', REFERENCE_CLASS, 'Rate_48M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_48M', 
                [], [], 
                '''                802.11 48M Rate
                ''',
                'rate_48m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_54M', REFERENCE_CLASS, 'Rate_54M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_54M', 
                [], [], 
                '''                802.11 54M Rate
                ''',
                'rate_54m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_5_5M', REFERENCE_CLASS, 'Rate_5_5M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_5_5M', 
                [], [], 
                '''                802.11 5.5M Rate
                ''',
                'rate_5_5m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_6M', REFERENCE_CLASS, 'Rate_6M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_6M', 
                [], [], 
                '''                802.11 6M Rate
                ''',
                'rate_6m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_9M', REFERENCE_CLASS, 'Rate_9M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate.Rate_9M', 
                [], [], 
                '''                802.11 9M Rate
                ''',
                'rate_9m',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_24Ghz' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_24Ghz',
            False, 
            [
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz.Rate', 
                [], [], 
                '''                Configure 802.11b operational rates
                ''',
                'rate',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            '_24ghz',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_49Ghz.Rrm.Profile' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_49Ghz.Rrm.Profile',
            False, 
            [
            _MetaInfoClassMember('foreign', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                802.11a foreign interference threshold (0-100)
                ''',
                'foreign',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'profile',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_49Ghz.Rrm' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_49Ghz.Rrm',
            False, 
            [
            _MetaInfoClassMember('profile', REFERENCE_CLASS, 'Profile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_49Ghz.Rrm.Profile', 
                [], [], 
                '''                802.11a performance profile
                ''',
                'profile',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'rrm',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_49Ghz' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_49Ghz',
            False, 
            [
            _MetaInfoClassMember('rrm', REFERENCE_CLASS, 'Rrm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_49Ghz.Rrm', 
                [], [], 
                '''                Radio Resource Management
                ''',
                'rrm',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            '_49ghz',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_11M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_11M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_11M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_12M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_12M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_12M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_18M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_18M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_18M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_1M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_1M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_1M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_24M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_24M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_24M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_2M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_2M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_2M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_36M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_36M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_36M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_48M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_48M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_48M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_54M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_54M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_54M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_5_5M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_5_5M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_5_5M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_6M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_6M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_6M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_9M' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate.Rate_9M',
            False, 
            [
            _MetaInfoClassMember('supported', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set a rate to supported
                ''',
                'supported',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'RATE_9M',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz.Rate' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz.Rate',
            False, 
            [
            _MetaInfoClassMember('RATE_11M', REFERENCE_CLASS, 'Rate_11M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_11M', 
                [], [], 
                '''                802.11 12M Rate
                ''',
                'rate_11m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_12M', REFERENCE_CLASS, 'Rate_12M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_12M', 
                [], [], 
                '''                802.11 12M Rate
                ''',
                'rate_12m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_18M', REFERENCE_CLASS, 'Rate_18M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_18M', 
                [], [], 
                '''                802.11 18M Rate
                ''',
                'rate_18m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_1M', REFERENCE_CLASS, 'Rate_1M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_1M', 
                [], [], 
                '''                802.11 12M Rate
                ''',
                'rate_1m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_24M', REFERENCE_CLASS, 'Rate_24M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_24M', 
                [], [], 
                '''                802.11 24M Rate
                ''',
                'rate_24m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_2M', REFERENCE_CLASS, 'Rate_2M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_2M', 
                [], [], 
                '''                802.11 24M Rate
                ''',
                'rate_2m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_36M', REFERENCE_CLASS, 'Rate_36M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_36M', 
                [], [], 
                '''                802.11 36M Rate
                ''',
                'rate_36m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_48M', REFERENCE_CLASS, 'Rate_48M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_48M', 
                [], [], 
                '''                802.11 48M Rate
                ''',
                'rate_48m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_54M', REFERENCE_CLASS, 'Rate_54M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_54M', 
                [], [], 
                '''                802.11 54M Rate
                ''',
                'rate_54m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_5_5M', REFERENCE_CLASS, 'Rate_5_5M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_5_5M', 
                [], [], 
                '''                802.11 5.5M Rate
                ''',
                'rate_5_5m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_6M', REFERENCE_CLASS, 'Rate_6M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_6M', 
                [], [], 
                '''                802.11 6M Rate
                ''',
                'rate_6m',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('RATE_9M', REFERENCE_CLASS, 'Rate_9M' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate.Rate_9M', 
                [], [], 
                '''                802.11 9M Rate
                ''',
                'rate_9m',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.Y_5Ghz' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.Y_5Ghz',
            False, 
            [
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz.Rate', 
                [], [], 
                '''                Configure 802.11b operational rates
                ''',
                'rate',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            '_5ghz',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.AirtimeFairness.PolicyName' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.AirtimeFairness.PolicyName',
            False, 
            [
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter the airtime-fairness policy name
                ''',
                'policy_name',
                'Cisco-IOS-XE-ap', True),
            _MetaInfoClassMember('policy-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '511')], [], 
                '''                ''',
                'policy_id',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'policy-name',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11.AirtimeFairness' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11.AirtimeFairness',
            False, 
            [
            _MetaInfoClassMember('policy-name', REFERENCE_LIST, 'PolicyName' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.AirtimeFairness.PolicyName', 
                [], [], 
                '''                Configure airtime-fairness policy
                ''',
                'policy_name',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'airtime-fairness',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap.Dot11' : {
        'meta_info' : _MetaInfoClass('Native.Ap.Dot11',
            False, 
            [
            _MetaInfoClassMember('airtime-fairness', REFERENCE_CLASS, 'AirtimeFairness' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.AirtimeFairness', 
                [], [], 
                '''                Configures airtime-fairness policy
                ''',
                'airtime_fairness',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('_24ghz', REFERENCE_CLASS, 'Y_24Ghz' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_24Ghz', 
                [], [], 
                '''                Configures 802.11b parameters.
                ''',
                'y_24ghz',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('_49ghz', REFERENCE_CLASS, 'Y_49Ghz' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_49Ghz', 
                [], [], 
                '''                Configures 802.11a parameters.
                ''',
                'y_49ghz',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('_5ghz', REFERENCE_CLASS, 'Y_5Ghz' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11.Y_5Ghz', 
                [], [], 
                '''                Configures 802.11a parameters.
                ''',
                'y_5ghz',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'dot11',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Ap' : {
        'meta_info' : _MetaInfoClass('Native.Ap',
            False, 
            [
            _MetaInfoClassMember('dot11', REFERENCE_CLASS, 'Dot11' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Dot11', 
                [], [], 
                '''                Configures 802.11 parameters
                ''',
                'dot11',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap.Group', 
                [], [], 
                '''                Manage AP Groups VLAN feature
                ''',
                'group',
                'Cisco-IOS-XE-ap', False),
            ],
            'Cisco-IOS-XE-ap',
            'ap',
            _yang_ns._namespaces['Cisco-IOS-XE-ap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Esmc' : {
        'meta_info' : _MetaInfoClass('Native.Esmc',
            False, 
            [
            _MetaInfoClassMember('process', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                process
                ''',
                'process',
                'Cisco-IOS-XE-ethernet', False),
            ],
            'Cisco-IOS-XE-ethernet',
            'esmc',
            _yang_ns._namespaces['Cisco-IOS-XE-ethernet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BbaGroup.Pppoe.VendorTag.CircuitId' : {
        'meta_info' : _MetaInfoClass('Native.BbaGroup.Pppoe.VendorTag.CircuitId',
            False, 
            [
            _MetaInfoClassMember('service', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable processing
                ''',
                'service',
                'Cisco-IOS-XE-bba-group', False),
            ],
            'Cisco-IOS-XE-bba-group',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XE-bba-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BbaGroup.Pppoe.VendorTag.DslSyncRate' : {
        'meta_info' : _MetaInfoClass('Native.BbaGroup.Pppoe.VendorTag.DslSyncRate',
            False, 
            [
            _MetaInfoClassMember('service', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable processing
                ''',
                'service',
                'Cisco-IOS-XE-bba-group', False),
            ],
            'Cisco-IOS-XE-bba-group',
            'dsl-sync-rate',
            _yang_ns._namespaces['Cisco-IOS-XE-bba-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BbaGroup.Pppoe.VendorTag.RemoteId' : {
        'meta_info' : _MetaInfoClass('Native.BbaGroup.Pppoe.VendorTag.RemoteId',
            False, 
            [
            _MetaInfoClassMember('service', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable processing
                ''',
                'service',
                'Cisco-IOS-XE-bba-group', False),
            ],
            'Cisco-IOS-XE-bba-group',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XE-bba-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BbaGroup.Pppoe.VendorTag' : {
        'meta_info' : _MetaInfoClass('Native.BbaGroup.Pppoe.VendorTag',
            False, 
            [
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BbaGroup.Pppoe.VendorTag.CircuitId', 
                [], [], 
                '''                Circuit-Id
                ''',
                'circuit_id',
                'Cisco-IOS-XE-bba-group', False),
            _MetaInfoClassMember('dsl-sync-rate', REFERENCE_CLASS, 'DslSyncRate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BbaGroup.Pppoe.VendorTag.DslSyncRate', 
                [], [], 
                '''                DSL-Sync-Rate
                ''',
                'dsl_sync_rate',
                'Cisco-IOS-XE-bba-group', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BbaGroup.Pppoe.VendorTag.RemoteId', 
                [], [], 
                '''                Remote-Id
                ''',
                'remote_id',
                'Cisco-IOS-XE-bba-group', False),
            _MetaInfoClassMember('strip', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Strip all vendor tags
                ''',
                'strip',
                'Cisco-IOS-XE-bba-group', False),
            ],
            'Cisco-IOS-XE-bba-group',
            'vendor-tag',
            _yang_ns._namespaces['Cisco-IOS-XE-bba-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BbaGroup.Pppoe.IdEnum' : _MetaInfoEnum('IdEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'global':'global_',
        }, 'Cisco-IOS-XE-bba-group', _yang_ns._namespaces['Cisco-IOS-XE-bba-group']),
    'Native.BbaGroup.Pppoe' : {
        'meta_info' : _MetaInfoClass('Native.BbaGroup.Pppoe',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bba-group', True, [
                    _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bba-group', True),
                    _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'Native.BbaGroup.Pppoe.IdEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BbaGroup.Pppoe.IdEnum', 
                        [], [], 
                        '''                        ''',
                        'id',
                        'Cisco-IOS-XE-bba-group', True),
                ]),
            _MetaInfoClassMember('vendor-tag', REFERENCE_CLASS, 'VendorTag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BbaGroup.Pppoe.VendorTag', 
                [], [], 
                '''                PPPoE Vendor Specific Tag
                ''',
                'vendor_tag',
                'Cisco-IOS-XE-bba-group', False),
            _MetaInfoClassMember('virtual-template', ATTRIBUTE, 'int' , None, None, 
                [('1', '4095')], [], 
                '''                BBA virtual template command
                ''',
                'virtual_template',
                'Cisco-IOS-XE-bba-group', False),
            ],
            'Cisco-IOS-XE-bba-group',
            'pppoe',
            _yang_ns._namespaces['Cisco-IOS-XE-bba-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.BbaGroup' : {
        'meta_info' : _MetaInfoClass('Native.BbaGroup',
            False, 
            [
            _MetaInfoClassMember('pppoe', REFERENCE_LIST, 'Pppoe' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BbaGroup.Pppoe', 
                [], [], 
                '''                PPPoE type
                ''',
                'pppoe',
                'Cisco-IOS-XE-bba-group', False),
            ],
            'Cisco-IOS-XE-bba-group',
            'bba-group',
            _yang_ns._namespaces['Cisco-IOS-XE-bba-group'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Card.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            't1':'t1',
            'e1':'e1',
        }, 'Cisco-IOS-XE-card', _yang_ns._namespaces['Cisco-IOS-XE-card']),
    'Native.Card' : {
        'meta_info' : _MetaInfoClass('Native.Card',
            False, 
            [
            _MetaInfoClassMember('bay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'bay',
                'Cisco-IOS-XE-card', False),
            _MetaInfoClassMember('slot', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'slot',
                'Cisco-IOS-XE-card', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Card.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-card', False),
            ],
            'Cisco-IOS-XE-card',
            'card',
            _yang_ns._namespaces['Cisco-IOS-XE-card'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cef.Table.OutputChain.Build.Favor' : {
        'meta_info' : _MetaInfoClass('Native.Cef.Table.OutputChain.Build.Favor',
            False, 
            [
            _MetaInfoClassMember('convergence-speed', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Favor faster convergence
                ''',
                'convergence_speed',
                'Cisco-IOS-XE-cef', False),
            _MetaInfoClassMember('memory-utilization', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Favor smaller memory utilization
                ''',
                'memory_utilization',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'favor',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cef.Table.OutputChain.Build' : {
        'meta_info' : _MetaInfoClass('Native.Cef.Table.OutputChain.Build',
            False, 
            [
            _MetaInfoClassMember('favor', REFERENCE_CLASS, 'Favor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cef.Table.OutputChain.Build.Favor', 
                [], [], 
                '''                Set which table output chain building characteristics to favor
                ''',
                'favor',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'build',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cef.Table.OutputChain' : {
        'meta_info' : _MetaInfoClass('Native.Cef.Table.OutputChain',
            False, 
            [
            _MetaInfoClassMember('build', REFERENCE_CLASS, 'Build' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cef.Table.OutputChain.Build', 
                [], [], 
                '''                Set table output chain building characteristics
                ''',
                'build',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'output-chain',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cef.Table' : {
        'meta_info' : _MetaInfoClass('Native.Cef.Table',
            False, 
            [
            _MetaInfoClassMember('output-chain', REFERENCE_CLASS, 'OutputChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cef.Table.OutputChain', 
                [], [], 
                '''                Set table output chain characteristics
                ''',
                'output_chain',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'table',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Cef' : {
        'meta_info' : _MetaInfoClass('Native.Cef',
            False, 
            [
            _MetaInfoClassMember('table', REFERENCE_CLASS, 'Table' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cef.Table', 
                [], [], 
                '''                Set CEF forwarding table characteristics
                ''',
                'table',
                'Cisco-IOS-XE-cef', False),
            ],
            'Cisco-IOS-XE-cef',
            'cef',
            _yang_ns._namespaces['Cisco-IOS-XE-cef'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Coap.Http' : {
        'meta_info' : _MetaInfoClass('Native.Coap.Http',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                CoAP http server enable
                ''',
                'enable',
                'Cisco-IOS-XE-coap', False),
            ],
            'Cisco-IOS-XE-coap',
            'http',
            _yang_ns._namespaces['Cisco-IOS-XE-coap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Coap' : {
        'meta_info' : _MetaInfoClass('Native.Coap',
            False, 
            [
            _MetaInfoClassMember('http', REFERENCE_CLASS, 'Http' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Coap.Http', 
                [], [], 
                '''                CoAP http server
                ''',
                'http',
                'Cisco-IOS-XE-coap', False),
            ],
            'Cisco-IOS-XE-coap',
            'coap',
            _yang_ns._namespaces['Cisco-IOS-XE-coap'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.DeviceSensor' : {
        'meta_info' : _MetaInfoClass('Native.DeviceSensor',
            False, 
            [
            _MetaInfoClassMember('accounting', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Trigger accounting updates with sensor TLVs/Options
                ''',
                'accounting',
                'Cisco-IOS-XE-device-sensor', False),
            ],
            'Cisco-IOS-XE-device-sensor',
            'device-sensor',
            _yang_ns._namespaces['Cisco-IOS-XE-device-sensor'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Bootup.LevelEnum' : _MetaInfoEnum('LevelEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'complete':'complete',
            'minimal':'minimal',
        }, 'Cisco-IOS-XE-diagnostics', _yang_ns._namespaces['Cisco-IOS-XE-diagnostics']),
    'Native.Diagnostic.Bootup' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Bootup',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'LevelEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Bootup.LevelEnum', 
                [], [], 
                '''                Select diagnostic level
                ''',
                'level',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'bootup',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.EventLog' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.EventLog',
            False, 
            [
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000')], [], 
                '''                Configure event log size
                Number of entries <1-10000>
                ''',
                'size',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'event-log',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.TestIds' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.TestIds',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Test ID list (e.g. 1,3-6) or Test Name
                ''',
                'id',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('hh-mm-ss', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9]):([0-5][0-9])(:[0-5][0-9])'], 
                '''                Monitoring interval in hh:mm:ss format
                ''',
                'hh_mm_ss',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('milli-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '999')], [], 
                '''                Number of milli-seconds [0-999]
                ''',
                'milli_seconds',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('number-of-days', ATTRIBUTE, 'int' , None, None, 
                [('0', '20')], [], 
                '''                Number of days [0-20]
                ''',
                'number_of_days',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'test-ids',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.All' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.All',
            False, 
            [
            _MetaInfoClassMember('hh-mm-ss', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9]):([0-5][0-9])(:[0-5][0-9])'], 
                '''                Monitoring interval in hh:mm:ss format
                ''',
                'hh_mm_ss',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('milli-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '999')], [], 
                '''                Number of milli-seconds [0-999]
                ''',
                'milli_seconds',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('number-of-days', ATTRIBUTE, 'int' , None, None, 
                [('0', '20')], [], 
                '''                Number of days [0-20]
                ''',
                'number_of_days',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.All', 
                [], [], 
                '''                Select all test ID 
                ''',
                'all',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('test-ids', REFERENCE_LIST, 'TestIds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.TestIds', 
                [], [], 
                '''                ''',
                'test_ids',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'test',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Interval.Switch.Switch_' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Interval.Switch.Switch_',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                switch number
                ''',
                'number',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('test', REFERENCE_CLASS, 'Test' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test', 
                [], [], 
                '''                Diagnostic test selection
                Diagnostics test suite attributes:
                M/C/* - Minimal bootup level test / Complete bootup level test / NA
                B/* - Basic ondemand test / NA
                P/V/* - Per port test / Per device test / NA
                D/N/* - Disruptive test / Non-disruptive test / NA
                S/* - Only applicable to standby unit / NA
                X/* - Not a health monitoring test / NA
                F/* - Fixed monitoring interval test / NA
                E/* - Always enabled monitoring test / NA
                A/I - Monitoring is active / Monitoring is inactive
                
                                                               Test Interval   Thre-
                ID   Test Name                          Attributes     day hh:mm:ss.ms shold
                ==== ================================  ============   =============== =====
                1) DiagGoldPktTest ----------------->  *BPN*X**I       not configured    n/a
                2) DiagThermalTest ----------------->  *B*N****A       000 00:01:30.00   5
                3) DiagFanTest --------------------->  *B*N****A       000 00:01:30.00   5
                4) DiagPhyLoopbackTest ------------->  *BPD*X**I       not configured    n/a
                5) DiagScratchRegisterTest --------->  *B*N****A       000 00:01:30.00   5
                6) DiagPoETest --------------------->  ***D*X**I       not configured    n/a
                7) DiagStackCableTest -------------->  ***D*X**I       not configured    n/a
                8) DiagMemoryTest ------------------>  *B*D*X**I       not configured    n/a 
                ''',
                'test',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Interval.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Interval.Switch',
            False, 
            [
            _MetaInfoClassMember('switch', REFERENCE_LIST, 'Switch_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Interval.Switch.Switch_', 
                [], [], 
                '''                Configure diagnostic monitoring tests on selected switch
                ''',
                'switch',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Interval' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Interval',
            False, 
            [
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Interval.Switch', 
                [], [], 
                '''                Configure diagnostic monitoring tests interval on selected switch
                ''',
                'switch',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'interval',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Switch.Test' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Switch.Test',
            False, 
            [
            _MetaInfoClassMember('all', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Select all test ID 
                ''',
                'all',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Test ID list (e.g. 1,3-6) or Test Name
                ''',
                'id',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'test',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Switch',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                switch number
                ''',
                'number',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('test', REFERENCE_CLASS, 'Test' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Switch.Test', 
                [], [], 
                '''                Diagnostic test selection
                Diagnostics test suite attributes:
                M/C/* - Minimal bootup level test / Complete bootup level test / NA
                B/* - Basic ondemand test / NA
                P/V/* - Per port test / Per device test / NA
                D/N/* - Disruptive test / Non-disruptive test / NA
                S/* - Only applicable to standby unit / NA
                X/* - Not a health monitoring test / NA
                F/* - Fixed monitoring interval test / NA
                E/* - Always enabled monitoring test / NA
                A/I - Monitoring is active / Monitoring is inactive
                
                Test                                                  Test Interval  Thre-
                ID   Test Name                          Attributes      day hh:mm:ss.ms shold
                ==== ================================== ============    =============== =====
                1) DiagGoldPktTest -----------------> *BPN*X**I       not configured    n/a
                2) DiagThermalTest -----------------> *B*N****A       000 00:01:30.00   5
                3) DiagFanTest ---------------------> *B*N****A       000 00:01:30.00   5
                4) DiagPhyLoopbackTest -------------> *BPD*X**I       not configured    n/a
                5) DiagScratchRegisterTest ---------> *B*N****A       000 00:01:30.00   5
                6) DiagPoETest ---------------------> ***D*X**I       not configured    n/a
                7) DiagStackCableTest --------------> ***D*X**I       not configured    n/a
                8) DiagMemoryTest ------------------> *B*D*X**I       not configured    n/a 
                ''',
                'test',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure.Count' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure.Count',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Number of allowable failures [1-1000]
                ''',
                'range',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('days', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000')], [], 
                '''                Set failure history window in days <1-1000000>
                ''',
                'days',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hours', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000')], [], 
                '''                Set failure history window in hours <1-1000000>
                ''',
                'hours',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('milli-seconds', ATTRIBUTE, 'int' , None, None, 
                [('15', '1000000')], [], 
                '''                Set failure history window in milli-seconds <15-1000000>
                ''',
                'milli_seconds',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('minutes', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000')], [], 
                '''                Set failure history window in minutes
                ''',
                'minutes',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('runs', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Set failure history window in test-run count
                ''',
                'runs',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000')], [], 
                '''                Set failure history window in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'count',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure',
            False, 
            [
            _MetaInfoClassMember('count', REFERENCE_LIST, 'Count' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure.Count', 
                [], [], 
                '''                Setting failure threshold count
                ''',
                'count',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'failure',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Test ID list (e.g. 1,3-6) or Test Name
                ''',
                'id',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('failure', REFERENCE_CLASS, 'Failure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure', 
                [], [], 
                '''                Setting failure threshold
                ''',
                'failure',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'test-ids',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure.Count' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure.Count',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000')], [], 
                '''                Number of allowable failures [1-1000]
                ''',
                'range',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('days', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000')], [], 
                '''                Set failure history window in days
                ''',
                'days',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hours', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000')], [], 
                '''                Set failure history window in hours
                ''',
                'hours',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('milli-seconds', ATTRIBUTE, 'int' , None, None, 
                [('15', '1000000')], [], 
                '''                Set failure history window in milli-seconds
                ''',
                'milli_seconds',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('minutes', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000')], [], 
                '''                Set failure history window in minutes
                ''',
                'minutes',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('runs', ATTRIBUTE, 'int' , None, None, 
                [('1', '5000')], [], 
                '''                Set failure history window in test-run count
                ''',
                'runs',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('1', '1000000')], [], 
                '''                Set failure history window in seconds
                ''',
                'seconds',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'count',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure',
            False, 
            [
            _MetaInfoClassMember('count', REFERENCE_LIST, 'Count' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure.Count', 
                [], [], 
                '''                Setting failure threshold count
                ''',
                'count',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'failure',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Threshold.Switch.Test.All' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Threshold.Switch.Test.All',
            False, 
            [
            _MetaInfoClassMember('failure', REFERENCE_CLASS, 'Failure' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure', 
                [], [], 
                '''                Setting failure threshold
                ''',
                'failure',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Threshold.Switch.Test' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Threshold.Switch.Test',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Threshold.Switch.Test.All', 
                [], [], 
                '''                Select all test ID 
                ''',
                'all',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('test-ids', REFERENCE_LIST, 'TestIds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds', 
                [], [], 
                '''                ''',
                'test_ids',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'test',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Threshold.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Threshold.Switch',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                switch number
                ''',
                'number',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('test', REFERENCE_CLASS, 'Test' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Threshold.Switch.Test', 
                [], [], 
                '''                Diagnostic test selection
                Diagnostics test suite attributes:
                M/C/* - Minimal bootup level test / Complete bootup level test / NA
                B/* - Basic ondemand test / NA
                P/V/* - Per port test / Per device test / NA
                D/N/* - Disruptive test / Non-disruptive test / NA
                S/* - Only applicable to standby unit / NA
                X/* - Not a health monitoring test / NA
                F/* - Fixed monitoring interval test / NA
                E/* - Always enabled monitoring test / NA
                A/I - Monitoring is active / Monitoring is inactive
                
                                                                   Test Interval  Thres-
                ID   Test Name                          Attributes        day hh:mm:ss.ms shold
                ==== ================================== ============   =============== =====
                1) DiagGoldPktTest ----------------->  *BPN*X**I          not configured  n/a
                2) DiagThermalTest ----------------->  *B*N****A          000 00:01:30.00 5
                3) DiagFanTest --------------------->  *B*N****A          000 00:01:30.00 5
                4) DiagPhyLoopbackTest ------------->  *BPD*X**I          not configured  n/a
                5) DiagScratchRegisterTest --------->  *B*N****A          000 00:01:30.00 5
                6) DiagPoETest --------------------->  ***D*X**I          not configured  n/a
                7) DiagStackCableTest -------------->  ***D*X**I          not configured  n/a
                8) DiagMemoryTest ------------------>  *B*D*X**I          not configured  n/a 
                ''',
                'test',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor.Threshold' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor.Threshold',
            False, 
            [
            _MetaInfoClassMember('switch', REFERENCE_LIST, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Threshold.Switch', 
                [], [], 
                '''                Configure diagnostic monitoring tests threshold on selected switch
                ''',
                'switch',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Monitor' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Monitor',
            False, 
            [
            _MetaInfoClassMember('interval', REFERENCE_CLASS, 'Interval' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Interval', 
                [], [], 
                '''                Configure diagnostic monitoring tests interval
                ''',
                'interval',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('switch', REFERENCE_LIST, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Switch', 
                [], [], 
                '''                Configure diagnostic monitoring tests on selected switch
                ''',
                'switch',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('syslog', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure diagnostic monitoring syslog
                ''',
                'syslog',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor.Threshold', 
                [], [], 
                '''                Configure diagnostic monitoring failure threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'monitor',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'interface-port-number',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList',
            False, 
            [
            _MetaInfoClassMember('number-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port number list (e.g. 2,4-7)
                ''',
                'number_list',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'port-number-list',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds.Port',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All', 
                [], [], 
                '''                Select all ports
                ''',
                'all',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('interface-port-number', REFERENCE_LIST, 'InterfacePortNumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber', 
                [], [], 
                '''                Interface port number
                ''',
                'interface_port_number',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('port-number-list', REFERENCE_LIST, 'PortNumberList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList', 
                [], [], 
                '''                Port number list (e.g. 2,4-7)
                ''',
                'port_number_list',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.TestIds' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.TestIds',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Test ID list (e.g. 1,3-6) or Test Name
                ''',
                'id',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Port', 
                [], [], 
                '''                Interface port selection
                ''',
                'port',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'test-ids',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'interface-port-number',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList',
            False, 
            [
            _MetaInfoClassMember('number-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port number list (e.g. 2,4-7)
                ''',
                'number_list',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'port-number-list',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port.All_' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port.All_',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All.Port' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All.Port',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.All_', 
                [], [], 
                '''                Select all ports
                ''',
                'all',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('interface-port-number', REFERENCE_LIST, 'InterfacePortNumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber', 
                [], [], 
                '''                Interface port number
                ''',
                'interface_port_number',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('port-number-list', REFERENCE_LIST, 'PortNumberList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList', 
                [], [], 
                '''                Port number list (e.g. 2,4-7)
                ''',
                'port_number_list',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.All' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.All',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Port', 
                [], [], 
                '''                Interface port selection
                ''',
                'port',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'interface-port-number',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList',
            False, 
            [
            _MetaInfoClassMember('number-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port number list (e.g. 2,4-7)
                ''',
                'number_list',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'port-number-list',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic.Port' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic.Port',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All', 
                [], [], 
                '''                Select all ports
                ''',
                'all',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('interface-port-number', REFERENCE_LIST, 'InterfacePortNumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber', 
                [], [], 
                '''                Interface port number
                ''',
                'interface_port_number',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('port-number-list', REFERENCE_LIST, 'PortNumberList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList', 
                [], [], 
                '''                Port number list (e.g. 2,4-7)
                ''',
                'port_number_list',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Basic' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Basic',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Port', 
                [], [], 
                '''                Interface port selection
                ''',
                'port',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'basic',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Complete.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Complete.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Complete.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Complete.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Complete' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Complete',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Complete.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Complete.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'complete',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Minimal.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Minimal.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.Minimal' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.Minimal',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Minimal.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'minimal',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'interface-port-number',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList',
            False, 
            [
            _MetaInfoClassMember('number-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port number list (e.g. 2,4-7)
                ''',
                'number_list',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'port-number-list',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All', 
                [], [], 
                '''                Select all ports
                ''',
                'all',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('interface-port-number', REFERENCE_LIST, 'InterfacePortNumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber', 
                [], [], 
                '''                Interface port number
                ''',
                'interface_port_number',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('port-number-list', REFERENCE_LIST, 'PortNumberList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList', 
                [], [], 
                '''                Port number list (e.g. 2,4-7)
                ''',
                'port_number_list',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.NonDisruptive',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port', 
                [], [], 
                '''                Interface port selection
                ''',
                'port',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'non-disruptive',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '32')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'interface-port-number',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList',
            False, 
            [
            _MetaInfoClassMember('number-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Port number list (e.g. 2,4-7)
                ''',
                'number_list',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'port-number-list',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily',
            False, 
            [
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On',
            False, 
            [
            _MetaInfoClassMember('day-of-month', ATTRIBUTE, 'int' , None, None, 
                [('1', '31')], [], 
                '''                 <1-31>  Day of month 
                ''',
                'day_of_month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('month', REFERENCE_ENUM_CLASS, 'MonthTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'MonthTypeEnum', 
                [], [], 
                '''                Enter month ->
                Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec
                ''',
                'month',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('Year', ATTRIBUTE, 'int' , None, None, 
                [('1993', '2035')], [], 
                '''                Enter Year <1993-2035>
                ''',
                'year',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'on',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly',
            False, 
            [
            _MetaInfoClassMember('day', REFERENCE_ENUM_CLASS, 'WeekdayTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types', 'WeekdayTypeEnum', 
                [], [], 
                '''                Enter Day of the week
                  Mon|Tue|Wed|Thu|Fri|Sat|Sun
                ''',
                'day',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('hh-mm', ATTRIBUTE, 'str' , None, None, 
                [], [b'([0-1]?[0-9]|2[0-4]):([0-5][0-9])(:[0-5][0-9])?'], 
                '''                Begin Time hh:mm
                ''',
                'hh_mm',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort.Port',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All', 
                [], [], 
                '''                Select all ports
                ''',
                'all',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('interface-port-number', REFERENCE_LIST, 'InterfacePortNumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber', 
                [], [], 
                '''                Interface port number
                ''',
                'interface_port_number',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('port-number-list', REFERENCE_LIST, 'PortNumberList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList', 
                [], [], 
                '''                Port number list (e.g. 2,4-7)
                ''',
                'port_number_list',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'port',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test.PerPort' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test.PerPort',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily', 
                [], [], 
                '''                 Daily Schedule 
                ''',
                'daily',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('on', REFERENCE_CLASS, 'On' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.On', 
                [], [], 
                '''                 Absolute Schedule 
                ''',
                'on',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('port', REFERENCE_CLASS, 'Port' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Port', 
                [], [], 
                '''                Interface port selection
                ''',
                'port',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly', 
                [], [], 
                '''                Weekly schedule
                ''',
                'weekly',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'per-port',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch.Test' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch.Test',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.All', 
                [], [], 
                '''                Select all test ID 
                ''',
                'all',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('basic', REFERENCE_CLASS, 'Basic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Basic', 
                [], [], 
                '''                Select the Basic ondemand test suite [Attribute = B]
                ''',
                'basic',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('complete', REFERENCE_CLASS, 'Complete' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Complete', 
                [], [], 
                '''                Select the Complete bootup test suite [Attribute = C]
                ''',
                'complete',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('minimal', REFERENCE_CLASS, 'Minimal' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.Minimal', 
                [], [], 
                '''                Select the Minimal bootup test suite [Attribute = M]
                ''',
                'minimal',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('non-disruptive', REFERENCE_CLASS, 'NonDisruptive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.NonDisruptive', 
                [], [], 
                '''                Select the Non-Disruptive test suite [Attribute = N]
                ''',
                'non_disruptive',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('per-port', REFERENCE_CLASS, 'PerPort' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.PerPort', 
                [], [], 
                '''                Select the Per-Port test suite [Attribute = P]
                ''',
                'per_port',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('test-ids', REFERENCE_LIST, 'TestIds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test.TestIds', 
                [], [], 
                '''                ''',
                'test_ids',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'test',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule.Switch',
            False, 
            [
            _MetaInfoClassMember('switch-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                switch number
                ''',
                'switch_number',
                'Cisco-IOS-XE-diagnostics', True),
            _MetaInfoClassMember('test', REFERENCE_CLASS, 'Test' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch.Test', 
                [], [], 
                '''                Diagnostic test selection
                Diagnostics test suite attributes:
                M/C/* - Minimal bootup level test / Complete bootup level test / NA
                B/* - Basic ondemand test / NA
                P/V/* - Per port test / Per device test / NA
                D/N/* - Disruptive test / Non-disruptive test / NA
                S/* - Only applicable to standby unit / NA
                X/* - Not a health monitoring test / NA
                F/* - Fixed monitoring interval test / NA
                E/* - Always enabled monitoring test / NA
                A/I - Monitoring is active / Monitoring is inactive
                                                                    Test Interval   Thre-
                ID   Test Name                          Attributes      day hh:mm:ss.ms shold
                ==== ================================== ============    ===============  =====
                1)   DiagGoldPktTest -----------------> *BPN*X**I       not configured   n/a
                2)   DiagThermalTest -----------------> *B*N****A       000 00:01:30.0   5
                3)   DiagFanTest ---------------------> *B*N****A       000 00:01:30.00  5
                4)   DiagPhyLoopbackTest -------------> *BPD*X**I       not configured   n/a
                5)   DiagScratchRegisterTest ---------> *B*N****A       000 00:01:30.00  5
                6)   DiagPoETest ---------------------> ***D*X**I       not configured   n/a
                7)   DiagStackCableTest --------------> ***D*X**I       not configured   n/a
                8)   DiagMemoryTest ------------------> *B*D*X**I       not configured   n/a 
                ''',
                'test',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic.Schedule' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic.Schedule',
            False, 
            [
            _MetaInfoClassMember('switch', REFERENCE_LIST, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule.Switch', 
                [], [], 
                '''                Configure diagnostic monitoring tests interval on selected switch
                ''',
                'switch',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'schedule',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Diagnostic' : {
        'meta_info' : _MetaInfoClass('Native.Diagnostic',
            False, 
            [
            _MetaInfoClassMember('bootup', REFERENCE_CLASS, 'Bootup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Bootup', 
                [], [], 
                '''                Configure diagnostic for bootup
                ''',
                'bootup',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('event-log', REFERENCE_CLASS, 'EventLog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.EventLog', 
                [], [], 
                '''                Configure diagnostic event log
                ''',
                'event_log',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Monitor', 
                [], [], 
                '''                Configure diagnostic monitoring tests
                ''',
                'monitor',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('schedule', REFERENCE_CLASS, 'Schedule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic.Schedule', 
                [], [], 
                '''                Configure diagnostic schedule for a card
                ''',
                'schedule',
                'Cisco-IOS-XE-diagnostics', False),
            ],
            'Cisco-IOS-XE-diagnostics',
            'diagnostic',
            _yang_ns._namespaces['Cisco-IOS-XE-diagnostics'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Lldp' : {
        'meta_info' : _MetaInfoClass('Native.Lldp',
            False, 
            [
            _MetaInfoClassMember('run', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable LLDP
                ''',
                'run',
                'Cisco-IOS-XE-lldp', False),
            ],
            'Cisco-IOS-XE-lldp',
            'lldp',
            _yang_ns._namespaces['Cisco-IOS-XE-lldp'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Device.Id.Device_Range' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Device.Id.Device_Range',
            False, 
            [
            _MetaInfoClassMember('device_id_range', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Specify the device-id value
                ''',
                'device_id_range',
                'Cisco-IOS-XE-pathmgr', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the device name
                ''',
                'name',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'device_range',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Device.Id' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Device.Id',
            False, 
            [
            _MetaInfoClassMember('device_range', REFERENCE_LIST, 'Device_Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Device.Id.Device_Range', 
                [], [], 
                '''                ''',
                'device_range',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Rtr' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Rtr',
            False, 
            [
            _MetaInfoClassMember('xtr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                xtr device type
                ''',
                'xtr',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'rtr',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Xtr' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Xtr',
            False, 
            [
            _MetaInfoClassMember('rtr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rtr device type
                ''',
                'rtr',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'xtr',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Device.Type.Ntr' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Device.Type.Ntr',
            False, 
            [
            _MetaInfoClassMember('rtr', REFERENCE_CLASS, 'Rtr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Rtr', 
                [], [], 
                '''                rtr device type
                ''',
                'rtr',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('xtr', REFERENCE_CLASS, 'Xtr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Xtr', 
                [], [], 
                '''                xtr device type
                ''',
                'xtr',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'ntr',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Device.Type.Rtr.Xtr' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Device.Type.Rtr.Xtr',
            False, 
            [
            _MetaInfoClassMember('ntr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ntr device type
                ''',
                'ntr',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'xtr',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Device.Type.Rtr' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Device.Type.Rtr',
            False, 
            [
            _MetaInfoClassMember('ntr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ntr device type
                ''',
                'ntr',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('xtr', REFERENCE_CLASS, 'Xtr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Device.Type.Rtr.Xtr', 
                [], [], 
                '''                xtr device type
                ''',
                'xtr',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'rtr',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Device.Type.Xtr' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Device.Type.Xtr',
            False, 
            [
            _MetaInfoClassMember('ntr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ntr device type
                ''',
                'ntr',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('rtr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                rtr device type
                ''',
                'rtr',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'xtr',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Device.Type' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Device.Type',
            False, 
            [
            _MetaInfoClassMember('ntr', REFERENCE_CLASS, 'Ntr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Device.Type.Ntr', 
                [], [], 
                '''                ntr device type
                ''',
                'ntr',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('pxtr', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                pxtr device type
                ''',
                'pxtr',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('rtr', REFERENCE_CLASS, 'Rtr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Device.Type.Rtr', 
                [], [], 
                '''                rtr device type
                ''',
                'rtr',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('xtr', REFERENCE_CLASS, 'Xtr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Device.Type.Xtr', 
                [], [], 
                '''                xtr device type
                ''',
                'xtr',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Device' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Device',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Device.Id', 
                [], [], 
                '''                Specify the device ID
                ''',
                'id',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Device.Type', 
                [], [], 
                '''                Enter the device type
                ''',
                'type',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'device',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4',
            False, 
            [
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify prefix-list with static site targets
                ''',
                'prefix_list',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6',
            False, 
            [
            _MetaInfoClassMember('prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify prefix-list with static site targets
                ''',
                'prefix_list',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4', 
                [], [], 
                '''                IPv4 enterprise prefix-list
                ''',
                'ipv4',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6', 
                [], [], 
                '''                IPv6 enterprise prefix-list
                ''',
                'ipv6',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'enterprise-prefix',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance',
            False, 
            [
            _MetaInfoClassMember('enterprise-prefix', REFERENCE_CLASS, 'EnterprisePrefix' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix', 
                [], [], 
                '''                Enterprise prefix configuration
                ''',
                'enterprise_prefix',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'config-pm-agent-instance',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.InstanceId' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.InstanceId',
            False, 
            [
            _MetaInfoClassMember('instance_id_range', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Specify the instance-id value
                ''',
                'instance_id_range',
                'Cisco-IOS-XE-pathmgr', True),
            _MetaInfoClassMember('config-pm-agent-instance', REFERENCE_CLASS, 'ConfigPmAgentInstance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance', 
                [], [], 
                '''                ''',
                'config_pm_agent_instance',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'instance-id',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Region.Id.Region_Id_Range' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Region.Id.Region_Id_Range',
            False, 
            [
            _MetaInfoClassMember('region_id_range', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Specify the region-id value
                ''',
                'region_id_range',
                'Cisco-IOS-XE-pathmgr', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the region name
                ''',
                'name',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'region_id_range',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Region.Id' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Region.Id',
            False, 
            [
            _MetaInfoClassMember('region_id_range', REFERENCE_LIST, 'Region_Id_Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Region.Id.Region_Id_Range', 
                [], [], 
                '''                ''',
                'region_id_range',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Region' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Region',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Region.Id', 
                [], [], 
                '''                Specify the region ID
                ''',
                'id',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'region',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Site.Id.Site_Id_Range' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Site.Id.Site_Id_Range',
            False, 
            [
            _MetaInfoClassMember('site_id_range', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Specify the site-id value
                ''',
                'site_id_range',
                'Cisco-IOS-XE-pathmgr', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Specify the site name
                ''',
                'name',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'site_id_range',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Site.Id' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Site.Id',
            False, 
            [
            _MetaInfoClassMember('site_id_range', REFERENCE_LIST, 'Site_Id_Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Site.Id.Site_Id_Range', 
                [], [], 
                '''                ''',
                'site_id_range',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Site' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Site',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Site.Id', 
                [], [], 
                '''                Specify the site ID
                ''',
                'id',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'site',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Tenant.Id.Tenant_Id_Range' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Tenant.Id.Tenant_Id_Range',
            False, 
            [
            _MetaInfoClassMember('tenant_id_range', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                specify the tenant-id value
                ''',
                'tenant_id_range',
                'Cisco-IOS-XE-pathmgr', True),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                specify the tenant name
                ''',
                'name',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'tenant_id_range',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Tenant.Id' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Tenant.Id',
            False, 
            [
            _MetaInfoClassMember('tenant_id_range', REFERENCE_LIST, 'Tenant_Id_Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Tenant.Id.Tenant_Id_Range', 
                [], [], 
                '''                ''',
                'tenant_id_range',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Tenant' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Tenant',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Tenant.Id', 
                [], [], 
                '''                specify the tenant id
                ''',
                'id',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'tenant',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6.Pmcs_Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6.Pmcs_Ipv6',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 pmcs Addr, e.g abcd:1234
                ''',
                'ipv6',
                'Cisco-IOS-XE-pathmgr', True),
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set ipv4/ipv6 address as backup
                ''',
                'backup',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'pmcs_ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6',
            False, 
            [
            _MetaInfoClassMember('pmcs_ipv6', REFERENCE_LIST, 'Pmcs_Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6.Pmcs_Ipv6', 
                [], [], 
                '''                ''',
                'pmcs_ipv6',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 pmcs address e.g 10.10.0.0
                ''',
                'ipv4',
                'Cisco-IOS-XE-pathmgr', True),
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set ipv4/ipv6 address as backup
                ''',
                'backup',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6', 
                [], [], 
                '''                Enter the IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'pmcs_ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4',
            False, 
            [
            _MetaInfoClassMember('pmcs_ipv4', REFERENCE_LIST, 'Pmcs_Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4', 
                [], [], 
                '''                ''',
                'pmcs_ipv4',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6.Ipv6_' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6.Ipv6_',
            False, 
            [
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 pmcs Addr, e.g abcd:1234
                ''',
                'ipv6',
                'Cisco-IOS-XE-pathmgr', True),
            _MetaInfoClassMember('backup', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                set ipv4/ipv6 address as backup
                ''',
                'backup',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 pmcs address e.g 10.10.0.0
                ''',
                'ipv4',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6',
            False, 
            [
            _MetaInfoClassMember('ipv6', REFERENCE_LIST, 'Ipv6_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6.Ipv6_', 
                [], [], 
                '''                ''',
                'ipv6',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent.Pmcs' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent.Pmcs',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4', 
                [], [], 
                '''                Enter the IPv4 address
                ''',
                'ipv4',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6', 
                [], [], 
                '''                Enter the IPv6 address
                ''',
                'ipv6',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'pmcs',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent.ConfigPmAgent' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent.ConfigPmAgent',
            False, 
            [
            _MetaInfoClassMember('device', REFERENCE_CLASS, 'Device' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Device', 
                [], [], 
                '''                Enter the device ID
                ''',
                'device',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('instance-id', REFERENCE_LIST, 'InstanceId' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.InstanceId', 
                [], [], 
                '''                Enter the instance ID
                ''',
                'instance_id',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('pmcs', REFERENCE_CLASS, 'Pmcs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Pmcs', 
                [], [], 
                '''                Enter the pmcs configuration
                ''',
                'pmcs',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('region', REFERENCE_CLASS, 'Region' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Region', 
                [], [], 
                '''                Enter the region ID
                ''',
                'region',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                shut the device
                ''',
                'shutdown',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('site', REFERENCE_CLASS, 'Site' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Site', 
                [], [], 
                '''                Enter the site configuration
                ''',
                'site',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('tenant', REFERENCE_CLASS, 'Tenant' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent.Tenant', 
                [], [], 
                '''                enter the tenant configuration
                ''',
                'tenant',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'config-pm-agent',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.PmAgent' : {
        'meta_info' : _MetaInfoClass('Native.PmAgent',
            False, 
            [
            _MetaInfoClassMember('config-pm-agent', REFERENCE_CLASS, 'ConfigPmAgent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent.ConfigPmAgent', 
                [], [], 
                '''                ''',
                'config_pm_agent',
                'Cisco-IOS-XE-pathmgr', False),
            ],
            'Cisco-IOS-XE-pathmgr',
            'pm-agent',
            _yang_ns._namespaces['Cisco-IOS-XE-pathmgr'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Power.Inline.Consumption' : {
        'meta_info' : _MetaInfoClass('Native.Power.Inline.Consumption',
            False, 
            [
            _MetaInfoClassMember('default', ATTRIBUTE, 'int' , None, None, 
                [('4000', '15400')], [], 
                '''                Inline device power consumption
                ''',
                'default',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'consumption',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Power.Inline.Logging' : {
        'meta_info' : _MetaInfoClass('Native.Power.Inline.Logging',
            False, 
            [
            _MetaInfoClassMember('global', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable global inline power logging messages
                ''',
                'global_',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Power.Inline' : {
        'meta_info' : _MetaInfoClass('Native.Power.Inline',
            False, 
            [
            _MetaInfoClassMember('consumption', REFERENCE_CLASS, 'Consumption' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Power.Inline.Consumption', 
                [], [], 
                '''                Inline device power consumption
                ''',
                'consumption',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Power.Inline.Logging', 
                [], [], 
                '''                Inline power logging messages
                ''',
                'logging',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'inline',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Power.MaxMinEnum' : _MetaInfoEnum('MaxMinEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'max':'max',
        }, 'Cisco-IOS-XE-power', _yang_ns._namespaces['Cisco-IOS-XE-power']),
    'Native.Power.RedundancyModeEnum' : _MetaInfoEnum('RedundancyModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'combined':'combined',
            'redundant':'redundant',
        }, 'Cisco-IOS-XE-power', _yang_ns._namespaces['Cisco-IOS-XE-power']),
    'Native.Power' : {
        'meta_info' : _MetaInfoClass('Native.Power',
            False, 
            [
            _MetaInfoClassMember('inline', REFERENCE_CLASS, 'Inline' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Power.Inline', 
                [], [], 
                '''                Inline power configuration
                ''',
                'inline',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('inputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'inputs',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('max-min', REFERENCE_ENUM_CLASS, 'MaxMinEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Power.MaxMinEnum', 
                [], [], 
                '''                ''',
                'max_min',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('redundancy-mode', REFERENCE_ENUM_CLASS, 'RedundancyModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Power.RedundancyModeEnum', 
                [], [], 
                '''                set power supply redundancy mode
                ''',
                'redundancy_mode',
                'Cisco-IOS-XE-power', False),
            ],
            'Cisco-IOS-XE-power',
            'power',
            _yang_ns._namespaces['Cisco-IOS-XE-power'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessSession.Attributes.FilterList.List' : {
        'meta_info' : _MetaInfoClass('Native.AccessSession.Attributes.FilterList.List',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-sanet', True),
            _MetaInfoClassMember('cdp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include CDP Protocl attributes
                ''',
                'cdp',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('dhcp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include DHCP Protocl attributes
                ''',
                'dhcp',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('lldp', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Include LLDP Protocl attributes
                ''',
                'lldp',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'list',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessSession.Attributes.FilterList' : {
        'meta_info' : _MetaInfoClass('Native.AccessSession.Attributes.FilterList',
            False, 
            [
            _MetaInfoClassMember('list', REFERENCE_LIST, 'List' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessSession.Attributes.FilterList.List', 
                [], [], 
                '''                Filter List
                ''',
                'list',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessSession.Attributes' : {
        'meta_info' : _MetaInfoClass('Native.AccessSession.Attributes',
            False, 
            [
            _MetaInfoClassMember('filter-list', REFERENCE_CLASS, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessSession.Attributes.FilterList', 
                [], [], 
                '''                Filter List Configuration
                ''',
                'filter_list',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessSession.MacMove' : {
        'meta_info' : _MetaInfoClass('Native.AccessSession.MacMove',
            False, 
            [
            _MetaInfoClassMember('deny', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                DENY MAC moves (clears existing session)
                ''',
                'deny',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'mac-move',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.AccessSession' : {
        'meta_info' : _MetaInfoClass('Native.AccessSession',
            False, 
            [
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessSession.Attributes', 
                [], [], 
                '''                Attributes Filter List Configuration
                ''',
                'attributes',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mac-move', REFERENCE_CLASS, 'MacMove' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessSession.MacMove', 
                [], [], 
                '''                Set required action when a MAC move is detected
                ''',
                'mac_move',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'access-session',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Authentication.Command.BouncePort' : {
        'meta_info' : _MetaInfoClass('Native.Authentication.Command.BouncePort',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ignore disable-port CoA command
                ''',
                'ignore',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'bounce-port',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Authentication.Command.DisablePort' : {
        'meta_info' : _MetaInfoClass('Native.Authentication.Command.DisablePort',
            False, 
            [
            _MetaInfoClassMember('ignore', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                
                ''',
                'ignore',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'disable-port',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Authentication.Command' : {
        'meta_info' : _MetaInfoClass('Native.Authentication.Command',
            False, 
            [
            _MetaInfoClassMember('bounce-port', REFERENCE_CLASS, 'BouncePort' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Authentication.Command.BouncePort', 
                [], [], 
                '''                CoA bounce-port command
                ''',
                'bounce_port',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('disable-port', REFERENCE_CLASS, 'DisablePort' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Authentication.Command.DisablePort', 
                [], [], 
                '''                CoA disable-port command
                ''',
                'disable_port',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'command',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Authentication.Critical.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.Authentication.Critical.Recovery',
            False, 
            [
            _MetaInfoClassMember('delay', ATTRIBUTE, 'int' , None, None, 
                [('1', '10000')], [], 
                '''                Set Critical Authentication Recovery Delay period
                ''',
                'delay',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Authentication.Critical' : {
        'meta_info' : _MetaInfoClass('Native.Authentication.Critical',
            False, 
            [
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Authentication.Critical.Recovery', 
                [], [], 
                '''                Set Critical Authentication Recovery parameters
                ''',
                'recovery',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'critical',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Authentication.MacMove' : {
        'meta_info' : _MetaInfoClass('Native.Authentication.MacMove',
            False, 
            [
            _MetaInfoClassMember('permit', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                PERMIT MAC moves (clears existing session)
                ''',
                'permit',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'mac-move',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Authentication' : {
        'meta_info' : _MetaInfoClass('Native.Authentication',
            False, 
            [
            _MetaInfoClassMember('command', REFERENCE_CLASS, 'Command' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Authentication.Command', 
                [], [], 
                '''                Allow the following CoA commands to be ignored by the switch
                ''',
                'command',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('critical', REFERENCE_CLASS, 'Critical' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Authentication.Critical', 
                [], [], 
                '''                Set Critical Authentication parameters
                ''',
                'critical',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('mac-move', REFERENCE_CLASS, 'MacMove' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Authentication.MacMove', 
                [], [], 
                '''                Set required action when a MAC move is detected
                ''',
                'mac_move',
                'Cisco-IOS-XE-sanet', False),
            ],
            'Cisco-IOS-XE-sanet',
            'authentication',
            _yang_ns._namespaces['Cisco-IOS-XE-sanet'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceList.MdnsSd.Deny.Match.Location' : {
        'meta_info' : _MetaInfoClass('Native.ServiceList.MdnsSd.Deny.Match.Location',
            False, 
            [
            _MetaInfoClassMember('civic', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Civic location
                ''',
                'civic',
                'Cisco-IOS-XE-service-discovery', False),
            ],
            'Cisco-IOS-XE-service-discovery',
            'location',
            _yang_ns._namespaces['Cisco-IOS-XE-service-discovery'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceList.MdnsSd.Deny.Match.MessageType' : {
        'meta_info' : _MetaInfoClass('Native.ServiceList.MdnsSd.Deny.Match.MessageType',
            False, 
            [
            _MetaInfoClassMember('announcement', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match Announcement/Responses
                ''',
                'announcement',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match Any
                ''',
                'any',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('query', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match Query
                ''',
                'query',
                'Cisco-IOS-XE-service-discovery', False),
            ],
            'Cisco-IOS-XE-service-discovery',
            'message-type',
            _yang_ns._namespaces['Cisco-IOS-XE-service-discovery'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceList.MdnsSd.Deny.Match' : {
        'meta_info' : _MetaInfoClass('Native.ServiceList.MdnsSd.Deny.Match',
            False, 
            [
            _MetaInfoClassMember('learnt-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                match the interface where service is learnt
                ''',
                'learnt_interface',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('location', REFERENCE_CLASS, 'Location' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceList.MdnsSd.Deny.Match.Location', 
                [], [], 
                '''                match location information
                ''',
                'location',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('message-type', REFERENCE_CLASS, 'MessageType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceList.MdnsSd.Deny.Match.MessageType', 
                [], [], 
                '''                To set the message type
                ''',
                'message_type',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('service-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                To set the Service Instance
                ''',
                'service_instance',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('service-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                match mDNS service type string
                ''',
                'service_type',
                'Cisco-IOS-XE-service-discovery', False),
            ],
            'Cisco-IOS-XE-service-discovery',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-service-discovery'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceList.MdnsSd.Deny' : {
        'meta_info' : _MetaInfoClass('Native.ServiceList.MdnsSd.Deny',
            False, 
            [
            _MetaInfoClassMember('deny-pack', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'deny_pack',
                'Cisco-IOS-XE-service-discovery', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceList.MdnsSd.Deny.Match', 
                [], [], 
                '''                Configure parameters for service-list name
                ''',
                'match',
                'Cisco-IOS-XE-service-discovery', False),
            ],
            'Cisco-IOS-XE-service-discovery',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-service-discovery'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceList.MdnsSd.Permit.Match.Location' : {
        'meta_info' : _MetaInfoClass('Native.ServiceList.MdnsSd.Permit.Match.Location',
            False, 
            [
            _MetaInfoClassMember('civic', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Civic location
                ''',
                'civic',
                'Cisco-IOS-XE-service-discovery', False),
            ],
            'Cisco-IOS-XE-service-discovery',
            'location',
            _yang_ns._namespaces['Cisco-IOS-XE-service-discovery'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceList.MdnsSd.Permit.Match.MessageType' : {
        'meta_info' : _MetaInfoClass('Native.ServiceList.MdnsSd.Permit.Match.MessageType',
            False, 
            [
            _MetaInfoClassMember('announcement', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match Announcement/Responses
                ''',
                'announcement',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('any', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match Any
                ''',
                'any',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('query', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Match Query
                ''',
                'query',
                'Cisco-IOS-XE-service-discovery', False),
            ],
            'Cisco-IOS-XE-service-discovery',
            'message-type',
            _yang_ns._namespaces['Cisco-IOS-XE-service-discovery'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceList.MdnsSd.Permit.Match' : {
        'meta_info' : _MetaInfoClass('Native.ServiceList.MdnsSd.Permit.Match',
            False, 
            [
            _MetaInfoClassMember('learnt-interface', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                match the interface where service is learnt
                ''',
                'learnt_interface',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('location', REFERENCE_CLASS, 'Location' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceList.MdnsSd.Permit.Match.Location', 
                [], [], 
                '''                match location information
                ''',
                'location',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('message-type', REFERENCE_CLASS, 'MessageType' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceList.MdnsSd.Permit.Match.MessageType', 
                [], [], 
                '''                To set the message type
                ''',
                'message_type',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('service-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                To set the Service Instance
                ''',
                'service_instance',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('service-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                match mDNS service type string
                ''',
                'service_type',
                'Cisco-IOS-XE-service-discovery', False),
            ],
            'Cisco-IOS-XE-service-discovery',
            'match',
            _yang_ns._namespaces['Cisco-IOS-XE-service-discovery'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceList.MdnsSd.Permit' : {
        'meta_info' : _MetaInfoClass('Native.ServiceList.MdnsSd.Permit',
            False, 
            [
            _MetaInfoClassMember('deny-pack', ATTRIBUTE, 'int' , None, None, 
                [('0', '100')], [], 
                '''                ''',
                'deny_pack',
                'Cisco-IOS-XE-service-discovery', True),
            _MetaInfoClassMember('match', REFERENCE_CLASS, 'Match' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceList.MdnsSd.Permit.Match', 
                [], [], 
                '''                Configure parameters for service-list name
                ''',
                'match',
                'Cisco-IOS-XE-service-discovery', False),
            ],
            'Cisco-IOS-XE-service-discovery',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-service-discovery'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceList.MdnsSd.Query' : {
        'meta_info' : _MetaInfoClass('Native.ServiceList.MdnsSd.Query',
            False, 
            [
            _MetaInfoClassMember('service-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configure periodicity for each service-type
                ''',
                'service_type',
                'Cisco-IOS-XE-service-discovery', False),
            ],
            'Cisco-IOS-XE-service-discovery',
            'query',
            _yang_ns._namespaces['Cisco-IOS-XE-service-discovery'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceList.MdnsSd' : {
        'meta_info' : _MetaInfoClass('Native.ServiceList.MdnsSd',
            False, 
            [
            _MetaInfoClassMember('service-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service-list name
                ''',
                'service_list_name',
                'Cisco-IOS-XE-service-discovery', True),
            _MetaInfoClassMember('deny', REFERENCE_LIST, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceList.MdnsSd.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('permit', REFERENCE_LIST, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceList.MdnsSd.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('query', REFERENCE_CLASS, 'Query' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceList.MdnsSd.Query', 
                [], [], 
                '''                Service-list Query for mdns-sd
                ''',
                'query',
                'Cisco-IOS-XE-service-discovery', False),
            ],
            'Cisco-IOS-XE-service-discovery',
            'mdns-sd',
            _yang_ns._namespaces['Cisco-IOS-XE-service-discovery'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceList' : {
        'meta_info' : _MetaInfoClass('Native.ServiceList',
            False, 
            [
            _MetaInfoClassMember('mdns-sd', REFERENCE_LIST, 'MdnsSd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceList.MdnsSd', 
                [], [], 
                '''                Service-list for mdns-sd
                ''',
                'mdns_sd',
                'Cisco-IOS-XE-service-discovery', False),
            ],
            'Cisco-IOS-XE-service-discovery',
            'service-list',
            _yang_ns._namespaces['Cisco-IOS-XE-service-discovery'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceRouting' : {
        'meta_info' : _MetaInfoClass('Native.ServiceRouting',
            False, 
            [
            _MetaInfoClassMember('capabilities-manager', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Service-Routing Capabilities Manager configuration
                ''',
                'capabilities_manager',
                'Cisco-IOS-XE-service-routing', False),
            ],
            'Cisco-IOS-XE-service-routing',
            'service-routing',
            _yang_ns._namespaces['Cisco-IOS-XE-service-routing'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.NetworkPolicy' : {
        'meta_info' : _MetaInfoClass('Native.NetworkPolicy',
            False, 
            [
            _MetaInfoClassMember('profile', ATTRIBUTE, 'int' , None, None, 
                [('1', '4294967295')], [], 
                '''                Network Policy Profile
                ''',
                'profile',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'network-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp' : {
        'meta_info' : _MetaInfoClass('Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp',
            False, 
            [
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Specify an ipaddress to use to communicate with the EnergyWise domain
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('1', '65000')], [], 
                '''                Specify a port number to use to communicate with the EnergyWise domain
                ''',
                'port',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'udp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol' : {
        'meta_info' : _MetaInfoClass('Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol',
            False, 
            [
            _MetaInfoClassMember('udp', REFERENCE_CLASS, 'Udp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp', 
                [], [], 
                '''                UDP protocol
                ''',
                'udp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Energywise.Domain.Security.SharedSecret.Zero' : {
        'meta_info' : _MetaInfoClass('Native.Energywise.Domain.Security.SharedSecret.Zero',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol', 
                [], [], 
                '''                Specify a communication protocol to use to communicate with the EnergyWise domain
                ''',
                'protocol',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'zero',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Energywise.Domain.Security.SharedSecret' : {
        'meta_info' : _MetaInfoClass('Native.Energywise.Domain.Security.SharedSecret',
            False, 
            [
            _MetaInfoClassMember('zero', REFERENCE_LIST, 'Zero' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Energywise.Domain.Security.SharedSecret.Zero', 
                [], [], 
                '''                Specifies an UNENCRYPTED shared secret for the domain will follow
                ''',
                'zero',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'shared-secret',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Energywise.Domain.Security' : {
        'meta_info' : _MetaInfoClass('Native.Energywise.Domain.Security',
            False, 
            [
            _MetaInfoClassMember('shared-secret', REFERENCE_CLASS, 'SharedSecret' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Energywise.Domain.Security.SharedSecret', 
                [], [], 
                '''                Set the shared secret for this EnergyWise domain
                ''',
                'shared_secret',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Energywise.Domain' : {
        'meta_info' : _MetaInfoClass('Native.Energywise.Domain',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('security', REFERENCE_CLASS, 'Security' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Energywise.Domain.Security', 
                [], [], 
                '''                Set security parameters for this EnergyWise domain
                ''',
                'security',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Energywise' : {
        'meta_info' : _MetaInfoClass('Native.Energywise',
            False, 
            [
            _MetaInfoClassMember('domain', REFERENCE_LIST, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Energywise.Domain', 
                [], [], 
                '''                Set the EnergyWise domain this entity should join
                ''',
                'domain',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'energywise',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type',
            False, 
            [
            _MetaInfoClassMember('inactivity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aging based on inactivity time period
                ''',
                'inactivity',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                access vlan
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3072')], [], 
                '''                Maximum addresses
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan', 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Violation' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Violation',
            False, 
            [
            _MetaInfoClassMember('restrict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation restrict mode
                ''',
                'restrict',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation shutdown mode
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'violation',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_CLASS, 'Violation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Violation', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN ID of the VLAN when this port is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast network on the interface
                ''',
                'network',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.SpanningTree.Portfast', 
                [], [], 
                '''                Portfast options for the interface
                ''',
                'portfast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                help
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('b-unit', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'b_unit',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.0', '10000000000.0')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.00', '100.00')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.StormControl.Action', 
                [], [], 
                '''                Action to take for storm-control
                ''',
                'action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP snooping rate limit
                ''',
                'rate',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template.Ip',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp', 
                [], [], 
                '''                DHCP template config
                ''',
                'dhcp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Camera_Interface_Template' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Camera_Interface_Template',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Ip', 
                [], [], 
                '''                IP template config
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Load interval delay in seconds
                ''',
                'load_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.ServicePolicy', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'IP_CAMERA_INTERFACE_TEMPLATE',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.ServicePolicy.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.ServicePolicy.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging.Type' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging.Type',
            False, 
            [
            _MetaInfoClassMember('inactivity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aging based on inactivity time period
                ''',
                'inactivity',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging.Type', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                access vlan
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3072')], [], 
                '''                Maximum addresses
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan', 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Violation' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Violation',
            False, 
            [
            _MetaInfoClassMember('restrict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation restrict mode
                ''',
                'restrict',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation shutdown mode
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'violation',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_CLASS, 'Violation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Violation', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN ID of the VLAN when this port is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast network on the interface
                ''',
                'network',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.SpanningTree.Portfast', 
                [], [], 
                '''                Portfast options for the interface
                ''',
                'portfast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                help
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('b-unit', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'b_unit',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.0', '10000000000.0')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.00', '100.00')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.StormControl.Action', 
                [], [], 
                '''                Action to take for storm-control
                ''',
                'action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP snooping rate limit
                ''',
                'rate',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template.Ip',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Ip.Dhcp', 
                [], [], 
                '''                DHCP template config
                ''',
                'dhcp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Lap_Interface_Template' : {
        'meta_info' : _MetaInfoClass('Native.Template.Lap_Interface_Template',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Ip', 
                [], [], 
                '''                IP template config
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Load interval delay in seconds
                ''',
                'load_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.ServicePolicy', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'LAP_INTERFACE_TEMPLATE',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.ServicePolicy.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.ServicePolicy.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging.Type' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging.Type',
            False, 
            [
            _MetaInfoClassMember('inactivity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aging based on inactivity time period
                ''',
                'inactivity',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging.Type', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                access vlan
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3072')], [], 
                '''                Maximum addresses
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan', 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Violation' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Violation',
            False, 
            [
            _MetaInfoClassMember('restrict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation restrict mode
                ''',
                'restrict',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation shutdown mode
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'violation',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_CLASS, 'Violation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Violation', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN ID of the VLAN when this port is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast network on the interface
                ''',
                'network',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.SpanningTree.Portfast', 
                [], [], 
                '''                Portfast options for the interface
                ''',
                'portfast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                help
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('b-unit', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'b_unit',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.0', '10000000000.0')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.00', '100.00')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.StormControl.Action', 
                [], [], 
                '''                Action to take for storm-control
                ''',
                'action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP snooping rate limit
                ''',
                'rate',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template.Ip',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Ip.Dhcp', 
                [], [], 
                '''                DHCP template config
                ''',
                'dhcp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ap_Interface_Template' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ap_Interface_Template',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Ip', 
                [], [], 
                '''                IP template config
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Load interval delay in seconds
                ''',
                'load_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.ServicePolicy', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'AP_INTERFACE_TEMPLATE',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.ServicePolicy.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.ServicePolicy.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging.Type' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging.Type',
            False, 
            [
            _MetaInfoClassMember('inactivity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aging based on inactivity time period
                ''',
                'inactivity',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging.Type', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                access vlan
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3072')], [], 
                '''                Maximum addresses
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan', 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Violation' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Violation',
            False, 
            [
            _MetaInfoClassMember('restrict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation restrict mode
                ''',
                'restrict',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation shutdown mode
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'violation',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_CLASS, 'Violation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Violation', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN ID of the VLAN when this port is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast network on the interface
                ''',
                'network',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.SpanningTree.Portfast', 
                [], [], 
                '''                Portfast options for the interface
                ''',
                'portfast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                help
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('b-unit', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'b_unit',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.0', '10000000000.0')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.00', '100.00')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.StormControl.Action', 
                [], [], 
                '''                Action to take for storm-control
                ''',
                'action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP snooping rate limit
                ''',
                'rate',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template.Ip',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Ip.Dhcp', 
                [], [], 
                '''                DHCP template config
                ''',
                'dhcp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Dmp_Interface_Template' : {
        'meta_info' : _MetaInfoClass('Native.Template.Dmp_Interface_Template',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Ip', 
                [], [], 
                '''                IP template config
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Load interval delay in seconds
                ''',
                'load_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.ServicePolicy', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'DMP_INTERFACE_TEMPLATE',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging.Type' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging.Type',
            False, 
            [
            _MetaInfoClassMember('inactivity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aging based on inactivity time period
                ''',
                'inactivity',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging.Type', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                access vlan
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3072')], [], 
                '''                Maximum addresses
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan', 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Violation' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Violation',
            False, 
            [
            _MetaInfoClassMember('restrict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation restrict mode
                ''',
                'restrict',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation shutdown mode
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'violation',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_CLASS, 'Violation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Violation', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN ID of the VLAN when this port is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast network on the interface
                ''',
                'network',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.SpanningTree.Portfast', 
                [], [], 
                '''                Portfast options for the interface
                ''',
                'portfast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                help
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('b-unit', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'b_unit',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.0', '10000000000.0')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.00', '100.00')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.StormControl.Action', 
                [], [], 
                '''                Action to take for storm-control
                ''',
                'action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP snooping rate limit
                ''',
                'rate',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template.Ip',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp', 
                [], [], 
                '''                DHCP template config
                ''',
                'dhcp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Ip_Phone_Interface_Template' : {
        'meta_info' : _MetaInfoClass('Native.Template.Ip_Phone_Interface_Template',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Ip', 
                [], [], 
                '''                IP template config
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Load interval delay in seconds
                ''',
                'load_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.ServicePolicy', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'IP_PHONE_INTERFACE_TEMPLATE',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type',
            False, 
            [
            _MetaInfoClassMember('inactivity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aging based on inactivity time period
                ''',
                'inactivity',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                access vlan
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3072')], [], 
                '''                Maximum addresses
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan', 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Violation' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Violation',
            False, 
            [
            _MetaInfoClassMember('restrict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation restrict mode
                ''',
                'restrict',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation shutdown mode
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'violation',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_CLASS, 'Violation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Violation', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN ID of the VLAN when this port is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast network on the interface
                ''',
                'network',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.SpanningTree.Portfast', 
                [], [], 
                '''                Portfast options for the interface
                ''',
                'portfast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                help
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('b-unit', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'b_unit',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.0', '10000000000.0')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.00', '100.00')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.StormControl.Action', 
                [], [], 
                '''                Action to take for storm-control
                ''',
                'action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP snooping rate limit
                ''',
                'rate',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template.Ip',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp', 
                [], [], 
                '''                DHCP template config
                ''',
                'dhcp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Camera_Interface_Template' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Camera_Interface_Template',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Ip', 
                [], [], 
                '''                IP template config
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Load interval delay in seconds
                ''',
                'load_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.ServicePolicy', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'MSP_CAMERA_INTERFACE_TEMPLATE',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging.Type' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging.Type',
            False, 
            [
            _MetaInfoClassMember('inactivity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aging based on inactivity time period
                ''',
                'inactivity',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging.Type', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                access vlan
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3072')], [], 
                '''                Maximum addresses
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan', 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Violation' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Violation',
            False, 
            [
            _MetaInfoClassMember('restrict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation restrict mode
                ''',
                'restrict',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation shutdown mode
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'violation',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_CLASS, 'Violation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Violation', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN ID of the VLAN when this port is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast network on the interface
                ''',
                'network',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.SpanningTree.Portfast', 
                [], [], 
                '''                Portfast options for the interface
                ''',
                'portfast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                help
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('b-unit', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'b_unit',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.0', '10000000000.0')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.00', '100.00')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.StormControl.Action', 
                [], [], 
                '''                Action to take for storm-control
                ''',
                'action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP snooping rate limit
                ''',
                'rate',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template.Ip',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp', 
                [], [], 
                '''                DHCP template config
                ''',
                'dhcp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Msp_Vc_Interface_Template' : {
        'meta_info' : _MetaInfoClass('Native.Template.Msp_Vc_Interface_Template',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Ip', 
                [], [], 
                '''                IP template config
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Load interval delay in seconds
                ''',
                'load_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.ServicePolicy', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'MSP_VC_INTERFACE_TEMPLATE',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.ServicePolicy.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.ServicePolicy.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging.Type' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging.Type',
            False, 
            [
            _MetaInfoClassMember('inactivity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aging based on inactivity time period
                ''',
                'inactivity',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging.Type', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                access vlan
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3072')], [], 
                '''                Maximum addresses
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan', 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Violation' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Violation',
            False, 
            [
            _MetaInfoClassMember('restrict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation restrict mode
                ''',
                'restrict',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation shutdown mode
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'violation',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_CLASS, 'Violation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Violation', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN ID of the VLAN when this port is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast network on the interface
                ''',
                'network',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.SpanningTree.Portfast', 
                [], [], 
                '''                Portfast options for the interface
                ''',
                'portfast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                help
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('b-unit', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'b_unit',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.0', '10000000000.0')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.00', '100.00')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.StormControl.Action', 
                [], [], 
                '''                Action to take for storm-control
                ''',
                'action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP snooping rate limit
                ''',
                'rate',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template.Ip',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Ip.Dhcp', 
                [], [], 
                '''                DHCP template config
                ''',
                'dhcp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Printer_Interface_Template' : {
        'meta_info' : _MetaInfoClass('Native.Template.Printer_Interface_Template',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Ip', 
                [], [], 
                '''                IP template config
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Load interval delay in seconds
                ''',
                'load_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.ServicePolicy', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'PRINTER_INTERFACE_TEMPLATE',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.ServicePolicy.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.ServicePolicy.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging.Type' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging.Type',
            False, 
            [
            _MetaInfoClassMember('inactivity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aging based on inactivity time period
                ''',
                'inactivity',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging.Type', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                access vlan
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3072')], [], 
                '''                Maximum addresses
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan', 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Violation' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport.PortSecurity.Violation',
            False, 
            [
            _MetaInfoClassMember('restrict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation restrict mode
                ''',
                'restrict',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation shutdown mode
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'violation',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_CLASS, 'Violation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport.PortSecurity.Violation', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN ID of the VLAN when this port is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast network on the interface
                ''',
                'network',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.SpanningTree.Portfast', 
                [], [], 
                '''                Portfast options for the interface
                ''',
                'portfast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                help
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('b-unit', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'b_unit',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.0', '10000000000.0')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.00', '100.00')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.StormControl.Action', 
                [], [], 
                '''                Action to take for storm-control
                ''',
                'action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP snooping rate limit
                ''',
                'rate',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template.Ip',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Ip.Dhcp', 
                [], [], 
                '''                DHCP template config
                ''',
                'dhcp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Router_Interface_Template' : {
        'meta_info' : _MetaInfoClass('Native.Template.Router_Interface_Template',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Ip', 
                [], [], 
                '''                IP template config
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Load interval delay in seconds
                ''',
                'load_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.ServicePolicy', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ROUTER_INTERFACE_TEMPLATE',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.ServicePolicy.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.ServicePolicy.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging.Type' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging.Type',
            False, 
            [
            _MetaInfoClassMember('inactivity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aging based on inactivity time period
                ''',
                'inactivity',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging.Type', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                access vlan
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3072')], [], 
                '''                Maximum addresses
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan', 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Violation' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Violation',
            False, 
            [
            _MetaInfoClassMember('restrict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation restrict mode
                ''',
                'restrict',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation shutdown mode
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'violation',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_CLASS, 'Violation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Violation', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN ID of the VLAN when this port is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast network on the interface
                ''',
                'network',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.SpanningTree.Portfast', 
                [], [], 
                '''                Portfast options for the interface
                ''',
                'portfast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                help
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('b-unit', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'b_unit',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.0', '10000000000.0')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.00', '100.00')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.StormControl.Action', 
                [], [], 
                '''                Action to take for storm-control
                ''',
                'action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP snooping rate limit
                ''',
                'rate',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template.Ip',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Ip.Dhcp', 
                [], [], 
                '''                DHCP template config
                ''',
                'dhcp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Switch_Interface_Template' : {
        'meta_info' : _MetaInfoClass('Native.Template.Switch_Interface_Template',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Ip', 
                [], [], 
                '''                IP template config
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Load interval delay in seconds
                ''',
                'load_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.ServicePolicy', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'SWITCH_INTERFACE_TEMPLATE',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.ServicePolicy.Input' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.ServicePolicy.Input',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.ServicePolicy.Output' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.ServicePolicy.Output',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                policy-map name
                ''',
                'policy_map_name',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.ServicePolicy' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.ServicePolicy',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.ServicePolicy.Input', 
                [], [], 
                '''                Assign policy-map to the input of an interface
                ''',
                'input',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.ServicePolicy.Output', 
                [], [], 
                '''                Assign policy-map to the output of an interface
                ''',
                'output',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-policy',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport.Mode' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport.Mode',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to ACCESS unconditionally
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trunk', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Set trunking mode to TRUNK unconditionally
                ''',
                'trunk',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mode',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport.Block' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport.Block',
            False, 
            [
            _MetaInfoClassMember('unicast', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Block unknown unicast addresses
                ''',
                'unicast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'block',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging.Type' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging.Type',
            False, 
            [
            _MetaInfoClassMember('inactivity', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Aging based on inactivity time period
                ''',
                'inactivity',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'type',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging',
            False, 
            [
            _MetaInfoClassMember('static', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable aging for configured secure addresses
                ''',
                'static',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('1', '1440')], [], 
                '''                Port-security aging time
                ''',
                'time',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('type', REFERENCE_CLASS, 'Type' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging.Type', 
                [], [], 
                '''                Port-security aging type
                ''',
                'type',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'aging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan',
            False, 
            [
            _MetaInfoClassMember('access', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                access vlan
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range',
            False, 
            [
            _MetaInfoClassMember('range', ATTRIBUTE, 'int' , None, None, 
                [('1', '3072')], [], 
                '''                Maximum addresses
                ''',
                'range',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan', 
                [], [], 
                '''                Max secure addresses per vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range', 
                [], [], 
                '''                ''',
                'range',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'maximum',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Violation' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Violation',
            False, 
            [
            _MetaInfoClassMember('restrict', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation restrict mode
                ''',
                'restrict',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Security violation shutdown mode
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'violation',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport.PortSecurity' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport.PortSecurity',
            False, 
            [
            _MetaInfoClassMember('aging', REFERENCE_CLASS, 'Aging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging', 
                [], [], 
                '''                Port-security aging commands
                ''',
                'aging',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('maximum', REFERENCE_CLASS, 'Maximum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum', 
                [], [], 
                '''                Max secure addresses
                ''',
                'maximum',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('violation', REFERENCE_CLASS, 'Violation' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Violation', 
                [], [], 
                '''                Security violation mode
                ''',
                'violation',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'port-security',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport.Access' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport.Access',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                VLAN ID of the VLAN when this port is in access mode
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan for voice traffic
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Switchport' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Switchport',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_CLASS, 'Access' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport.Access', 
                [], [], 
                '''                Set access mode characteristics of the interface
                ''',
                'access',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('block', REFERENCE_CLASS, 'Block' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport.Block', 
                [], [], 
                '''                Disable forwarding of unknown uni/multi cast addresses
                ''',
                'block',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mode', REFERENCE_CLASS, 'Mode' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport.Mode', 
                [], [], 
                '''                Set trunking mode of the interface
                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('nonegotiate', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Device will not engage in negotiation protocol on this interface
                ''',
                'nonegotiate',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('port-security', REFERENCE_CLASS, 'PortSecurity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport.PortSecurity', 
                [], [], 
                '''                Security related command
                ''',
                'port_security',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport.Voice', 
                [], [], 
                '''                Voice appliance attributes
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switchport',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.SpanningTree.Bpduguard' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.SpanningTree.Bpduguard',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable BPDU guard for this interface
                ''',
                'enable',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bpduguard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.SpanningTree.Portfast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.SpanningTree.Portfast',
            False, 
            [
            _MetaInfoClassMember('disable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Disable portfast for this interface
                ''',
                'disable',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('edge', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast edge on the interface
                ''',
                'edge',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable portfast network on the interface
                ''',
                'network',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'portfast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.SpanningTree' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.SpanningTree',
            False, 
            [
            _MetaInfoClassMember('bpduguard', REFERENCE_CLASS, 'Bpduguard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.SpanningTree.Bpduguard', 
                [], [], 
                '''                Don't accept BPDUs on this interface
                ''',
                'bpduguard',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('portfast', REFERENCE_CLASS, 'Portfast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.SpanningTree.Portfast', 
                [], [], 
                '''                Portfast options for the interface
                ''',
                'portfast',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                help
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'spanning-tree',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Pps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Pps',
            False, 
            [
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Bps' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Bps',
            False, 
            [
            _MetaInfoClassMember('b-unit', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'b_unit',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.0', '10000000000.0')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'bps',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level',
            False, 
            [
            _MetaInfoClassMember('bps', REFERENCE_CLASS, 'Bps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Bps', 
                [], [], 
                '''                Enter suppression level in bits per second
                ''',
                'bps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('pps', REFERENCE_CLASS, 'Pps' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Pps', 
                [], [], 
                '''                Enter suppression level in packets per second
                ''',
                'pps',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('threshold', ATTRIBUTE, 'Decimal64' , None, None, 
                [('0.00', '100.00')], [], 
                '''                Enter threshold
                ''',
                'threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.StormControl.Broadcast' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.StormControl.Broadcast',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_CLASS, 'Level' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level', 
                [], [], 
                '''                Set storm suppression level on this interface
                ''',
                'level',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'broadcast',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.StormControl.Action' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.StormControl.Action',
            False, 
            [
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Shutdown this interface if a storm occurs
                ''',
                'shutdown',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('trap', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Send SNMP trap if a storm occurs
                ''',
                'trap',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'action',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.StormControl' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.StormControl',
            False, 
            [
            _MetaInfoClassMember('action', REFERENCE_CLASS, 'Action' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.StormControl.Action', 
                [], [], 
                '''                Action to take for storm-control
                ''',
                'action',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('broadcast', REFERENCE_CLASS, 'Broadcast' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.StormControl.Broadcast', 
                [], [], 
                '''                Broadcast address storm control
                ''',
                'broadcast',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'storm-control',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping.Limit' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping.Limit',
            False, 
            [
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('1', '2048')], [], 
                '''                DHCP snooping rate limit
                ''',
                'rate',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'limit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping',
            False, 
            [
            _MetaInfoClassMember('limit', REFERENCE_CLASS, 'Limit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping.Limit', 
                [], [], 
                '''                DHCP Snooping limit
                ''',
                'limit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'snooping',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Ip.Dhcp' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Ip.Dhcp',
            False, 
            [
            _MetaInfoClassMember('snooping', REFERENCE_CLASS, 'Snooping' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping', 
                [], [], 
                '''                DHCP Snooping
                ''',
                'snooping',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dhcp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template.Ip',
            False, 
            [
            _MetaInfoClassMember('dhcp', REFERENCE_CLASS, 'Dhcp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Ip.Dhcp', 
                [], [], 
                '''                DHCP template config
                ''',
                'dhcp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template.Tp_Interface_Template' : {
        'meta_info' : _MetaInfoClass('Native.Template.Tp_Interface_Template',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Ip', 
                [], [], 
                '''                IP template config
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('30', '600')], [], 
                '''                Load interval delay in seconds
                ''',
                'load_interval',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('service-policy', REFERENCE_CLASS, 'ServicePolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.ServicePolicy', 
                [], [], 
                '''                Configure CPL Service Policy
                ''',
                'service_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('storm-control', REFERENCE_CLASS, 'StormControl' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.StormControl', 
                [], [], 
                '''                storm configuration
                ''',
                'storm_control',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switchport', REFERENCE_CLASS, 'Switchport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template.Switchport', 
                [], [], 
                '''                Set switching mode characteristics
                ''',
                'switchport',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'TP_INTERFACE_TEMPLATE',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Template' : {
        'meta_info' : _MetaInfoClass('Native.Template',
            False, 
            [
            _MetaInfoClassMember('AP_INTERFACE_TEMPLATE', REFERENCE_CLASS, 'Ap_Interface_Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ap_Interface_Template', 
                [], [], 
                '''                built-in modified
                ''',
                'ap_interface_template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('DMP_INTERFACE_TEMPLATE', REFERENCE_CLASS, 'Dmp_Interface_Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Dmp_Interface_Template', 
                [], [], 
                '''                built-in modified
                ''',
                'dmp_interface_template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('IP_CAMERA_INTERFACE_TEMPLATE', REFERENCE_CLASS, 'Ip_Camera_Interface_Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Camera_Interface_Template', 
                [], [], 
                '''                built-in modified
                ''',
                'ip_camera_interface_template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('IP_PHONE_INTERFACE_TEMPLATE', REFERENCE_CLASS, 'Ip_Phone_Interface_Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Ip_Phone_Interface_Template', 
                [], [], 
                '''                built-in modified
                ''',
                'ip_phone_interface_template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('LAP_INTERFACE_TEMPLATE', REFERENCE_CLASS, 'Lap_Interface_Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Lap_Interface_Template', 
                [], [], 
                '''                built-in modified
                ''',
                'lap_interface_template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('MSP_CAMERA_INTERFACE_TEMPLATE', REFERENCE_CLASS, 'Msp_Camera_Interface_Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Camera_Interface_Template', 
                [], [], 
                '''                built-in modified
                ''',
                'msp_camera_interface_template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('MSP_VC_INTERFACE_TEMPLATE', REFERENCE_CLASS, 'Msp_Vc_Interface_Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Msp_Vc_Interface_Template', 
                [], [], 
                '''                built-in modified
                ''',
                'msp_vc_interface_template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('PRINTER_INTERFACE_TEMPLATE', REFERENCE_CLASS, 'Printer_Interface_Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Printer_Interface_Template', 
                [], [], 
                '''                built-in modified
                ''',
                'printer_interface_template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ROUTER_INTERFACE_TEMPLATE', REFERENCE_CLASS, 'Router_Interface_Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Router_Interface_Template', 
                [], [], 
                '''                built-in modified
                ''',
                'router_interface_template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('SWITCH_INTERFACE_TEMPLATE', REFERENCE_CLASS, 'Switch_Interface_Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Switch_Interface_Template', 
                [], [], 
                '''                built-in modified
                ''',
                'switch_interface_template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('TP_INTERFACE_TEMPLATE', REFERENCE_CLASS, 'Tp_Interface_Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template.Tp_Interface_Template', 
                [], [], 
                '''                built-in modified
                ''',
                'tp_interface_template',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceTemplate.InactivityTimer' : {
        'meta_info' : _MetaInfoClass('Native.ServiceTemplate.InactivityTimer',
            False, 
            [
            _MetaInfoClassMember('probe', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ARP probe
                ''',
                'probe',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('1', '65535')], [], 
                '''                Enter a value between 1 and 65535
                ''',
                'value',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'inactivity-timer',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceTemplate.Linksec.PolicyEnum' : _MetaInfoEnum('PolicyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'must-not-secure':'must_not_secure',
            'must-secure':'must_secure',
            'should-secure':'should_secure',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.ServiceTemplate.Linksec' : {
        'meta_info' : _MetaInfoClass('Native.ServiceTemplate.Linksec',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_ENUM_CLASS, 'PolicyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceTemplate.Linksec.PolicyEnum', 
                [], [], 
                '''                Set the link security policy
                ''',
                'policy',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'linksec',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceTemplate.Voice' : {
        'meta_info' : _MetaInfoClass('Native.ServiceTemplate.Voice',
            False, 
            [
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Critical voice vlan
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.ServiceTemplate' : {
        'meta_info' : _MetaInfoClass('Native.ServiceTemplate',
            False, 
            [
            _MetaInfoClassMember('word', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'word',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('inactivity-timer', REFERENCE_CLASS, 'InactivityTimer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceTemplate.InactivityTimer', 
                [], [], 
                '''                Inactivity timeout value in seconds
                ''',
                'inactivity_timer',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('linksec', REFERENCE_CLASS, 'Linksec' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceTemplate.Linksec', 
                [], [], 
                '''                Configure link security parameters
                ''',
                'linksec',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('vlan', ATTRIBUTE, 'int' , None, None, 
                [('1', '4094')], [], 
                '''                Vlan to be applied
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceTemplate.Voice', 
                [], [], 
                '''                Voice feature
                ''',
                'voice',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'service-template',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Request' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Request',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit.Response' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit.Response',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'response',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Permit',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('request', REFERENCE_CLASS, 'Request' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Request', 
                [], [], 
                '''                ARP Request
                ''',
                'request',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('response', REFERENCE_CLASS, 'Response' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit.Response', 
                [], [], 
                '''                ARP Response
                ''',
                'response',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Request' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Request',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny.Response' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny.Response',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'response',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Deny',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('request', REFERENCE_CLASS, 'Request' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Request', 
                [], [], 
                '''                ARP Request
                ''',
                'request',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('response', REFERENCE_CLASS, 'Response' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny.Response', 
                [], [], 
                '''                ARP Response
                ''',
                'response',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Request' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Request',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit.Response' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit.Response',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'response',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Permit',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('request', REFERENCE_CLASS, 'Request' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Request', 
                [], [], 
                '''                ARP Request
                ''',
                'request',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('response', REFERENCE_CLASS, 'Response' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit.Response', 
                [], [], 
                '''                ARP Response
                ''',
                'response',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Request' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Request',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny.Response' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny.Response',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'response',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default.Deny',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('request', REFERENCE_CLASS, 'Request' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Request', 
                [], [], 
                '''                ARP Request
                ''',
                'request',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('response', REFERENCE_CLASS, 'Response' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny.Response', 
                [], [], 
                '''                ARP Response
                ''',
                'response',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.Default' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.Default',
            False, 
            [
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Request' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Request',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit.Response' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit.Response',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'response',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Permit' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Permit',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('request', REFERENCE_CLASS, 'Request' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Request', 
                [], [], 
                '''                ARP Request
                ''',
                'request',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('response', REFERENCE_CLASS, 'Response' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit.Response', 
                [], [], 
                '''                ARP Response
                ''',
                'response',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'permit',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Request' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Request',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('ip-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender IP wildcard mask
                ''',
                'ip_address_mask',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Any_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Any_',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Any_', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Any',
            False, 
            [
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address-mask', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sender MAC address mask
                ''',
                'mac_address_mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Any' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Any',
            False, 
            [
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'any',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('log', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log on match
                ''',
                'log',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'sender-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_',
            False, 
            [
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Any', 
                [], [], 
                '''                Any MAC address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-mac-address', REFERENCE_LIST, 'SenderMacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress', 
                [], [], 
                '''                Sender MAC address
                ''',
                'sender_mac_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac', 
                [], [], 
                '''                Sender MAC address
                ''',
                'mac',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip.Host' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip.Host',
            False, 
            [
            _MetaInfoClassMember('ip-address', REFERENCE_LIST, 'IpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response.Ip' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response.Ip',
            False, 
            [
            _MetaInfoClassMember('any', REFERENCE_CLASS, 'Any' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Any', 
                [], [], 
                '''                Any Sender IP address
                ''',
                'any',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('host', REFERENCE_CLASS, 'Host' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.Host', 
                [], [], 
                '''                Single Sender host
                ''',
                'host',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('sender-ip-address', REFERENCE_LIST, 'SenderIpAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress', 
                [], [], 
                '''                Sender IP address
                ''',
                'sender_ip_address',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny.Response' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny.Response',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'response',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No.Deny' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No.Deny',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Ip', 
                [], [], 
                '''                Sender IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('request', REFERENCE_CLASS, 'Request' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Request', 
                [], [], 
                '''                ARP Request
                ''',
                'request',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('response', REFERENCE_CLASS, 'Response' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny.Response', 
                [], [], 
                '''                ARP Response
                ''',
                'response',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'deny',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList.No' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList.No',
            False, 
            [
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'no',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp.AccessList' : {
        'meta_info' : _MetaInfoClass('Native.Arp.AccessList',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('deny', REFERENCE_CLASS, 'Deny' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Deny', 
                [], [], 
                '''                Specify packets to reject
                ''',
                'deny',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('no', REFERENCE_CLASS, 'No' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.No', 
                [], [], 
                '''                Negate a command or set its defaults
                ''',
                'no',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('permit', REFERENCE_CLASS, 'Permit' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList.Permit', 
                [], [], 
                '''                Specify packets to forward
                ''',
                'permit',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'access-list',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Arp' : {
        'meta_info' : _MetaInfoClass('Native.Arp',
            False, 
            [
            _MetaInfoClassMember('access-list', REFERENCE_LIST, 'AccessList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp.AccessList', 
                [], [], 
                '''                Named access-list
                ''',
                'access_list',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'arp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Switch.ProvisionEnum' : _MetaInfoEnum('ProvisionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'ws-c2960x-24pd-l':'ws_c2960x_24pd_l',
            'ws-c3650-48ps':'ws_c3650_48ps',
            'ws-c3650-24ps':'ws_c3650_24ps',
            'ws-c3850-48p':'ws_c3850_48p',
            'ws-c3850-24p':'ws_c3850_24p',
            'ws-c3850-48t':'ws_c3850_48t',
            'ws-c3850-24t':'ws_c3850_24t',
            'ws-c3850-48f':'ws_c3850_48f',
            'ws-c3850-48u':'ws_c3850_48u',
            'ws-c3850-24u':'ws_c3850_24u',
            'ws-c3850-12x48u':'ws_c3850_12x48u',
            'ws-c3850-24xu':'ws_c3850_24xu',
            'ws-c3850-24ux':'ws_c3850_24ux',
            'ws-c3850-12s':'ws_c3850_12s',
            'ws-c3850-24s':'ws_c3850_24s',
            'ws-c3850-12xs':'ws_c3850_12xs',
            'ws-c3850-24xs':'ws_c3850_24xs',
            'ws-c3850-48xs':'ws_c3850_48xs',
            'ws-c3650-12x48fd':'ws_c3650_12x48fd',
            'ws-c3650-12x48uq':'ws_c3650_12x48uq',
            'ws-c3650-12x48ur':'ws_c3650_12x48ur',
            'ws-c3650-12x48uz':'ws_c3650_12x48uz',
            'ws-c3650-24pd':'ws_c3650_24pd',
            'ws-c3650-24pdm':'ws_c3650_24pdm',
            'ws-c3650-24td':'ws_c3650_24td',
            'ws-c3650-24ts':'ws_c3650_24ts',
            'ws-c3650-48fqm':'ws_c3650_48fqm',
            'ws-c3650-48pd':'ws_c3650_48pd',
            'ws-c3650-48pq':'ws_c3650_48pq',
            'ws-c3650-48td':'ws_c3650_48td',
            'ws-c3650-48tq':'ws_c3650_48tq',
            'ws-c3650-48ts':'ws_c3650_48ts',
            'ws-c3650-8x24pd':'ws_c3650_8x24pd',
            'ws-c3650-8x24uq':'ws_c3650_8x24uq',
            'ws-c3750x-24p':'ws_c3750x_24p',
            'ws-c3750x-12s':'ws_c3750x_12s',
            'ws-c3850-12x48au':'ws_c3850_12x48au',
            'c9300-24p':'c9300_24p',
            'c9300-24t':'c9300_24t',
            'c9300-24u':'c9300_24u',
            'c9300-48p':'c9300_48p',
            'c9300-48t':'c9300_48t',
            'c9300-48u':'c9300_48u',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.Switch' : {
        'meta_info' : _MetaInfoClass('Native.Switch',
            False, 
            [
            _MetaInfoClassMember('number', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                ''',
                'number',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('provision', REFERENCE_ENUM_CLASS, 'ProvisionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Switch.ProvisionEnum', 
                [], [], 
                '''                Configure Switch provision / offline config
                ''',
                'provision',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SwitchVirtual.Switch.ModeEnum' : _MetaInfoEnum('ModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'virtual':'virtual',
        }, 'Cisco-IOS-XE-switch', _yang_ns._namespaces['Cisco-IOS-XE-switch']),
    'Native.SwitchVirtual.Switch' : {
        'meta_info' : _MetaInfoClass('Native.SwitchVirtual.Switch',
            False, 
            [
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SwitchVirtual.Switch.ModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual switch priority value
                ''',
                'priority',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switch-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                Virtual switch number
                ''',
                'switch_number',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SwitchVirtual.MacAddress' : {
        'meta_info' : _MetaInfoClass('Native.SwitchVirtual.MacAddress',
            False, 
            [
            _MetaInfoClassMember('use-virtual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'use_virtual',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'mac-address',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SwitchVirtual.DualActive.Recovery.Ip' : {
        'meta_info' : _MetaInfoClass('Native.SwitchVirtual.DualActive.Recovery.Ip',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Recovery IP address
                ''',
                'address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address mask
                ''',
                'mask',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'ip',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SwitchVirtual.DualActive.Recovery' : {
        'meta_info' : _MetaInfoClass('Native.SwitchVirtual.DualActive.Recovery',
            False, 
            [
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SwitchVirtual.DualActive.Recovery.Ip', 
                [], [], 
                '''                Recovery IP address
                ''',
                'ip',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switch', ATTRIBUTE, 'int' , None, None, 
                [('1', '2')], [], 
                '''                Switch ID for recovery IP address
                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'recovery',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SwitchVirtual.DualActive.Detection.Pagp.Trust' : {
        'meta_info' : _MetaInfoClass('Native.SwitchVirtual.DualActive.Detection.Pagp.Trust',
            False, 
            [
            _MetaInfoClassMember('channel-group', ATTRIBUTE, 'int' , None, None, 
                [('1', '254')], [], 
                '''                Etherchannel/port bundle to be used for pagp dual-active detection
                ''',
                'channel_group',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'trust',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SwitchVirtual.DualActive.Detection.Pagp' : {
        'meta_info' : _MetaInfoClass('Native.SwitchVirtual.DualActive.Detection.Pagp',
            False, 
            [
            _MetaInfoClassMember('trust', REFERENCE_CLASS, 'Trust' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SwitchVirtual.DualActive.Detection.Pagp.Trust', 
                [], [], 
                '''                Trusted channels for PAgP dual-active detection
                ''',
                'trust',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'pagp',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SwitchVirtual.DualActive.Detection' : {
        'meta_info' : _MetaInfoClass('Native.SwitchVirtual.DualActive.Detection',
            False, 
            [
            _MetaInfoClassMember('pagp', REFERENCE_CLASS, 'Pagp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SwitchVirtual.DualActive.Detection.Pagp', 
                [], [], 
                '''                Dual-active detection using PAgP
                ''',
                'pagp',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'detection',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SwitchVirtual.DualActive' : {
        'meta_info' : _MetaInfoClass('Native.SwitchVirtual.DualActive',
            False, 
            [
            _MetaInfoClassMember('detection', REFERENCE_CLASS, 'Detection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SwitchVirtual.DualActive.Detection', 
                [], [], 
                '''                Dual-active detection enable
                ''',
                'detection',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('recovery', REFERENCE_CLASS, 'Recovery' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SwitchVirtual.DualActive.Recovery', 
                [], [], 
                '''                Recovery IP address
                ''',
                'recovery',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'dual-active',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.SwitchVirtual' : {
        'meta_info' : _MetaInfoClass('Native.SwitchVirtual',
            False, 
            [
            _MetaInfoClassMember('domain', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'domain',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('dual-active', REFERENCE_CLASS, 'DualActive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SwitchVirtual.DualActive', 
                [], [], 
                '''                Virtual switch dual-active config
                ''',
                'dual_active',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('mac-address', REFERENCE_CLASS, 'MacAddress' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SwitchVirtual.MacAddress', 
                [], [], 
                '''                ''',
                'mac_address',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SwitchVirtual.Switch', 
                [], [], 
                '''                Configure switch command
                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('virtual', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'virtual',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch-virtual',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Device' : {
        'meta_info' : _MetaInfoClass('Native.Device',
            False, 
            [
            _MetaInfoClassMember('classifier', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable/Disable classification of attached devices
                ''',
                'classifier',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'device',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.StackMac.Persistent' : {
        'meta_info' : _MetaInfoClass('Native.StackMac.Persistent',
            False, 
            [
            _MetaInfoClassMember('timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '60')], [], 
                '''                use stack mac-address timer after master failure( 0 means still using the current MAC)
                ''',
                'timer',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'persistent',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.StackMac' : {
        'meta_info' : _MetaInfoClass('Native.StackMac',
            False, 
            [
            _MetaInfoClassMember('persistent', REFERENCE_CLASS, 'Persistent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.StackMac.Persistent', 
                [], [], 
                '''                persistent stack mac-address
                ''',
                'persistent',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'stack-mac',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2ProtocolTunnel.Global_' : {
        'meta_info' : _MetaInfoClass('Native.L2ProtocolTunnel.Global_',
            False, 
            [
            _MetaInfoClassMember('drop-threshold', ATTRIBUTE, 'int' , None, None, 
                [('100', '20000')], [], 
                '''                L2PT packets drop threshold
                ''',
                'drop_threshold',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.L2ProtocolTunnel' : {
        'meta_info' : _MetaInfoClass('Native.L2ProtocolTunnel',
            False, 
            [
            _MetaInfoClassMember('cos', ATTRIBUTE, 'int' , None, None, 
                [('0', '7')], [], 
                '''                Class of Service
                ''',
                'cos',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2ProtocolTunnel.Global_', 
                [], [], 
                '''                Global settings
                ''',
                'global_',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'l2protocol-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Rep.Admin.Vlan' : {
        'meta_info' : _MetaInfoClass('Native.Rep.Admin.Vlan',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'int' , None, None, 
                [('2', '4094')], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-switch', True),
            ],
            'Cisco-IOS-XE-switch',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Rep.Admin' : {
        'meta_info' : _MetaInfoClass('Native.Rep.Admin',
            False, 
            [
            _MetaInfoClassMember('vlan', REFERENCE_LIST, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Rep.Admin.Vlan', 
                [], [], 
                '''                VLAN
                ''',
                'vlan',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'admin',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Rep' : {
        'meta_info' : _MetaInfoClass('Native.Rep',
            False, 
            [
            _MetaInfoClassMember('admin', REFERENCE_CLASS, 'Admin' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Rep.Admin', 
                [], [], 
                '''                administrative configuration
                ''',
                'admin',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'rep',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.HwSwitch.Switch.SwitchNumber.Logging.Onboard' : {
        'meta_info' : _MetaInfoClass('Native.HwSwitch.Switch.SwitchNumber.Logging.Onboard',
            False, 
            [
            _MetaInfoClassMember('counter', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure logging onboard counter
                ''',
                'counter',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('environment', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure logging onboard environment
                ''',
                'environment',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('message', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure logging onboard message
                ''',
                'message',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('poe', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure logging onboard poe
                ''',
                'poe',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('temperature', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure logging onboard temperature
                ''',
                'temperature',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('voltage', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Configure logging onboard voltage
                ''',
                'voltage',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'onboard',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.HwSwitch.Switch.SwitchNumber.Logging' : {
        'meta_info' : _MetaInfoClass('Native.HwSwitch.Switch.SwitchNumber.Logging',
            False, 
            [
            _MetaInfoClassMember('onboard', REFERENCE_CLASS, 'Onboard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.HwSwitch.Switch.SwitchNumber.Logging.Onboard', 
                [], [], 
                '''                Logging onboard
                ''',
                'onboard',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.HwSwitch.Switch.SwitchNumber' : {
        'meta_info' : _MetaInfoClass('Native.HwSwitch.Switch.SwitchNumber',
            False, 
            [
            _MetaInfoClassMember('switch-number', ATTRIBUTE, 'int' , None, None, 
                [('1', '9')], [], 
                '''                Switch number in the Stack (Refer to show switch CLI)
                ''',
                'switch_number',
                'Cisco-IOS-XE-switch', True),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.HwSwitch.Switch.SwitchNumber.Logging', 
                [], [], 
                '''                Logging onboard
                ''',
                'logging',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch-number',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.HwSwitch.Switch' : {
        'meta_info' : _MetaInfoClass('Native.HwSwitch.Switch',
            False, 
            [
            _MetaInfoClassMember('switch-number', REFERENCE_LIST, 'SwitchNumber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.HwSwitch.Switch.SwitchNumber', 
                [], [], 
                '''                ''',
                'switch_number',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.HwSwitch' : {
        'meta_info' : _MetaInfoClass('Native.HwSwitch',
            False, 
            [
            _MetaInfoClassMember('switch', REFERENCE_CLASS, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.HwSwitch.Switch', 
                [], [], 
                '''                Switch in the system
                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            ],
            'Cisco-IOS-XE-switch',
            'hw-switch',
            _yang_ns._namespaces['Cisco-IOS-XE-switch'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Utd' : {
        'meta_info' : _MetaInfoClass('Native.Utd',
            False, 
            [
            ],
            'Cisco-IOS-XE-utd',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Advanced.Default.Threat' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Advanced.Default.Threat',
            False, 
            [
            ],
            'Cisco-IOS-XE-utd',
            'threat',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Advanced.Default' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Advanced.Default',
            False, 
            [
            _MetaInfoClassMember('threat', REFERENCE_CLASS, 'Threat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Advanced.Default.Threat', 
                [], [], 
                '''                Provide threat detection
                ''',
                'threat',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Advanced.Threat' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Advanced.Threat',
            False, 
            [
            _MetaInfoClassMember('detection', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Provide threat detection
                ''',
                'detection',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'threat',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Advanced' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Advanced',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Advanced.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('threat', REFERENCE_CLASS, 'Threat' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Advanced.Threat', 
                [], [], 
                '''                Provide threat detection
                ''',
                'threat',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'advanced',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Default' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Default',
            False, 
            [
            _MetaInfoClassMember('policy', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Provide the policy option (default=balanced)
                ''',
                'policy',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('threat', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Provide the threat detection/protection option (default=detection)
                ''',
                'threat',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'default',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Logging.Server' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Logging.Server',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'SyslogLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_utd', 'SyslogLevelTypeEnum', 
                [], [], 
                '''                Provide the log level
                ''',
                'level',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('syslog', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Log the alerts to IOS syslogs
                ''',
                'syslog',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Logging.Syslog' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Logging.Syslog',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'SyslogLevelTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_utd', 'SyslogLevelTypeEnum', 
                [], [], 
                '''                Provide the log level
                ''',
                'level',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'syslog',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Logging' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Logging',
            False, 
            [
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Logging.Server', 
                [], [], 
                '''                Log the alerts to a server
                ''',
                'server',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('syslog', REFERENCE_CLASS, 'Syslog' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Logging.Syslog', 
                [], [], 
                '''                Log the alerts to IOS syslogs
                ''',
                'syslog',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Daily' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Daily',
            False, 
            [
            _MetaInfoClassMember('hours', ATTRIBUTE, 'int' , None, None, 
                [('0', '23')], [], 
                '''                ''',
                'hours',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('minutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '59')], [], 
                '''                ''',
                'minutes',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'daily',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Monthly' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Monthly',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'days',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('hours', ATTRIBUTE, 'int' , None, None, 
                [('0', '23')], [], 
                '''                ''',
                'hours',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('minutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '59')], [], 
                '''                ''',
                'minutes',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'monthly',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Weekly' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Weekly',
            False, 
            [
            _MetaInfoClassMember('days', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'days',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('hours', ATTRIBUTE, 'int' , None, None, 
                [('0', '23')], [], 
                '''                ''',
                'hours',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('minutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '59')], [], 
                '''                ''',
                'minutes',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'weekly',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt',
            False, 
            [
            _MetaInfoClassMember('daily', REFERENCE_CLASS, 'Daily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Daily', 
                [], [], 
                '''                Option for daily update
                ''',
                'daily',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('monthly', REFERENCE_CLASS, 'Monthly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Monthly', 
                [], [], 
                '''                Option for monthly update
                ''',
                'monthly',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('weekly', REFERENCE_CLASS, 'Weekly' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Weekly', 
                [], [], 
                '''                Option for weekly update
                ''',
                'weekly',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'occur-at',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Cisco' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Cisco',
            False, 
            [
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide the password for authentication
                ''',
                'password',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide the username for authentication
                ''',
                'username',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'cisco',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url.All' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url.All',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide the password for authentication
                ''',
                'password',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide the username for authentication
                ''',
                'username',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'all',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url',
            False, 
            [
            _MetaInfoClassMember('all', REFERENCE_CLASS, 'All' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url.All', 
                [], [], 
                '''                ''',
                'all',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'name',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'url',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server',
            False, 
            [
            _MetaInfoClassMember('cisco', REFERENCE_CLASS, 'Cisco' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Cisco', 
                [], [], 
                '''                Use Cisco site to provide updates
                ''',
                'cisco',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('url', REFERENCE_CLASS, 'Url' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url', 
                [], [], 
                '''                Enter the complete URL for the path to the update server
                ''',
                'url',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'server',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Signature.Update' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Signature.Update',
            False, 
            [
            _MetaInfoClassMember('occur-at', REFERENCE_CLASS, 'OccurAt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt', 
                [], [], 
                '''                Specify update occurence by calendar time
                ''',
                'occur_at',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('server', REFERENCE_CLASS, 'Server' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server', 
                [], [], 
                '''                Provide config options for the signature update server
                ''',
                'server',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.Signature' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard.Signature',
            False, 
            [
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Signature.Update', 
                [], [], 
                '''                Provide config options for the signature updates
                ''',
                'update',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'signature',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine.Standard.PolicyEnum' : _MetaInfoEnum('PolicyEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'balanced':'balanced',
            'connectivity':'connectivity',
            'security':'security',
        }, 'Cisco-IOS-XE-utd', _yang_ns._namespaces['Cisco-IOS-XE-utd']),
    'Native.UtdEngine.Utd.Engine.Standard.ThreatEnum' : _MetaInfoEnum('ThreatEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'detection':'detection',
            'protection':'protection',
        }, 'Cisco-IOS-XE-utd', _yang_ns._namespaces['Cisco-IOS-XE-utd']),
    'Native.UtdEngine.Utd.Engine.Standard' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine.Standard',
            False, 
            [
            _MetaInfoClassMember('default', REFERENCE_CLASS, 'Default' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Default', 
                [], [], 
                '''                Set a command to its defaults
                ''',
                'default',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Logging', 
                [], [], 
                '''                Provide config options for logging the alerts
                ''',
                'logging',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('policy', REFERENCE_ENUM_CLASS, 'PolicyEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.PolicyEnum', 
                [], [], 
                '''                Provide the policy option (default=balanced)
                ''',
                'policy',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('signature', REFERENCE_CLASS, 'Signature' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.Signature', 
                [], [], 
                '''                Provide config options for the signatures
                ''',
                'signature',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('threat', REFERENCE_ENUM_CLASS, 'ThreatEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard.ThreatEnum', 
                [], [], 
                '''                Provide the threat detection/protection option (default=detection)
                ''',
                'threat',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('whitelist', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable whitelisting under the utd engine
                ''',
                'whitelist',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'standard',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Engine' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Engine',
            False, 
            [
            _MetaInfoClassMember('advanced', REFERENCE_CLASS, 'Advanced' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Advanced', 
                [], [], 
                '''                UTD engine advanced
                ''',
                'advanced',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('standard', REFERENCE_CLASS, 'Standard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine.Standard', 
                [], [], 
                '''                UTD engine standard
                ''',
                'standard',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'engine',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Whitelist.Signature' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Whitelist.Signature',
            False, 
            [
            _MetaInfoClassMember('comment', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Provide a comment for the signature
                ''',
                'comment',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Provide signature id for the whitelist
                ''',
                'id',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'signature',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd.Whitelist' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd.Whitelist',
            False, 
            [
            _MetaInfoClassMember('signature', REFERENCE_CLASS, 'Signature' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Whitelist.Signature', 
                [], [], 
                '''                Provide signatures for the whitelist
                ''',
                'signature',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'whitelist',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine.Utd' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine.Utd',
            False, 
            [
            _MetaInfoClassMember('engine', REFERENCE_CLASS, 'Engine' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Engine', 
                [], [], 
                '''                UTD engine
                ''',
                'engine',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('whitelist', REFERENCE_CLASS, 'Whitelist' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd.Whitelist', 
                [], [], 
                '''                UTD whitelist config submode
                ''',
                'whitelist',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'utd',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.UtdEngine' : {
        'meta_info' : _MetaInfoClass('Native.UtdEngine',
            False, 
            [
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine.Utd', 
                [], [], 
                '''                ''',
                'utd',
                'Cisco-IOS-XE-utd', False),
            ],
            'Cisco-IOS-XE-utd',
            'utd-engine',
            _yang_ns._namespaces['Cisco-IOS-XE-utd'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Voice.Service.Fax.CodecEnum' : _MetaInfoEnum('CodecEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'g711alaw':'g711alaw',
            'g711ulaw':'g711ulaw',
        }, 'Cisco-IOS-XE-voice', _yang_ns._namespaces['Cisco-IOS-XE-voice']),
    'Native.Voice.Service.Fax.FallbackEnum' : _MetaInfoEnum('FallbackEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco':'cisco',
            'none':'none',
            'pass-through':'pass_through',
        }, 'Cisco-IOS-XE-voice', _yang_ns._namespaces['Cisco-IOS-XE-voice']),
    'Native.Voice.Service.Fax.ProtocolEnum' : _MetaInfoEnum('ProtocolEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'cisco':'cisco',
            'none':'none',
            'pass-through':'pass_through',
            't38':'t38',
        }, 'Cisco-IOS-XE-voice', _yang_ns._namespaces['Cisco-IOS-XE-voice']),
    'Native.Voice.Service.Fax.VersionEnum' : _MetaInfoEnum('VersionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            '0':'Y_0',
            '3':'Y_3',
        }, 'Cisco-IOS-XE-voice', _yang_ns._namespaces['Cisco-IOS-XE-voice']),
    'Native.Voice.Service.Fax' : {
        'meta_info' : _MetaInfoClass('Native.Voice.Service.Fax',
            False, 
            [
            _MetaInfoClassMember('codec', REFERENCE_ENUM_CLASS, 'CodecEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Voice.Service.Fax.CodecEnum', 
                [], [], 
                '''                ''',
                'codec',
                'Cisco-IOS-XE-voice', False),
            _MetaInfoClassMember('fallback', REFERENCE_ENUM_CLASS, 'FallbackEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Voice.Service.Fax.FallbackEnum', 
                [], [], 
                '''                fax transport to use if T.38 unsupported on far end
                ''',
                'fallback',
                'Cisco-IOS-XE-voice', False),
            _MetaInfoClassMember('hs-redundancy', ATTRIBUTE, 'int' , None, None, 
                [('0', '2')], [], 
                '''                t38 high speed redundancy
                ''',
                'hs_redundancy',
                'Cisco-IOS-XE-voice', False),
            _MetaInfoClassMember('ls-redundancy', ATTRIBUTE, 'int' , None, None, 
                [('0', '5')], [], 
                '''                t38 low speed redundancy
                ''',
                'ls_redundancy',
                'Cisco-IOS-XE-voice', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'ProtocolEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Voice.Service.Fax.ProtocolEnum', 
                [], [], 
                '''                The system-wide fax protocol type
                ''',
                'protocol',
                'Cisco-IOS-XE-voice', False),
            _MetaInfoClassMember('version', REFERENCE_ENUM_CLASS, 'VersionEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Voice.Service.Fax.VersionEnum', 
                [], [], 
                '''                t38 fax version
                ''',
                'version',
                'Cisco-IOS-XE-voice', False),
            ],
            'Cisco-IOS-XE-voice',
            'fax',
            _yang_ns._namespaces['Cisco-IOS-XE-voice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Voice.Service.TypeEnum' : _MetaInfoEnum('TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'pots':'pots',
            'saf':'saf',
            'voatm':'voatm',
            'vofr':'vofr',
            'voip':'voip',
        }, 'Cisco-IOS-XE-voice', _yang_ns._namespaces['Cisco-IOS-XE-voice']),
    'Native.Voice.Service' : {
        'meta_info' : _MetaInfoClass('Native.Voice.Service',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Voice.Service.TypeEnum', 
                [], [], 
                '''                ''',
                'type',
                'Cisco-IOS-XE-voice', True),
            _MetaInfoClassMember('fax', REFERENCE_CLASS, 'Fax' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Voice.Service.Fax', 
                [], [], 
                '''                Global fax commands
                ''',
                'fax',
                'Cisco-IOS-XE-voice', False),
            ],
            'Cisco-IOS-XE-voice',
            'service',
            _yang_ns._namespaces['Cisco-IOS-XE-voice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Voice' : {
        'meta_info' : _MetaInfoClass('Native.Voice',
            False, 
            [
            _MetaInfoClassMember('service', REFERENCE_LIST, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Voice.Service', 
                [], [], 
                '''                Global packet telephony service commands
                ''',
                'service',
                'Cisco-IOS-XE-voice', False),
            ],
            'Cisco-IOS-XE-voice',
            'voice',
            _yang_ns._namespaces['Cisco-IOS-XE-voice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.VoiceCard' : {
        'meta_info' : _MetaInfoClass('Native.VoiceCard',
            False, 
            [
            _MetaInfoClassMember('slot', ATTRIBUTE, 'int' , None, None, 
                [('0', '2')], [], 
                '''                ''',
                'slot',
                'Cisco-IOS-XE-voice', True),
            ],
            'Cisco-IOS-XE-voice',
            'voice-card',
            _yang_ns._namespaces['Cisco-IOS-XE-voice'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vpdn.SearchOrderEnum' : _MetaInfoEnum('SearchOrderEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native',
        {
            'dnis':'dnis',
            'domain':'domain',
            'multihop-hostname':'multihop_hostname',
        }, 'Cisco-IOS-XE-vpdn', _yang_ns._namespaces['Cisco-IOS-XE-vpdn']),
    'Native.Vpdn' : {
        'meta_info' : _MetaInfoClass('Native.Vpdn',
            False, 
            [
            _MetaInfoClassMember('authen-before-forward', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Authenticate a user locally before tunnelling
                ''',
                'authen_before_forward',
                'Cisco-IOS-XE-vpdn', False),
            _MetaInfoClassMember('enable', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable VPDN
                ''',
                'enable',
                'Cisco-IOS-XE-vpdn', False),
            _MetaInfoClassMember('search-order', REFERENCE_LEAFLIST, 'SearchOrderEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vpdn.SearchOrderEnum', 
                [], [], 
                '''                Configure the order to search different VPDN tunnel types
                ''',
                'search_order',
                'Cisco-IOS-XE-vpdn', False),
            ],
            'Cisco-IOS-XE-vpdn',
            'vpdn',
            _yang_ns._namespaces['Cisco-IOS-XE-vpdn'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native.Vstack' : {
        'meta_info' : _MetaInfoClass('Native.Vstack',
            False, 
            [
            _MetaInfoClassMember('director', ATTRIBUTE, 'str' , None, None, 
                [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configure director's IP address
                ''',
                'director',
                'Cisco-IOS-XE-vstack', False),
            ],
            'Cisco-IOS-XE-vstack',
            'vstack',
            _yang_ns._namespaces['Cisco-IOS-XE-vstack'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
    'Native' : {
        'meta_info' : _MetaInfoClass('Native',
            False, 
            [
            _MetaInfoClassMember('aaa', REFERENCE_CLASS, 'Aaa' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Aaa', 
                [], [], 
                '''                Authentication, Authorization and Accounting.
                ''',
                'aaa',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('access-list', REFERENCE_CLASS, 'AccessList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessList', 
                [], [], 
                '''                Add an access list entry
                ''',
                'access_list',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('access-session', REFERENCE_CLASS, 'AccessSession' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AccessSession', 
                [], [], 
                '''                Access Sesion Global Configuration Commands
                ''',
                'access_session',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('alarm-contact', REFERENCE_LIST, 'AlarmContact' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.AlarmContact', 
                [], [], 
                '''                ''',
                'alarm_contact',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('alias', REFERENCE_CLASS, 'Alias' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Alias', 
                [], [], 
                '''                Create command alias
                ''',
                'alias',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ap', REFERENCE_CLASS, 'Ap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ap', 
                [], [], 
                '''                Configures Cisco APs
                ''',
                'ap',
                'Cisco-IOS-XE-ap', False),
            _MetaInfoClassMember('aqm-register-fnf', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Export audio/video stats to flow record
                ''',
                'aqm_register_fnf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('archive', REFERENCE_CLASS, 'Archive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Archive', 
                [], [], 
                '''                Archive the configuration
                ''',
                'archive',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('arp', REFERENCE_CLASS, 'Arp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Arp', 
                [], [], 
                '''                Set a static ARP entry
                ''',
                'arp',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('authentication', REFERENCE_CLASS, 'Authentication' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Authentication', 
                [], [], 
                '''                Auth Manager Global Configuration Commands
                ''',
                'authentication',
                'Cisco-IOS-XE-sanet', False),
            _MetaInfoClassMember('banner', REFERENCE_CLASS, 'Banner' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Banner', 
                [], [], 
                '''                Define a login banner
                ''',
                'banner',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bba-group', REFERENCE_CLASS, 'BbaGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BbaGroup', 
                [], [], 
                '''                Configure BBA Group
                ''',
                'bba_group',
                'Cisco-IOS-XE-bba-group', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Bfd', 
                [], [], 
                '''                BFD configuration commands
                ''',
                'bfd',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bfd-template', REFERENCE_CLASS, 'BfdTemplate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BfdTemplate', 
                [], [], 
                '''                BFD-template
                ''',
                'bfd_template',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('boot', REFERENCE_CLASS, 'Boot' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Boot', 
                [], [], 
                '''                Modify boot system parameters
                ''',
                'boot',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('boot-end-marker', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'boot_end_marker',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('boot-start-marker', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'boot_start_marker',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('bridge-domain', REFERENCE_CLASS, 'BridgeDomain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.BridgeDomain', 
                [], [], 
                '''                Bridge-domain global configuration commands
                ''',
                'bridge_domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('call-home', REFERENCE_CLASS, 'CallHome' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.CallHome', 
                [], [], 
                '''                Enter call-home configuration mode
                ''',
                'call_home',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('captive-portal-bypass', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                Enable Captive portal bypass for apple devices
                ''',
                'captive_portal_bypass',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('card', REFERENCE_CLASS, 'Card' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Card', 
                [], [], 
                '''                Configure T1/E1 SPA
                ''',
                'card',
                'Cisco-IOS-XE-card', False),
            _MetaInfoClassMember('cdp', REFERENCE_CLASS, 'Cdp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cdp', 
                [], [], 
                '''                Global CDP configuration subcommands
                ''',
                'cdp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cef', REFERENCE_CLASS, 'Cef' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cef', 
                [], [], 
                '''                Cisco Express Forwarding
                ''',
                'cef',
                'Cisco-IOS-XE-cef', False),
            _MetaInfoClassMember('cisp', REFERENCE_CLASS, 'Cisp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cisp', 
                [], [], 
                '''                Set CISP parameters
                ''',
                'cisp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('clock', REFERENCE_CLASS, 'Clock' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Clock', 
                [], [], 
                '''                Configure time-of-day clock
                ''',
                'clock',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('coap', REFERENCE_CLASS, 'Coap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Coap', 
                [], [], 
                '''                CoAP Global Configuration Commands
                ''',
                'coap',
                'Cisco-IOS-XE-coap', False),
            _MetaInfoClassMember('control-plane', REFERENCE_CLASS, 'ControlPlane' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ControlPlane', 
                [], [], 
                '''                Configure control plane services
                ''',
                'control_plane',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('controller', REFERENCE_CLASS, 'Controller' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Controller', 
                [], [], 
                '''                Configure controller
                ''',
                'controller',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('crypto', REFERENCE_CLASS, 'Crypto' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Crypto', 
                [], [], 
                '''                Encryption module
                ''',
                'crypto',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('cts', REFERENCE_CLASS, 'Cts' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Cts', 
                [], [], 
                '''                Configures Cisco TrustSec
                ''',
                'cts',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('device', REFERENCE_CLASS, 'Device' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Device', 
                [], [], 
                '''                device classifier configuration
                ''',
                'device',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('device-sensor', REFERENCE_CLASS, 'DeviceSensor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.DeviceSensor', 
                [], [], 
                '''                IOS Sensor Commands
                ''',
                'device_sensor',
                'Cisco-IOS-XE-device-sensor', False),
            _MetaInfoClassMember('device-tracking', REFERENCE_CLASS, 'DeviceTracking' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.DeviceTracking', 
                [], [], 
                '''                Device tracking configuration commands
                ''',
                'device_tracking',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('diagnostic', REFERENCE_CLASS, 'Diagnostic' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Diagnostic', 
                [], [], 
                '''                Configure diagnostic information
                ''',
                'diagnostic',
                'Cisco-IOS-XE-diagnostics', False),
            _MetaInfoClassMember('disable-eadi', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'disable_eadi',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('domain', REFERENCE_LIST, 'Domain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Domain', 
                [], [], 
                '''                Domain Configuration Commands
                ''',
                'domain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('dot1x', REFERENCE_CLASS, 'Dot1X' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Dot1X', 
                [], [], 
                '''                IEEE 802.1X Global Configuration Commands
                ''',
                'dot1x',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('eap', REFERENCE_CLASS, 'Eap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Eap', 
                [], [], 
                '''                Configure EAP authenticator parameters
                ''',
                'eap',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('enable', REFERENCE_CLASS, 'Enable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Enable', 
                [], [], 
                '''                Modify enable password parameters
                ''',
                'enable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('energywise', REFERENCE_CLASS, 'Energywise' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Energywise', 
                [], [], 
                '''                EnergyWise Global Configuration Commands
                ''',
                'energywise',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('epm', REFERENCE_CLASS, 'Epm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Epm', 
                [], [], 
                '''                EPM Global Configuration Commands
                ''',
                'epm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('errdisable', REFERENCE_CLASS, 'Errdisable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Errdisable', 
                [], [], 
                '''                Error disable
                ''',
                'errdisable',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('esmc', REFERENCE_CLASS, 'Esmc' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Esmc', 
                [], [], 
                '''                Ethernet Synchronization Messaging Channel
                ''',
                'esmc',
                'Cisco-IOS-XE-ethernet', False),
            _MetaInfoClassMember('ethernet', REFERENCE_CLASS, 'Ethernet' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ethernet', 
                [], [], 
                '''                Ethernet configuration
                ''',
                'ethernet',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('event', REFERENCE_CLASS, 'Event' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Event', 
                [], [], 
                '''                Event related configuration commands
                ''',
                'event',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('exception', REFERENCE_CLASS, 'Exception' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Exception', 
                [], [], 
                '''                help
                ''',
                'exception',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fabric', REFERENCE_CLASS, 'Fabric' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fabric', 
                [], [], 
                '''                Catalyst 6000 crossbar fabric configuration commands
                ''',
                'fabric',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('facility-alarm', REFERENCE_CLASS, 'FacilityAlarm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.FacilityAlarm', 
                [], [], 
                '''                Configure facility alarms
                ''',
                'facility_alarm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fallback', REFERENCE_CLASS, 'Fallback' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fallback', 
                [], [], 
                '''                Fallback configuration commands
                ''',
                'fallback',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('fhrp', REFERENCE_CLASS, 'Fhrp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Fhrp', 
                [], [], 
                '''                Configure First Hop Redundancy Protocols
                ''',
                'fhrp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('flow', REFERENCE_CLASS, 'Flow' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Flow', 
                [], [], 
                '''                Global Flow configuration subcommands
                ''',
                'flow',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hostname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Set system's network name
                ''',
                'hostname',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hw-module', REFERENCE_CLASS, 'HwModule' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.HwModule', 
                [], [], 
                '''                Control of individual components in the system
                ''',
                'hw_module',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('hw-switch', REFERENCE_CLASS, 'HwSwitch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.HwSwitch', 
                [], [], 
                '''                Hw-switch
                ''',
                'hw_switch',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('identity', REFERENCE_CLASS, 'Identity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Identity', 
                [], [], 
                '''                Identity Configuration Commands
                ''',
                'identity',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('interface', REFERENCE_CLASS, 'Interface' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Interface', 
                [], [], 
                '''                Configure Interfaces
                ''',
                'interface',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ip', REFERENCE_CLASS, 'Ip' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ip', 
                [], [], 
                '''                Global IP configuration subcommands
                ''',
                'ip',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ipv6', 
                [], [], 
                '''                Global IPv6 configuration commands
                ''',
                'ipv6',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Key', 
                [], [], 
                '''                Key management
                ''',
                'key',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2', REFERENCE_CLASS, 'L2' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2', 
                [], [], 
                '''                Layer 2 configuration
                ''',
                'l2',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2protocol-tunnel', REFERENCE_CLASS, 'L2ProtocolTunnel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2ProtocolTunnel', 
                [], [], 
                '''                Tunnel Layer2 protocols
                ''',
                'l2protocol_tunnel',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('l2vpn', REFERENCE_CLASS, 'L2Vpn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2Vpn', 
                [], [], 
                '''                Layer2 VPN commands
                ''',
                'l2vpn',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l2vpn-config', REFERENCE_CLASS, 'L2VpnConfig' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L2VpnConfig', 
                [], [], 
                '''                ''',
                'l2vpn_config',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('l3vpn', REFERENCE_CLASS, 'L3Vpn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.L3Vpn', 
                [], [], 
                '''                l3vpn encapsulation ip commands
                ''',
                'l3vpn',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('license', REFERENCE_CLASS, 'License' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.License', 
                [], [], 
                '''                Configure license features
                ''',
                'license',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('line', REFERENCE_CLASS, 'Line' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Line', 
                [], [], 
                '''                Configure a terminal line
                ''',
                'line',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('lldp', REFERENCE_CLASS, 'Lldp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Lldp', 
                [], [], 
                '''                Enables LLDP globally.
                ''',
                'lldp',
                'Cisco-IOS-XE-lldp', False),
            _MetaInfoClassMember('location', REFERENCE_CLASS, 'Location' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Location', 
                [], [], 
                '''                Global location configuration commands
                ''',
                'location',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Logging', 
                [], [], 
                '''                Modify message logging facilities
                ''',
                'logging',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('login', REFERENCE_CLASS, 'Login' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Login', 
                [], [], 
                '''                Enable secure login checking
                ''',
                'login',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac', REFERENCE_CLASS, 'Mac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mac', 
                [], [], 
                '''                Global MAC configuration subcommands
                ''',
                'mac',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mac-address-table', REFERENCE_CLASS, 'MacAddressTable' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.MacAddressTable', 
                [], [], 
                '''                Configure the MAC address table
                ''',
                'mac_address_table',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('macro', REFERENCE_CLASS, 'Macro' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Macro', 
                [], [], 
                '''                Macro configuration
                ''',
                'macro',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('memory', REFERENCE_CLASS, 'Memory' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Memory', 
                [], [], 
                '''                Configure memory management
                ''',
                'memory',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('memory-size', REFERENCE_CLASS, 'MemorySize' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.MemorySize', 
                [], [], 
                '''                Adjust memory size by percentage
                ''',
                'memory_size',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('metadata', REFERENCE_CLASS, 'Metadata' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Metadata', 
                [], [], 
                '''                Metadata Application
                ''',
                'metadata',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mka', REFERENCE_CLASS, 'Mka' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mka', 
                [], [], 
                '''                MACsec Key Agreement (MKA) configuration
                ''',
                'mka',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mls', REFERENCE_CLASS, 'Mls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mls', 
                [], [], 
                '''                mls global commands
                ''',
                'mls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('module', REFERENCE_CLASS, 'Module' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Module', 
                [], [], 
                '''                Module
                ''',
                'module',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('monitor', REFERENCE_CLASS, 'Monitor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Monitor', 
                [], [], 
                '''                Monitoring different system events
                ''',
                'monitor',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('mpls', REFERENCE_CLASS, 'Mpls' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Mpls', 
                [], [], 
                '''                Configure MPLS parameters
                ''',
                'mpls',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('multilink', REFERENCE_CLASS, 'Multilink' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Multilink', 
                [], [], 
                '''                PPP multilink global configuration
                ''',
                'multilink',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('network-clock', REFERENCE_CLASS, 'NetworkClock' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkClock', 
                [], [], 
                '''                Network clock config commands
                ''',
                'network_clock',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('network-policy', REFERENCE_CLASS, 'NetworkPolicy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.NetworkPolicy', 
                [], [], 
                '''                Network Policy
                ''',
                'network_policy',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('ntp', REFERENCE_CLASS, 'Ntp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ntp', 
                [], [], 
                '''                Configure NTP
                ''',
                'ntp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('object-group', REFERENCE_CLASS, 'ObjectGroup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ObjectGroup', 
                [], [], 
                '''                Configure Object group
                ''',
                'object_group',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('otv', REFERENCE_CLASS, 'Otv' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Otv', 
                [], [], 
                '''                Configure OTV information
                ''',
                'otv',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('parameter-map', REFERENCE_LIST, 'ParameterMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ParameterMap', 
                [], [], 
                '''                parameter map
                ''',
                'parameter_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('parser', REFERENCE_CLASS, 'Parser' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Parser', 
                [], [], 
                '''                Configure parser
                ''',
                'parser',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('password', REFERENCE_CLASS, 'Password' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Password', 
                [], [], 
                '''                Configure encryption password (key)
                ''',
                'password',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('performance', REFERENCE_CLASS, 'Performance' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Performance', 
                [], [], 
                '''                Global Performance monitor configuration
                ''',
                'performance',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pfr', REFERENCE_CLASS, 'Pfr' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Pfr', 
                [], [], 
                '''                Performance Routing configuration submodes
                ''',
                'pfr',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pfr-map', REFERENCE_LIST, 'PfrMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PfrMap', 
                [], [], 
                '''                Create pfr-map and enter pfr-map command mode
                ''',
                'pfr_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('platform', REFERENCE_CLASS, 'Platform' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Platform', 
                [], [], 
                '''                platform specific configuration
                ''',
                'platform',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pm-agent', REFERENCE_CLASS, 'PmAgent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PmAgent', 
                [], [], 
                '''                pm-agent Configuration Commands
                ''',
                'pm_agent',
                'Cisco-IOS-XE-pathmgr', False),
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Policy', 
                [], [], 
                '''                ''',
                'policy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('port-channel', REFERENCE_CLASS, 'PortChannel' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PortChannel', 
                [], [], 
                '''                EtherChannel configuration
                ''',
                'port_channel',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('power', REFERENCE_CLASS, 'Power' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Power', 
                [], [], 
                '''                Power configure
                ''',
                'power',
                'Cisco-IOS-XE-power', False),
            _MetaInfoClassMember('ppp', REFERENCE_CLASS, 'Ppp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Ppp', 
                [], [], 
                '''                PPP global configuration
                ''',
                'ppp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('privilege', REFERENCE_CLASS, 'Privilege' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Privilege', 
                [], [], 
                '''                Command privilege parameters
                ''',
                'privilege',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('process', REFERENCE_CLASS, 'Process' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Process', 
                [], [], 
                '''                Configure process
                ''',
                'process',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('profile', REFERENCE_CLASS, 'Profile' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Profile', 
                [], [], 
                '''                MSP Profile
                ''',
                'profile',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('pseudowire-class', REFERENCE_LIST, 'PseudowireClass' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.PseudowireClass', 
                [], [], 
                '''                Pseudowire-class configuration
                ''',
                'pseudowire_class',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('qos', REFERENCE_CLASS, 'Qos' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Qos', 
                [], [], 
                '''                Global QoS configuration commands
                ''',
                'qos',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('radius', REFERENCE_CLASS, 'Radius' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Radius', 
                [], [], 
                '''                RADIUS server configuration command
                ''',
                'radius',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('radius-server', REFERENCE_CLASS, 'RadiusServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RadiusServer', 
                [], [], 
                '''                Modify RADIUS query parameters
                ''',
                'radius_server',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('redundancy', REFERENCE_CLASS, 'Redundancy' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Redundancy', 
                [], [], 
                '''                Enter redundancy mode
                ''',
                'redundancy',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('remote-management', REFERENCE_CLASS, 'RemoteManagement' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RemoteManagement', 
                [], [], 
                '''                Enable the remote managment
                ''',
                'remote_management',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('rep', REFERENCE_CLASS, 'Rep' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Rep', 
                [], [], 
                '''                Resilient Ethernet Protocol characteristics
                ''',
                'rep',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('rmon', REFERENCE_CLASS, 'Rmon' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Rmon', 
                [], [], 
                '''                Remote Monitoring
                ''',
                'rmon',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-map', REFERENCE_LIST, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteMap', 
                [], [], 
                '''                Route map tag
                ''',
                'route_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('route-tag', REFERENCE_CLASS, 'RouteTag' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.RouteTag', 
                [], [], 
                '''                ''',
                'route_tag',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('router', REFERENCE_CLASS, 'Router' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Router', 
                [], [], 
                '''                ''',
                'router',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sampler', REFERENCE_LIST, 'Sampler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Sampler', 
                [], [], 
                '''                Define a Sampler
                ''',
                'sampler',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('scheduler', REFERENCE_CLASS, 'Scheduler' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Scheduler', 
                [], [], 
                '''                Scheduler parameters
                ''',
                'scheduler',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('sdm', REFERENCE_CLASS, 'Sdm' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Sdm', 
                [], [], 
                '''                Switch database management
                ''',
                'sdm',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('segment-routing', REFERENCE_CLASS, 'SegmentRouting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SegmentRouting', 
                [], [], 
                '''                Enter Segment Routing Mode
                ''',
                'segment_routing',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service', REFERENCE_CLASS, 'Service' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Service', 
                [], [], 
                '''                Modify use of network based services
                ''',
                'service',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-chain', REFERENCE_CLASS, 'ServiceChain' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceChain', 
                [], [], 
                '''                Service Chain mode
                ''',
                'service_chain',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-insertion', REFERENCE_CLASS, 'ServiceInsertion' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceInsertion', 
                [], [], 
                '''                Service Insertion mode
                ''',
                'service_insertion',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('service-list', REFERENCE_CLASS, 'ServiceList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceList', 
                [], [], 
                '''                Enter the service list
                ''',
                'service_list',
                'Cisco-IOS-XE-service-discovery', False),
            _MetaInfoClassMember('service-routing', REFERENCE_CLASS, 'ServiceRouting' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceRouting', 
                [], [], 
                '''                Configure service-routing
                ''',
                'service_routing',
                'Cisco-IOS-XE-service-routing', False),
            _MetaInfoClassMember('service-template', REFERENCE_LIST, 'ServiceTemplate' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ServiceTemplate', 
                [], [], 
                '''                Configure a service-template/identity policy
                ''',
                'service_template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('setup', REFERENCE_CLASS, 'Setup' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Setup', 
                [], [], 
                '''                Configure setup options
                ''',
                'setup',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp', REFERENCE_CLASS, 'Snmp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Snmp', 
                [], [], 
                '''                Modify SNMP interface parameters
                ''',
                'snmp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('snmp-server', REFERENCE_CLASS, 'SnmpServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SnmpServer', 
                [], [], 
                '''                Modify SNMP engine parameters
                ''',
                'snmp_server',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('spanning-tree', REFERENCE_CLASS, 'SpanningTree' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SpanningTree', 
                [], [], 
                '''                Spanning Tree Subsystem
                ''',
                'spanning_tree',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('stack-mac', REFERENCE_CLASS, 'StackMac' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.StackMac', 
                [], [], 
                '''                Global stack mac-address feature configurations
                ''',
                'stack_mac',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('subscriber', REFERENCE_CLASS, 'Subscriber' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Subscriber', 
                [], [], 
                '''                Subscriber configuration
                ''',
                'subscriber',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('switch', REFERENCE_LIST, 'Switch' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Switch', 
                [], [], 
                '''                Config commands for the switches in the stack
                ''',
                'switch',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('switch-virtual', REFERENCE_LIST, 'SwitchVirtual' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.SwitchVirtual', 
                [], [], 
                '''                ''',
                'switch_virtual',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('system', REFERENCE_CLASS, 'System' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.System', 
                [], [], 
                '''                Set the system configuration
                ''',
                'system',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('table-map', REFERENCE_LIST, 'TableMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TableMap', 
                [], [], 
                '''                Configure Table Map
                ''',
                'table_map',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tacacs', REFERENCE_CLASS, 'Tacacs' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Tacacs', 
                [], [], 
                '''                TACACS server configuration command
                ''',
                'tacacs',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tacacs-server', REFERENCE_CLASS, 'TacacsServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TacacsServer', 
                [], [], 
                '''                Modify TACACS query parameters
                ''',
                'tacacs_server',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Template', 
                [], [], 
                '''                Select a template to configure
                ''',
                'template',
                'Cisco-IOS-XE-switch', False),
            _MetaInfoClassMember('tftp-server', REFERENCE_LIST, 'TftpServer' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TftpServer', 
                [], [], 
                '''                Provide TFTP service for netload requests
                ''',
                'tftp_server',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('time-range', REFERENCE_LIST, 'TimeRange' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TimeRange', 
                [], [], 
                '''                Define time range entries
                ''',
                'time_range',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('tod-clock', REFERENCE_CLASS, 'TodClock' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.TodClock', 
                [], [], 
                '''                Tod clock config commands
                ''',
                'tod_clock',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('track', REFERENCE_CLASS, 'Track' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Track', 
                [], [], 
                '''                Object tracking configuration commands
                ''',
                'track',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('transceiver', REFERENCE_CLASS, 'Transceiver' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Transceiver', 
                [], [], 
                '''                Select from transceiver configuration commands
                ''',
                'transceiver',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('udld', REFERENCE_CLASS, 'Udld' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Udld', 
                [], [], 
                '''                Configure global UDLD setting
                ''',
                'udld',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('upgrade', REFERENCE_CLASS, 'Upgrade' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Upgrade', 
                [], [], 
                '''                Global upgrade configuration subcommands
                ''',
                'upgrade',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('username', REFERENCE_LIST, 'Username' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Username', 
                [], [], 
                '''                Establish User Name Authentication
                ''',
                'username',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('utd', REFERENCE_CLASS, 'Utd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Utd', 
                [], [], 
                '''                Global Unified Threat Defense
                ''',
                'utd',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('utd-engine', REFERENCE_CLASS, 'UtdEngine' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.UtdEngine', 
                [], [], 
                '''                Global Unified Threat Defense Engine
                ''',
                'utd_engine',
                'Cisco-IOS-XE-utd', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('virtual-service', REFERENCE_LIST, 'VirtualService' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VirtualService', 
                [], [], 
                '''                Configure virtual service
                ''',
                'virtual_service',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vlan', 
                [], [], 
                '''                Global vlan configuration
                ''',
                'vlan',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('voice', REFERENCE_CLASS, 'Voice' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Voice', 
                [], [], 
                '''                Global voice configuration
                ''',
                'voice',
                'Cisco-IOS-XE-voice', False),
            _MetaInfoClassMember('voice-card', REFERENCE_LIST, 'VoiceCard' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.VoiceCard', 
                [], [], 
                '''                Configure a specific voice-card
                ''',
                'voice_card',
                'Cisco-IOS-XE-voice', False),
            _MetaInfoClassMember('vpdn', REFERENCE_CLASS, 'Vpdn' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vpdn', 
                [], [], 
                '''                Virtual Private Dialup Network
                ''',
                'vpdn',
                'Cisco-IOS-XE-vpdn', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vrf', 
                [], [], 
                '''                VRF commands
                ''',
                'vrf',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('vstack', REFERENCE_CLASS, 'Vstack' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vstack', 
                [], [], 
                '''                Configure vstack parameters and enable or disable SmartInstall
                ''',
                'vstack',
                'Cisco-IOS-XE-vstack', False),
            _MetaInfoClassMember('vtp', REFERENCE_CLASS, 'Vtp' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Vtp', 
                [], [], 
                '''                Configure global VTP state
                ''',
                'vtp',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wireless', REFERENCE_CLASS, 'Wireless' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Wireless', 
                [], [], 
                '''                Configure wireless parameters
                ''',
                'wireless',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('wsma', REFERENCE_CLASS, 'Wsma' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Wsma', 
                [], [], 
                '''                Configure Web Services Management Agents
                ''',
                'wsma',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('xconnect', REFERENCE_CLASS, 'Xconnect' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Xconnect', 
                [], [], 
                '''                ''',
                'xconnect',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zone', REFERENCE_CLASS, 'Zone' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.Zone', 
                [], [], 
                '''                FW with zoning
                ''',
                'zone',
                'Cisco-IOS-XE-native', False),
            _MetaInfoClassMember('zone-pair', REFERENCE_CLASS, 'ZonePair' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native', 'Native.ZonePair', 
                [], [], 
                '''                Zone pair command
                ''',
                'zone_pair',
                'Cisco-IOS-XE-native', False),
            ],
            'Cisco-IOS-XE-native',
            'native',
            _yang_ns._namespaces['Cisco-IOS-XE-native'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_native'
        ),
    },
}
_meta_table['Native.Bfd.Map.Ipv4.Vrf.DstVrf']['meta_info'].parent =_meta_table['Native.Bfd.Map.Ipv4.Vrf']['meta_info']
_meta_table['Native.Bfd.Map.Ipv4.NoVrf']['meta_info'].parent =_meta_table['Native.Bfd.Map.Ipv4']['meta_info']
_meta_table['Native.Bfd.Map.Ipv4.Vrf']['meta_info'].parent =_meta_table['Native.Bfd.Map.Ipv4']['meta_info']
_meta_table['Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf.SrcVrf']['meta_info'].parent =_meta_table['Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf']['meta_info']
_meta_table['Native.Bfd.Map.Ipv6.DpIpv6_Prefix.SrcIpv6_Prefix0']['meta_info'].parent =_meta_table['Native.Bfd.Map.Ipv6.DpIpv6_Prefix']['meta_info']
_meta_table['Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf']['meta_info'].parent =_meta_table['Native.Bfd.Map.Ipv6.DpIpv6_Prefix']['meta_info']
_meta_table['Native.Bfd.Map.Ipv6.Vrf.DstVrf']['meta_info'].parent =_meta_table['Native.Bfd.Map.Ipv6.Vrf']['meta_info']
_meta_table['Native.Bfd.Map.Ipv6.DpIpv6_Prefix']['meta_info'].parent =_meta_table['Native.Bfd.Map.Ipv6']['meta_info']
_meta_table['Native.Bfd.Map.Ipv6.Vrf']['meta_info'].parent =_meta_table['Native.Bfd.Map.Ipv6']['meta_info']
_meta_table['Native.Bfd.Map.Ipv4']['meta_info'].parent =_meta_table['Native.Bfd.Map']['meta_info']
_meta_table['Native.Bfd.Map.Ipv6']['meta_info'].parent =_meta_table['Native.Bfd.Map']['meta_info']
_meta_table['Native.Bfd.Map']['meta_info'].parent =_meta_table['Native.Bfd']['meta_info']
_meta_table['Native.Boot.System.Bootfile.FilenameList']['meta_info'].parent =_meta_table['Native.Boot.System.Bootfile']['meta_info']
_meta_table['Native.Boot.System.Flash.FlashList']['meta_info'].parent =_meta_table['Native.Boot.System.Flash']['meta_info']
_meta_table['Native.Boot.System.Switch.SwitchNumber']['meta_info'].parent =_meta_table['Native.Boot.System.Switch']['meta_info']
_meta_table['Native.Boot.System.Switch.All']['meta_info'].parent =_meta_table['Native.Boot.System.Switch']['meta_info']
_meta_table['Native.Boot.System.Bootfile']['meta_info'].parent =_meta_table['Native.Boot.System']['meta_info']
_meta_table['Native.Boot.System.Flash']['meta_info'].parent =_meta_table['Native.Boot.System']['meta_info']
_meta_table['Native.Boot.System.Switch']['meta_info'].parent =_meta_table['Native.Boot.System']['meta_info']
_meta_table['Native.Boot.System']['meta_info'].parent =_meta_table['Native.Boot']['meta_info']
_meta_table['Native.Boot.EnableBreak']['meta_info'].parent =_meta_table['Native.Boot']['meta_info']
_meta_table['Native.Boot.Manual']['meta_info'].parent =_meta_table['Native.Boot']['meta_info']
_meta_table['Native.Memory.Statistics.History']['meta_info'].parent =_meta_table['Native.Memory.Statistics']['meta_info']
_meta_table['Native.Memory.Chunk.Siblings']['meta_info'].parent =_meta_table['Native.Memory.Chunk']['meta_info']
_meta_table['Native.Memory.Free.LowWatermark']['meta_info'].parent =_meta_table['Native.Memory.Free']['meta_info']
_meta_table['Native.Memory.Reserve.Critical']['meta_info'].parent =_meta_table['Native.Memory.Reserve']['meta_info']
_meta_table['Native.Memory.Statistics']['meta_info'].parent =_meta_table['Native.Memory']['meta_info']
_meta_table['Native.Memory.Chunk']['meta_info'].parent =_meta_table['Native.Memory']['meta_info']
_meta_table['Native.Memory.Free']['meta_info'].parent =_meta_table['Native.Memory']['meta_info']
_meta_table['Native.Memory.Reserve']['meta_info'].parent =_meta_table['Native.Memory']['meta_info']
_meta_table['Native.Memory.Sanity']['meta_info'].parent =_meta_table['Native.Memory']['meta_info']
_meta_table['Native.Location.CivicLocation.Identifier']['meta_info'].parent =_meta_table['Native.Location.CivicLocation']['meta_info']
_meta_table['Native.Location.CivicLocation']['meta_info'].parent =_meta_table['Native.Location']['meta_info']
_meta_table['Native.CallHome.SourceInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.CallHome.SourceInterface']['meta_info']
_meta_table['Native.CallHome.SourceInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.CallHome.SourceInterface']['meta_info']
_meta_table['Native.CallHome.SourceInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.CallHome.SourceInterface']['meta_info']
_meta_table['Native.CallHome.SourceInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.CallHome.SourceInterface']['meta_info']
_meta_table['Native.CallHome.HttpProxy.ProxyServers']['meta_info'].parent =_meta_table['Native.CallHome.HttpProxy']['meta_info']
_meta_table['Native.CallHome.Profile.Destination.Address']['meta_info'].parent =_meta_table['Native.CallHome.Profile.Destination']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Syslog']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Environment']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Syslog']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration']['meta_info'].parent =_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup']['meta_info']
_meta_table['Native.CallHome.Profile.Destination']['meta_info'].parent =_meta_table['Native.CallHome.Profile']['meta_info']
_meta_table['Native.CallHome.Profile.SubscribeToAlertGroup']['meta_info'].parent =_meta_table['Native.CallHome.Profile']['meta_info']
_meta_table['Native.CallHome.SourceInterface']['meta_info'].parent =_meta_table['Native.CallHome']['meta_info']
_meta_table['Native.CallHome.HttpProxy']['meta_info'].parent =_meta_table['Native.CallHome']['meta_info']
_meta_table['Native.CallHome.Profile']['meta_info'].parent =_meta_table['Native.CallHome']['meta_info']
_meta_table['Native.HwModule.Uplink']['meta_info'].parent =_meta_table['Native.HwModule']['meta_info']
_meta_table['Native.Module.Provision.Switch.Chassis']['meta_info'].parent =_meta_table['Native.Module.Provision.Switch']['meta_info']
_meta_table['Native.Module.Provision.Switch.Slot']['meta_info'].parent =_meta_table['Native.Module.Provision.Switch']['meta_info']
_meta_table['Native.Module.Provision.Switch']['meta_info'].parent =_meta_table['Native.Module.Provision']['meta_info']
_meta_table['Native.Module.Provision']['meta_info'].parent =_meta_table['Native.Module']['meta_info']
_meta_table['Native.Domain.Vrf.Border.SourceInterface']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Border']['meta_info']
_meta_table['Native.Domain.Vrf.Border.Password']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Border']['meta_info']
_meta_table['Native.Domain.Vrf.Master.Advanced.SmartProbes']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master.Advanced']['meta_info']
_meta_table['Native.Domain.Vrf.Master.Advanced.Syslog']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master.Advanced']['meta_info']
_meta_table['Native.Domain.Vrf.Master.Advanced.Tcp']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master.Advanced']['meta_info']
_meta_table['Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master.Advanced']['meta_info']
_meta_table['Native.Domain.Vrf.Master.Class_.Match.Dscp']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master.Class_.Match']['meta_info']
_meta_table['Native.Domain.Vrf.Master.Class_.Match']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master.Class_']['meta_info']
_meta_table['Native.Domain.Vrf.Master.Class_.PathPreference']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master.Class_']['meta_info']
_meta_table['Native.Domain.Vrf.Master.Advanced']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master']['meta_info']
_meta_table['Native.Domain.Vrf.Master.Collector']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master']['meta_info']
_meta_table['Native.Domain.Vrf.Master.EnterprisePrefix']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master']['meta_info']
_meta_table['Native.Domain.Vrf.Master.LoadBalance']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master']['meta_info']
_meta_table['Native.Domain.Vrf.Master.Password']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master']['meta_info']
_meta_table['Native.Domain.Vrf.Master.SitePrefixes']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master']['meta_info']
_meta_table['Native.Domain.Vrf.Master.SourceInterface']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master']['meta_info']
_meta_table['Native.Domain.Vrf.Master.Class_']['meta_info'].parent =_meta_table['Native.Domain.Vrf.Master']['meta_info']
_meta_table['Native.Domain.Vrf.Border']['meta_info'].parent =_meta_table['Native.Domain.Vrf']['meta_info']
_meta_table['Native.Domain.Vrf.Master']['meta_info'].parent =_meta_table['Native.Domain.Vrf']['meta_info']
_meta_table['Native.Domain.Vrf']['meta_info'].parent =_meta_table['Native.Domain']['meta_info']
_meta_table['Native.Parser.Config']['meta_info'].parent =_meta_table['Native.Parser']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Year.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Year.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Year.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Year.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Localtime.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Localtime.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Msec.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Msec.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug.Datetime']['meta_info']
_meta_table['Native.Service.Timestamps.Debug.Datetime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Debug']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Msec.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Msec.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Year.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Year.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Localtime.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Localtime.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Year.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Year.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Year.Localtime.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Year.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Year.Localtime.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Year.Localtime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Year.Msec.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Year.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Year.Msec.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Year.Msec']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Year.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Year.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime.Year']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Localtime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Msec']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime.Year']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log.Datetime']['meta_info']
_meta_table['Native.Service.Timestamps.Log.Datetime']['meta_info'].parent =_meta_table['Native.Service.Timestamps.Log']['meta_info']
_meta_table['Native.Service.Timestamps.Debug']['meta_info'].parent =_meta_table['Native.Service.Timestamps']['meta_info']
_meta_table['Native.Service.Timestamps.Log']['meta_info'].parent =_meta_table['Native.Service.Timestamps']['meta_info']
_meta_table['Native.Service.Counters.Max']['meta_info'].parent =_meta_table['Native.Service.Counters']['meta_info']
_meta_table['Native.Service.PadConf']['meta_info'].parent =_meta_table['Native.Service']['meta_info']
_meta_table['Native.Service.Pad']['meta_info'].parent =_meta_table['Native.Service']['meta_info']
_meta_table['Native.Service.Timestamps']['meta_info'].parent =_meta_table['Native.Service']['meta_info']
_meta_table['Native.Service.Alignment']['meta_info'].parent =_meta_table['Native.Service']['meta_info']
_meta_table['Native.Service.Counters']['meta_info'].parent =_meta_table['Native.Service']['meta_info']
_meta_table['Native.Service.Heartbeat']['meta_info'].parent =_meta_table['Native.Service']['meta_info']
_meta_table['Native.Service.Prompt']['meta_info'].parent =_meta_table['Native.Service']['meta_info']
_meta_table['Native.Platform.Icmp.RateLimit']['meta_info'].parent =_meta_table['Native.Platform.Icmp']['meta_info']
_meta_table['Native.Platform.Enable.Controller']['meta_info'].parent =_meta_table['Native.Platform.Enable']['meta_info']
_meta_table['Native.Platform.Hardware.Throughput.Level']['meta_info'].parent =_meta_table['Native.Platform.Hardware.Throughput']['meta_info']
_meta_table['Native.Platform.Hardware.Lite']['meta_info'].parent =_meta_table['Native.Platform.Hardware']['meta_info']
_meta_table['Native.Platform.Hardware.Throughput']['meta_info'].parent =_meta_table['Native.Platform.Hardware']['meta_info']
_meta_table['Native.Platform.Ipsec.Llq']['meta_info'].parent =_meta_table['Native.Platform.Ipsec']['meta_info']
_meta_table['Native.Platform.Ipsec.Reassemble']['meta_info'].parent =_meta_table['Native.Platform.Ipsec']['meta_info']
_meta_table['Native.Platform.L2Vpn.Statistics']['meta_info'].parent =_meta_table['Native.Platform.L2Vpn']['meta_info']
_meta_table['Native.Platform.Multicast.Oce.Flag']['meta_info'].parent =_meta_table['Native.Platform.Multicast.Oce']['meta_info']
_meta_table['Native.Platform.Multicast.Mgre']['meta_info'].parent =_meta_table['Native.Platform.Multicast']['meta_info']
_meta_table['Native.Platform.Multicast.Oce']['meta_info'].parent =_meta_table['Native.Platform.Multicast']['meta_info']
_meta_table['Native.Platform.PuntKeepalive.Settings']['meta_info'].parent =_meta_table['Native.Platform.PuntKeepalive']['meta_info']
_meta_table['Native.Platform.PuntPolicer.PuntNum']['meta_info'].parent =_meta_table['Native.Platform.PuntPolicer']['meta_info']
_meta_table['Native.Platform.Qos.MatchStatistics']['meta_info'].parent =_meta_table['Native.Platform.Qos']['meta_info']
_meta_table['Native.Platform.Urpf.Loose.Counter.Ipv4.Supress']['meta_info'].parent =_meta_table['Native.Platform.Urpf.Loose.Counter.Ipv4']['meta_info']
_meta_table['Native.Platform.Urpf.Loose.Counter.Ipv6.Supress']['meta_info'].parent =_meta_table['Native.Platform.Urpf.Loose.Counter.Ipv6']['meta_info']
_meta_table['Native.Platform.Urpf.Loose.Counter.Ipv4']['meta_info'].parent =_meta_table['Native.Platform.Urpf.Loose.Counter']['meta_info']
_meta_table['Native.Platform.Urpf.Loose.Counter.Ipv6']['meta_info'].parent =_meta_table['Native.Platform.Urpf.Loose.Counter']['meta_info']
_meta_table['Native.Platform.Urpf.Loose.Counter']['meta_info'].parent =_meta_table['Native.Platform.Urpf.Loose']['meta_info']
_meta_table['Native.Platform.Urpf.Loose']['meta_info'].parent =_meta_table['Native.Platform.Urpf']['meta_info']
_meta_table['Native.Platform.Trace.Runtime']['meta_info'].parent =_meta_table['Native.Platform.Trace']['meta_info']
_meta_table['Native.Platform.Icmp']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.IpPorts']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.Bfd']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.Console']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.Enable']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.ExternalAlarm']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.Hardware']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.Ipsec']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.L2Vpn']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.Multicast']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.PuntKeepalive']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.PuntPolicer']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.Qos']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.Reload']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.Urpf']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.TcamThreshold']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Platform.Trace']['meta_info'].parent =_meta_table['Native.Platform']['meta_info']
_meta_table['Native.Enable.Password']['meta_info'].parent =_meta_table['Native.Enable']['meta_info']
_meta_table['Native.Enable.Secret']['meta_info'].parent =_meta_table['Native.Enable']['meta_info']
_meta_table['Native.Password.Encryption']['meta_info'].parent =_meta_table['Native.Password']['meta_info']
_meta_table['Native.Eap.Profile.Method']['meta_info'].parent =_meta_table['Native.Eap.Profile']['meta_info']
_meta_table['Native.Eap.Profile']['meta_info'].parent =_meta_table['Native.Eap']['meta_info']
_meta_table['Native.Archive.Log.Config.Logging.Persistent']['meta_info'].parent =_meta_table['Native.Archive.Log.Config.Logging']['meta_info']
_meta_table['Native.Archive.Log.Config.Notify.Syslog']['meta_info'].parent =_meta_table['Native.Archive.Log.Config.Notify']['meta_info']
_meta_table['Native.Archive.Log.Config.Logging']['meta_info'].parent =_meta_table['Native.Archive.Log.Config']['meta_info']
_meta_table['Native.Archive.Log.Config.Notify']['meta_info'].parent =_meta_table['Native.Archive.Log.Config']['meta_info']
_meta_table['Native.Archive.Log.Config']['meta_info'].parent =_meta_table['Native.Archive.Log']['meta_info']
_meta_table['Native.Archive.Log']['meta_info'].parent =_meta_table['Native.Archive']['meta_info']
_meta_table['Native.Username.Password']['meta_info'].parent =_meta_table['Native.Username']['meta_info']
_meta_table['Native.Username.Secret']['meta_info'].parent =_meta_table['Native.Username']['meta_info']
_meta_table['Native.Controller.ControllerTxExList.Clock.Source.Line']['meta_info'].parent =_meta_table['Native.Controller.ControllerTxExList.Clock.Source']['meta_info']
_meta_table['Native.Controller.ControllerTxExList.Clock.Source']['meta_info'].parent =_meta_table['Native.Controller.ControllerTxExList.Clock']['meta_info']
_meta_table['Native.Controller.ControllerTxExList.Clock']['meta_info'].parent =_meta_table['Native.Controller.ControllerTxExList']['meta_info']
_meta_table['Native.Controller.ControllerTxExList.Cablelength']['meta_info'].parent =_meta_table['Native.Controller.ControllerTxExList']['meta_info']
_meta_table['Native.Controller.ControllerTxExList.ChannelGroup']['meta_info'].parent =_meta_table['Native.Controller.ControllerTxExList']['meta_info']
_meta_table['Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi']['meta_info'].parent =_meta_table['Native.Controller.Cellular.Lte.Modem.LinkRecovery']['meta_info']
_meta_table['Native.Controller.Cellular.Lte.Modem.LinkRecovery']['meta_info'].parent =_meta_table['Native.Controller.Cellular.Lte.Modem']['meta_info']
_meta_table['Native.Controller.Cellular.Lte.Modem']['meta_info'].parent =_meta_table['Native.Controller.Cellular.Lte']['meta_info']
_meta_table['Native.Controller.Cellular.Lte']['meta_info'].parent =_meta_table['Native.Controller.Cellular']['meta_info']
_meta_table['Native.Controller.Sonet.Au3.Overhead']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au3']['meta_info']
_meta_table['Native.Controller.Sonet.Au3.Mode']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au3']['meta_info']
_meta_table['Native.Controller.Sonet.Au4Atm.Au4']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4Atm']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.CemGroupTimeslots.Tug2']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4.CemGroupTimeslots']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.ChannelGroupTimeslots.Tug2']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4.ChannelGroupTimeslots']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.CemGroupUnframed.Tug2']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4.CemGroupUnframed']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.FramingUnframed.Tug2']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4.FramingUnframed']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.CemGroupAtm.Tug2']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4.CemGroupAtm']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.ImaGroup.Tug2']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4.ImaGroup']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.CemGroupTimeslots']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.ChannelGroupTimeslots']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.CemGroupUnframed']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.FramingUnframed']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.CemGroupAtm']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4']['meta_info']
_meta_table['Native.Controller.Sonet.Au4.ImaGroup']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Au4']['meta_info']
_meta_table['Native.Controller.Sonet.Aps.Group']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Aps']['meta_info']
_meta_table['Native.Controller.Sonet.Aps.Protect']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Aps']['meta_info']
_meta_table['Native.Controller.Sonet.Aps.Interchassis']['meta_info'].parent =_meta_table['Native.Controller.Sonet.Aps']['meta_info']
_meta_table['Native.Controller.Sonet.Clock']['meta_info'].parent =_meta_table['Native.Controller.Sonet']['meta_info']
_meta_table['Native.Controller.Sonet.Aug']['meta_info'].parent =_meta_table['Native.Controller.Sonet']['meta_info']
_meta_table['Native.Controller.Sonet.Au3']['meta_info'].parent =_meta_table['Native.Controller.Sonet']['meta_info']
_meta_table['Native.Controller.Sonet.Au4Atm']['meta_info'].parent =_meta_table['Native.Controller.Sonet']['meta_info']
_meta_table['Native.Controller.Sonet.Au4']['meta_info'].parent =_meta_table['Native.Controller.Sonet']['meta_info']
_meta_table['Native.Controller.Sonet.Aps']['meta_info'].parent =_meta_table['Native.Controller.Sonet']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au3.Overhead']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au3']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au3.Mode']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au3']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4Atm.Au4']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4Atm']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.CemGroupTimeslots.Tug2']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4.CemGroupTimeslots']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots.Tug2']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.CemGroupUnframed.Tug2']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4.CemGroupUnframed']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.FramingUnframed.Tug2']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4.FramingUnframed']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.CemGroupAtm.Tug2']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4.CemGroupAtm']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.ImaGroup.Tug2']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4.ImaGroup']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.CemGroupTimeslots']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.CemGroupUnframed']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.FramingUnframed']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.CemGroupAtm']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4.ImaGroup']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Au4']['meta_info']
_meta_table['Native.Controller.SonetAcr.Aps.Group']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Aps']['meta_info']
_meta_table['Native.Controller.SonetAcr.Aps.Protect']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Aps']['meta_info']
_meta_table['Native.Controller.SonetAcr.Aps.Interchassis']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr.Aps']['meta_info']
_meta_table['Native.Controller.SonetAcr.Clock']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr']['meta_info']
_meta_table['Native.Controller.SonetAcr.Aug']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au3']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4Atm']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr']['meta_info']
_meta_table['Native.Controller.SonetAcr.Au4']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr']['meta_info']
_meta_table['Native.Controller.SonetAcr.Aps']['meta_info'].parent =_meta_table['Native.Controller.SonetAcr']['meta_info']
_meta_table['Native.Controller.ControllerTxExList']['meta_info'].parent =_meta_table['Native.Controller']['meta_info']
_meta_table['Native.Controller.Cellular']['meta_info'].parent =_meta_table['Native.Controller']['meta_info']
_meta_table['Native.Controller.Sonet']['meta_info'].parent =_meta_table['Native.Controller']['meta_info']
_meta_table['Native.Controller.SonetAcr']['meta_info'].parent =_meta_table['Native.Controller']['meta_info']
_meta_table['Native.Controller.Wanphy']['meta_info'].parent =_meta_table['Native.Controller']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data.Multicast']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Export']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Import_']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Export']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Maximum']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Export']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Import_']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv4']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily.Ipv6']['meta_info'].parent =_meta_table['Native.Vrf.Definition.AddressFamily']['meta_info']
_meta_table['Native.Vrf.Definition.RouteTarget.Export']['meta_info'].parent =_meta_table['Native.Vrf.Definition.RouteTarget']['meta_info']
_meta_table['Native.Vrf.Definition.RouteTarget.Import_']['meta_info'].parent =_meta_table['Native.Vrf.Definition.RouteTarget']['meta_info']
_meta_table['Native.Vrf.Definition.AddressFamily']['meta_info'].parent =_meta_table['Native.Vrf.Definition']['meta_info']
_meta_table['Native.Vrf.Definition.RouteTarget']['meta_info'].parent =_meta_table['Native.Vrf.Definition']['meta_info']
_meta_table['Native.Vrf.Definition']['meta_info'].parent =_meta_table['Native.Vrf']['meta_info']
_meta_table['Native.Rmon.Event.Log']['meta_info'].parent =_meta_table['Native.Rmon.Event']['meta_info']
_meta_table['Native.Rmon.Alarm']['meta_info'].parent =_meta_table['Native.Rmon']['meta_info']
_meta_table['Native.Rmon.Event']['meta_info'].parent =_meta_table['Native.Rmon']['meta_info']
_meta_table['Native.Sampler.Mode.Deterministic']['meta_info'].parent =_meta_table['Native.Sampler.Mode']['meta_info']
_meta_table['Native.Sampler.Mode.Hash']['meta_info'].parent =_meta_table['Native.Sampler.Mode']['meta_info']
_meta_table['Native.Sampler.Mode.Random']['meta_info'].parent =_meta_table['Native.Sampler.Mode']['meta_info']
_meta_table['Native.Sampler.Mode']['meta_info'].parent =_meta_table['Native.Sampler']['meta_info']
_meta_table['Native.Sampler.Granularity']['meta_info'].parent =_meta_table['Native.Sampler']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Http.Uri']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application.Http']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Media.Bytes.Rate.PerFlow']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application.Media.Bytes.Rate']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Media.Bytes.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application.Media.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Media.Bytes.Rate']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application.Media.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Media.Packets.Rate.Variation']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application.Media.Packets.Rate']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Media.Packets.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application.Media.Packets']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Media.Packets.Rate']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application.Media.Packets']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Media.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application.Media']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Media.Packets']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application.Media']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Dns']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Http']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Media']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Name']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Nntp']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Pop3']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Rtmp']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Rtsp']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Sip']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Smtp']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application.Ssl']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Client.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Client.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Client.Counter.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Client.Counter']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Client.Counter.Packets']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Client.Counter']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Client.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Client.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Client.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Client.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.LongLived']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.LongLived']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.LongLived']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.LongLived']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.ToClient']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.ToServer']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay.Response']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Response.ToServer']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay.Response']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Application']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Network']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay.Response']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Delay']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Server.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Server.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Server.Counter.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Server.Counter']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Server.Counter.Packets']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Server.Counter']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Server.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Server.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Server.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Server.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Transaction.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Transaction']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Transaction.Duration']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection.Transaction']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Client']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Delay']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Server']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection.Transaction']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Connection']['meta_info']
_meta_table['Native.Flow.Record.Collect.Counter.Bytes.Rate.PerFlow']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Counter.Bytes.Rate']['meta_info']
_meta_table['Native.Flow.Record.Collect.Counter.Bytes.Rate']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Collect.Counter.Bytes.Squared']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Collect.Counter.Packets.Rate.PerFlow']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Counter.Packets.Rate']['meta_info']
_meta_table['Native.Flow.Record.Collect.Counter.Packets.Rate']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Counter.Packets']['meta_info']
_meta_table['Native.Flow.Record.Collect.Counter.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Counter']['meta_info']
_meta_table['Native.Flow.Record.Collect.Counter.Packets']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Counter']['meta_info']
_meta_table['Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Datalink.Dot1Q']['meta_info']
_meta_table['Native.Flow.Record.Collect.Datalink.Mac.Destination.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Datalink.Mac.Destination']['meta_info']
_meta_table['Native.Flow.Record.Collect.Datalink.Mac.Source.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Datalink.Mac.Source']['meta_info']
_meta_table['Native.Flow.Record.Collect.Datalink.Mac.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Datalink.Mac']['meta_info']
_meta_table['Native.Flow.Record.Collect.Datalink.Mac.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Datalink.Mac']['meta_info']
_meta_table['Native.Flow.Record.Collect.Datalink.Dot1Q']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Datalink']['meta_info']
_meta_table['Native.Flow.Record.Collect.Datalink.Mac']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Datalink']['meta_info']
_meta_table['Native.Flow.Record.Collect.Flow_.Cts.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Flow_.Cts']['meta_info']
_meta_table['Native.Flow.Record.Collect.Flow_.Cts.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Flow_.Cts']['meta_info']
_meta_table['Native.Flow.Record.Collect.Flow_.Cts']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Flow_']['meta_info']
_meta_table['Native.Flow.Record.Collect.Flow_.Observation']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Flow_']['meta_info']
_meta_table['Native.Flow.Record.Collect.Interface.Input']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Interface']['meta_info']
_meta_table['Native.Flow.Record.Collect.Interface.Output']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Interface']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Destination.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4.Destination']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4.Destination']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Length.Total']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4.Length']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Section.Header']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4.Section']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Section.Payload']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4.Section']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Source.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4.Source']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4.Source']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Fragmentation']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Length']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Option']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Section']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.TotalLength']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4.Ttl']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Destination.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6.Destination']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6.Destination']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Length.Total']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6.Length']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Section.Header']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6.Section']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Section.Payload']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6.Section']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Source.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6.Source']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6.Source']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Extension']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Fragmentation']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.HopLimit']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Length']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Section']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Collect.Mpls.Label.One']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Collect.Mpls.Label.Two']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Collect.Mpls.Label.Three']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Collect.Mpls.Label.Four']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Collect.Mpls.Label.Five']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Collect.Mpls.Label.Six']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Collect.Mpls.Label']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Mpls']['meta_info']
_meta_table['Native.Flow.Record.Collect.Network.Delay']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Network']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.Site.Destination.Id']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr.Site.Destination']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr.Site.Destination']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr.Site.Source.Prefix']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.Site.Source.Id']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr.Site.Source']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.Site.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr.Site.Source']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.Site.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr.Site']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.Site.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr.Site']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.Label']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.OneWayDelay']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.Service']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr.Site']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Policy.PerformanceMonitor']['meta_info']
_meta_table['Native.Flow.Record.Collect.Policy.Qos.Classification']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Policy.Qos']['meta_info']
_meta_table['Native.Flow.Record.Collect.Policy.Qos.Queue']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Policy.Qos']['meta_info']
_meta_table['Native.Flow.Record.Collect.Policy.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Policy']['meta_info']
_meta_table['Native.Flow.Record.Collect.Policy.Qos']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Policy']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.Destination.As_.Peer']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing.Destination.As_']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.Destination.As_']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing.Destination']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing.NextHop.Address']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing.NextHop.Address']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.NextHop.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing.NextHop']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.Pw.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing.Pw']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.Source.As_.Peer']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing.Source.As_']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.Source.As_']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing.Source']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.ForwardingStatus']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.NextHop']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.Pw']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing.Vrf']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Collect.Services.Waas.Segment']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Services.Waas']['meta_info']
_meta_table['Native.Flow.Record.Collect.Services.Waas']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Services']['meta_info']
_meta_table['Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Timestamp.Absolute']['meta_info']
_meta_table['Native.Flow.Record.Collect.Timestamp.Absolute']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Timestamp']['meta_info']
_meta_table['Native.Flow.Record.Collect.Timestamp.SysUptime']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Timestamp']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Bytes.Lost']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Icmp.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Icmp']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Icmp.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Icmp']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Tcp.Option.Map']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Tcp.Option']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Tcp.WindowSize.Average']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Tcp.WindowSize']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Tcp.Flags']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Tcp.Flow_']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Tcp.Option']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Tcp.WindowSize']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Event.PacketLoss.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Event.PacketLoss']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Event.PacketLoss']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Event']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Packets.Lost.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Packets.Lost']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Packets.Lost.Rate']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Packets.Lost']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Packets.Expected']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Packets']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Packets.Lost']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Packets']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Rtp.Jitter.Mean']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Rtp.Jitter']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Rtp.Flow_']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Rtp']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Rtp.Jitter']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport.Rtp']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Icmp']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Igmp']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Tcp']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Udp']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Event']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Packets']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.RoundTripTime']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport.Rtp']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Collect.Application']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Connection']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Datalink']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Flow_']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Interface']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Metadata']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Monitor']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Mpls']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Network']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Pfr']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Policy']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Routing']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Services']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Timestamp']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Collect.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Http.Uri']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application.Http']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate.PerFlow']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Bytes.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate.Variation']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Packets.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Packets']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Packets']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application.Media']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Media.Packets']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application.Media']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Dns']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Http']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Media']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Name']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Nntp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Pop3']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Rtmp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Rtsp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Sip']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Smtp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application.Ssl']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Response']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Response']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Application']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Response']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Transaction.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Transaction']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Transaction.Duration']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection.Transaction']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Client']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Delay']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Server']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection.Transaction']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Connection']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Counter.Bytes.Rate.PerFlow']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Counter.Bytes.Rate']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Counter.Bytes.Rate']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Counter.Bytes.Squared']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Counter.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Counter.Packets.Rate.PerFlow']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Counter.Packets.Rate']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Counter.Packets.Rate']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Counter.Packets']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Counter.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Counter']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Counter.Packets']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Counter']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Datalink.Dot1Q']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Datalink.Dot1Q']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Datalink']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Datalink']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Flow_.Cts.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Flow_.Cts']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Flow_.Cts.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Flow_.Cts']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Flow_.Cts']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Flow_']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Flow_.Observation']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Flow_']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Interface.Input']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Interface']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Interface.Output']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Interface']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Destination.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Length.Total']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Length']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Section.Header']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Section']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Section.Payload']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Section']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Source.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Fragmentation']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Length']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Option']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Section']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.TotalLength']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4.Ttl']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Destination.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Length.Total']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Length']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Section.Header']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Section']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Section.Payload']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Section']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Source.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Extension']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Fragmentation']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.HopLimit']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Length']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Section']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.One']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.Two']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.Three']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.Four']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.Five']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.Six']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Mpls.Label']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Mpls']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Network.Delay']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Network']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.Label']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.OneWayDelay']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.Service']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr.Site']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Policy.Qos.Classification']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Policy.Qos']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Policy.Qos.Queue']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Policy.Qos']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Policy']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Policy.Qos']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Policy']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.Destination.As_.Peer']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing.Destination.As_']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.Destination.As_']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing.NextHop.Address']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing.NextHop.Address']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.NextHop.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing.NextHop']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.Pw.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing.Pw']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.Source.As_.Peer']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing.Source.As_']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.Source.As_']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.ForwardingStatus']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.NextHop']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.Pw']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing.Vrf']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Services.Waas.Segment']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Services.Waas']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Services.Waas']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Services']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Timestamp.Absolute']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Timestamp.Absolute']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Timestamp']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Timestamp.SysUptime']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Timestamp']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Bytes.Lost']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Icmp']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Icmp']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.Option.Map']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.Option']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize.Average']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.Flags']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.Flow_']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.Option']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Event']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Packets.Lost']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Rate']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Packets.Lost']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Packets.Expected']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Packets']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Packets.Lost']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Packets']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter.Mean']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Rtp.Flow_']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Rtp']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport.Rtp']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Icmp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Igmp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Udp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Event']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Packets']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.RoundTripTime']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport.Rtp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Connection']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Counter']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Datalink']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Flow_']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Interface']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Metadata']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Monitor']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Mpls']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Network']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Pfr']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Policy']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Routing']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Services']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Timestamp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Collect']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Application.Name']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Application']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Connection.Client.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Connection.Client.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Connection.Client.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Connection.Server.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Connection.Server.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Connection.Server.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Connection.Client']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Connection']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Connection.Server']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Connection']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Datalink.Dot1Q']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Datalink.Mac.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Datalink.Mac.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Datalink.Mac.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Datalink.Mac']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Datalink.Mac.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Datalink.Mac']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Datalink.Dot1Q']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Datalink']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Datalink.Mac']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Datalink']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Flow_.Cts.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Flow_.Cts']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Flow_.Cts.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Flow_.Cts']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Flow_.Cts']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Flow_']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Flow_.Observation']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Flow_']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Interface.Input']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Interface']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Interface.Output']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Interface']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Destination.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Length.Total']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4.Length']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Section.Header']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4.Section']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Section.Payload']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4.Section']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Source.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Fragmentation']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Length']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Option']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Section']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.TotalLength']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4.Ttl']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Destination.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Length.Total']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6.Length']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Section.Header']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6.Section']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Section.Payload']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6.Section']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Source.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Extension']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Fragmentation']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.HopLimit']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Length']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Section']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Mpls.Label.One']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Mpls.Label.Two']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Mpls.Label.Three']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Mpls.Label.Four']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Mpls.Label.Five']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Mpls.Label.Six']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Mpls.Label']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Mpls']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Network.Delay']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Network']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Source.Id']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr.Site']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr.Site']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.Label']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.OneWayDelay']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.Service']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr.Site']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Policy.PerformanceMonitor']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Policy.Qos.Classification']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Policy.Qos']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Policy.Qos.Queue']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Policy.Qos']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Policy.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Policy']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Policy.Qos']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Policy']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.Destination.As_.Peer']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing.Destination.As_']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.Destination.As_']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing.Destination']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing.NextHop.Address']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing.NextHop.Address']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.NextHop.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing.NextHop']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.Pw.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing.Pw']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.Source.As_.Peer']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing.Source.As_']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.Source.As_']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing.Source']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.ForwardingStatus']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.NextHop']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.Pw']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing.Vrf']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Services.Waas.Segment']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Services.Waas']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Services.Waas']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Services']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Timestamp.Absolute']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Timestamp.Absolute']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Timestamp']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Bytes.Lost']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport.Icmp']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport.Icmp']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.Option.Map']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.Option']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize.Average']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.Flags']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.Flow_']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.Option']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Rtp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Icmp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Igmp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Tcp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport.Udp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Application']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Connection']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Datalink']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Flow_']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Interface']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Metadata']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Mpls']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Network']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Pfr']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Policy']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Routing']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Services']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Timestamp']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Match.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Default.Match']['meta_info']
_meta_table['Native.Flow.Record.Default.Collect']['meta_info'].parent =_meta_table['Native.Flow.Record.Default']['meta_info']
_meta_table['Native.Flow.Record.Default.Match']['meta_info'].parent =_meta_table['Native.Flow.Record.Default']['meta_info']
_meta_table['Native.Flow.Record.Match.Application.Name']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Application']['meta_info']
_meta_table['Native.Flow.Record.Match.Connection.Client.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Match.Connection.Client.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Match.Connection.Client.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Connection.Client']['meta_info']
_meta_table['Native.Flow.Record.Match.Connection.Server.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Match.Connection.Server.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Match.Connection.Server.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Connection.Server']['meta_info']
_meta_table['Native.Flow.Record.Match.Connection.Client']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Connection']['meta_info']
_meta_table['Native.Flow.Record.Match.Connection.Server']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Connection']['meta_info']
_meta_table['Native.Flow.Record.Match.Datalink.Dot1Q.Vlan']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Datalink.Dot1Q']['meta_info']
_meta_table['Native.Flow.Record.Match.Datalink.Mac.Destination.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Datalink.Mac.Destination']['meta_info']
_meta_table['Native.Flow.Record.Match.Datalink.Mac.Source.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Datalink.Mac.Source']['meta_info']
_meta_table['Native.Flow.Record.Match.Datalink.Mac.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Datalink.Mac']['meta_info']
_meta_table['Native.Flow.Record.Match.Datalink.Mac.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Datalink.Mac']['meta_info']
_meta_table['Native.Flow.Record.Match.Datalink.Dot1Q']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Datalink']['meta_info']
_meta_table['Native.Flow.Record.Match.Datalink.Mac']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Datalink']['meta_info']
_meta_table['Native.Flow.Record.Match.Flow_.Cts.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Flow_.Cts']['meta_info']
_meta_table['Native.Flow.Record.Match.Flow_.Cts.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Flow_.Cts']['meta_info']
_meta_table['Native.Flow.Record.Match.Flow_.Cts']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Flow_']['meta_info']
_meta_table['Native.Flow.Record.Match.Flow_.Observation']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Flow_']['meta_info']
_meta_table['Native.Flow.Record.Match.Interface.Input']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Interface']['meta_info']
_meta_table['Native.Flow.Record.Match.Interface.Output']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Interface']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Destination.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4.Destination']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4.Destination']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Length.Total']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4.Length']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Section.Header']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4.Section']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Section.Payload']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4.Section']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Source.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4.Source']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4.Source']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Fragmentation']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Length']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Option']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Section']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.TotalLength']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4.Ttl']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv4']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Destination.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6.Destination']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6.Destination']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Length.Total']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6.Length']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Section.Header']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6.Section']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Section.Payload']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6.Section']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Source.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6.Source']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6.Source']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Extension']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Fragmentation']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.HopLimit']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Length']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Section']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Ipv6']['meta_info']
_meta_table['Native.Flow.Record.Match.Mpls.Label.One']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Match.Mpls.Label.Two']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Match.Mpls.Label.Three']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Match.Mpls.Label.Four']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Match.Mpls.Label.Five']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Match.Mpls.Label.Six']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Mpls.Label']['meta_info']
_meta_table['Native.Flow.Record.Match.Mpls.Label']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Mpls']['meta_info']
_meta_table['Native.Flow.Record.Match.Network.Delay']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Network']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr.Site.Destination.Prefix']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.Site.Destination.Id']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr.Site.Destination']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.Site.Destination.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr.Site.Destination']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr.Site.Source.Prefix']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.Site.Source.Id']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr.Site.Source']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.Site.Source.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr.Site.Source']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.Site.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr.Site']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.Site.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr.Site']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.Label']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.OneWayDelay']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.Service']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr.Site']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Pfr']['meta_info']
_meta_table['Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Policy.PerformanceMonitor']['meta_info']
_meta_table['Native.Flow.Record.Match.Policy.Qos.Classification']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Policy.Qos']['meta_info']
_meta_table['Native.Flow.Record.Match.Policy.Qos.Queue']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Policy.Qos']['meta_info']
_meta_table['Native.Flow.Record.Match.Policy.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Policy']['meta_info']
_meta_table['Native.Flow.Record.Match.Policy.Qos']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Policy']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.Destination.As_.Peer']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing.Destination.As_']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.Destination.As_']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing.Destination']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.NextHop.Address.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing.NextHop.Address']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.NextHop.Address.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing.NextHop.Address']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.NextHop.Address']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing.NextHop']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.Pw.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing.Pw']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.Source.As_.Peer']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing.Source.As_']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.Source.As_']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing.Source']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.Destination']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.ForwardingStatus']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.NextHop']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.Pw']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.Source']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing.Vrf']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Routing']['meta_info']
_meta_table['Native.Flow.Record.Match.Services.Waas.Segment']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Services.Waas']['meta_info']
_meta_table['Native.Flow.Record.Match.Services.Waas']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Services']['meta_info']
_meta_table['Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Timestamp.Absolute']['meta_info']
_meta_table['Native.Flow.Record.Match.Timestamp.Absolute']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Timestamp']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Bytes.Lost']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport.Bytes']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Icmp.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport.Icmp']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Icmp.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport.Icmp']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Tcp.Option.Map']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport.Tcp.Option']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Tcp.WindowSize.Average']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport.Tcp.WindowSize']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Tcp.Flags']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Tcp.Flow_']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Tcp.Option']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Tcp.WindowSize']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport.Tcp']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Bytes']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Rtp']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Icmp']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Igmp']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Tcp']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport.Udp']['meta_info'].parent =_meta_table['Native.Flow.Record.Match.Transport']['meta_info']
_meta_table['Native.Flow.Record.Match.Application']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Connection']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Datalink']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Flow_']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Interface']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Metadata']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Mpls']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Network']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Pfr']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Policy']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Routing']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Services']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Timestamp']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Match.Transport']['meta_info'].parent =_meta_table['Native.Flow.Record.Match']['meta_info']
_meta_table['Native.Flow.Record.Collect']['meta_info'].parent =_meta_table['Native.Flow.Record']['meta_info']
_meta_table['Native.Flow.Record.Default']['meta_info'].parent =_meta_table['Native.Flow.Record']['meta_info']
_meta_table['Native.Flow.Record.Match']['meta_info'].parent =_meta_table['Native.Flow.Record']['meta_info']
_meta_table['Native.Flow.Exporter.Option.ApplicationAttributes']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Option.ApplicationTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Option.C3PlClassTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Option.C3PlPolicyTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Option.ExporterStats']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Option.InterfaceTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Option.MetadataVersionTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Option.SamplerTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Option.SubApplicationTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Option.VrfTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Source.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Source']['meta_info']
_meta_table['Native.Flow.Exporter.Source.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Source']['meta_info']
_meta_table['Native.Flow.Exporter.Source.LispSubinterface']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Source']['meta_info']
_meta_table['Native.Flow.Exporter.Source.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Source']['meta_info']
_meta_table['Native.Flow.Exporter.Template.Data']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Template']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Option.ApplicationAttributes']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Option.C3PlClassTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Option.C3PlPolicyTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Option.ExporterStats']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Option.InterfaceTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Option.MetadataVersionTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Option.SamplerTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Option.SubApplicationTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Option.VrfTable']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default.Option']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Template.Data']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default.Template']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Option']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default']['meta_info']
_meta_table['Native.Flow.Exporter.Default.Template']['meta_info'].parent =_meta_table['Native.Flow.Exporter.Default']['meta_info']
_meta_table['Native.Flow.Exporter.Destination']['meta_info'].parent =_meta_table['Native.Flow.Exporter']['meta_info']
_meta_table['Native.Flow.Exporter.Option']['meta_info'].parent =_meta_table['Native.Flow.Exporter']['meta_info']
_meta_table['Native.Flow.Exporter.OutputFeatures']['meta_info'].parent =_meta_table['Native.Flow.Exporter']['meta_info']
_meta_table['Native.Flow.Exporter.Source']['meta_info'].parent =_meta_table['Native.Flow.Exporter']['meta_info']
_meta_table['Native.Flow.Exporter.Template']['meta_info'].parent =_meta_table['Native.Flow.Exporter']['meta_info']
_meta_table['Native.Flow.Exporter.Transport']['meta_info'].parent =_meta_table['Native.Flow.Exporter']['meta_info']
_meta_table['Native.Flow.Exporter.Default']['meta_info'].parent =_meta_table['Native.Flow.Exporter']['meta_info']
_meta_table['Native.Flow.Monitor.Cache.Timeout.Event']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Cache.Timeout']['meta_info']
_meta_table['Native.Flow.Monitor.Cache.Timeout']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Cache']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.As_']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefix']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalInput']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalOutput']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefix']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.AsTos']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.BgpNexthopTos']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefixTos']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.PrefixTos']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefixTos']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.As_']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.DestinationPrefix']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalInput']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalOutput']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.Prefix']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.SourcePrefix']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.BgpNexthop']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record.Netflow']['meta_info']
_meta_table['Native.Flow.Monitor.Record.Netflow']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Record']['meta_info']
_meta_table['Native.Flow.Monitor.Statistics.Packet']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Statistics']['meta_info']
_meta_table['Native.Flow.Monitor.Default.Cache.Timeout.Event']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Default.Cache.Timeout']['meta_info']
_meta_table['Native.Flow.Monitor.Default.Cache.Timeout']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Default.Cache']['meta_info']
_meta_table['Native.Flow.Monitor.Default.Statistics.Packet']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Default.Statistics']['meta_info']
_meta_table['Native.Flow.Monitor.Default.Cache']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Default']['meta_info']
_meta_table['Native.Flow.Monitor.Default.Statistics']['meta_info'].parent =_meta_table['Native.Flow.Monitor.Default']['meta_info']
_meta_table['Native.Flow.Monitor.Cache']['meta_info'].parent =_meta_table['Native.Flow.Monitor']['meta_info']
_meta_table['Native.Flow.Monitor.Exporter']['meta_info'].parent =_meta_table['Native.Flow.Monitor']['meta_info']
_meta_table['Native.Flow.Monitor.History']['meta_info'].parent =_meta_table['Native.Flow.Monitor']['meta_info']
_meta_table['Native.Flow.Monitor.Record']['meta_info'].parent =_meta_table['Native.Flow.Monitor']['meta_info']
_meta_table['Native.Flow.Monitor.Statistics']['meta_info'].parent =_meta_table['Native.Flow.Monitor']['meta_info']
_meta_table['Native.Flow.Monitor.Default']['meta_info'].parent =_meta_table['Native.Flow.Monitor']['meta_info']
_meta_table['Native.Flow.Record']['meta_info'].parent =_meta_table['Native.Flow']['meta_info']
_meta_table['Native.Flow.Exporter']['meta_info'].parent =_meta_table['Native.Flow']['meta_info']
_meta_table['Native.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Flow']['meta_info']
_meta_table['Native.Ip.Admission.Name.Webauth.Proxy']['meta_info'].parent =_meta_table['Native.Ip.Admission.Name.Webauth']['meta_info']
_meta_table['Native.Ip.Admission.Name.Webauth']['meta_info'].parent =_meta_table['Native.Ip.Admission.Name']['meta_info']
_meta_table['Native.Ip.Admission.WatchList']['meta_info'].parent =_meta_table['Native.Ip.Admission']['meta_info']
_meta_table['Native.Ip.Admission.Name']['meta_info'].parent =_meta_table['Native.Ip.Admission']['meta_info']
_meta_table['Native.Ip.Arp.Inspection.Filter.Vlan']['meta_info'].parent =_meta_table['Native.Ip.Arp.Inspection.Filter']['meta_info']
_meta_table['Native.Ip.Arp.Inspection.Validate.Allow']['meta_info'].parent =_meta_table['Native.Ip.Arp.Inspection.Validate']['meta_info']
_meta_table['Native.Ip.Arp.Inspection.LogBuffer.Logs']['meta_info'].parent =_meta_table['Native.Ip.Arp.Inspection.LogBuffer']['meta_info']
_meta_table['Native.Ip.Arp.Inspection.Filter']['meta_info'].parent =_meta_table['Native.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Ip.Arp.Inspection.Validate']['meta_info'].parent =_meta_table['Native.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Ip.Arp.Inspection.LogBuffer']['meta_info'].parent =_meta_table['Native.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Ip.Arp.Incomplete']['meta_info'].parent =_meta_table['Native.Ip.Arp']['meta_info']
_meta_table['Native.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Ip.Arp']['meta_info']
_meta_table['Native.Ip.Arp.Proxy']['meta_info'].parent =_meta_table['Native.Ip.Arp']['meta_info']
_meta_table['Native.Ip.DomainList.Vrf']['meta_info'].parent =_meta_table['Native.Ip.DomainList']['meta_info']
_meta_table['Native.Ip.Vrf.Bgp.NextHop']['meta_info'].parent =_meta_table['Native.Ip.Vrf.Bgp']['meta_info']
_meta_table['Native.Ip.Vrf.Import_.Ipv4']['meta_info'].parent =_meta_table['Native.Ip.Vrf.Import_']['meta_info']
_meta_table['Native.Ip.Vrf.Mdt.Data']['meta_info'].parent =_meta_table['Native.Ip.Vrf.Mdt']['meta_info']
_meta_table['Native.Ip.Vrf.Bgp']['meta_info'].parent =_meta_table['Native.Ip.Vrf']['meta_info']
_meta_table['Native.Ip.Vrf.Export']['meta_info'].parent =_meta_table['Native.Ip.Vrf']['meta_info']
_meta_table['Native.Ip.Vrf.Import_']['meta_info'].parent =_meta_table['Native.Ip.Vrf']['meta_info']
_meta_table['Native.Ip.Vrf.Maximum']['meta_info'].parent =_meta_table['Native.Ip.Vrf']['meta_info']
_meta_table['Native.Ip.Vrf.Mdt']['meta_info'].parent =_meta_table['Native.Ip.Vrf']['meta_info']
_meta_table['Native.Ip.Vrf.RouteTarget']['meta_info'].parent =_meta_table['Native.Ip.Vrf']['meta_info']
_meta_table['Native.Ip.Vrf.Vpn']['meta_info'].parent =_meta_table['Native.Ip.Vrf']['meta_info']
_meta_table['Native.Ip.AsPath.AccessList.Deny']['meta_info'].parent =_meta_table['Native.Ip.AsPath.AccessList']['meta_info']
_meta_table['Native.Ip.AsPath.AccessList.Permit']['meta_info'].parent =_meta_table['Native.Ip.AsPath.AccessList']['meta_info']
_meta_table['Native.Ip.AsPath.AccessList']['meta_info'].parent =_meta_table['Native.Ip.AsPath']['meta_info']
_meta_table['Native.Ip.Local.Pool']['meta_info'].parent =_meta_table['Native.Ip.Local']['meta_info']
_meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp']['meta_info'].parent =_meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination']['meta_info']
_meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination']['meta_info'].parent =_meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source']['meta_info']
_meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Destination']['meta_info'].parent =_meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts']['meta_info']
_meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source']['meta_info'].parent =_meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts']['meta_info']
_meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts']['meta_info'].parent =_meta_table['Native.Ip.Cef.LoadSharing.Algorithm']['meta_info']
_meta_table['Native.Ip.Cef.LoadSharing.Algorithm']['meta_info'].parent =_meta_table['Native.Ip.Cef.LoadSharing']['meta_info']
_meta_table['Native.Ip.Cef.LoadSharing']['meta_info'].parent =_meta_table['Native.Ip.Cef']['meta_info']
_meta_table['Native.Ip.Domain.List.Vrf']['meta_info'].parent =_meta_table['Native.Ip.Domain.List']['meta_info']
_meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface']['meta_info']
_meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface']['meta_info']
_meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface']['meta_info']
_meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface']['meta_info']
_meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface']['meta_info'].parent =_meta_table['Native.Ip.Domain.LookupSettings.Lookup']['meta_info']
_meta_table['Native.Ip.Domain.LookupSettings.Lookup']['meta_info'].parent =_meta_table['Native.Ip.Domain.LookupSettings']['meta_info']
_meta_table['Native.Ip.Domain.List']['meta_info'].parent =_meta_table['Native.Ip.Domain']['meta_info']
_meta_table['Native.Ip.Domain.LookupSettings']['meta_info'].parent =_meta_table['Native.Ip.Domain']['meta_info']
_meta_table['Native.Ip.DomainLookup.SourceInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Ip.DomainLookup.SourceInterface']['meta_info']
_meta_table['Native.Ip.DomainLookup.SourceInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Ip.DomainLookup.SourceInterface']['meta_info']
_meta_table['Native.Ip.DomainLookup.SourceInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Ip.DomainLookup.SourceInterface']['meta_info']
_meta_table['Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Ip.DomainLookup.SourceInterface']['meta_info']
_meta_table['Native.Ip.DomainLookup.SourceInterface']['meta_info'].parent =_meta_table['Native.Ip.DomainLookup']['meta_info']
_meta_table['Native.Ip.Dns.Server']['meta_info'].parent =_meta_table['Native.Ip.Dns']['meta_info']
_meta_table['Native.Ip.Dhcp.Class_.Relay.Agent']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Class_.Relay']['meta_info']
_meta_table['Native.Ip.Dhcp.Class_.Relay']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Class_']['meta_info']
_meta_table['Native.Ip.Dhcp.Conflict.Resolution']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Conflict']['meta_info']
_meta_table['Native.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Ip.Dhcp.Pool.Class_.Address.Range']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Pool.Class_.Address']['meta_info']
_meta_table['Native.Ip.Dhcp.Pool.Class_.Address']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Pool.Class_']['meta_info']
_meta_table['Native.Ip.Dhcp.Pool.Class_']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Pool']['meta_info']
_meta_table['Native.Ip.Dhcp.Pool.Lease']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Pool']['meta_info']
_meta_table['Native.Ip.Dhcp.Pool.Network']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Pool']['meta_info']
_meta_table['Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Snooping.Information.Option.Format']['meta_info']
_meta_table['Native.Ip.Dhcp.Snooping.Information.Option.Format']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Snooping.Information.Option']['meta_info']
_meta_table['Native.Ip.Dhcp.Snooping.Information.Option']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Snooping.Information']['meta_info']
_meta_table['Native.Ip.Dhcp.Snooping.Database']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Ip.Dhcp.Snooping.Information']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Ip.Dhcp.Snooping.Track']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Ip.Dhcp.Snooping.Verify']['meta_info'].parent =_meta_table['Native.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Ip.Dhcp.Bootp']['meta_info'].parent =_meta_table['Native.Ip.Dhcp']['meta_info']
_meta_table['Native.Ip.Dhcp.Class_']['meta_info'].parent =_meta_table['Native.Ip.Dhcp']['meta_info']
_meta_table['Native.Ip.Dhcp.Conflict']['meta_info'].parent =_meta_table['Native.Ip.Dhcp']['meta_info']
_meta_table['Native.Ip.Dhcp.ExcludedAddress']['meta_info'].parent =_meta_table['Native.Ip.Dhcp']['meta_info']
_meta_table['Native.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Ip.Dhcp']['meta_info']
_meta_table['Native.Ip.Dhcp.Pool']['meta_info'].parent =_meta_table['Native.Ip.Dhcp']['meta_info']
_meta_table['Native.Ip.Dhcp.SnoopingConf']['meta_info'].parent =_meta_table['Native.Ip.Dhcp']['meta_info']
_meta_table['Native.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Ip.Dhcp']['meta_info']
_meta_table['Native.Ip.ForwardProtocol.SpanningTree']['meta_info'].parent =_meta_table['Native.Ip.ForwardProtocol']['meta_info']
_meta_table['Native.Ip.ForwardProtocol.Udp']['meta_info'].parent =_meta_table['Native.Ip.ForwardProtocol']['meta_info']
_meta_table['Native.Ip.Ftp.SourceInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Ftp.SourceInterface']['meta_info']
_meta_table['Native.Ip.Ftp.SourceInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Ip.Ftp.SourceInterface']['meta_info']
_meta_table['Native.Ip.Ftp.SourceInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Ftp.SourceInterface']['meta_info']
_meta_table['Native.Ip.Ftp.SourceInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Ftp.SourceInterface']['meta_info']
_meta_table['Native.Ip.Ftp.Password.PasswordContainer']['meta_info'].parent =_meta_table['Native.Ip.Ftp.Password']['meta_info']
_meta_table['Native.Ip.Ftp.SourceInterface']['meta_info'].parent =_meta_table['Native.Ip.Ftp']['meta_info']
_meta_table['Native.Ip.Ftp.Password']['meta_info'].parent =_meta_table['Native.Ip.Ftp']['meta_info']
_meta_table['Native.Ip.Multicast.Vrf']['meta_info'].parent =_meta_table['Native.Ip.Multicast']['meta_info']
_meta_table['Native.Ip.NameServer.Vrf']['meta_info'].parent =_meta_table['Native.Ip.NameServer']['meta_info']
_meta_table['Native.Ip.Pim.SptThresholdContainer.SptThreshold']['meta_info'].parent =_meta_table['Native.Ip.Pim.SptThresholdContainer']['meta_info']
_meta_table['Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope.GroupList']['meta_info'].parent =_meta_table['Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope']['meta_info']
_meta_table['Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope']['meta_info'].parent =_meta_table['Native.Ip.Pim.SendRpAnnounce.Interface_List']['meta_info']
_meta_table['Native.Ip.Pim.SendRpAnnounce.Interface_List']['meta_info'].parent =_meta_table['Native.Ip.Pim.SendRpAnnounce']['meta_info']
_meta_table['Native.Ip.Pim.SendRpAnnounce.PortChannel']['meta_info'].parent =_meta_table['Native.Ip.Pim.SendRpAnnounce']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf.SptThresholdContainer']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope.GroupList']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce.PortChannel']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.AcceptRegister']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.Autorp']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.RpAddress']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.SptThreshold']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.SptThresholdContainer']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.SendRpDiscovery']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf']['meta_info']
_meta_table['Native.Ip.Pim.Vrf.Ssm']['meta_info'].parent =_meta_table['Native.Ip.Pim.Vrf']['meta_info']
_meta_table['Native.Ip.Pim.AcceptRegister']['meta_info'].parent =_meta_table['Native.Ip.Pim']['meta_info']
_meta_table['Native.Ip.Pim.Autorp']['meta_info'].parent =_meta_table['Native.Ip.Pim']['meta_info']
_meta_table['Native.Ip.Pim.RpAddress']['meta_info'].parent =_meta_table['Native.Ip.Pim']['meta_info']
_meta_table['Native.Ip.Pim.SptThreshold']['meta_info'].parent =_meta_table['Native.Ip.Pim']['meta_info']
_meta_table['Native.Ip.Pim.SptThresholdContainer']['meta_info'].parent =_meta_table['Native.Ip.Pim']['meta_info']
_meta_table['Native.Ip.Pim.SendRpAnnounce']['meta_info'].parent =_meta_table['Native.Ip.Pim']['meta_info']
_meta_table['Native.Ip.Pim.SendRpDiscovery']['meta_info'].parent =_meta_table['Native.Ip.Pim']['meta_info']
_meta_table['Native.Ip.Pim.Ssm']['meta_info'].parent =_meta_table['Native.Ip.Pim']['meta_info']
_meta_table['Native.Ip.Pim.Vrf']['meta_info'].parent =_meta_table['Native.Ip.Pim']['meta_info']
_meta_table['Native.Ip.PrefixList.Prefixes.Permit.PermitList']['meta_info'].parent =_meta_table['Native.Ip.PrefixList.Prefixes.Permit']['meta_info']
_meta_table['Native.Ip.PrefixList.Prefixes.Deny.DenyList']['meta_info'].parent =_meta_table['Native.Ip.PrefixList.Prefixes.Deny']['meta_info']
_meta_table['Native.Ip.PrefixList.Prefixes.Seq.Deny']['meta_info'].parent =_meta_table['Native.Ip.PrefixList.Prefixes.Seq']['meta_info']
_meta_table['Native.Ip.PrefixList.Prefixes.Seq.Permit']['meta_info'].parent =_meta_table['Native.Ip.PrefixList.Prefixes.Seq']['meta_info']
_meta_table['Native.Ip.PrefixList.Prefixes.Permit']['meta_info'].parent =_meta_table['Native.Ip.PrefixList.Prefixes']['meta_info']
_meta_table['Native.Ip.PrefixList.Prefixes.Deny']['meta_info'].parent =_meta_table['Native.Ip.PrefixList.Prefixes']['meta_info']
_meta_table['Native.Ip.PrefixList.Prefixes.Seq']['meta_info'].parent =_meta_table['Native.Ip.PrefixList.Prefixes']['meta_info']
_meta_table['Native.Ip.PrefixList.Prefixes']['meta_info'].parent =_meta_table['Native.Ip.PrefixList']['meta_info']
_meta_table['Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList']['meta_info'].parent =_meta_table['Native.Ip.Route.IpRouteInterfaceForwardingList']['meta_info']
_meta_table['Native.Ip.Route.Static.Bfd']['meta_info'].parent =_meta_table['Native.Ip.Route.Static']['meta_info']
_meta_table['Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop']['meta_info'].parent =_meta_table['Native.Ip.Route.Static']['meta_info']
_meta_table['Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList']['meta_info'].parent =_meta_table['Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList']['meta_info']
_meta_table['Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList']['meta_info'].parent =_meta_table['Native.Ip.Route.Vrf']['meta_info']
_meta_table['Native.Ip.Route.IpRouteInterfaceForwardingList']['meta_info'].parent =_meta_table['Native.Ip.Route']['meta_info']
_meta_table['Native.Ip.Route.Static']['meta_info'].parent =_meta_table['Native.Ip.Route']['meta_info']
_meta_table['Native.Ip.Route.Vrf']['meta_info'].parent =_meta_table['Native.Ip.Route']['meta_info']
_meta_table['Native.Ip.Scp.Server']['meta_info'].parent =_meta_table['Native.Ip.Scp']['meta_info']
_meta_table['Native.Ip.Spd.Queue']['meta_info'].parent =_meta_table['Native.Ip.Spd']['meta_info']
_meta_table['Native.Ip.Ssh.PubkeyChain.Username.KeyHash']['meta_info'].parent =_meta_table['Native.Ip.Ssh.PubkeyChain.Username']['meta_info']
_meta_table['Native.Ip.Ssh.PubkeyChain.Username']['meta_info'].parent =_meta_table['Native.Ip.Ssh.PubkeyChain']['meta_info']
_meta_table['Native.Ip.Ssh.Logging']['meta_info'].parent =_meta_table['Native.Ip.Ssh']['meta_info']
_meta_table['Native.Ip.Ssh.PubkeyChain']['meta_info'].parent =_meta_table['Native.Ip.Ssh']['meta_info']
_meta_table['Native.Ip.Ssh.Rsa']['meta_info'].parent =_meta_table['Native.Ip.Ssh']['meta_info']
_meta_table['Native.Ip.Ssh.Port']['meta_info'].parent =_meta_table['Native.Ip.Ssh']['meta_info']
_meta_table['Native.Ip.Tcp.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Ip.Tcp']['meta_info']
_meta_table['Native.Ip.Tftp.BootInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tftp.BootInterface']['meta_info']
_meta_table['Native.Ip.Tftp.BootInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tftp.BootInterface']['meta_info']
_meta_table['Native.Ip.Tftp.BootInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tftp.BootInterface']['meta_info']
_meta_table['Native.Ip.Tftp.BootInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tftp.BootInterface']['meta_info']
_meta_table['Native.Ip.Tftp.SourceInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tftp.SourceInterface']['meta_info']
_meta_table['Native.Ip.Tftp.SourceInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tftp.SourceInterface']['meta_info']
_meta_table['Native.Ip.Tftp.SourceInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tftp.SourceInterface']['meta_info']
_meta_table['Native.Ip.Tftp.SourceInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tftp.SourceInterface']['meta_info']
_meta_table['Native.Ip.Tftp.BootInterface']['meta_info'].parent =_meta_table['Native.Ip.Tftp']['meta_info']
_meta_table['Native.Ip.Tftp.SourceInterface']['meta_info'].parent =_meta_table['Native.Ip.Tftp']['meta_info']
_meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule.Deny']['meta_info']
_meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule.Permit']['meta_info']
_meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule.Deny']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule']['meta_info']
_meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule.Permit']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule']['meta_info']
_meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny']['meta_info']
_meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit']['meta_info']
_meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule']['meta_info']
_meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule']['meta_info']
_meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Standard.Default']['meta_info']
_meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Standard']['meta_info']
_meta_table['Native.Ip.AccessList.Standard.Default']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Standard']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased.Default']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased.Default']['meta_info'].parent =_meta_table['Native.Ip.AccessList.RoleBased']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended.Default']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended']['meta_info']
_meta_table['Native.Ip.AccessList.Extended.Default']['meta_info'].parent =_meta_table['Native.Ip.AccessList.Extended']['meta_info']
_meta_table['Native.Ip.AccessList.Standard']['meta_info'].parent =_meta_table['Native.Ip.AccessList']['meta_info']
_meta_table['Native.Ip.AccessList.RoleBased']['meta_info'].parent =_meta_table['Native.Ip.AccessList']['meta_info']
_meta_table['Native.Ip.AccessList.Extended']['meta_info'].parent =_meta_table['Native.Ip.AccessList']['meta_info']
_meta_table['Native.Ip.AccessList.Helper']['meta_info'].parent =_meta_table['Native.Ip.AccessList']['meta_info']
_meta_table['Native.Ip.AccessList.LogUpdate']['meta_info'].parent =_meta_table['Native.Ip.AccessList']['meta_info']
_meta_table['Native.Ip.AccessList.Logging']['meta_info'].parent =_meta_table['Native.Ip.AccessList']['meta_info']
_meta_table['Native.Ip.AccessList.Resequence']['meta_info'].parent =_meta_table['Native.Ip.AccessList']['meta_info']
_meta_table['Native.Ip.Device.Tracking.Probe.AutoSource.Fallback']['meta_info'].parent =_meta_table['Native.Ip.Device.Tracking.Probe.AutoSource']['meta_info']
_meta_table['Native.Ip.Device.Tracking.Probe.AutoSource']['meta_info'].parent =_meta_table['Native.Ip.Device.Tracking.Probe']['meta_info']
_meta_table['Native.Ip.Device.Tracking.Probe']['meta_info'].parent =_meta_table['Native.Ip.Device.Tracking']['meta_info']
_meta_table['Native.Ip.Device.Tracking']['meta_info'].parent =_meta_table['Native.Ip.Device']['meta_info']
_meta_table['Native.Ip.Radius.SourceInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Radius.SourceInterface']['meta_info']
_meta_table['Native.Ip.Radius.SourceInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Ip.Radius.SourceInterface']['meta_info']
_meta_table['Native.Ip.Radius.SourceInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Radius.SourceInterface']['meta_info']
_meta_table['Native.Ip.Radius.SourceInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Radius.SourceInterface']['meta_info']
_meta_table['Native.Ip.Radius.SourceInterface']['meta_info'].parent =_meta_table['Native.Ip.Radius']['meta_info']
_meta_table['Native.Ip.Tacacs.SourceInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tacacs.SourceInterface']['meta_info']
_meta_table['Native.Ip.Tacacs.SourceInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tacacs.SourceInterface']['meta_info']
_meta_table['Native.Ip.Tacacs.SourceInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tacacs.SourceInterface']['meta_info']
_meta_table['Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Tacacs.SourceInterface']['meta_info']
_meta_table['Native.Ip.Tacacs.SourceInterface']['meta_info'].parent =_meta_table['Native.Ip.Tacacs']['meta_info']
_meta_table['Native.Ip.CommunityList.NumberStandard.Deny']['meta_info'].parent =_meta_table['Native.Ip.CommunityList.NumberStandard']['meta_info']
_meta_table['Native.Ip.CommunityList.NumberStandard.Permit']['meta_info'].parent =_meta_table['Native.Ip.CommunityList.NumberStandard']['meta_info']
_meta_table['Native.Ip.CommunityList.NumberExpanded.Deny']['meta_info'].parent =_meta_table['Native.Ip.CommunityList.NumberExpanded']['meta_info']
_meta_table['Native.Ip.CommunityList.NumberExpanded.Permit']['meta_info'].parent =_meta_table['Native.Ip.CommunityList.NumberExpanded']['meta_info']
_meta_table['Native.Ip.CommunityList.Expanded.Deny']['meta_info'].parent =_meta_table['Native.Ip.CommunityList.Expanded']['meta_info']
_meta_table['Native.Ip.CommunityList.Expanded.Permit']['meta_info'].parent =_meta_table['Native.Ip.CommunityList.Expanded']['meta_info']
_meta_table['Native.Ip.CommunityList.Standard.Deny']['meta_info'].parent =_meta_table['Native.Ip.CommunityList.Standard']['meta_info']
_meta_table['Native.Ip.CommunityList.Standard.Permit']['meta_info'].parent =_meta_table['Native.Ip.CommunityList.Standard']['meta_info']
_meta_table['Native.Ip.CommunityList.NumberStandard']['meta_info'].parent =_meta_table['Native.Ip.CommunityList']['meta_info']
_meta_table['Native.Ip.CommunityList.NumberExpanded']['meta_info'].parent =_meta_table['Native.Ip.CommunityList']['meta_info']
_meta_table['Native.Ip.CommunityList.Expanded']['meta_info'].parent =_meta_table['Native.Ip.CommunityList']['meta_info']
_meta_table['Native.Ip.CommunityList.Standard']['meta_info'].parent =_meta_table['Native.Ip.CommunityList']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Deny.Rt']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Deny']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Deny.Soo']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Deny']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Deny.VpnDistinguisher']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Deny']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Permit.Rt']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Permit']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Permit.Soo']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Permit']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Permit.VpnDistinguisher']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Permit']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Deny']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.NumberStandard']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberStandard.Permit']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.NumberStandard']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberExpanded.Deny']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.NumberExpanded']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberExpanded.Permit']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.NumberExpanded']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Expanded.Deny']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.Expanded']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Expanded.Permit']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.Expanded']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Standard.Deny.Rt']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.Standard.Deny']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Standard.Deny.Soo']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.Standard.Deny']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Standard.Deny.VpnDistinguisher']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.Standard.Deny']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Standard.Permit.Rt']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.Standard.Permit']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Standard.Permit.Soo']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.Standard.Permit']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Standard.Permit.VpnDistinguisher']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.Standard.Permit']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Standard.Deny']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.Standard']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Standard.Permit']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList.Standard']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberStandard']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.NumberExpanded']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Expanded']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList']['meta_info']
_meta_table['Native.Ip.ExtcommunityList.Standard']['meta_info'].parent =_meta_table['Native.Ip.ExtcommunityList']['meta_info']
_meta_table['Native.Ip.Http.Client.ProxyServer']['meta_info'].parent =_meta_table['Native.Ip.Http.Client']['meta_info']
_meta_table['Native.Ip.Http.Authentication']['meta_info'].parent =_meta_table['Native.Ip.Http']['meta_info']
_meta_table['Native.Ip.Http.TimeoutPolicy']['meta_info'].parent =_meta_table['Native.Ip.Http']['meta_info']
_meta_table['Native.Ip.Http.Client']['meta_info'].parent =_meta_table['Native.Ip.Http']['meta_info']
_meta_table['Native.Ip.Icmp.RateLimit.Unreachable.Log']['meta_info'].parent =_meta_table['Native.Ip.Icmp.RateLimit.Unreachable']['meta_info']
_meta_table['Native.Ip.Icmp.RateLimit.Unreachable']['meta_info'].parent =_meta_table['Native.Ip.Icmp.RateLimit']['meta_info']
_meta_table['Native.Ip.Icmp.RateLimit']['meta_info'].parent =_meta_table['Native.Ip.Icmp']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Querier.Tcn.Query']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Querier.Tcn']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Querier.Tcn']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Querier']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Querier.Timer']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Querier']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Tcn.Flood.Query']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Tcn.Flood']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Tcn.Flood']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Tcn']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Tcn.Query']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Tcn']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Querier']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Querier']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Static.Ipv4']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Static']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Querier']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Static']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Vlan.Range']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping.Vlan']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Check']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.ExplicitTracking']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Querier']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Tcn']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping.Vlan']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.Ip.Igmp.SsmMap.Query']['meta_info'].parent =_meta_table['Native.Ip.Igmp.SsmMap']['meta_info']
_meta_table['Native.Ip.Igmp.SsmMap.Static']['meta_info'].parent =_meta_table['Native.Ip.Igmp.SsmMap']['meta_info']
_meta_table['Native.Ip.Igmp.Vrf.SsmMap.Static']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Vrf.SsmMap']['meta_info']
_meta_table['Native.Ip.Igmp.Vrf.SsmMap']['meta_info'].parent =_meta_table['Native.Ip.Igmp.Vrf']['meta_info']
_meta_table['Native.Ip.Igmp.SnoopingConf']['meta_info'].parent =_meta_table['Native.Ip.Igmp']['meta_info']
_meta_table['Native.Ip.Igmp.Snooping']['meta_info'].parent =_meta_table['Native.Ip.Igmp']['meta_info']
_meta_table['Native.Ip.Igmp.SsmMap']['meta_info'].parent =_meta_table['Native.Ip.Igmp']['meta_info']
_meta_table['Native.Ip.Igmp.Vrf']['meta_info'].parent =_meta_table['Native.Ip.Igmp']['meta_info']
_meta_table['Native.Ip.Msdp.Password.Peer']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Password']['meta_info']
_meta_table['Native.Ip.Msdp.SaFilter.In_']['meta_info'].parent =_meta_table['Native.Ip.Msdp.SaFilter']['meta_info']
_meta_table['Native.Ip.Msdp.SaFilter.Out']['meta_info'].parent =_meta_table['Native.Ip.Msdp.SaFilter']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.Password.Peer']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf.Password']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.SaFilter.In_']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf.SaFilter']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.SaFilter.Out']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf.SaFilter']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.Peer']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.DefaultPeer']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.Description']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.FilterSaRequest']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.Keepalive']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.MeshGroup']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.Password']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.Redistribute']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.SaFilter']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.SaLimit']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.Shutdown']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf.TtlThreshold']['meta_info'].parent =_meta_table['Native.Ip.Msdp.Vrf']['meta_info']
_meta_table['Native.Ip.Msdp.Peer']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.DefaultPeer']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.Description']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.FilterSaRequest']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.Keepalive']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.MeshGroup']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.Password']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.Redistribute']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.SaFilter']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.SaLimit']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.Shutdown']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.TtlThreshold']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.Msdp.Vrf']['meta_info'].parent =_meta_table['Native.Ip.Msdp']['meta_info']
_meta_table['Native.Ip.MulticastRouting.Vrf']['meta_info'].parent =_meta_table['Native.Ip.MulticastRouting']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.List.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.List.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.List.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.List.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.List.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.List.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.List.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.List.Interface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.List']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Oer']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Vrf']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Overload']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Vrf']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.RouteMap']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Oer']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.RouteMap']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Overload']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.RouteMap']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Vrf']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.RouteMap']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.Static']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source.Static']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.List']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.RouteMap']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source.Static']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Source']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Destination.List']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside.Destination']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Source']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside']['meta_info']
_meta_table['Native.Ip.Nat.Inside.Destination']['meta_info'].parent =_meta_table['Native.Ip.Nat.Inside']['meta_info']
_meta_table['Native.Ip.Nat.Outside.List']['meta_info'].parent =_meta_table['Native.Ip.Nat.Outside']['meta_info']
_meta_table['Native.Ip.Nat.Outside.RouteMap']['meta_info'].parent =_meta_table['Native.Ip.Nat.Outside']['meta_info']
_meta_table['Native.Ip.Nat.Pool']['meta_info'].parent =_meta_table['Native.Ip.Nat']['meta_info']
_meta_table['Native.Ip.Nat.Inside']['meta_info'].parent =_meta_table['Native.Ip.Nat']['meta_info']
_meta_table['Native.Ip.Nat.Outside']['meta_info'].parent =_meta_table['Native.Ip.Nat']['meta_info']
_meta_table['Native.Ip.Nbar.Attribute.ApplicationGroup.Custom']['meta_info'].parent =_meta_table['Native.Ip.Nbar.Attribute.ApplicationGroup']['meta_info']
_meta_table['Native.Ip.Nbar.Attribute.Category.Custom']['meta_info'].parent =_meta_table['Native.Ip.Nbar.Attribute.Category']['meta_info']
_meta_table['Native.Ip.Nbar.Attribute.SubCategory.Custom']['meta_info'].parent =_meta_table['Native.Ip.Nbar.Attribute.SubCategory']['meta_info']
_meta_table['Native.Ip.Nbar.Attribute.ApplicationGroup']['meta_info'].parent =_meta_table['Native.Ip.Nbar.Attribute']['meta_info']
_meta_table['Native.Ip.Nbar.Attribute.Category']['meta_info'].parent =_meta_table['Native.Ip.Nbar.Attribute']['meta_info']
_meta_table['Native.Ip.Nbar.Attribute.SubCategory']['meta_info'].parent =_meta_table['Native.Ip.Nbar.Attribute']['meta_info']
_meta_table['Native.Ip.Nbar.AttributeMap.Attribute']['meta_info'].parent =_meta_table['Native.Ip.Nbar.AttributeMap']['meta_info']
_meta_table['Native.Ip.Nbar.Custom.Http']['meta_info'].parent =_meta_table['Native.Ip.Nbar.Custom']['meta_info']
_meta_table['Native.Ip.Nbar.Attribute']['meta_info'].parent =_meta_table['Native.Ip.Nbar']['meta_info']
_meta_table['Native.Ip.Nbar.AttributeMap']['meta_info'].parent =_meta_table['Native.Ip.Nbar']['meta_info']
_meta_table['Native.Ip.Nbar.AttributeSet']['meta_info'].parent =_meta_table['Native.Ip.Nbar']['meta_info']
_meta_table['Native.Ip.Nbar.Custom']['meta_info'].parent =_meta_table['Native.Ip.Nbar']['meta_info']
_meta_table['Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry.IcmpEcho.History']['meta_info']
_meta_table['Native.Ip.Sla.Entry.IcmpEcho.History']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry.IcmpEcho']['meta_info']
_meta_table['Native.Ip.Sla.Entry.PathJitter.Default']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry.PathJitter']['meta_info']
_meta_table['Native.Ip.Sla.Entry.UdpJitter.History.Enhanced']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry.UdpJitter.History']['meta_info']
_meta_table['Native.Ip.Sla.Entry.UdpJitter.History']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry.UdpJitter']['meta_info']
_meta_table['Native.Ip.Sla.Entry.Http.Get']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry.Http']['meta_info']
_meta_table['Native.Ip.Sla.Entry.Http.Raw']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry.Http']['meta_info']
_meta_table['Native.Ip.Sla.Entry.IcmpEcho']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry']['meta_info']
_meta_table['Native.Ip.Sla.Entry.PathEcho']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry']['meta_info']
_meta_table['Native.Ip.Sla.Entry.PathJitter']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry']['meta_info']
_meta_table['Native.Ip.Sla.Entry.UdpEcho']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry']['meta_info']
_meta_table['Native.Ip.Sla.Entry.UdpJitter']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry']['meta_info']
_meta_table['Native.Ip.Sla.Entry.Http']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry']['meta_info']
_meta_table['Native.Ip.Sla.Entry.Dhcp']['meta_info'].parent =_meta_table['Native.Ip.Sla.Entry']['meta_info']
_meta_table['Native.Ip.Sla.Responder.UdpEcho.Ipaddress']['meta_info'].parent =_meta_table['Native.Ip.Sla.Responder.UdpEcho']['meta_info']
_meta_table['Native.Ip.Sla.Responder.TcpConnect.Ipaddress']['meta_info'].parent =_meta_table['Native.Ip.Sla.Responder.TcpConnect']['meta_info']
_meta_table['Native.Ip.Sla.Responder.UdpEcho']['meta_info'].parent =_meta_table['Native.Ip.Sla.Responder']['meta_info']
_meta_table['Native.Ip.Sla.Responder.TcpConnect']['meta_info'].parent =_meta_table['Native.Ip.Sla.Responder']['meta_info']
_meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency']['meta_info'].parent =_meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod']['meta_info']
_meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime']['meta_info'].parent =_meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod']['meta_info']
_meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod']['meta_info'].parent =_meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds']['meta_info']
_meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds']['meta_info'].parent =_meta_table['Native.Ip.Sla.Group.Schedule']['meta_info']
_meta_table['Native.Ip.Sla.Group.Schedule']['meta_info'].parent =_meta_table['Native.Ip.Sla.Group']['meta_info']
_meta_table['Native.Ip.Sla.Schedule.StartTime']['meta_info'].parent =_meta_table['Native.Ip.Sla.Schedule']['meta_info']
_meta_table['Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy']['meta_info'].parent =_meta_table['Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType']['meta_info']
_meta_table['Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType']['meta_info'].parent =_meta_table['Native.Ip.Sla.ReactionConfiguration.React.Connectionloss']['meta_info']
_meta_table['Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue']['meta_info'].parent =_meta_table['Native.Ip.Sla.ReactionConfiguration.React.Rtt']['meta_info']
_meta_table['Native.Ip.Sla.ReactionConfiguration.React.Connectionloss']['meta_info'].parent =_meta_table['Native.Ip.Sla.ReactionConfiguration.React']['meta_info']
_meta_table['Native.Ip.Sla.ReactionConfiguration.React.Rtt']['meta_info'].parent =_meta_table['Native.Ip.Sla.ReactionConfiguration.React']['meta_info']
_meta_table['Native.Ip.Sla.ReactionConfiguration.React']['meta_info'].parent =_meta_table['Native.Ip.Sla.ReactionConfiguration']['meta_info']
_meta_table['Native.Ip.Sla.Server.Twamp']['meta_info'].parent =_meta_table['Native.Ip.Sla.Server']['meta_info']
_meta_table['Native.Ip.Sla.Entry']['meta_info'].parent =_meta_table['Native.Ip.Sla']['meta_info']
_meta_table['Native.Ip.Sla.Enable']['meta_info'].parent =_meta_table['Native.Ip.Sla']['meta_info']
_meta_table['Native.Ip.Sla.Responder']['meta_info'].parent =_meta_table['Native.Ip.Sla']['meta_info']
_meta_table['Native.Ip.Sla.Logging']['meta_info'].parent =_meta_table['Native.Ip.Sla']['meta_info']
_meta_table['Native.Ip.Sla.Group']['meta_info'].parent =_meta_table['Native.Ip.Sla']['meta_info']
_meta_table['Native.Ip.Sla.Schedule']['meta_info'].parent =_meta_table['Native.Ip.Sla']['meta_info']
_meta_table['Native.Ip.Sla.ReactionConfiguration']['meta_info'].parent =_meta_table['Native.Ip.Sla']['meta_info']
_meta_table['Native.Ip.Sla.Server']['meta_info'].parent =_meta_table['Native.Ip.Sla']['meta_info']
_meta_table['Native.Ip.Wccp.WccpList.Password']['meta_info'].parent =_meta_table['Native.Ip.Wccp.WccpList']['meta_info']
_meta_table['Native.Ip.Wccp.WebCache.Password']['meta_info'].parent =_meta_table['Native.Ip.Wccp.WebCache']['meta_info']
_meta_table['Native.Ip.Wccp.Check.Acl']['meta_info'].parent =_meta_table['Native.Ip.Wccp.Check']['meta_info']
_meta_table['Native.Ip.Wccp.Check.Services']['meta_info'].parent =_meta_table['Native.Ip.Wccp.Check']['meta_info']
_meta_table['Native.Ip.Wccp.Vrf.WccpList.Password']['meta_info'].parent =_meta_table['Native.Ip.Wccp.Vrf.WccpList']['meta_info']
_meta_table['Native.Ip.Wccp.Vrf.WebCache.Password']['meta_info'].parent =_meta_table['Native.Ip.Wccp.Vrf.WebCache']['meta_info']
_meta_table['Native.Ip.Wccp.Vrf.WccpList']['meta_info'].parent =_meta_table['Native.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Ip.Wccp.Vrf.WebCache']['meta_info'].parent =_meta_table['Native.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Ip.Wccp.WccpList']['meta_info'].parent =_meta_table['Native.Ip.Wccp']['meta_info']
_meta_table['Native.Ip.Wccp.WebCache']['meta_info'].parent =_meta_table['Native.Ip.Wccp']['meta_info']
_meta_table['Native.Ip.Wccp.Check']['meta_info'].parent =_meta_table['Native.Ip.Wccp']['meta_info']
_meta_table['Native.Ip.Wccp.Vrf']['meta_info'].parent =_meta_table['Native.Ip.Wccp']['meta_info']
_meta_table['Native.Ip.Admission']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Arp']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.DomainList']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Finger']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Rcmd']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.BgpCommunity']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.AsPath']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Local']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Cef']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Domain']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.DomainLookupConf']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.DomainLookup']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Dns']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.ForwardProtocol']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Ftp']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Telnet']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Host']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Multicast']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.NameServer']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Pim']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.PrefixList']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Route']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.ExplicitPath']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Scp']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Spd']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Bootp']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Ssh']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Tftp']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.AccessList']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Device']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Radius']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Tacacs']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.CommunityList']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.ExtcommunityList']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Http']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Icmp']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Igmp']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Msdp']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.McrConf']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.MulticastRouting']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Mroute']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Nat']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Nbar']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Sla']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Ip.Wccp']['meta_info'].parent =_meta_table['Native.Ip']['meta_info']
_meta_table['Native.Mka.Policy.MacsecCipherSuite']['meta_info'].parent =_meta_table['Native.Mka.Policy']['meta_info']
_meta_table['Native.Mka.Policy']['meta_info'].parent =_meta_table['Native.Mka']['meta_info']
_meta_table['Native.Macro.Auto.Execute.Builtin']['meta_info'].parent =_meta_table['Native.Macro.Auto.Execute']['meta_info']
_meta_table['Native.Macro.Auto.Execute']['meta_info'].parent =_meta_table['Native.Macro.Auto']['meta_info']
_meta_table['Native.Macro.Auto.Global_']['meta_info'].parent =_meta_table['Native.Macro.Auto']['meta_info']
_meta_table['Native.Macro.Global_']['meta_info'].parent =_meta_table['Native.Macro']['meta_info']
_meta_table['Native.Macro.Auto']['meta_info'].parent =_meta_table['Native.Macro']['meta_info']
_meta_table['Native.Ipv6.SourceGuard.Policy.Validate']['meta_info'].parent =_meta_table['Native.Ipv6.SourceGuard.Policy']['meta_info']
_meta_table['Native.Ipv6.SourceGuard.Policy']['meta_info'].parent =_meta_table['Native.Ipv6.SourceGuard']['meta_info']
_meta_table['Native.Ipv6.DestinationGuard.Policy.Enforcement']['meta_info'].parent =_meta_table['Native.Ipv6.DestinationGuard.Policy']['meta_info']
_meta_table['Native.Ipv6.DestinationGuard.Policy']['meta_info'].parent =_meta_table['Native.Ipv6.DestinationGuard']['meta_info']
_meta_table['Native.Ipv6.Dhcp.Server.Vrf']['meta_info'].parent =_meta_table['Native.Ipv6.Dhcp.Server']['meta_info']
_meta_table['Native.Ipv6.Dhcp.Guard.Policy.DeviceRole']['meta_info'].parent =_meta_table['Native.Ipv6.Dhcp.Guard.Policy']['meta_info']
_meta_table['Native.Ipv6.Dhcp.Guard.Policy']['meta_info'].parent =_meta_table['Native.Ipv6.Dhcp.Guard']['meta_info']
_meta_table['Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime']['meta_info'].parent =_meta_table['Native.Ipv6.Dhcp.Pool.Address.Prefix']['meta_info']
_meta_table['Native.Ipv6.Dhcp.Pool.Address.Prefix']['meta_info'].parent =_meta_table['Native.Ipv6.Dhcp.Pool.Address']['meta_info']
_meta_table['Native.Ipv6.Dhcp.Pool.Address']['meta_info'].parent =_meta_table['Native.Ipv6.Dhcp.Pool']['meta_info']
_meta_table['Native.Ipv6.Dhcp.Server']['meta_info'].parent =_meta_table['Native.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Ipv6.Dhcp.Guard']['meta_info'].parent =_meta_table['Native.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Ipv6.Dhcp.Pool']['meta_info'].parent =_meta_table['Native.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList.NamedAcl.Default']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList.NamedAcl']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedAcl.Default']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList.NamedAcl']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList.NamedRbAcl.Default']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList.NamedRbAcl']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedRbAcl.Default']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList.NamedRbAcl']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedAcl']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList']['meta_info']
_meta_table['Native.Ipv6.AccessList.NamedRbAcl']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList']['meta_info']
_meta_table['Native.Ipv6.AccessList.LogUpdate']['meta_info'].parent =_meta_table['Native.Ipv6.AccessList']['meta_info']
_meta_table['Native.Ipv6.Multicast.Rpf.Backoff']['meta_info'].parent =_meta_table['Native.Ipv6.Multicast.Rpf']['meta_info']
_meta_table['Native.Ipv6.Multicast.Rpf']['meta_info'].parent =_meta_table['Native.Ipv6.Multicast']['meta_info']
_meta_table['Native.Ipv6.Cef.Accounting']['meta_info'].parent =_meta_table['Native.Ipv6.Cef']['meta_info']
_meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable']['meta_info']
_meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable']['meta_info']
_meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking']['meta_info']
_meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking']['meta_info']
_meta_table['Native.Ipv6.Nd.Inspection.Policy.DeviceRole']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Inspection.Policy']['meta_info']
_meta_table['Native.Ipv6.Nd.Inspection.Policy.Limit']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Inspection.Policy']['meta_info']
_meta_table['Native.Ipv6.Nd.Inspection.Policy.SecLevel']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Inspection.Policy']['meta_info']
_meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Inspection.Policy']['meta_info']
_meta_table['Native.Ipv6.Nd.Inspection.Policy.Validate']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Inspection.Policy']['meta_info']
_meta_table['Native.Ipv6.Nd.Inspection.Policy']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Inspection']['meta_info']
_meta_table['Native.Ipv6.Nd.Cache.Expire']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Cache']['meta_info']
_meta_table['Native.Ipv6.Nd.Raguard.Policy.DeviceRole']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Raguard.Policy']['meta_info']
_meta_table['Native.Ipv6.Nd.Raguard.Policy.HopLimit']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Raguard.Policy']['meta_info']
_meta_table['Native.Ipv6.Nd.Raguard.Policy']['meta_info'].parent =_meta_table['Native.Ipv6.Nd.Raguard']['meta_info']
_meta_table['Native.Ipv6.Nd.Inspection']['meta_info'].parent =_meta_table['Native.Ipv6.Nd']['meta_info']
_meta_table['Native.Ipv6.Nd.Cache']['meta_info'].parent =_meta_table['Native.Ipv6.Nd']['meta_info']
_meta_table['Native.Ipv6.Nd.Raguard']['meta_info'].parent =_meta_table['Native.Ipv6.Nd']['meta_info']
_meta_table['Native.Ipv6.Pim.Vrf.RpAddress']['meta_info'].parent =_meta_table['Native.Ipv6.Pim.Vrf']['meta_info']
_meta_table['Native.Ipv6.Pim.RpAddress']['meta_info'].parent =_meta_table['Native.Ipv6.Pim']['meta_info']
_meta_table['Native.Ipv6.Pim.Vrf']['meta_info'].parent =_meta_table['Native.Ipv6.Pim']['meta_info']
_meta_table['Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList']['meta_info'].parent =_meta_table['Native.Ipv6.Route.Ipv6RouteList']['meta_info']
_meta_table['Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList']['meta_info'].parent =_meta_table['Native.Ipv6.Route.Vrf.Ipv6RouteList']['meta_info']
_meta_table['Native.Ipv6.Route.Vrf.Ipv6RouteList']['meta_info'].parent =_meta_table['Native.Ipv6.Route.Vrf']['meta_info']
_meta_table['Native.Ipv6.Route.Ipv6RouteList']['meta_info'].parent =_meta_table['Native.Ipv6.Route']['meta_info']
_meta_table['Native.Ipv6.Route.Vrf']['meta_info'].parent =_meta_table['Native.Ipv6.Route']['meta_info']
_meta_table['Native.Ipv6.Router.Eigrp.Distance.Eigrp_']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Eigrp.Distance']['meta_info']
_meta_table['Native.Ipv6.Router.Eigrp.DistributeList.PrefixList']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Eigrp.DistributeList']['meta_info']
_meta_table['Native.Ipv6.Router.Eigrp.DefaultMetric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Eigrp']['meta_info']
_meta_table['Native.Ipv6.Router.Eigrp.Distance']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Eigrp']['meta_info']
_meta_table['Native.Ipv6.Router.Eigrp.DistributeList']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Eigrp']['meta_info']
_meta_table['Native.Ipv6.Router.Eigrp.Eigrp_']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Eigrp']['meta_info']
_meta_table['Native.Ipv6.Router.Eigrp.PassiveInterface']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Eigrp']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.DistributeList.PrefixList']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.DistributeList']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Connected']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Bgp']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Eigrp']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Mobile']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Odr']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Static']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute.Rip_']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Nd']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute.Rip_']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.DistributeList']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip']['meta_info']
_meta_table['Native.Ipv6.Router.Rip.Timers']['meta_info'].parent =_meta_table['Native.Ipv6.Router.Rip']['meta_info']
_meta_table['Native.Ipv6.Router.Eigrp']['meta_info'].parent =_meta_table['Native.Ipv6.Router']['meta_info']
_meta_table['Native.Ipv6.Router.Rip']['meta_info'].parent =_meta_table['Native.Ipv6.Router']['meta_info']
_meta_table['Native.Ipv6.Spd.Queue']['meta_info'].parent =_meta_table['Native.Ipv6.Spd']['meta_info']
_meta_table['Native.Ipv6.PrefixList.Prefixes.Seq.Deny']['meta_info'].parent =_meta_table['Native.Ipv6.PrefixList.Prefixes.Seq']['meta_info']
_meta_table['Native.Ipv6.PrefixList.Prefixes.Seq.Permit']['meta_info'].parent =_meta_table['Native.Ipv6.PrefixList.Prefixes.Seq']['meta_info']
_meta_table['Native.Ipv6.PrefixList.Prefixes.Permit']['meta_info'].parent =_meta_table['Native.Ipv6.PrefixList.Prefixes']['meta_info']
_meta_table['Native.Ipv6.PrefixList.Prefixes.Deny']['meta_info'].parent =_meta_table['Native.Ipv6.PrefixList.Prefixes']['meta_info']
_meta_table['Native.Ipv6.PrefixList.Prefixes.Seq']['meta_info'].parent =_meta_table['Native.Ipv6.PrefixList.Prefixes']['meta_info']
_meta_table['Native.Ipv6.PrefixList.Prefixes']['meta_info'].parent =_meta_table['Native.Ipv6.PrefixList']['meta_info']
_meta_table['Native.Ipv6.Mld.SsmMap.Query']['meta_info'].parent =_meta_table['Native.Ipv6.Mld.SsmMap']['meta_info']
_meta_table['Native.Ipv6.Mld.SsmMap.Static']['meta_info'].parent =_meta_table['Native.Ipv6.Mld.SsmMap']['meta_info']
_meta_table['Native.Ipv6.Mld.SsmMap']['meta_info'].parent =_meta_table['Native.Ipv6.Mld']['meta_info']
_meta_table['Native.Ipv6.SourceGuard']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.AccessList']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.Multicast']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.Cef']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.Pim']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.Route']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.Router']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.Spd']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.PrefixList']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.Mld']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.MulticastRouting']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Ipv6.Rip']['meta_info'].parent =_meta_table['Native.Ipv6']['meta_info']
_meta_table['Native.Vlan.AccessMap.Match.Ipv6']['meta_info'].parent =_meta_table['Native.Vlan.AccessMap.Match']['meta_info']
_meta_table['Native.Vlan.AccessMap.Match.Ip']['meta_info'].parent =_meta_table['Native.Vlan.AccessMap.Match']['meta_info']
_meta_table['Native.Vlan.AccessMap.Match']['meta_info'].parent =_meta_table['Native.Vlan.AccessMap']['meta_info']
_meta_table['Native.Vlan.Configuration.Ip.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Vlan.Configuration.Ip.Flow']['meta_info']
_meta_table['Native.Vlan.Configuration.Ip.Flow']['meta_info'].parent =_meta_table['Native.Vlan.Configuration.Ip']['meta_info']
_meta_table['Native.Vlan.Configuration.Ip']['meta_info'].parent =_meta_table['Native.Vlan.Configuration']['meta_info']
_meta_table['Native.Vlan.Internal.Allocation']['meta_info'].parent =_meta_table['Native.Vlan.Internal']['meta_info']
_meta_table['Native.Vlan.Dot1Q.Tag']['meta_info'].parent =_meta_table['Native.Vlan.Dot1Q']['meta_info']
_meta_table['Native.Vlan.VlanList.PrivateVlan']['meta_info'].parent =_meta_table['Native.Vlan.VlanList']['meta_info']
_meta_table['Native.Vlan.VlanList.Lldp']['meta_info'].parent =_meta_table['Native.Vlan.VlanList']['meta_info']
_meta_table['Native.Vlan.AccessMap']['meta_info'].parent =_meta_table['Native.Vlan']['meta_info']
_meta_table['Native.Vlan.Configuration']['meta_info'].parent =_meta_table['Native.Vlan']['meta_info']
_meta_table['Native.Vlan.Filter']['meta_info'].parent =_meta_table['Native.Vlan']['meta_info']
_meta_table['Native.Vlan.Accounting']['meta_info'].parent =_meta_table['Native.Vlan']['meta_info']
_meta_table['Native.Vlan.Internal']['meta_info'].parent =_meta_table['Native.Vlan']['meta_info']
_meta_table['Native.Vlan.Dot1Q']['meta_info'].parent =_meta_table['Native.Vlan']['meta_info']
_meta_table['Native.Vlan.AccessLog']['meta_info'].parent =_meta_table['Native.Vlan']['meta_info']
_meta_table['Native.Vlan.VlanList']['meta_info'].parent =_meta_table['Native.Vlan']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Application.ApplicationGroup']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Application']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Application.Attribute']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Application']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Ip.Rtp']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Ip']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Mpls.Experimental']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Mpls']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Packet.Length']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Packet']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Protocol.Attribute']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Protocol.Attribute']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol.Citrix']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol.Fasttrack']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol.Gnutella']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol.Http']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol.Kazaa2']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol.Napster']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol.Rtp']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol.Smtp']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol.Attribute']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.SecurityGroup.Destination']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.SecurityGroup']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.SecurityGroup.Source']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.SecurityGroup']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.ResultType.Method.Dot1X']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.ResultType.Method']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.ResultType.Method.Mab']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.ResultType.Method']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.ResultType.Method.Webauth']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.ResultType.Method']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.ResultType.Method']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.ResultType']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Application']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Application.Attribute']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Application']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Ip.Rtp']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Ip']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Mpls.Experimental']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Mpls']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Packet.Length']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Packet']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Attribute']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Attribute']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Citrix']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Fasttrack']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Gnutella']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Http']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Kazaa2']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Napster']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Rtp']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Smtp']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Attribute']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.SecurityGroup']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_.SecurityGroup']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Application']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.AccessGroup']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.DestinationAddress']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Ip']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Mpls']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Packet']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.Protocol']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.SecurityGroup']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_.SourceAddress']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.CurrentMethodPriority']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Application']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.AccessGroup']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.DestinationAddress']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Ip']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Mpls']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Packet']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Protocol']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.SecurityGroup']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.SourceAddress']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.ActivatedServiceTemplate']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.AuthorizationStatus']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.AuthorizingMethodPriority']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Method']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.ResultType']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.Match']['meta_info']
_meta_table['Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.NoMatch.ResultType.Method']['meta_info']
_meta_table['Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.NoMatch.ResultType.Method']['meta_info']
_meta_table['Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.NoMatch.ResultType.Method']['meta_info']
_meta_table['Native.Policy.ClassMap.NoMatch.ResultType.Method']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.NoMatch.ResultType']['meta_info']
_meta_table['Native.Policy.ClassMap.NoMatch.ActivatedServiceTemplate']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.NoMatch']['meta_info']
_meta_table['Native.Policy.ClassMap.NoMatch.AuthorizationStatus']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.NoMatch']['meta_info']
_meta_table['Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.NoMatch']['meta_info']
_meta_table['Native.Policy.ClassMap.NoMatch.Method']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.NoMatch']['meta_info']
_meta_table['Native.Policy.ClassMap.NoMatch.ResultType']['meta_info'].parent =_meta_table['Native.Policy.ClassMap.NoMatch']['meta_info']
_meta_table['Native.Policy.ClassMap.Match']['meta_info'].parent =_meta_table['Native.Policy.ClassMap']['meta_info']
_meta_table['Native.Policy.ClassMap.NoMatch']['meta_info'].parent =_meta_table['Native.Policy.ClassMap']['meta_info']
_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate']['meta_info']
_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber']['meta_info']
_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber']['meta_info']
_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber']['meta_info']
_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber']['meta_info']
_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber']['meta_info']
_meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Event.ClassNumber']['meta_info']
_meta_table['Native.Policy.PolicyMap.Event.ClassNumber']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Event']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.AppnavPolicy.Distribute']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.AppnavPolicy']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.Policy_.Dpi']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.Policy_']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Action']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Flow']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.InspectPolice.Police']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.InspectPolice']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Bandwidth']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Compression.Header']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Compression']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Estimate']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Aggregate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp.Dscp_']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Ip']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Precedence']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Ip']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Cos']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Ip']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape.Average']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape.Average']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape.Average']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape.FrVoiceAdapt']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Bandwidth']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Compression']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Estimate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Forward']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.FairQueue']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Priority']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.QueueLimit']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.AppnavPolicy']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.Policy_']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.PmPolicy']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.InspectPolice']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap.Class_']['meta_info']
_meta_table['Native.Policy.PolicyMap.Event']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap']['meta_info']
_meta_table['Native.Policy.PolicyMap.Class_']['meta_info'].parent =_meta_table['Native.Policy.PolicyMap']['meta_info']
_meta_table['Native.Policy.ClassMap']['meta_info'].parent =_meta_table['Native.Policy']['meta_info']
_meta_table['Native.Policy.PolicyMap']['meta_info'].parent =_meta_table['Native.Policy']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Backup']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Backup']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Backup']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Cemoudp']['meta_info']
_meta_table['Native.Interface.AppnavCompress.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.CwsTunnel']['meta_info']
_meta_table['Native.Interface.AppnavCompress.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.AppnavCompress.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Encapsulation']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Encapsulation']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Encapsulation']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Encapsulation']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Encapsulation']['meta_info']
_meta_table['Native.Interface.AppnavCompress.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Bandwidth']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Bandwidth']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Dampening']['meta_info']
_meta_table['Native.Interface.AppnavCompress.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.IpVrf']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Arp']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Address']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Address']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Address']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Router']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Verify']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip.Verify']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ipv6']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ipv6']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ipv6']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ipv6']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Ipv6']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Logging.Event']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Logging.Event']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Logging']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Interface_Qos']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Standby']['meta_info']
_meta_table['Native.Interface.AppnavCompress.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.AccessSession']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.StormControl']['meta_info']
_meta_table['Native.Interface.AppnavCompress.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.PriorityQueue']['meta_info']
_meta_table['Native.Interface.AppnavCompress.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.RcvQueue']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Peer.Default']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress.Peer']['meta_info']
_meta_table['Native.Interface.AppnavCompress.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Switchport']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Arp']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Backup']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Isis']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Bfd']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Dampening']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Domain']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Mpls']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Vrf']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ip']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Logging']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Mdix']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Mop']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Standby']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.StormControl']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Trust']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Utd']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.Peer']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavCompress.PmPath']['meta_info'].parent =_meta_table['Native.Interface.AppnavCompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Backup']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Backup']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Backup']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Cemoudp']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.CwsTunnel']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Encapsulation']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Encapsulation']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Encapsulation']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Encapsulation']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Encapsulation']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Bandwidth']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Bandwidth']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Dampening']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.IpVrf']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Arp']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Address']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Address']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Address']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Router']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Verify']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip.Verify']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ipv6']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ipv6']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ipv6']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ipv6']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Ipv6']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Logging.Event']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Logging.Event']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Logging']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Interface_Qos']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Standby']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.AccessSession']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.StormControl']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.PriorityQueue']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.RcvQueue']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Peer.Default']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress.Peer']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Switchport']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Arp']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Backup']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Isis']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Bfd']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Dampening']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Domain']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Mpls']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Vrf']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Logging']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Mdix']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Mop']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Standby']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.StormControl']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Trust']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Utd']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.Peer']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.AppnavUncompress.PmPath']['meta_info'].parent =_meta_table['Native.Interface.AppnavUncompress']['meta_info']
_meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect']['meta_info']
_meta_table['Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Atm.Atm_.Pvp.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Atm.Atm_.Pvp']['meta_info']
_meta_table['Native.Interface.Atm.Atm_.Pvp.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.Atm.Atm_.Pvp']['meta_info']
_meta_table['Native.Interface.Atm.Atm_.Pvp']['meta_info'].parent =_meta_table['Native.Interface.Atm.Atm_']['meta_info']
_meta_table['Native.Interface.Atm.Cem.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.Atm.Cem.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Atm.Cem.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Atm.Cem.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Atm.Cem.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.Atm.Cem.Xconnect']['meta_info']
_meta_table['Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.Atm.Cem.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.Atm.Cem.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Atm.Cem.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.Atm.Cem.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Atm.Cem']['meta_info']
_meta_table['Native.Interface.Atm.Cem.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.Atm.Cem']['meta_info']
_meta_table['Native.Interface.Atm.Pvc.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.Atm.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Atm.Pvc.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Atm.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Atm.Pvc.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.Atm.Pvc.Xconnect']['meta_info']
_meta_table['Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Atm.Pvc.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.Atm.Pvc.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Atm.Pvc']['meta_info']
_meta_table['Native.Interface.Atm.Pvc.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.Atm.Pvc']['meta_info']
_meta_table['Native.Interface.Atm.Ip']['meta_info'].parent =_meta_table['Native.Interface.Atm']['meta_info']
_meta_table['Native.Interface.Atm.Atm_']['meta_info'].parent =_meta_table['Native.Interface.Atm']['meta_info']
_meta_table['Native.Interface.Atm.Cem']['meta_info'].parent =_meta_table['Native.Interface.Atm']['meta_info']
_meta_table['Native.Interface.Atm.Pvc']['meta_info'].parent =_meta_table['Native.Interface.Atm']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Cem']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Cem']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Ip']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Atm_']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Cem']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm.Pvc']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface.Atm']['meta_info']
_meta_table['Native.Interface.AtmSubinterface.Atm']['meta_info'].parent =_meta_table['Native.Interface.AtmSubinterface']['meta_info']
_meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Atm.Pvp']['meta_info']
_meta_table['Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Atm.Pvp']['meta_info']
_meta_table['Native.Interface.AtmAcr.Atm.Pvp']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Atm']['meta_info']
_meta_table['Native.Interface.AtmAcr.Cem.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Cem.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcr.Cem.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Cem.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcr.Cem.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Cem.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Cem.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.AtmAcr.Cem.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Cem']['meta_info']
_meta_table['Native.Interface.AtmAcr.Cem.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Cem']['meta_info']
_meta_table['Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcr.Pvc.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Pvc.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Pvc.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.AtmAcr.Pvc.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Pvc']['meta_info']
_meta_table['Native.Interface.AtmAcr.Pvc.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr.Pvc']['meta_info']
_meta_table['Native.Interface.AtmAcr.Ip']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr']['meta_info']
_meta_table['Native.Interface.AtmAcr.Atm']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr']['meta_info']
_meta_table['Native.Interface.AtmAcr.Cem']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr']['meta_info']
_meta_table['Native.Interface.AtmAcr.Pvc']['meta_info'].parent =_meta_table['Native.Interface.AtmAcr']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Ip']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr']['meta_info'].parent =_meta_table['Native.Interface.AtmAcrsubinterface']['meta_info']
_meta_table['Native.Interface.Bdi.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Bdi.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Bdi.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Bdi.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Bdi.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Backup']['meta_info']
_meta_table['Native.Interface.Bdi.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Backup']['meta_info']
_meta_table['Native.Interface.Bdi.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Backup']['meta_info']
_meta_table['Native.Interface.Bdi.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Cemoudp']['meta_info']
_meta_table['Native.Interface.Bdi.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Bdi.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Bdi.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Bdi.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Bdi.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Bdi.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Bdi.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Encapsulation']['meta_info']
_meta_table['Native.Interface.Bdi.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Encapsulation']['meta_info']
_meta_table['Native.Interface.Bdi.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Encapsulation']['meta_info']
_meta_table['Native.Interface.Bdi.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Encapsulation']['meta_info']
_meta_table['Native.Interface.Bdi.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Encapsulation']['meta_info']
_meta_table['Native.Interface.Bdi.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Bdi.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Bdi.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Bandwidth']['meta_info']
_meta_table['Native.Interface.Bdi.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Bandwidth']['meta_info']
_meta_table['Native.Interface.Bdi.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Dampening']['meta_info']
_meta_table['Native.Interface.Bdi.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Bdi.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Bdi.IpVrf']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Address']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Address']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Address']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Router']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Bdi.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Bdi.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Bdi.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Bdi.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ipv6']['meta_info']
_meta_table['Native.Interface.Bdi.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ipv6']['meta_info']
_meta_table['Native.Interface.Bdi.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ipv6']['meta_info']
_meta_table['Native.Interface.Bdi.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ipv6']['meta_info']
_meta_table['Native.Interface.Bdi.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Ipv6']['meta_info']
_meta_table['Native.Interface.Bdi.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Logging.Event']['meta_info']
_meta_table['Native.Interface.Bdi.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Logging.Event']['meta_info']
_meta_table['Native.Interface.Bdi.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Logging']['meta_info']
_meta_table['Native.Interface.Bdi.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby']['meta_info']
_meta_table['Native.Interface.Bdi.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Standby']['meta_info']
_meta_table['Native.Interface.Bdi.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Bdi.AccessSession']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Bdi.StormControl']['meta_info']
_meta_table['Native.Interface.Bdi.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Bdi.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Bdi.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Bdi.RcvQueue']['meta_info']
_meta_table['Native.Interface.Bdi.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Bdi.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Bdi.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Bdi.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Peer.Default']['meta_info']
_meta_table['Native.Interface.Bdi.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Bdi.Peer']['meta_info']
_meta_table['Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.Bdi.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.Bdi.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Bdi.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.Bdi.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Bdi.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.Bdi.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Bdi.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.Bdi.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Bdi.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.Bdi.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Bdi.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Arp']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Backup']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Isis']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Domain']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Ip']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Logging']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Mop']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Standby']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Trust']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Utd']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.Peer']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Bdi.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Bdi']['meta_info']
_meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect']['meta_info']
_meta_table['Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Cem.Atm.Pvp.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Cem.Atm.Pvp']['meta_info']
_meta_table['Native.Interface.Cem.Atm.Pvp.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.Cem.Atm.Pvp']['meta_info']
_meta_table['Native.Interface.Cem.Atm.Pvp']['meta_info'].parent =_meta_table['Native.Interface.Cem.Atm']['meta_info']
_meta_table['Native.Interface.Cem.Cem_.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.Cem.Cem_.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Cem.Cem_.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Cem.Cem_.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Cem.Cem_.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.Cem.Cem_.Xconnect']['meta_info']
_meta_table['Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Cem.Cem_.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.Cem.Cem_.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Cem.Cem_']['meta_info']
_meta_table['Native.Interface.Cem.Cem_.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.Cem.Cem_']['meta_info']
_meta_table['Native.Interface.Cem.Pvc.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.Cem.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Cem.Pvc.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Cem.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Cem.Pvc.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.Cem.Pvc.Xconnect']['meta_info']
_meta_table['Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Cem.Pvc.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.Cem.Pvc.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Cem.Pvc']['meta_info']
_meta_table['Native.Interface.Cem.Pvc.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.Cem.Pvc']['meta_info']
_meta_table['Native.Interface.Cem.Ip']['meta_info'].parent =_meta_table['Native.Interface.Cem']['meta_info']
_meta_table['Native.Interface.Cem.Atm']['meta_info'].parent =_meta_table['Native.Interface.Cem']['meta_info']
_meta_table['Native.Interface.Cem.Cem_']['meta_info'].parent =_meta_table['Native.Interface.Cem']['meta_info']
_meta_table['Native.Interface.Cem.Pvc']['meta_info'].parent =_meta_table['Native.Interface.Cem']['meta_info']
_meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect']['meta_info']
_meta_table['Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Atm.Pvp']['meta_info']
_meta_table['Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Atm.Pvp']['meta_info']
_meta_table['Native.Interface.CemAcr.Atm.Pvp']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Atm']['meta_info']
_meta_table['Native.Interface.CemAcr.Cem.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Cem.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.CemAcr.Cem.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Cem.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.CemAcr.Cem.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Cem.Xconnect']['meta_info']
_meta_table['Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Cem.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.CemAcr.Cem.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Cem']['meta_info']
_meta_table['Native.Interface.CemAcr.Cem.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Cem']['meta_info']
_meta_table['Native.Interface.CemAcr.Pvc.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.CemAcr.Pvc.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Pvc.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.CemAcr.Pvc.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Pvc.Xconnect']['meta_info']
_meta_table['Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Pvc.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.CemAcr.Pvc.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Pvc']['meta_info']
_meta_table['Native.Interface.CemAcr.Pvc.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.CemAcr.Pvc']['meta_info']
_meta_table['Native.Interface.CemAcr.Ip']['meta_info'].parent =_meta_table['Native.Interface.CemAcr']['meta_info']
_meta_table['Native.Interface.CemAcr.Atm']['meta_info'].parent =_meta_table['Native.Interface.CemAcr']['meta_info']
_meta_table['Native.Interface.CemAcr.Cem']['meta_info'].parent =_meta_table['Native.Interface.CemAcr']['meta_info']
_meta_table['Native.Interface.CemAcr.Pvc']['meta_info'].parent =_meta_table['Native.Interface.CemAcr']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Backup']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Backup']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Backup']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Cemoudp']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.CwsTunnel']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Bandwidth']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Bandwidth']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Dampening']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.IpVrf']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Arp']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Router']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Logging.Event']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Logging.Event']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Logging']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Interface_Qos']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Standby']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.AccessSession']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.PriorityQueue']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.RcvQueue']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine.Peer']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Switchport']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Arp']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Backup']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Isis']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Bfd']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Dampening']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Domain']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Mpls']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Vrf']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Logging']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Mdix']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Mop']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Standby']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.StormControl']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Trust']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Utd']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.Peer']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine.PmPath']['meta_info'].parent =_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Access.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Access']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Mode.Access']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Mode.Dot1QTunnel']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Mode.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Mode.Trunk']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity.MacAddress']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Allowed.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Allowed']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Pruning.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Pruning']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Allowed']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Native_']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Pruning']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Voice.Detect.CiscoPhone']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Voice.Detect']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Voice.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Voice.Detect']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Priority.Extend']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.Priority']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Host']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Mapping']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.Association']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.HostAssociation']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.Mapping']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Access']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Block']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Trunk']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Priority']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.Autostate']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport.DeviceTracking']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fastethernet.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Fastethernet.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Fastethernet.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Fastethernet.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Fastethernet.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Backup']['meta_info']
_meta_table['Native.Interface.Fastethernet.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Backup']['meta_info']
_meta_table['Native.Interface.Fastethernet.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Backup']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cemoudp']['meta_info']
_meta_table['Native.Interface.Fastethernet.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Fastethernet.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Fastethernet.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Fastethernet.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fastethernet.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fastethernet.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fastethernet.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fastethernet.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Authentication.Mode.Md5']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Authentication.Mode.Text']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Authentication.KeyChain.KeyChainList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Authentication.KeyChain']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Authentication.SendOnly']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.CsnpInterval.CsnpIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.CsnpInterval']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Hello']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.HelloInterval']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.HelloMultiplier.HelloMultiplierList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.HelloMultiplier']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Ipv6.Metric']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Ipv6.Metric']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Metric']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Password.PasswordList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Password']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Priority.PriorityList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis.Priority']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.AdjacencyFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Advertise']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.CircuitType']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.CsnpInterval']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Hello']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.HelloMultiplier']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Metric']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Password']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.Priority']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis.ThreeWayHandshake']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Isis']['meta_info']
_meta_table['Native.Interface.Fastethernet.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Fastethernet.Bfd.Interval']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Bfd']['meta_info']
_meta_table['Native.Interface.Fastethernet.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Bandwidth']['meta_info']
_meta_table['Native.Interface.Fastethernet.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Bandwidth']['meta_info']
_meta_table['Native.Interface.Fastethernet.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Dampening']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mpls.Accounting.Experimental']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mpls.Accounting']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mpls.Ldp.Discovery']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mpls.Ldp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding.Thresholds']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mpls.Accounting']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mpls.Bgp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mpls.Label']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mpls.Ldp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Fastethernet.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.IpVrf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Pim.AcceptRegister']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Pim']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Pim.QueryInterval']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Pim']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Router']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.CheckReply']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Client']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Flow']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.Groups']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.ClassMap']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Igmp.StaticGroup']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Igmp.JoinGroup']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Nbar.ProtocolDiscovery']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Nbar']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.DeadInterval.Minimal']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf.DeadInterval']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf.FastReroute']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.DeadInterval']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.FastReroute']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.Lls']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf.TtlSecurity']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Wccp.WccpList']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Wccp.WebCache']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Redirect.Exclude']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Redirect']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Flow']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Igmp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Lisp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Nat']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Nbar']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip.Wccp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Dhcp.Server']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Dhcp.Guard']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Nd.Ra.Suppress']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Nd.Ra']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Nd.Raguard']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Nd.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Nd.Ra']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Flow']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Pim.Bsr']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Pim']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Network']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Process']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Network']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Rip.DefaultInformation']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6.Rip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Flow']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.NoPim']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Pim']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6.Rip']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Logging.Event']['meta_info']
_meta_table['Native.Interface.Fastethernet.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Logging.Event']['meta_info']
_meta_table['Native.Interface.Fastethernet.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Logging']['meta_info']
_meta_table['Native.Interface.Fastethernet.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Standby']['meta_info']
_meta_table['Native.Interface.Fastethernet.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.AccessSession']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Fastethernet.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Fastethernet.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.RcvQueue']['meta_info']
_meta_table['Native.Interface.Fastethernet.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Fastethernet.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Fastethernet.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Peer.Default']['meta_info']
_meta_table['Native.Interface.Fastethernet.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Peer']['meta_info']
_meta_table['Native.Interface.Fastethernet.CarrierDelay.Down']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Fastethernet.CarrierDelay.Up']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteLoopback']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet.Oam']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Plim.Ethernet.Vlan.Filter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Plim.Ethernet.Vlan']['meta_info']
_meta_table['Native.Interface.Fastethernet.Plim.Ethernet.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Plim.Ethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero.Pause']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero']['meta_info']
_meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info']
_meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Plim.Qos.Input']['meta_info']
_meta_table['Native.Interface.Fastethernet.Plim.Qos.Input']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Plim.Qos']['meta_info']
_meta_table['Native.Interface.Fastethernet.Plim.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Plim']['meta_info']
_meta_table['Native.Interface.Fastethernet.Plim.Qos']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Plim']['meta_info']
_meta_table['Native.Interface.Fastethernet.Pppoe.Enable']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Pppoe']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Untagged']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Acl']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery.Cause']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Errdisable']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.BridgeDomain.SplitHorizon']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.BridgeDomain']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Mac.Security.Maximum']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Mac.Security']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Mac.Security']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Mac']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Mep']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Mip']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol.Peer']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol.Forward']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol.Tunnel']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Ip']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Errdisable']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.BridgeDomain']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Mac']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Service']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cdp.Tlv.App']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cdp.Tlv']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cdp.Tlv']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cdp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Crypto.Map']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Crypto']['meta_info']
_meta_table['Native.Interface.Fastethernet.Crypto.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Crypto']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts.Manual.Policy.Static']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cts.Manual.Policy']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts.Manual.Policy']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts.Manual.Propagate']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts.Manual']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Cts']['meta_info']
_meta_table['Native.Interface.Fastethernet.Dot1X.Authenticator.Eap']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Dot1X.Authenticator']['meta_info']
_meta_table['Native.Interface.Fastethernet.Dot1X.Supplicant.Eap']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Dot1X.Supplicant']['meta_info']
_meta_table['Native.Interface.Fastethernet.Dot1X.Authenticator']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Dot1X']['meta_info']
_meta_table['Native.Interface.Fastethernet.Dot1X.Supplicant']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Dot1X']['meta_info']
_meta_table['Native.Interface.Fastethernet.Dot1X.Timeout']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Dot1X']['meta_info']
_meta_table['Native.Interface.Fastethernet.Performance.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Performance']['meta_info']
_meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Fastethernet.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']
_meta_table['Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas']['meta_info']
_meta_table['Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Snmp.Trap']['meta_info']
_meta_table['Native.Interface.Fastethernet.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Snmp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Snmp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Lisp.Mobility.DynamicEid']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Fastethernet.Lisp.Mobility.Discover']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Fastethernet.Lisp.Mobility.Liveness']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Fastethernet.Lisp.Mobility']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Lisp']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mka.PreSharedKey.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mka.PreSharedKey']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mka.PreSharedKey']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mka']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Network']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Area']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Area']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Network']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Manet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Neighbor']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3.Network']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Cost']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Manet']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.Network']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Fastethernet.Power.Inline.Police.Action']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Power.Inline.Police']['meta_info']
_meta_table['Native.Interface.Fastethernet.Power.Inline.Auto']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Fastethernet.Power.Inline.FourPair']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Fastethernet.Power.Inline.Police']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Fastethernet.Power.Inline.Port']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Fastethernet.Power.Inline.Static']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Fastethernet.Power.Inline']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Power']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Alive.Action']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Alive']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Reinitialize']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Dead']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Alive']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Dead']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.Fail.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event.Fail.Action']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.Fail.Action']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event.Fail']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event.NoResponse']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.Server']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.Fail']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event.NoResponse']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Event']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Value']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Timer.Inactivity']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Server']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Timer.Inactivity']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Timer.Reauthenticate']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Timer']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Timer.Inactivity']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication.Timer']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Event']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Order']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Priority']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication.Timer']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Fastethernet.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Fastethernet.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Fastethernet.SpanningTree.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Fastethernet.SpanningTree.Loopguard']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Fastethernet.SpanningTree.Mst']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Fastethernet.Auto.Qos.Classify']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Fastethernet.Auto.Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Fastethernet.Auto.Qos.Video']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Fastethernet.Auto.Qos.Voip']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Fastethernet.Auto.Qos']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Auto']['meta_info']
_meta_table['Native.Interface.Fastethernet.Datalink.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Datalink.Flow']['meta_info']
_meta_table['Native.Interface.Fastethernet.Datalink.Flow']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Datalink']['meta_info']
_meta_table['Native.Interface.Fastethernet.Location.CivicLocationId.Host']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Location.CivicLocationId.None_']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.Fastethernet.Location.CivicLocationId']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Location']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mac.AccessGroup.AclName']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mac.AccessGroup']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mac.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Mac']['meta_info']
_meta_table['Native.Interface.Fastethernet.Macro.Auto']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Macro']['meta_info']
_meta_table['Native.Interface.Fastethernet.VlanRange.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.VlanRange']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switch.Virtual']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Switch']['meta_info']
_meta_table['Native.Interface.Fastethernet.SrrQueue.Bandwidth.Shape']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.Fastethernet.SrrQueue.Bandwidth.Share']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.Fastethernet.SrrQueue.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.SrrQueue']['meta_info']
_meta_table['Native.Interface.Fastethernet.Udld.Port']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet.Udld']['meta_info']
_meta_table['Native.Interface.Fastethernet.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Arp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Backup']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Isis']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Domain']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ip']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Logging']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mop']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Standby']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Trust']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Utd']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Peer']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.CarrierDelay']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.ChannelGroup']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Negotiation']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Synchronous']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Speed']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Plim']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Pppoe']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Service']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cdp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Crypto']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Cts']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Dot1X']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Performance']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Lisp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mka']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Power']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mab']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Auto']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Datalink']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Energywise']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Location']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Mac']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Macro']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.DualActive']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Lldp']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.LoadBalancing']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Switch']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.SrrQueue']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Macsec']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.DeviceTracking']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.Udld']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Fastethernet.ZoneMember']['meta_info'].parent =_meta_table['Native.Interface.Fastethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Access.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Access']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Mode.Access']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Mode.Dot1QTunnel']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Mode.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Mode.Trunk']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity.MacAddress']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Native_']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Voice.Detect.CiscoPhone']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Voice.Detect']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Voice.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Voice.Detect']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Priority.Extend']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.Priority']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Host']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Mapping']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.HostAssociation']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Mapping']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Access']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Block']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Priority']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.Autostate']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport.DeviceTracking']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Backup']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Backup']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Backup']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cemoudp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Md5']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Text']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain.KeyChainList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.SendOnly']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.CsnpInterval.CsnpIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.CsnpInterval']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Hello']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.HelloInterval']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.HelloMultiplier.HelloMultiplierList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.HelloMultiplier']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Ipv6.Metric']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Ipv6.Metric']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Metric']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Password.PasswordList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Password']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Priority.PriorityList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis.Priority']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.AdjacencyFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Advertise']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.CircuitType']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.CsnpInterval']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Hello']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.HelloMultiplier']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Metric']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Password']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.Priority']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis.ThreeWayHandshake']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Bfd.Interval']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Bfd']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Bandwidth']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Bandwidth']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Dampening']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mpls.Accounting.Experimental']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mpls.Accounting']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mpls.Ldp.Discovery']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mpls.Ldp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding.Thresholds']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mpls.Accounting']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mpls.Bgp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mpls.Label']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mpls.Ldp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.IpVrf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Pim.AcceptRegister']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Pim']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Pim.QueryInterval']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Pim']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Router']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.CheckReply']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Client']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Flow']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.Groups']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.ClassMap']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Igmp.JoinGroup']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Nbar.ProtocolDiscovery']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Nbar']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval.Minimal']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.Lls']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.TtlSecurity']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.WccpList']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.WebCache']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Redirect.Exclude']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Redirect']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Flow']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Igmp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Lisp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Nat']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Nbar']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip.Wccp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Dhcp.Server']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Dhcp.Guard']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd.Ra.Suppress']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd.Ra']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd.Raguard']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd.Ra']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Flow']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Pim.Bsr']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Pim']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Network']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Process']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Network']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Rip.DefaultInformation']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6.Rip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Flow']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.NoPim']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Pim']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6.Rip']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Logging.Event']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Logging.Event']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Logging']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Standby']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.AccessSession']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.RcvQueue']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Peer.Default']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Peer']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.CarrierDelay.Down']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.CarrierDelay.Up']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteLoopback']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan.Filter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Plim.Ethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero.Pause']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Plim.Qos']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Plim.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Plim']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Plim.Qos']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Plim']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Pppoe.Enable']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Pppoe']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Untagged']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Acl']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery.Cause']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Errdisable']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain.SplitHorizon']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Mac.Security.Maximum']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Mac.Security']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Mac.Security']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Mac']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mep']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mip']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Peer']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Forward']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Tunnel']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Errdisable']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Mac']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Service']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cdp.Tlv.App']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cdp.Tlv']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cdp.Tlv']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cdp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Crypto.Map']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Crypto']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Crypto.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Crypto']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Policy.Static']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Policy']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Policy']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Propagate']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts.Manual']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Cts']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Dot1X.Authenticator.Eap']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Dot1X.Authenticator']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Dot1X.Supplicant.Eap']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Dot1X.Supplicant']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Dot1X.Authenticator']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Dot1X']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Dot1X.Supplicant']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Dot1X']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Dot1X.Timeout']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Dot1X']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Performance.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Performance']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Snmp.Trap']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Snmp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Snmp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Lisp.Mobility.DynamicEid']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Lisp.Mobility.Discover']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Lisp.Mobility.Liveness']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Lisp.Mobility']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Lisp']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mka.PreSharedKey.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mka.PreSharedKey']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mka.PreSharedKey']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mka']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Area']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Area']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Manet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Neighbor']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Network']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Manet']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.Network']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Power.Inline.Police.Action']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Power.Inline.Police']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Power.Inline.Auto']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Power.Inline.FourPair']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Power.Inline.Police']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Power.Inline.Port']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Power.Inline.Static']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Power.Inline']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Power']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive.Action']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Fail']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.NoResponse']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Fail']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event.NoResponse']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Event']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Value']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Server']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Timer.Reauthenticate']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Timer']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication.Timer']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Event']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Order']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Priority']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication.Timer']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.SpanningTree.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.SpanningTree.Loopguard']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.SpanningTree.Mst']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Auto.Qos.Classify']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Auto.Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Auto.Qos.Video']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Auto.Qos.Voip']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Auto.Qos']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Auto']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Datalink.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Datalink.Flow']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Datalink.Flow']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Datalink']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Location.CivicLocationId.Host']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Location.CivicLocationId.None_']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Location.CivicLocationId']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Location']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mac.AccessGroup.AclName']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mac.AccessGroup']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mac.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Mac']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Macro.Auto']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Macro']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.VlanRange.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.VlanRange']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switch.Virtual']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Switch']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Shape']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Share']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.SrrQueue.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.SrrQueue']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Udld.Port']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet.Udld']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Arp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Backup']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Domain']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Logging']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mop']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Standby']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Trust']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Utd']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Peer']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.CarrierDelay']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.ChannelGroup']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Negotiation']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Synchronous']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Speed']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Plim']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Pppoe']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Service']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cdp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Crypto']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Cts']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Dot1X']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Performance']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Lisp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mka']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Power']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mab']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Auto']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Datalink']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Energywise']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Location']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Mac']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Macro']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.DualActive']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Lldp']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.LoadBalancing']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Switch']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.SrrQueue']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Macsec']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.DeviceTracking']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.Udld']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Gigabitethernet.ZoneMember']['meta_info'].parent =_meta_table['Native.Interface.Gigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Lacp.Rate']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Lacp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Access.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Access']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode.Access']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode.Dot1QTunnel']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode.Trunk']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity.MacAddress']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Native_']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice.Detect.CiscoPhone']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice.Detect']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice.Detect']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Priority.Extend']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.Priority']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Host']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Mapping']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.HostAssociation']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Mapping']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Access']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Block']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.Autostate']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport.DeviceTracking']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Backup']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Backup']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Backup']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cemoudp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Text']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain.KeyChainList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.SendOnly']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.CsnpInterval.CsnpIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.CsnpInterval']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Hello']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.HelloInterval']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.HelloMultiplier.HelloMultiplierList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.HelloMultiplier']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Metric']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Password.PasswordList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Password']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Priority.PriorityList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis.Priority']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.AdjacencyFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Advertise']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.CircuitType']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.CsnpInterval']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Hello']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.HelloMultiplier']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Metric']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Password']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis.ThreeWayHandshake']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Bfd.Interval']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Bfd']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Bandwidth']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Bandwidth']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Dampening']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mpls.Accounting.Experimental']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mpls.Accounting']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mpls.Ldp.Discovery']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mpls.Ldp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding.Thresholds']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mpls.Accounting']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mpls.Bgp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mpls.Label']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mpls.Ldp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mpls']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.IpVrf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Pim.AcceptRegister']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Pim']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Pim.QueryInterval']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Pim']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Router']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.CheckReply']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Client']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Flow']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.Groups']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.ClassMap']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp.JoinGroup']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Nbar.ProtocolDiscovery']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Nbar']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval.Minimal']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.Lls']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.TtlSecurity']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect.Exclude']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Flow']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Lisp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Nat']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Nbar']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Server']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Guard']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra.Suppress']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd.Raguard']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Flow']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Pim.Bsr']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Pim']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Process']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Rip.DefaultInformation']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Rip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Flow']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.NoPim']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Pim']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6.Rip']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Logging.Event']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Logging.Event']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Logging']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Standby']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.AccessSession']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.RcvQueue']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Peer.Default']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Peer']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.CarrierDelay.Down']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.CarrierDelay.Up']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteLoopback']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan.Filter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Plim.Ethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero.Pause']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Plim.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Plim']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Plim.Qos']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Plim']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Pppoe.Enable']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Pppoe']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Untagged']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Acl']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery.Cause']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Errdisable']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain.SplitHorizon']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security.Maximum']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Mac']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mep']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mip']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Peer']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Forward']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Tunnel']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Errdisable']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Mac']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Service']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cdp.Tlv.App']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cdp.Tlv']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cdp.Tlv']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cdp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Crypto.Map']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Crypto']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Crypto.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Crypto']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Policy.Static']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Policy']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Policy']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Propagate']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts.Manual']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Cts']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Dot1X.Authenticator.Eap']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Dot1X.Authenticator']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Dot1X.Supplicant.Eap']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Dot1X.Supplicant']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Dot1X.Authenticator']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Dot1X']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Dot1X.Supplicant']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Dot1X']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Dot1X.Timeout']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Dot1X']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Performance.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Performance']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Snmp.Trap']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Snmp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Snmp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Lisp.Mobility.DynamicEid']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Lisp.Mobility.Discover']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Lisp.Mobility.Liveness']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Lisp.Mobility']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Lisp']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mka.PreSharedKey.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mka.PreSharedKey']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mka.PreSharedKey']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mka']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Area']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Area']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Manet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Neighbor']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Network']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Manet']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Network']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Power.Inline.Police.Action']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Power.Inline.Police']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Power.Inline.Auto']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Power.Inline.FourPair']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Power.Inline.Police']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Power.Inline.Port']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Power.Inline.Static']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Power.Inline']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Power.Inline']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Power']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive.Action']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Fail']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Fail']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Value']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Server']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer.Reauthenticate']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Event']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Order']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Authentication']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.SpanningTree.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.SpanningTree.Loopguard']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.SpanningTree.Mst']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.SpanningTree']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Auto.Qos.Classify']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Auto.Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Auto.Qos.Video']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Auto.Qos.Voip']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Auto.Qos']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Auto']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Datalink.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Datalink.Flow']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Datalink.Flow']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Datalink']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Location.CivicLocationId.Host']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Location.CivicLocationId.None_']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Location.CivicLocationId']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Location']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mac.AccessGroup.AclName']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mac.AccessGroup']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mac.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Mac']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Macro.Auto']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Macro']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.VlanRange.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.VlanRange']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switch.Virtual']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Switch']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Shape']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Share']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.SrrQueue']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Udld.Port']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet.Udld']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Lacp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Arp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Backup']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Domain']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Logging']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mop']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Standby']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Trust']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Utd']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Peer']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.CarrierDelay']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.ChannelGroup']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Negotiation']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Synchronous']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Speed']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Plim']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Pppoe']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Service']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cdp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Crypto']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Cts']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Dot1X']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Performance']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Lisp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mka']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Power']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mab']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Auto']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Datalink']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Energywise']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Location']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Mac']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Macro']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.DualActive']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Lldp']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.LoadBalancing']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Switch']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.SrrQueue']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Macsec']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.DeviceTracking']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.Udld']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet.ZoneMember']['meta_info'].parent =_meta_table['Native.Interface.Tengigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Access.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Access']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode.Access']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode.Dot1QTunnel']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode.Trunk']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.MacAddress']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Native_']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect.CiscoPhone']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Priority.Extend']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Priority']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Host']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Mapping']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.HostAssociation']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Mapping']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Access']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Block']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Priority']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.Autostate']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switchport']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Backup']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Backup']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Backup']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Cemoudp']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Bandwidth']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Bandwidth']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Dampening']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.IpVrf']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Address']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Router']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ipv6']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Logging.Event']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Logging.Event']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Logging']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Standby']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.AccessSession']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.StormControl']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.RcvQueue']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Peer.Default']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Peer']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.CarrierDelay.Down']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.CarrierDelay.Up']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteLoopback']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Ethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan.Filter']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Plim.Ethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero.Pause']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Plim.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Plim']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Plim']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Pppoe.Enable']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Pppoe']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Untagged']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Acl']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery.Cause']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain.SplitHorizon']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security.Maximum']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Mac']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mep']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mip']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Peer']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Forward']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Tunnel']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Mac']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Service']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos.Classify']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos.Video']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos.Voip']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Auto']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Datalink.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Datalink.Flow']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Datalink.Flow']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Datalink']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Location.CivicLocationId.Host']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Location.CivicLocationId.None_']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Location.CivicLocationId']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Location']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Mac.AccessGroup.AclName']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Mac.AccessGroup']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Mac.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Mac']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Macro.Auto']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Macro']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.VlanRange.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.VlanRange']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switch.Virtual']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.Switch']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Shape']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Share']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet.SrrQueue']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Arp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Backup']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Isis']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Domain']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Logging']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Mop']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Standby']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Trust']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Utd']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Peer']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.CarrierDelay']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.ChannelGroup']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Negotiation']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Synchronous']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Speed']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Plim']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Pppoe']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Service']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Auto']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Datalink']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Energywise']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Location']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Mac']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Macro']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.DualActive']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Lldp']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.LoadBalancing']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Switch']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.SrrQueue']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet.Macsec']['meta_info'].parent =_meta_table['Native.Interface.Fortygigabitethernet']['meta_info']
_meta_table['Native.Interface.Loopback.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Loopback.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Loopback.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Loopback.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Loopback.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Backup']['meta_info']
_meta_table['Native.Interface.Loopback.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Backup']['meta_info']
_meta_table['Native.Interface.Loopback.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Backup']['meta_info']
_meta_table['Native.Interface.Loopback.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cemoudp']['meta_info']
_meta_table['Native.Interface.Loopback.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Loopback.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Loopback.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Loopback.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Loopback.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Encapsulation']['meta_info']
_meta_table['Native.Interface.Loopback.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Encapsulation']['meta_info']
_meta_table['Native.Interface.Loopback.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Encapsulation']['meta_info']
_meta_table['Native.Interface.Loopback.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Encapsulation']['meta_info']
_meta_table['Native.Interface.Loopback.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Encapsulation']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Authentication.Mode.Md5']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Authentication.Mode.Text']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Authentication.KeyChain.KeyChainList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Authentication.KeyChain']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Authentication.SendOnly']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.CsnpInterval']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Hello']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.HelloInterval']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.HelloMultiplier']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Ipv6.Metric']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Ipv6.Metric']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Metric']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Password.PasswordList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Password']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Priority.PriorityList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis.Priority']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.AdjacencyFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Advertise']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.CircuitType']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.CsnpInterval']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Hello']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.HelloMultiplier']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Metric']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Password']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.Priority']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.Isis.ThreeWayHandshake']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Isis']['meta_info']
_meta_table['Native.Interface.Loopback.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Loopback.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Loopback.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Bandwidth']['meta_info']
_meta_table['Native.Interface.Loopback.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Bandwidth']['meta_info']
_meta_table['Native.Interface.Loopback.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Dampening']['meta_info']
_meta_table['Native.Interface.Loopback.Mpls.Accounting.Experimental']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Mpls.Accounting']['meta_info']
_meta_table['Native.Interface.Loopback.Mpls.Ldp.Discovery']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Mpls.Ldp']['meta_info']
_meta_table['Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Mpls.TrafficEng.Flooding']['meta_info']
_meta_table['Native.Interface.Loopback.Mpls.TrafficEng.Flooding']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Loopback.Mpls.Accounting']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Mpls']['meta_info']
_meta_table['Native.Interface.Loopback.Mpls.Bgp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Mpls']['meta_info']
_meta_table['Native.Interface.Loopback.Mpls.Label']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Mpls']['meta_info']
_meta_table['Native.Interface.Loopback.Mpls.Ldp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Mpls']['meta_info']
_meta_table['Native.Interface.Loopback.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Mpls']['meta_info']
_meta_table['Native.Interface.Loopback.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Loopback.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Loopback.IpVrf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Address']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Address']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Address']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Pim.AcceptRegister']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Pim']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Pim.QueryInterval']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Pim']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Router']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information.CheckReply']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Client']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Flow']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Igmp.StaticGroup.ClassMap']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Igmp.StaticGroup']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Igmp.JoinGroup']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Nbar']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf.DeadInterval']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf.FastReroute']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf.MessageDigestKey']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.DeadInterval']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.FastReroute']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.Lls']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf.TtlSecurity']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Wccp.WccpList']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Wccp.WebCache']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Wccp.Redirect']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Flow']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Igmp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Lisp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Nat']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Nbar']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ip.Wccp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Dhcp.Server']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Dhcp.Guard']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Nd.Ra.Suppress']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Nd.Ra']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Nd.Raguard']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Nd.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Nd.Ra']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Flow']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Pim.Bsr']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Pim']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Neighbor']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Network']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Process']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Network']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Rip.DefaultInformation']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6.Rip']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Flow']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.NoPim']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Pim']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6.Rip']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Logging.Event']['meta_info']
_meta_table['Native.Interface.Loopback.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Logging.Event']['meta_info']
_meta_table['Native.Interface.Loopback.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Logging']['meta_info']
_meta_table['Native.Interface.Loopback.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby']['meta_info']
_meta_table['Native.Interface.Loopback.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Standby']['meta_info']
_meta_table['Native.Interface.Loopback.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Loopback.AccessSession']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Loopback.StormControl']['meta_info']
_meta_table['Native.Interface.Loopback.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Loopback.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Loopback.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Loopback.RcvQueue']['meta_info']
_meta_table['Native.Interface.Loopback.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Loopback.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Loopback.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Loopback.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Peer.Default']['meta_info']
_meta_table['Native.Interface.Loopback.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Peer']['meta_info']
_meta_table['Native.Interface.Loopback.Crypto.Map']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Crypto']['meta_info']
_meta_table['Native.Interface.Loopback.Crypto.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Crypto']['meta_info']
_meta_table['Native.Interface.Loopback.Cts.Manual.Policy.Static']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cts.Manual.Policy']['meta_info']
_meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']
_meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']
_meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk']['meta_info']
_meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cts.Manual.Sap']['meta_info']
_meta_table['Native.Interface.Loopback.Cts.Manual.Policy']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Loopback.Cts.Manual.Sap']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Loopback.Cts.Manual.Propagate']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Loopback.Cts.Manual']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Cts']['meta_info']
_meta_table['Native.Interface.Loopback.Performance.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Performance']['meta_info']
_meta_table['Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.Loopback.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.Loopback.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Loopback.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.Loopback.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Loopback.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.Loopback.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Loopback.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.Loopback.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']
_meta_table['Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas']['meta_info']
_meta_table['Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Snmp.Trap']['meta_info']
_meta_table['Native.Interface.Loopback.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Snmp']['meta_info']
_meta_table['Native.Interface.Loopback.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Snmp']['meta_info']
_meta_table['Native.Interface.Loopback.Lisp.Mobility.DynamicEid']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Loopback.Lisp.Mobility.Discover']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Loopback.Lisp.Mobility.Liveness']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Loopback.Lisp.Mobility']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Lisp']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Manet']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Network']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Area']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Area']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Manet']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Network']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Authentication']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Cost']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Encryption']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Manet']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Neighbor']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3.Network']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Cost']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Encryption']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Manet']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.Network']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']
_meta_table['Native.Interface.Loopback.Udld.Port']['meta_info'].parent =_meta_table['Native.Interface.Loopback.Udld']['meta_info']
_meta_table['Native.Interface.Loopback.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Arp']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Backup']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Isis']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Domain']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Ip']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Logging']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Mop']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Standby']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Trust']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Utd']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Peer']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Crypto']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Cts']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Performance']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Lisp']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Ospfv3']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.Udld']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Loopback.ZoneMember']['meta_info'].parent =_meta_table['Native.Interface.Loopback']['meta_info']
_meta_table['Native.Interface.Lisp.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Lisp.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Lisp.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Lisp.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Lisp.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Backup']['meta_info']
_meta_table['Native.Interface.Lisp.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Backup']['meta_info']
_meta_table['Native.Interface.Lisp.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Backup']['meta_info']
_meta_table['Native.Interface.Lisp.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Cemoudp']['meta_info']
_meta_table['Native.Interface.Lisp.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Lisp.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Lisp.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Lisp.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Lisp.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Lisp.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Lisp.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Encapsulation']['meta_info']
_meta_table['Native.Interface.Lisp.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Encapsulation']['meta_info']
_meta_table['Native.Interface.Lisp.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Encapsulation']['meta_info']
_meta_table['Native.Interface.Lisp.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Encapsulation']['meta_info']
_meta_table['Native.Interface.Lisp.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Encapsulation']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Authentication.Mode.Md5']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Authentication.Mode.Text']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Authentication.KeyChain.KeyChainList']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Authentication.KeyChain']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Authentication.SendOnly']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.CsnpInterval.CsnpIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.CsnpInterval']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Hello']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.HelloInterval']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.HelloMultiplier.HelloMultiplierList']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.HelloMultiplier']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Ipv6.Metric']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Ipv6.Metric']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Ipv6']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Metric']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Password.PasswordList']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Password']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Priority.PriorityList']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis.Priority']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.AdjacencyFilter']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Advertise']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.CircuitType']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.CsnpInterval']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Hello']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.HelloMultiplier']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Metric']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Password']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.Priority']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.Isis.ThreeWayHandshake']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Isis']['meta_info']
_meta_table['Native.Interface.Lisp.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Lisp.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Lisp.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Bandwidth']['meta_info']
_meta_table['Native.Interface.Lisp.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Bandwidth']['meta_info']
_meta_table['Native.Interface.Lisp.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Dampening']['meta_info']
_meta_table['Native.Interface.Lisp.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Lisp.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Lisp.IpVrf']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Address']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Address']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Address']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Router']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Lisp.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Lisp.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Lisp.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Lisp.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ipv6']['meta_info']
_meta_table['Native.Interface.Lisp.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ipv6']['meta_info']
_meta_table['Native.Interface.Lisp.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ipv6']['meta_info']
_meta_table['Native.Interface.Lisp.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ipv6']['meta_info']
_meta_table['Native.Interface.Lisp.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Ipv6']['meta_info']
_meta_table['Native.Interface.Lisp.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Logging.Event']['meta_info']
_meta_table['Native.Interface.Lisp.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Logging.Event']['meta_info']
_meta_table['Native.Interface.Lisp.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Logging']['meta_info']
_meta_table['Native.Interface.Lisp.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby']['meta_info']
_meta_table['Native.Interface.Lisp.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Standby']['meta_info']
_meta_table['Native.Interface.Lisp.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Lisp.AccessSession']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Lisp.StormControl']['meta_info']
_meta_table['Native.Interface.Lisp.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Lisp.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Lisp.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Lisp.RcvQueue']['meta_info']
_meta_table['Native.Interface.Lisp.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Lisp.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Lisp.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Lisp.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Peer.Default']['meta_info']
_meta_table['Native.Interface.Lisp.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Lisp.Peer']['meta_info']
_meta_table['Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.Lisp.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.Lisp.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Lisp.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.Lisp.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Lisp.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.Lisp.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Lisp.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.Lisp.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Lisp.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.Lisp.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Lisp.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Arp']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Backup']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Isis']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Domain']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Ip']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Logging']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Mop']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Standby']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Trust']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Utd']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.Peer']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.Lisp.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_.LispSubinterface_']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Backup']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Backup']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Backup']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Cemoudp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.CwsTunnel']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Bandwidth']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Bandwidth']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Dampening']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.IpVrf']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Arp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Router']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Logging.Event']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Logging.Event']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Logging']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Interface_Qos']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Standby']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.AccessSession']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.PriorityQueue']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.RcvQueue']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp.Peer']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Switchport']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Arp']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Backup']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Isis']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Bfd']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Dampening']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Domain']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Mpls']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Vrf']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Logging']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Mdix']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Mop']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Standby']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.StormControl']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Trust']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Utd']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.Peer']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp.PmPath']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']
_meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info'].parent =_meta_table['Native.Interface.LispSubinterface']['meta_info']
_meta_table['Native.Interface.Nve.SourceInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Nve.SourceInterface']['meta_info']
_meta_table['Native.Interface.Nve.SourceInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Nve.SourceInterface']['meta_info']
_meta_table['Native.Interface.Nve.SourceInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Nve.SourceInterface']['meta_info']
_meta_table['Native.Interface.Nve.SourceInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Nve.SourceInterface']['meta_info']
_meta_table['Native.Interface.Nve.Member.Vni.McastGroup']['meta_info'].parent =_meta_table['Native.Interface.Nve.Member.Vni']['meta_info']
_meta_table['Native.Interface.Nve.Member.Vni']['meta_info'].parent =_meta_table['Native.Interface.Nve.Member']['meta_info']
_meta_table['Native.Interface.Nve.SourceInterface']['meta_info'].parent =_meta_table['Native.Interface.Nve']['meta_info']
_meta_table['Native.Interface.Nve.Member']['meta_info'].parent =_meta_table['Native.Interface.Nve']['meta_info']
_meta_table['Native.Interface.Overlay.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Overlay.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Overlay.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Overlay.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Overlay.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Backup']['meta_info']
_meta_table['Native.Interface.Overlay.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Backup']['meta_info']
_meta_table['Native.Interface.Overlay.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Backup']['meta_info']
_meta_table['Native.Interface.Overlay.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Cemoudp']['meta_info']
_meta_table['Native.Interface.Overlay.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Overlay.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Overlay.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Overlay.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Overlay.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Encapsulation']['meta_info']
_meta_table['Native.Interface.Overlay.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Encapsulation']['meta_info']
_meta_table['Native.Interface.Overlay.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Encapsulation']['meta_info']
_meta_table['Native.Interface.Overlay.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Encapsulation']['meta_info']
_meta_table['Native.Interface.Overlay.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Encapsulation']['meta_info']
_meta_table['Native.Interface.Overlay.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Overlay.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Overlay.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Bandwidth']['meta_info']
_meta_table['Native.Interface.Overlay.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Bandwidth']['meta_info']
_meta_table['Native.Interface.Overlay.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Dampening']['meta_info']
_meta_table['Native.Interface.Overlay.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Overlay.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Overlay.IpVrf']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Address']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Address']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Address']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Router']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Overlay.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Overlay.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Overlay.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Overlay.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ipv6']['meta_info']
_meta_table['Native.Interface.Overlay.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ipv6']['meta_info']
_meta_table['Native.Interface.Overlay.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ipv6']['meta_info']
_meta_table['Native.Interface.Overlay.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ipv6']['meta_info']
_meta_table['Native.Interface.Overlay.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ipv6']['meta_info']
_meta_table['Native.Interface.Overlay.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Logging.Event']['meta_info']
_meta_table['Native.Interface.Overlay.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Logging.Event']['meta_info']
_meta_table['Native.Interface.Overlay.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Logging']['meta_info']
_meta_table['Native.Interface.Overlay.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby']['meta_info']
_meta_table['Native.Interface.Overlay.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Standby']['meta_info']
_meta_table['Native.Interface.Overlay.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Overlay.AccessSession']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Overlay.StormControl']['meta_info']
_meta_table['Native.Interface.Overlay.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Overlay.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Overlay.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Overlay.RcvQueue']['meta_info']
_meta_table['Native.Interface.Overlay.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Overlay.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Overlay.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Peer.Default']['meta_info']
_meta_table['Native.Interface.Overlay.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Peer']['meta_info']
_meta_table['Native.Interface.Overlay.CarrierDelay.Down']['meta_info'].parent =_meta_table['Native.Interface.Overlay.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Overlay.CarrierDelay.Up']['meta_info'].parent =_meta_table['Native.Interface.Overlay.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet.Oam']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Ethernet']['meta_info']
_meta_table['Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Plim.Ethernet.Vlan']['meta_info']
_meta_table['Native.Interface.Overlay.Plim.Ethernet.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Plim.Ethernet']['meta_info']
_meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero']['meta_info']
_meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority']['meta_info']
_meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Plim.Qos.Input']['meta_info']
_meta_table['Native.Interface.Overlay.Plim.Qos.Input']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Plim.Qos']['meta_info']
_meta_table['Native.Interface.Overlay.Plim.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Plim']['meta_info']
_meta_table['Native.Interface.Overlay.Plim.Qos']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Plim']['meta_info']
_meta_table['Native.Interface.Overlay.Pppoe.Enable']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Pppoe']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Untagged']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Ip.Acl']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Errdisable.Recovery']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Errdisable.Recovery']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Errdisable']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.BridgeDomain']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Mac.Security']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Mac.Security']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Mac']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Mep']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Mip']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol.Peer']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol.Forward']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Ip']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Rewrite']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Errdisable']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.BridgeDomain']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Mac']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.Cfm']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']
_meta_table['Native.Interface.Overlay.Service.Instance']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Service']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.EncapsulationFormat.Ip']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv.EncapsulationFormat']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv.Isis.Hello']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv.Isis']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.Isis.Hello']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv.Isis']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.Isis.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv.Isis']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.Isis.Metric']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv.Isis']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.JoinInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv.JoinInterface']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.JoinInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv.JoinInterface']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.JoinInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv.JoinInterface']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv.JoinInterface']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.AdjacencyServer']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.EncapsulationFormat']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.Isis']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.JoinInterface']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.Suppress']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv']['meta_info']
_meta_table['Native.Interface.Overlay.Otv.UseAdjacencyServer']['meta_info'].parent =_meta_table['Native.Interface.Overlay.Otv']['meta_info']
_meta_table['Native.Interface.Overlay.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Arp']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Backup']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Isis']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Domain']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Ip']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Logging']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Mop']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Standby']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Trust']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Utd']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Peer']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.CarrierDelay']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.ChannelGroup']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Negotiation']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Synchronous']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Speed']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Plim']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Pppoe']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Service']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.Overlay.Otv']['meta_info'].parent =_meta_table['Native.Interface.Overlay']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Access.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Access']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Mode.Access']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Mode.Dot1QTunnel']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Mode.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Mode.Trunk']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Trunk.Allowed']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Trunk.Pruning']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Trunk.Allowed']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Trunk.Native_']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Trunk.Pruning']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Voice.Detect.CiscoPhone']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Voice.Detect']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Voice.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Voice.Detect']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Priority.Extend']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.Priority']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.Association']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Access']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Block']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Trunk']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Priority']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.Autostate']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannel.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.PortChannel.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.PortChannel.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.PortChannel.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.PortChannel.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Backup']['meta_info']
_meta_table['Native.Interface.PortChannel.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Backup']['meta_info']
_meta_table['Native.Interface.PortChannel.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Backup']['meta_info']
_meta_table['Native.Interface.PortChannel.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cemoudp']['meta_info']
_meta_table['Native.Interface.PortChannel.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.CwsTunnel']['meta_info']
_meta_table['Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.PortChannel.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannel.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannel.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannel.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannel.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannel.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.PortChannel.Bfd.Interval']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Bfd']['meta_info']
_meta_table['Native.Interface.PortChannel.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Bandwidth']['meta_info']
_meta_table['Native.Interface.PortChannel.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Bandwidth']['meta_info']
_meta_table['Native.Interface.PortChannel.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Dampening']['meta_info']
_meta_table['Native.Interface.PortChannel.Mpls.Accounting.Experimental']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Mpls.Accounting']['meta_info']
_meta_table['Native.Interface.PortChannel.Mpls.Ldp.Discovery']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Mpls.Ldp']['meta_info']
_meta_table['Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Mpls.TrafficEng.Flooding']['meta_info']
_meta_table['Native.Interface.PortChannel.Mpls.TrafficEng.Flooding']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.PortChannel.Mpls.Accounting']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Mpls']['meta_info']
_meta_table['Native.Interface.PortChannel.Mpls.Bgp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Mpls']['meta_info']
_meta_table['Native.Interface.PortChannel.Mpls.Label']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Mpls']['meta_info']
_meta_table['Native.Interface.PortChannel.Mpls.Ldp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Mpls']['meta_info']
_meta_table['Native.Interface.PortChannel.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Mpls']['meta_info']
_meta_table['Native.Interface.PortChannel.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.IpVrf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Arp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Address']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Address']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Address']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Pim.AcceptRegister']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Pim']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Pim.QueryInterval']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Pim']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Router']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.CheckReply']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Client']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Verify']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Verify']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Flow']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Igmp.StaticGroup.ClassMap']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Igmp.StaticGroup']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Igmp.JoinGroup']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Nbar']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf.DeadInterval']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf.FastReroute']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.DeadInterval']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.FastReroute']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.Lls']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf.TtlSecurity']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Wccp.WccpList']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Wccp.WebCache']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Wccp.Redirect']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp.WccpList']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp.WebCache']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp.Redirect']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Flow']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Igmp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Lisp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Nat']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Nbar']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip.Wccp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Dhcp.Server']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Dhcp.Guard']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Nd.Ra.Suppress']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Nd.Ra']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Nd.Raguard']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Nd.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Nd.Ra']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Flow']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Pim.Bsr']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Pim']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Neighbor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Network']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Process']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Network']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6.Rip']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Flow']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.NoPim']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Pim']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6.Rip']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Logging.Event']['meta_info']
_meta_table['Native.Interface.PortChannel.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Logging.Event']['meta_info']
_meta_table['Native.Interface.PortChannel.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Logging']['meta_info']
_meta_table['Native.Interface.PortChannel.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Interface_Qos']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Standby']['meta_info']
_meta_table['Native.Interface.PortChannel.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.AccessSession']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.StormControl']['meta_info']
_meta_table['Native.Interface.PortChannel.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.PriorityQueue']['meta_info']
_meta_table['Native.Interface.PortChannel.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.RcvQueue']['meta_info']
_meta_table['Native.Interface.PortChannel.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.PortChannel.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.PortChannel.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Peer.Default']['meta_info']
_meta_table['Native.Interface.PortChannel.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Peer']['meta_info']
_meta_table['Native.Interface.PortChannel.CarrierDelay.Down']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.CarrierDelay']['meta_info']
_meta_table['Native.Interface.PortChannel.CarrierDelay.Up']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.CarrierDelay']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet.Oam']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ethernet']['meta_info']
_meta_table['Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Plim.Ethernet.Vlan']['meta_info']
_meta_table['Native.Interface.PortChannel.Plim.Ethernet.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Plim.Ethernet']['meta_info']
_meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero']['meta_info']
_meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority']['meta_info']
_meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Plim.Qos.Input']['meta_info']
_meta_table['Native.Interface.PortChannel.Plim.Qos.Input']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Plim.Qos']['meta_info']
_meta_table['Native.Interface.PortChannel.Plim.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Plim']['meta_info']
_meta_table['Native.Interface.PortChannel.Plim.Qos']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Plim']['meta_info']
_meta_table['Native.Interface.PortChannel.Pppoe.Enable']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Pppoe']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Untagged']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Acl']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Errdisable']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.BridgeDomain']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Mac.Security']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Mac.Security']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Mac']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Mep']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Mip']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect.Backup']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect.Backup']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance.XconnectPwClass']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Ip']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Errdisable']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Snmp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.BridgeDomain']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Mac']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Cfm']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance.XconnectPwClass']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Service']['meta_info']
_meta_table['Native.Interface.PortChannel.Crypto.Map']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Crypto']['meta_info']
_meta_table['Native.Interface.PortChannel.Crypto.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Crypto']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts.Manual.Policy.Static']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cts.Manual.Policy']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts.Manual.Policy']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cts.Manual']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts.Manual.Sap']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cts.Manual']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts.Manual.Propagate']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cts.Manual']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts.Manual']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Cts']['meta_info']
_meta_table['Native.Interface.PortChannel.Dot1X.Authenticator.Eap']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Dot1X.Authenticator']['meta_info']
_meta_table['Native.Interface.PortChannel.Dot1X.Supplicant.Eap']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Dot1X.Supplicant']['meta_info']
_meta_table['Native.Interface.PortChannel.Dot1X.Authenticator']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Dot1X']['meta_info']
_meta_table['Native.Interface.PortChannel.Dot1X.Supplicant']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Dot1X']['meta_info']
_meta_table['Native.Interface.PortChannel.Dot1X.Timeout']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Dot1X']['meta_info']
_meta_table['Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.PortChannel.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.PortChannel.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.ServicePolicy']['meta_info']
_meta_table['Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']
_meta_table['Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas']['meta_info']
_meta_table['Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Snmp.Trap']['meta_info']
_meta_table['Native.Interface.PortChannel.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Snmp']['meta_info']
_meta_table['Native.Interface.PortChannel.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Snmp']['meta_info']
_meta_table['Native.Interface.PortChannel.Lisp.Mobility.DynamicEid']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.PortChannel.Lisp.Mobility.Discover']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.PortChannel.Lisp.Mobility.Liveness']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.PortChannel.Lisp.Mobility']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Lisp']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Manet']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Network']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Area']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Area']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Bfd']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Manet']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Network']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Cost']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Manet.Peering']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Manet']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Neighbor']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3.Network']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Bfd']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Cost']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Encryption']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Manet']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.Network']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Alive']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Dead']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Alive']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event.Server']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Dead']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event.Server']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event.Fail.Action']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.Fail.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event.Fail']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event.NoResponse.Action']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.NoResponse.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event.NoResponse']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.Server']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.Fail']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event.NoResponse']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Event']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Timer.Inactivity']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Timer.Inactivity.Server']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Timer.Inactivity']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Timer.Reauthenticate']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Timer']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Timer.Inactivity']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication.Timer']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Event']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Order']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Priority']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication.Timer']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannel.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.SpanningTree']['meta_info']
_meta_table['Native.Interface.PortChannel.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.SpanningTree']['meta_info']
_meta_table['Native.Interface.PortChannel.SpanningTree.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.SpanningTree']['meta_info']
_meta_table['Native.Interface.PortChannel.SpanningTree.Loopguard']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.SpanningTree']['meta_info']
_meta_table['Native.Interface.PortChannel.SpanningTree.Mst']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.SpanningTree']['meta_info']
_meta_table['Native.Interface.PortChannel.Auto.Qos.Classify']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Auto.Qos']['meta_info']
_meta_table['Native.Interface.PortChannel.Auto.Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Auto.Qos']['meta_info']
_meta_table['Native.Interface.PortChannel.Auto.Qos.Video']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Auto.Qos']['meta_info']
_meta_table['Native.Interface.PortChannel.Auto.Qos.Voip']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Auto.Qos']['meta_info']
_meta_table['Native.Interface.PortChannel.Auto.Qos']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Auto']['meta_info']
_meta_table['Native.Interface.PortChannel.Datalink.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Datalink.Flow']['meta_info']
_meta_table['Native.Interface.PortChannel.Datalink.Flow']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Datalink']['meta_info']
_meta_table['Native.Interface.PortChannel.Location.CivicLocationId.Host']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.PortChannel.Location.CivicLocationId.None_']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.PortChannel.Location.CivicLocationId']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Location']['meta_info']
_meta_table['Native.Interface.PortChannel.Mac.AccessGroup.AclName']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Mac.AccessGroup']['meta_info']
_meta_table['Native.Interface.PortChannel.Mac.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Mac']['meta_info']
_meta_table['Native.Interface.PortChannel.Macro.Auto']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Macro']['meta_info']
_meta_table['Native.Interface.PortChannel.VlanRange.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.VlanRange']['meta_info']
_meta_table['Native.Interface.PortChannel.Switch.Virtual']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.Switch']['meta_info']
_meta_table['Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.PortChannel.SrrQueue.Bandwidth.Share']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.PortChannel.SrrQueue.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.PortChannel.SrrQueue']['meta_info']
_meta_table['Native.Interface.PortChannel.Lacp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.PortChannel_']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Switchport']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Arp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Backup']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Isis']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Bfd']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Dampening']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Domain']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Mpls']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Vrf']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Ip']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Logging']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Mdix']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Mop']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Standby']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.StormControl']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Trust']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Utd']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Peer']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.PmPath']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.CarrierDelay']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.ChannelGroup']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Negotiation']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Synchronous']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Speed']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Plim']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Pppoe']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Service']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Xconnect']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Crypto']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Cts']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Dot1X']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Snmp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Lisp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Mab']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Auto']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Datalink']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Energywise']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Location']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Mac']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Macro']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.DualActive']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Lldp']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.LoadBalancing']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Switch']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.SrrQueue']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannel.Macsec']['meta_info'].parent =_meta_table['Native.Interface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Access']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Dot1QTunnel']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Trunk']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect.CiscoPhone']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.PortChannelSubinterface_']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Dampening']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.IpVrf']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Logging']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.AccessSession']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Pppoe']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Untagged']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Classify']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Voip']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Datalink']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.Host']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.None_']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Location']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.AclName']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mac']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Macro']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.VlanRange']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switch']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Arp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Isis']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Bfd']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Dampening']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Domain']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mpls']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Vrf']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Logging']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mdix']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mop']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Trust']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Utd']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.PmPath']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Negotiation']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Synchronous']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Speed']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Pppoe']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Datalink']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Energywise']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Location']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mac']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Macro']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.DualActive']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Lldp']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switch']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Macsec']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info'].parent =_meta_table['Native.Interface.PortChannelSubinterface']['meta_info']
_meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_']['meta_info']
_meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_']['meta_info']
_meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_']['meta_info']
_meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_']['meta_info']
_meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Ip.Local']['meta_info']
_meta_table['Native.Interface.Pseudowire.Ip.Dfbit']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Ip']['meta_info']
_meta_table['Native.Interface.Pseudowire.Ip.Local']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Ip']['meta_info']
_meta_table['Native.Interface.Pseudowire.Ip.Pmtu']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Ip']['meta_info']
_meta_table['Native.Interface.Pseudowire.Ip.Tos']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Ip']['meta_info']
_meta_table['Native.Interface.Pseudowire.LoadBalance.Flow']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.LoadBalance']['meta_info']
_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_']['meta_info']
_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_']['meta_info']
_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_']['meta_info']
_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_']['meta_info']
_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local']['meta_info']
_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd']['meta_info']
_meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Monitor.Peer']['meta_info']
_meta_table['Native.Interface.Pseudowire.Monitor.Peer']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Monitor']['meta_info']
_meta_table['Native.Interface.Pseudowire.PreferredPath.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.PreferredPath']['meta_info']
_meta_table['Native.Interface.Pseudowire.PreferredPath.PeerContainer']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.PreferredPath']['meta_info']
_meta_table['Native.Interface.Pseudowire.Status.Peer.Topology']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Status.Peer']['meta_info']
_meta_table['Native.Interface.Pseudowire.Status.AdminDown']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Status']['meta_info']
_meta_table['Native.Interface.Pseudowire.Status.ControlPlane']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Status']['meta_info']
_meta_table['Native.Interface.Pseudowire.Status.Peer']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Status']['meta_info']
_meta_table['Native.Interface.Pseudowire.Status.Redundancy']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire.Status']['meta_info']
_meta_table['Native.Interface.Pseudowire.Ip']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire']['meta_info']
_meta_table['Native.Interface.Pseudowire.LoadBalance']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire']['meta_info']
_meta_table['Native.Interface.Pseudowire.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire']['meta_info']
_meta_table['Native.Interface.Pseudowire.PreferredPath']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire']['meta_info']
_meta_table['Native.Interface.Pseudowire.ProtocolMpls']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire']['meta_info']
_meta_table['Native.Interface.Pseudowire.ProtocolL2Tpv2']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire']['meta_info']
_meta_table['Native.Interface.Pseudowire.ProtocolL2Tpv3']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire']['meta_info']
_meta_table['Native.Interface.Pseudowire.Status']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire']['meta_info']
_meta_table['Native.Interface.Pseudowire.Switching']['meta_info'].parent =_meta_table['Native.Interface.Pseudowire']['meta_info']
_meta_table['Native.Interface.Sm.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Sm.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Sm.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Sm.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Sm.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Sm.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Sm.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Sm.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Sm.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Sm.Backup']['meta_info']
_meta_table['Native.Interface.Sm.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Sm.Backup']['meta_info']
_meta_table['Native.Interface.Sm.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Sm.Backup']['meta_info']
_meta_table['Native.Interface.Sm.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Sm.Cemoudp']['meta_info']
_meta_table['Native.Interface.Sm.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Sm.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Sm.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Sm.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Sm.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Sm.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Sm.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Sm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Sm.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Sm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Sm.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Sm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Sm.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Sm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Sm.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Sm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Sm.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Sm.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Sm.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Sm.Bandwidth']['meta_info']
_meta_table['Native.Interface.Sm.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Sm.Bandwidth']['meta_info']
_meta_table['Native.Interface.Sm.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Sm.Dampening']['meta_info']
_meta_table['Native.Interface.Sm.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Sm.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Sm.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Sm.IpVrf']['meta_info']
_meta_table['Native.Interface.Sm.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Sm.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Sm.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Sm.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Sm.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Sm.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Address']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Address']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Address']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Router']['meta_info']
_meta_table['Native.Interface.Sm.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Sm.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Sm.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Sm.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Sm.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Sm.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ipv6']['meta_info']
_meta_table['Native.Interface.Sm.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ipv6']['meta_info']
_meta_table['Native.Interface.Sm.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ipv6']['meta_info']
_meta_table['Native.Interface.Sm.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ipv6']['meta_info']
_meta_table['Native.Interface.Sm.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Sm.Ipv6']['meta_info']
_meta_table['Native.Interface.Sm.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Sm.Logging.Event']['meta_info']
_meta_table['Native.Interface.Sm.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Sm.Logging.Event']['meta_info']
_meta_table['Native.Interface.Sm.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Sm.Logging']['meta_info']
_meta_table['Native.Interface.Sm.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Sm.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Sm.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Sm.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby']['meta_info']
_meta_table['Native.Interface.Sm.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby']['meta_info']
_meta_table['Native.Interface.Sm.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Sm.Standby']['meta_info']
_meta_table['Native.Interface.Sm.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Sm.AccessSession']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl']['meta_info']
_meta_table['Native.Interface.Sm.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Sm.StormControl']['meta_info']
_meta_table['Native.Interface.Sm.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Sm.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Sm.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Sm.RcvQueue']['meta_info']
_meta_table['Native.Interface.Sm.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Sm.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Sm.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Sm.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Sm.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Sm.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Sm.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Sm.Peer.Default']['meta_info']
_meta_table['Native.Interface.Sm.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Sm.Peer']['meta_info']
_meta_table['Native.Interface.Sm.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Arp']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Backup']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Isis']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Domain']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Ip']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Logging']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Mop']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Standby']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Trust']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Utd']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.Peer']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Sm.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Sm']['meta_info']
_meta_table['Native.Interface.Cellular.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Cellular.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Cellular.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Cellular.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Cellular.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Backup']['meta_info']
_meta_table['Native.Interface.Cellular.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Backup']['meta_info']
_meta_table['Native.Interface.Cellular.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Backup']['meta_info']
_meta_table['Native.Interface.Cellular.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Cemoudp']['meta_info']
_meta_table['Native.Interface.Cellular.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Cellular.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Cellular.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Cellular.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Cellular.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Encapsulation']['meta_info']
_meta_table['Native.Interface.Cellular.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Encapsulation']['meta_info']
_meta_table['Native.Interface.Cellular.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Encapsulation']['meta_info']
_meta_table['Native.Interface.Cellular.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Encapsulation']['meta_info']
_meta_table['Native.Interface.Cellular.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Encapsulation']['meta_info']
_meta_table['Native.Interface.Cellular.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Cellular.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Cellular.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Bandwidth']['meta_info']
_meta_table['Native.Interface.Cellular.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Bandwidth']['meta_info']
_meta_table['Native.Interface.Cellular.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Dampening']['meta_info']
_meta_table['Native.Interface.Cellular.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Cellular.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Cellular.IpVrf']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Address']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Address']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Address']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Router']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Cellular.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Cellular.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Cellular.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Cellular.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ipv6']['meta_info']
_meta_table['Native.Interface.Cellular.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ipv6']['meta_info']
_meta_table['Native.Interface.Cellular.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ipv6']['meta_info']
_meta_table['Native.Interface.Cellular.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ipv6']['meta_info']
_meta_table['Native.Interface.Cellular.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Ipv6']['meta_info']
_meta_table['Native.Interface.Cellular.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Logging.Event']['meta_info']
_meta_table['Native.Interface.Cellular.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Logging.Event']['meta_info']
_meta_table['Native.Interface.Cellular.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Logging']['meta_info']
_meta_table['Native.Interface.Cellular.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby']['meta_info']
_meta_table['Native.Interface.Cellular.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Standby']['meta_info']
_meta_table['Native.Interface.Cellular.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Cellular.AccessSession']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Cellular.StormControl']['meta_info']
_meta_table['Native.Interface.Cellular.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Cellular.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Cellular.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Cellular.RcvQueue']['meta_info']
_meta_table['Native.Interface.Cellular.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Cellular.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Cellular.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Cellular.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Peer.Default']['meta_info']
_meta_table['Native.Interface.Cellular.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Cellular.Peer']['meta_info']
_meta_table['Native.Interface.Cellular.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Arp']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Backup']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Isis']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Domain']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Ip']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Logging']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Mop']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Standby']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Trust']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Utd']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.Peer']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Cellular.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Cellular']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Md5']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Text']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain.KeyChainList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.SendOnly']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval.CsnpIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier.HelloMultiplierList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password.PasswordList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority.PriorityList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.AdjacencyFilter']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Advertise']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CircuitType']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ThreeWayHandshake']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']
_meta_table['Native.Interface.Vlan.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Vlan.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening']['meta_info']
_meta_table['Native.Interface.Vlan.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vlan.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Vlan.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vlan.IpVrf']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.AcceptRegister']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.QueryInterval']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.CheckReply']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.OptionInsert']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType.CircuitId']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Client']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar.ProtocolDiscovery']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Server']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Guard']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim.Bsr']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.NoPim']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer']['meta_info']
_meta_table['Native.Interface.Vlan.Crypto.Map']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Crypto']['meta_info']
_meta_table['Native.Interface.Vlan.Crypto.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Crypto']['meta_info']
_meta_table['Native.Interface.Vlan.Cts.Manual.Policy.Static']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Cts.Manual.Policy']['meta_info']
_meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']
_meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']
_meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk']['meta_info']
_meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Cts.Manual.Sap']['meta_info']
_meta_table['Native.Interface.Vlan.Cts.Manual.Policy']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Vlan.Cts.Manual.Sap']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Vlan.Cts.Manual.Propagate']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Vlan.Cts.Manual']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Cts']['meta_info']
_meta_table['Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.Vlan.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.Vlan.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Vlan.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.Vlan.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.Vlan.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Vlan.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.Vlan.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Vlan.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.Vlan.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Vlan.Lisp.Mobility.DynamicEid']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Vlan.Lisp.Mobility.Discover']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Vlan.Lisp.Mobility.Liveness']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Vlan.Lisp.Mobility']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Lisp']['meta_info']
_meta_table['Native.Interface.Vlan.Vrrp.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Vrrp']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range.Forwarder']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Ip.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range.Ip']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range.Preempt']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Weighting.Track.Range_']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range.Weighting.Track']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Weighting.Value']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range.Weighting']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Weighting.Track']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range.Weighting']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Timers.Msec.Range_']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range.Timers.Msec']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Timers.Msec']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range.Timers']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Forwarder']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Weighting']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range.Timers']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp.Range']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp.Range']['meta_info'].parent =_meta_table['Native.Interface.Vlan.Glbp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']
_meta_table['Native.Interface.Vlan.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Vlan.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening']['meta_info']
_meta_table['Native.Interface.Vlan.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vlan.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Vlan.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vlan.IpVrf']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Arp']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Domain']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mop']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Trust']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Utd']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.Crypto']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.Cts']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.Lisp']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.PrivateVlan']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.Vrrp']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.Glbp']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Arp']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Domain']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mop']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Trust']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Utd']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.Vlan.ZoneMember']['meta_info'].parent =_meta_table['Native.Interface.Vlan']['meta_info']
_meta_table['Native.Interface.GroupAsync.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.GroupAsync.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.GroupAsync.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.GroupAsync.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.GroupAsync.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Backup']['meta_info']
_meta_table['Native.Interface.GroupAsync.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Backup']['meta_info']
_meta_table['Native.Interface.GroupAsync.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Backup']['meta_info']
_meta_table['Native.Interface.GroupAsync.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Cemoudp']['meta_info']
_meta_table['Native.Interface.GroupAsync.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.CwsTunnel']['meta_info']
_meta_table['Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.GroupAsync.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Encapsulation']['meta_info']
_meta_table['Native.Interface.GroupAsync.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Encapsulation']['meta_info']
_meta_table['Native.Interface.GroupAsync.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Encapsulation']['meta_info']
_meta_table['Native.Interface.GroupAsync.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Encapsulation']['meta_info']
_meta_table['Native.Interface.GroupAsync.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Encapsulation']['meta_info']
_meta_table['Native.Interface.GroupAsync.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.GroupAsync.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Bandwidth']['meta_info']
_meta_table['Native.Interface.GroupAsync.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Bandwidth']['meta_info']
_meta_table['Native.Interface.GroupAsync.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Dampening']['meta_info']
_meta_table['Native.Interface.GroupAsync.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.IpVrf']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Arp']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Address']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Address']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Address']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Router']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Verify']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip.Verify']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ipv6']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ipv6']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ipv6']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ipv6']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Ipv6']['meta_info']
_meta_table['Native.Interface.GroupAsync.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Logging.Event']['meta_info']
_meta_table['Native.Interface.GroupAsync.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Logging.Event']['meta_info']
_meta_table['Native.Interface.GroupAsync.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Logging']['meta_info']
_meta_table['Native.Interface.GroupAsync.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Interface_Qos']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Standby']['meta_info']
_meta_table['Native.Interface.GroupAsync.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.AccessSession']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.StormControl']['meta_info']
_meta_table['Native.Interface.GroupAsync.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.PriorityQueue']['meta_info']
_meta_table['Native.Interface.GroupAsync.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.RcvQueue']['meta_info']
_meta_table['Native.Interface.GroupAsync.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.GroupAsync.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.GroupAsync.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.GroupAsync.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Peer.Default']['meta_info']
_meta_table['Native.Interface.GroupAsync.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync.Peer']['meta_info']
_meta_table['Native.Interface.GroupAsync.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Switchport']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Arp']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Backup']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Isis']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Bfd']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Dampening']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Domain']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Mpls']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Vrf']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ip']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Logging']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Mdix']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Mop']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Standby']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.StormControl']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Trust']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Utd']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.Peer']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.GroupAsync.PmPath']['meta_info'].parent =_meta_table['Native.Interface.GroupAsync']['meta_info']
_meta_table['Native.Interface.Multilink.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Multilink.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Multilink.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Multilink.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Multilink.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Backup']['meta_info']
_meta_table['Native.Interface.Multilink.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Backup']['meta_info']
_meta_table['Native.Interface.Multilink.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Backup']['meta_info']
_meta_table['Native.Interface.Multilink.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Cemoudp']['meta_info']
_meta_table['Native.Interface.Multilink.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Multilink.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Multilink.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Multilink.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Multilink.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Encapsulation']['meta_info']
_meta_table['Native.Interface.Multilink.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Encapsulation']['meta_info']
_meta_table['Native.Interface.Multilink.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Encapsulation']['meta_info']
_meta_table['Native.Interface.Multilink.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Encapsulation']['meta_info']
_meta_table['Native.Interface.Multilink.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Encapsulation']['meta_info']
_meta_table['Native.Interface.Multilink.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Multilink.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Multilink.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Bandwidth']['meta_info']
_meta_table['Native.Interface.Multilink.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Bandwidth']['meta_info']
_meta_table['Native.Interface.Multilink.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Dampening']['meta_info']
_meta_table['Native.Interface.Multilink.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Multilink.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Multilink.IpVrf']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Address']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Address']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Address']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Router']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Multilink.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Multilink.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Multilink.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Multilink.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ipv6']['meta_info']
_meta_table['Native.Interface.Multilink.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ipv6']['meta_info']
_meta_table['Native.Interface.Multilink.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ipv6']['meta_info']
_meta_table['Native.Interface.Multilink.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ipv6']['meta_info']
_meta_table['Native.Interface.Multilink.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ipv6']['meta_info']
_meta_table['Native.Interface.Multilink.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Logging.Event']['meta_info']
_meta_table['Native.Interface.Multilink.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Logging.Event']['meta_info']
_meta_table['Native.Interface.Multilink.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Logging']['meta_info']
_meta_table['Native.Interface.Multilink.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby']['meta_info']
_meta_table['Native.Interface.Multilink.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Standby']['meta_info']
_meta_table['Native.Interface.Multilink.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Multilink.AccessSession']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Multilink.StormControl']['meta_info']
_meta_table['Native.Interface.Multilink.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Multilink.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Multilink.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Multilink.RcvQueue']['meta_info']
_meta_table['Native.Interface.Multilink.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Multilink.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Multilink.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Multilink.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Peer.Default']['meta_info']
_meta_table['Native.Interface.Multilink.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Peer']['meta_info']
_meta_table['Native.Interface.Multilink.Ppp.Ipcp.Dns']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ppp.Ipcp']['meta_info']
_meta_table['Native.Interface.Multilink.Ppp.Multilink_.Links.Minimum']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ppp.Multilink_.Links']['meta_info']
_meta_table['Native.Interface.Multilink.Ppp.Multilink_.Fragment.Delay']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ppp.Multilink_.Fragment']['meta_info']
_meta_table['Native.Interface.Multilink.Ppp.Multilink_.Links']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ppp.Multilink_']['meta_info']
_meta_table['Native.Interface.Multilink.Ppp.Multilink_.Endpoint']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ppp.Multilink_']['meta_info']
_meta_table['Native.Interface.Multilink.Ppp.Multilink_.Fragment']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ppp.Multilink_']['meta_info']
_meta_table['Native.Interface.Multilink.Ppp.Chap']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ppp']['meta_info']
_meta_table['Native.Interface.Multilink.Ppp.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ppp']['meta_info']
_meta_table['Native.Interface.Multilink.Ppp.Ipcp']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ppp']['meta_info']
_meta_table['Native.Interface.Multilink.Ppp.Multilink_']['meta_info'].parent =_meta_table['Native.Interface.Multilink.Ppp']['meta_info']
_meta_table['Native.Interface.Multilink.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Arp']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Backup']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Isis']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Domain']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Ip']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Logging']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Mop']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Standby']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Trust']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Utd']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Peer']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Multilink.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Multilink']['meta_info']
_meta_table['Native.Interface.Serial.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Serial.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Serial.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Serial.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Serial.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Serial.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Serial.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Serial.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Serial.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Serial.Backup']['meta_info']
_meta_table['Native.Interface.Serial.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Serial.Backup']['meta_info']
_meta_table['Native.Interface.Serial.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Serial.Backup']['meta_info']
_meta_table['Native.Interface.Serial.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Serial.Cemoudp']['meta_info']
_meta_table['Native.Interface.Serial.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Serial.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Serial.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Serial.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Serial.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Serial.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Serial.Encapsulation']['meta_info']
_meta_table['Native.Interface.Serial.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Serial.Encapsulation']['meta_info']
_meta_table['Native.Interface.Serial.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Serial.Encapsulation']['meta_info']
_meta_table['Native.Interface.Serial.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Serial.Encapsulation']['meta_info']
_meta_table['Native.Interface.Serial.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Serial.Encapsulation']['meta_info']
_meta_table['Native.Interface.Serial.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Serial.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Serial.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Serial.Bandwidth']['meta_info']
_meta_table['Native.Interface.Serial.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Serial.Bandwidth']['meta_info']
_meta_table['Native.Interface.Serial.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Serial.Dampening']['meta_info']
_meta_table['Native.Interface.Serial.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Serial.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Serial.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Serial.IpVrf']['meta_info']
_meta_table['Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Serial.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Serial.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Serial.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Serial.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Address']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Address']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Address']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Router']['meta_info']
_meta_table['Native.Interface.Serial.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Serial.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Serial.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Serial.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Serial.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Serial.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ipv6']['meta_info']
_meta_table['Native.Interface.Serial.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ipv6']['meta_info']
_meta_table['Native.Interface.Serial.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ipv6']['meta_info']
_meta_table['Native.Interface.Serial.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ipv6']['meta_info']
_meta_table['Native.Interface.Serial.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ipv6']['meta_info']
_meta_table['Native.Interface.Serial.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Serial.Logging.Event']['meta_info']
_meta_table['Native.Interface.Serial.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Serial.Logging.Event']['meta_info']
_meta_table['Native.Interface.Serial.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Serial.Logging']['meta_info']
_meta_table['Native.Interface.Serial.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Serial.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Serial.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Serial.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby']['meta_info']
_meta_table['Native.Interface.Serial.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby']['meta_info']
_meta_table['Native.Interface.Serial.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Serial.Standby']['meta_info']
_meta_table['Native.Interface.Serial.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Serial.AccessSession']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl']['meta_info']
_meta_table['Native.Interface.Serial.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Serial.StormControl']['meta_info']
_meta_table['Native.Interface.Serial.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Serial.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Serial.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Serial.RcvQueue']['meta_info']
_meta_table['Native.Interface.Serial.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Serial.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Serial.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Serial.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Serial.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Serial.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Serial.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Serial.Peer.Default']['meta_info']
_meta_table['Native.Interface.Serial.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Serial.Peer']['meta_info']
_meta_table['Native.Interface.Serial.Ppp.Ipcp.Dns']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ppp.Ipcp']['meta_info']
_meta_table['Native.Interface.Serial.Ppp.Multilink.Links.Minimum']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ppp.Multilink.Links']['meta_info']
_meta_table['Native.Interface.Serial.Ppp.Multilink.Fragment.Delay']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ppp.Multilink.Fragment']['meta_info']
_meta_table['Native.Interface.Serial.Ppp.Multilink.Links']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ppp.Multilink']['meta_info']
_meta_table['Native.Interface.Serial.Ppp.Multilink.Endpoint']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ppp.Multilink']['meta_info']
_meta_table['Native.Interface.Serial.Ppp.Multilink.Fragment']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ppp.Multilink']['meta_info']
_meta_table['Native.Interface.Serial.Ppp.Chap']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ppp']['meta_info']
_meta_table['Native.Interface.Serial.Ppp.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ppp']['meta_info']
_meta_table['Native.Interface.Serial.Ppp.Ipcp']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ppp']['meta_info']
_meta_table['Native.Interface.Serial.Ppp.Multilink']['meta_info'].parent =_meta_table['Native.Interface.Serial.Ppp']['meta_info']
_meta_table['Native.Interface.Serial.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Arp']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Backup']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Isis']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Domain']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Ip']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Logging']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Mop']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Standby']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Trust']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Utd']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Peer']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Serial.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Serial']['meta_info']
_meta_table['Native.Interface.Tunnel.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Tunnel.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Tunnel.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Tunnel.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Tunnel.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Backup']['meta_info']
_meta_table['Native.Interface.Tunnel.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Backup']['meta_info']
_meta_table['Native.Interface.Tunnel.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Backup']['meta_info']
_meta_table['Native.Interface.Tunnel.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cemoudp']['meta_info']
_meta_table['Native.Interface.Tunnel.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tunnel.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tunnel.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tunnel.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tunnel.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Encapsulation']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Authentication.Mode.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Authentication.Mode.Text']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Authentication.KeyChain.KeyChainList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Authentication.KeyChain']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Authentication.SendOnly']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.CsnpInterval']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Hello']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.HelloInterval']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.HelloMultiplier']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Ipv6.Metric']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Ipv6.Metric']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Metric']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Password.PasswordList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Password']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Priority.PriorityList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.AdjacencyFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Advertise']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.CircuitType']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.CsnpInterval']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Hello']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.HelloMultiplier']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Metric']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Password']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis.ThreeWayHandshake']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Isis']['meta_info']
_meta_table['Native.Interface.Tunnel.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Tunnel.Bfd.Interval']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Bfd']['meta_info']
_meta_table['Native.Interface.Tunnel.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Bandwidth']['meta_info']
_meta_table['Native.Interface.Tunnel.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Bandwidth']['meta_info']
_meta_table['Native.Interface.Tunnel.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Dampening']['meta_info']
_meta_table['Native.Interface.Tunnel.Mpls.Accounting.Experimental']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Mpls.Accounting']['meta_info']
_meta_table['Native.Interface.Tunnel.Mpls.Ldp.Discovery']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Mpls.Ldp']['meta_info']
_meta_table['Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Mpls.TrafficEng.Flooding']['meta_info']
_meta_table['Native.Interface.Tunnel.Mpls.TrafficEng.Flooding']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Tunnel.Mpls.Accounting']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Mpls']['meta_info']
_meta_table['Native.Interface.Tunnel.Mpls.Bgp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Mpls']['meta_info']
_meta_table['Native.Interface.Tunnel.Mpls.Label']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Mpls']['meta_info']
_meta_table['Native.Interface.Tunnel.Mpls.Ldp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Mpls']['meta_info']
_meta_table['Native.Interface.Tunnel.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Mpls']['meta_info']
_meta_table['Native.Interface.Tunnel.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.IpVrf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Address']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Address']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Address']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Pim.AcceptRegister']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Pim']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Pim.QueryInterval']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Pim']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Router']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.CheckReply']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Client']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Flow']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Igmp.StaticGroup.ClassMap']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Igmp.StaticGroup']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Igmp.JoinGroup']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nbar']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set.AttrType']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Attribute']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.NbmaIpv4']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.DestMask']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.Group']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.Group']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.MaxSend.PktCount']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.MaxSend']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority.Prior']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority.Pri']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority.McPri']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority.NhsPri']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority.McPri']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority.McPrior']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority.PriRange']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster.ClusNum']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority.DynPri']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority.NPrior']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority.DynMcPri']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority.Dp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority.V6Pri']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority.V6Pri2']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Reject.Reqid']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Reject']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc.Kbps']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Attribute']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Cache']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Interest']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.MaxSend']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Registration']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Reject']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Responder']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.ServerOnly']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.Shortcut']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf.DeadInterval']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf.FastReroute']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.DeadInterval']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.FastReroute']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.Lls']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf.TtlSecurity']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Wccp.WccpList']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Wccp.WebCache']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Wccp.Redirect']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Flow']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Igmp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Lisp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nbar']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip.Wccp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Dhcp.Server']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Dhcp.Guard']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Nd.Ra.Suppress']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Nd.Ra']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Nd.Raguard']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Nd.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Nd.Ra']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Flow.Monitor']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Flow.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Flow']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Pim.Bsr']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Pim']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Neighbor']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Network']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Process']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Network']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6.Rip']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Flow']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.NoPim']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Pim']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6.Rip']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Logging.Event']['meta_info']
_meta_table['Native.Interface.Tunnel.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Logging.Event']['meta_info']
_meta_table['Native.Interface.Tunnel.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Logging']['meta_info']
_meta_table['Native.Interface.Tunnel.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Standby']['meta_info']
_meta_table['Native.Interface.Tunnel.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.AccessSession']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.StormControl']['meta_info']
_meta_table['Native.Interface.Tunnel.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Tunnel.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.RcvQueue']['meta_info']
_meta_table['Native.Interface.Tunnel.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Tunnel.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Tunnel.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Tunnel.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Peer.Default']['meta_info']
_meta_table['Native.Interface.Tunnel.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Peer']['meta_info']
_meta_table['Native.Interface.Tunnel.Cdp.Tlv.App']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cdp.Tlv']['meta_info']
_meta_table['Native.Interface.Tunnel.Cdp.Tlv']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cdp']['meta_info']
_meta_table['Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName']['meta_info']
_meta_table['Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Nhrp.Map.Group']['meta_info']
_meta_table['Native.Interface.Tunnel.Nhrp.Map.Group']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Nhrp.Map']['meta_info']
_meta_table['Native.Interface.Tunnel.Nhrp.EventPublisher']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Nhrp.Map']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Nhrp']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Tun6Rd.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Tun6Rd']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Endpoint.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Endpoint']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipsec']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipsec']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Mpls']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Gre.Multipoint']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Gre']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mode']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mode']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mode']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Gre']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mode']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipip']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mode']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipv6Ip']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mode']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Protection.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Protection']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute.Metric']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit.Name']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Lockdown']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Explicit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Lockdown']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.Invalidation']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Affinity']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.AutoBw']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Priority']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.FastReroute']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Tun6Rd']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.DstPort']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Endpoint']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Fixup']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Flow']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mode']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.NetworkId']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Protection']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Rbscp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.SrcPort']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Udlr']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']
_meta_table['Native.Interface.Tunnel.Crypto.Map']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Crypto']['meta_info']
_meta_table['Native.Interface.Tunnel.Crypto.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Crypto']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts.Manual.Policy.Static']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cts.Manual.Policy']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts.Manual.Policy']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts.Manual.Sap']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts.Manual.Propagate']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts.Manual']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Cts']['meta_info']
_meta_table['Native.Interface.Tunnel.Performance.Monitor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Performance']['meta_info']
_meta_table['Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Tunnel.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Tunnel.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']
_meta_table['Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas']['meta_info']
_meta_table['Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Snmp.Trap']['meta_info']
_meta_table['Native.Interface.Tunnel.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Snmp']['meta_info']
_meta_table['Native.Interface.Tunnel.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Snmp']['meta_info']
_meta_table['Native.Interface.Tunnel.Lisp.Mobility.DynamicEid']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Tunnel.Lisp.Mobility.Discover']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Tunnel.Lisp.Mobility.Liveness']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Lisp.Mobility']['meta_info']
_meta_table['Native.Interface.Tunnel.Lisp.Mobility']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Lisp']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Manet']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Network']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Area']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Area']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.FloodReduction']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Manet']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.MtuIgnore']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Network']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Shutdown']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Authentication']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Cost']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Manet.Peering']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Manet.Peering']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Manet']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Neighbor']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Network.PointToMultipoint']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3.Network']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Cost']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.DemandCircuit']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Encryption']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Manet']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.MultiArea']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Neighbor']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.Network']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3.PrefixSuppression']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']
_meta_table['Native.Interface.Tunnel.Udld.Port']['meta_info'].parent =_meta_table['Native.Interface.Tunnel.Udld']['meta_info']
_meta_table['Native.Interface.Tunnel.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Arp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Backup']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Isis']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Domain']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Ip']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Logging']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Mop']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Standby']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Trust']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Utd']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Peer']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Qos']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Cdp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Nhrp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Crypto']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Cts']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Performance']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Lisp']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.Udld']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.Tunnel.ZoneMember']['meta_info'].parent =_meta_table['Native.Interface.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Backup']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Backup']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Backup']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cemoudp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.CwsTunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Encapsulation']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Encapsulation']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Encapsulation']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Encapsulation']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Encapsulation']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Md5']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Text']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain.KeyChainList']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.SendOnly']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.CsnpInterval']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Hello']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.HelloInterval']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.HelloMultiplier']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Ipv6.Metric']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Ipv6.Metric']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Ipv6']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Metric.MetricList']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Metric']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Password.PasswordList']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Password']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Priority.PriorityList']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis.Priority']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.AdjacencyFilter']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Advertise']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.CircuitType']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.CsnpInterval']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Hello']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.HelloMultiplier']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Metric']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Password']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.Priority']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Bandwidth']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Bandwidth']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Dampening']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.IpVrf']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Arp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Address']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Address']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Address']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Router']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Verify']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Verify']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.ClassMap']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Igmp.JoinGroup']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip.Igmp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ipv6']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ipv6']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ipv6']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ipv6']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ipv6']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Logging.Event']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Logging.Event']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Logging']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Interface_Qos']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Standby']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.AccessSession']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.StormControl']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.PriorityQueue']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.RcvQueue']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Peer.Default']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Peer']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.CarrierDelay.Down']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.CarrierDelay']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.CarrierDelay.Up']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.CarrierDelay']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ethernet']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Plim.Ethernet']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Plim.Qos']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Plim.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Plim']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Plim.Qos']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Plim']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Pppoe.Enable']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Pppoe']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Untagged']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Errdisable']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Mac.Security']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Mac.Security']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Mac']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Errdisable']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Snmp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Mac']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Service']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cdp.Tlv.App']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cdp.Tlv']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cdp.Tlv']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cdp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Nhrp.Map.Group']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Nhrp.Map.Group']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Nhrp.Map']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Nhrp.EventPublisher']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Nhrp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Nhrp.Map']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Nhrp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Tun6Rd.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Tun6Rd']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Endpoint']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv4']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Gre.Multipoint']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Gre']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Gre']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipip']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipv6Ip']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Name']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Lockdown']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Lockdown']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Affinity']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Priority']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.FastReroute']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Tun6Rd']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.DstPort']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Endpoint']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Fixup']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Flow']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.NetworkId']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Protection']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Rbscp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.SrcPort']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Udlr']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel.Vlan']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Crypto.Map']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Crypto']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Crypto.Ipsec']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Crypto']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Policy']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Policy']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cts.Manual']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cts.Manual']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Propagate']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cts.Manual']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts.Manual']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Cts']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.ServicePolicy']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Snmp.Trap']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Snmp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Snmp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ppp.Ipcp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Links']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Links']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ppp.Chap']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ppp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ppp.Authentication']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ppp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ppp.Ipcp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ppp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate.Ppp']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Switchport']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Arp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Backup']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Bfd']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Dampening']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Domain']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Mpls']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Vrf']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Logging']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Mdix']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Mop']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Standby']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.StormControl']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Trust']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Utd']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Peer']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.PmPath']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.CarrierDelay']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.ChannelGroup']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Negotiation']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Synchronous']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Speed']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Plim']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Pppoe']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Service']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cdp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Nhrp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Crypto']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Cts']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Snmp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Ppp']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.Mab']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.VirtualTemplate.ZoneMember']['meta_info'].parent =_meta_table['Native.Interface.VirtualTemplate']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Backup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Backup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Backup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cemoudp']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Encapsulation']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Encapsulation']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Encapsulation']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Encapsulation']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Encapsulation']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Bfd.Interval']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Bfd']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Bandwidth']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Bandwidth']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Dampening']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.IpVrf']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Address']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Address']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Address']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Router']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.ClassMap']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Igmp.JoinGroup']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip.Igmp']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip.Igmp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ipv6']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ipv6']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ipv6']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ipv6']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ipv6']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Logging.Event']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Logging.Event']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Logging']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Standby']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.AccessSession']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.StormControl']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.RcvQueue']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Peer.Default']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Peer']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.CarrierDelay.Down']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.CarrierDelay.Up']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.CarrierDelay']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteLoopback']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Ethernet']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan.Filter']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Plim.Ethernet']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero.Pause']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Plim.Qos']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Plim.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Plim']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Plim.Qos']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Plim']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Pppoe.Enable']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Pppoe']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Untagged']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Acl']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery.Cause']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Errdisable']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Snmp']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain.SplitHorizon']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Mac.Security.Maximum']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Mac.Security']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Mac.Security']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Mac']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mep']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mip']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Peer']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Forward']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Tunnel']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Errdisable']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Mac']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Service']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Policy.Static']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Policy']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Policy']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Propagate']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cts.Manual']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts.Manual']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Cts']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Snmp.Trap']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Snmp.Ifindex']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Snmp']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup.Snmp']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Arp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Backup']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Isis']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Domain']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Logging']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Mop']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Standby']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Trust']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Utd']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Peer']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.CarrierDelay']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.ChannelGroup']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Ethernet']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Negotiation']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Synchronous']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Speed']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Plim']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Pppoe']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Service']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Cts']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Snmp']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Virtualportgroup.Mab']['meta_info'].parent =_meta_table['Native.Interface.Virtualportgroup']['meta_info']
_meta_table['Native.Interface.Vasileft.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vasileft.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vasileft.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vasileft.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vasileft.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Backup']['meta_info']
_meta_table['Native.Interface.Vasileft.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Backup']['meta_info']
_meta_table['Native.Interface.Vasileft.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Backup']['meta_info']
_meta_table['Native.Interface.Vasileft.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Cemoudp']['meta_info']
_meta_table['Native.Interface.Vasileft.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Vasileft.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Encapsulation']['meta_info']
_meta_table['Native.Interface.Vasileft.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Encapsulation']['meta_info']
_meta_table['Native.Interface.Vasileft.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Encapsulation']['meta_info']
_meta_table['Native.Interface.Vasileft.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Encapsulation']['meta_info']
_meta_table['Native.Interface.Vasileft.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Encapsulation']['meta_info']
_meta_table['Native.Interface.Vasileft.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Vasileft.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Bandwidth']['meta_info']
_meta_table['Native.Interface.Vasileft.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Bandwidth']['meta_info']
_meta_table['Native.Interface.Vasileft.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Dampening']['meta_info']
_meta_table['Native.Interface.Vasileft.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.IpVrf']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Router']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.CheckReply']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Client']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Wccp.WccpList']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Wccp.WebCache']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Wccp.Redirect']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip.Wccp']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Dhcp.Server']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Dhcp.Guard']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Nd.Ra.Suppress']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6.Nd.Ra']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Nd.Raguard']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Nd.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Nd.Ra']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Ipv6']['meta_info']
_meta_table['Native.Interface.Vasileft.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Logging.Event']['meta_info']
_meta_table['Native.Interface.Vasileft.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Logging.Event']['meta_info']
_meta_table['Native.Interface.Vasileft.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Logging']['meta_info']
_meta_table['Native.Interface.Vasileft.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Standby']['meta_info']
_meta_table['Native.Interface.Vasileft.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.AccessSession']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.StormControl']['meta_info']
_meta_table['Native.Interface.Vasileft.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Vasileft.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.RcvQueue']['meta_info']
_meta_table['Native.Interface.Vasileft.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vasileft.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vasileft.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Vasileft.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Peer.Default']['meta_info']
_meta_table['Native.Interface.Vasileft.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.Peer']['meta_info']
_meta_table['Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Vasileft.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Vasileft.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.Vasileft.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Vasileft.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Arp']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Backup']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Isis']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Domain']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Logging']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Mop']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Standby']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Trust']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Utd']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.Peer']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasileft.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Vasileft']['meta_info']
_meta_table['Native.Interface.Vasiright.Backup.Interface_.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vasiright.Backup.Interface_.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vasiright.Backup.Interface_.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vasiright.Backup.Interface_.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Backup.Interface_']['meta_info']
_meta_table['Native.Interface.Vasiright.Backup.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Backup']['meta_info']
_meta_table['Native.Interface.Vasiright.Backup.Interface_']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Backup']['meta_info']
_meta_table['Native.Interface.Vasiright.Backup.Load']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Backup']['meta_info']
_meta_table['Native.Interface.Vasiright.Cemoudp.Reserve']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Cemoudp']['meta_info']
_meta_table['Native.Interface.Vasiright.CwsTunnel.Out']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.CwsTunnel']['meta_info']
_meta_table['Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Interface.Vasiright.Encapsulation.Dot1Q']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Encapsulation']['meta_info']
_meta_table['Native.Interface.Vasiright.Encapsulation.Isl']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Encapsulation']['meta_info']
_meta_table['Native.Interface.Vasiright.Encapsulation.Ppp']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Encapsulation']['meta_info']
_meta_table['Native.Interface.Vasiright.Encapsulation.Slip']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Encapsulation']['meta_info']
_meta_table['Native.Interface.Vasiright.Encapsulation.FrameRelay']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Encapsulation']['meta_info']
_meta_table['Native.Interface.Vasiright.KeepaliveSettings.Keepalive']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.KeepaliveSettings']['meta_info']
_meta_table['Native.Interface.Vasiright.Bandwidth.Receive']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Bandwidth']['meta_info']
_meta_table['Native.Interface.Vasiright.Bandwidth.Inherit']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Bandwidth']['meta_info']
_meta_table['Native.Interface.Vasiright.Dampening.Restart']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Dampening']['meta_info']
_meta_table['Native.Interface.Vasiright.IpVrf.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.IpVrf.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.IpVrf.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.IpVrf']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.AccessGroup.In_']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.AccessGroup.Out']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.AccessGroup.In_']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.AccessGroup.Out']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.AccessGroup']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Arp.Inspection.Limit']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Arp.Inspection']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Arp.Inspection']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Arp']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Vrf.Forwarding']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Vrf']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Address.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Address.Primary']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Address.Secondary']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Authentication']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Router.Isis']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Router']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.CheckReply']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Client']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.SummaryAddress.Eigrp']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.SummaryAddress']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Verify.Source.Vlan']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Verify.Source.Vlan']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Verify.Source']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Verify.Unicast.ReversePath']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Verify.Unicast.Source']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Verify.Unicast']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Verify.Source']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Verify.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Verify']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Wccp.WccpList']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Wccp.WebCache']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Wccp.Redirect']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp.WccpList']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp.WebCache']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip.Wccp']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Arp']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.NoAddress']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.HelperAddress']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Pim']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Policy']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.RouteCacheConf']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.RouteCache']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Router']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Tcp']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.VirtualReassembly']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.SummaryAddress']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Verify']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip.Wccp']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Dhcp.Server']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Dhcp.Guard']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6.Dhcp']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Address.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Address.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Address.PrefixList']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Address.LinkLocalAddress']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6.Address']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Nd.Ra.Suppress']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6.Nd.Ra']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Nd.Raguard']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Nd.Autoconfig']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Nd.Ra']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6.Nd']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.DestinationGuard']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Dhcp']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Address']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.Nd']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6.TrafficFilter']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Ipv6']['meta_info']
_meta_table['Native.Interface.Vasiright.Logging.Event.SpanningTree']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Logging.Event']['meta_info']
_meta_table['Native.Interface.Vasiright.Logging.Event.SubifLinkStatus']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Logging.Event']['meta_info']
_meta_table['Native.Interface.Vasiright.Logging.Event']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Logging']['meta_info']
_meta_table['Native.Interface.Vasiright.Interface_Qos.Trust']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Interface_Qos']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.UseBia.Scope']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.UseBia']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Authentication']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Preempt']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Timers']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Authentication']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Preempt']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Timers']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList.Track']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby.StandbyList']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.Delay']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.UseBia']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby.StandbyList']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Standby']['meta_info']
_meta_table['Native.Interface.Vasiright.AccessSession.PortControl']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.AccessSession']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Broadcast.Include']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl.Broadcast']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Multicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Multicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl.Multicast.Level']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Multicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl.Multicast']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Unicast.Level.Bps']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Unicast.Level.Pps']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl.Unicast.Level']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Unicast.Level']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl.Unicast']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Action']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Multicast']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl.Unicast']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.StormControl']['meta_info']
_meta_table['Native.Interface.Vasiright.PriorityQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.PriorityQueue']['meta_info']
_meta_table['Native.Interface.Vasiright.RcvQueue.CosMap']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.RcvQueue']['meta_info']
_meta_table['Native.Interface.Vasiright.Peer.Default.Ip.Address.DhcpPool']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vasiright.Peer.Default.Ip.Address.Pool']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Peer.Default.Ip.Address']['meta_info']
_meta_table['Native.Interface.Vasiright.Peer.Default.Ip.Address']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Peer.Default.Ip']['meta_info']
_meta_table['Native.Interface.Vasiright.Peer.Default.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Peer.Default']['meta_info']
_meta_table['Native.Interface.Vasiright.Peer.Default']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.Peer']['meta_info']
_meta_table['Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain']['meta_info']
_meta_table['Native.Interface.Vasiright.ServicePolicy.Type.Control']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.ServicePolicy.Type']['meta_info']
_meta_table['Native.Interface.Vasiright.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.Interface.Vasiright.ServicePolicy']['meta_info']
_meta_table['Native.Interface.Vasiright.SwitchportConf']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Switchport']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Arp']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Backup']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Cemoudp']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.CwsTunnel']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Encapsulation']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.FairQueueConf']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.FairQueue']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Flowcontrol']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Isis']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.KeepaliveSettings']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Bfd']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Bandwidth']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Dampening']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Domain']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.HoldQueue']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Mpls']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.IpVrf']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Vrf']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Ip']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Ipv6']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Logging']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Mdix']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Mop']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Interface_Qos']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Standby']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.AccessSession']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.StormControl']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Trust']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Utd']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.PriorityQueue']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.RcvQueue']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.Peer']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.PmPath']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.Vasiright.ServicePolicy']['meta_info'].parent =_meta_table['Native.Interface.Vasiright']['meta_info']
_meta_table['Native.Interface.AppnavCompress']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.AppnavUncompress']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Atm']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.AtmAcr']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Bdi']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Cem']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.CemAcr']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Fastethernet']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Gigabitethernet']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Tengigabitethernet']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Fortygigabitethernet']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Loopback']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Lisp']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Nve']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Overlay']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.PortChannel']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Pseudowire']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Sm']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Cellular']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Vlan']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.GroupAsync']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Multilink']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Serial']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Tunnel']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.VirtualTemplate']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Virtualportgroup']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Vasileft']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.Interface.Vasiright']['meta_info'].parent =_meta_table['Native.Interface']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath.Tag']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Clns.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Clns']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Community']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Dampening.DampeningList']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Dampening']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Default']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExtRange']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.ExtcommList']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExcommListName']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.ExtcommList']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp.CommunityId']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath.CommunityId']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.CommunityId']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Interface']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Interface']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Interface']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Interface']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Global_']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf.Vrfs']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability.Ipv4']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Vrf']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Address']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Global_']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Precedence']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.QosGroup']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Tos']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Vrf']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop.Ipv6S']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf.Dvrf0']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop.NhIpv6']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6.NhaIpv60']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability.VaIpv6']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Address']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.AigpMetric']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Clns']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Community']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.CommList']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Dampening']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Default']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.ExtcommList']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Interface']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ip']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Level']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Lisp']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Origin']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set.Tag']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All.GroupBest']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best.BestRange']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange.AdvPath']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.GroupBest']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.Address']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.Address']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Length.Lengths']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Length']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.RouteType.External']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.RouteType']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.RouteType.NssaExternal']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.RouteType']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Tag.List']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match.Tag']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.AsPath']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Clns']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Community']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Extcommunity']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Interface']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ip']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Length']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.LocalPreference']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.MdtGroup']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Metric']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.PolicyList']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.RouteType']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Rpki']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.SourceProtocol']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match.Tag']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info'].parent =_meta_table['Native.RouteMap.RouteMapSeq']['meta_info']
_meta_table['Native.RouteMap.RouteMapSeq']['meta_info'].parent =_meta_table['Native.RouteMap']['meta_info']
_meta_table['Native.RouteTag.List.RtName.Deny.Ipv4']['meta_info'].parent =_meta_table['Native.RouteTag.List.RtName.Deny']['meta_info']
_meta_table['Native.RouteTag.List.RtName.Permit.Ipv4']['meta_info'].parent =_meta_table['Native.RouteTag.List.RtName.Permit']['meta_info']
_meta_table['Native.RouteTag.List.RtName.Seq.SeqNum.Deny']['meta_info'].parent =_meta_table['Native.RouteTag.List.RtName.Seq.SeqNum']['meta_info']
_meta_table['Native.RouteTag.List.RtName.Seq.SeqNum.Permit']['meta_info'].parent =_meta_table['Native.RouteTag.List.RtName.Seq.SeqNum']['meta_info']
_meta_table['Native.RouteTag.List.RtName.Seq.SeqNum']['meta_info'].parent =_meta_table['Native.RouteTag.List.RtName.Seq']['meta_info']
_meta_table['Native.RouteTag.List.RtName.Deny']['meta_info'].parent =_meta_table['Native.RouteTag.List.RtName']['meta_info']
_meta_table['Native.RouteTag.List.RtName.Permit']['meta_info'].parent =_meta_table['Native.RouteTag.List.RtName']['meta_info']
_meta_table['Native.RouteTag.List.RtName.Seq']['meta_info'].parent =_meta_table['Native.RouteTag.List.RtName']['meta_info']
_meta_table['Native.RouteTag.List.RtName']['meta_info'].parent =_meta_table['Native.RouteTag.List']['meta_info']
_meta_table['Native.RouteTag.List']['meta_info'].parent =_meta_table['Native.RouteTag']['meta_info']
_meta_table['Native.RouteTag.Notation']['meta_info'].parent =_meta_table['Native.RouteTag']['meta_info']
_meta_table['Native.Banner.Exec_']['meta_info'].parent =_meta_table['Native.Banner']['meta_info']
_meta_table['Native.Banner.Login']['meta_info'].parent =_meta_table['Native.Banner']['meta_info']
_meta_table['Native.Banner.PromptTimeout']['meta_info'].parent =_meta_table['Native.Banner']['meta_info']
_meta_table['Native.Banner.Motd']['meta_info'].parent =_meta_table['Native.Banner']['meta_info']
_meta_table['Native.TableMap.Map']['meta_info'].parent =_meta_table['Native.TableMap']['meta_info']
_meta_table['Native.Sdm.Prefer']['meta_info'].parent =_meta_table['Native.Sdm']['meta_info']
_meta_table['Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Network_Address']['meta_info'].parent =_meta_table['Native.ObjectGroup.Network.ObjModeConfigNetworkGroup']['meta_info']
_meta_table['Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range']['meta_info'].parent =_meta_table['Native.ObjectGroup.Network.ObjModeConfigNetworkGroup']['meta_info']
_meta_table['Native.ObjectGroup.Network.ObjModeConfigNetworkGroup']['meta_info'].parent =_meta_table['Native.ObjectGroup.Network']['meta_info']
_meta_table['Native.ObjectGroup.Security.SecurityGroup.SecurityGroup_']['meta_info'].parent =_meta_table['Native.ObjectGroup.Security.SecurityGroup']['meta_info']
_meta_table['Native.ObjectGroup.Security.SecurityGroup']['meta_info'].parent =_meta_table['Native.ObjectGroup.Security']['meta_info']
_meta_table['Native.ObjectGroup.Service.Tcp.TcpPortList']['meta_info'].parent =_meta_table['Native.ObjectGroup.Service.Tcp']['meta_info']
_meta_table['Native.ObjectGroup.Service.TcpUdp.UdpPortList']['meta_info'].parent =_meta_table['Native.ObjectGroup.Service.TcpUdp']['meta_info']
_meta_table['Native.ObjectGroup.Service.Udp.UdpPortList']['meta_info'].parent =_meta_table['Native.ObjectGroup.Service.Udp']['meta_info']
_meta_table['Native.ObjectGroup.Service.Icmp']['meta_info'].parent =_meta_table['Native.ObjectGroup.Service']['meta_info']
_meta_table['Native.ObjectGroup.Service.Tcp']['meta_info'].parent =_meta_table['Native.ObjectGroup.Service']['meta_info']
_meta_table['Native.ObjectGroup.Service.TcpUdp']['meta_info'].parent =_meta_table['Native.ObjectGroup.Service']['meta_info']
_meta_table['Native.ObjectGroup.Service.Udp']['meta_info'].parent =_meta_table['Native.ObjectGroup.Service']['meta_info']
_meta_table['Native.ObjectGroup.Network']['meta_info'].parent =_meta_table['Native.ObjectGroup']['meta_info']
_meta_table['Native.ObjectGroup.Security']['meta_info'].parent =_meta_table['Native.ObjectGroup']['meta_info']
_meta_table['Native.ObjectGroup.Service']['meta_info'].parent =_meta_table['Native.ObjectGroup']['meta_info']
_meta_table['Native.PseudowireClass.Ip.Local.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.PseudowireClass.Ip.Local.Interface']['meta_info']
_meta_table['Native.PseudowireClass.Ip.Local.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.PseudowireClass.Ip.Local.Interface']['meta_info']
_meta_table['Native.PseudowireClass.Ip.Local.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.PseudowireClass.Ip.Local.Interface']['meta_info']
_meta_table['Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.PseudowireClass.Ip.Local.Interface']['meta_info']
_meta_table['Native.PseudowireClass.Ip.Local.Interface']['meta_info'].parent =_meta_table['Native.PseudowireClass.Ip.Local']['meta_info']
_meta_table['Native.PseudowireClass.Ip.Dfbit']['meta_info'].parent =_meta_table['Native.PseudowireClass.Ip']['meta_info']
_meta_table['Native.PseudowireClass.Ip.Local']['meta_info'].parent =_meta_table['Native.PseudowireClass.Ip']['meta_info']
_meta_table['Native.PseudowireClass.Ip.Pmtu']['meta_info'].parent =_meta_table['Native.PseudowireClass.Ip']['meta_info']
_meta_table['Native.PseudowireClass.Ip.Tos']['meta_info'].parent =_meta_table['Native.PseudowireClass.Ip']['meta_info']
_meta_table['Native.PseudowireClass.LoadBalance.Flow']['meta_info'].parent =_meta_table['Native.PseudowireClass.LoadBalance']['meta_info']
_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface']['meta_info']
_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface']['meta_info']
_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface']['meta_info']
_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface']['meta_info']
_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface']['meta_info'].parent =_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local']['meta_info']
_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local']['meta_info'].parent =_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd']['meta_info']
_meta_table['Native.PseudowireClass.Monitor.Peer.Bfd']['meta_info'].parent =_meta_table['Native.PseudowireClass.Monitor.Peer']['meta_info']
_meta_table['Native.PseudowireClass.Monitor.Peer']['meta_info'].parent =_meta_table['Native.PseudowireClass.Monitor']['meta_info']
_meta_table['Native.PseudowireClass.PreferredPath.Interface']['meta_info'].parent =_meta_table['Native.PseudowireClass.PreferredPath']['meta_info']
_meta_table['Native.PseudowireClass.PreferredPath.PeerContainer']['meta_info'].parent =_meta_table['Native.PseudowireClass.PreferredPath']['meta_info']
_meta_table['Native.PseudowireClass.Status.Peer.Topology']['meta_info'].parent =_meta_table['Native.PseudowireClass.Status.Peer']['meta_info']
_meta_table['Native.PseudowireClass.Status.AdminDown']['meta_info'].parent =_meta_table['Native.PseudowireClass.Status']['meta_info']
_meta_table['Native.PseudowireClass.Status.ControlPlane']['meta_info'].parent =_meta_table['Native.PseudowireClass.Status']['meta_info']
_meta_table['Native.PseudowireClass.Status.Peer']['meta_info'].parent =_meta_table['Native.PseudowireClass.Status']['meta_info']
_meta_table['Native.PseudowireClass.Status.Redundancy']['meta_info'].parent =_meta_table['Native.PseudowireClass.Status']['meta_info']
_meta_table['Native.PseudowireClass.Ip']['meta_info'].parent =_meta_table['Native.PseudowireClass']['meta_info']
_meta_table['Native.PseudowireClass.LoadBalance']['meta_info'].parent =_meta_table['Native.PseudowireClass']['meta_info']
_meta_table['Native.PseudowireClass.Monitor']['meta_info'].parent =_meta_table['Native.PseudowireClass']['meta_info']
_meta_table['Native.PseudowireClass.PreferredPath']['meta_info'].parent =_meta_table['Native.PseudowireClass']['meta_info']
_meta_table['Native.PseudowireClass.ProtocolMpls']['meta_info'].parent =_meta_table['Native.PseudowireClass']['meta_info']
_meta_table['Native.PseudowireClass.ProtocolL2Tpv2']['meta_info'].parent =_meta_table['Native.PseudowireClass']['meta_info']
_meta_table['Native.PseudowireClass.ProtocolL2Tpv3']['meta_info'].parent =_meta_table['Native.PseudowireClass']['meta_info']
_meta_table['Native.PseudowireClass.Status']['meta_info'].parent =_meta_table['Native.PseudowireClass']['meta_info']
_meta_table['Native.PseudowireClass.Switching']['meta_info'].parent =_meta_table['Native.PseudowireClass']['meta_info']
_meta_table['Native.ControlPlane.ServicePolicy']['meta_info'].parent =_meta_table['Native.ControlPlane']['meta_info']
_meta_table['Native.Clock.CalendarValid']['meta_info'].parent =_meta_table['Native.Clock']['meta_info']
_meta_table['Native.Clock.SummerTime']['meta_info'].parent =_meta_table['Native.Clock']['meta_info']
_meta_table['Native.Clock.Timezone']['meta_info'].parent =_meta_table['Native.Clock']['meta_info']
_meta_table['Native.Logging.Discriminator.MsgBody']['meta_info'].parent =_meta_table['Native.Logging.Discriminator']['meta_info']
_meta_table['Native.Logging.Persistent.File']['meta_info'].parent =_meta_table['Native.Logging.Persistent']['meta_info']
_meta_table['Native.Logging.Monitor.Discriminator']['meta_info'].parent =_meta_table['Native.Logging.Monitor']['meta_info']
_meta_table['Native.Logging.Buffered.Discriminator']['meta_info'].parent =_meta_table['Native.Logging.Buffered']['meta_info']
_meta_table['Native.Logging.Console.Discriminator']['meta_info'].parent =_meta_table['Native.Logging.Console']['meta_info']
_meta_table['Native.Logging.Event.LinkStatus']['meta_info'].parent =_meta_table['Native.Logging.Event']['meta_info']
_meta_table['Native.Logging.Host.Ipv6.Ipv6HostList']['meta_info'].parent =_meta_table['Native.Logging.Host.Ipv6']['meta_info']
_meta_table['Native.Logging.Host.Ipv4HostList']['meta_info'].parent =_meta_table['Native.Logging.Host']['meta_info']
_meta_table['Native.Logging.Host.Ipv6']['meta_info'].parent =_meta_table['Native.Logging.Host']['meta_info']
_meta_table['Native.Logging.RateLimit.Console.Range.Except_']['meta_info'].parent =_meta_table['Native.Logging.RateLimit.Console.Range']['meta_info']
_meta_table['Native.Logging.RateLimit.Console.All.Range.Except_']['meta_info'].parent =_meta_table['Native.Logging.RateLimit.Console.All.Range']['meta_info']
_meta_table['Native.Logging.RateLimit.Console.All.Range']['meta_info'].parent =_meta_table['Native.Logging.RateLimit.Console.All']['meta_info']
_meta_table['Native.Logging.RateLimit.Console.Range']['meta_info'].parent =_meta_table['Native.Logging.RateLimit.Console']['meta_info']
_meta_table['Native.Logging.RateLimit.Console.All']['meta_info'].parent =_meta_table['Native.Logging.RateLimit.Console']['meta_info']
_meta_table['Native.Logging.RateLimit.Console']['meta_info'].parent =_meta_table['Native.Logging.RateLimit']['meta_info']
_meta_table['Native.Logging.SourceInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Logging.SourceInterface']['meta_info']
_meta_table['Native.Logging.SourceInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Logging.SourceInterface']['meta_info']
_meta_table['Native.Logging.SourceInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Logging.SourceInterface']['meta_info']
_meta_table['Native.Logging.SourceInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Logging.SourceInterface']['meta_info']
_meta_table['Native.Logging.Discriminator']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.Persistent']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.MonitorConf']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.Monitor']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.Buffered']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.ConsoleConf']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.Console']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.Event']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.Esm']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.History']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.Host']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.RateLimitConf']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.RateLimit']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.SourceInterface']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.SnmpTrap']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.Trap']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Logging.File']['meta_info'].parent =_meta_table['Native.Logging']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Tacacsplus.ServerPrivate']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus.Server_']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Tacacsplus']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus.ServerPrivate']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Tacacsplus']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Tacacsplus']['meta_info']
_meta_table['Native.Aaa.Group.Server.Radius.Server_.Name']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Radius.Server_']['meta_info']
_meta_table['Native.Aaa.Group.Server.Radius.Server_.Direct']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Radius.Server_']['meta_info']
_meta_table['Native.Aaa.Group.Server.Radius.Ip.Radius_']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Radius.Ip']['meta_info']
_meta_table['Native.Aaa.Group.Server.Radius.Ip.Vrf']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Radius.Ip']['meta_info']
_meta_table['Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Radius.LoadBalance.Method']['meta_info']
_meta_table['Native.Aaa.Group.Server.Radius.LoadBalance.Method']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Radius.LoadBalance']['meta_info']
_meta_table['Native.Aaa.Group.Server.Radius.Server_']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Radius']['meta_info']
_meta_table['Native.Aaa.Group.Server.Radius.Ip']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Radius']['meta_info']
_meta_table['Native.Aaa.Group.Server.Radius.LoadBalance']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server.Radius']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacsplus']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server']['meta_info']
_meta_table['Native.Aaa.Group.Server.Tacacs']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server']['meta_info']
_meta_table['Native.Aaa.Group.Server.Radius']['meta_info'].parent =_meta_table['Native.Aaa.Group.Server']['meta_info']
_meta_table['Native.Aaa.Group.Server']['meta_info'].parent =_meta_table['Native.Aaa.Group']['meta_info']
_meta_table['Native.Aaa.Authentication.Dot1X.Dot1XList']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Dot1X']['meta_info']
_meta_table['Native.Aaa.Authentication.Dot1X.Default']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Dot1X']['meta_info']
_meta_table['Native.Aaa.Authentication.Enable.Default']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Enable']['meta_info']
_meta_table['Native.Aaa.Authentication.Eou.Default.Group']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Eou.Default']['meta_info']
_meta_table['Native.Aaa.Authentication.Eou.Default']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Eou']['meta_info']
_meta_table['Native.Aaa.Authentication.Login.A1']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Login']['meta_info']
_meta_table['Native.Aaa.Authentication.Login.A2']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Login']['meta_info']
_meta_table['Native.Aaa.Authentication.Login.A3']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Login']['meta_info']
_meta_table['Native.Aaa.Authentication.Login.A4']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Login']['meta_info']
_meta_table['Native.Aaa.Authentication.Onep.Default.Local']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Onep.Default']['meta_info']
_meta_table['Native.Aaa.Authentication.Onep.Default']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Onep']['meta_info']
_meta_table['Native.Aaa.Authentication.Ppp.A1']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Ppp']['meta_info']
_meta_table['Native.Aaa.Authentication.Ppp.A2']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Ppp']['meta_info']
_meta_table['Native.Aaa.Authentication.Ppp.A3']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Ppp']['meta_info']
_meta_table['Native.Aaa.Authentication.Ppp.A4']['meta_info'].parent =_meta_table['Native.Aaa.Authentication.Ppp']['meta_info']
_meta_table['Native.Aaa.Authentication.Attempts']['meta_info'].parent =_meta_table['Native.Aaa.Authentication']['meta_info']
_meta_table['Native.Aaa.Authentication.Banner']['meta_info'].parent =_meta_table['Native.Aaa.Authentication']['meta_info']
_meta_table['Native.Aaa.Authentication.Dot1X']['meta_info'].parent =_meta_table['Native.Aaa.Authentication']['meta_info']
_meta_table['Native.Aaa.Authentication.Enable']['meta_info'].parent =_meta_table['Native.Aaa.Authentication']['meta_info']
_meta_table['Native.Aaa.Authentication.Eou']['meta_info'].parent =_meta_table['Native.Aaa.Authentication']['meta_info']
_meta_table['Native.Aaa.Authentication.FailMessage']['meta_info'].parent =_meta_table['Native.Aaa.Authentication']['meta_info']
_meta_table['Native.Aaa.Authentication.Login']['meta_info'].parent =_meta_table['Native.Aaa.Authentication']['meta_info']
_meta_table['Native.Aaa.Authentication.Onep']['meta_info'].parent =_meta_table['Native.Aaa.Authentication']['meta_info']
_meta_table['Native.Aaa.Authentication.Ppp']['meta_info'].parent =_meta_table['Native.Aaa.Authentication']['meta_info']
_meta_table['Native.Aaa.Authorization.AuthType.Default']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.AuthType']['meta_info']
_meta_table['Native.Aaa.Authorization.Exec_.A1']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.Exec_']['meta_info']
_meta_table['Native.Aaa.Authorization.Exec_.A2']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.Exec_']['meta_info']
_meta_table['Native.Aaa.Authorization.Exec_.A3']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.Exec_']['meta_info']
_meta_table['Native.Aaa.Authorization.Exec_.A4']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.Exec_']['meta_info']
_meta_table['Native.Aaa.Authorization.Network.A1']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.Network']['meta_info']
_meta_table['Native.Aaa.Authorization.Network.A2']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.Network']['meta_info']
_meta_table['Native.Aaa.Authorization.Network.A3']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.Network']['meta_info']
_meta_table['Native.Aaa.Authorization.Network.A4']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.Network']['meta_info']
_meta_table['Native.Aaa.Authorization.AuthProxy.Default.Group']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.AuthProxy.Default']['meta_info']
_meta_table['Native.Aaa.Authorization.AuthProxy.Default']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.AuthProxy']['meta_info']
_meta_table['Native.Aaa.Authorization.Onep.Default.Group.GroupWord']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.Onep.Default.Group']['meta_info']
_meta_table['Native.Aaa.Authorization.Onep.Default.Group']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.Onep.Default']['meta_info']
_meta_table['Native.Aaa.Authorization.Onep.Default']['meta_info'].parent =_meta_table['Native.Aaa.Authorization.Onep']['meta_info']
_meta_table['Native.Aaa.Authorization.AuthType']['meta_info'].parent =_meta_table['Native.Aaa.Authorization']['meta_info']
_meta_table['Native.Aaa.Authorization.Commands']['meta_info'].parent =_meta_table['Native.Aaa.Authorization']['meta_info']
_meta_table['Native.Aaa.Authorization.Exec_']['meta_info'].parent =_meta_table['Native.Aaa.Authorization']['meta_info']
_meta_table['Native.Aaa.Authorization.Eventmanager']['meta_info'].parent =_meta_table['Native.Aaa.Authorization']['meta_info']
_meta_table['Native.Aaa.Authorization.Network']['meta_info'].parent =_meta_table['Native.Aaa.Authorization']['meta_info']
_meta_table['Native.Aaa.Authorization.AuthProxy']['meta_info'].parent =_meta_table['Native.Aaa.Authorization']['meta_info']
_meta_table['Native.Aaa.Authorization.Onep']['meta_info'].parent =_meta_table['Native.Aaa.Authorization']['meta_info']
_meta_table['Native.Aaa.Accounting.Connection.StartStop']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Connection']['meta_info']
_meta_table['Native.Aaa.Accounting.Connection.StopOnly']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Connection']['meta_info']
_meta_table['Native.Aaa.Accounting.Dot1X.StartStop']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Dot1X']['meta_info']
_meta_table['Native.Aaa.Accounting.Exec_.StartStop']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Exec_']['meta_info']
_meta_table['Native.Aaa.Accounting.Exec_.StopOnly']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Exec_']['meta_info']
_meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType']['meta_info']
_meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType']['meta_info']
_meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_']['meta_info']
_meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.ExecSubmode']['meta_info']
_meta_table['Native.Aaa.Accounting.Network.StartStop']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Network']['meta_info']
_meta_table['Native.Aaa.Accounting.Network.A1']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Network']['meta_info']
_meta_table['Native.Aaa.Accounting.Network.A2']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Network']['meta_info']
_meta_table['Native.Aaa.Accounting.Network.A3']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Network']['meta_info']
_meta_table['Native.Aaa.Accounting.Network.A4']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Network']['meta_info']
_meta_table['Native.Aaa.Accounting.Send.StopRecord.Authentication.Success.RemoteServer']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Send.StopRecord.Authentication.Success']['meta_info']
_meta_table['Native.Aaa.Accounting.Send.StopRecord.Authentication.Failure']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Send.StopRecord.Authentication']['meta_info']
_meta_table['Native.Aaa.Accounting.Send.StopRecord.Authentication.Success']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Send.StopRecord.Authentication']['meta_info']
_meta_table['Native.Aaa.Accounting.Send.StopRecord.Authentication']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Send.StopRecord']['meta_info']
_meta_table['Native.Aaa.Accounting.Send.Counters']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Send']['meta_info']
_meta_table['Native.Aaa.Accounting.Send.StopRecord']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.Send']['meta_info']
_meta_table['Native.Aaa.Accounting.System.Default.StartStop']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.System.Default']['meta_info']
_meta_table['Native.Aaa.Accounting.System.Default']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.System']['meta_info']
_meta_table['Native.Aaa.Accounting.AuthProxy.Default.StartStop']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.AuthProxy.Default']['meta_info']
_meta_table['Native.Aaa.Accounting.AuthProxy.Default']['meta_info'].parent =_meta_table['Native.Aaa.Accounting.AuthProxy']['meta_info']
_meta_table['Native.Aaa.Accounting.Commands']['meta_info'].parent =_meta_table['Native.Aaa.Accounting']['meta_info']
_meta_table['Native.Aaa.Accounting.Connection']['meta_info'].parent =_meta_table['Native.Aaa.Accounting']['meta_info']
_meta_table['Native.Aaa.Accounting.DelayStart']['meta_info'].parent =_meta_table['Native.Aaa.Accounting']['meta_info']
_meta_table['Native.Aaa.Accounting.Dot1X']['meta_info'].parent =_meta_table['Native.Aaa.Accounting']['meta_info']
_meta_table['Native.Aaa.Accounting.Exec_']['meta_info'].parent =_meta_table['Native.Aaa.Accounting']['meta_info']
_meta_table['Native.Aaa.Accounting.ExecSubmode']['meta_info'].parent =_meta_table['Native.Aaa.Accounting']['meta_info']
_meta_table['Native.Aaa.Accounting.Network']['meta_info'].parent =_meta_table['Native.Aaa.Accounting']['meta_info']
_meta_table['Native.Aaa.Accounting.Send']['meta_info'].parent =_meta_table['Native.Aaa.Accounting']['meta_info']
_meta_table['Native.Aaa.Accounting.System']['meta_info'].parent =_meta_table['Native.Aaa.Accounting']['meta_info']
_meta_table['Native.Aaa.Accounting.Update']['meta_info'].parent =_meta_table['Native.Aaa.Accounting']['meta_info']
_meta_table['Native.Aaa.Accounting.AuthProxy']['meta_info'].parent =_meta_table['Native.Aaa.Accounting']['meta_info']
_meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf']['meta_info'].parent =_meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Client']['meta_info']
_meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey']['meta_info'].parent =_meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Client']['meta_info']
_meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Domain.Stripping']['meta_info'].parent =_meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Domain']['meta_info']
_meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Client']['meta_info'].parent =_meta_table['Native.Aaa.Server.Radius.DynamicAuthor']['meta_info']
_meta_table['Native.Aaa.Server.Radius.DynamicAuthor.ServerKey']['meta_info'].parent =_meta_table['Native.Aaa.Server.Radius.DynamicAuthor']['meta_info']
_meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Domain']['meta_info'].parent =_meta_table['Native.Aaa.Server.Radius.DynamicAuthor']['meta_info']
_meta_table['Native.Aaa.Server.Radius.DynamicAuthor']['meta_info'].parent =_meta_table['Native.Aaa.Server.Radius']['meta_info']
_meta_table['Native.Aaa.Server.Radius']['meta_info'].parent =_meta_table['Native.Aaa.Server']['meta_info']
_meta_table['Native.Aaa.Group']['meta_info'].parent =_meta_table['Native.Aaa']['meta_info']
_meta_table['Native.Aaa.Authentication']['meta_info'].parent =_meta_table['Native.Aaa']['meta_info']
_meta_table['Native.Aaa.Authorization']['meta_info'].parent =_meta_table['Native.Aaa']['meta_info']
_meta_table['Native.Aaa.Accounting']['meta_info'].parent =_meta_table['Native.Aaa']['meta_info']
_meta_table['Native.Aaa.Server']['meta_info'].parent =_meta_table['Native.Aaa']['meta_info']
_meta_table['Native.Privilege.Exec_.Level.CommandList']['meta_info'].parent =_meta_table['Native.Privilege.Exec_.Level']['meta_info']
_meta_table['Native.Privilege.Exec_.Level']['meta_info'].parent =_meta_table['Native.Privilege.Exec_']['meta_info']
_meta_table['Native.Privilege.Exec_']['meta_info'].parent =_meta_table['Native.Privilege']['meta_info']
_meta_table['Native.Login.OnFailure.Log']['meta_info'].parent =_meta_table['Native.Login.OnFailure']['meta_info']
_meta_table['Native.Login.OnSuccess.Log']['meta_info'].parent =_meta_table['Native.Login.OnSuccess']['meta_info']
_meta_table['Native.Login.OnFailure']['meta_info'].parent =_meta_table['Native.Login']['meta_info']
_meta_table['Native.Login.OnSuccess']['meta_info'].parent =_meta_table['Native.Login']['meta_info']
_meta_table['Native.MacAddressTable.Limit.Bdomain']['meta_info'].parent =_meta_table['Native.MacAddressTable.Limit']['meta_info']
_meta_table['Native.MacAddressTable.Learning.Vlan']['meta_info'].parent =_meta_table['Native.MacAddressTable.Learning']['meta_info']
_meta_table['Native.MacAddressTable.EvcXconnect']['meta_info'].parent =_meta_table['Native.MacAddressTable']['meta_info']
_meta_table['Native.MacAddressTable.Limit']['meta_info'].parent =_meta_table['Native.MacAddressTable']['meta_info']
_meta_table['Native.MacAddressTable.Learning']['meta_info'].parent =_meta_table['Native.MacAddressTable']['meta_info']
_meta_table['Native.Redundancy.MainCpu.Standby.Initialization.Delay']['meta_info'].parent =_meta_table['Native.Redundancy.MainCpu.Standby.Initialization']['meta_info']
_meta_table['Native.Redundancy.MainCpu.Standby.Console']['meta_info'].parent =_meta_table['Native.Redundancy.MainCpu.Standby']['meta_info']
_meta_table['Native.Redundancy.MainCpu.Standby.Initialization']['meta_info'].parent =_meta_table['Native.Redundancy.MainCpu.Standby']['meta_info']
_meta_table['Native.Redundancy.MainCpu.AutoSync']['meta_info'].parent =_meta_table['Native.Redundancy.MainCpu']['meta_info']
_meta_table['Native.Redundancy.MainCpu.Standby']['meta_info'].parent =_meta_table['Native.Redundancy.MainCpu']['meta_info']
_meta_table['Native.Redundancy.Policy.ConfigSync.Bulk.Prc']['meta_info'].parent =_meta_table['Native.Redundancy.Policy.ConfigSync.Bulk']['meta_info']
_meta_table['Native.Redundancy.Policy.ConfigSync.Lbl.Prc']['meta_info'].parent =_meta_table['Native.Redundancy.Policy.ConfigSync.Lbl']['meta_info']
_meta_table['Native.Redundancy.Policy.ConfigSync.Bulk']['meta_info'].parent =_meta_table['Native.Redundancy.Policy.ConfigSync']['meta_info']
_meta_table['Native.Redundancy.Policy.ConfigSync.Lbl']['meta_info'].parent =_meta_table['Native.Redundancy.Policy.ConfigSync']['meta_info']
_meta_table['Native.Redundancy.Policy.ConfigSync']['meta_info'].parent =_meta_table['Native.Redundancy.Policy']['meta_info']
_meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface']['meta_info']
_meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface']['meta_info']
_meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface']['meta_info']
_meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface']['meta_info']
_meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface']['meta_info'].parent =_meta_table['Native.Redundancy.Interchassis.Group.Backbone']['meta_info']
_meta_table['Native.Redundancy.Interchassis.Group.Monitor']['meta_info'].parent =_meta_table['Native.Redundancy.Interchassis.Group']['meta_info']
_meta_table['Native.Redundancy.Interchassis.Group.Member']['meta_info'].parent =_meta_table['Native.Redundancy.Interchassis.Group']['meta_info']
_meta_table['Native.Redundancy.Interchassis.Group.Backbone']['meta_info'].parent =_meta_table['Native.Redundancy.Interchassis.Group']['meta_info']
_meta_table['Native.Redundancy.Interchassis.Group']['meta_info'].parent =_meta_table['Native.Redundancy.Interchassis']['meta_info']
_meta_table['Native.Redundancy.MainCpu']['meta_info'].parent =_meta_table['Native.Redundancy']['meta_info']
_meta_table['Native.Redundancy.Policy']['meta_info'].parent =_meta_table['Native.Redundancy']['meta_info']
_meta_table['Native.Redundancy.Timer']['meta_info'].parent =_meta_table['Native.Redundancy']['meta_info']
_meta_table['Native.Redundancy.Interchassis']['meta_info'].parent =_meta_table['Native.Redundancy']['meta_info']
_meta_table['Native.Scheduler.Runtime']['meta_info'].parent =_meta_table['Native.Scheduler']['meta_info']
_meta_table['Native.Scheduler.Allocate']['meta_info'].parent =_meta_table['Native.Scheduler']['meta_info']
_meta_table['Native.SpanningTree.Etherchannel.Guard']['meta_info'].parent =_meta_table['Native.SpanningTree.Etherchannel']['meta_info']
_meta_table['Native.SpanningTree.Mst.Configuration.Instance']['meta_info'].parent =_meta_table['Native.SpanningTree.Mst.Configuration']['meta_info']
_meta_table['Native.SpanningTree.Mst.Configuration.PrivateVlan']['meta_info'].parent =_meta_table['Native.SpanningTree.Mst.Configuration']['meta_info']
_meta_table['Native.SpanningTree.Mst.InstanceRange']['meta_info'].parent =_meta_table['Native.SpanningTree.Mst']['meta_info']
_meta_table['Native.SpanningTree.Mst.Configuration']['meta_info'].parent =_meta_table['Native.SpanningTree.Mst']['meta_info']
_meta_table['Native.SpanningTree.Optimize.Bpdu']['meta_info'].parent =_meta_table['Native.SpanningTree.Optimize']['meta_info']
_meta_table['Native.SpanningTree.Pathcost.Method']['meta_info'].parent =_meta_table['Native.SpanningTree.Pathcost']['meta_info']
_meta_table['Native.SpanningTree.Vlan.Root.Primary']['meta_info'].parent =_meta_table['Native.SpanningTree.Vlan.Root']['meta_info']
_meta_table['Native.SpanningTree.Vlan.Root.Secondary']['meta_info'].parent =_meta_table['Native.SpanningTree.Vlan.Root']['meta_info']
_meta_table['Native.SpanningTree.Vlan.Root']['meta_info'].parent =_meta_table['Native.SpanningTree.Vlan']['meta_info']
_meta_table['Native.SpanningTree.Bridge']['meta_info'].parent =_meta_table['Native.SpanningTree']['meta_info']
_meta_table['Native.SpanningTree.Etherchannel']['meta_info'].parent =_meta_table['Native.SpanningTree']['meta_info']
_meta_table['Native.SpanningTree.Extend']['meta_info'].parent =_meta_table['Native.SpanningTree']['meta_info']
_meta_table['Native.SpanningTree.Loopguard']['meta_info'].parent =_meta_table['Native.SpanningTree']['meta_info']
_meta_table['Native.SpanningTree.Mst']['meta_info'].parent =_meta_table['Native.SpanningTree']['meta_info']
_meta_table['Native.SpanningTree.Optimize']['meta_info'].parent =_meta_table['Native.SpanningTree']['meta_info']
_meta_table['Native.SpanningTree.Pathcost']['meta_info'].parent =_meta_table['Native.SpanningTree']['meta_info']
_meta_table['Native.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.SpanningTree']['meta_info']
_meta_table['Native.SpanningTree.Transmit']['meta_info'].parent =_meta_table['Native.SpanningTree']['meta_info']
_meta_table['Native.SpanningTree.Uplinkfast']['meta_info'].parent =_meta_table['Native.SpanningTree']['meta_info']
_meta_table['Native.SpanningTree.Vlan']['meta_info'].parent =_meta_table['Native.SpanningTree']['meta_info']
_meta_table['Native.Track.TrackedObject.Ip.Route']['meta_info'].parent =_meta_table['Native.Track.TrackedObject.Ip']['meta_info']
_meta_table['Native.Track.TrackedObject.Ip.Sla']['meta_info'].parent =_meta_table['Native.Track.TrackedObject.Ip']['meta_info']
_meta_table['Native.Track.TrackedObject.Ipv6.Route']['meta_info'].parent =_meta_table['Native.Track.TrackedObject.Ipv6']['meta_info']
_meta_table['Native.Track.TrackedObject.Default.Delay']['meta_info'].parent =_meta_table['Native.Track.TrackedObject.Default']['meta_info']
_meta_table['Native.Track.TrackedObject.Default.Ip']['meta_info'].parent =_meta_table['Native.Track.TrackedObject.Default']['meta_info']
_meta_table['Native.Track.TrackedObject.Default.Ipv6']['meta_info'].parent =_meta_table['Native.Track.TrackedObject.Default']['meta_info']
_meta_table['Native.Track.TrackedObject.Interface']['meta_info'].parent =_meta_table['Native.Track.TrackedObject']['meta_info']
_meta_table['Native.Track.TrackedObject.Ip']['meta_info'].parent =_meta_table['Native.Track.TrackedObject']['meta_info']
_meta_table['Native.Track.TrackedObject.Ipv6']['meta_info'].parent =_meta_table['Native.Track.TrackedObject']['meta_info']
_meta_table['Native.Track.TrackedObject.List']['meta_info'].parent =_meta_table['Native.Track.TrackedObject']['meta_info']
_meta_table['Native.Track.TrackedObject.Default']['meta_info'].parent =_meta_table['Native.Track.TrackedObject']['meta_info']
_meta_table['Native.Track.TrackedObject.Delay']['meta_info'].parent =_meta_table['Native.Track.TrackedObject']['meta_info']
_meta_table['Native.Track.TrackedObject.Object']['meta_info'].parent =_meta_table['Native.Track.TrackedObject']['meta_info']
_meta_table['Native.Track.TrackedObject.Ipv6Object']['meta_info'].parent =_meta_table['Native.Track.TrackedObject']['meta_info']
_meta_table['Native.Track.TrackedObject.IpObject']['meta_info'].parent =_meta_table['Native.Track.TrackedObject']['meta_info']
_meta_table['Native.Track.Resolution.Ip.Route']['meta_info'].parent =_meta_table['Native.Track.Resolution.Ip']['meta_info']
_meta_table['Native.Track.Resolution.Ip']['meta_info'].parent =_meta_table['Native.Track.Resolution']['meta_info']
_meta_table['Native.Track.Timer.Ip.Route']['meta_info'].parent =_meta_table['Native.Track.Timer.Ip']['meta_info']
_meta_table['Native.Track.Timer.Ip.Sla']['meta_info'].parent =_meta_table['Native.Track.Timer.Ip']['meta_info']
_meta_table['Native.Track.Timer.Ipv6.Route']['meta_info'].parent =_meta_table['Native.Track.Timer.Ipv6']['meta_info']
_meta_table['Native.Track.Timer.Interface']['meta_info'].parent =_meta_table['Native.Track.Timer']['meta_info']
_meta_table['Native.Track.Timer.Ip']['meta_info'].parent =_meta_table['Native.Track.Timer']['meta_info']
_meta_table['Native.Track.Timer.Ipv6']['meta_info'].parent =_meta_table['Native.Track.Timer']['meta_info']
_meta_table['Native.Track.Timer.List']['meta_info'].parent =_meta_table['Native.Track.Timer']['meta_info']
_meta_table['Native.Track.Timer.StubObject']['meta_info'].parent =_meta_table['Native.Track.Timer']['meta_info']
_meta_table['Native.Track.TrackedObject']['meta_info'].parent =_meta_table['Native.Track']['meta_info']
_meta_table['Native.Track.Resolution']['meta_info'].parent =_meta_table['Native.Track']['meta_info']
_meta_table['Native.Track.Timer']['meta_info'].parent =_meta_table['Native.Track']['meta_info']
_meta_table['Native.Dot1X.Credentials.Password']['meta_info'].parent =_meta_table['Native.Dot1X.Credentials']['meta_info']
_meta_table['Native.Dot1X.Critical.Recovery']['meta_info'].parent =_meta_table['Native.Dot1X.Critical']['meta_info']
_meta_table['Native.Dot1X.Credentials']['meta_info'].parent =_meta_table['Native.Dot1X']['meta_info']
_meta_table['Native.Dot1X.Critical']['meta_info'].parent =_meta_table['Native.Dot1X']['meta_info']
_meta_table['Native.Dot1X.Test']['meta_info'].parent =_meta_table['Native.Dot1X']['meta_info']
_meta_table['Native.Dot1X.Supplicant']['meta_info'].parent =_meta_table['Native.Dot1X']['meta_info']
_meta_table['Native.Fallback.Profile.FallbackList.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Fallback.Profile.FallbackList.Ip']['meta_info']
_meta_table['Native.Fallback.Profile.FallbackList.Ip']['meta_info'].parent =_meta_table['Native.Fallback.Profile.FallbackList']['meta_info']
_meta_table['Native.Fallback.Profile.FallbackList']['meta_info'].parent =_meta_table['Native.Fallback.Profile']['meta_info']
_meta_table['Native.Fallback.Profile']['meta_info'].parent =_meta_table['Native.Fallback']['meta_info']
_meta_table['Native.ParameterMap.Timeout.InitState']['meta_info'].parent =_meta_table['Native.ParameterMap.Timeout']['meta_info']
_meta_table['Native.ParameterMap.Timeout.FinWait']['meta_info'].parent =_meta_table['Native.ParameterMap.Timeout']['meta_info']
_meta_table['Native.ParameterMap.WatchList.AddItem']['meta_info'].parent =_meta_table['Native.ParameterMap.WatchList']['meta_info']
_meta_table['Native.ParameterMap.AggressiveAging.High.Absolute']['meta_info'].parent =_meta_table['Native.ParameterMap.AggressiveAging.High']['meta_info']
_meta_table['Native.ParameterMap.AggressiveAging.High.Percent']['meta_info'].parent =_meta_table['Native.ParameterMap.AggressiveAging.High']['meta_info']
_meta_table['Native.ParameterMap.AggressiveAging.High']['meta_info'].parent =_meta_table['Native.ParameterMap.AggressiveAging']['meta_info']
_meta_table['Native.ParameterMap.Global_.License.Unencypted']['meta_info'].parent =_meta_table['Native.ParameterMap.Global_.License']['meta_info']
_meta_table['Native.ParameterMap.Global_.License.Encrypted']['meta_info'].parent =_meta_table['Native.ParameterMap.Global_.License']['meta_info']
_meta_table['Native.ParameterMap.Global_.Primary.Tower']['meta_info'].parent =_meta_table['Native.ParameterMap.Global_.Primary']['meta_info']
_meta_table['Native.ParameterMap.Global_.Secondary.Tower']['meta_info'].parent =_meta_table['Native.ParameterMap.Global_.Secondary']['meta_info']
_meta_table['Native.ParameterMap.Global_.Whitelist.Acl']['meta_info'].parent =_meta_table['Native.ParameterMap.Global_.Whitelist']['meta_info']
_meta_table['Native.ParameterMap.Global_.Whitelist.DomainName']['meta_info'].parent =_meta_table['Native.ParameterMap.Global_.Whitelist']['meta_info']
_meta_table['Native.ParameterMap.Global_.Whitelist.Download']['meta_info'].parent =_meta_table['Native.ParameterMap.Global_.Whitelist']['meta_info']
_meta_table['Native.ParameterMap.Global_.License']['meta_info'].parent =_meta_table['Native.ParameterMap.Global_']['meta_info']
_meta_table['Native.ParameterMap.Global_.Primary']['meta_info'].parent =_meta_table['Native.ParameterMap.Global_']['meta_info']
_meta_table['Native.ParameterMap.Global_.Secondary']['meta_info'].parent =_meta_table['Native.ParameterMap.Global_']['meta_info']
_meta_table['Native.ParameterMap.Global_.Whitelist']['meta_info'].parent =_meta_table['Native.ParameterMap.Global_']['meta_info']
_meta_table['Native.ParameterMap.Log.FlowExport.V9.Udp.Destination']['meta_info'].parent =_meta_table['Native.ParameterMap.Log.FlowExport.V9.Udp']['meta_info']
_meta_table['Native.ParameterMap.Log.FlowExport.V9.Udp']['meta_info'].parent =_meta_table['Native.ParameterMap.Log.FlowExport.V9']['meta_info']
_meta_table['Native.ParameterMap.Log.FlowExport.Template']['meta_info'].parent =_meta_table['Native.ParameterMap.Log.FlowExport']['meta_info']
_meta_table['Native.ParameterMap.Log.FlowExport.V9']['meta_info'].parent =_meta_table['Native.ParameterMap.Log.FlowExport']['meta_info']
_meta_table['Native.ParameterMap.Log.FlowExport']['meta_info'].parent =_meta_table['Native.ParameterMap.Log']['meta_info']
_meta_table['Native.ParameterMap.Sessions.Queue']['meta_info'].parent =_meta_table['Native.ParameterMap.Sessions']['meta_info']
_meta_table['Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete']['meta_info'].parent =_meta_table['Native.ParameterMap.TcpInspect.Tcp']['meta_info']
_meta_table['Native.ParameterMap.TcpInspect.Tcp']['meta_info'].parent =_meta_table['Native.ParameterMap.TcpInspect']['meta_info']
_meta_table['Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate']['meta_info'].parent =_meta_table['Native.ParameterMap.TcpInspectZone.Tcp.SynFlood']['meta_info']
_meta_table['Native.ParameterMap.TcpInspectZone.Tcp.SynFlood']['meta_info'].parent =_meta_table['Native.ParameterMap.TcpInspectZone.Tcp']['meta_info']
_meta_table['Native.ParameterMap.TcpInspectZone.Tcp']['meta_info'].parent =_meta_table['Native.ParameterMap.TcpInspectZone']['meta_info']
_meta_table['Native.ParameterMap.ThreatDetection.Rate.FwDrop']['meta_info'].parent =_meta_table['Native.ParameterMap.ThreatDetection.Rate']['meta_info']
_meta_table['Native.ParameterMap.ThreatDetection.Rate.InspectDrop']['meta_info'].parent =_meta_table['Native.ParameterMap.ThreatDetection.Rate']['meta_info']
_meta_table['Native.ParameterMap.ThreatDetection.Rate.SynAttack']['meta_info'].parent =_meta_table['Native.ParameterMap.ThreatDetection.Rate']['meta_info']
_meta_table['Native.ParameterMap.ThreatDetection.Rate']['meta_info'].parent =_meta_table['Native.ParameterMap.ThreatDetection']['meta_info']
_meta_table['Native.ParameterMap.Timeout']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.WatchList']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.AggressiveAging']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.Global_']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.Icmp']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.Lisp']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.Log']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.MaxIncomplete']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.OneMinute']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.Sessions']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.TcpInspect']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.TcpInspectZone']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.ThreatDetection']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.Udp']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.ParameterMap.Vrf']['meta_info'].parent =_meta_table['Native.ParameterMap']['meta_info']
_meta_table['Native.Ppp.Packet']['meta_info'].parent =_meta_table['Native.Ppp']['meta_info']
_meta_table['Native.Mac.AddressTable.Notification.Threshold.Limit']['meta_info'].parent =_meta_table['Native.Mac.AddressTable.Notification.Threshold']['meta_info']
_meta_table['Native.Mac.AddressTable.Notification.Change']['meta_info'].parent =_meta_table['Native.Mac.AddressTable.Notification']['meta_info']
_meta_table['Native.Mac.AddressTable.Notification.Threshold']['meta_info'].parent =_meta_table['Native.Mac.AddressTable.Notification']['meta_info']
_meta_table['Native.Mac.AddressTable.Learning']['meta_info'].parent =_meta_table['Native.Mac.AddressTable']['meta_info']
_meta_table['Native.Mac.AddressTable.Notification']['meta_info'].parent =_meta_table['Native.Mac.AddressTable']['meta_info']
_meta_table['Native.Mac.AddressTable.Static']['meta_info'].parent =_meta_table['Native.Mac.AddressTable']['meta_info']
_meta_table['Native.Mac.AccessList.Extended.Deny.Source']['meta_info'].parent =_meta_table['Native.Mac.AccessList.Extended.Deny']['meta_info']
_meta_table['Native.Mac.AccessList.Extended.Deny.Dest']['meta_info'].parent =_meta_table['Native.Mac.AccessList.Extended.Deny']['meta_info']
_meta_table['Native.Mac.AccessList.Extended.Permit.Source']['meta_info'].parent =_meta_table['Native.Mac.AccessList.Extended.Permit']['meta_info']
_meta_table['Native.Mac.AccessList.Extended.Permit.Dest']['meta_info'].parent =_meta_table['Native.Mac.AccessList.Extended.Permit']['meta_info']
_meta_table['Native.Mac.AccessList.Extended.Deny']['meta_info'].parent =_meta_table['Native.Mac.AccessList.Extended']['meta_info']
_meta_table['Native.Mac.AccessList.Extended.Permit']['meta_info'].parent =_meta_table['Native.Mac.AccessList.Extended']['meta_info']
_meta_table['Native.Mac.AccessList.Extended']['meta_info'].parent =_meta_table['Native.Mac.AccessList']['meta_info']
_meta_table['Native.Mac.AddressTable']['meta_info'].parent =_meta_table['Native.Mac']['meta_info']
_meta_table['Native.Mac.AccessList']['meta_info'].parent =_meta_table['Native.Mac']['meta_info']
_meta_table['Native.Tacacs.Server.Address']['meta_info'].parent =_meta_table['Native.Tacacs.Server']['meta_info']
_meta_table['Native.Tacacs.Server.Key']['meta_info'].parent =_meta_table['Native.Tacacs.Server']['meta_info']
_meta_table['Native.Tacacs.Server']['meta_info'].parent =_meta_table['Native.Tacacs']['meta_info']
_meta_table['Native.TacacsServer.Host']['meta_info'].parent =_meta_table['Native.TacacsServer']['meta_info']
_meta_table['Native.TacacsServer.DirectedRequest']['meta_info'].parent =_meta_table['Native.TacacsServer']['meta_info']
_meta_table['Native.TacacsServer.Key']['meta_info'].parent =_meta_table['Native.TacacsServer']['meta_info']
_meta_table['Native.Upgrade.Fpd']['meta_info'].parent =_meta_table['Native.Upgrade']['meta_info']
_meta_table['Native.Vtp.Mode.Client']['meta_info'].parent =_meta_table['Native.Vtp.Mode']['meta_info']
_meta_table['Native.Vtp.Mode.Off']['meta_info'].parent =_meta_table['Native.Vtp.Mode']['meta_info']
_meta_table['Native.Vtp.Mode.Server']['meta_info'].parent =_meta_table['Native.Vtp.Mode']['meta_info']
_meta_table['Native.Vtp.Mode.Transparent']['meta_info'].parent =_meta_table['Native.Vtp.Mode']['meta_info']
_meta_table['Native.Vtp.Interface']['meta_info'].parent =_meta_table['Native.Vtp']['meta_info']
_meta_table['Native.Vtp.Password']['meta_info'].parent =_meta_table['Native.Vtp']['meta_info']
_meta_table['Native.Vtp.Mode']['meta_info'].parent =_meta_table['Native.Vtp']['meta_info']
_meta_table['Native.Xconnect.Logging.Pseudowire']['meta_info'].parent =_meta_table['Native.Xconnect.Logging']['meta_info']
_meta_table['Native.Xconnect.Logging']['meta_info'].parent =_meta_table['Native.Xconnect']['meta_info']
_meta_table['Native.Fabric.SwitchingMode.Allow.Truncated']['meta_info'].parent =_meta_table['Native.Fabric.SwitchingMode.Allow']['meta_info']
_meta_table['Native.Fabric.SwitchingMode.Allow']['meta_info'].parent =_meta_table['Native.Fabric.SwitchingMode']['meta_info']
_meta_table['Native.Fabric.SwitchingMode.Force']['meta_info'].parent =_meta_table['Native.Fabric.SwitchingMode']['meta_info']
_meta_table['Native.Fabric.SwitchingMode']['meta_info'].parent =_meta_table['Native.Fabric']['meta_info']
_meta_table['Native.PortChannel.LoadBalance.Extended']['meta_info'].parent =_meta_table['Native.PortChannel.LoadBalance']['meta_info']
_meta_table['Native.PortChannel.LoadBalance']['meta_info'].parent =_meta_table['Native.PortChannel']['meta_info']
_meta_table['Native.PortChannel.LoadBalancing']['meta_info'].parent =_meta_table['Native.PortChannel']['meta_info']
_meta_table['Native.Key.Chain.Key_.KeyString']['meta_info'].parent =_meta_table['Native.Key.Chain.Key_']['meta_info']
_meta_table['Native.Key.Chain.Key_']['meta_info'].parent =_meta_table['Native.Key.Chain']['meta_info']
_meta_table['Native.Key.Chain']['meta_info'].parent =_meta_table['Native.Key']['meta_info']
_meta_table['Native.L2.Vfi.Vpn']['meta_info'].parent =_meta_table['Native.L2.Vfi']['meta_info']
_meta_table['Native.L2.Vfi.Neighbor']['meta_info'].parent =_meta_table['Native.L2.Vfi']['meta_info']
_meta_table['Native.L2.Vfi']['meta_info'].parent =_meta_table['Native.L2']['meta_info']
_meta_table['Native.System.Debug.Shell.Switch']['meta_info'].parent =_meta_table['Native.System.Debug.Shell']['meta_info']
_meta_table['Native.System.Debug.Shell']['meta_info'].parent =_meta_table['Native.System.Debug']['meta_info']
_meta_table['Native.System.Disable.Password.Recovery.Switch']['meta_info'].parent =_meta_table['Native.System.Disable.Password.Recovery']['meta_info']
_meta_table['Native.System.Disable.Password.Recovery']['meta_info'].parent =_meta_table['Native.System.Disable.Password']['meta_info']
_meta_table['Native.System.Disable.Password']['meta_info'].parent =_meta_table['Native.System.Disable']['meta_info']
_meta_table['Native.System.Environment.Temperature.Threshold.Yellow']['meta_info'].parent =_meta_table['Native.System.Environment.Temperature.Threshold']['meta_info']
_meta_table['Native.System.Environment.Temperature.Threshold']['meta_info'].parent =_meta_table['Native.System.Environment.Temperature']['meta_info']
_meta_table['Native.System.Environment.FanFailAction']['meta_info'].parent =_meta_table['Native.System.Environment']['meta_info']
_meta_table['Native.System.Environment.Temperature']['meta_info'].parent =_meta_table['Native.System.Environment']['meta_info']
_meta_table['Native.System.Fnf.BytesCount']['meta_info'].parent =_meta_table['Native.System.Fnf']['meta_info']
_meta_table['Native.System.Ignore.Startupconfig.Switch']['meta_info'].parent =_meta_table['Native.System.Ignore.Startupconfig']['meta_info']
_meta_table['Native.System.Ignore.Startupconfig']['meta_info'].parent =_meta_table['Native.System.Ignore']['meta_info']
_meta_table['Native.System.Debug']['meta_info'].parent =_meta_table['Native.System']['meta_info']
_meta_table['Native.System.Disable']['meta_info'].parent =_meta_table['Native.System']['meta_info']
_meta_table['Native.System.Environment']['meta_info'].parent =_meta_table['Native.System']['meta_info']
_meta_table['Native.System.Fnf']['meta_info'].parent =_meta_table['Native.System']['meta_info']
_meta_table['Native.System.Ignore']['meta_info'].parent =_meta_table['Native.System']['meta_info']
_meta_table['Native.System.ModeButton']['meta_info'].parent =_meta_table['Native.System']['meta_info']
_meta_table['Native.System.Mtu']['meta_info'].parent =_meta_table['Native.System']['meta_info']
_meta_table['Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown']['meta_info'].parent =_meta_table['Native.Errdisable.Detect.Cause.SecurityViolation']['meta_info']
_meta_table['Native.Errdisable.Detect.Cause.SecurityViolation']['meta_info'].parent =_meta_table['Native.Errdisable.Detect.Cause']['meta_info']
_meta_table['Native.Errdisable.Detect.Cause']['meta_info'].parent =_meta_table['Native.Errdisable.Detect']['meta_info']
_meta_table['Native.Errdisable.FlapSetting.Cause.DtpFlap']['meta_info'].parent =_meta_table['Native.Errdisable.FlapSetting.Cause']['meta_info']
_meta_table['Native.Errdisable.FlapSetting.Cause.LinkFlap']['meta_info'].parent =_meta_table['Native.Errdisable.FlapSetting.Cause']['meta_info']
_meta_table['Native.Errdisable.FlapSetting.Cause.PagpFlap']['meta_info'].parent =_meta_table['Native.Errdisable.FlapSetting.Cause']['meta_info']
_meta_table['Native.Errdisable.FlapSetting.Cause']['meta_info'].parent =_meta_table['Native.Errdisable.FlapSetting']['meta_info']
_meta_table['Native.Errdisable.Recovery.Cause.OamRemoteFailure']['meta_info'].parent =_meta_table['Native.Errdisable.Recovery.Cause']['meta_info']
_meta_table['Native.Errdisable.Recovery.Cause']['meta_info'].parent =_meta_table['Native.Errdisable.Recovery']['meta_info']
_meta_table['Native.Errdisable.Detect']['meta_info'].parent =_meta_table['Native.Errdisable']['meta_info']
_meta_table['Native.Errdisable.FlapSetting']['meta_info'].parent =_meta_table['Native.Errdisable']['meta_info']
_meta_table['Native.Errdisable.Recovery']['meta_info'].parent =_meta_table['Native.Errdisable']['meta_info']
_meta_table['Native.Identity.Profile']['meta_info'].parent =_meta_table['Native.Identity']['meta_info']
_meta_table['Native.Monitor.Session.Destination.Interface']['meta_info'].parent =_meta_table['Native.Monitor.Session.Destination']['meta_info']
_meta_table['Native.Monitor.Session.Destination.Remote']['meta_info'].parent =_meta_table['Native.Monitor.Session.Destination']['meta_info']
_meta_table['Native.Monitor.Session.Filter.Ip.AccessGroup']['meta_info'].parent =_meta_table['Native.Monitor.Session.Filter.Ip']['meta_info']
_meta_table['Native.Monitor.Session.Filter.PacketType']['meta_info'].parent =_meta_table['Native.Monitor.Session.Filter']['meta_info']
_meta_table['Native.Monitor.Session.Filter.Ip']['meta_info'].parent =_meta_table['Native.Monitor.Session.Filter']['meta_info']
_meta_table['Native.Monitor.Session.Source.Interface']['meta_info'].parent =_meta_table['Native.Monitor.Session.Source']['meta_info']
_meta_table['Native.Monitor.Session.Source.Vlan']['meta_info'].parent =_meta_table['Native.Monitor.Session.Source']['meta_info']
_meta_table['Native.Monitor.Session.Source.Remote']['meta_info'].parent =_meta_table['Native.Monitor.Session.Source']['meta_info']
_meta_table['Native.Monitor.Session.Destination']['meta_info'].parent =_meta_table['Native.Monitor.Session']['meta_info']
_meta_table['Native.Monitor.Session.Filter']['meta_info'].parent =_meta_table['Native.Monitor.Session']['meta_info']
_meta_table['Native.Monitor.Session.Source']['meta_info'].parent =_meta_table['Native.Monitor.Session']['meta_info']
_meta_table['Native.Monitor.EventTrace']['meta_info'].parent =_meta_table['Native.Monitor']['meta_info']
_meta_table['Native.Monitor.Session']['meta_info'].parent =_meta_table['Native.Monitor']['meta_info']
_meta_table['Native.RadiusServer.Attribute.AccessRequest']['meta_info'].parent =_meta_table['Native.RadiusServer.Attribute']['meta_info']
_meta_table['Native.RadiusServer.Host.Test.Username.Key']['meta_info'].parent =_meta_table['Native.RadiusServer.Host.Test.Username']['meta_info']
_meta_table['Native.RadiusServer.Host.Test.Username']['meta_info'].parent =_meta_table['Native.RadiusServer.Host.Test']['meta_info']
_meta_table['Native.RadiusServer.Host.Test']['meta_info'].parent =_meta_table['Native.RadiusServer.Host']['meta_info']
_meta_table['Native.RadiusServer.Vsa.Send.Accounting']['meta_info'].parent =_meta_table['Native.RadiusServer.Vsa.Send']['meta_info']
_meta_table['Native.RadiusServer.Vsa.Send.Authentication']['meta_info'].parent =_meta_table['Native.RadiusServer.Vsa.Send']['meta_info']
_meta_table['Native.RadiusServer.Vsa.Send.CiscoNasPort']['meta_info'].parent =_meta_table['Native.RadiusServer.Vsa.Send']['meta_info']
_meta_table['Native.RadiusServer.Vsa.Disallow']['meta_info'].parent =_meta_table['Native.RadiusServer.Vsa']['meta_info']
_meta_table['Native.RadiusServer.Vsa.Send']['meta_info'].parent =_meta_table['Native.RadiusServer.Vsa']['meta_info']
_meta_table['Native.RadiusServer.Attribute']['meta_info'].parent =_meta_table['Native.RadiusServer']['meta_info']
_meta_table['Native.RadiusServer.DeadCriteria']['meta_info'].parent =_meta_table['Native.RadiusServer']['meta_info']
_meta_table['Native.RadiusServer.Host']['meta_info'].parent =_meta_table['Native.RadiusServer']['meta_info']
_meta_table['Native.RadiusServer.Key']['meta_info'].parent =_meta_table['Native.RadiusServer']['meta_info']
_meta_table['Native.RadiusServer.SourcePorts']['meta_info'].parent =_meta_table['Native.RadiusServer']['meta_info']
_meta_table['Native.RadiusServer.Vsa']['meta_info'].parent =_meta_table['Native.RadiusServer']['meta_info']
_meta_table['Native.Radius.Server.Address.Ipv4']['meta_info'].parent =_meta_table['Native.Radius.Server.Address']['meta_info']
_meta_table['Native.Radius.Server.Backoff.Exponential']['meta_info'].parent =_meta_table['Native.Radius.Server.Backoff']['meta_info']
_meta_table['Native.Radius.Server.Pac.Key']['meta_info'].parent =_meta_table['Native.Radius.Server.Pac']['meta_info']
_meta_table['Native.Radius.Server.Address']['meta_info'].parent =_meta_table['Native.Radius.Server']['meta_info']
_meta_table['Native.Radius.Server.Backoff']['meta_info'].parent =_meta_table['Native.Radius.Server']['meta_info']
_meta_table['Native.Radius.Server.Key']['meta_info'].parent =_meta_table['Native.Radius.Server']['meta_info']
_meta_table['Native.Radius.Server.Pac']['meta_info'].parent =_meta_table['Native.Radius.Server']['meta_info']
_meta_table['Native.Radius.Filter']['meta_info'].parent =_meta_table['Native.Radius']['meta_info']
_meta_table['Native.Radius.Server']['meta_info'].parent =_meta_table['Native.Radius']['meta_info']
_meta_table['Native.Zone.Security']['meta_info'].parent =_meta_table['Native.Zone']['meta_info']
_meta_table['Native.ZonePair.Security.ServicePolicy.Type']['meta_info'].parent =_meta_table['Native.ZonePair.Security.ServicePolicy']['meta_info']
_meta_table['Native.ZonePair.Security.ServicePolicy']['meta_info'].parent =_meta_table['Native.ZonePair.Security']['meta_info']
_meta_table['Native.ZonePair.Security']['meta_info'].parent =_meta_table['Native.ZonePair']['meta_info']
_meta_table['Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm.Period']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm']['meta_info']
_meta_table['Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Ais.LinkStatus.Global_']['meta_info']
_meta_table['Native.Ethernet.Cfm.Ais.LinkStatus.Global_']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Ais.LinkStatus']['meta_info']
_meta_table['Native.Ethernet.Cfm.Ais.LinkStatus']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Ais']['meta_info']
_meta_table['Native.Ethernet.Cfm.Alarm.Notification']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Alarm']['meta_info']
_meta_table['Native.Ethernet.Cfm.Domain.Service.ContinuityCheck']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Domain.Service']['meta_info']
_meta_table['Native.Ethernet.Cfm.Domain.Service']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Domain']['meta_info']
_meta_table['Native.Ethernet.Cfm.Logging.Alarm']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Logging']['meta_info']
_meta_table['Native.Ethernet.Cfm.Mep.Crosscheck']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Mep']['meta_info']
_meta_table['Native.Ethernet.Cfm.Mip.AutoCreate.Level.MefNum']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Mip.AutoCreate.Level']['meta_info']
_meta_table['Native.Ethernet.Cfm.Mip.AutoCreate.Level']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Mip.AutoCreate']['meta_info']
_meta_table['Native.Ethernet.Cfm.Mip.AutoCreate']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Mip']['meta_info']
_meta_table['Native.Ethernet.Cfm.Traceroute.Cache']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm.Traceroute']['meta_info']
_meta_table['Native.Ethernet.Cfm.Ais']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm']['meta_info']
_meta_table['Native.Ethernet.Cfm.Alarm']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm']['meta_info']
_meta_table['Native.Ethernet.Cfm.Domain']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm']['meta_info']
_meta_table['Native.Ethernet.Cfm.Logging']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm']['meta_info']
_meta_table['Native.Ethernet.Cfm.Mep']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm']['meta_info']
_meta_table['Native.Ethernet.Cfm.Mip']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm']['meta_info']
_meta_table['Native.Ethernet.Cfm.Traceroute']['meta_info'].parent =_meta_table['Native.Ethernet.Cfm']['meta_info']
_meta_table['Native.Ethernet.Evc']['meta_info'].parent =_meta_table['Native.Ethernet']['meta_info']
_meta_table['Native.Ethernet.Lmi']['meta_info'].parent =_meta_table['Native.Ethernet']['meta_info']
_meta_table['Native.Ethernet.Cfm']['meta_info'].parent =_meta_table['Native.Ethernet']['meta_info']
_meta_table['Native.AccessList.AccessListStandardRange.Permit.Ipv4OrHostname']['meta_info'].parent =_meta_table['Native.AccessList.AccessListStandardRange.Permit']['meta_info']
_meta_table['Native.AccessList.AccessListStandardRange.StdAccessListRule']['meta_info'].parent =_meta_table['Native.AccessList.AccessListStandardRange']['meta_info']
_meta_table['Native.AccessList.AccessListStandardRange.Permit']['meta_info'].parent =_meta_table['Native.AccessList.AccessListStandardRange']['meta_info']
_meta_table['Native.AccessList.AccessListExtendedRange.ExtAccessListRule']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExtendedRange']['meta_info']
_meta_table['Native.AccessList.Hardware.Capture']['meta_info'].parent =_meta_table['Native.AccessList.Hardware']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Permit']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange.Deny']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Permit']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange.Deny']['meta_info'].parent =_meta_table['Native.AccessList.AccessListExpandedRange']['meta_info']
_meta_table['Native.AccessList.AccessListStandardRange']['meta_info'].parent =_meta_table['Native.AccessList']['meta_info']
_meta_table['Native.AccessList.AccessListExtendedRange']['meta_info'].parent =_meta_table['Native.AccessList']['meta_info']
_meta_table['Native.AccessList.Hardware']['meta_info'].parent =_meta_table['Native.AccessList']['meta_info']
_meta_table['Native.AccessList.AccessListExpandedRange']['meta_info'].parent =_meta_table['Native.AccessList']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Querier']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Ip.Igmp']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Ip.Igmp']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Ip']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Mac.Limit.Action']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Mac.Limit.Action']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Mac.Limit']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Mac.Limit.Maximum']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Mac.Limit']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Mac.Limit']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Mac']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Encapsulation']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Template']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance.Id']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Member.Acr']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Member.MemberInterface']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Member']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Member.Acr']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Member']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Member.MemberInterface']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId.Member']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Ip']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Mac']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId']['meta_info']
_meta_table['Native.BridgeDomain.BrdId.Member']['meta_info'].parent =_meta_table['Native.BridgeDomain.BrdId']['meta_info']
_meta_table['Native.BridgeDomain.Otv.Default']['meta_info'].parent =_meta_table['Native.BridgeDomain.Otv']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Querier']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac.Limit']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac.Limit']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac.Limit']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Encapsulation']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Template']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance.Id']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.Acr']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.Acr']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan.Member']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized.Vlan']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized.Vlan']['meta_info'].parent =_meta_table['Native.BridgeDomain.Parameterized']['meta_info']
_meta_table['Native.BridgeDomain.BrdId']['meta_info'].parent =_meta_table['Native.BridgeDomain']['meta_info']
_meta_table['Native.BridgeDomain.CMac']['meta_info'].parent =_meta_table['Native.BridgeDomain']['meta_info']
_meta_table['Native.BridgeDomain.Otv']['meta_info'].parent =_meta_table['Native.BridgeDomain']['meta_info']
_meta_table['Native.BridgeDomain.Parameterized']['meta_info'].parent =_meta_table['Native.BridgeDomain']['meta_info']
_meta_table['Native.Crypto.Call.Admission.Limit.All']['meta_info'].parent =_meta_table['Native.Crypto.Call.Admission.Limit']['meta_info']
_meta_table['Native.Crypto.Call.Admission.Limit.Ike']['meta_info'].parent =_meta_table['Native.Crypto.Call.Admission.Limit']['meta_info']
_meta_table['Native.Crypto.Call.Admission.Limit.Ipsec']['meta_info'].parent =_meta_table['Native.Crypto.Call.Admission.Limit']['meta_info']
_meta_table['Native.Crypto.Call.Admission.Limit']['meta_info'].parent =_meta_table['Native.Crypto.Call.Admission']['meta_info']
_meta_table['Native.Crypto.Call.Admission']['meta_info'].parent =_meta_table['Native.Crypto.Call']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Dummy']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Set.Ip']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Set.Nat']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Set.PeerContainer']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Set.Pfs']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Set.ReverseRoute']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Dialer']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Match']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Qos']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.ReverseRoute']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default.Set']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Default']['meta_info']
_meta_table['Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.ReverseRoute']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.IpIn.Ip']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set.IpIn']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.IpOut.Ip']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set.IpOut']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.Peer']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.Pfs']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.ReverseRoute']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.IpIn']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.IpOut']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.Nat']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.PeerContainer']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap.Set']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Default']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Dialer']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Match']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Qos']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap']['meta_info']
_meta_table['Native.Crypto.DynamicMap.ReverseRoute']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap']['meta_info']
_meta_table['Native.Crypto.DynamicMap.Set']['meta_info'].parent =_meta_table['Native.Crypto.DynamicMap']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Client.Rekey.Encryption']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Client.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Client.Rekey.Hash']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Client.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Client.Status.ActiveSa']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Client.Status']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Client.Protocol']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Client']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Client.RecoveryCheck']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Client']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Client.Registration']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Client']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Client.Rekey']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Client']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Client.Status']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Client']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Identity.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Identity']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Authorization']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Group_.Size']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Group_']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Identifier']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Identifier']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Local_']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Local_']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Registration']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Replay']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Tag']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Time']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Group_.Size']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Group_']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Registration']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Algorithm']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Authentication']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Retransmit']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.D3P']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Sa']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.Ipsec']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Sa']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.PairWiseKeying']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Sa']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Group_']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Identifier']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Redundancy']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Registration']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Sa']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Authorization']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Group_']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Identifier']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Registration']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Hostname']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server.Local']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Server']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Client.Rekey.Encryption']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default.Client.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Client.Rekey.Hash']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default.Client.Rekey']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Client.Status.ActiveSa']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default.Client.Status']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Client.Protocol']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default.Client']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Client.RecoveryCheck']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default.Client']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Client.Registration']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default.Client']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Client.Rekey']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default.Client']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Client.Status']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default.Client']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Server.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default.Server']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Server.Hostname']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default.Server']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Client']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Identity']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default.Server']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group.Default']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Client']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Identity']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Server']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group.Default']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi.Group']['meta_info']
_meta_table['Native.Crypto.Gdoi.Group']['meta_info'].parent =_meta_table['Native.Crypto.Gdoi']['meta_info']
_meta_table['Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface.InterfaceList']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface']['meta_info']
_meta_table['Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Authorization.Policy.Route.Set']['meta_info']
_meta_table['Native.Crypto.Ikev2.Authorization.Policy.Route.Set']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Authorization.Policy.Route']['meta_info']
_meta_table['Native.Crypto.Ikev2.Authorization.Policy.Route']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Authorization.Policy']['meta_info']
_meta_table['Native.Crypto.Ikev2.Authorization.Policy']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Authorization']['meta_info']
_meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Peer']['meta_info']
_meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Source']['meta_info']
_meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Client_.Connect']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Client_']['meta_info']
_meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Peer']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Client.Flexvpn']['meta_info']
_meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Connect']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Client.Flexvpn']['meta_info']
_meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Source']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Client.Flexvpn']['meta_info']
_meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Client_']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Client.Flexvpn']['meta_info']
_meta_table['Native.Crypto.Ikev2.Client.Flexvpn']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Client']['meta_info']
_meta_table['Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Keyring.Peer.Address']['meta_info']
_meta_table['Native.Crypto.Ikev2.Keyring.Peer.Identity.Email']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Keyring.Peer.Identity']['meta_info']
_meta_table['Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Keyring.Peer.Identity']['meta_info']
_meta_table['Native.Crypto.Ikev2.Keyring.Peer.Address']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Keyring.Peer']['meta_info']
_meta_table['Native.Crypto.Ikev2.Keyring.Peer.Identity']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Keyring.Peer']['meta_info']
_meta_table['Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Keyring.Peer']['meta_info']
_meta_table['Native.Crypto.Ikev2.Keyring.Peer']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Keyring']['meta_info']
_meta_table['Native.Crypto.Ikev2.Limit.MaxNegSa']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Limit']['meta_info']
_meta_table['Native.Crypto.Ikev2.Policy.Match.Address']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Policy.Match']['meta_info']
_meta_table['Native.Crypto.Ikev2.Policy.Match.Fvrf']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Policy.Match']['meta_info']
_meta_table['Native.Crypto.Ikev2.Policy.Match']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Policy']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Accounting']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authentication']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Aaa']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap.Aggregate']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.Eap']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Authentication']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Identity.Local']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Identity']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Keyring.Aaa']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Keyring.Aaa']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Keyring']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Match.Address.Local']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Match.Address']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address.Ipv4']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Match.Identity']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Match.Address']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Match']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Match.Fvrf']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Match']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Match.Identity']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Match']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Redirect.Gateway']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile.Redirect']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Aaa']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Authentication']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.ConfigExchange']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Dpd']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Identity']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.InitialContact']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Keyring']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Match']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Nat']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Pki']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Reconnect']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.Redirect']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile.VirtualTemplate']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Profile']['meta_info']
_meta_table['Native.Crypto.Ikev2.Proposal.Encryption']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Proposal']['meta_info']
_meta_table['Native.Crypto.Ikev2.Proposal.Group']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Proposal']['meta_info']
_meta_table['Native.Crypto.Ikev2.Proposal.Integrity']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Proposal']['meta_info']
_meta_table['Native.Crypto.Ikev2.Proposal.Prf']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Proposal']['meta_info']
_meta_table['Native.Crypto.Ikev2.Redirect.Client']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2.Redirect']['meta_info']
_meta_table['Native.Crypto.Ikev2.Authorization']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Client']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Cts']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Diagnose']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.DpdContainer']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Fragmentation']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.HttpUrl']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Keyring']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Limit']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Nat']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Policy']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Profile']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Proposal']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Reconnect']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Ikev2.Redirect']['meta_info'].parent =_meta_table['Native.Crypto.Ikev2']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Client.Rekey.Encryption']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Client.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Client.Rekey.Hash']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Client.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Client.Status.ActiveSa']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Client.Status']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Client.Protocol']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Client']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Client.RecoveryCheck']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Client']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Client.Registration']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Client']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Client.Rekey']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Client']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Client.Status']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Client']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Identity.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Identity']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Authorization.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Authorization']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Group_.Size']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Group_']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Identifier.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Identifier.Default']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Identifier']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Identifier.Range']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Identifier']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Local_']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Local_']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Registration']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.D3P']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Replay']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Tag']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Time']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.D3P']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Authorization']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Group_.Size']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Group_']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Registration']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Algorithm']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Authentication']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Retransmit']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Sa.D3P']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Sa']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Sa.Ipsec']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Sa']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Sa.PairWiseKeying']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Sa']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Authorization']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Group_']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Identifier']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Redundancy']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Registration']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Sa']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Authorization']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Group_']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Identifier']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Registration']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local.Default']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server.Local']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Hostname']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server.Local']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Server']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Client.Rekey.Encryption']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default.Client.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Client.Rekey.Hash']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default.Client.Rekey']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Client.Status.ActiveSa']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default.Client.Status']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Client.Protocol']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default.Client']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Client.RecoveryCheck']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default.Client']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Client.Registration']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default.Client']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Client.Rekey']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default.Client']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Client.Status']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default.Client']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Server.Address']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default.Server']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Server.Hostname']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default.Server']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Client']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Identity']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default.Server']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group.Default']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Client']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Identity']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Server']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group']['meta_info']
_meta_table['Native.Crypto.Gkm.Group.Default']['meta_info'].parent =_meta_table['Native.Crypto.Gkm.Group']['meta_info']
_meta_table['Native.Crypto.Gkm.Group']['meta_info'].parent =_meta_table['Native.Crypto.Gkm']['meta_info']
_meta_table['Native.Crypto.Identity.Default']['meta_info'].parent =_meta_table['Native.Crypto.Identity']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Dummy']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.Pfs']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Default.Set']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.ReverseRoute']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Default.Set']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Default.Set']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Default.Set']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Default.Dialer']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Default']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Default.Set']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Default']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Set.Peer']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Set']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Set.Pfs']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Set']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Set.ReverseRoute']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Set']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Set']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityPolicy']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile.Set']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Default']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Dialer']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Redundancy']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile.Set']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.Profile']['meta_info']
_meta_table['Native.Crypto.Ipsec.SecurityAssociation.Dummy']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.Ipsec.SecurityAssociation.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.Ipsec.SecurityAssociation.Replay']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.Ipsec.TransformSet.Mode.Transport']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.TransformSet.Mode']['meta_info']
_meta_table['Native.Crypto.Ipsec.TransformSet.Default']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.TransformSet']['meta_info']
_meta_table['Native.Crypto.Ipsec.TransformSet.Mode']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec.TransformSet']['meta_info']
_meta_table['Native.Crypto.Ipsec.Optional']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec']['meta_info']
_meta_table['Native.Crypto.Ipsec.Profile']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec']['meta_info']
_meta_table['Native.Crypto.Ipsec.SecurityAssociation']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec']['meta_info']
_meta_table['Native.Crypto.Ipsec.TransformSet']['meta_info'].parent =_meta_table['Native.Crypto.Ipsec']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa.Attribute']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Configuration_']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Dns']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Firewall']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Key']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Wins']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.AddressPool']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration.Group']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Configuration']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Firewall.Policy']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Firewall.Policy']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client.Firewall']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Configuration']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client.Firewall']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Client']['meta_info']
_meta_table['Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container']['meta_info']
_meta_table['Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Key.KeyAddress']['meta_info']
_meta_table['Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Key.KeyAddress']['meta_info']
_meta_table['Native.Crypto.Isakmp.Key.KeyHost.HostContainer']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Key.KeyHost']['meta_info']
_meta_table['Native.Crypto.Isakmp.Key.KeyAddress']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Key']['meta_info']
_meta_table['Native.Crypto.Isakmp.Key.KeyHost']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Key']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer.Hostname']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer.Hostname']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Peer']['meta_info']
_meta_table['Native.Crypto.Isakmp.Policy.Default.Encryption.Aes']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Policy.Default.Encryption']['meta_info']
_meta_table['Native.Crypto.Isakmp.Policy.Default.Encryption']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Policy.Default']['meta_info']
_meta_table['Native.Crypto.Isakmp.Policy.Encryption.Aes']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Policy.Encryption']['meta_info']
_meta_table['Native.Crypto.Isakmp.Policy.Default']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Policy']['meta_info']
_meta_table['Native.Crypto.Isakmp.Policy.Encryption']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Policy']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Client.Pki.Authorization']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Client.Pki']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Client.Authentication']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Client']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Client.Configuration']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Client']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Client.Pki']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Client']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Initiate.Mode']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Initiate']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Isakmp_.Authorization']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Isakmp_']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default.Match']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Ca']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Client']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Initiate']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Isakmp_']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Keepalive']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.Match']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default.SelfIdentity']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Default']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Client.Pki.Authorization']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Client.Pki']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Client.Authentication']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Client']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Client.Configuration']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Client']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Client.Pki']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Client']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Initiate.Mode']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Initiate']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Isakmp_.Authorization']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Isakmp_']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Host']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Host']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Address']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Host']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Match.Identity']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.Match']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.SelfIdentity.Address']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.SelfIdentity']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.SelfIdentity.Fqdn']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile.SelfIdentity']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Default']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Ca']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Client']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Initiate']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Isakmp_']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Keepalive']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.Match']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile.SelfIdentity']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp.Profile']['meta_info']
_meta_table['Native.Crypto.Isakmp.Client']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp']['meta_info']
_meta_table['Native.Crypto.Isakmp.Default']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp']['meta_info']
_meta_table['Native.Crypto.Isakmp.Keepalive']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp']['meta_info']
_meta_table['Native.Crypto.Isakmp.Key']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp']['meta_info']
_meta_table['Native.Crypto.Isakmp.Nat']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp']['meta_info']
_meta_table['Native.Crypto.Isakmp.Peer']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp']['meta_info']
_meta_table['Native.Crypto.Isakmp.Policy']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp']['meta_info']
_meta_table['Native.Crypto.Isakmp.Profile']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp']['meta_info']
_meta_table['Native.Crypto.Isakmp.Xauth']['meta_info'].parent =_meta_table['Native.Crypto.Isakmp']['meta_info']
_meta_table['Native.Crypto.Key.Decrypt.Write.Ec']['meta_info'].parent =_meta_table['Native.Crypto.Key.Decrypt.Write']['meta_info']
_meta_table['Native.Crypto.Key.Decrypt.Write.Rsa']['meta_info'].parent =_meta_table['Native.Crypto.Key.Decrypt.Write']['meta_info']
_meta_table['Native.Crypto.Key.Decrypt.Ec']['meta_info'].parent =_meta_table['Native.Crypto.Key.Decrypt']['meta_info']
_meta_table['Native.Crypto.Key.Decrypt.Rsa']['meta_info'].parent =_meta_table['Native.Crypto.Key.Decrypt']['meta_info']
_meta_table['Native.Crypto.Key.Decrypt.Write']['meta_info'].parent =_meta_table['Native.Crypto.Key.Decrypt']['meta_info']
_meta_table['Native.Crypto.Key.Encrypt.Write.Ec']['meta_info'].parent =_meta_table['Native.Crypto.Key.Encrypt.Write']['meta_info']
_meta_table['Native.Crypto.Key.Encrypt.Write.Rsa']['meta_info'].parent =_meta_table['Native.Crypto.Key.Encrypt.Write']['meta_info']
_meta_table['Native.Crypto.Key.Encrypt.Ec']['meta_info'].parent =_meta_table['Native.Crypto.Key.Encrypt']['meta_info']
_meta_table['Native.Crypto.Key.Encrypt.Rsa']['meta_info'].parent =_meta_table['Native.Crypto.Key.Encrypt']['meta_info']
_meta_table['Native.Crypto.Key.Encrypt.Write']['meta_info'].parent =_meta_table['Native.Crypto.Key.Encrypt']['meta_info']
_meta_table['Native.Crypto.Key.Export.Ec.Pem.Terminal']['meta_info'].parent =_meta_table['Native.Crypto.Key.Export.Ec.Pem']['meta_info']
_meta_table['Native.Crypto.Key.Export.Ec.Pem.Url']['meta_info'].parent =_meta_table['Native.Crypto.Key.Export.Ec.Pem']['meta_info']
_meta_table['Native.Crypto.Key.Export.Ec.Pem']['meta_info'].parent =_meta_table['Native.Crypto.Key.Export.Ec']['meta_info']
_meta_table['Native.Crypto.Key.Export.Rsa.Pem.Terminal']['meta_info'].parent =_meta_table['Native.Crypto.Key.Export.Rsa.Pem']['meta_info']
_meta_table['Native.Crypto.Key.Export.Rsa.Pem.Url']['meta_info'].parent =_meta_table['Native.Crypto.Key.Export.Rsa.Pem']['meta_info']
_meta_table['Native.Crypto.Key.Export.Rsa.Pem']['meta_info'].parent =_meta_table['Native.Crypto.Key.Export.Rsa']['meta_info']
_meta_table['Native.Crypto.Key.Export.Ec']['meta_info'].parent =_meta_table['Native.Crypto.Key.Export']['meta_info']
_meta_table['Native.Crypto.Key.Export.Rsa']['meta_info'].parent =_meta_table['Native.Crypto.Key.Export']['meta_info']
_meta_table['Native.Crypto.Key.Generate.Ec']['meta_info'].parent =_meta_table['Native.Crypto.Key.Generate']['meta_info']
_meta_table['Native.Crypto.Key.Generate.Rsa']['meta_info'].parent =_meta_table['Native.Crypto.Key.Generate']['meta_info']
_meta_table['Native.Crypto.Key.Import_.Ec.Url']['meta_info'].parent =_meta_table['Native.Crypto.Key.Import_.Ec']['meta_info']
_meta_table['Native.Crypto.Key.Import_.Rsa.Url']['meta_info'].parent =_meta_table['Native.Crypto.Key.Import_.Rsa']['meta_info']
_meta_table['Native.Crypto.Key.Import_.Ec']['meta_info'].parent =_meta_table['Native.Crypto.Key.Import_']['meta_info']
_meta_table['Native.Crypto.Key.Import_.Rsa']['meta_info'].parent =_meta_table['Native.Crypto.Key.Import_']['meta_info']
_meta_table['Native.Crypto.Key.Move.Rsa']['meta_info'].parent =_meta_table['Native.Crypto.Key.Move']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default.KeyString']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default.KeyString']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.Default']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.Default']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain.Rsa']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain.Rsa']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa.Default']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain.Rsa']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain.Rsa']['meta_info'].parent =_meta_table['Native.Crypto.Key.PubkeyChain']['meta_info']
_meta_table['Native.Crypto.Key.Zeroize.Ec']['meta_info'].parent =_meta_table['Native.Crypto.Key.Zeroize']['meta_info']
_meta_table['Native.Crypto.Key.Zeroize.PubkeyChain']['meta_info'].parent =_meta_table['Native.Crypto.Key.Zeroize']['meta_info']
_meta_table['Native.Crypto.Key.Zeroize.Rsa']['meta_info'].parent =_meta_table['Native.Crypto.Key.Zeroize']['meta_info']
_meta_table['Native.Crypto.Key.Decrypt']['meta_info'].parent =_meta_table['Native.Crypto.Key']['meta_info']
_meta_table['Native.Crypto.Key.Encrypt']['meta_info'].parent =_meta_table['Native.Crypto.Key']['meta_info']
_meta_table['Native.Crypto.Key.Export']['meta_info'].parent =_meta_table['Native.Crypto.Key']['meta_info']
_meta_table['Native.Crypto.Key.Generate']['meta_info'].parent =_meta_table['Native.Crypto.Key']['meta_info']
_meta_table['Native.Crypto.Key.Import_']['meta_info'].parent =_meta_table['Native.Crypto.Key']['meta_info']
_meta_table['Native.Crypto.Key.Move']['meta_info'].parent =_meta_table['Native.Crypto.Key']['meta_info']
_meta_table['Native.Crypto.Key.PubkeyChain']['meta_info'].parent =_meta_table['Native.Crypto.Key']['meta_info']
_meta_table['Native.Crypto.Key.Zeroize']['meta_info'].parent =_meta_table['Native.Crypto.Key']['meta_info']
_meta_table['Native.Crypto.Keyring.Default.PreSharedKey.Ipv4Addr']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.Default.PreSharedKey']['meta_info']
_meta_table['Native.Crypto.Keyring.Default.PreSharedKey.Address']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.Default.PreSharedKey']['meta_info']
_meta_table['Native.Crypto.Keyring.Default.PreSharedKey.Hostname']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.Default.PreSharedKey']['meta_info']
_meta_table['Native.Crypto.Keyring.Default.RsaPubkey.Addr']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.Default.RsaPubkey']['meta_info']
_meta_table['Native.Crypto.Keyring.Default.RsaPubkey.Hostname']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.Default.RsaPubkey']['meta_info']
_meta_table['Native.Crypto.Keyring.Default.PreSharedKey']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.Default']['meta_info']
_meta_table['Native.Crypto.Keyring.Default.RsaPubkey']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.Default']['meta_info']
_meta_table['Native.Crypto.Keyring.PreSharedKey.Ipv4Addr']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.PreSharedKey']['meta_info']
_meta_table['Native.Crypto.Keyring.PreSharedKey.Address']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.PreSharedKey']['meta_info']
_meta_table['Native.Crypto.Keyring.PreSharedKey.Hostname']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.PreSharedKey']['meta_info']
_meta_table['Native.Crypto.Keyring.RsaPubkey.Addr']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.RsaPubkey']['meta_info']
_meta_table['Native.Crypto.Keyring.RsaPubkey.Hostname']['meta_info'].parent =_meta_table['Native.Crypto.Keyring.RsaPubkey']['meta_info']
_meta_table['Native.Crypto.Keyring.Default']['meta_info'].parent =_meta_table['Native.Crypto.Keyring']['meta_info']
_meta_table['Native.Crypto.Keyring.PreSharedKey']['meta_info'].parent =_meta_table['Native.Crypto.Keyring']['meta_info']
_meta_table['Native.Crypto.Keyring.RsaPubkey']['meta_info'].parent =_meta_table['Native.Crypto.Keyring']['meta_info']
_meta_table['Native.Crypto.Logging.Ezvpn']['meta_info'].parent =_meta_table['Native.Crypto.Logging']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Dummy']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.IdleTimeContainer']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Replay']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.Set.Pfs']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default.Set']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.Set.ReverseRoute']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default.Set']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default.Set']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.Dialer']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.Match']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.Qos']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.ReverseRoute']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default.Set']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Default']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.ReverseRoute.RemotePeerConatiner']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.ReverseRoute']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Dummy']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.IdleTimeContainer']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Replay']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Set.Peer']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Set']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Set.Pfs']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Set']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Set.ReverseRoute']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Set']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map.Set']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Default']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Dialer']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Match']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Qos']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.ReverseRoute']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map.Set']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6.Map']['meta_info']
_meta_table['Native.Crypto.MapIpv6.Map']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6']['meta_info']
_meta_table['Native.Crypto.MapIpv6Gdoi.Map.Default.Match']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6Gdoi.Map.Default']['meta_info']
_meta_table['Native.Crypto.MapIpv6Gdoi.Map.Default']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6Gdoi.Map']['meta_info']
_meta_table['Native.Crypto.MapIpv6Gdoi.Map.Match']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6Gdoi.Map']['meta_info']
_meta_table['Native.Crypto.MapIpv6Gdoi.Map']['meta_info'].parent =_meta_table['Native.Crypto.MapIpv6Gdoi']['meta_info']
_meta_table['Native.Crypto.MapClient.Map.Client.Configuration.Address']['meta_info'].parent =_meta_table['Native.Crypto.MapClient.Map.Client.Configuration']['meta_info']
_meta_table['Native.Crypto.MapClient.Map.Client.Accounting']['meta_info'].parent =_meta_table['Native.Crypto.MapClient.Map.Client']['meta_info']
_meta_table['Native.Crypto.MapClient.Map.Client.Authentication']['meta_info'].parent =_meta_table['Native.Crypto.MapClient.Map.Client']['meta_info']
_meta_table['Native.Crypto.MapClient.Map.Client.Configuration']['meta_info'].parent =_meta_table['Native.Crypto.MapClient.Map.Client']['meta_info']
_meta_table['Native.Crypto.MapClient.Map.Redundancy.ReplayInterval']['meta_info'].parent =_meta_table['Native.Crypto.MapClient.Map.Redundancy']['meta_info']
_meta_table['Native.Crypto.MapClient.Map.Client']['meta_info'].parent =_meta_table['Native.Crypto.MapClient.Map']['meta_info']
_meta_table['Native.Crypto.MapClient.Map.Isakmp']['meta_info'].parent =_meta_table['Native.Crypto.MapClient.Map']['meta_info']
_meta_table['Native.Crypto.MapClient.Map.Redundancy']['meta_info'].parent =_meta_table['Native.Crypto.MapClient.Map']['meta_info']
_meta_table['Native.Crypto.MapClient.Map']['meta_info'].parent =_meta_table['Native.Crypto.MapClient']['meta_info']
_meta_table['Native.Crypto.Mib.Ipsec.Flowmib.History.Failure']['meta_info'].parent =_meta_table['Native.Crypto.Mib.Ipsec.Flowmib.History']['meta_info']
_meta_table['Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel']['meta_info'].parent =_meta_table['Native.Crypto.Mib.Ipsec.Flowmib.History']['meta_info']
_meta_table['Native.Crypto.Mib.Ipsec.Flowmib.History']['meta_info'].parent =_meta_table['Native.Crypto.Mib.Ipsec.Flowmib']['meta_info']
_meta_table['Native.Crypto.Mib.Ipsec.Flowmib']['meta_info'].parent =_meta_table['Native.Crypto.Mib.Ipsec']['meta_info']
_meta_table['Native.Crypto.Mib.Ipsec']['meta_info'].parent =_meta_table['Native.Crypto.Mib']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Chain.Certificate_']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Chain']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Eq']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Ge']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Lt']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Ne']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Eq']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Ge']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Lt']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Ne']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.AltSubjectName']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.IssuerName']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.Name']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.SerialNumber']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.SubjectName']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate.Map']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Chain']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Map']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate.Storage']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Certificate']['meta_info']
_meta_table['Native.Crypto.Pki.Crl.Download.Schedule.Retries']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Crl.Download.Schedule']['meta_info']
_meta_table['Native.Crypto.Pki.Crl.Download.Schedule.Time']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Crl.Download.Schedule']['meta_info']
_meta_table['Native.Crypto.Pki.Crl.Download.Schedule']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Crl.Download']['meta_info']
_meta_table['Native.Crypto.Pki.Crl.Download.Url']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Crl.Download']['meta_info']
_meta_table['Native.Crypto.Pki.Crl.Cache']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Crl']['meta_info']
_meta_table['Native.Crypto.Pki.Crl.Download']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Crl']['meta_info']
_meta_table['Native.Crypto.Pki.Export.Pem.Terminal.Pem3Des']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Export.Pem.Terminal']['meta_info']
_meta_table['Native.Crypto.Pki.Export.Pem.Terminal.Des']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Export.Pem.Terminal']['meta_info']
_meta_table['Native.Crypto.Pki.Export.Pem.Terminal']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Export.Pem']['meta_info']
_meta_table['Native.Crypto.Pki.Export.Pem.Url']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Export.Pem']['meta_info']
_meta_table['Native.Crypto.Pki.Export.Pem']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Export']['meta_info']
_meta_table['Native.Crypto.Pki.Export.Pkcs12']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Export']['meta_info']
_meta_table['Native.Crypto.Pki.Import_.Pem.Terminal']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Import_.Pem']['meta_info']
_meta_table['Native.Crypto.Pki.Import_.Pem.Url']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Import_.Pem']['meta_info']
_meta_table['Native.Crypto.Pki.Import_.Pem']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Import_']['meta_info']
_meta_table['Native.Crypto.Pki.Import_.Pkcs12']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Import_']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Authentication.Url']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment.Authentication']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Enrollment_.Url']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment.Enrollment_']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment.Reenrollment']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Authentication']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_.Url']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Authentication']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Parameter']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Authentication']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Enrollment_']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Parameter']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Reenrollment']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment.Default']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile.Enrollment']['meta_info']
_meta_table['Native.Crypto.Pki.Profile.Enrollment']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Profile']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpoint.Enrollment.Mode']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Trustpoint.Enrollment']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpoint.Enrollment.Retry']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Trustpoint.Enrollment']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpoint.Enrollment.Terminal']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Trustpoint.Enrollment']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpoint.Enrollment']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Trustpoint']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpoint.Password']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Trustpoint']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpoint.Rsakeypair']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Trustpoint']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpoint.SerialNumber']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Trustpoint']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpoint.IpAddress']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Trustpoint']['meta_info']
_meta_table['Native.Crypto.Pki.Token.TokenName.Removal']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Token.TokenName']['meta_info']
_meta_table['Native.Crypto.Pki.Token.TokenName']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Token']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpool.Import_.Url']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Trustpool.Import_']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpool.Import_']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Trustpool']['meta_info']
_meta_table['Native.Crypto.Pki.Default.Removal']['meta_info'].parent =_meta_table['Native.Crypto.Pki.Default']['meta_info']
_meta_table['Native.Crypto.Pki.Certificate']['meta_info'].parent =_meta_table['Native.Crypto.Pki']['meta_info']
_meta_table['Native.Crypto.Pki.Crl']['meta_info'].parent =_meta_table['Native.Crypto.Pki']['meta_info']
_meta_table['Native.Crypto.Pki.Export']['meta_info'].parent =_meta_table['Native.Crypto.Pki']['meta_info']
_meta_table['Native.Crypto.Pki.Import_']['meta_info'].parent =_meta_table['Native.Crypto.Pki']['meta_info']
_meta_table['Native.Crypto.Pki.Profile']['meta_info'].parent =_meta_table['Native.Crypto.Pki']['meta_info']
_meta_table['Native.Crypto.Pki.Server']['meta_info'].parent =_meta_table['Native.Crypto.Pki']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpoint']['meta_info'].parent =_meta_table['Native.Crypto.Pki']['meta_info']
_meta_table['Native.Crypto.Pki.Token']['meta_info'].parent =_meta_table['Native.Crypto.Pki']['meta_info']
_meta_table['Native.Crypto.Pki.Trustpool']['meta_info'].parent =_meta_table['Native.Crypto.Pki']['meta_info']
_meta_table['Native.Crypto.Pki.Default']['meta_info'].parent =_meta_table['Native.Crypto.Pki']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Psk']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv4']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Server']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv6']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Server']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Protection']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Psk']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Server']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList']['meta_info']
_meta_table['Native.Crypto.TlsTunnel.TlsTunnelList']['meta_info'].parent =_meta_table['Native.Crypto.TlsTunnel']['meta_info']
_meta_table['Native.Crypto.Ssl.Proposal.Protection']['meta_info'].parent =_meta_table['Native.Crypto.Ssl.Proposal']['meta_info']
_meta_table['Native.Crypto.Ssl.Authorization']['meta_info'].parent =_meta_table['Native.Crypto.Ssl']['meta_info']
_meta_table['Native.Crypto.Ssl.Diagnose']['meta_info'].parent =_meta_table['Native.Crypto.Ssl']['meta_info']
_meta_table['Native.Crypto.Ssl.Proposal']['meta_info'].parent =_meta_table['Native.Crypto.Ssl']['meta_info']
_meta_table['Native.Crypto.Vpn.Anyconnect.File']['meta_info'].parent =_meta_table['Native.Crypto.Vpn.Anyconnect']['meta_info']
_meta_table['Native.Crypto.Vpn.Anyconnect.ProfileContainer']['meta_info'].parent =_meta_table['Native.Crypto.Vpn.Anyconnect']['meta_info']
_meta_table['Native.Crypto.Vpn.Anyconnect']['meta_info'].parent =_meta_table['Native.Crypto.Vpn']['meta_info']
_meta_table['Native.Crypto.Call']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.DynamicMap']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Engine']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Gdoi']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Ikev2']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Gkm']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Identity']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Ipsec']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Isakmp']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Key']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Keyring']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Logging']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.MapIpv6']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.MapIpv6Gdoi']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.MapClient']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Mib']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Pki']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.TlsTunnel']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Ssl']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Crypto.Vpn']['meta_info'].parent =_meta_table['Native.Crypto']['meta_info']
_meta_table['Native.Cts.Cache.NvStorage']['meta_info'].parent =_meta_table['Native.Cts.Cache']['meta_info']
_meta_table['Native.Cts.CriticalAuthentication.Default.PeerSgt.Range']['meta_info'].parent =_meta_table['Native.Cts.CriticalAuthentication.Default.PeerSgt']['meta_info']
_meta_table['Native.Cts.CriticalAuthentication.Default.PeerSgt']['meta_info'].parent =_meta_table['Native.Cts.CriticalAuthentication.Default']['meta_info']
_meta_table['Native.Cts.CriticalAuthentication.Default.Pmk']['meta_info'].parent =_meta_table['Native.Cts.CriticalAuthentication.Default']['meta_info']
_meta_table['Native.Cts.CriticalAuthentication.Default']['meta_info'].parent =_meta_table['Native.Cts.CriticalAuthentication']['meta_info']
_meta_table['Native.Cts.CriticalAuthentication.Fallback']['meta_info'].parent =_meta_table['Native.Cts.CriticalAuthentication']['meta_info']
_meta_table['Native.Cts.RoleBased.Permissions.From_.Range.To.Range_']['meta_info'].parent =_meta_table['Native.Cts.RoleBased.Permissions.From_.Range.To']['meta_info']
_meta_table['Native.Cts.RoleBased.Permissions.From_.Range.To']['meta_info'].parent =_meta_table['Native.Cts.RoleBased.Permissions.From_.Range']['meta_info']
_meta_table['Native.Cts.RoleBased.Permissions.From_.Range']['meta_info'].parent =_meta_table['Native.Cts.RoleBased.Permissions.From_']['meta_info']
_meta_table['Native.Cts.RoleBased.Permissions.Default']['meta_info'].parent =_meta_table['Native.Cts.RoleBased.Permissions']['meta_info']
_meta_table['Native.Cts.RoleBased.Permissions.From_']['meta_info'].parent =_meta_table['Native.Cts.RoleBased.Permissions']['meta_info']
_meta_table['Native.Cts.RoleBased.Enforcement.VlanList']['meta_info'].parent =_meta_table['Native.Cts.RoleBased.Enforcement']['meta_info']
_meta_table['Native.Cts.RoleBased.SgtMapVlanList.SgtMap']['meta_info'].parent =_meta_table['Native.Cts.RoleBased.SgtMapVlanList']['meta_info']
_meta_table['Native.Cts.RoleBased.Permissions']['meta_info'].parent =_meta_table['Native.Cts.RoleBased']['meta_info']
_meta_table['Native.Cts.RoleBased.Enforcement']['meta_info'].parent =_meta_table['Native.Cts.RoleBased']['meta_info']
_meta_table['Native.Cts.RoleBased.SgtMap']['meta_info'].parent =_meta_table['Native.Cts.RoleBased']['meta_info']
_meta_table['Native.Cts.RoleBased.SgtMapVlanList']['meta_info'].parent =_meta_table['Native.Cts.RoleBased']['meta_info']
_meta_table['Native.Cts.Server.LoadBalance.Method.LeastOutstanding']['meta_info'].parent =_meta_table['Native.Cts.Server.LoadBalance.Method']['meta_info']
_meta_table['Native.Cts.Server.LoadBalance.Method']['meta_info'].parent =_meta_table['Native.Cts.Server.LoadBalance']['meta_info']
_meta_table['Native.Cts.Server.Test.Server_']['meta_info'].parent =_meta_table['Native.Cts.Server.Test']['meta_info']
_meta_table['Native.Cts.Server.Test.All']['meta_info'].parent =_meta_table['Native.Cts.Server.Test']['meta_info']
_meta_table['Native.Cts.Server.KeyWrap']['meta_info'].parent =_meta_table['Native.Cts.Server']['meta_info']
_meta_table['Native.Cts.Server.LoadBalance']['meta_info'].parent =_meta_table['Native.Cts.Server']['meta_info']
_meta_table['Native.Cts.Server.Test']['meta_info'].parent =_meta_table['Native.Cts.Server']['meta_info']
_meta_table['Native.Cts.Sxp.Default.Password']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Default']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener.HoldTime']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker.HoldTime']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Both']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener.HoldTime']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker.HoldTime']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Both']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Both']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener.HoldTime']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker.HoldTime']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Both']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection.Peer']['meta_info']
_meta_table['Native.Cts.Sxp.Connection.Peer']['meta_info'].parent =_meta_table['Native.Cts.Sxp.Connection']['meta_info']
_meta_table['Native.Cts.Sxp.Default']['meta_info'].parent =_meta_table['Native.Cts.Sxp']['meta_info']
_meta_table['Native.Cts.Sxp.Connection']['meta_info'].parent =_meta_table['Native.Cts.Sxp']['meta_info']
_meta_table['Native.Cts.Cache']['meta_info'].parent =_meta_table['Native.Cts']['meta_info']
_meta_table['Native.Cts.CriticalAuthentication']['meta_info'].parent =_meta_table['Native.Cts']['meta_info']
_meta_table['Native.Cts.Authorization']['meta_info'].parent =_meta_table['Native.Cts']['meta_info']
_meta_table['Native.Cts.RoleBased']['meta_info'].parent =_meta_table['Native.Cts']['meta_info']
_meta_table['Native.Cts.Server']['meta_info'].parent =_meta_table['Native.Cts']['meta_info']
_meta_table['Native.Cts.Sxp']['meta_info'].parent =_meta_table['Native.Cts']['meta_info']
_meta_table['Native.BfdTemplate.SingleHop.Interval.Microseconds']['meta_info'].parent =_meta_table['Native.BfdTemplate.SingleHop.Interval']['meta_info']
_meta_table['Native.BfdTemplate.SingleHop.Interval']['meta_info'].parent =_meta_table['Native.BfdTemplate.SingleHop']['meta_info']
_meta_table['Native.BfdTemplate.SingleHop']['meta_info'].parent =_meta_table['Native.BfdTemplate']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Master.Ipv4']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Master']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Master']['meta_info'].parent =_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr']['meta_info']
_meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr']['meta_info'].parent =_meta_table['Native.Pfr.Border']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter.Ipv4OrHostname']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn.Ipv4OrHostname']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho.Ipv4OrHostname']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define.AppDef']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Application']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff.Boff0']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4.KeyChain']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Border']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire.After']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq.PfrTc']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes.Prnum']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol.Sport']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dport']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dscp']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Sport']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Aggregate']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Filter']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.AggregationType']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Inside']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total.Maxpr']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4.Interface']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval.Ipv4']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp.Interface']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd.Interface']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor.Active']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold.MosThresh']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mos']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority.DelPol']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority.JitPol']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority.LossPol']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority.MosPol']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList.TdNum']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Application']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Border']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Delay']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Loss']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mos']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Probe']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable']['meta_info'].parent =_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']
_meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info'].parent =_meta_table['Native.Pfr.Master']['meta_info']
_meta_table['Native.Pfr.Border']['meta_info'].parent =_meta_table['Native.Pfr']['meta_info']
_meta_table['Native.Pfr.Master']['meta_info'].parent =_meta_table['Native.Pfr']['meta_info']
_meta_table['Native.PfrMap.Match.Ip']['meta_info'].parent =_meta_table['Native.PfrMap.Match']['meta_info']
_meta_table['Native.PfrMap.Match.Pfr']['meta_info'].parent =_meta_table['Native.PfrMap.Match']['meta_info']
_meta_table['Native.PfrMap.Match.TrafficClass']['meta_info'].parent =_meta_table['Native.PfrMap.Match']['meta_info']
_meta_table['Native.PfrMap.Set.ActiveProbe.Echo.Ipv4OrHostname']['meta_info'].parent =_meta_table['Native.PfrMap.Set.ActiveProbe.Echo']['meta_info']
_meta_table['Native.PfrMap.Set.ActiveProbe.Jitter.Ipv4OrHostname']['meta_info'].parent =_meta_table['Native.PfrMap.Set.ActiveProbe.Jitter']['meta_info']
_meta_table['Native.PfrMap.Set.ActiveProbe.TcpConn.Ipv4OrHostname']['meta_info'].parent =_meta_table['Native.PfrMap.Set.ActiveProbe.TcpConn']['meta_info']
_meta_table['Native.PfrMap.Set.ActiveProbe.UdpEcho.Ipv4OrHostname']['meta_info'].parent =_meta_table['Native.PfrMap.Set.ActiveProbe.UdpEcho']['meta_info']
_meta_table['Native.PfrMap.Set.ActiveProbe.Echo']['meta_info'].parent =_meta_table['Native.PfrMap.Set.ActiveProbe']['meta_info']
_meta_table['Native.PfrMap.Set.ActiveProbe.Jitter']['meta_info'].parent =_meta_table['Native.PfrMap.Set.ActiveProbe']['meta_info']
_meta_table['Native.PfrMap.Set.ActiveProbe.TcpConn']['meta_info'].parent =_meta_table['Native.PfrMap.Set.ActiveProbe']['meta_info']
_meta_table['Native.PfrMap.Set.ActiveProbe.UdpEcho']['meta_info'].parent =_meta_table['Native.PfrMap.Set.ActiveProbe']['meta_info']
_meta_table['Native.PfrMap.Set.Backoff.BoffT.BoffT0']['meta_info'].parent =_meta_table['Native.PfrMap.Set.Backoff.BoffT']['meta_info']
_meta_table['Native.PfrMap.Set.Backoff.BoffT']['meta_info'].parent =_meta_table['Native.PfrMap.Set.Backoff']['meta_info']
_meta_table['Native.PfrMap.Set.LinkGroup.LgName.Fallback']['meta_info'].parent =_meta_table['Native.PfrMap.Set.LinkGroup.LgName']['meta_info']
_meta_table['Native.PfrMap.Set.LinkGroup.LgName']['meta_info'].parent =_meta_table['Native.PfrMap.Set.LinkGroup']['meta_info']
_meta_table['Native.PfrMap.Set.ActiveProbe']['meta_info'].parent =_meta_table['Native.PfrMap.Set']['meta_info']
_meta_table['Native.PfrMap.Set.Backoff']['meta_info'].parent =_meta_table['Native.PfrMap.Set']['meta_info']
_meta_table['Native.PfrMap.Set.Delay']['meta_info'].parent =_meta_table['Native.PfrMap.Set']['meta_info']
_meta_table['Native.PfrMap.Set.LinkGroup']['meta_info'].parent =_meta_table['Native.PfrMap.Set']['meta_info']
_meta_table['Native.PfrMap.Set.Loss']['meta_info'].parent =_meta_table['Native.PfrMap.Set']['meta_info']
_meta_table['Native.PfrMap.Match']['meta_info'].parent =_meta_table['Native.PfrMap']['meta_info']
_meta_table['Native.PfrMap.Set']['meta_info'].parent =_meta_table['Native.PfrMap']['meta_info']
_meta_table['Native.TodClock.InputSource.Ptp']['meta_info'].parent =_meta_table['Native.TodClock.InputSource']['meta_info']
_meta_table['Native.TodClock.InputSource']['meta_info'].parent =_meta_table['Native.TodClock']['meta_info']
_meta_table['Native.NetworkClock.InputSource.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.NetworkClock.InputSource.Interface']['meta_info']
_meta_table['Native.NetworkClock.InputSource.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.NetworkClock.InputSource.Interface']['meta_info']
_meta_table['Native.NetworkClock.InputSource.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.NetworkClock.InputSource.Interface']['meta_info']
_meta_table['Native.NetworkClock.InputSource.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.NetworkClock.InputSource.Interface']['meta_info']
_meta_table['Native.NetworkClock.InputSource.Interface']['meta_info'].parent =_meta_table['Native.NetworkClock.InputSource']['meta_info']
_meta_table['Native.NetworkClock.InputSource.Ptp']['meta_info'].parent =_meta_table['Native.NetworkClock.InputSource']['meta_info']
_meta_table['Native.NetworkClock.Synchronization']['meta_info'].parent =_meta_table['Native.NetworkClock']['meta_info']
_meta_table['Native.NetworkClock.WaitToRestore']['meta_info'].parent =_meta_table['Native.NetworkClock']['meta_info']
_meta_table['Native.NetworkClock.InputSource']['meta_info'].parent =_meta_table['Native.NetworkClock']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send']['meta_info'].parent =_meta_table['Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh']['meta_info'].parent =_meta_table['Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout']['meta_info'].parent =_meta_table['Native.L2Vpn.Pseudowire.StaticOam.Class_']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire.StaticOam.Class_']['meta_info'].parent =_meta_table['Native.L2Vpn.Pseudowire.StaticOam']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvType']['meta_info'].parent =_meta_table['Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvDescription']['meta_info'].parent =_meta_table['Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_']['meta_info'].parent =_meta_table['Native.L2Vpn.Pseudowire.Tlv.Template']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire.Tlv.Template']['meta_info'].parent =_meta_table['Native.L2Vpn.Pseudowire.Tlv']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire.StaticOam']['meta_info'].parent =_meta_table['Native.L2Vpn.Pseudowire']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire.Tlv']['meta_info'].parent =_meta_table['Native.L2Vpn.Pseudowire']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire.Group']['meta_info'].parent =_meta_table['Native.L2Vpn.Pseudowire']['meta_info']
_meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Bgp_']['meta_info'].parent =_meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling']['meta_info']
_meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Ldp']['meta_info'].parent =_meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling']['meta_info']
_meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling']['meta_info'].parent =_meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp']['meta_info']
_meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp']['meta_info'].parent =_meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery']['meta_info']
_meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery']['meta_info'].parent =_meta_table['Native.L2Vpn.Vfi.Context']['meta_info']
_meta_table['Native.L2Vpn.Vfi.Context.Vpn']['meta_info'].parent =_meta_table['Native.L2Vpn.Vfi.Context']['meta_info']
_meta_table['Native.L2Vpn.Vfi.Context']['meta_info'].parent =_meta_table['Native.L2Vpn.Vfi']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Ipv4']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Interface']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect.Context']['meta_info']
_meta_table['Native.L2Vpn.Xconnect.Context']['meta_info'].parent =_meta_table['Native.L2Vpn.Xconnect']['meta_info']
_meta_table['Native.L2Vpn.Pseudowire']['meta_info'].parent =_meta_table['Native.L2Vpn']['meta_info']
_meta_table['Native.L2Vpn.Vfi']['meta_info'].parent =_meta_table['Native.L2Vpn']['meta_info']
_meta_table['Native.L2Vpn.Xconnect']['meta_info'].parent =_meta_table['Native.L2Vpn']['meta_info']
_meta_table['Native.L2VpnConfig.L2Vpn.Logging.Pseudowire']['meta_info'].parent =_meta_table['Native.L2VpnConfig.L2Vpn.Logging']['meta_info']
_meta_table['Native.L2VpnConfig.L2Vpn.Redundancy.Predictive']['meta_info'].parent =_meta_table['Native.L2VpnConfig.L2Vpn.Redundancy']['meta_info']
_meta_table['Native.L2VpnConfig.L2Vpn.Logging']['meta_info'].parent =_meta_table['Native.L2VpnConfig.L2Vpn']['meta_info']
_meta_table['Native.L2VpnConfig.L2Vpn.Redundancy']['meta_info'].parent =_meta_table['Native.L2VpnConfig.L2Vpn']['meta_info']
_meta_table['Native.L2VpnConfig.L2Vpn']['meta_info'].parent =_meta_table['Native.L2VpnConfig']['meta_info']
_meta_table['Native.L3Vpn.Encapsulation.Ip.Transport.Ipv4']['meta_info'].parent =_meta_table['Native.L3Vpn.Encapsulation.Ip.Transport']['meta_info']
_meta_table['Native.L3Vpn.Encapsulation.Ip.Protocol.Gre']['meta_info'].parent =_meta_table['Native.L3Vpn.Encapsulation.Ip.Protocol']['meta_info']
_meta_table['Native.L3Vpn.Encapsulation.Ip.Transport']['meta_info'].parent =_meta_table['Native.L3Vpn.Encapsulation.Ip']['meta_info']
_meta_table['Native.L3Vpn.Encapsulation.Ip.Protocol']['meta_info'].parent =_meta_table['Native.L3Vpn.Encapsulation.Ip']['meta_info']
_meta_table['Native.L3Vpn.Encapsulation.Ip.Mpls']['meta_info'].parent =_meta_table['Native.L3Vpn.Encapsulation.Ip']['meta_info']
_meta_table['Native.L3Vpn.Encapsulation.Ip']['meta_info'].parent =_meta_table['Native.L3Vpn.Encapsulation']['meta_info']
_meta_table['Native.L3Vpn.Encapsulation']['meta_info'].parent =_meta_table['Native.L3Vpn']['meta_info']
_meta_table['Native.Mpls.Ip.ConfArg.PropagateTtl']['meta_info'].parent =_meta_table['Native.Mpls.Ip.ConfArg']['meta_info']
_meta_table['Native.Mpls.Ip.Conf']['meta_info'].parent =_meta_table['Native.Mpls.Ip']['meta_info']
_meta_table['Native.Mpls.Ip.ConfArg']['meta_info'].parent =_meta_table['Native.Mpls.Ip']['meta_info']
_meta_table['Native.Mpls.Ip.TtlExpiration']['meta_info'].parent =_meta_table['Native.Mpls.Ip']['meta_info']
_meta_table['Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs']['meta_info'].parent =_meta_table['Native.Mpls.Label.Mode.AllVrfs.Protocol']['meta_info']
_meta_table['Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4']['meta_info'].parent =_meta_table['Native.Mpls.Label.Mode.AllVrfs.Protocol']['meta_info']
_meta_table['Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6']['meta_info'].parent =_meta_table['Native.Mpls.Label.Mode.AllVrfs.Protocol']['meta_info']
_meta_table['Native.Mpls.Label.Mode.AllVrfs.Protocol']['meta_info'].parent =_meta_table['Native.Mpls.Label.Mode.AllVrfs']['meta_info']
_meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.AllAfs']['meta_info'].parent =_meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol']['meta_info']
_meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv4']['meta_info'].parent =_meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol']['meta_info']
_meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv6']['meta_info'].parent =_meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol']['meta_info']
_meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol']['meta_info'].parent =_meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_']['meta_info']
_meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_']['meta_info'].parent =_meta_table['Native.Mpls.Label.Mode.Vrf']['meta_info']
_meta_table['Native.Mpls.Label.Mode.AllVrfs']['meta_info'].parent =_meta_table['Native.Mpls.Label.Mode']['meta_info']
_meta_table['Native.Mpls.Label.Mode.Vrf']['meta_info'].parent =_meta_table['Native.Mpls.Label.Mode']['meta_info']
_meta_table['Native.Mpls.Label.Range.Static']['meta_info'].parent =_meta_table['Native.Mpls.Label.Range']['meta_info']
_meta_table['Native.Mpls.Label.Atm']['meta_info'].parent =_meta_table['Native.Mpls.Label']['meta_info']
_meta_table['Native.Mpls.Label.Mode']['meta_info'].parent =_meta_table['Native.Mpls.Label']['meta_info']
_meta_table['Native.Mpls.Label.Range']['meta_info'].parent =_meta_table['Native.Mpls.Label']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.For_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Interface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Discovery.TargetedHello.Accept']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Discovery.TargetedHello']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Discovery.Hello']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Discovery']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Discovery.TargetedHello']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Discovery']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.GracefulRestart.Timers']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.GracefulRestart']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Igp.Sync']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Igp']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate.Global_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Label']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Logging.Password.Configuration']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Logging.Password']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Logging.Password.Rollover']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Logging.Password']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Logging.Password']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Logging']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Labels']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Password']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Targeted']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Neighbor']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Neighbor']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Password.Fallback.KeyChain']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Password.Fallback']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line.KeyChain']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Password.Option.SeqNum']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Password.Option.SeqNum']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Password.Option']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Password.Fallback']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Password']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Password.Option']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Password']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Password.Required']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Password']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Password.Rollover']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Password']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.RouterId']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback.KeyChain']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line.KeyChain']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Required']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Rollover']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2.Vrf']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Atm']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Backoff']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Discovery']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.ExplicitNull']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.GracefulRestart']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Igp']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Label']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Logging']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Neighbor']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Password']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RequestLabels']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.RouterId']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Tcp']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2.Vrf']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Enable2']['meta_info']
_meta_table['Native.Mpls.Ldp.Session.Protection.For_.AclName.Duration']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Session.Protection.For_.AclName']['meta_info']
_meta_table['Native.Mpls.Ldp.Session.Protection.For_.AclName']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Session.Protection.For_']['meta_info']
_meta_table['Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName.Duration']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName']['meta_info']
_meta_table['Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_']['meta_info']
_meta_table['Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_']['meta_info']
_meta_table['Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Session.Protection.Vrf']['meta_info']
_meta_table['Native.Mpls.Ldp.Session.Protection.Duration']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Session.Protection']['meta_info']
_meta_table['Native.Mpls.Ldp.Session.Protection.For_']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Session.Protection']['meta_info']
_meta_table['Native.Mpls.Ldp.Session.Protection.Vrf']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Session.Protection']['meta_info']
_meta_table['Native.Mpls.Ldp.Session.Protection']['meta_info'].parent =_meta_table['Native.Mpls.Ldp.Session']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable']['meta_info'].parent =_meta_table['Native.Mpls.Ldp']['meta_info']
_meta_table['Native.Mpls.Ldp.Enable2']['meta_info'].parent =_meta_table['Native.Mpls.Ldp']['meta_info']
_meta_table['Native.Mpls.Ldp.Session']['meta_info'].parent =_meta_table['Native.Mpls.Ldp']['meta_info']
_meta_table['Native.Mpls.Static.Binding.Ipv4.Global_.Input']['meta_info'].parent =_meta_table['Native.Mpls.Static.Binding.Ipv4.Global_']['meta_info']
_meta_table['Native.Mpls.Static.Binding.Ipv4.Global_.Output']['meta_info'].parent =_meta_table['Native.Mpls.Static.Binding.Ipv4.Global_']['meta_info']
_meta_table['Native.Mpls.Static.Binding.Ipv4.Vrf.Input']['meta_info'].parent =_meta_table['Native.Mpls.Static.Binding.Ipv4.Vrf']['meta_info']
_meta_table['Native.Mpls.Static.Binding.Ipv4.Vrf.Output']['meta_info'].parent =_meta_table['Native.Mpls.Static.Binding.Ipv4.Vrf']['meta_info']
_meta_table['Native.Mpls.Static.Binding.Ipv4.Global_']['meta_info'].parent =_meta_table['Native.Mpls.Static.Binding.Ipv4']['meta_info']
_meta_table['Native.Mpls.Static.Binding.Ipv4.Vrf']['meta_info'].parent =_meta_table['Native.Mpls.Static.Binding.Ipv4']['meta_info']
_meta_table['Native.Mpls.Static.Binding.Ipv4']['meta_info'].parent =_meta_table['Native.Mpls.Static.Binding']['meta_info']
_meta_table['Native.Mpls.Static.Binding']['meta_info'].parent =_meta_table['Native.Mpls.Static']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoBw.Timers']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoBw']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity.AffVal']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Config']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Config']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg.Exclude']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min.TnrRange']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Config']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min.MeshRange']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Mesh']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls_']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Config']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Config']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min.TnrRange']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Config']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Mesh']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.AutoTunnel']['meta_info']
_meta_table['Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass.TeIdx']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass']['meta_info']
_meta_table['Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass']['meta_info']
_meta_table['Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.DsTe.TeClasses']['meta_info']
_meta_table['Native.Mpls.TrafficEng.DsTe.BcModel']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.DsTe']['meta_info']
_meta_table['Native.Mpls.TrafficEng.DsTe.Mode']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.DsTe']['meta_info']
_meta_table['Native.Mpls.TrafficEng.DsTe.TeClasses']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.DsTe']['meta_info']
_meta_table['Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.FastReroute']['meta_info']
_meta_table['Native.Mpls.TrafficEng.FastReroute.Timers']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.FastReroute']['meta_info']
_meta_table['Native.Mpls.TrafficEng.LinkManagement.Timers']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.LinkManagement']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Logging.Lsp.PathErrors']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Logging.Lsp']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Logging.Lsp.Preemption']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Logging.Lsp']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Logging.Lsp.ReservationErrors']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Logging.Lsp']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Logging.Lsp.Setups']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Logging.Lsp']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Logging.Lsp.Teardowns']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Logging.Lsp']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Logging.Tunnel.Path.Change']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Logging.Tunnel.Path']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Logging.Tunnel.LspSelection']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Logging.Tunnel']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Logging.Tunnel.Path']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Logging.Tunnel']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Logging.Lsp']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Logging']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Logging.Tunnel']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Logging']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity.FlVal']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority.LssPri']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection.FastReroute']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.AutoBw']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Bandwidth']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Lsp.Attributes']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Lsp']['meta_info']
_meta_table['Native.Mpls.TrafficEng.PathOption.List.Identifier']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.PathOption.List']['meta_info']
_meta_table['Native.Mpls.TrafficEng.PathOption.List.Name']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.PathOption.List']['meta_info']
_meta_table['Native.Mpls.TrafficEng.PathOption.List']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.PathOption']['meta_info']
_meta_table['Native.Mpls.TrafficEng.PathSelection.Overload.Allow']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.PathSelection.Overload']['meta_info']
_meta_table['Native.Mpls.TrafficEng.PathSelection.Invalidation']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.PathSelection']['meta_info']
_meta_table['Native.Mpls.TrafficEng.PathSelection.Overload']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.PathSelection']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Pcc.Peer.Ipv4']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Pcc.Peer.Ipv4']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Pcc.Peer']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Pcc.Peer']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Pcc']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Reoptimize.Timers.Delay']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Reoptimize.Timers']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Reoptimize.Events']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Reoptimize']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Reoptimize.Timers']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Reoptimize']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Signalling.Advertise.ImplicitNull']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Signalling.Advertise']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Signalling.Restart.Neighbors']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Signalling.Restart']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Signalling.Advertise']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Signalling']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Signalling.Forwarding']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Signalling']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Signalling.Restart']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Signalling']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Topology.Holddown']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Topology']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Trace.BufferSize']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng.Trace']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoBw']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.AutoTunnel']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.DsTe']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.FastReroute']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.LinkManagement']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Logging']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Lsp']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.PathOption']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.PathSelection']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Pcc']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Reoptimize']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Signalling']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Topology']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.TrafficEng.Trace']['meta_info'].parent =_meta_table['Native.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Mpls.Atm']['meta_info'].parent =_meta_table['Native.Mpls']['meta_info']
_meta_table['Native.Mpls.Ip']['meta_info'].parent =_meta_table['Native.Mpls']['meta_info']
_meta_table['Native.Mpls.Label']['meta_info'].parent =_meta_table['Native.Mpls']['meta_info']
_meta_table['Native.Mpls.Ldp']['meta_info'].parent =_meta_table['Native.Mpls']['meta_info']
_meta_table['Native.Mpls.PrefixMap']['meta_info'].parent =_meta_table['Native.Mpls']['meta_info']
_meta_table['Native.Mpls.Static']['meta_info'].parent =_meta_table['Native.Mpls']['meta_info']
_meta_table['Native.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Mpls']['meta_info']
_meta_table['Native.Mpls.Tp']['meta_info'].parent =_meta_table['Native.Mpls']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Bestpath.Med.Confed']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.Bestpath.Med']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Bestpath.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Bestpath.IgpMetric']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Bestpath.Med']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Confederation.Peers']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.Confederation']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.ConsistencyChecker.AutoRepair']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Dampening.Dampen']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.Dampening']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.UpdateGroup.Split']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.UpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Nexthop.Trigger']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_.Nexthop']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Asnotation']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.NopeerupDelay']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Recursion']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Bestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.ClientToClient']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Confederation']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.ConsistencyChecker']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Dampening']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.InjectMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.UpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Nexthop']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Regexp']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.Distance.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.Distance']['meta_info']
_meta_table['Native.Router.Bgp.Distance.AdmDistance']['meta_info'].parent =_meta_table['Native.Router.Bgp.Distance']['meta_info']
_meta_table['Native.Router.Bgp.DistributeList.In_']['meta_info'].parent =_meta_table['Native.Router.Bgp.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.DistributeList.Out']['meta_info'].parent =_meta_table['Native.Router.Bgp.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths.Eibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths.Eibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths.Ibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise.DiversePath.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Advertise.DiversePath']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise.DiversePath']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.AdvertiseMap.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.AdvertiseMap']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Aigp.Send']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Aigp.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Aigp']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Announce.Rpki']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Announce']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Capability.Orf']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Capability']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.FallOver.Bfd']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.FallOver']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.PathAttribute.Discard']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.TranslateUpdate']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Transport.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.Transport']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.UpdateSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.UpdateSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.HaMode.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.PeerGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.LocalAs']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Advertise']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.AdvertiseMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Aigp']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Announce']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.AllowasIn']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.AsOverride']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Capability']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.DefaultOriginate']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.EbgpMultihop']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.FallOver']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.FilterList']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Inherit']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.LogNeighborChanges']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Password']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.PathAttribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.SendCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.SendLabel']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Timers']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.TranslateUpdate']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.UpdateSource']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Application.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Isis.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.IsoIgrp.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Ospf.Vrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute.Ospf.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute.Ospf.NonVrf']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Ospf.NonVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Dvmrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Bgp.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.Snmp.Context.Context_Word']['meta_info'].parent =_meta_table['Native.Router.Bgp.Snmp.Context']['meta_info']
_meta_table['Native.Router.Bgp.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Bgp.Snmp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med.Confed']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.IgpMetric']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation.Peers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.AutoRepair']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening.Dampen']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup.Split']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop.Trigger']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Asnotation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.NopeerupDelay']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Recursion']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ClientToClient']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.InjectMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Regexp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.AdmDistance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.In_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.Out']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver.Bfd']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_.Multicast']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PeerGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LocalAs']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AllowasIn']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AsOverride']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DefaultOriginate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.EbgpMultihop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LogNeighborChanges']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Dvmrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context.Context_Word']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Network']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.TableMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med.Confed']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.IgpMetric']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation.Peers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.AutoRepair']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening.Dampen']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup.Split']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop.Trigger']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Asnotation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.NopeerupDelay']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Recursion']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ClientToClient']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.InjectMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Regexp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.AdmDistance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.In_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.Out']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver.Bfd']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PeerGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LocalAs']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AllowasIn']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AsOverride']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DefaultOriginate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.EbgpMultihop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LogNeighborChanges']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Dvmrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context.Context_Word']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Network']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.TableMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.WithVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med.Confed']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.IgpMetric']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation.Peers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.AutoRepair']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening.Dampen']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup.Split']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop.Trigger']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Asnotation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.NopeerupDelay']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Recursion']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ClientToClient']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.InjectMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Regexp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.In_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.Out']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_.Multicast']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context.Context_Word']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Network']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.TableMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med.Confed']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.IgpMetric']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation.Peers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.AutoRepair']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening.Dampen']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup.Split']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop.Trigger']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Asnotation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.NopeerupDelay']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Recursion']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ClientToClient']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.InjectMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Regexp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.In_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.Out']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context.Context_Word']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Network']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.TableMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med.Confed']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.IgpMetric']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation.Peers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.AutoRepair']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening.Dampen']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup.Split']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop.Trigger']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Asnotation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.NopeerupDelay']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Recursion']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ClientToClient']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.InjectMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Regexp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.In_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.Out']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context.Context_Word']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Network']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.TableMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med.Confed']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.IgpMetric']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation.Peers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.AutoRepair']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening.Dampen']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup.Split']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop.Trigger']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Asnotation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.NopeerupDelay']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Recursion']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ClientToClient']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.InjectMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Regexp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.In_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.Out']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context.Context_Word']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Network']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.TableMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med.Confed']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.IgpMetric']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation.Peers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.AutoRepair']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening.Dampen']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup.Split']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop.Trigger']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Asnotation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.NopeerupDelay']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Recursion']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ClientToClient']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.InjectMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Regexp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.AdmDistance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.In_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.Out']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context.Context_Word']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Network']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.TableMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med.Confed']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.IgpMetric']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation.Peers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.AutoRepair']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening.Dampen']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup.Split']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop.Trigger']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Asnotation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.NopeerupDelay']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Recursion']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ClientToClient']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.InjectMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Regexp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.In_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.Out']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context.Context_Word']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Network']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.TableMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med.Confed']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.IgpMetric']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation.Peers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.AutoRepair']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening.Dampen']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup.Split']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop.Trigger']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Asnotation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.NopeerupDelay']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Recursion']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ClientToClient']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.InjectMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Regexp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.In_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.Out']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context.Context_Word']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Network']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.TableMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily.NoVrf']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.WithVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily.NoVrf']['meta_info'].parent =_meta_table['Native.Router.Bgp.AddressFamily']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_.Template_']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerPolicy.Inherit']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerPolicy.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerPolicy']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerPolicy.FilterList']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerPolicy']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerPolicy.Inherit']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerPolicy']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerSession.Password.PasswordRange']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerSession.Password']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerSession.Password']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerSession']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template.PeerSession']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerPolicy']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template']['meta_info']
_meta_table['Native.Router.Bgp.Template.PeerSession']['meta_info'].parent =_meta_table['Native.Router.Bgp.Template']['meta_info']
_meta_table['Native.Router.Bgp.Timers.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp.Timers']['meta_info']
_meta_table['Native.Router.Bgp.Bgp_']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.Distance']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.MaximumPaths']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.Network']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.TableMap']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.Snmp']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.AddressFamily']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.Template']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Bgp.Timers']['meta_info'].parent =_meta_table['Native.Router.Bgp']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.In_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.Out']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr.DmRdr0']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_.DiRt']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.In_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.Out']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway.GwList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix.PlName']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap.RmapName']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_.Stub']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.NsrList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.OlAcl']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Timers']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Timers']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Timers']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_.DistanceList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_.AsList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Metric']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Network']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Timers']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.In_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.Out']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr.DmRdr0']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_.DiRt']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.In_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.Out']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway.GwList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix.PlName']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap.RmapName']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_.Stub']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.NsrList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.OlAcl']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_.DistanceList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_.AsList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Network']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AddressFamily']['meta_info']
_meta_table['Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AfInterface.Authentication.Mode']['meta_info']
_meta_table['Native.Router.Eigrp.AfInterface.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AfInterface.Authentication']['meta_info']
_meta_table['Native.Router.Eigrp.AfInterface.Authentication']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AfInterface']['meta_info']
_meta_table['Native.Router.Eigrp.AfInterface.SummaryAddress']['meta_info'].parent =_meta_table['Native.Router.Eigrp.AfInterface']['meta_info']
_meta_table['Native.Router.Eigrp.Bfd.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.Bfd.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.Bfd.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Bfd.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.Bfd.Interface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Bfd']['meta_info']
_meta_table['Native.Router.Eigrp.DefaultInformation.In_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DefaultInformation']['meta_info']
_meta_table['Native.Router.Eigrp.DefaultInformation.Out']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DefaultInformation']['meta_info']
_meta_table['Native.Router.Eigrp.DefaultMetric.DmRdr.DmRdr0']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DefaultMetric.DmRdr']['meta_info']
_meta_table['Native.Router.Eigrp.DefaultMetric.DmRdr']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DefaultMetric']['meta_info']
_meta_table['Native.Router.Eigrp.Distance.RadDis.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Distance.RadDis']['meta_info']
_meta_table['Native.Router.Eigrp.Distance.Eigrp_.DiRt']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Distance.Eigrp_']['meta_info']
_meta_table['Native.Router.Eigrp.Distance.RadDis']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Distance']['meta_info']
_meta_table['Native.Router.Eigrp.Distance.Eigrp_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Distance']['meta_info']
_meta_table['Native.Router.Eigrp.DistributeList.EigFilt.In_']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DistributeList.EigFilt']['meta_info']
_meta_table['Native.Router.Eigrp.DistributeList.EigFilt.Out']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DistributeList.EigFilt']['meta_info']
_meta_table['Native.Router.Eigrp.DistributeList.Gateway.GwList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DistributeList.Gateway']['meta_info']
_meta_table['Native.Router.Eigrp.DistributeList.Prefix.PlName']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DistributeList.Prefix']['meta_info']
_meta_table['Native.Router.Eigrp.DistributeList.RouteMap.RmapName']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DistributeList.RouteMap']['meta_info']
_meta_table['Native.Router.Eigrp.DistributeList.EigFilt']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.DistributeList.Gateway']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.DistributeList.Prefix']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.DistributeList.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Eigrp.DistributeList']['meta_info']
_meta_table['Native.Router.Eigrp.Eigrp_.Stub']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Eigrp_']['meta_info']
_meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface']['meta_info']
_meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Neighbor.Ipv4']['meta_info']
_meta_table['Native.Router.Eigrp.Neighbor.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Neighbor']['meta_info']
_meta_table['Native.Router.Eigrp.OffsetList.NsrList']['meta_info'].parent =_meta_table['Native.Router.Eigrp.OffsetList']['meta_info']
_meta_table['Native.Router.Eigrp.OffsetList.OlAcl']['meta_info'].parent =_meta_table['Native.Router.Eigrp.OffsetList']['meta_info']
_meta_table['Native.Router.Eigrp.Redistribute.Bgp.Metric']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Eigrp.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.Redistribute.Vrf']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Redistribute']['meta_info']
_meta_table['Native.Router.Eigrp.SummaryMetric.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Eigrp.SummaryMetric']['meta_info']
_meta_table['Native.Router.Eigrp.Timers.ActiveTime']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Timers']['meta_info']
_meta_table['Native.Router.Eigrp.Timers.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Timers']['meta_info']
_meta_table['Native.Router.Eigrp.Timers.Nsf']['meta_info'].parent =_meta_table['Native.Router.Eigrp.Timers']['meta_info']
_meta_table['Native.Router.Eigrp.TrafficShare.Min']['meta_info'].parent =_meta_table['Native.Router.Eigrp.TrafficShare']['meta_info']
_meta_table['Native.Router.Eigrp.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.AddressFamily']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.AfInterface']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.Bfd']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.DefaultMetric']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.Distance']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.Eigrp_']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.Metric']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.Network']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.OffsetList']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.SummaryMetric']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.Timers']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Eigrp.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Eigrp']['meta_info']
_meta_table['Native.Router.Isis.MetricStyle.Narrow']['meta_info'].parent =_meta_table['Native.Router.Isis.MetricStyle']['meta_info']
_meta_table['Native.Router.Isis.MetricStyle.Transition']['meta_info'].parent =_meta_table['Native.Router.Isis.MetricStyle']['meta_info']
_meta_table['Native.Router.Isis.MetricStyle.Wide']['meta_info'].parent =_meta_table['Native.Router.Isis.MetricStyle']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Metric']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SpfInterval']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SpfInterval']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Ipv6_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Advertise']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Metric']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.PrcInterval']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SpfInterval']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Bfd']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Ipv6_']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.MultiTopology']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6.TableMap']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Isis.AddressFamily']['meta_info']
_meta_table['Native.Router.Isis.Distance.IpList.WildcardBits']['meta_info'].parent =_meta_table['Native.Router.Isis.Distance.IpList']['meta_info']
_meta_table['Native.Router.Isis.Distance.IpList']['meta_info'].parent =_meta_table['Native.Router.Isis.Distance']['meta_info']
_meta_table['Native.Router.Isis.Ip.Route.Priority.High']['meta_info'].parent =_meta_table['Native.Router.Isis.Ip.Route.Priority']['meta_info']
_meta_table['Native.Router.Isis.Ip.Route.Priority']['meta_info'].parent =_meta_table['Native.Router.Isis.Ip.Route']['meta_info']
_meta_table['Native.Router.Isis.Ip.Route']['meta_info'].parent =_meta_table['Native.Router.Isis.Ip']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Bgp.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Bgp.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Isis_.IsisRedistribute.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Isis_.IsisRedistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Isis_.IsisRedistribute']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match.External']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Ospfv3']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Application']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Static']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Static']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Application']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Static']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Application']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Static']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Static']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Application']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Connected']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Lisp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Mobile']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Rip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Static']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Isis_']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Redistribute.Vrf']['meta_info'].parent =_meta_table['Native.Router.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.Isis.Snmp.Context.Community.Access']['meta_info'].parent =_meta_table['Native.Router.Isis.Snmp.Context.Community']['meta_info']
_meta_table['Native.Router.Isis.Snmp.Context.User.Permisssion.Access']['meta_info'].parent =_meta_table['Native.Router.Isis.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Isis.Snmp.Context.User.Permisssion.Auth']['meta_info'].parent =_meta_table['Native.Router.Isis.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Isis.Snmp.Context.User.Permisssion']['meta_info'].parent =_meta_table['Native.Router.Isis.Snmp.Context.User']['meta_info']
_meta_table['Native.Router.Isis.Snmp.Context.Community']['meta_info'].parent =_meta_table['Native.Router.Isis.Snmp.Context']['meta_info']
_meta_table['Native.Router.Isis.Snmp.Context.User']['meta_info'].parent =_meta_table['Native.Router.Isis.Snmp.Context']['meta_info']
_meta_table['Native.Router.Isis.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Isis.Snmp']['meta_info']
_meta_table['Native.Router.Isis.SummaryAddress.Level1']['meta_info'].parent =_meta_table['Native.Router.Isis.SummaryAddress']['meta_info']
_meta_table['Native.Router.Isis.SummaryAddress.Level12']['meta_info'].parent =_meta_table['Native.Router.Isis.SummaryAddress']['meta_info']
_meta_table['Native.Router.Isis.SummaryAddress.Level2']['meta_info'].parent =_meta_table['Native.Router.Isis.SummaryAddress']['meta_info']
_meta_table['Native.Router.Isis.SummaryAddress.MetricTagContainer']['meta_info'].parent =_meta_table['Native.Router.Isis.SummaryAddress']['meta_info']
_meta_table['Native.Router.Isis.TrafficShare.Min']['meta_info'].parent =_meta_table['Native.Router.Isis.TrafficShare']['meta_info']
_meta_table['Native.Router.Isis.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.Isis.DefaultInformation']['meta_info']
_meta_table['Native.Router.Isis.Metric.Metrics']['meta_info'].parent =_meta_table['Native.Router.Isis.Metric']['meta_info']
_meta_table['Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info'].parent =_meta_table['Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']
_meta_table['Native.Router.Isis.SetOverloadBit.OnStartup.Time']['meta_info'].parent =_meta_table['Native.Router.Isis.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp']['meta_info'].parent =_meta_table['Native.Router.Isis.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.Isis.SetOverloadBit.OnStartup']['meta_info'].parent =_meta_table['Native.Router.Isis.SetOverloadBit']['meta_info']
_meta_table['Native.Router.Isis.SetOverloadBit.Suppress']['meta_info'].parent =_meta_table['Native.Router.Isis.SetOverloadBit']['meta_info']
_meta_table['Native.Router.Isis.SpfInterval.Level12']['meta_info'].parent =_meta_table['Native.Router.Isis.SpfInterval']['meta_info']
_meta_table['Native.Router.Isis.SpfInterval.Intervals']['meta_info'].parent =_meta_table['Native.Router.Isis.SpfInterval']['meta_info']
_meta_table['Native.Router.Isis.Authentication.Mode.Md5']['meta_info'].parent =_meta_table['Native.Router.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Router.Isis.Authentication.Mode.Text']['meta_info'].parent =_meta_table['Native.Router.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Router.Isis.Authentication.KeyChain.KeyChainList']['meta_info'].parent =_meta_table['Native.Router.Isis.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Isis.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Router.Isis.Authentication']['meta_info']
_meta_table['Native.Router.Isis.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Router.Isis.Authentication']['meta_info']
_meta_table['Native.Router.Isis.Authentication.SendOnly']['meta_info'].parent =_meta_table['Native.Router.Isis.Authentication']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.LoadSharing.Level1']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.LoadSharing']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.LoadSharing.Level2']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.LoadSharing']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.PerPrefix.Level1']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.PerPrefix.Level2']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level1']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level2']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level1']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.RemoteLfa']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level2']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.RemoteLfa']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.TieBreak.Level1']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.TieBreak']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.TieBreak.Level2']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute.TieBreak']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.LoadSharing']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.PerPrefix']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.RemoteLfa']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute']['meta_info']
_meta_table['Native.Router.Isis.FastReroute.TieBreak']['meta_info'].parent =_meta_table['Native.Router.Isis.FastReroute']['meta_info']
_meta_table['Native.Router.Isis.TiLfa.Level1.MaximumMetric']['meta_info'].parent =_meta_table['Native.Router.Isis.TiLfa.Level1']['meta_info']
_meta_table['Native.Router.Isis.TiLfa.Level2.MaximumMetric']['meta_info'].parent =_meta_table['Native.Router.Isis.TiLfa.Level2']['meta_info']
_meta_table['Native.Router.Isis.TiLfa.Level1']['meta_info'].parent =_meta_table['Native.Router.Isis.TiLfa']['meta_info']
_meta_table['Native.Router.Isis.TiLfa.Level2']['meta_info'].parent =_meta_table['Native.Router.Isis.TiLfa']['meta_info']
_meta_table['Native.Router.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Router.Isis.Hello']['meta_info']
_meta_table['Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer']['meta_info'].parent =_meta_table['Native.Router.Isis.LspFull.Suppress']['meta_info']
_meta_table['Native.Router.Isis.LspFull.Suppress']['meta_info'].parent =_meta_table['Native.Router.Isis.LspFull']['meta_info']
_meta_table['Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1']['meta_info'].parent =_meta_table['Native.Router.Isis.LspGenInterval.IntervalsLevels']['meta_info']
_meta_table['Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2']['meta_info'].parent =_meta_table['Native.Router.Isis.LspGenInterval.IntervalsLevels']['meta_info']
_meta_table['Native.Router.Isis.LspGenInterval.Intervals']['meta_info'].parent =_meta_table['Native.Router.Isis.LspGenInterval']['meta_info']
_meta_table['Native.Router.Isis.LspGenInterval.IntervalsLevels']['meta_info'].parent =_meta_table['Native.Router.Isis.LspGenInterval']['meta_info']
_meta_table['Native.Router.Isis.Microloop.Avoidance']['meta_info'].parent =_meta_table['Native.Router.Isis.Microloop']['meta_info']
_meta_table['Native.Router.Isis.Mpls.Ldp.Autoconfig']['meta_info'].parent =_meta_table['Native.Router.Isis.Mpls.Ldp']['meta_info']
_meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId']['meta_info']
_meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId']['meta_info']
_meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId']['meta_info']
_meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId']['meta_info']
_meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId']['meta_info'].parent =_meta_table['Native.Router.Isis.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Router.Isis.Mpls.TrafficEng.Scanner']['meta_info'].parent =_meta_table['Native.Router.Isis.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Router.Isis.Mpls.Ldp']['meta_info'].parent =_meta_table['Native.Router.Isis.Mpls']['meta_info']
_meta_table['Native.Router.Isis.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Router.Isis.Mpls']['meta_info']
_meta_table['Native.Router.Isis.Nsf.Interface']['meta_info'].parent =_meta_table['Native.Router.Isis.Nsf']['meta_info']
_meta_table['Native.Router.Isis.Disable.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Isis.Disable']['meta_info']
_meta_table['Native.Router.Isis.SegmentRouting.PrefixSidMap.Receive']['meta_info'].parent =_meta_table['Native.Router.Isis.SegmentRouting.PrefixSidMap']['meta_info']
_meta_table['Native.Router.Isis.SegmentRouting.PrefixSidMap']['meta_info'].parent =_meta_table['Native.Router.Isis.SegmentRouting']['meta_info']
_meta_table['Native.Router.Isis.MetricStyle']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.AddressFamily']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Distance']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Ip']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.SetAttachedBit']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Snmp']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.SummaryAddress']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Advertise']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Metric']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.PrcInterval']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.SetOverloadBit']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.SpfInterval']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.AreaPassword']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.DomainPassword']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.FastFlood']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.FastReroute']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.TiLfa']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Hello']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Hostname']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Ispf']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.LogAdjacencyChanges']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.LspFull']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.LspGenInterval']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Microloop']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Mpls']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Net']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Nsf']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Partition']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Disable']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Protocol']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.SegmentRouting']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Skeptical']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Use']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.Isis.Bfd']['meta_info'].parent =_meta_table['Native.Router.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.MetricStyle.Narrow']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.MetricStyle']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.MetricStyle.Transition']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.MetricStyle']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.MetricStyle.Wide']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.MetricStyle']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.MultiTopology']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.AddressFamily']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Distance.IpList.WildcardBits']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Distance.IpList']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Distance.IpList']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Distance']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Ip.Route.Priority.High']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Ip.Route.Priority']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Ip.Route.Priority']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Ip.Route']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Ip.Route']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Ip']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.Community']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.User']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.Community']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.User']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Snmp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SummaryAddress.Level1']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SummaryAddress']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SummaryAddress.Level12']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SummaryAddress']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SummaryAddress.Level2']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SummaryAddress']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SummaryAddress']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.TrafficShare.Min']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.TrafficShare']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.DefaultInformation']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Metric.Metrics']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Metric']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SpfInterval.Level12']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SpfInterval']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SpfInterval.Intervals']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SpfInterval']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Authentication.Mode.Md5']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Authentication.Mode.Text']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Authentication.Mode']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Authentication.KeyChain.KeyChainList']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Authentication.Mode']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Authentication']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Authentication']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Authentication.SendOnly']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Authentication']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level1']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.LoadSharing']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level2']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.LoadSharing']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.TieBreak']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute.TieBreak']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.LoadSharing']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.PerPrefix']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute.TieBreak']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.FastReroute']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.TiLfa.Level1']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.TiLfa.Level2']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.TiLfa.Level1']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.TiLfa']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.TiLfa.Level2']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.TiLfa']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Hello']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.LspFull.Suppress']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.LspFull.Suppress']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.LspFull']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.LspGenInterval.Intervals']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.LspGenInterval']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.LspGenInterval']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Microloop.Avoidance']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Microloop']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Mpls.Ldp.Autoconfig']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Mpls.Ldp']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LispSubinterface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.Scanner']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Mpls.Ldp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Mpls']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Mpls']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Nsf.Interface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Nsf']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Disable.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.Disable']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap.Receive']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis.SegmentRouting']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.MetricStyle']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AddressFamily']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Distance']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Ip']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SetAttachedBit']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Snmp']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SummaryAddress']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Advertise']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Metric']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.PrcInterval']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SpfInterval']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.AreaPassword']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.DistributeList']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.DomainPassword']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastFlood']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.FastReroute']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.TiLfa']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Hello']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Hostname']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Ispf']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.LogAdjacencyChanges']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.LspFull']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.LspGenInterval']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Microloop']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Mpls']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Net']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Nsf']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Partition']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Disable']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Protocol']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.SegmentRouting']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Skeptical']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Use']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis.Bfd']['meta_info'].parent =_meta_table['Native.Router.IsisContainer.Isis']['meta_info']
_meta_table['Native.Router.IsisContainer.Isis']['meta_info'].parent =_meta_table['Native.Router.IsisContainer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Service']['meta_info']
_meta_table['Native.Router.Lisp.Default.LocatorSet.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.LocatorSet']['meta_info']
_meta_table['Native.Router.Lisp.Default.LocatorSet.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.LocatorSet']['meta_info']
_meta_table['Native.Router.Lisp.Default.LocatorSet.IpAddress']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.LocatorSet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.InstanceContainer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Alt']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ddt.Authoritative']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ddt']['meta_info']
_meta_table['Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.Default.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.Lisp.Default.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Decapsulation']['meta_info']
_meta_table['Native.Router.Lisp.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.Locator']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.Locator']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.Locator']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.Locator']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.Lisp.Default.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.Default.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Alt']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.EidTable']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_.AllowedLocator.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.Default_.AllowedLocator']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_.EidPrefix.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.Default_.EidPrefix']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.Default_.EidPrefix']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_.EidRecord.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.Default_.EidRecord']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.Default_.EidRecord']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_.AllowedLocator']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_.EidPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_.EidRecord']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.Default_']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.AllowedLocator.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.AllowedLocator']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.EidPrefix.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.EidPrefix.InstanceId']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.EidPrefix.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.EidPrefix']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.EidPrefix.InstanceId']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.EidPrefix']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.EidRecord.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.EidRecord.InstanceId']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.EidRecord.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.EidRecord']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.EidRecord.InstanceId']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site.EidRecord']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.AllowedLocator']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.EidPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site.EidRecord']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Site']['meta_info']
_meta_table['Native.Router.Lisp.Default.Syslog.Session']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default.Syslog']['meta_info']
_meta_table['Native.Router.Lisp.Default.Service']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.LocatorSet']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.LocatorScope']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.InstanceContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.ControlPacket']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ddt']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.LocatorDown']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.LocatorTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.Security']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.Site']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Default.Syslog']['meta_info'].parent =_meta_table['Native.Router.Lisp.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service']['meta_info']
_meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.Lisp.Service']['meta_info']
_meta_table['Native.Router.Lisp.LocatorSet.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.LocatorSet']['meta_info']
_meta_table['Native.Router.Lisp.LocatorSet.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.LocatorSet']['meta_info']
_meta_table['Native.Router.Lisp.LocatorSet.IpAddress']['meta_info'].parent =_meta_table['Native.Router.Lisp.LocatorSet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer.InstanceList']['meta_info'].parent =_meta_table['Native.Router.Lisp.InstanceContainer']['meta_info']
_meta_table['Native.Router.Lisp.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.Alt']['meta_info']
_meta_table['Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']
_meta_table['Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ddt.Authoritative.InstanceIdList']['meta_info']
_meta_table['Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.Lisp.Ddt.Authoritative.InstanceIdList']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.Lisp.Ddt.Authoritative']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ddt']['meta_info']
_meta_table['Native.Router.Lisp.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.Lisp.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.Lisp.Decapsulation']['meta_info']
_meta_table['Native.Router.Lisp.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.Locator']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.Locator']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.Locator']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.Locator']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.Lisp.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.Lisp.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.Lisp.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.Lisp.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Alt']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Decapsulation']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Etr']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapCache']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.ControlPacket']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.LocatorDown']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.LocatorTable']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList.MapCache']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info'].parent =_meta_table['Native.Router.Lisp.EidTable']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default.AllowedLocator.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.Default.AllowedLocator']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default.EidPrefix.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.Default.EidPrefix.InstanceId']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default.EidPrefix.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.Default.EidPrefix']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default.EidPrefix.InstanceId']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.Default.EidPrefix']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default.EidRecord.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.Default.EidRecord.InstanceId']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default.EidRecord.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.Default.EidRecord']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default.EidRecord.InstanceId']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.Default.EidRecord']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.Default']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default.AllowedLocator']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.Default']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default.EidPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.Default']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default.EidRecord']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.Default']['meta_info']
_meta_table['Native.Router.Lisp.Site.AllowedLocator.List']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.AllowedLocator']['meta_info']
_meta_table['Native.Router.Lisp.Site.EidPrefix.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.EidPrefix.InstanceId']['meta_info']
_meta_table['Native.Router.Lisp.Site.EidPrefix.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.EidPrefix']['meta_info']
_meta_table['Native.Router.Lisp.Site.EidPrefix.InstanceId']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.EidPrefix']['meta_info']
_meta_table['Native.Router.Lisp.Site.EidRecord.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.EidRecord.InstanceId']['meta_info']
_meta_table['Native.Router.Lisp.Site.EidRecord.Prefixes']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.EidRecord']['meta_info']
_meta_table['Native.Router.Lisp.Site.EidRecord.InstanceId']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site.EidRecord']['meta_info']
_meta_table['Native.Router.Lisp.Site.Default']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site']['meta_info']
_meta_table['Native.Router.Lisp.Site.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site']['meta_info']
_meta_table['Native.Router.Lisp.Site.AllowedLocator']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site']['meta_info']
_meta_table['Native.Router.Lisp.Site.EidPrefix']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site']['meta_info']
_meta_table['Native.Router.Lisp.Site.EidRecord']['meta_info'].parent =_meta_table['Native.Router.Lisp.Site']['meta_info']
_meta_table['Native.Router.Lisp.Syslog.Session']['meta_info'].parent =_meta_table['Native.Router.Lisp.Syslog']['meta_info']
_meta_table['Native.Router.Lisp.Default']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.Service']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.LocatorSet']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.LocatorScope']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.InstanceContainer']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.Alt']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.ControlPacket']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.Ddt']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.Etr']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.LocatorDown']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.LocatorTable']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.MapRequest']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.MapServer']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.EidTable']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.Security']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.Site']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.Lisp.Syslog']['meta_info'].parent =_meta_table['Native.Router.Lisp']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service']['meta_info']
_meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Service']['meta_info']
_meta_table['Native.Router.LispList.Default.LocatorSet.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.LocatorSet']['meta_info']
_meta_table['Native.Router.LispList.Default.LocatorSet.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.LocatorSet']['meta_info']
_meta_table['Native.Router.LispList.Default.LocatorSet.IpAddress']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.LocatorSet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.InstanceContainer']['meta_info']
_meta_table['Native.Router.LispList.Default.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Alt']['meta_info']
_meta_table['Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']
_meta_table['Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList']['meta_info']
_meta_table['Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.LispList.Default.Ddt.Authoritative']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ddt']['meta_info']
_meta_table['Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.LispList.Default.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.LispList.Default.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Decapsulation']['meta_info']
_meta_table['Native.Router.LispList.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.Locator']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.Locator']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.Locator']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.Locator']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.LispList.Default.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.LispList.Default.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Alt']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.EidTable']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_.AllowedLocator.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.Default_.AllowedLocator']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_.EidPrefix.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.Default_.EidPrefix']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.Default_.EidPrefix']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_.EidRecord.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.Default_.EidRecord']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.Default_.EidRecord']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_.AllowedLocator']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_.EidPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_.EidRecord']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.Default_']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.AllowedLocator.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.AllowedLocator']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.EidPrefix.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.EidPrefix.InstanceId']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.EidPrefix.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.EidPrefix']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.EidPrefix.InstanceId']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.EidPrefix']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.EidRecord.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.EidRecord.InstanceId']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.EidRecord.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.EidRecord']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.EidRecord.InstanceId']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site.EidRecord']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.AllowedLocator']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.EidPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site']['meta_info']
_meta_table['Native.Router.LispList.Default.Site.EidRecord']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Site']['meta_info']
_meta_table['Native.Router.LispList.Default.Syslog.Session']['meta_info'].parent =_meta_table['Native.Router.LispList.Default.Syslog']['meta_info']
_meta_table['Native.Router.LispList.Default.Service']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.LocatorSet']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.LocatorScope']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.InstanceContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.ControlPacket']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.Ddt']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv4']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.Ipv6']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.LocatorDown']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.LocatorTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.Security']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.Site']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Default.Syslog']['meta_info'].parent =_meta_table['Native.Router.LispList.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.Itr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.Itr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.Itr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.LispList.Service']['meta_info']
_meta_table['Native.Router.LispList.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.LispList.Service']['meta_info']
_meta_table['Native.Router.LispList.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.LispList.Service']['meta_info']
_meta_table['Native.Router.LispList.LocatorSet.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.LocatorSet']['meta_info']
_meta_table['Native.Router.LispList.LocatorSet.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.LocatorSet']['meta_info']
_meta_table['Native.Router.LispList.LocatorSet.IpAddress']['meta_info'].parent =_meta_table['Native.Router.LispList.LocatorSet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer.InstanceList']['meta_info'].parent =_meta_table['Native.Router.LispList.InstanceContainer']['meta_info']
_meta_table['Native.Router.LispList.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.Alt']['meta_info']
_meta_table['Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info'].parent =_meta_table['Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']
_meta_table['Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info'].parent =_meta_table['Native.Router.LispList.Ddt.Authoritative.InstanceIdList']['meta_info']
_meta_table['Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info'].parent =_meta_table['Native.Router.LispList.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.LispList.Ddt.Authoritative.InstanceIdList']['meta_info'].parent =_meta_table['Native.Router.LispList.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.LispList.Ddt.Authoritative']['meta_info'].parent =_meta_table['Native.Router.LispList.Ddt']['meta_info']
_meta_table['Native.Router.LispList.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.LispList.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.LispList.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.LispList.Decapsulation']['meta_info']
_meta_table['Native.Router.LispList.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Etr']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.Locator']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.Locator']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.Locator']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.Locator']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.LispList.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.LispList.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.LispList.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.LispList.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.LispList.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.MapServer']['meta_info']
_meta_table['Native.Router.LispList.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.MapServer']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Alt.SummaryRoute']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Alt']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Decapsulation']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Etr']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.PathMtuDiscovery']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.UsePetr']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList.MapCache']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.DatabaseMapping']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.ControlPacket']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.LocatorDown']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.LocatorTable']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList.MapCache']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']
_meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info'].parent =_meta_table['Native.Router.LispList.EidTable']['meta_info']
_meta_table['Native.Router.LispList.Site.Default.AllowedLocator.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.Default.AllowedLocator']['meta_info']
_meta_table['Native.Router.LispList.Site.Default.EidPrefix.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.Default.EidPrefix.InstanceId']['meta_info']
_meta_table['Native.Router.LispList.Site.Default.EidPrefix.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.Default.EidPrefix']['meta_info']
_meta_table['Native.Router.LispList.Site.Default.EidPrefix.InstanceId']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.Default.EidPrefix']['meta_info']
_meta_table['Native.Router.LispList.Site.Default.EidRecord.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.Default.EidRecord.InstanceId']['meta_info']
_meta_table['Native.Router.LispList.Site.Default.EidRecord.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.Default.EidRecord']['meta_info']
_meta_table['Native.Router.LispList.Site.Default.EidRecord.InstanceId']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.Default.EidRecord']['meta_info']
_meta_table['Native.Router.LispList.Site.Default.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.Default']['meta_info']
_meta_table['Native.Router.LispList.Site.Default.AllowedLocator']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.Default']['meta_info']
_meta_table['Native.Router.LispList.Site.Default.EidPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.Default']['meta_info']
_meta_table['Native.Router.LispList.Site.Default.EidRecord']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.Default']['meta_info']
_meta_table['Native.Router.LispList.Site.AllowedLocator.List']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.AllowedLocator']['meta_info']
_meta_table['Native.Router.LispList.Site.EidPrefix.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.EidPrefix.InstanceId']['meta_info']
_meta_table['Native.Router.LispList.Site.EidPrefix.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.EidPrefix']['meta_info']
_meta_table['Native.Router.LispList.Site.EidPrefix.InstanceId']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.EidPrefix']['meta_info']
_meta_table['Native.Router.LispList.Site.EidRecord.InstanceId.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.EidRecord.InstanceId']['meta_info']
_meta_table['Native.Router.LispList.Site.EidRecord.Prefixes']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.EidRecord']['meta_info']
_meta_table['Native.Router.LispList.Site.EidRecord.InstanceId']['meta_info'].parent =_meta_table['Native.Router.LispList.Site.EidRecord']['meta_info']
_meta_table['Native.Router.LispList.Site.Default']['meta_info'].parent =_meta_table['Native.Router.LispList.Site']['meta_info']
_meta_table['Native.Router.LispList.Site.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.LispList.Site']['meta_info']
_meta_table['Native.Router.LispList.Site.AllowedLocator']['meta_info'].parent =_meta_table['Native.Router.LispList.Site']['meta_info']
_meta_table['Native.Router.LispList.Site.EidPrefix']['meta_info'].parent =_meta_table['Native.Router.LispList.Site']['meta_info']
_meta_table['Native.Router.LispList.Site.EidRecord']['meta_info'].parent =_meta_table['Native.Router.LispList.Site']['meta_info']
_meta_table['Native.Router.LispList.Syslog.Session']['meta_info'].parent =_meta_table['Native.Router.LispList.Syslog']['meta_info']
_meta_table['Native.Router.LispList.Default']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.Service']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.Encapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.LocatorSet']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.LocatorScope']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.InstanceContainer']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.Alt']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.ControlPacket']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.Ddt']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.Decapsulation']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.Etr']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.Ipv4']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.Ipv6']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.LocReachAlgorithm']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.LocatorDown']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.LocatorTable']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.MapRequest']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.MapServer']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.OtherXtrProbe']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.RemoteRlocProbe']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.EidTable']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.Security']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.Site']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.LispList.Syslog']['meta_info'].parent =_meta_table['Native.Router.LispList']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community.Access']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Access']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Auth']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Topology']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Ospf.AddressFamily']['meta_info']
_meta_table['Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']
_meta_table['Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate']['meta_info']
_meta_table['Native.Router.Ospf.Area.Nssa.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.Nssa.Translate']['meta_info']
_meta_table['Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospf.Area.Nssa.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospf.Area.Ipv4Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.Ipv4Range']['meta_info']
_meta_table['Native.Router.Ospf.Area.Ipv6Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.Ipv6Range']['meta_info']
_meta_table['Native.Router.Ospf.Area.ShamLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.ShamLink']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.HelloInterval']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.DeadInterval']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.RetransmitInterval']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.TransmitDelay']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.Topology']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospf.Area.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area']['meta_info']
_meta_table['Native.Router.Ospf.Area.Capability']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area']['meta_info']
_meta_table['Native.Router.Ospf.Area.FilterList']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area']['meta_info']
_meta_table['Native.Router.Ospf.Area.Nssa']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area']['meta_info']
_meta_table['Native.Router.Ospf.Area.Ipv4Range']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area']['meta_info']
_meta_table['Native.Router.Ospf.Area.Ipv6Range']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area']['meta_info']
_meta_table['Native.Router.Ospf.Area.ShamLink']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area']['meta_info']
_meta_table['Native.Router.Ospf.Area.Stub']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area']['meta_info']
_meta_table['Native.Router.Ospf.Area.VirtualLink']['meta_info'].parent =_meta_table['Native.Router.Ospf.Area']['meta_info']
_meta_table['Native.Router.Ospf.MaxMetric.RouterLsa.ExternalLsa']['meta_info'].parent =_meta_table['Native.Router.Ospf.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospf.MaxMetric.RouterLsa.OnStartup']['meta_info'].parent =_meta_table['Native.Router.Ospf.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospf.MaxMetric.RouterLsa.SummaryLsa']['meta_info'].parent =_meta_table['Native.Router.Ospf.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospf.MaxMetric.RouterLsa']['meta_info'].parent =_meta_table['Native.Router.Ospf.MaxMetric']['meta_info']
_meta_table['Native.Router.Ospf.Disable.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospf.Disable']['meta_info']
_meta_table['Native.Router.Ospf.QueueDepth.Hello']['meta_info'].parent =_meta_table['Native.Router.Ospf.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospf.QueueDepth.Update']['meta_info'].parent =_meta_table['Native.Router.Ospf.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospf.Timers.Throttle.Lsa.All']['meta_info'].parent =_meta_table['Native.Router.Ospf.Timers.Throttle.Lsa']['meta_info']
_meta_table['Native.Router.Ospf.Timers.Throttle.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospf.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospf.Timers.Throttle.Spf']['meta_info'].parent =_meta_table['Native.Router.Ospf.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospf.Timers.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospf.Timers']['meta_info']
_meta_table['Native.Router.Ospf.Timers.Pacing']['meta_info'].parent =_meta_table['Native.Router.Ospf.Timers']['meta_info']
_meta_table['Native.Router.Ospf.Timers.Throttle']['meta_info'].parent =_meta_table['Native.Router.Ospf.Timers']['meta_info']
_meta_table['Native.Router.Ospf.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.Ospf.DefaultInformation']['meta_info']
_meta_table['Native.Router.Ospf.Distance.OspfDistance']['meta_info'].parent =_meta_table['Native.Router.Ospf.Distance']['meta_info']
_meta_table['Native.Router.Ospf.Distance.Ospf_']['meta_info'].parent =_meta_table['Native.Router.Ospf.Distance']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Connected']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Eigrp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Lisp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Mobile']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Odr']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Ospf_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Rip']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.MaximumPrefix']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Application']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Connected']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Odr']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Rip']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Static']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Application']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Static']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Ospf_']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Ospfv3']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute.Vrf']['meta_info'].parent =_meta_table['Native.Router.Ospf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospf.DistributeList.Accesslist']['meta_info'].parent =_meta_table['Native.Router.Ospf.DistributeList']['meta_info']
_meta_table['Native.Router.Ospf.DistributeList.AccesslistIfname']['meta_info'].parent =_meta_table['Native.Router.Ospf.DistributeList']['meta_info']
_meta_table['Native.Router.Ospf.DistributeList.AccesslistPrefixGateway']['meta_info'].parent =_meta_table['Native.Router.Ospf.DistributeList']['meta_info']
_meta_table['Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname']['meta_info'].parent =_meta_table['Native.Router.Ospf.DistributeList']['meta_info']
_meta_table['Native.Router.Ospf.DomainId.IpFormatSecondary']['meta_info'].parent =_meta_table['Native.Router.Ospf.DomainId']['meta_info']
_meta_table['Native.Router.Ospf.DomainId.Type']['meta_info'].parent =_meta_table['Native.Router.Ospf.DomainId']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.Enable']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute.PerPrefix']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute.PerPrefix']['meta_info'].parent =_meta_table['Native.Router.Ospf.FastReroute']['meta_info']
_meta_table['Native.Router.Ospf.GracefulRestart.Helper']['meta_info'].parent =_meta_table['Native.Router.Ospf.GracefulRestart']['meta_info']
_meta_table['Native.Router.Ospf.Ignore.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospf.Ignore']['meta_info']
_meta_table['Native.Router.Ospf.Limit.Retransmissions']['meta_info'].parent =_meta_table['Native.Router.Ospf.Limit']['meta_info']
_meta_table['Native.Router.Ospf.Microloop.Avoidance']['meta_info'].parent =_meta_table['Native.Router.Ospf.Microloop']['meta_info']
_meta_table['Native.Router.Ospf.Mpls.Ldp.Autoconfig']['meta_info'].parent =_meta_table['Native.Router.Ospf.Mpls.Ldp']['meta_info']
_meta_table['Native.Router.Ospf.Mpls.Ldp.Sync']['meta_info'].parent =_meta_table['Native.Router.Ospf.Mpls.Ldp']['meta_info']
_meta_table['Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer.Area']['meta_info'].parent =_meta_table['Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer']['meta_info']
_meta_table['Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude']['meta_info'].parent =_meta_table['Native.Router.Ospf.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Router.Ospf.Mpls.TrafficEng.Interface']['meta_info'].parent =_meta_table['Native.Router.Ospf.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer']['meta_info'].parent =_meta_table['Native.Router.Ospf.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Router.Ospf.Mpls.TrafficEng.RouterId']['meta_info'].parent =_meta_table['Native.Router.Ospf.Mpls.TrafficEng']['meta_info']
_meta_table['Native.Router.Ospf.Mpls.Ldp']['meta_info'].parent =_meta_table['Native.Router.Ospf.Mpls']['meta_info']
_meta_table['Native.Router.Ospf.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.Router.Ospf.Mpls']['meta_info']
_meta_table['Native.Router.Ospf.Neighbor.DatabaseFilter.All']['meta_info'].parent =_meta_table['Native.Router.Ospf.Neighbor.DatabaseFilter']['meta_info']
_meta_table['Native.Router.Ospf.Neighbor.DatabaseFilter']['meta_info'].parent =_meta_table['Native.Router.Ospf.Neighbor']['meta_info']
_meta_table['Native.Router.Ospf.Nsf.Cisco.Helper']['meta_info'].parent =_meta_table['Native.Router.Ospf.Nsf.Cisco']['meta_info']
_meta_table['Native.Router.Ospf.Nsf.Ietf.Helper']['meta_info'].parent =_meta_table['Native.Router.Ospf.Nsf.Ietf']['meta_info']
_meta_table['Native.Router.Ospf.Nsf.Cisco']['meta_info'].parent =_meta_table['Native.Router.Ospf.Nsf']['meta_info']
_meta_table['Native.Router.Ospf.Nsf.Ietf']['meta_info'].parent =_meta_table['Native.Router.Ospf.Nsf']['meta_info']
_meta_table['Native.Router.Ospf.Snmp.Context.Community.Access']['meta_info'].parent =_meta_table['Native.Router.Ospf.Snmp.Context.Community']['meta_info']
_meta_table['Native.Router.Ospf.Snmp.Context.User.Permisssion.Access']['meta_info'].parent =_meta_table['Native.Router.Ospf.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth']['meta_info'].parent =_meta_table['Native.Router.Ospf.Snmp.Context.User.Permisssion']['meta_info']
_meta_table['Native.Router.Ospf.Snmp.Context.User.Permisssion']['meta_info'].parent =_meta_table['Native.Router.Ospf.Snmp.Context.User']['meta_info']
_meta_table['Native.Router.Ospf.Snmp.Context.Community']['meta_info'].parent =_meta_table['Native.Router.Ospf.Snmp.Context']['meta_info']
_meta_table['Native.Router.Ospf.Snmp.Context.User']['meta_info'].parent =_meta_table['Native.Router.Ospf.Snmp.Context']['meta_info']
_meta_table['Native.Router.Ospf.Snmp.Context']['meta_info'].parent =_meta_table['Native.Router.Ospf.Snmp']['meta_info']
_meta_table['Native.Router.Ospf.AddressFamily']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Area']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.AutoCost']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.EventLog']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Bfd']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.InterfaceId']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.LogAdjacencyChanges']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.MaxLsa']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.MaxMetric']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Disable']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.QueueDepth']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Timers']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Capability']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Compatible']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.DiscardRoute']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Distance']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.DomainId']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.FastReroute']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Ignore']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Limit']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.LocalRibCriteria']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Microloop']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Mpls']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Network']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Nsf']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.PrefixPriority']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.ProcessMinTime']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.Snmp']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospf.SummaryAddress']['meta_info'].parent =_meta_table['Native.Router.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Nssa.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.Nssa.Translate']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Nssa.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Ipv4Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.Ipv4Range']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Ipv6Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.Ipv6Range']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.ShamLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.ShamLink']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.HelloInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.DeadInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.Topology']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Capability']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.FilterList']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Nssa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Ipv4Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Ipv6Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.ShamLink']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.Stub']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.Area.VirtualLink']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.MaxMetric.RouterLsa.ExternalLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.MaxMetric.RouterLsa.OnStartup']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.MaxMetric.RouterLsa.SummaryLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.MaxMetric.RouterLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.MaxMetric']['meta_info']
_meta_table['Native.Router.Ospfv3.Disable.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Disable']['meta_info']
_meta_table['Native.Router.Ospfv3.QueueDepth.Hello']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospfv3.QueueDepth.Update']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospfv3.Timers.Throttle.Lsa.All']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Timers.Throttle.Lsa']['meta_info']
_meta_table['Native.Router.Ospfv3.Timers.Throttle.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospfv3.Timers.Throttle.Spf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospfv3.Timers.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.Timers.Pacing']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.Timers.Throttle']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.GracefulRestart.Helper']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.GracefulRestart']['meta_info']
_meta_table['Native.Router.Ospfv3.Manet.Peering.Selective']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Manet.Peering']['meta_info']
_meta_table['Native.Router.Ospfv3.Manet.Cache']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Manet']['meta_info']
_meta_table['Native.Router.Ospfv3.Manet.Peering']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.Manet']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Stub']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.ExternalLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.OnStartup']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.SummaryLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart.Helper']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.AutoCost']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.EventLog']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.LogAdjacencyChanges']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DiscardRoute']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.SummaryPrefix']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Stub']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.ExternalLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.OnStartup']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.SummaryLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart.Helper']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.AutoCost']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.EventLog']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.LogAdjacencyChanges']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DiscardRoute']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.SummaryPrefix']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Stub']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.ExternalLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.OnStartup']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.SummaryLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart.Helper']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.AutoCost']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.EventLog']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.LogAdjacencyChanges']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DiscardRoute']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.SummaryPrefix']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range.Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Stub']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.ExternalLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.OnStartup']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.SummaryLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart.Helper']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.AutoCost']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.EventLog']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.LogAdjacencyChanges']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DiscardRoute']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.SummaryPrefix']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6']['meta_info'].parent =_meta_table['Native.Router.Ospfv3.AddressFamily']['meta_info']
_meta_table['Native.Router.Ospfv3.Area']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.AutoCost']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.EventLog']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.Bfd']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.InterfaceId']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.LogAdjacencyChanges']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.MaxLsa']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.MaxMetric']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.Disable']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.QueueDepth']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.Timers']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.TtlSecurity']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.Authentication']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.GracefulRestart']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.Manet']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Ospfv3.AddressFamily']['meta_info'].parent =_meta_table['Native.Router.Ospfv3']['meta_info']
_meta_table['Native.Router.Rip.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.Rip.DefaultInformation']['meta_info']
_meta_table['Native.Router.Rip.Distance.DistanceList']['meta_info'].parent =_meta_table['Native.Router.Rip.Distance']['meta_info']
_meta_table['Native.Router.Rip.DistributeList.Accesslist']['meta_info'].parent =_meta_table['Native.Router.Rip.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.DistributeList.AccesslistIfname']['meta_info'].parent =_meta_table['Native.Router.Rip.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.DistributeList.AccesslistPrefixGateway']['meta_info'].parent =_meta_table['Native.Router.Rip.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname']['meta_info'].parent =_meta_table['Native.Router.Rip.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Connected']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Eigrp']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Isis.RipIsisRedist']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Isis.RipIsisRedist']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Mobile']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Odr']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.Internal']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.External']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Static.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Static.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute.Rip_']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Redistribute.Rip_']['meta_info'].parent =_meta_table['Native.Router.Rip.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Timers.Basic']['meta_info'].parent =_meta_table['Native.Router.Rip.Timers']['meta_info']
_meta_table['Native.Router.Rip.Disable.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Rip.Disable']['meta_info']
_meta_table['Native.Router.Rip.TrafficShare.Min']['meta_info'].parent =_meta_table['Native.Router.Rip.TrafficShare']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance.DistanceList']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.Accesslist']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistIfname']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Network']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.OffsetList']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance.DistanceList']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.Accesslist']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistIfname']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Vrf_']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Network']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.OffsetList']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Rip.AddressFamily']['meta_info']
_meta_table['Native.Router.Rip.Default.AddressFamily.Ipv4.Vrf']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.Router.Rip.Default.AddressFamily.Ipv4']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.AddressFamily']['meta_info']
_meta_table['Native.Router.Rip.Default.Distance.DistanceList']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Distance']['meta_info']
_meta_table['Native.Router.Rip.Default.DistributeList.Accesslist']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.Default.DistributeList.AccesslistIfname']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.DistributeList']['meta_info']
_meta_table['Native.Router.Rip.Default.Disable.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Disable']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Connected']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Bgp']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Eigrp']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Isis']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Mobile']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Odr']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.External']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.External']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Vrf']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Ospf']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Static']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap.Metric']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute.Rip_']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Connected']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Bgp']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Eigrp']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Isis']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Mobile']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Odr']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Ospf']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Static']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute.Rip_']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.Redistribute']['meta_info']
_meta_table['Native.Router.Rip.Default.TrafficShare.Min']['meta_info'].parent =_meta_table['Native.Router.Rip.Default.TrafficShare']['meta_info']
_meta_table['Native.Router.Rip.Default.AddressFamily']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Default.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Default.Network']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Default.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Default.Distance']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Default.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Default.OffsetList']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Default.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Default.Disable']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Default.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Default.Timers']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Default.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Rip.Default']['meta_info']
_meta_table['Native.Router.Rip.Neighbor']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.Network']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.DefaultInformation']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.Distance']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.DistributeList']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.OffsetList']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.Redistribute']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.Timers']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.PassiveInterface']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.Disable']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.TrafficShare']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.AddressFamily']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Rip.Default']['meta_info'].parent =_meta_table['Native.Router.Rip']['meta_info']
_meta_table['Native.Router.Bgp']['meta_info'].parent =_meta_table['Native.Router']['meta_info']
_meta_table['Native.Router.Eigrp']['meta_info'].parent =_meta_table['Native.Router']['meta_info']
_meta_table['Native.Router.Isis']['meta_info'].parent =_meta_table['Native.Router']['meta_info']
_meta_table['Native.Router.IsisContainer']['meta_info'].parent =_meta_table['Native.Router']['meta_info']
_meta_table['Native.Router.Lisp']['meta_info'].parent =_meta_table['Native.Router']['meta_info']
_meta_table['Native.Router.LispList']['meta_info'].parent =_meta_table['Native.Router']['meta_info']
_meta_table['Native.Router.Ospf']['meta_info'].parent =_meta_table['Native.Router']['meta_info']
_meta_table['Native.Router.Ospfv3']['meta_info'].parent =_meta_table['Native.Router']['meta_info']
_meta_table['Native.Router.Rip']['meta_info'].parent =_meta_table['Native.Router']['meta_info']
_meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre']['meta_info'].parent =_meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation']['meta_info']
_meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation']['meta_info'].parent =_meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode']['meta_info']
_meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip']['meta_info'].parent =_meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode']['meta_info']
_meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode']['meta_info'].parent =_meta_table['Native.ServiceChain.ServiceFunction']['meta_info']
_meta_table['Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip']['meta_info'].parent =_meta_table['Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName']['meta_info']
_meta_table['Native.ServiceChain.ServiceFunctionForwarder.Local.Ip']['meta_info'].parent =_meta_table['Native.ServiceChain.ServiceFunctionForwarder.Local']['meta_info']
_meta_table['Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName']['meta_info'].parent =_meta_table['Native.ServiceChain.ServiceFunctionForwarder']['meta_info']
_meta_table['Native.ServiceChain.ServiceFunctionForwarder.Local']['meta_info'].parent =_meta_table['Native.ServiceChain.ServiceFunctionForwarder']['meta_info']
_meta_table['Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex.Services']['meta_info'].parent =_meta_table['Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex']['meta_info']
_meta_table['Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex']['meta_info'].parent =_meta_table['Native.ServiceChain.ServicePath.ConfigServiceChainPathMode']['meta_info']
_meta_table['Native.ServiceChain.ServicePath.ConfigServiceChainPathMode']['meta_info'].parent =_meta_table['Native.ServiceChain.ServicePath']['meta_info']
_meta_table['Native.ServiceChain.ServiceFunction']['meta_info'].parent =_meta_table['Native.ServiceChain']['meta_info']
_meta_table['Native.ServiceChain.ServiceFunctionForwarder']['meta_info'].parent =_meta_table['Native.ServiceChain']['meta_info']
_meta_table['Native.ServiceChain.ServicePath']['meta_info'].parent =_meta_table['Native.ServiceChain']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.All']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationTrafficStats']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.Media']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.Url']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationStats']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Default.Exporter']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.Default']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.Default']['meta_info']
_meta_table['Native.Performance.Monitor.Context.TrafficMonitor.All']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ApplicationTrafficStats']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.TrafficMonitor.Media']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.TrafficMonitor.Url']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ApplicationStats']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context.TrafficMonitor']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Default']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context']['meta_info']
_meta_table['Native.Performance.Monitor.Context.Exporter']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context']['meta_info']
_meta_table['Native.Performance.Monitor.Context.TrafficMonitor']['meta_info'].parent =_meta_table['Native.Performance.Monitor.Context']['meta_info']
_meta_table['Native.Performance.Monitor.Context']['meta_info'].parent =_meta_table['Native.Performance.Monitor']['meta_info']
_meta_table['Native.Performance.Monitor.ObservationPoint']['meta_info'].parent =_meta_table['Native.Performance.Monitor']['meta_info']
_meta_table['Native.Performance.Monitor']['meta_info'].parent =_meta_table['Native.Performance']['meta_info']
_meta_table['Native.Otv.Fragmentation.JoinInterface.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Otv.Fragmentation.JoinInterface']['meta_info']
_meta_table['Native.Otv.Fragmentation.JoinInterface.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Otv.Fragmentation.JoinInterface']['meta_info']
_meta_table['Native.Otv.Fragmentation.JoinInterface.LispSubinterface']['meta_info'].parent =_meta_table['Native.Otv.Fragmentation.JoinInterface']['meta_info']
_meta_table['Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Otv.Fragmentation.JoinInterface']['meta_info']
_meta_table['Native.Otv.Fragmentation.JoinInterface']['meta_info'].parent =_meta_table['Native.Otv.Fragmentation']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.Default.Authentication']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay.Default']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.Default.Hostname']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay.Default']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.Default.Nsf']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay.Default']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.Default.Skeptical']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay.Default']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.Authentication']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.Default']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.Hostname']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.LogAdjacencyChanges']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.LspGenInterval']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.Nsf']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.PrcInterval']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.Skeptical']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay']['meta_info']
_meta_table['Native.Otv.Isis.Overlay.SpfInterval']['meta_info'].parent =_meta_table['Native.Otv.Isis.Overlay']['meta_info']
_meta_table['Native.Otv.Isis.Site.Default.Skeptical']['meta_info'].parent =_meta_table['Native.Otv.Isis.Site.Default']['meta_info']
_meta_table['Native.Otv.Isis.Site.Default']['meta_info'].parent =_meta_table['Native.Otv.Isis.Site']['meta_info']
_meta_table['Native.Otv.Isis.Site.LogAdjacencyChanges']['meta_info'].parent =_meta_table['Native.Otv.Isis.Site']['meta_info']
_meta_table['Native.Otv.Isis.Site.Skeptical']['meta_info'].parent =_meta_table['Native.Otv.Isis.Site']['meta_info']
_meta_table['Native.Otv.Isis.Overlay']['meta_info'].parent =_meta_table['Native.Otv.Isis']['meta_info']
_meta_table['Native.Otv.Isis.Site']['meta_info'].parent =_meta_table['Native.Otv.Isis']['meta_info']
_meta_table['Native.Otv.Site.Default.Otv_.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Otv.Site.Default.Otv_.Isis.Hello']['meta_info']
_meta_table['Native.Otv.Site.Default.Otv_.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Otv.Site.Default.Otv_.Isis']['meta_info']
_meta_table['Native.Otv.Site.Default.Otv_.Isis.Hello']['meta_info'].parent =_meta_table['Native.Otv.Site.Default.Otv_.Isis']['meta_info']
_meta_table['Native.Otv.Site.Default.Otv_.Isis.HelloInterval']['meta_info'].parent =_meta_table['Native.Otv.Site.Default.Otv_.Isis']['meta_info']
_meta_table['Native.Otv.Site.Default.Otv_.Isis']['meta_info'].parent =_meta_table['Native.Otv.Site.Default.Otv_']['meta_info']
_meta_table['Native.Otv.Site.Default.Otv_']['meta_info'].parent =_meta_table['Native.Otv.Site.Default']['meta_info']
_meta_table['Native.Otv.Site.Otv_.Isis.Hello.Padding']['meta_info'].parent =_meta_table['Native.Otv.Site.Otv_.Isis.Hello']['meta_info']
_meta_table['Native.Otv.Site.Otv_.Isis.Authentication']['meta_info'].parent =_meta_table['Native.Otv.Site.Otv_.Isis']['meta_info']
_meta_table['Native.Otv.Site.Otv_.Isis.Hello']['meta_info'].parent =_meta_table['Native.Otv.Site.Otv_.Isis']['meta_info']
_meta_table['Native.Otv.Site.Otv_.Isis.HelloInterval']['meta_info'].parent =_meta_table['Native.Otv.Site.Otv_.Isis']['meta_info']
_meta_table['Native.Otv.Site.Otv_.Isis']['meta_info'].parent =_meta_table['Native.Otv.Site.Otv_']['meta_info']
_meta_table['Native.Otv.Site.Default']['meta_info'].parent =_meta_table['Native.Otv.Site']['meta_info']
_meta_table['Native.Otv.Site.Otv_']['meta_info'].parent =_meta_table['Native.Otv.Site']['meta_info']
_meta_table['Native.Otv.Fragmentation']['meta_info'].parent =_meta_table['Native.Otv']['meta_info']
_meta_table['Native.Otv.Isis']['meta_info'].parent =_meta_table['Native.Otv']['meta_info']
_meta_table['Native.Otv.Site']['meta_info'].parent =_meta_table['Native.Otv']['meta_info']
_meta_table['Native.VirtualService.Ip.Shared.HostInterface']['meta_info'].parent =_meta_table['Native.VirtualService.Ip.Shared']['meta_info']
_meta_table['Native.VirtualService.Ip.Shared']['meta_info'].parent =_meta_table['Native.VirtualService.Ip']['meta_info']
_meta_table['Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ip']['meta_info'].parent =_meta_table['Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest']['meta_info']
_meta_table['Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ipv6']['meta_info'].parent =_meta_table['Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest']['meta_info']
_meta_table['Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest']['meta_info'].parent =_meta_table['Native.VirtualService.Vnic.Gateway.Virtualportgroup']['meta_info']
_meta_table['Native.VirtualService.Vnic.Gateway.Virtualportgroup']['meta_info'].parent =_meta_table['Native.VirtualService.Vnic.Gateway']['meta_info']
_meta_table['Native.VirtualService.Vnic.Management.Guest.Ip']['meta_info'].parent =_meta_table['Native.VirtualService.Vnic.Management.Guest']['meta_info']
_meta_table['Native.VirtualService.Vnic.Management.Guest.Ipv6']['meta_info'].parent =_meta_table['Native.VirtualService.Vnic.Management.Guest']['meta_info']
_meta_table['Native.VirtualService.Vnic.Management.Guest']['meta_info'].parent =_meta_table['Native.VirtualService.Vnic.Management']['meta_info']
_meta_table['Native.VirtualService.Vnic.Gateway']['meta_info'].parent =_meta_table['Native.VirtualService.Vnic']['meta_info']
_meta_table['Native.VirtualService.Vnic.Management']['meta_info'].parent =_meta_table['Native.VirtualService.Vnic']['meta_info']
_meta_table['Native.VirtualService.Ip']['meta_info'].parent =_meta_table['Native.VirtualService']['meta_info']
_meta_table['Native.VirtualService.Vnic']['meta_info'].parent =_meta_table['Native.VirtualService']['meta_info']
_meta_table['Native.Snmp.Ifmib.Ifindex']['meta_info'].parent =_meta_table['Native.Snmp.Ifmib']['meta_info']
_meta_table['Native.Snmp.Ifmib.Ifalias']['meta_info'].parent =_meta_table['Native.Snmp.Ifmib']['meta_info']
_meta_table['Native.Snmp.Mib.CommunityMap.CommunityMapList']['meta_info'].parent =_meta_table['Native.Snmp.Mib.CommunityMap']['meta_info']
_meta_table['Native.Snmp.Mib.Bulkstat.ObjectList']['meta_info'].parent =_meta_table['Native.Snmp.Mib.Bulkstat']['meta_info']
_meta_table['Native.Snmp.Mib.CommunityMap']['meta_info'].parent =_meta_table['Native.Snmp.Mib']['meta_info']
_meta_table['Native.Snmp.Mib.Bulkstat']['meta_info'].parent =_meta_table['Native.Snmp.Mib']['meta_info']
_meta_table['Native.Snmp.Mib.Persist']['meta_info'].parent =_meta_table['Native.Snmp.Mib']['meta_info']
_meta_table['Native.Snmp.Ifmib']['meta_info'].parent =_meta_table['Native.Snmp']['meta_info']
_meta_table['Native.Snmp.Mib']['meta_info'].parent =_meta_table['Native.Snmp']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch.DualActive']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer.RadiusServer']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail.RandomNumberFail']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail.SupplicantFail']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy.PeerPolicyUpdated']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ike']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ike']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Subif']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Cc']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Crosscheck']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Evc']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Subif']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.TrafficEng']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.FastReroute']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Rfc']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Ldp']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhs']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhc']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhp']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.QuotaExceeded']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange.Shamlink']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errors']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errdisable']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Retransmit']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Lsa']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.StateChange']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Errors']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Retransmit']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Lsa']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation.Bsnaccesspoint']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Wireless']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecSxp']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ike']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Alarms']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.AuthFramework']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Bridge']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Bulkstat']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.CallHome']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.C6Kxbar']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Cef']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Cpu']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Csg']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Dsp']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Energywise']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.EntityDiag']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Envmon']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Errdisable']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Firewall']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Flash']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.FlexLinks']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Isdn']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.L2Tc']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.License']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification2']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Memory']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Pim']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Plogd']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.PortSecurity']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Pw']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Slb']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Snmp']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Stackwise']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Stpx']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Udld']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Vstack']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Wireless']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable.EnableChoice']['meta_info']
_meta_table['Native.SnmpServer.Enable.EnableChoice']['meta_info'].parent =_meta_table['Native.SnmpServer.Enable']['meta_info']
_meta_table['Native.SnmpServer.Engineid.Remote']['meta_info'].parent =_meta_table['Native.SnmpServer.Engineid']['meta_info']
_meta_table['Native.SnmpServer.Group.V1']['meta_info'].parent =_meta_table['Native.SnmpServer.Group']['meta_info']
_meta_table['Native.SnmpServer.Group.V2C']['meta_info'].parent =_meta_table['Native.SnmpServer.Group']['meta_info']
_meta_table['Native.SnmpServer.Group.V3']['meta_info'].parent =_meta_table['Native.SnmpServer.Group']['meta_info']
_meta_table['Native.SnmpServer.Host.TrapEnable']['meta_info'].parent =_meta_table['Native.SnmpServer.Host']['meta_info']
_meta_table['Native.SnmpServer.SourceInterface.Informs.AtmSubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.SourceInterface.Informs']['meta_info']
_meta_table['Native.SnmpServer.SourceInterface.Informs.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.SourceInterface.Informs']['meta_info']
_meta_table['Native.SnmpServer.SourceInterface.Informs.LispSubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.SourceInterface.Informs']['meta_info']
_meta_table['Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.SourceInterface.Informs']['meta_info']
_meta_table['Native.SnmpServer.SourceInterface.Traps.AtmSubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.SourceInterface.Traps']['meta_info']
_meta_table['Native.SnmpServer.SourceInterface.Traps.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.SourceInterface.Traps']['meta_info']
_meta_table['Native.SnmpServer.SourceInterface.Traps.LispSubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.SourceInterface.Traps']['meta_info']
_meta_table['Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.SourceInterface.Traps']['meta_info']
_meta_table['Native.SnmpServer.SourceInterface.Informs']['meta_info'].parent =_meta_table['Native.SnmpServer.SourceInterface']['meta_info']
_meta_table['Native.SnmpServer.SourceInterface.Traps']['meta_info'].parent =_meta_table['Native.SnmpServer.SourceInterface']['meta_info']
_meta_table['Native.SnmpServer.Trap.Link']['meta_info'].parent =_meta_table['Native.SnmpServer.Trap']['meta_info']
_meta_table['Native.SnmpServer.TrapSource.AtmSubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.TrapSource']['meta_info']
_meta_table['Native.SnmpServer.TrapSource.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.TrapSource']['meta_info']
_meta_table['Native.SnmpServer.TrapSource.LispSubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.TrapSource']['meta_info']
_meta_table['Native.SnmpServer.TrapSource.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.SnmpServer.TrapSource']['meta_info']
_meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128.Privpass']['meta_info'].parent =_meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128']['meta_info']
_meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128']['meta_info'].parent =_meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes']['meta_info']
_meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes']['meta_info'].parent =_meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv']['meta_info']
_meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv']['meta_info'].parent =_meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_']['meta_info']
_meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_']['meta_info'].parent =_meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha']['meta_info']
_meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha']['meta_info'].parent =_meta_table['Native.SnmpServer.User.Names.V3.Auth']['meta_info']
_meta_table['Native.SnmpServer.User.Names.V3.Auth']['meta_info'].parent =_meta_table['Native.SnmpServer.User.Names.V3']['meta_info']
_meta_table['Native.SnmpServer.User.Names.V3']['meta_info'].parent =_meta_table['Native.SnmpServer.User.Names']['meta_info']
_meta_table['Native.SnmpServer.User.Names']['meta_info'].parent =_meta_table['Native.SnmpServer.User']['meta_info']
_meta_table['Native.SnmpServer.Community']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.Context']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.Enable']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.Engineid']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.Group']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.Host']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.Ip']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.Ifindex']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.Manager']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.SourceInterface']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.Trap']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.TrapSource']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.User']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SnmpServer.View']['meta_info'].parent =_meta_table['Native.SnmpServer']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.MappingServer']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.SetAttributes.AddressFamily.Ipv4']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.SetAttributes.AddressFamily']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.SetAttributes.AddressFamily']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls.SetAttributes']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.GlobalBlock']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.MappingServer']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls']['meta_info']
_meta_table['Native.SegmentRouting.Mpls.SetAttributes']['meta_info'].parent =_meta_table['Native.SegmentRouting.Mpls']['meta_info']
_meta_table['Native.SegmentRouting.Mpls']['meta_info'].parent =_meta_table['Native.SegmentRouting']['meta_info']
_meta_table['Native.License.Feature.Port']['meta_info'].parent =_meta_table['Native.License.Feature']['meta_info']
_meta_table['Native.License.Boot.Level.Ipbase']['meta_info'].parent =_meta_table['Native.License.Boot.Level']['meta_info']
_meta_table['Native.License.Boot.Level.Ipservices']['meta_info'].parent =_meta_table['Native.License.Boot.Level']['meta_info']
_meta_table['Native.License.Boot.Level.Ipservicesk9']['meta_info'].parent =_meta_table['Native.License.Boot.Level']['meta_info']
_meta_table['Native.License.Boot.Level.Lanbase']['meta_info'].parent =_meta_table['Native.License.Boot.Level']['meta_info']
_meta_table['Native.License.Boot.Level.Lite']['meta_info'].parent =_meta_table['Native.License.Boot.Level']['meta_info']
_meta_table['Native.License.Boot.Level.Metroaggrservices']['meta_info'].parent =_meta_table['Native.License.Boot.Level']['meta_info']
_meta_table['Native.License.Boot.Level.Uck9']['meta_info'].parent =_meta_table['Native.License.Boot.Level']['meta_info']
_meta_table['Native.License.Boot.BootModule.TechnologyPackage']['meta_info'].parent =_meta_table['Native.License.Boot.BootModule']['meta_info']
_meta_table['Native.License.Boot.Level']['meta_info'].parent =_meta_table['Native.License.Boot']['meta_info']
_meta_table['Native.License.Boot.BootModule']['meta_info'].parent =_meta_table['Native.License.Boot']['meta_info']
_meta_table['Native.License.Udi']['meta_info'].parent =_meta_table['Native.License']['meta_info']
_meta_table['Native.License.Feature']['meta_info'].parent =_meta_table['Native.License']['meta_info']
_meta_table['Native.License.Accept']['meta_info'].parent =_meta_table['Native.License']['meta_info']
_meta_table['Native.License.Boot']['meta_info'].parent =_meta_table['Native.License']['meta_info']
_meta_table['Native.Transceiver.Type.All.Monitoring']['meta_info'].parent =_meta_table['Native.Transceiver.Type.All']['meta_info']
_meta_table['Native.Transceiver.Type.All']['meta_info'].parent =_meta_table['Native.Transceiver.Type']['meta_info']
_meta_table['Native.Transceiver.Type']['meta_info'].parent =_meta_table['Native.Transceiver']['meta_info']
_meta_table['Native.ServiceInsertion.ServiceContext.Waas.Authentication']['meta_info'].parent =_meta_table['Native.ServiceInsertion.ServiceContext.Waas']['meta_info']
_meta_table['Native.ServiceInsertion.ServiceContext.Waas.Vrf']['meta_info'].parent =_meta_table['Native.ServiceInsertion.ServiceContext.Waas']['meta_info']
_meta_table['Native.ServiceInsertion.ServiceContext.Waas']['meta_info'].parent =_meta_table['Native.ServiceInsertion.ServiceContext']['meta_info']
_meta_table['Native.ServiceInsertion.AppnavControllerGroup']['meta_info'].parent =_meta_table['Native.ServiceInsertion']['meta_info']
_meta_table['Native.ServiceInsertion.ServiceContext']['meta_info'].parent =_meta_table['Native.ServiceInsertion']['meta_info']
_meta_table['Native.ServiceInsertion.ServiceNodeGroup']['meta_info'].parent =_meta_table['Native.ServiceInsertion']['meta_info']
_meta_table['Native.ServiceInsertion.Swap']['meta_info'].parent =_meta_table['Native.ServiceInsertion']['meta_info']
_meta_table['Native.Udld.Message']['meta_info'].parent =_meta_table['Native.Udld']['meta_info']
_meta_table['Native.Udld.Recovery']['meta_info'].parent =_meta_table['Native.Udld']['meta_info']
_meta_table['Native.Qos.Account.Layer2.Encapsulation.Length']['meta_info'].parent =_meta_table['Native.Qos.Account.Layer2.Encapsulation']['meta_info']
_meta_table['Native.Qos.Account.Layer2.Encapsulation']['meta_info'].parent =_meta_table['Native.Qos.Account.Layer2']['meta_info']
_meta_table['Native.Qos.Account.LayerAll']['meta_info'].parent =_meta_table['Native.Qos.Account']['meta_info']
_meta_table['Native.Qos.Account.Layer2']['meta_info'].parent =_meta_table['Native.Qos.Account']['meta_info']
_meta_table['Native.Qos.Preserve.Marking']['meta_info'].parent =_meta_table['Native.Qos.Preserve']['meta_info']
_meta_table['Native.Qos.Preserve.Mpls']['meta_info'].parent =_meta_table['Native.Qos.Preserve']['meta_info']
_meta_table['Native.Qos.Trace.Resize']['meta_info'].parent =_meta_table['Native.Qos.Trace']['meta_info']
_meta_table['Native.Qos.Account']['meta_info'].parent =_meta_table['Native.Qos']['meta_info']
_meta_table['Native.Qos.ControlPackets']['meta_info'].parent =_meta_table['Native.Qos']['meta_info']
_meta_table['Native.Qos.Preserve']['meta_info'].parent =_meta_table['Native.Qos']['meta_info']
_meta_table['Native.Qos.Trace']['meta_info'].parent =_meta_table['Native.Qos']['meta_info']
_meta_table['Native.Qos.QueueSoftmaxMultiplier']['meta_info'].parent =_meta_table['Native.Qos']['meta_info']
_meta_table['Native.TimeRange.Absolute.Start']['meta_info'].parent =_meta_table['Native.TimeRange.Absolute']['meta_info']
_meta_table['Native.TimeRange.Absolute']['meta_info'].parent =_meta_table['Native.TimeRange']['meta_info']
_meta_table['Native.DeviceTracking.Policy.DeviceRole']['meta_info'].parent =_meta_table['Native.DeviceTracking.Policy']['meta_info']
_meta_table['Native.DeviceTracking.Policy.Protocol']['meta_info'].parent =_meta_table['Native.DeviceTracking.Policy']['meta_info']
_meta_table['Native.DeviceTracking.Policy.Tracking']['meta_info'].parent =_meta_table['Native.DeviceTracking.Policy']['meta_info']
_meta_table['Native.DeviceTracking.Policy.Limit']['meta_info'].parent =_meta_table['Native.DeviceTracking.Policy']['meta_info']
_meta_table['Native.DeviceTracking.Policy.SecurityLevel']['meta_info'].parent =_meta_table['Native.DeviceTracking.Policy']['meta_info']
_meta_table['Native.DeviceTracking.Policy']['meta_info'].parent =_meta_table['Native.DeviceTracking']['meta_info']
_meta_table['Native.Fhrp.Version']['meta_info'].parent =_meta_table['Native.Fhrp']['meta_info']
_meta_table['Native.Metadata.Flow']['meta_info'].parent =_meta_table['Native.Metadata']['meta_info']
_meta_table['Native.Alias.Exec_']['meta_info'].parent =_meta_table['Native.Alias']['meta_info']
_meta_table['Native.Line.LineList.Authorization.Command']['meta_info'].parent =_meta_table['Native.Line.LineList.Authorization']['meta_info']
_meta_table['Native.Line.LineList.AccessClass.AcccessList']['meta_info'].parent =_meta_table['Native.Line.LineList.AccessClass']['meta_info']
_meta_table['Native.Line.LineList.Autocommand.NoSuppressLinenumber']['meta_info'].parent =_meta_table['Native.Line.LineList.Autocommand']['meta_info']
_meta_table['Native.Line.LineList.AutocommandOptions.AbortCharacter']['meta_info'].parent =_meta_table['Native.Line.LineList.AutocommandOptions']['meta_info']
_meta_table['Native.Line.LineList.AutocommandOptions.Delay']['meta_info'].parent =_meta_table['Native.Line.LineList.AutocommandOptions']['meta_info']
_meta_table['Native.Line.LineList.AutocommandOptions.Nohangup']['meta_info'].parent =_meta_table['Native.Line.LineList.AutocommandOptions']['meta_info']
_meta_table['Native.Line.LineList.Exec_.Prompt']['meta_info'].parent =_meta_table['Native.Line.LineList.Exec_']['meta_info']
_meta_table['Native.Line.LineList.Ip.NetmaskFormat']['meta_info'].parent =_meta_table['Native.Line.LineList.Ip']['meta_info']
_meta_table['Native.Line.LineList.Ipv6.AccessClass.AccessClass_']['meta_info'].parent =_meta_table['Native.Line.LineList.Ipv6.AccessClass']['meta_info']
_meta_table['Native.Line.LineList.Ipv6.AccessClass']['meta_info'].parent =_meta_table['Native.Line.LineList.Ipv6']['meta_info']
_meta_table['Native.Line.LineList.Logging.Synchronous']['meta_info'].parent =_meta_table['Native.Line.LineList.Logging']['meta_info']
_meta_table['Native.Line.LineList.Privilege.Level']['meta_info'].parent =_meta_table['Native.Line.LineList.Privilege']['meta_info']
_meta_table['Native.Line.LineList.Transport.Input']['meta_info'].parent =_meta_table['Native.Line.LineList.Transport']['meta_info']
_meta_table['Native.Line.LineList.Transport.Output']['meta_info'].parent =_meta_table['Native.Line.LineList.Transport']['meta_info']
_meta_table['Native.Line.LineList.Transport.Preferred']['meta_info'].parent =_meta_table['Native.Line.LineList.Transport']['meta_info']
_meta_table['Native.Line.LineList.Authorization']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.AccessClass']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Autocommand']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.AutocommandOptions']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Databits']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.EscapeCharacter']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.NoExec']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Exec_']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.ExecTimeout']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Flowcontrol']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.History']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Ip']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Ipv6']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Logging']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Login']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.MediaType']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Modem']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Padding']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Parity']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Password']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Prc']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Privilege']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.SessionTimeout']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Timeout']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Telnet']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.Transport']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.UsbInactivityTimeout']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.LineList.VacantMessage']['meta_info'].parent =_meta_table['Native.Line.LineList']['meta_info']
_meta_table['Native.Line.Aux.Authorization.Command']['meta_info'].parent =_meta_table['Native.Line.Aux.Authorization']['meta_info']
_meta_table['Native.Line.Aux.AccessClass.AcccessList']['meta_info'].parent =_meta_table['Native.Line.Aux.AccessClass']['meta_info']
_meta_table['Native.Line.Aux.Autocommand.NoSuppressLinenumber']['meta_info'].parent =_meta_table['Native.Line.Aux.Autocommand']['meta_info']
_meta_table['Native.Line.Aux.AutocommandOptions.AbortCharacter']['meta_info'].parent =_meta_table['Native.Line.Aux.AutocommandOptions']['meta_info']
_meta_table['Native.Line.Aux.AutocommandOptions.Delay']['meta_info'].parent =_meta_table['Native.Line.Aux.AutocommandOptions']['meta_info']
_meta_table['Native.Line.Aux.AutocommandOptions.Nohangup']['meta_info'].parent =_meta_table['Native.Line.Aux.AutocommandOptions']['meta_info']
_meta_table['Native.Line.Aux.Exec_.Prompt']['meta_info'].parent =_meta_table['Native.Line.Aux.Exec_']['meta_info']
_meta_table['Native.Line.Aux.Ip.NetmaskFormat']['meta_info'].parent =_meta_table['Native.Line.Aux.Ip']['meta_info']
_meta_table['Native.Line.Aux.Ipv6.AccessClass.AccessClass_']['meta_info'].parent =_meta_table['Native.Line.Aux.Ipv6.AccessClass']['meta_info']
_meta_table['Native.Line.Aux.Ipv6.AccessClass']['meta_info'].parent =_meta_table['Native.Line.Aux.Ipv6']['meta_info']
_meta_table['Native.Line.Aux.Logging.Synchronous']['meta_info'].parent =_meta_table['Native.Line.Aux.Logging']['meta_info']
_meta_table['Native.Line.Aux.Privilege.Level']['meta_info'].parent =_meta_table['Native.Line.Aux.Privilege']['meta_info']
_meta_table['Native.Line.Aux.Transport.Input']['meta_info'].parent =_meta_table['Native.Line.Aux.Transport']['meta_info']
_meta_table['Native.Line.Aux.Transport.Output']['meta_info'].parent =_meta_table['Native.Line.Aux.Transport']['meta_info']
_meta_table['Native.Line.Aux.Transport.Preferred']['meta_info'].parent =_meta_table['Native.Line.Aux.Transport']['meta_info']
_meta_table['Native.Line.Aux.Authorization']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.AccessClass']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Autocommand']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.AutocommandOptions']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Databits']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.EscapeCharacter']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.NoExec']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Exec_']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.ExecTimeout']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Flowcontrol']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.History']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Ip']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Ipv6']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Logging']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Login']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.MediaType']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Modem']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Padding']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Parity']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Password']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Prc']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Privilege']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.SessionTimeout']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Timeout']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Telnet']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.Transport']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.UsbInactivityTimeout']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Aux.VacantMessage']['meta_info'].parent =_meta_table['Native.Line.Aux']['meta_info']
_meta_table['Native.Line.Console.Authorization.Command']['meta_info'].parent =_meta_table['Native.Line.Console.Authorization']['meta_info']
_meta_table['Native.Line.Console.AccessClass.AcccessList']['meta_info'].parent =_meta_table['Native.Line.Console.AccessClass']['meta_info']
_meta_table['Native.Line.Console.Autocommand.NoSuppressLinenumber']['meta_info'].parent =_meta_table['Native.Line.Console.Autocommand']['meta_info']
_meta_table['Native.Line.Console.AutocommandOptions.AbortCharacter']['meta_info'].parent =_meta_table['Native.Line.Console.AutocommandOptions']['meta_info']
_meta_table['Native.Line.Console.AutocommandOptions.Delay']['meta_info'].parent =_meta_table['Native.Line.Console.AutocommandOptions']['meta_info']
_meta_table['Native.Line.Console.AutocommandOptions.Nohangup']['meta_info'].parent =_meta_table['Native.Line.Console.AutocommandOptions']['meta_info']
_meta_table['Native.Line.Console.Exec_.Prompt']['meta_info'].parent =_meta_table['Native.Line.Console.Exec_']['meta_info']
_meta_table['Native.Line.Console.Ip.NetmaskFormat']['meta_info'].parent =_meta_table['Native.Line.Console.Ip']['meta_info']
_meta_table['Native.Line.Console.Ipv6.AccessClass.AccessClass_']['meta_info'].parent =_meta_table['Native.Line.Console.Ipv6.AccessClass']['meta_info']
_meta_table['Native.Line.Console.Ipv6.AccessClass']['meta_info'].parent =_meta_table['Native.Line.Console.Ipv6']['meta_info']
_meta_table['Native.Line.Console.Logging.Synchronous']['meta_info'].parent =_meta_table['Native.Line.Console.Logging']['meta_info']
_meta_table['Native.Line.Console.Privilege.Level']['meta_info'].parent =_meta_table['Native.Line.Console.Privilege']['meta_info']
_meta_table['Native.Line.Console.Transport.Input']['meta_info'].parent =_meta_table['Native.Line.Console.Transport']['meta_info']
_meta_table['Native.Line.Console.Transport.Output']['meta_info'].parent =_meta_table['Native.Line.Console.Transport']['meta_info']
_meta_table['Native.Line.Console.Transport.Preferred']['meta_info'].parent =_meta_table['Native.Line.Console.Transport']['meta_info']
_meta_table['Native.Line.Console.Authorization']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.AccessClass']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Autocommand']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.AutocommandOptions']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Databits']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.EscapeCharacter']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.NoExec']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Exec_']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.ExecTimeout']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Flowcontrol']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.History']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Ip']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Ipv6']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Logging']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Login']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.MediaType']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Modem']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Padding']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Parity']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Password']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Prc']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Privilege']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.SessionTimeout']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Timeout']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Telnet']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.Transport']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.UsbInactivityTimeout']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Console.VacantMessage']['meta_info'].parent =_meta_table['Native.Line.Console']['meta_info']
_meta_table['Native.Line.Vty.Authorization.Command']['meta_info'].parent =_meta_table['Native.Line.Vty.Authorization']['meta_info']
_meta_table['Native.Line.Vty.AccessClass.AcccessList']['meta_info'].parent =_meta_table['Native.Line.Vty.AccessClass']['meta_info']
_meta_table['Native.Line.Vty.Autocommand.NoSuppressLinenumber']['meta_info'].parent =_meta_table['Native.Line.Vty.Autocommand']['meta_info']
_meta_table['Native.Line.Vty.AutocommandOptions.AbortCharacter']['meta_info'].parent =_meta_table['Native.Line.Vty.AutocommandOptions']['meta_info']
_meta_table['Native.Line.Vty.AutocommandOptions.Delay']['meta_info'].parent =_meta_table['Native.Line.Vty.AutocommandOptions']['meta_info']
_meta_table['Native.Line.Vty.AutocommandOptions.Nohangup']['meta_info'].parent =_meta_table['Native.Line.Vty.AutocommandOptions']['meta_info']
_meta_table['Native.Line.Vty.Exec_.Prompt']['meta_info'].parent =_meta_table['Native.Line.Vty.Exec_']['meta_info']
_meta_table['Native.Line.Vty.Ip.NetmaskFormat']['meta_info'].parent =_meta_table['Native.Line.Vty.Ip']['meta_info']
_meta_table['Native.Line.Vty.Ipv6.AccessClass.AccessClass_']['meta_info'].parent =_meta_table['Native.Line.Vty.Ipv6.AccessClass']['meta_info']
_meta_table['Native.Line.Vty.Ipv6.AccessClass']['meta_info'].parent =_meta_table['Native.Line.Vty.Ipv6']['meta_info']
_meta_table['Native.Line.Vty.Logging.Synchronous']['meta_info'].parent =_meta_table['Native.Line.Vty.Logging']['meta_info']
_meta_table['Native.Line.Vty.Privilege.Level']['meta_info'].parent =_meta_table['Native.Line.Vty.Privilege']['meta_info']
_meta_table['Native.Line.Vty.Transport.Input']['meta_info'].parent =_meta_table['Native.Line.Vty.Transport']['meta_info']
_meta_table['Native.Line.Vty.Transport.Output']['meta_info'].parent =_meta_table['Native.Line.Vty.Transport']['meta_info']
_meta_table['Native.Line.Vty.Transport.Preferred']['meta_info'].parent =_meta_table['Native.Line.Vty.Transport']['meta_info']
_meta_table['Native.Line.Vty.Authorization']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.AccessClass']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Autocommand']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.AutocommandOptions']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Databits']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.EscapeCharacter']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.NoExec']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Exec_']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.ExecTimeout']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Flowcontrol']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.History']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Ip']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Ipv6']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Logging']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Login']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.MediaType']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Modem']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Padding']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Parity']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Password']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Prc']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Privilege']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.SessionTimeout']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Timeout']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Telnet']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.Transport']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.UsbInactivityTimeout']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.Vty.VacantMessage']['meta_info'].parent =_meta_table['Native.Line.Vty']['meta_info']
_meta_table['Native.Line.LineList']['meta_info'].parent =_meta_table['Native.Line']['meta_info']
_meta_table['Native.Line.Aux']['meta_info'].parent =_meta_table['Native.Line']['meta_info']
_meta_table['Native.Line.Console']['meta_info'].parent =_meta_table['Native.Line']['meta_info']
_meta_table['Native.Line.Vty']['meta_info'].parent =_meta_table['Native.Line']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Ipv4.Peer']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup.Ipv4']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Ipv4.QueryOnly']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup.Ipv4']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Ipv4.Serve']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup.Ipv4']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Ipv4.ServeOnly']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup.Ipv4']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Ipv6.Peer']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup.Ipv6']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Ipv6.QueryOnly']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup.Ipv6']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Ipv6.Serve']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup.Ipv6']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Ipv6.ServeOnly']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup.Ipv6']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Ipv4']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Ipv6']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Peer']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup']['meta_info']
_meta_table['Native.Ntp.AccessGroup.QueryOnly']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup']['meta_info']
_meta_table['Native.Ntp.AccessGroup.Serve']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup']['meta_info']
_meta_table['Native.Ntp.AccessGroup.ServeOnly']['meta_info'].parent =_meta_table['Native.Ntp.AccessGroup']['meta_info']
_meta_table['Native.Ntp.Allow.Mode.Control']['meta_info'].parent =_meta_table['Native.Ntp.Allow.Mode']['meta_info']
_meta_table['Native.Ntp.Allow.Mode']['meta_info'].parent =_meta_table['Native.Ntp.Allow']['meta_info']
_meta_table['Native.Ntp.Peer.Vrf.ServerList']['meta_info'].parent =_meta_table['Native.Ntp.Peer.Vrf']['meta_info']
_meta_table['Native.Ntp.Peer.Vrf.Ip']['meta_info'].parent =_meta_table['Native.Ntp.Peer.Vrf']['meta_info']
_meta_table['Native.Ntp.Peer.Vrf.Ipv6']['meta_info'].parent =_meta_table['Native.Ntp.Peer.Vrf']['meta_info']
_meta_table['Native.Ntp.Peer.ServerList']['meta_info'].parent =_meta_table['Native.Ntp.Peer']['meta_info']
_meta_table['Native.Ntp.Peer.Ip']['meta_info'].parent =_meta_table['Native.Ntp.Peer']['meta_info']
_meta_table['Native.Ntp.Peer.Ipv6']['meta_info'].parent =_meta_table['Native.Ntp.Peer']['meta_info']
_meta_table['Native.Ntp.Peer.Vrf']['meta_info'].parent =_meta_table['Native.Ntp.Peer']['meta_info']
_meta_table['Native.Ntp.Server.Vrf.ServerList']['meta_info'].parent =_meta_table['Native.Ntp.Server.Vrf']['meta_info']
_meta_table['Native.Ntp.Server.Vrf.Ip']['meta_info'].parent =_meta_table['Native.Ntp.Server.Vrf']['meta_info']
_meta_table['Native.Ntp.Server.Vrf.Ipv6']['meta_info'].parent =_meta_table['Native.Ntp.Server.Vrf']['meta_info']
_meta_table['Native.Ntp.Server.ServerList']['meta_info'].parent =_meta_table['Native.Ntp.Server']['meta_info']
_meta_table['Native.Ntp.Server.Ip']['meta_info'].parent =_meta_table['Native.Ntp.Server']['meta_info']
_meta_table['Native.Ntp.Server.Ipv6']['meta_info'].parent =_meta_table['Native.Ntp.Server']['meta_info']
_meta_table['Native.Ntp.Server.Vrf']['meta_info'].parent =_meta_table['Native.Ntp.Server']['meta_info']
_meta_table['Native.Ntp.Source.AtmSubinterface']['meta_info'].parent =_meta_table['Native.Ntp.Source']['meta_info']
_meta_table['Native.Ntp.Source.AtmAcrsubinterface']['meta_info'].parent =_meta_table['Native.Ntp.Source']['meta_info']
_meta_table['Native.Ntp.Source.LispSubinterface']['meta_info'].parent =_meta_table['Native.Ntp.Source']['meta_info']
_meta_table['Native.Ntp.Source.PortChannelSubinterface']['meta_info'].parent =_meta_table['Native.Ntp.Source']['meta_info']
_meta_table['Native.Ntp.AccessGroup']['meta_info'].parent =_meta_table['Native.Ntp']['meta_info']
_meta_table['Native.Ntp.Allow']['meta_info'].parent =_meta_table['Native.Ntp']['meta_info']
_meta_table['Native.Ntp.AuthenticationKey']['meta_info'].parent =_meta_table['Native.Ntp']['meta_info']
_meta_table['Native.Ntp.Master']['meta_info'].parent =_meta_table['Native.Ntp']['meta_info']
_meta_table['Native.Ntp.Panic']['meta_info'].parent =_meta_table['Native.Ntp']['meta_info']
_meta_table['Native.Ntp.Peer']['meta_info'].parent =_meta_table['Native.Ntp']['meta_info']
_meta_table['Native.Ntp.Server']['meta_info'].parent =_meta_table['Native.Ntp']['meta_info']
_meta_table['Native.Ntp.Source']['meta_info'].parent =_meta_table['Native.Ntp']['meta_info']
_meta_table['Native.Ntp.TrustedKey']['meta_info'].parent =_meta_table['Native.Ntp']['meta_info']
_meta_table['Native.Wsma.Agent.Exec_']['meta_info'].parent =_meta_table['Native.Wsma.Agent']['meta_info']
_meta_table['Native.Wsma.Agent.Config']['meta_info'].parent =_meta_table['Native.Wsma.Agent']['meta_info']
_meta_table['Native.Wsma.Agent.Filesys']['meta_info'].parent =_meta_table['Native.Wsma.Agent']['meta_info']
_meta_table['Native.Wsma.Agent.Notify']['meta_info'].parent =_meta_table['Native.Wsma.Agent']['meta_info']
_meta_table['Native.Wsma.Profile.Listener']['meta_info'].parent =_meta_table['Native.Wsma.Profile']['meta_info']
_meta_table['Native.Wsma.Agent']['meta_info'].parent =_meta_table['Native.Wsma']['meta_info']
_meta_table['Native.Wsma.Profile']['meta_info'].parent =_meta_table['Native.Wsma']['meta_info']
_meta_table['Native.Event.Manager.Directory.User']['meta_info'].parent =_meta_table['Native.Event.Manager.Directory']['meta_info']
_meta_table['Native.Event.Manager.Session.Cli.Username.Username_In_Word']['meta_info'].parent =_meta_table['Native.Event.Manager.Session.Cli.Username']['meta_info']
_meta_table['Native.Event.Manager.Session.Cli.Username']['meta_info'].parent =_meta_table['Native.Event.Manager.Session.Cli']['meta_info']
_meta_table['Native.Event.Manager.Session.Cli']['meta_info'].parent =_meta_table['Native.Event.Manager.Session']['meta_info']
_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun.TimerInSeconds']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun']['meta_info']
_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds']['meta_info']
_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time']['meta_info']
_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName']['meta_info']
_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name']['meta_info']
_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog']['meta_info']
_meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Event_.Timer']['meta_info']
_meta_table['Native.Event.Manager.Applet.Event_.Timer']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Event_']['meta_info']
_meta_table['Native.Event.Manager.Applet.Event_.SnmpNotification']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Event_']['meta_info']
_meta_table['Native.Event.Manager.Applet.Event_.Syslog']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Event_']['meta_info']
_meta_table['Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Action.Info.Type.Snmp']['meta_info']
_meta_table['Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Action.Info.Type.Snmp']['meta_info']
_meta_table['Native.Event.Manager.Applet.Action.Info.Type.Snmp']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Action.Info.Type']['meta_info']
_meta_table['Native.Event.Manager.Applet.Action.Info.Type']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Action.Info']['meta_info']
_meta_table['Native.Event.Manager.Applet.Action.If_']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Action']['meta_info']
_meta_table['Native.Event.Manager.Applet.Action.Info']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Action']['meta_info']
_meta_table['Native.Event.Manager.Applet.Action.Regexp']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Action']['meta_info']
_meta_table['Native.Event.Manager.Applet.Action.SnmpTrap']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Action']['meta_info']
_meta_table['Native.Event.Manager.Applet.Action.String']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Action']['meta_info']
_meta_table['Native.Event.Manager.Applet.Action.Syslog']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet.Action']['meta_info']
_meta_table['Native.Event.Manager.Applet.Event_']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet']['meta_info']
_meta_table['Native.Event.Manager.Applet.Action']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet']['meta_info']
_meta_table['Native.Event.Manager.Applet.Trigger']['meta_info'].parent =_meta_table['Native.Event.Manager.Applet']['meta_info']
_meta_table['Native.Event.Manager.Environment']['meta_info'].parent =_meta_table['Native.Event.Manager']['meta_info']
_meta_table['Native.Event.Manager.Directory']['meta_info'].parent =_meta_table['Native.Event.Manager']['meta_info']
_meta_table['Native.Event.Manager.Session']['meta_info'].parent =_meta_table['Native.Event.Manager']['meta_info']
_meta_table['Native.Event.Manager.Applet']['meta_info'].parent =_meta_table['Native.Event.Manager']['meta_info']
_meta_table['Native.Event.Manager']['meta_info'].parent =_meta_table['Native.Event']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Process_']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type.Total']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Interrupt']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Process_']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type.Total']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold.Type']['meta_info']
_meta_table['Native.Process.Cpu.Threshold.Type']['meta_info'].parent =_meta_table['Native.Process.Cpu.Threshold']['meta_info']
_meta_table['Native.Process.Cpu.Threshold']['meta_info'].parent =_meta_table['Native.Process.Cpu']['meta_info']
_meta_table['Native.Process.Cpu']['meta_info'].parent =_meta_table['Native.Process']['meta_info']
_meta_table['Native.Exception.Crashinfo']['meta_info'].parent =_meta_table['Native.Exception']['meta_info']
_meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz.Mode']['meta_info'].parent =_meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz']['meta_info']
_meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_24Ghz']['meta_info'].parent =_meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11']['meta_info']
_meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz']['meta_info'].parent =_meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11']['meta_info']
_meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11']['meta_info'].parent =_meta_table['Native.Ap.Group.Config.AirtimeFairness']['meta_info']
_meta_table['Native.Ap.Group.Config.Hyperlocation.Threshold']['meta_info'].parent =_meta_table['Native.Ap.Group.Config.Hyperlocation']['meta_info']
_meta_table['Native.Ap.Group.Config.RfProfile.Dot11']['meta_info'].parent =_meta_table['Native.Ap.Group.Config.RfProfile']['meta_info']
_meta_table['Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_24Ghz']['meta_info'].parent =_meta_table['Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11']['meta_info']
_meta_table['Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_5Ghz']['meta_info'].parent =_meta_table['Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11']['meta_info']
_meta_table['Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11']['meta_info'].parent =_meta_table['Native.Ap.Group.Config.Wlan.AirtimeFairness']['meta_info']
_meta_table['Native.Ap.Group.Config.Wlan.AirtimeFairness']['meta_info'].parent =_meta_table['Native.Ap.Group.Config.Wlan']['meta_info']
_meta_table['Native.Ap.Group.Config.AirtimeFairness']['meta_info'].parent =_meta_table['Native.Ap.Group.Config']['meta_info']
_meta_table['Native.Ap.Group.Config.Hyperlocation']['meta_info'].parent =_meta_table['Native.Ap.Group.Config']['meta_info']
_meta_table['Native.Ap.Group.Config.Ntp']['meta_info'].parent =_meta_table['Native.Ap.Group.Config']['meta_info']
_meta_table['Native.Ap.Group.Config.Port']['meta_info'].parent =_meta_table['Native.Ap.Group.Config']['meta_info']
_meta_table['Native.Ap.Group.Config.RfProfile']['meta_info'].parent =_meta_table['Native.Ap.Group.Config']['meta_info']
_meta_table['Native.Ap.Group.Config.Wlan']['meta_info'].parent =_meta_table['Native.Ap.Group.Config']['meta_info']
_meta_table['Native.Ap.Group.Config']['meta_info'].parent =_meta_table['Native.Ap.Group']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_11M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_12M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_18M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_1M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_24M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_2M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_36M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_48M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_54M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_5_5M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_6M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_9M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_24Ghz']['meta_info']
_meta_table['Native.Ap.Dot11.Y_49Ghz.Rrm.Profile']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_49Ghz.Rrm']['meta_info']
_meta_table['Native.Ap.Dot11.Y_49Ghz.Rrm']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_49Ghz']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_11M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_12M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_18M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_1M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_24M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_2M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_36M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_48M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_54M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_5_5M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_6M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_9M']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info'].parent =_meta_table['Native.Ap.Dot11.Y_5Ghz']['meta_info']
_meta_table['Native.Ap.Dot11.AirtimeFairness.PolicyName']['meta_info'].parent =_meta_table['Native.Ap.Dot11.AirtimeFairness']['meta_info']
_meta_table['Native.Ap.Dot11.Y_24Ghz']['meta_info'].parent =_meta_table['Native.Ap.Dot11']['meta_info']
_meta_table['Native.Ap.Dot11.Y_49Ghz']['meta_info'].parent =_meta_table['Native.Ap.Dot11']['meta_info']
_meta_table['Native.Ap.Dot11.Y_5Ghz']['meta_info'].parent =_meta_table['Native.Ap.Dot11']['meta_info']
_meta_table['Native.Ap.Dot11.AirtimeFairness']['meta_info'].parent =_meta_table['Native.Ap.Dot11']['meta_info']
_meta_table['Native.Ap.Group']['meta_info'].parent =_meta_table['Native.Ap']['meta_info']
_meta_table['Native.Ap.Dot11']['meta_info'].parent =_meta_table['Native.Ap']['meta_info']
_meta_table['Native.BbaGroup.Pppoe.VendorTag.CircuitId']['meta_info'].parent =_meta_table['Native.BbaGroup.Pppoe.VendorTag']['meta_info']
_meta_table['Native.BbaGroup.Pppoe.VendorTag.DslSyncRate']['meta_info'].parent =_meta_table['Native.BbaGroup.Pppoe.VendorTag']['meta_info']
_meta_table['Native.BbaGroup.Pppoe.VendorTag.RemoteId']['meta_info'].parent =_meta_table['Native.BbaGroup.Pppoe.VendorTag']['meta_info']
_meta_table['Native.BbaGroup.Pppoe.VendorTag']['meta_info'].parent =_meta_table['Native.BbaGroup.Pppoe']['meta_info']
_meta_table['Native.BbaGroup.Pppoe']['meta_info'].parent =_meta_table['Native.BbaGroup']['meta_info']
_meta_table['Native.Cef.Table.OutputChain.Build.Favor']['meta_info'].parent =_meta_table['Native.Cef.Table.OutputChain.Build']['meta_info']
_meta_table['Native.Cef.Table.OutputChain.Build']['meta_info'].parent =_meta_table['Native.Cef.Table.OutputChain']['meta_info']
_meta_table['Native.Cef.Table.OutputChain']['meta_info'].parent =_meta_table['Native.Cef.Table']['meta_info']
_meta_table['Native.Cef.Table']['meta_info'].parent =_meta_table['Native.Cef']['meta_info']
_meta_table['Native.Coap.Http']['meta_info'].parent =_meta_table['Native.Coap']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.TestIds']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.All']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Interval.Switch.Switch_']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Interval.Switch.Switch_']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Interval.Switch']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Interval.Switch']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Interval']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Switch.Test']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Switch']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure.Count']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure.Count']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.All']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.All']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Threshold.Switch']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Threshold.Switch']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor.Threshold']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Interval']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Switch']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor']['meta_info']
_meta_table['Native.Diagnostic.Monitor.Threshold']['meta_info'].parent =_meta_table['Native.Diagnostic.Monitor']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.All_']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.All_']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.All_']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.All_']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Complete.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Complete']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Complete.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Complete']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Complete']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Minimal']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Minimal.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Minimal']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.Minimal']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.On']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.All']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Complete']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.Minimal']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch.Test']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch.Test']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule.Switch']['meta_info']
_meta_table['Native.Diagnostic.Schedule.Switch']['meta_info'].parent =_meta_table['Native.Diagnostic.Schedule']['meta_info']
_meta_table['Native.Diagnostic.Bootup']['meta_info'].parent =_meta_table['Native.Diagnostic']['meta_info']
_meta_table['Native.Diagnostic.EventLog']['meta_info'].parent =_meta_table['Native.Diagnostic']['meta_info']
_meta_table['Native.Diagnostic.Monitor']['meta_info'].parent =_meta_table['Native.Diagnostic']['meta_info']
_meta_table['Native.Diagnostic.Schedule']['meta_info'].parent =_meta_table['Native.Diagnostic']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Device.Id.Device_Range']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Device.Id']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Rtr']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Ntr']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Xtr']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Ntr']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Rtr.Xtr']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Rtr']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Ntr']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Rtr']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Xtr']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Device.Id']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Device']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Device.Type']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Device']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.InstanceId']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Region.Id.Region_Id_Range']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Region.Id']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Region.Id']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Region']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Site.Id.Site_Id_Range']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Site.Id']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Site.Id']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Site']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Tenant.Id.Tenant_Id_Range']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Tenant.Id']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Tenant.Id']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Tenant']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6.Pmcs_Ipv6']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6.Ipv6_']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Device']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.InstanceId']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Region']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Site']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Tenant']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent.Pmcs']['meta_info'].parent =_meta_table['Native.PmAgent.ConfigPmAgent']['meta_info']
_meta_table['Native.PmAgent.ConfigPmAgent']['meta_info'].parent =_meta_table['Native.PmAgent']['meta_info']
_meta_table['Native.Power.Inline.Consumption']['meta_info'].parent =_meta_table['Native.Power.Inline']['meta_info']
_meta_table['Native.Power.Inline.Logging']['meta_info'].parent =_meta_table['Native.Power.Inline']['meta_info']
_meta_table['Native.Power.Inline']['meta_info'].parent =_meta_table['Native.Power']['meta_info']
_meta_table['Native.AccessSession.Attributes.FilterList.List']['meta_info'].parent =_meta_table['Native.AccessSession.Attributes.FilterList']['meta_info']
_meta_table['Native.AccessSession.Attributes.FilterList']['meta_info'].parent =_meta_table['Native.AccessSession.Attributes']['meta_info']
_meta_table['Native.AccessSession.Attributes']['meta_info'].parent =_meta_table['Native.AccessSession']['meta_info']
_meta_table['Native.AccessSession.MacMove']['meta_info'].parent =_meta_table['Native.AccessSession']['meta_info']
_meta_table['Native.Authentication.Command.BouncePort']['meta_info'].parent =_meta_table['Native.Authentication.Command']['meta_info']
_meta_table['Native.Authentication.Command.DisablePort']['meta_info'].parent =_meta_table['Native.Authentication.Command']['meta_info']
_meta_table['Native.Authentication.Critical.Recovery']['meta_info'].parent =_meta_table['Native.Authentication.Critical']['meta_info']
_meta_table['Native.Authentication.Command']['meta_info'].parent =_meta_table['Native.Authentication']['meta_info']
_meta_table['Native.Authentication.Critical']['meta_info'].parent =_meta_table['Native.Authentication']['meta_info']
_meta_table['Native.Authentication.MacMove']['meta_info'].parent =_meta_table['Native.Authentication']['meta_info']
_meta_table['Native.ServiceList.MdnsSd.Deny.Match.Location']['meta_info'].parent =_meta_table['Native.ServiceList.MdnsSd.Deny.Match']['meta_info']
_meta_table['Native.ServiceList.MdnsSd.Deny.Match.MessageType']['meta_info'].parent =_meta_table['Native.ServiceList.MdnsSd.Deny.Match']['meta_info']
_meta_table['Native.ServiceList.MdnsSd.Deny.Match']['meta_info'].parent =_meta_table['Native.ServiceList.MdnsSd.Deny']['meta_info']
_meta_table['Native.ServiceList.MdnsSd.Permit.Match.Location']['meta_info'].parent =_meta_table['Native.ServiceList.MdnsSd.Permit.Match']['meta_info']
_meta_table['Native.ServiceList.MdnsSd.Permit.Match.MessageType']['meta_info'].parent =_meta_table['Native.ServiceList.MdnsSd.Permit.Match']['meta_info']
_meta_table['Native.ServiceList.MdnsSd.Permit.Match']['meta_info'].parent =_meta_table['Native.ServiceList.MdnsSd.Permit']['meta_info']
_meta_table['Native.ServiceList.MdnsSd.Deny']['meta_info'].parent =_meta_table['Native.ServiceList.MdnsSd']['meta_info']
_meta_table['Native.ServiceList.MdnsSd.Permit']['meta_info'].parent =_meta_table['Native.ServiceList.MdnsSd']['meta_info']
_meta_table['Native.ServiceList.MdnsSd.Query']['meta_info'].parent =_meta_table['Native.ServiceList.MdnsSd']['meta_info']
_meta_table['Native.ServiceList.MdnsSd']['meta_info'].parent =_meta_table['Native.ServiceList']['meta_info']
_meta_table['Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp']['meta_info'].parent =_meta_table['Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol']['meta_info']
_meta_table['Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol']['meta_info'].parent =_meta_table['Native.Energywise.Domain.Security.SharedSecret.Zero']['meta_info']
_meta_table['Native.Energywise.Domain.Security.SharedSecret.Zero']['meta_info'].parent =_meta_table['Native.Energywise.Domain.Security.SharedSecret']['meta_info']
_meta_table['Native.Energywise.Domain.Security.SharedSecret']['meta_info'].parent =_meta_table['Native.Energywise.Domain.Security']['meta_info']
_meta_table['Native.Energywise.Domain.Security']['meta_info'].parent =_meta_table['Native.Energywise.Domain']['meta_info']
_meta_table['Native.Energywise.Domain']['meta_info'].parent =_meta_table['Native.Energywise']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Violation']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.Block']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.Access']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Action']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template.Ip']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.ServicePolicy']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.SpanningTree']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template.Ip']['meta_info'].parent =_meta_table['Native.Template.Ip_Camera_Interface_Template']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Violation']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport.Block']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport.Access']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.StormControl.Broadcast']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.StormControl.Action']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Ip.Dhcp']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template.Ip']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.ServicePolicy']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Switchport']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.SpanningTree']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.StormControl']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template.Ip']['meta_info'].parent =_meta_table['Native.Template.Lap_Interface_Template']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Violation']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport.Block']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport.Access']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.StormControl.Broadcast']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.StormControl.Action']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Ip.Dhcp']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template.Ip']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.ServicePolicy']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Switchport']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.SpanningTree']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.StormControl']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template.Ip']['meta_info'].parent =_meta_table['Native.Template.Ap_Interface_Template']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Violation']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport.Block']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport.Access']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.StormControl.Broadcast']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.StormControl.Action']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Ip.Dhcp']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template.Ip']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.ServicePolicy']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Switchport']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.SpanningTree']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.StormControl']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template.Ip']['meta_info'].parent =_meta_table['Native.Template.Dmp_Interface_Template']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Violation']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.Block']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.Access']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Action']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template.Ip']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.ServicePolicy']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.SpanningTree']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template.Ip']['meta_info'].parent =_meta_table['Native.Template.Ip_Phone_Interface_Template']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Violation']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.Block']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.Access']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Action']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template.Ip']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.ServicePolicy']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.SpanningTree']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template.Ip']['meta_info'].parent =_meta_table['Native.Template.Msp_Camera_Interface_Template']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Violation']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.Block']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.Access']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Action']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template.Ip']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.ServicePolicy']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.SpanningTree']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template.Ip']['meta_info'].parent =_meta_table['Native.Template.Msp_Vc_Interface_Template']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Violation']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport.Block']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport.Access']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.StormControl.Broadcast']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.StormControl.Action']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Ip.Dhcp']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template.Ip']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.ServicePolicy']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Switchport']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.SpanningTree']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.StormControl']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template.Ip']['meta_info'].parent =_meta_table['Native.Template.Printer_Interface_Template']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Violation']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport.Block']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport.Access']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.StormControl.Broadcast']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.StormControl.Action']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Ip.Dhcp']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template.Ip']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.ServicePolicy']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Switchport']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.SpanningTree']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.StormControl']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template']['meta_info']
_meta_table['Native.Template.Router_Interface_Template.Ip']['meta_info'].parent =_meta_table['Native.Template.Router_Interface_Template']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Violation']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport.Block']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport.Access']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.StormControl.Broadcast']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.StormControl.Action']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Ip.Dhcp']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template.Ip']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.ServicePolicy']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Switchport']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.SpanningTree']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.StormControl']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template.Ip']['meta_info'].parent =_meta_table['Native.Template.Switch_Interface_Template']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.ServicePolicy.Input']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.ServicePolicy.Output']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.ServicePolicy']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Violation']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport.Mode']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport.Block']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport.Access']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport.Voice']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Switchport']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.SpanningTree.Bpduguard']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.SpanningTree.Portfast']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.SpanningTree']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.StormControl.Broadcast']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.StormControl.Broadcast']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.StormControl.Action']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.StormControl']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Ip.Dhcp']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Ip.Dhcp']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template.Ip']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.ServicePolicy']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Switchport']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.SpanningTree']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.StormControl']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template.Ip']['meta_info'].parent =_meta_table['Native.Template.Tp_Interface_Template']['meta_info']
_meta_table['Native.Template.Ip_Camera_Interface_Template']['meta_info'].parent =_meta_table['Native.Template']['meta_info']
_meta_table['Native.Template.Lap_Interface_Template']['meta_info'].parent =_meta_table['Native.Template']['meta_info']
_meta_table['Native.Template.Ap_Interface_Template']['meta_info'].parent =_meta_table['Native.Template']['meta_info']
_meta_table['Native.Template.Dmp_Interface_Template']['meta_info'].parent =_meta_table['Native.Template']['meta_info']
_meta_table['Native.Template.Ip_Phone_Interface_Template']['meta_info'].parent =_meta_table['Native.Template']['meta_info']
_meta_table['Native.Template.Msp_Camera_Interface_Template']['meta_info'].parent =_meta_table['Native.Template']['meta_info']
_meta_table['Native.Template.Msp_Vc_Interface_Template']['meta_info'].parent =_meta_table['Native.Template']['meta_info']
_meta_table['Native.Template.Printer_Interface_Template']['meta_info'].parent =_meta_table['Native.Template']['meta_info']
_meta_table['Native.Template.Router_Interface_Template']['meta_info'].parent =_meta_table['Native.Template']['meta_info']
_meta_table['Native.Template.Switch_Interface_Template']['meta_info'].parent =_meta_table['Native.Template']['meta_info']
_meta_table['Native.Template.Tp_Interface_Template']['meta_info'].parent =_meta_table['Native.Template']['meta_info']
_meta_table['Native.ServiceTemplate.InactivityTimer']['meta_info'].parent =_meta_table['Native.ServiceTemplate']['meta_info']
_meta_table['Native.ServiceTemplate.Linksec']['meta_info'].parent =_meta_table['Native.ServiceTemplate']['meta_info']
_meta_table['Native.ServiceTemplate.Voice']['meta_info'].parent =_meta_table['Native.ServiceTemplate']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Request']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit.Response']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Request']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit']['meta_info']
_meta_table['Native.Arp.AccessList.Permit.Response']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Permit']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Request']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny.Response']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Request']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny']['meta_info']
_meta_table['Native.Arp.AccessList.Deny.Response']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Deny']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Request']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit.Response']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Request']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit.Response']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Permit']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Request']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny.Response']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Request']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny.Response']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default.Deny']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Permit']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default']['meta_info']
_meta_table['Native.Arp.AccessList.Default.Deny']['meta_info'].parent =_meta_table['Native.Arp.AccessList.Default']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Request']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit.Response']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Request']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit.Response']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Permit']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Request']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Any_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny.Response']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Ip']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Request']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny.Response']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No.Deny']['meta_info']
_meta_table['Native.Arp.AccessList.No.Permit']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No']['meta_info']
_meta_table['Native.Arp.AccessList.No.Deny']['meta_info'].parent =_meta_table['Native.Arp.AccessList.No']['meta_info']
_meta_table['Native.Arp.AccessList.Permit']['meta_info'].parent =_meta_table['Native.Arp.AccessList']['meta_info']
_meta_table['Native.Arp.AccessList.Deny']['meta_info'].parent =_meta_table['Native.Arp.AccessList']['meta_info']
_meta_table['Native.Arp.AccessList.Default']['meta_info'].parent =_meta_table['Native.Arp.AccessList']['meta_info']
_meta_table['Native.Arp.AccessList.No']['meta_info'].parent =_meta_table['Native.Arp.AccessList']['meta_info']
_meta_table['Native.Arp.AccessList']['meta_info'].parent =_meta_table['Native.Arp']['meta_info']
_meta_table['Native.SwitchVirtual.DualActive.Recovery.Ip']['meta_info'].parent =_meta_table['Native.SwitchVirtual.DualActive.Recovery']['meta_info']
_meta_table['Native.SwitchVirtual.DualActive.Detection.Pagp.Trust']['meta_info'].parent =_meta_table['Native.SwitchVirtual.DualActive.Detection.Pagp']['meta_info']
_meta_table['Native.SwitchVirtual.DualActive.Detection.Pagp']['meta_info'].parent =_meta_table['Native.SwitchVirtual.DualActive.Detection']['meta_info']
_meta_table['Native.SwitchVirtual.DualActive.Recovery']['meta_info'].parent =_meta_table['Native.SwitchVirtual.DualActive']['meta_info']
_meta_table['Native.SwitchVirtual.DualActive.Detection']['meta_info'].parent =_meta_table['Native.SwitchVirtual.DualActive']['meta_info']
_meta_table['Native.SwitchVirtual.Switch']['meta_info'].parent =_meta_table['Native.SwitchVirtual']['meta_info']
_meta_table['Native.SwitchVirtual.MacAddress']['meta_info'].parent =_meta_table['Native.SwitchVirtual']['meta_info']
_meta_table['Native.SwitchVirtual.DualActive']['meta_info'].parent =_meta_table['Native.SwitchVirtual']['meta_info']
_meta_table['Native.StackMac.Persistent']['meta_info'].parent =_meta_table['Native.StackMac']['meta_info']
_meta_table['Native.L2ProtocolTunnel.Global_']['meta_info'].parent =_meta_table['Native.L2ProtocolTunnel']['meta_info']
_meta_table['Native.Rep.Admin.Vlan']['meta_info'].parent =_meta_table['Native.Rep.Admin']['meta_info']
_meta_table['Native.Rep.Admin']['meta_info'].parent =_meta_table['Native.Rep']['meta_info']
_meta_table['Native.HwSwitch.Switch.SwitchNumber.Logging.Onboard']['meta_info'].parent =_meta_table['Native.HwSwitch.Switch.SwitchNumber.Logging']['meta_info']
_meta_table['Native.HwSwitch.Switch.SwitchNumber.Logging']['meta_info'].parent =_meta_table['Native.HwSwitch.Switch.SwitchNumber']['meta_info']
_meta_table['Native.HwSwitch.Switch.SwitchNumber']['meta_info'].parent =_meta_table['Native.HwSwitch.Switch']['meta_info']
_meta_table['Native.HwSwitch.Switch']['meta_info'].parent =_meta_table['Native.HwSwitch']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Advanced.Default.Threat']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Advanced.Default']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Advanced.Default']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Advanced']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Advanced.Threat']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Advanced']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Logging.Server']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard.Logging']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Logging.Syslog']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard.Logging']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Daily']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Monthly']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Weekly']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url.All']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Cisco']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Default']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Logging']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine.Standard']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Advanced']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine.Standard']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Engine']['meta_info']
_meta_table['Native.UtdEngine.Utd.Whitelist.Signature']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd.Whitelist']['meta_info']
_meta_table['Native.UtdEngine.Utd.Engine']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd']['meta_info']
_meta_table['Native.UtdEngine.Utd.Whitelist']['meta_info'].parent =_meta_table['Native.UtdEngine.Utd']['meta_info']
_meta_table['Native.UtdEngine.Utd']['meta_info'].parent =_meta_table['Native.UtdEngine']['meta_info']
_meta_table['Native.Voice.Service.Fax']['meta_info'].parent =_meta_table['Native.Voice.Service']['meta_info']
_meta_table['Native.Voice.Service']['meta_info'].parent =_meta_table['Native.Voice']['meta_info']
_meta_table['Native.Bfd']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Boot']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Memory']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Location']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.CallHome']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.HwModule']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Cisp']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Module']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Domain']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Parser']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Service']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Platform']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Enable']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Password']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Eap']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Archive']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Username']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Controller']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Vrf']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Rmon']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Sampler']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Flow']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Ip']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Mka']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Macro']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Ipv6']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Vlan']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Cdp']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Policy']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Interface']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.RouteMap']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.RouteTag']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Banner']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.TableMap']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Sdm']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Mls']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.ObjectGroup']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.PseudowireClass']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.ControlPlane']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Clock']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Logging']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Aaa']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Privilege']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Login']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Multilink']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.MacAddressTable']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Redundancy']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Scheduler']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Epm']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.SpanningTree']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Subscriber']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Track']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Dot1X']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Fallback']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.ParameterMap']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Ppp']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Mac']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Tacacs']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.TacacsServer']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Upgrade']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Vtp']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Xconnect']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Fabric']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.PortChannel']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Key']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.L2']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.System']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Errdisable']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Identity']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Monitor']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.TftpServer']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.RadiusServer']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Radius']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Zone']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.ZonePair']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.AlarmContact']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Ethernet']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.AccessList']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.BridgeDomain']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Crypto']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Cts']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.BfdTemplate']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Pfr']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.PfrMap']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.FacilityAlarm']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Setup']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.TodClock']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.NetworkClock']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.L2Vpn']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.L2VpnConfig']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.L3Vpn']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Mpls']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Router']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.ServiceChain']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Performance']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Otv']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.RemoteManagement']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.VirtualService']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Snmp']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.SnmpServer']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.SegmentRouting']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.License']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.MemorySize']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Transceiver']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.ServiceInsertion']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Udld']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Wireless']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Qos']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.TimeRange']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.DeviceTracking']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Fhrp']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Metadata']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Profile']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Alias']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Line']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Ntp']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Wsma']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Event']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Process']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Exception']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Ap']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Esmc']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.BbaGroup']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Card']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Cef']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Coap']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.DeviceSensor']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Diagnostic']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Lldp']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.PmAgent']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Power']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.AccessSession']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Authentication']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.ServiceList']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.ServiceRouting']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.NetworkPolicy']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Energywise']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Template']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.ServiceTemplate']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Arp']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Switch']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.SwitchVirtual']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Device']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.StackMac']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.L2ProtocolTunnel']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Rep']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.HwSwitch']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Utd']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.UtdEngine']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Voice']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.VoiceCard']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Vpdn']['meta_info'].parent =_meta_table['Native']['meta_info']
_meta_table['Native.Vstack']['meta_info'].parent =_meta_table['Native']['meta_info']
